"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.appTimeExtendedBundle = void 0;

var _startOfDay = _interopRequireDefault(require("date-fns/startOfDay"));

var _reduxBundler = require("redux-bundler");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// @ts-check
const floorOfInterval = interval => time => Math.floor(time / interval) * interval;

const appTimeExtendedBundle = {
  name: 'appTimeExtended',
  selectAppTimeSecond: (0, _reduxBundler.createSelector)('selectAppTime', floorOfInterval(1000)),
  selectAppTimeMinute: (0, _reduxBundler.createSelector)('selectAppTimeSecond', floorOfInterval(60000)),
  selectAppTimeDay: (0, _reduxBundler.createSelector)('selectAppTimeMinute', val => (0, _startOfDay.default)(val).valueOf()),
  selectAppDayDate: (0, _reduxBundler.createSelector)('selectAppTimeDay', val => new Date(val))
};
exports.appTimeExtendedBundle = appTimeExtendedBundle;