"use strict";

var _tape = _interopRequireDefault(require("tape"));

var _promise = require("./promise");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//@ts-check
(0, _tape.default)('pause', async t => {
  const now = Date.now();
  await (0, _promise.pause)(200);
  const duration = Date.now() - now;
  t.ok(duration >= 195 && duration <= 400);
  t.end();
});
(0, _tape.default)('addDelay', async t => {
  const now = Date.now();
  const result = await Promise.resolve('foo').then((0, _promise.addDelay)(200));
  const duration = Date.now() - now;
  t.ok(duration >= 195 && duration <= 400, "duration within bounds: ".concat(duration));
  t.equal(result, 'foo');
  t.end();
});