"use strict";

var _tape = _interopRequireDefault(require("tape"));

var _toGqlQuery = require("./to-gql-query");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// @ts-check
(0, _tape.default)('createGqlMutation / createGqlQueryFn', t => {
  const name = 'test'; // [testName, vars, responseSnippet, queryExpected, mutationExpected]

  /** @type {[string, object, string, string, string][]} */

  const entries = [['No variables', {}, '{id}', 'query test{test{id}}', 'mutation test{test{id}}'], ['Null variables', null, '{id}', 'query test{test{id}}', 'mutation test{test{id}}'], ['No variables or selection', null, '', 'query test{test}', 'mutation test{test}'], ['No selection', {
    id: 'String!'
  }, '', 'query test($id:String!){test(id:$id)}', 'mutation test($id:String!){test(id:$id)}'], ['Variables and selection', {
    foo: 'String!',
    bar: 'Int!'
  }, '{id name}', 'query test($foo:String!,$bar:Int!){test(foo:$foo,bar:$bar){id name}}', 'mutation test($foo:String!,$bar:Int!){test(foo:$foo,bar:$bar){id name}}']];

  for (const [testName, vars, responseSnippet, expectedQuery, expectedMutation] of entries) {
    const actualQuery = (0, _toGqlQuery.createGqlQueryFn)(name, vars, responseSnippet);
    t.equal(actualQuery, expectedQuery, "".concat(testName, " - query"));
    const actualMutation = (0, _toGqlQuery.createGqlMutation)(name, vars, responseSnippet);
    t.equal(actualMutation, expectedMutation, "".concat(testName, " - mutation"));
  }

  t.end();
});