"use strict";

var _tape = _interopRequireDefault(require("tape"));

var _trimDrugName = require("./trim-drug-name");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

(0, _tape.default)('trimText', t => {
  const expected = [['abc', 5, 'abc'], ['abc', 2, 'a…'], ['this is long', 8, 'this is…']];
  expected.forEach(([str, maxLen, result]) => {
    t.equal((0, _trimDrugName.trimText)(str, maxLen), result);
  }); // when trimming, the ellipsis counts as a character

  t.equal((0, _trimDrugName.trimText)('abc', 3), 'abc');
  t.equal((0, _trimDrugName.trimText)('abc', 2).length, 2);
  t.end();
});
(0, _tape.default)('trimDrugName', t => {
  const medicationNames = [['Esmolol', 'Esmolol'], ['Remimazolam', 'Remimazolam'], ['Succinylcholine chloride', 'Succinylcholine Cl'], ['What if this is really long chloride', 'What if this is r…'], ['Short Hydrochloride', 'Short HCl'], ['Long-enough chloride', 'Long-enough Cl'], // abbreviates first instead of trimming where appropriate
  ['Long-enough-aaaa chloride', 'Long-enough-aaaa …']];

  for (const [name, expected] of medicationNames) {
    t.equal((0, _trimDrugName.trimDrugName)(name, 18), expected);
  }

  t.end();
});