// modules are defined as an array
// [ module function, map of requires ]
//
// map of requires is short require name -> numeric require
//
// anything defined in a previous bundle is accessed via the
// orig method which is the require for previous bundles
parcelRequire = (function (modules, cache, entry, globalName) {
  // Save the require from previous bundle to this closure if any
  var previousRequire = typeof parcelRequire === 'function' && parcelRequire;
  var nodeRequire = typeof require === 'function' && require;

  function newRequire(name, jumped) {
    if (!cache[name]) {
      if (!modules[name]) {
        // if we cannot find the module within our internal map or
        // cache jump to the current global require ie. the last bundle
        // that was added to the page.
        var currentRequire = typeof parcelRequire === 'function' && parcelRequire;
        if (!jumped && currentRequire) {
          return currentRequire(name, true);
        }

        // If there are other bundles on this page the require from the
        // previous one is saved to 'previousRequire'. Repeat this as
        // many times as there are bundles until the module is found or
        // we exhaust the require chain.
        if (previousRequire) {
          return previousRequire(name, true);
        }

        // Try the node require function if it exists.
        if (nodeRequire && typeof name === 'string') {
          return nodeRequire(name);
        }

        var err = new Error('Cannot find module \'' + name + '\'');
        err.code = 'MODULE_NOT_FOUND';
        throw err;
      }

      localRequire.resolve = resolve;
      localRequire.cache = {};

      var module = cache[name] = new newRequire.Module(name);

      modules[name][0].call(module.exports, localRequire, module, module.exports, this);
    }

    return cache[name].exports;

    function localRequire(x){
      return newRequire(localRequire.resolve(x));
    }

    function resolve(x){
      return modules[name][1][x] || x;
    }
  }

  function Module(moduleName) {
    this.id = moduleName;
    this.bundle = newRequire;
    this.exports = {};
  }

  newRequire.isParcelRequire = true;
  newRequire.Module = Module;
  newRequire.modules = modules;
  newRequire.cache = cache;
  newRequire.parent = previousRequire;
  newRequire.register = function (id, exports) {
    modules[id] = [function (require, module) {
      module.exports = exports;
    }, {}];
  };

  var error;
  for (var i = 0; i < entry.length; i++) {
    try {
      newRequire(entry[i]);
    } catch (e) {
      // Save first error but execute all entries
      if (!error) {
        error = e;
      }
    }
  }

  if (entry.length) {
    // Expose entry point to Node, AMD or browser globals
    // Based on https://github.com/ForbesLindesay/umd/blob/master/template.js
    var mainExports = newRequire(entry[entry.length - 1]);

    // CommonJS
    if (typeof exports === "object" && typeof module !== "undefined") {
      module.exports = mainExports;

    // RequireJS
    } else if (typeof define === "function" && define.amd) {
     define(function () {
       return mainExports;
     });

    // <script>
    } else if (globalName) {
      this[globalName] = mainExports;
    }
  }

  // Override the current require with this new one
  parcelRequire = newRequire;

  if (error) {
    // throw error from earlier, _after updating parcelRequire_
    throw error;
  }

  return newRequire;
})({"JLza":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

/**
 * @param {Date} date
 * @returns {string} As YYYY-MM-DD
 */
const dateToString = date => [date.getFullYear(), (date.getMonth() + 1).toString().padStart(2, '0'), date.getDate().toString().padStart(2, '0')].join('-');
/**
 * @param {string} dobString In format YYYY or YYYY-MM or YYYY-MM-DD
 * @returns {number} Number of years old
 */


var _default = dobString => {
  const now = new Date();
  const currentYear = now.getFullYear(); // by creating both dates using the same mechanism
  // we can safely compare them without worrying about
  // timezones, etc.

  const todayDate = new Date(dateToString(now));
  const birthDate = new Date(dobString); // grabbing the number of years

  const yearsOld = currentYear - birthDate.getFullYear(); // now we modify birthday to be same year as today
  // so we can do a simple comparison to see if the
  // day has occurred yet

  birthDate.setFullYear(currentYear);
  return Math.max(birthDate > todayDate ? yearsOld - 1 : yearsOld, 0);
};

exports.default = _default;
},{}],"A3gJ":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getParts = exports.testOrder = exports.finalOutput = exports.toISO = exports.getCombosToTry = void 0;

const isNumber = str => /^\d+$/.test(str);

const containsLetters = str => /[a-z]/g.test(str);

const extractNumbers = str => {
  const match = (str || '').match(/\d+/);
  return match && match[0] || null;
};

const months = {
  jan: '01',
  feb: '02',
  mar: '03',
  apr: '04',
  may: '05',
  jun: '06',
  jul: '07',
  aug: '08',
  sep: '09',
  oct: '10',
  nov: '11',
  dec: '12'
};

const clean = str => str.replace(/[۰-۹]/g, d => '۰۱۲۳۴۵۶۷۸۹'.indexOf(d)).replace(/[٠-٩]/g, d => '٠١٢٣٤٥٦٧٨٩'.indexOf(d)).replace(/[^A-Za-z0-9]+/g, ' ').trim().toLowerCase();

const mightBeComplete = str => /^[0-9]+$/g.test(str) && (str.length === 6 || str.length === 8);

const isInFuture = ({
  year,
  month,
  date
}) => {
  const d = new Date();
  d.setHours(12);
  const currentYear = d.getFullYear();

  if (year !== currentYear) {
    return year > currentYear;
  }

  const currentMonth = d.getMonth() + 1; // year is the same

  if (month !== currentMonth) {
    return month > currentMonth;
  } // month is the same too


  const currentDate = d.getDate();
  return date > currentDate;
};

const parseFns = {
  month: str => {
    if (!str) {
      return null;
    } // if they're numeric


    const numbers = extractNumbers(str);

    if (numbers) {
      const num = Number(numbers);

      if (num > 0 && num <= 12) {
        return num;
      }
    }

    const lower = str.toLowerCase();
    let match = months[lower.slice(0, 1)];
    if (match) return match;
    match = months[lower.slice(0, 2)];
    if (match) return match;
    match = months[lower.slice(0, 3)];
    if (match) return match;
    return null;
  },
  year: str => {
    if (!isNumber(str)) {
      return null;
    }

    const maxYear = new Date().getFullYear();
    const minYear = 1000;
    const num = Number(str);

    if (num > minYear && num <= maxYear) {
      return num;
    } // guess year based on current date
    // assume < 100 years old


    if (str.length === 2) {
      const lastTwoDigitsOfMaxYear = Number((maxYear + '').slice(2, 4));
      const firstTwoDigitsOfMaxYear = Number((maxYear + '').slice(0, 2));

      if (lastTwoDigitsOfMaxYear > num) {
        return firstTwoDigitsOfMaxYear * 100 + num;
      } else {
        return firstTwoDigitsOfMaxYear * 100 - 100 + num;
      }
    }

    return null;
  },
  date: str => {
    const numbers = extractNumbers(str);

    if (!numbers) {
      return null;
    }

    const num = Number(numbers);

    if (num > 0 && num <= 31) {
      return num;
    }

    return null;
  }
};

const memo = fn => {
  let lastArg;
  let lastRes;
  let hasRan = false;
  return arg => {
    if (arg === lastArg && hasRan) {
      return lastRes;
    }

    hasRan = true;
    lastRes = fn(arg);
    lastArg = arg;
    return lastRes;
  };
};

const arraysEqual = (a, b) => a.every((item, index) => b[index] === item);

const standardOrder = ['year', 'month', 'date'];

const getLocaleOrder = locale => {
  const dateString = clean(new Date(2021, 3, 5).toLocaleDateString(locale));
  const res = [{
    name: 'month',
    index: dateString.indexOf('4')
  }, {
    name: 'year',
    index: dateString.indexOf('2021')
  }, {
    name: 'date',
    index: dateString.indexOf('5')
  }];
  res.sort((a, b) => a.index - b.index);
  const names = res.map(item => item.name);
  return arraysEqual(names, standardOrder) ? [names] : [names, standardOrder];
};

const getCombosToTry = memo(locale => ({
  1: [['year']],
  2: [['year', 'month'], ['month', 'year']],
  3: getLocaleOrder(locale)
}));
exports.getCombosToTry = getCombosToTry;

const toISO = ({
  year,
  month,
  date
}) => {
  if (!year) return null;
  let res = year + '';

  if (month) {
    res += '-' + (month + '').padStart(2, '0');

    if (date) {
      res += '-' + (date + '').padStart(2, '0');
    }
  }

  return res;
};

exports.toISO = toISO;

const finalOutput = values => isInFuture(values) ? null : toISO(values);

exports.finalOutput = finalOutput;

const testOrder = (order, parts) => {
  const result = {};

  for (let i = 0, l = order.length; i < l; i++) {
    const part = parts[i];
    const partName = order[i];
    const value = parseFns[partName](part);

    if (!value) {
      return null;
    }

    result[partName] = value;
  }

  return result;
};

exports.testOrder = testOrder;

const getParts = str => {
  const cleaned = clean(str);
  const split = cleaned.split(/\s+/).filter(Boolean);
  const result = {
    parts: [],
    knownOrder: null
  }; // just numbers of 6 of 8 chars

  if (mightBeComplete(cleaned)) {
    result.parts = [cleaned.slice(0, 2), cleaned.slice(2, 4), cleaned.slice(4)];
    const ordersToTry = [['month', 'date', 'year'], ['date', 'month', 'year']];
    result.knownOrder = ordersToTry.reduce((res, order) => {
      if (res) {
        return res;
      }

      return testOrder(order, result.parts);
    }, null);
    return result;
  }

  if (containsLetters(cleaned)) {
    const monthIndex = split.findIndex(containsLetters);
    const monthValue = parseFns.month(split[monthIndex]);
    const otherParts = [...split.slice(0, monthIndex), ...split.slice(monthIndex + 1)];

    if (split.length === 2) {
      result.knownOrder = {
        month: monthValue,
        year: parseFns.year(split[monthIndex === 0 ? 1 : 0])
      };
      return result;
    }

    if (split.length === 3) {
      const ordersToTry = monthIndex === 0 ? [['date', 'year']] : [['year', 'date'], ['date', 'year']];
      result.knownOrder = Object.assign({
        month: monthValue
      }, ordersToTry.reduce((res, order) => {
        if (res) {
          return res;
        }

        return testOrder(order, otherParts);
      }, null));
      return result;
    }

    return result;
  }

  for (let index = 0, l = split.length; index < l; index++) {
    const value = split[index].trim();

    if (!value) {
      continue;
    } // handles arabian/persian strings: ie `2‏/1‏/2021`


    const {
      length
    } = value;

    if (index === 0 && isNumber(value) && (length === 6 || length === 5)) {
      // last 4 are years
      result.parts.push(value.slice(0, length === 5 ? 1 : 2), value.slice(-4));
    } else {
      result.parts.push(value);
    }
  }

  return result;
};

exports.getParts = getParts;
},{}],"D6Ze":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _utils = require("./utils.js");

/**
 * This function turns a wide range of freeform input describing someone's birth
 * date into `YYYY-MM-DD` or `YYYY-MM` or `YYYY` using environment's locale to
 * get proper day / month order.
 *
 * @param {string} dobString In unknown format
 * @param {string} [locale] If you want to use a specific locale you can, but
 *   generally this won't be necessary it will default to environment's locale.
 * @returns {string | null} In format YYYY or YYYY-MM or YYYY-MM-DD
 */
var _default = (dobString, locale) => {
  if (!dobString || typeof dobString !== 'string') return null;
  const {
    knownOrder,
    parts
  } = (0, _utils.getParts)(dobString.trim());

  if (knownOrder) {
    return (0, _utils.finalOutput)(knownOrder);
  }

  const combosToTry = (0, _utils.getCombosToTry)(locale)[parts.length];
  if (!combosToTry) return null;

  for (let i = 0, l = combosToTry.length; i < l; i++) {
    const res = (0, _utils.testOrder)(combosToTry[i], parts);

    if (res) {
      return (0, _utils.finalOutput)(res);
    }
  }

  return null;
};

exports.default = _default;
},{"./utils.js":"A3gJ"}],"aSor":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.render = N;
exports.hydrate = O;
exports.h = exports.createElement = a;
exports.Fragment = y;
exports.createRef = h;
exports.Component = p;
exports.cloneElement = S;
exports.createContext = q;
exports.toChildArray = w;
exports.options = exports.isValidElement = void 0;
var n,
    l,
    u,
    i,
    t,
    o,
    r = {},
    f = [],
    e = /acit|ex(?:s|g|n|p|$)|rph|grid|ows|mnc|ntw|ine[ch]|zoo|^ord|itera/i;
exports.isValidElement = l;
exports.options = n;

function c(n, l) {
  for (var u in l) n[u] = l[u];

  return n;
}

function s(n) {
  var l = n.parentNode;
  l && l.removeChild(n);
}

function a(n, l, u) {
  var i,
      t,
      o,
      r = arguments,
      f = {};

  for (o in l) "key" == o ? i = l[o] : "ref" == o ? t = l[o] : f[o] = l[o];

  if (arguments.length > 3) for (u = [u], o = 3; o < arguments.length; o++) u.push(r[o]);
  if (null != u && (f.children = u), "function" == typeof n && null != n.defaultProps) for (o in n.defaultProps) void 0 === f[o] && (f[o] = n.defaultProps[o]);
  return v(n, f, i, t, null);
}

function v(l, u, i, t, o) {
  var r = {
    type: l,
    props: u,
    key: i,
    ref: t,
    __k: null,
    __: null,
    __b: 0,
    __e: null,
    __d: void 0,
    __c: null,
    __h: null,
    constructor: void 0,
    __v: null == o ? ++n.__v : o
  };
  return null != n.vnode && n.vnode(r), r;
}

function h() {
  return {
    current: null
  };
}

function y(n) {
  return n.children;
}

function p(n, l) {
  this.props = n, this.context = l;
}

function d(n, l) {
  if (null == l) return n.__ ? d(n.__, n.__.__k.indexOf(n) + 1) : null;

  for (var u; l < n.__k.length; l++) if (null != (u = n.__k[l]) && null != u.__e) return u.__e;

  return "function" == typeof n.type ? d(n) : null;
}

function _(n) {
  var l, u;

  if (null != (n = n.__) && null != n.__c) {
    for (n.__e = n.__c.base = null, l = 0; l < n.__k.length; l++) if (null != (u = n.__k[l]) && null != u.__e) {
      n.__e = n.__c.base = u.__e;
      break;
    }

    return _(n);
  }
}

function k(l) {
  (!l.__d && (l.__d = !0) && u.push(l) && !b.__r++ || t !== n.debounceRendering) && ((t = n.debounceRendering) || i)(b);
}

function b() {
  for (var n; b.__r = u.length;) n = u.sort(function (n, l) {
    return n.__v.__b - l.__v.__b;
  }), u = [], n.some(function (n) {
    var l, u, i, t, o, r;
    n.__d && (o = (t = (l = n).__v).__e, (r = l.__P) && (u = [], (i = c({}, t)).__v = t.__v + 1, I(r, t, i, l.__n, void 0 !== r.ownerSVGElement, null != t.__h ? [o] : null, u, null == o ? d(t) : o, t.__h), T(u, t), t.__e != o && _(t)));
  });
}

function m(n, l, u, i, t, o, e, c, s, a) {
  var h,
      p,
      _,
      k,
      b,
      m,
      w,
      A = i && i.__k || f,
      P = A.length;

  for (u.__k = [], h = 0; h < l.length; h++) if (null != (k = u.__k[h] = null == (k = l[h]) || "boolean" == typeof k ? null : "string" == typeof k || "number" == typeof k || "bigint" == typeof k ? v(null, k, null, null, k) : Array.isArray(k) ? v(y, {
    children: k
  }, null, null, null) : k.__b > 0 ? v(k.type, k.props, k.key, null, k.__v) : k)) {
    if (k.__ = u, k.__b = u.__b + 1, null === (_ = A[h]) || _ && k.key == _.key && k.type === _.type) A[h] = void 0;else for (p = 0; p < P; p++) {
      if ((_ = A[p]) && k.key == _.key && k.type === _.type) {
        A[p] = void 0;
        break;
      }

      _ = null;
    }
    I(n, k, _ = _ || r, t, o, e, c, s, a), b = k.__e, (p = k.ref) && _.ref != p && (w || (w = []), _.ref && w.push(_.ref, null, k), w.push(p, k.__c || b, k)), null != b ? (null == m && (m = b), "function" == typeof k.type && null != k.__k && k.__k === _.__k ? k.__d = s = g(k, s, n) : s = x(n, k, _, A, b, s), a || "option" !== u.type ? "function" == typeof u.type && (u.__d = s) : n.value = "") : s && _.__e == s && s.parentNode != n && (s = d(_));
  }

  for (u.__e = m, h = P; h--;) null != A[h] && ("function" == typeof u.type && null != A[h].__e && A[h].__e == u.__d && (u.__d = d(i, h + 1)), L(A[h], A[h]));

  if (w) for (h = 0; h < w.length; h++) z(w[h], w[++h], w[++h]);
}

function g(n, l, u) {
  var i, t;

  for (i = 0; i < n.__k.length; i++) (t = n.__k[i]) && (t.__ = n, l = "function" == typeof t.type ? g(t, l, u) : x(u, t, t, n.__k, t.__e, l));

  return l;
}

function w(n, l) {
  return l = l || [], null == n || "boolean" == typeof n || (Array.isArray(n) ? n.some(function (n) {
    w(n, l);
  }) : l.push(n)), l;
}

function x(n, l, u, i, t, o) {
  var r, f, e;
  if (void 0 !== l.__d) r = l.__d, l.__d = void 0;else if (null == u || t != o || null == t.parentNode) n: if (null == o || o.parentNode !== n) n.appendChild(t), r = null;else {
    for (f = o, e = 0; (f = f.nextSibling) && e < i.length; e += 2) if (f == t) break n;

    n.insertBefore(t, o), r = o;
  }
  return void 0 !== r ? r : t.nextSibling;
}

function A(n, l, u, i, t) {
  var o;

  for (o in u) "children" === o || "key" === o || o in l || C(n, o, null, u[o], i);

  for (o in l) t && "function" != typeof l[o] || "children" === o || "key" === o || "value" === o || "checked" === o || u[o] === l[o] || C(n, o, l[o], u[o], i);
}

function P(n, l, u) {
  "-" === l[0] ? n.setProperty(l, u) : n[l] = null == u ? "" : "number" != typeof u || e.test(l) ? u : u + "px";
}

function C(n, l, u, i, t) {
  var o;

  n: if ("style" === l) {
    if ("string" == typeof u) n.style.cssText = u;else {
      if ("string" == typeof i && (n.style.cssText = i = ""), i) for (l in i) u && l in u || P(n.style, l, "");
      if (u) for (l in u) i && u[l] === i[l] || P(n.style, l, u[l]);
    }
  } else if ("o" === l[0] && "n" === l[1]) o = l !== (l = l.replace(/Capture$/, "")), l = l.toLowerCase() in n ? l.toLowerCase().slice(2) : l.slice(2), n.l || (n.l = {}), n.l[l + o] = u, u ? i || n.addEventListener(l, o ? H : $, o) : n.removeEventListener(l, o ? H : $, o);else if ("dangerouslySetInnerHTML" !== l) {
    if (t) l = l.replace(/xlink[H:h]/, "h").replace(/sName$/, "s");else if ("href" !== l && "list" !== l && "form" !== l && "tabIndex" !== l && "download" !== l && l in n) try {
      n[l] = null == u ? "" : u;
      break n;
    } catch (n) {}
    "function" == typeof u || (null != u && (!1 !== u || "a" === l[0] && "r" === l[1]) ? n.setAttribute(l, u) : n.removeAttribute(l));
  }
}

function $(l) {
  this.l[l.type + !1](n.event ? n.event(l) : l);
}

function H(l) {
  this.l[l.type + !0](n.event ? n.event(l) : l);
}

function I(l, u, i, t, o, r, f, e, s) {
  var a,
      v,
      h,
      d,
      _,
      k,
      b,
      g,
      w,
      x,
      A,
      P = u.type;

  if (void 0 !== u.constructor) return null;
  null != i.__h && (s = i.__h, e = u.__e = i.__e, u.__h = null, r = [e]), (a = n.__b) && a(u);

  try {
    n: if ("function" == typeof P) {
      if (g = u.props, w = (a = P.contextType) && t[a.__c], x = a ? w ? w.props.value : a.__ : t, i.__c ? b = (v = u.__c = i.__c).__ = v.__E : ("prototype" in P && P.prototype.render ? u.__c = v = new P(g, x) : (u.__c = v = new p(g, x), v.constructor = P, v.render = M), w && w.sub(v), v.props = g, v.state || (v.state = {}), v.context = x, v.__n = t, h = v.__d = !0, v.__h = []), null == v.__s && (v.__s = v.state), null != P.getDerivedStateFromProps && (v.__s == v.state && (v.__s = c({}, v.__s)), c(v.__s, P.getDerivedStateFromProps(g, v.__s))), d = v.props, _ = v.state, h) null == P.getDerivedStateFromProps && null != v.componentWillMount && v.componentWillMount(), null != v.componentDidMount && v.__h.push(v.componentDidMount);else {
        if (null == P.getDerivedStateFromProps && g !== d && null != v.componentWillReceiveProps && v.componentWillReceiveProps(g, x), !v.__e && null != v.shouldComponentUpdate && !1 === v.shouldComponentUpdate(g, v.__s, x) || u.__v === i.__v) {
          v.props = g, v.state = v.__s, u.__v !== i.__v && (v.__d = !1), v.__v = u, u.__e = i.__e, u.__k = i.__k, u.__k.forEach(function (n) {
            n && (n.__ = u);
          }), v.__h.length && f.push(v);
          break n;
        }

        null != v.componentWillUpdate && v.componentWillUpdate(g, v.__s, x), null != v.componentDidUpdate && v.__h.push(function () {
          v.componentDidUpdate(d, _, k);
        });
      }
      v.context = x, v.props = g, v.state = v.__s, (a = n.__r) && a(u), v.__d = !1, v.__v = u, v.__P = l, a = v.render(v.props, v.state, v.context), v.state = v.__s, null != v.getChildContext && (t = c(c({}, t), v.getChildContext())), h || null == v.getSnapshotBeforeUpdate || (k = v.getSnapshotBeforeUpdate(d, _)), A = null != a && a.type === y && null == a.key ? a.props.children : a, m(l, Array.isArray(A) ? A : [A], u, i, t, o, r, f, e, s), v.base = u.__e, u.__h = null, v.__h.length && f.push(v), b && (v.__E = v.__ = null), v.__e = !1;
    } else null == r && u.__v === i.__v ? (u.__k = i.__k, u.__e = i.__e) : u.__e = j(i.__e, u, i, t, o, r, f, s);

    (a = n.diffed) && a(u);
  } catch (l) {
    u.__v = null, (s || null != r) && (u.__e = e, u.__h = !!s, r[r.indexOf(e)] = null), n.__e(l, u, i);
  }
}

function T(l, u) {
  n.__c && n.__c(u, l), l.some(function (u) {
    try {
      l = u.__h, u.__h = [], l.some(function (n) {
        n.call(u);
      });
    } catch (l) {
      n.__e(l, u.__v);
    }
  });
}

function j(n, l, u, i, t, o, e, c) {
  var a,
      v,
      h,
      y,
      p = u.props,
      d = l.props,
      _ = l.type,
      k = 0;
  if ("svg" === _ && (t = !0), null != o) for (; k < o.length; k++) if ((a = o[k]) && (a === n || (_ ? a.localName == _ : 3 == a.nodeType))) {
    n = a, o[k] = null;
    break;
  }

  if (null == n) {
    if (null === _) return document.createTextNode(d);
    n = t ? document.createElementNS("http://www.w3.org/2000/svg", _) : document.createElement(_, d.is && d), o = null, c = !1;
  }

  if (null === _) p === d || c && n.data === d || (n.data = d);else {
    if (o = o && f.slice.call(n.childNodes), v = (p = u.props || r).dangerouslySetInnerHTML, h = d.dangerouslySetInnerHTML, !c) {
      if (null != o) for (p = {}, y = 0; y < n.attributes.length; y++) p[n.attributes[y].name] = n.attributes[y].value;
      (h || v) && (h && (v && h.__html == v.__html || h.__html === n.innerHTML) || (n.innerHTML = h && h.__html || ""));
    }

    if (A(n, d, p, t, c), h) l.__k = [];else if (k = l.props.children, m(n, Array.isArray(k) ? k : [k], l, u, i, t && "foreignObject" !== _, o, e, n.firstChild, c), null != o) for (k = o.length; k--;) null != o[k] && s(o[k]);
    c || ("value" in d && void 0 !== (k = d.value) && (k !== n.value || "progress" === _ && !k) && C(n, "value", k, p.value, !1), "checked" in d && void 0 !== (k = d.checked) && k !== n.checked && C(n, "checked", k, p.checked, !1));
  }
  return n;
}

function z(l, u, i) {
  try {
    "function" == typeof l ? l(u) : l.current = u;
  } catch (l) {
    n.__e(l, i);
  }
}

function L(l, u, i) {
  var t, o, r;

  if (n.unmount && n.unmount(l), (t = l.ref) && (t.current && t.current !== l.__e || z(t, null, u)), i || "function" == typeof l.type || (i = null != (o = l.__e)), l.__e = l.__d = void 0, null != (t = l.__c)) {
    if (t.componentWillUnmount) try {
      t.componentWillUnmount();
    } catch (l) {
      n.__e(l, u);
    }
    t.base = t.__P = null;
  }

  if (t = l.__k) for (r = 0; r < t.length; r++) t[r] && L(t[r], u, i);
  null != o && s(o);
}

function M(n, l, u) {
  return this.constructor(n, u);
}

function N(l, u, i) {
  var t, o, e;
  n.__ && n.__(l, u), o = (t = "function" == typeof i) ? null : i && i.__k || u.__k, e = [], I(u, l = (!t && i || u).__k = a(y, null, [l]), o || r, r, void 0 !== u.ownerSVGElement, !t && i ? [i] : o ? null : u.firstChild ? f.slice.call(u.childNodes) : null, e, !t && i ? i : o ? o.__e : u.firstChild, t), T(e, l);
}

function O(n, l) {
  N(n, l, O);
}

function S(n, l, u) {
  var i,
      t,
      o,
      r = arguments,
      f = c({}, n.props);

  for (o in l) "key" == o ? i = l[o] : "ref" == o ? t = l[o] : f[o] = l[o];

  if (arguments.length > 3) for (u = [u], o = 3; o < arguments.length; o++) u.push(r[o]);
  return null != u && (f.children = u), v(n.type, f, i || n.key, t || n.ref, null);
}

function q(n, l) {
  var u = {
    __c: l = "__cC" + o++,
    __: n,
    Consumer: function (n, l) {
      return n.children(l);
    },
    Provider: function (n) {
      var u, i;
      return this.getChildContext || (u = [], (i = {})[l] = this, this.getChildContext = function () {
        return i;
      }, this.shouldComponentUpdate = function (n) {
        this.props.value !== n.value && u.some(k);
      }, this.sub = function (n) {
        u.push(n);
        var l = n.componentWillUnmount;

        n.componentWillUnmount = function () {
          u.splice(u.indexOf(n), 1), l && l.call(n);
        };
      }), n.children;
    }
  };
  return u.Provider.__ = u.Consumer.contextType = u;
}

exports.options = n = {
  __e: function (n, l) {
    for (var u, i, t; l = l.__;) if ((u = l.__c) && !u.__) try {
      if ((i = u.constructor) && null != i.getDerivedStateFromError && (u.setState(i.getDerivedStateFromError(n)), t = u.__d), null != u.componentDidCatch && (u.componentDidCatch(n), t = u.__d), t) return u.__E = u;
    } catch (l) {
      n = l;
    }

    throw n;
  },
  __v: 0
}, exports.isValidElement = l = function (n) {
  return null != n && void 0 === n.constructor;
}, p.prototype.setState = function (n, l) {
  var u;
  u = null != this.__s && this.__s !== this.state ? this.__s : this.__s = c({}, this.state), "function" == typeof n && (n = n(c({}, u), this.props)), n && c(u, n), null != n && this.__v && (l && this.__h.push(l), k(this));
}, p.prototype.forceUpdate = function (n) {
  this.__v && (this.__e = !0, n && this.__h.push(n), k(this));
}, p.prototype.render = y, u = [], i = "function" == typeof Promise ? Promise.prototype.then.bind(Promise.resolve()) : setTimeout, b.__r = 0, o = 0;
},{}],"qb7c":[function(require,module,exports) {
var define;
/*!
  Copyright (c) 2017 Jed Watson.
  Licensed under the MIT License (MIT), see
  http://jedwatson.github.io/classnames
*/
/* global define */

(function () {
	'use strict';

	var hasOwn = {}.hasOwnProperty;

	function classNames () {
		var classes = [];

		for (var i = 0; i < arguments.length; i++) {
			var arg = arguments[i];
			if (!arg) continue;

			var argType = typeof arg;

			if (argType === 'string' || argType === 'number') {
				classes.push(arg);
			} else if (Array.isArray(arg) && arg.length) {
				var inner = classNames.apply(null, arg);
				if (inner) {
					classes.push(inner);
				}
			} else if (argType === 'object') {
				for (var key in arg) {
					if (hasOwn.call(arg, key) && arg[key]) {
						classes.push(key);
					}
				}
			}
		}

		return classes.join(' ');
	}

	if (typeof module !== 'undefined' && module.exports) {
		classNames.default = classNames;
		module.exports = classNames;
	} else if (typeof define === 'function' && typeof define.amd === 'object' && define.amd) {
		// register as 'classnames', consistent with npm package name
		define('classnames', [], function () {
			return classNames;
		});
	} else {
		window.classNames = classNames;
	}
}());

},{}],"u6Qp":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.toNumber = void 0;

/**
 * Takes any import runs `Number(input)` returns the number or 0 if NaN
 *
 * @param {any} input
 * @returns {number}
 */
var toNumber = function toNumber(input) {
  var num = Number(input);
  return isNaN(num) ? 0 : num;
};

exports.toNumber = toNumber;
},{}],"JIRj":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.nullIfEmpty = exports.omit = exports.pluck = exports.removeKeysWithNullishValues = exports.objectStringToNumber = exports.replaceObjectRawKeys = exports.arrayToObject = void 0;

var _toNumber = require("./to-number");

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

/**
 * Takes an array of objects with a shared key and returns an object keyed by idPropName
 *
 * @param {array} arrayOfObjects Array of objects
 * @param {string} idPropName=id The keyname to use as the key in the resulting object
 * @returns {object} Keyed by idPropName
 */
var arrayToObject = function arrayToObject(arrayOfObjects) {
  var idPropName = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 'id';
  return arrayOfObjects.reduce(function (result, item) {
    result[item[idPropName]] = item;
    return result;
  }, {});
};
/**
 * Takes an object of simple keys/values and returns a corresponding new object.
 * If there are any keys in the original object whose name end with "_raw" the
 * returned object will have a corresponding key (without the _raw suffix) but
 * with its value always converted into a JS number. If it cannot be converted
 * to a number the value will be zero. This way, you can always do math with the result
 *
 * @param {any} obj
 * @returns {object} Updated object
 */


exports.arrayToObject = arrayToObject;

var replaceObjectRawKeys = function replaceObjectRawKeys(obj) {
  var extraValues = {};

  for (var key in obj) {
    if (key.endsWith('_raw')) {
      extraValues[key.replace('_raw', '')] = (0, _toNumber.toNumber)(obj[key]);
    }
  }

  return _objectSpread(_objectSpread({}, obj), extraValues);
};
/**
 * When given an object of objects returns a new object where each "value
 * object" has been processed through `replaceObjectRawKeys`
 *
 * @param {object} obj
 * @returns {object}
 */


exports.replaceObjectRawKeys = replaceObjectRawKeys;

var objectStringToNumber = function objectStringToNumber(obj) {
  var result = {};

  for (var key in obj) {
    result[key] = replaceObjectRawKeys(obj[key]);
  }

  return result;
};
/**
 * Returns a new object where any keys whose values are == null are removed
 *
 * @param {object} obj
 * @returns {object} New object with nullish values removed
 */


exports.objectStringToNumber = objectStringToNumber;

var removeKeysWithNullishValues = function removeKeysWithNullishValues(obj) {
  var result = {};

  for (var key in obj) {
    var value = obj[key];

    if (value != null) {
      result[key] = value;
    }
  }

  return result;
};
/**
 * Construct new object with keys you care about from another object.
 *
 * @param {object} obj
 * @param {string[]} keys Array of keys to include in new object
 * @returns New object with only the keys specified in the second parameter
 */


exports.removeKeysWithNullishValues = removeKeysWithNullishValues;

var pluck = function pluck(obj, keys) {
  return keys.reduce(function (result, key) {
    if (obj.hasOwnProperty(key)) {
      result[key] = obj[key];
    }

    return result;
  }, {});
};
/**
 * Construct a new object without keys specified in second argument
 *
 * @param {object} obj Starting object
 * @param {string[]} keysToSkip Keys you don't want in the resulting object
 */


exports.pluck = pluck;

var omit = function omit(obj) {
  var keysToSkip = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];
  var copy = Object.assign({}, obj);
  keysToSkip.forEach(function (key) {
    delete copy[key];
  });
  return copy;
};
/**
 * Returns item or null if item is falsy, an empty array, or an empty object.
 *
 * @param {any} item Starting object
 * @returns {any} Returns passed item or null
 */


exports.omit = omit;

var nullIfEmpty = function nullIfEmpty(item) {
  if (item == null) {
    return null;
  }

  if (item.length === 0) {
    return null;
  }

  if (Object.keys(item).length === 0) {
    return null;
  }

  return item;
};

exports.nullIfEmpty = nullIfEmpty;
},{"./to-number":"u6Qp"}],"PNa2":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _preact = require("preact");

var _classnames = _interopRequireDefault(require("classnames"));

var _object = require("./object");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }

function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && Symbol.iterator in Object(iter)) return Array.from(iter); }

function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

var alwaysPassThroughProps = ['disabled'];
/**
 * @param {{
 *   tagName?: string
 *   baseClasses?: string
 *   options?: any
 *   style?: any
 *   fn?: any
 *   passThroughProps?: any
 *   defaultProps?: any
 *   renderChildren?: any
 * }} args
 * @returns {import('preact').ComponentType<object>}
 */

var _default = function _default(args) {
  var _args$tagName = args.tagName,
      tagName = _args$tagName === void 0 ? 'div' : _args$tagName,
      _args$baseClasses = args.baseClasses,
      baseClasses = _args$baseClasses === void 0 ? '' : _args$baseClasses,
      _args$options = args.options,
      options = _args$options === void 0 ? {} : _args$options,
      style = args.style,
      fn = args.fn,
      _args$passThroughProp = args.passThroughProps,
      passThroughProps = _args$passThroughProp === void 0 ? [] : _args$passThroughProp,
      defaultProps = args.defaultProps,
      renderChildren = args.renderChildren;
  var defaults = Object.assign({}, defaultProps);
  var propsToRemove = ['className', 'tagName'];
  var allOptionValues = Object.keys(options).reduce(function (result, key) {
    var value = options[key];

    if (_typeof(value) !== 'object') {
      defaults[key] = value;
      propsToRemove.push(key);
      result.push(value);
    } else {
      result.push.apply(result, _toConsumableArray(value));
    }

    return result;
  }, []);
  propsToRemove.push.apply(propsToRemove, _toConsumableArray(allOptionValues.filter(function (key) {
    return !passThroughProps.includes(key) && !alwaysPassThroughProps.includes(key);
  })));

  var componentFn = function componentFn(incomingProps) {
    var props = Object.assign({}, defaults, incomingProps);
    var finalTagName = props.tagName || tagName;
    var passThroughProps = (0, _object.omit)(props, propsToRemove);
    var className = (0, _classnames.default)(baseClasses, fn && fn(props), props.className);
    var combinedStyle = Object.assign({}, style, props.style);
    var renderedChildren = renderChildren ? renderChildren(props) : props.children;
    return (0, _preact.h)(finalTagName, Object.assign({
      className: className,
      style: combinedStyle
    }, passThroughProps), renderedChildren);
  };

  componentFn.definition = args;
  return componentFn;
};

exports.default = _default;
},{"preact":"aSor","classnames":"qb7c","./object":"JIRj"}],"HFwh":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _preact = require("preact");

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var _default = function _default(props) {
  return (0, _preact.h)("svg", _extends({
    viewBox: "0 0 24 24"
  }, props), (0, _preact.h)("path", {
    d: "M20 12c0-2.2-2-4-4.5-4h-9C4 8 2 9.8 2 12s2 4 4.5 4h9c2.5 0 4.5-1.8 4.5-4zm-9.5 2.1V9.9h5.7c1.3.4 2 1 2 2.1 0 1-.7 1.7-2 2.1h-5.7z",
    "fill-rule": "nonzero"
  }));
};

exports.default = _default;
},{"preact":"aSor"}],"q6DE":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LoadingDots = void 0;

var _preact = require("preact");

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var LoadingDots = function LoadingDots(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      rest = _objectWithoutProperties(_ref, ["size"]);

  var usableSize = size * 0.75;
  var padding = size * 0.125;
  var radius = usableSize / 8;
  return (0, _preact.h)("svg", _extends({
    className: "dot-animation",
    width: size,
    height: size
  }, rest), (0, _preact.h)("circle", {
    cx: radius + padding,
    cy: radius * 3,
    r: radius
  }), (0, _preact.h)("circle", {
    cx: radius * 4 + padding,
    cy: radius * 3,
    r: radius
  }), (0, _preact.h)("circle", {
    cx: radius * 7 + padding,
    cy: radius * 3,
    r: radius
  }));
};

exports.LoadingDots = LoadingDots;
},{"preact":"aSor"}],"p1PQ":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LiveDotIcon = void 0;

var _preact = require("preact");

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return; var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

var baseAnimation = [{
  opacity: 1,
  transform: 'scale(0)'
}, {
  opacity: 0.2,
  offset: 0.7
}, {
  opacity: 0,
  transform: 'scale(1)',
  color: '#000'
}];

var LiveDotIcon = /*#__PURE__*/function (_Component) {
  _inherits(LiveDotIcon, _Component);

  var _super = _createSuper(LiveDotIcon);

  function LiveDotIcon(props) {
    _classCallCheck(this, LiveDotIcon);

    return _super.call(this, props);
  }

  _createClass(LiveDotIcon, [{
    key: "setSpeed",
    value: function setSpeed(newSpeed) {
      var circles = this.getCircles();
      this.currentSpeed = newSpeed;

      if (circles) {
        try {
          circles.forEach(function (circle) {
            var _circle$getAnimations = circle.getAnimations(),
                _circle$getAnimations2 = _slicedToArray(_circle$getAnimations, 1),
                animation = _circle$getAnimations2[0];

            animation.updatePlaybackRate(newSpeed);
          });
        } catch (e) {// nothing
        }
      }
    }
  }, {
    key: "updateSpeed",
    value: function updateSpeed(newSpeed) {
      if (newSpeed !== this.currentSpeed) {
        this.setSpeed(newSpeed);
      }
    }
  }, {
    key: "componentDidMount",
    value: function componentDidMount() {
      this.startAnimation();
      this.setSpeed(this.props.speed);
    }
  }, {
    key: "shouldComponentUpdate",
    value: function shouldComponentUpdate(props) {
      if (props.size !== this.props.size) {
        return true;
      }

      return false;
    }
  }, {
    key: "UNSAFE_componentWillReceiveProps",
    value: function UNSAFE_componentWillReceiveProps(props) {
      this.updateSpeed(props.speed);
    }
  }, {
    key: "getCircles",
    value: function getCircles() {
      return this.base && Array.prototype.slice.call(this.base.children);
    }
  }, {
    key: "startAnimation",
    value: function startAnimation() {
      var circles = this.getCircles();

      if (circles) {
        try {
          circles.forEach(function (circle, i) {
            circle.animate(baseAnimation, {
              duration: 3000,
              delay: i * (3000 / 3),
              iterations: Infinity,
              easing: 'ease-out'
            });
          });
        } catch (e) {// nothing
        }
      }
    }
  }, {
    key: "render",
    value: function render() {
      var style = {
        transformOrigin: 'center'
      };

      var _this$props = this.props,
          _this$props$size = _this$props.size,
          size = _this$props$size === void 0 ? 24 : _this$props$size,
          rest = _objectWithoutProperties(_this$props, ["size"]);

      var usableSize = size * 0.98;
      var halfSize = usableSize / 2;
      var middle = size / 2;
      return (0, _preact.h)("svg", _extends({
        width: size,
        height: size
      }, rest), (0, _preact.h)("circle", {
        className: "o-0",
        style: style,
        cx: middle,
        cy: middle,
        r: halfSize
      }), (0, _preact.h)("circle", {
        className: "o-0",
        style: style,
        cx: middle,
        cy: middle,
        r: halfSize
      }), (0, _preact.h)("circle", {
        className: "o-0",
        style: style,
        cx: middle,
        cy: middle,
        r: halfSize
      }));
    }
  }]);

  return LiveDotIcon;
}(_preact.Component);

exports.LiveDotIcon = LiveDotIcon;
},{"preact":"aSor"}],"lty5":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getSineWavePath = void 0;

var getSineWavePath = function getSineWavePath(_ref) {
  var x = _ref.x,
      y = _ref.y,
      len = _ref.len,
      amp = _ref.amp,
      n = _ref.n;
  var top = y - amp;

  var c = function c(i) {
    return x + len * i;
  };

  var path = "M".concat(x, " ").concat(y, " Q").concat(c(0.5), " ").concat(top, ", ").concat(c(1), " ").concat(y);
  var count = 1;

  while (++count < n) {
    path += "T ".concat(c(count), " ").concat(y);
  }

  return path;
};

exports.getSineWavePath = getSineWavePath;
},{}],"avad":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SineWaveIcon = void 0;

var _preact = require("preact");

var _getSineWavePath = require("./utils/get-sine-wave-path");

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var SineWaveIcon = function SineWaveIcon(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 24 : _ref$size,
      rest = _objectWithoutProperties(_ref, ["size"]);

  var path = (0, _getSineWavePath.getSineWavePath)({
    x: 0,
    y: 8,
    len: 15,
    amp: 10,
    n: 15
  });
  var stroke = 5;
  var radius = 0.75 * 30;
  return (0, _preact.h)("svg", _extends({
    width: size,
    height: size,
    viewBox: "0 0 60 16"
  }, rest), (0, _preact.h)("clipPath", {
    id: "circClip"
  }, (0, _preact.h)("circle", {
    cx: "30",
    cy: "8",
    r: radius - 2
  })), (0, _preact.h)("path", {
    id: "squiggle",
    d: path,
    style: {
      animation: "move 4s linear infinite"
    },
    fill: "transparent",
    "stroke-width": stroke
  }), (0, _preact.h)("circle", {
    cx: "30",
    cy: "8",
    r: radius - 2,
    fill: "none",
    "stroke-width": stroke,
    stroke: "currentColor"
  }), (0, _preact.h)("use", {
    clipPath: "url(#circClip)",
    href: "#squiggle",
    stroke: "currentColor"
  }));
};

exports.SineWaveIcon = SineWaveIcon;
},{"preact":"aSor","./utils/get-sine-wave-path":"lty5"}],"dvrm":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CircledIcon = exports.Icon = void 0;

var _preact = require("preact");

var _classnames = _interopRequireDefault(require("classnames"));

var _object = require("./utils/object");

var _pillIcon = _interopRequireDefault(require("./pill-icon"));

var _loadingDotsIcon = require("./loading-dots-icon");

var _liveDotIcon = require("./live-dot-icon");

var _sineWaveIcon = require("./sine-wave-icon");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var customIcons = {
  pill: _pillIcon.default,
  loading_dots: _loadingDotsIcon.LoadingDots,
  live_dot: _liveDotIcon.LiveDotIcon,
  sine_wave: _sineWaveIcon.SineWaveIcon
};
/**
 * @typedef IconProps
 * @property {string} icon
 * @property {string | number} [size=24] Default is `24`
 * @property {string} [className]
 * @property {number} [speed] Where 0 is stopped 1 is normal speed.
 * @property {any} [style]
 */

/**
 * Icon
 *
 * @type {import('preact').FunctionComponent<IconProps>}
 */

var Icon = function Icon(props) {
  var icon = props.icon,
      size = props.size,
      className = props.className,
      style = props.style,
      speed = props.speed;
  var rest = (0, _object.omit)(props, ['icon', 'size', 'className']);
  var px = "".concat(size || 24, "px");
  var styles = Object.assign({}, style, {
    fontSize: px,
    width: px,
    height: px
  });
  var Custom = customIcons[icon];
  return (0, _preact.h)("i", _extends({}, rest, {
    style: styles,
    className: (0, _classnames.default)('dib flex-shrink-0', {
      'material-icons': !Custom
    }, className)
  }), Custom ? (0, _preact.h)(Custom, {
    speed: speed,
    size: size
  }) : icon);
};

exports.Icon = Icon;
var colors = {
  blue: ['bg-lightest-blue', 'blue'],
  yellow: ['bg-light-yellow', 'orange'],
  green: ['bg-light-green', 'dark-green'],
  gray: ['bg-light-gray', 'dark-gray'],
  red: ['bg-light-red', 'dark-red']
};
/**
 * @typedef CircleIconProps
 * @property {string} icon
 * @property {string | number} [size=24] Default is `24`
 * @property {'blue' | 'yellow' | 'green' | 'gray' | 'red'} [color]
 * @property {number} [speed] Where 0 is stopped 1 is normal speed.
 */

/**
 * CircledIcon
 *
 * @type {import('preact').FunctionComponent<CircleIconProps>}
 */

var CircledIcon = function CircledIcon(_ref) {
  var icon = _ref.icon,
      size = _ref.size,
      color = _ref.color,
      speed = _ref.speed;
  size = size ? Number(size) : 24;
  var circleSize = "".concat(Math.round(size * 1.5), "px");
  var matchedColor = color && colors[color];
  return (0, _preact.h)("div", {
    style: {
      width: circleSize,
      height: circleSize
    },
    className: (0, _classnames.default)('inline-flex items-center justify-center br-100 flex-shrink-0', matchedColor && matchedColor[0])
  }, (0, _preact.h)(Icon, {
    icon: icon,
    size: size,
    speed: speed,
    className: (0, _classnames.default)(matchedColor && matchedColor[1])
  }));
};

exports.CircledIcon = CircledIcon;
},{"preact":"aSor","classnames":"qb7c","./utils/object":"JIRj","./pill-icon":"HFwh","./loading-dots-icon":"q6DE","./live-dot-icon":"p1PQ","./sine-wave-icon":"avad"}],"zoTV":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TapIconButton = exports.IconButton = exports.Button = exports.ButtonWrapper = void 0;

var _preact = require("preact");

var _getStyledComponent = _interopRequireDefault(require("./utils/get-styled-component"));

var _icon = require("./icon");

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var preventDefault = function preventDefault(e) {
  e.preventDefault();
};

var ButtonWrapper = (0, _getStyledComponent.default)({
  tagName: 'div',
  baseClasses: 'flex items-center gap2',
  fn: function fn(_ref) {
    var children = _ref.children;
    return children;
  }
});
exports.ButtonWrapper = ButtonWrapper;
var Button = (0, _getStyledComponent.default)({
  tagName: 'button',
  baseClasses: 'br2 ba',
  options: {
    size: ['tiny', 'large'],
    pressed: ['pressed'],
    variant: ['primary', 'stop', 'disabled']
  },
  defaultProps: {
    onContextMenu: preventDefault
  },
  fn: function fn(_ref2) {
    var tiny = _ref2.tiny,
        large = _ref2.large,
        disabled = _ref2.disabled,
        pressed = _ref2.pressed,
        primary = _ref2.primary,
        stop = _ref2.stop;
    var classes = ['bn']; // handle sizes

    if (tiny) {
      classes.push('pa1');
    } else if (large) {
      classes.push('pa3 fw6');
    } else {
      classes.push('pa2');
    } // if disabled stop here


    if (disabled) {
      classes.push('mid-gray bg-light-gray not-allowed');
      return classes.join(' ');
    } // pointer class


    classes.push('pointer');

    if (pressed) {
      classes.push('shadow-3');
    } else {
      classes.push('shadow-2');
    }

    if (stop) {
      classes.push('white bg-red');
    }

    if (primary) {
      classes.push('dark-blue bg-light-blue');
    }

    if (!stop && !primary) {
      classes.push('dark-blue');

      if (pressed) {
        classes.push('bg-lightest-blue');
      } else {
        classes.push('bg-white');
      }
    }

    return classes.join(' ');
  }
});
exports.Button = Button;

var getDefaultIconSize = function getDefaultIconSize(props) {
  if (props.large) {
    return 24;
  }

  if (props.tiny) {
    return 14;
  }

  return 16;
};

var IconButton = function IconButton(_ref3) {
  var icon = _ref3.icon,
      iconClassName = _ref3.iconClassName,
      iconSize = _ref3.iconSize,
      children = _ref3.children,
      rest = _objectWithoutProperties(_ref3, ["icon", "iconClassName", "iconSize", "children"]);

  return (0, _preact.h)(Button, rest, (0, _preact.h)("span", {
    className: "flex items-center",
    style: {
      height: '1.15em'
    }
  }, icon && (0, _preact.h)(_icon.Icon, {
    icon: icon,
    className: (0, _classnames.default)({
      mr1: !rest.large,
      mr2: !!rest.large
    }, iconClassName),
    size: iconSize || getDefaultIconSize(rest)
  }), children));
};

exports.IconButton = IconButton;
var TapIconButton = (0, _getStyledComponent.default)({
  baseClasses: 'button-reset pointer pa0 ma0 bn bg-transparent flex items-center justify-center',
  style: {
    width: '40px',
    height: '40px'
  },
  options: {
    icon: ['icon'],
    color: ['color']
  },
  renderChildren: function renderChildren(_ref4) {
    var icon = _ref4.icon,
        color = _ref4.color;
    return [(0, _preact.h)(_icon.Icon, {
      key: icon,
      icon: icon,
      color: color,
      size: "28"
    })];
  }
});
exports.TapIconButton = TapIconButton;
},{"preact":"aSor","./utils/get-styled-component":"PNa2","./icon":"dvrm","classnames":"qb7c"}],"A64P":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.XChart = exports.XMark = exports.LoadingMark = exports.UpChevron = exports.DownChevron = void 0;

var _preact = require("preact");

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var DownChevron = function DownChevron(props) {
  return (0, _preact.h)("path", _extends({
    className: "downchev"
  }, props, {
    d: "M87 4.2L65 35a6.2 6.2 0 01-10 0L33 4.2A10 10 0 0021 .8 100 100 0 000 13l42.7 60.8c9.5 13.6 25.1 13.6 34.6 0L120 13A100 100 0 0099 .8a10 10 0 00-12 3.4z"
  }));
};

exports.DownChevron = DownChevron;

var UpChevron = function UpChevron(props) {
  return (0, _preact.h)("path", _extends({
    fill: "#73D2E1",
    className: "upchev"
  }, props, {
    d: "M87 139.8L65 109a6.2 6.2 0 00-10 0l-22 30.7a10 10 0 01-12 3.4C13.5 140 6.5 135.9 0 131l42.7-60.8c9.5-13.6 25.1-13.6 34.6 0L120 131a100 100 0 01-21 12.2 10 10 0 01-12-3.4z"
  }));
};

exports.UpChevron = UpChevron;

var LoadingMark = function LoadingMark(_ref) {
  var light = _ref.light,
      props = _objectWithoutProperties(_ref, ["light"]);

  var textColor = light ? '#FFF' : '#193750';
  return (0, _preact.h)("svg", _extends({
    viewBox: "-60 -72 240 288",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), (0, _preact.h)(DownChevron, {
    fill: textColor
  }), (0, _preact.h)(UpChevron, null));
};

exports.LoadingMark = LoadingMark;

var XMark = function XMark(_ref2) {
  var light = _ref2.light,
      props = _objectWithoutProperties(_ref2, ["light"]);

  var textColor = light ? '#FFF' : '#193750';
  return (0, _preact.h)("svg", _extends({
    viewBox: "0 0 120 144",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), (0, _preact.h)(DownChevron, {
    fill: textColor
  }), (0, _preact.h)(UpChevron, null));
};

exports.XMark = XMark;

var XChart = function XChart(_ref3) {
  var light = _ref3.light,
      _ref3$includeDomain = _ref3.includeDomain,
      includeDomain = _ref3$includeDomain === void 0 ? true : _ref3$includeDomain,
      props = _objectWithoutProperties(_ref3, ["light", "includeDomain"]);

  var textColor = light ? '#FFF' : '#193750';
  return (0, _preact.h)("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 ".concat(includeDomain ? '744' : '552', " 144")
  }, props), (0, _preact.h)(DownChevron, {
    fill: textColor
  }), (0, _preact.h)(UpChevron, null), (0, _preact.h)("path", {
    fill: textColor,
    d: "M173.4 37c6.9 0 15.7 1 26.4 3.2l5.3 1.3-.8 21.4c-10.4-1-18.1-1.6-23.1-1.6-9.2 0-15.2 2-18.3 6-2.9 4-4.3 11.4-4.3 22.5 0 11 1.4 18.7 4.3 22.9 3 4 9.2 6 18.5 6l23-1.6.7 21.6c-14.1 2.9-24.9 4.3-32.3 4.3-14.6 0-25.2-4.2-31.7-12.6-6.3-8.4-9.5-22-9.5-40.6s3.3-32 10-40.2C148 41.2 158.7 37 173.3 37zM246.4 141.6H220V0h26.5v45.3A53.4 53.4 0 01271 38c13.2 0 22.3 4 27.4 12 5 8 7.5 20.2 7.5 36.8v54.8h-26.6V87.4c0-8.5-1-14.8-3-18.8-2-4.2-5.9-6.3-11.8-6.3-5.2 0-10.3.8-15.5 2.4l-2.6.8v76zM400.4 72v42c.3 3.3.8 5.6 1.6 7 .8 1.2 2.4 2 5 2.6L406 144a75 75 0 01-16.2-1.4c-4-1-8-2.8-12.1-5.7a65 65 0 01-29.1 7.1c-20.5 0-30.8-11-30.8-33.2 0-10.8 2.9-18.4 8.6-22.8a46.6 46.6 0 0126.1-8.1l21.2-1.6V72c0-4.2-.9-7-2.7-8.5-1.9-1.6-4.9-2.4-9-2.4L325 62.7l-.8-18.8c14.1-4 27.5-5.9 40.2-5.9 12.8 0 22 2.7 27.6 8.1 5.7 5.4 8.5 14 8.5 25.9zm-44.6 26.7c-7.4.7-11.1 4.7-11.1 12.1 0 7.4 3.2 11.2 9.7 11.2 5 0 10.5-.9 16.5-2.5l3-.8V97.1l-18.1 1.6zM419.8 141.6V40.4H446v10.8A99.7 99.7 0 01477.8 38v27.3a302.4 302.4 0 00-27.5 7.1l-4 1.4v67.8h-26.5zM551.4 63.5H527V105c0 4 0 7 .2 8.7.3 1.6 1 3 2.2 4.2 1.3 1.2 3.3 1.8 6 1.8l15-.4 1.2 21.7a99 99 0 01-20.2 3c-12 0-20-2.7-24.4-8-4.4-5.6-6.5-15.7-6.5-30.4v-42h-11.7V40.3h11.7v-28H527v28h24.4v23.1z"
  }), includeDomain && (0, _preact.h)("path", {
    fill: textColor,
    d: "M564 142.9v-15.2h13.3v15.2H564zM605.5 96c3.2 0 7.3.5 12.3 1.5l2.5.5-.4 9.7c-4.8-.5-8.4-.7-10.8-.7-4.2 0-7 1-8.5 2.7-1.3 1.8-2 5.2-2 10.2 0 5 .7 8.5 2 10.4 1.4 1.8 4.3 2.7 8.6 2.7l10.7-.7.4 9.8c-6.6 1.3-11.6 1.9-15 1.9-7 0-11.8-1.9-14.9-5.7-3-3.8-4.4-10-4.4-18.4 0-8.4 1.5-14.5 4.6-18.2 3.1-3.8 8-5.7 15-5.7zM631.6 102.3c3.3-4.2 8.7-6.3 16.4-6.3 7.6 0 13 2.1 16.4 6.3 3.2 4.2 4.9 10 4.9 17.6 0 16-7.1 24.1-21.3 24.1-14.2 0-21.3-8-21.3-24 0-7.7 1.7-13.5 5-17.7zm9.5 28c1.3 2.2 3.6 3.3 6.9 3.3 3.3 0 5.5-1.1 6.7-3.3 1.3-2.2 2-5.7 2-10.4s-.7-8.1-2-10.3c-1.2-2-3.4-3.2-6.7-3.2-3.3 0-5.6 1.1-6.9 3.2a21.4 21.4 0 00-1.8 10.3c0 4.7.6 8.2 1.8 10.4zM689.8 142.9h-12.4V97.1h12.3v2.6a23 23 0 0111-3.7c5 0 8.8 1.4 11.5 4.3a34.9 34.9 0 0115.5-4.3c6.1 0 10.4 1.8 12.7 5.3 2.4 3.5 3.6 9 3.6 16.8v24.8h-12.4v-24.5c0-3.9-.4-6.7-1.3-8.6-.8-1.9-2.6-2.8-5.2-2.8-2 0-4.3.4-7.2 1.3l-1.4.4c.3 4.6.4 8 .4 10.5v23.7h-12.4v-23.5c0-4.6-.4-7.7-1.2-9.6-.8-1.9-2.5-2.8-5.3-2.8-2.4 0-4.7.4-7 1.3l-1.2.3V143z"
  }));
};

exports.XChart = XChart;
},{"preact":"aSor"}],"BkAk":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.transitionIn = exports.onMount = void 0;

var _preact = require("preact");

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

/**
 * @param {{
 *   fn: (component) => void
 *   component: import('preact').ComponentType<any>
 *   startingState?: any
 * }} options
 * @returns {import('preact').ComponentClass<any>}
 */
var onMount = function onMount(_ref) {
  var fn = _ref.fn,
      startingState = _ref.startingState,
      ChildComponent = _ref.component;
  return (
    /*#__PURE__*/
    // @ts-ignore
    function (_Component) {
      _inherits(_class, _Component);

      var _super = _createSuper(_class);

      function _class(props) {
        var _this;

        _classCallCheck(this, _class);

        _this = _super.call(this, props);

        if (startingState) {
          _this.state = startingState;
        }

        return _this;
      }

      _createClass(_class, [{
        key: "componentDidMount",
        value: function componentDidMount() {
          fn(this);
        }
      }, {
        key: "render",
        value: function render() {
          // @ts-ignore
          return (0, _preact.h)(ChildComponent, _objectSpread(_objectSpread({}, this.props), this.state));
        }
      }]);

      return _class;
    }(_preact.Component)
  );
};
/**
 * @param {import('preact').ComponentType<any>} OriginalComponent
 * @returns {import('preact').ComponentClass<any>}
 */


exports.onMount = onMount;

var transitionIn = function transitionIn(OriginalComponent) {
  return onMount({
    fn: function fn(component) {
      setTimeout(function () {
        component.setState({
          firstRender: false
        });
      }, 0);
    },
    startingState: {
      firstRender: true
    },
    component: OriginalComponent
  });
};

exports.transitionIn = transitionIn;
},{"preact":"aSor"}],"x5fU":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MessagePageCrate = exports.PageCrate = exports.PageCrateHeading = exports.Page = exports.LogoCrate = void 0;

var _preact = require("preact");

var _classnames = _interopRequireDefault(require("classnames"));

var _getStyledComponent = _interopRequireDefault(require("./utils/get-styled-component"));

var _transitionIn = require("./transition-in");

var _object = require("./utils/object");

var _icon = require("./icon");

var _logo = require("./logo");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var LogoCrate = function LogoCrate(_ref) {
  var _ref$wide = _ref.wide,
      wide = _ref$wide === void 0 ? false : _ref$wide;
  return (0, _preact.h)("div", {
    className: (0, _classnames.default)({
      mw6: !wide,
      mw7: wide
    }, 'mv3 ph3 center br2')
  }, (0, _preact.h)("a", {
    href: "/"
  }, (0, _preact.h)(_logo.XChart, {
    className: "h2"
  })));
};

exports.LogoCrate = LogoCrate;
var Page = (0, _transitionIn.transitionIn)((0, _getStyledComponent.default)({
  baseClasses: 'transition',
  options: {
    transitions: ['firstRender']
  },
  fn: function fn(_ref2) {
    var firstRender = _ref2.firstRender;
    return firstRender ? 'o-0 translate-y' : 'o-100';
  }
}));
exports.Page = Page;
var PageCrateHeading = (0, _getStyledComponent.default)({
  baseClasses: 'mt1 mb3',
  tagName: 'h3'
});
exports.PageCrateHeading = PageCrateHeading;
var PageCrate = (0, _getStyledComponent.default)({
  baseClasses: 'no-print-padding pa3 center br2',
  options: {
    title: '',
    backgroundColor: 'white',
    width: ['wide', 'noMaxWidth'],
    shadowExists: ['noShadow'],
    margins: ['noMargin']
  },
  fn: function fn(_ref3) {
    var wide = _ref3.wide,
        noMaxWidth = _ref3.noMaxWidth,
        backgroundColor = _ref3.backgroundColor,
        noShadow = _ref3.noShadow,
        noMargin = _ref3.noMargin;
    return (0, _classnames.default)("bg-".concat(backgroundColor), {
      'shadow-1': !noShadow,
      mv3: !noMargin,
      mw7: wide,
      mw6: !wide && !noMaxWidth
    });
  },
  renderChildren: function renderChildren(_ref4) {
    var title = _ref4.title,
        children = _ref4.children;
    var res = [children];

    if (title) {
      res.unshift((0, _preact.h)(PageCrateHeading, null, title));
    }

    return res;
  }
});
/**
 * @typedef MessagePageCrateProps
 * @property {boolean} [loading]
 * @property {boolean} [error]
 * @property {boolean} [success]
 * @property {boolean} [warning]
 * @property {boolean} [info]
 * @property {boolean} [noShadow]
 * @property {any} children
 */

/** @type {import('preact').FunctionComponent<MessagePageCrateProps>} */

exports.PageCrate = PageCrate;

var MessagePageCrate = function MessagePageCrate(props) {
  var loading = props.loading,
      error = props.error,
      warning = props.warning,
      success = props.success,
      info = props.info,
      children = props.children,
      noShadow = props.noShadow,
      noMargin = props.noMargin;
  var rest = (0, _object.omit)(props, ['loading', 'error', 'warning', 'success', 'children']);
  var icon = null;
  var iconClasses = null;
  var backgroundColor = 'white';
  var colorClasses = null;

  if (loading) {
    icon = 'autorenew';
    iconClasses = 'load';
  }

  if (error) {
    icon = 'error';
    backgroundColor = 'red';
    colorClasses = 'black';
  }

  if (warning) {
    icon = 'warning';
    backgroundColor = 'orange';
    colorClasses = 'black';
  }

  if (success) {
    icon = 'check';
    backgroundColor = 'light-blue';
    colorClasses = 'black';
  }

  if (info) {
    icon = 'info';
    backgroundColor = 'lightest-blue';
    colorClasses = 'black';
  }

  var iconComp;

  if (loading) {
    iconComp = (0, _preact.h)(_logo.LoadingMark, {
      className: (0, _classnames.default)('f3 mr3 top-animation', iconClasses),
      style: {
        width: '50px'
      }
    });
  } else if (loading || error || warning || success || info) {
    iconComp = (0, _preact.h)(_icon.Icon, {
      className: (0, _classnames.default)('f3 mr3', iconClasses),
      size: "40",
      icon: icon
    });
  }

  return (0, _preact.h)(PageCrate, _extends({
    backgroundColor: backgroundColor,
    noShadow: !!noShadow,
    noMargin: !!noMargin
  }, rest), (0, _preact.h)("div", {
    className: (0, _classnames.default)('flex items-center min-h3 f4', colorClasses)
  }, iconComp, children));
};

exports.MessagePageCrate = MessagePageCrate;
},{"preact":"aSor","classnames":"qb7c","./utils/get-styled-component":"PNa2","./transition-in":"BkAk","./utils/object":"JIRj","./icon":"dvrm","./logo":"A64P"}],"cTuP":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FullScreenOverlay = exports.FullScreenOverlayWrapper = void 0;

var _preact = require("preact");

var _getStyledComponent = _interopRequireDefault(require("./utils/get-styled-component"));

var _object = require("./utils/object");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var FullScreenOverlayWrapper = (0, _getStyledComponent.default)({
  baseClasses: 'fixed top-0 left-0 z-999 w-100 h-100 bg-gray flex items-center dark-blue'
});
exports.FullScreenOverlayWrapper = FullScreenOverlayWrapper;

var FullScreenOverlay = function FullScreenOverlay(props) {
  return (0, _preact.h)(FullScreenOverlayWrapper, (0, _object.omit)(props, ['children']), (0, _preact.h)("div", {
    className: "center ph2 ph4-m"
  }, props.children));
};

exports.FullScreenOverlay = FullScreenOverlay;
},{"preact":"aSor","./utils/get-styled-component":"PNa2","./utils/object":"JIRj"}],"ItmM":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Textarea = exports.Select = exports.Input = exports.inputClasses = exports.inputOutlineClasses = void 0;

var _preact = require("preact");

var _classnames = _interopRequireDefault(require("classnames"));

var _icon = require("./icon");

var _getStyledComponent = _interopRequireDefault(require("./utils/get-styled-component"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var inputOutlineClasses = 'ba b--gray';
exports.inputOutlineClasses = inputOutlineClasses;
var inputClasses = 'pa2 input-reset ' + inputOutlineClasses;
exports.inputClasses = inputClasses;
var Input = (0, _getStyledComponent.default)({
  baseClasses: inputClasses,
  tagName: 'input',
  options: {
    disabled: ['disabled']
  },
  fn: function fn(_ref) {
    var disabled = _ref.disabled;
    return disabled ? 'mid-gray bg-near-white not-allowed' : 'bg-white';
  }
});
exports.Input = Input;

var Select = function Select(_ref2) {
  var className = _ref2.className,
      children = _ref2.children,
      rest = _objectWithoutProperties(_ref2, ["className", "children"]);

  return (0, _preact.h)("span", {
    className: "flex items-center"
  }, (0, _preact.h)("select", _extends({}, rest, {
    className: (0, _classnames.default)(inputClasses, 'pr4', className)
  }), children), !rest.multiple && (0, _preact.h)(_icon.Icon, {
    style: {
      marginLeft: '-30px',
      pointerEvents: 'none'
    },
    icon: "arrow_drop_down",
    size: "24"
  }));
};

exports.Select = Select;
var Textarea = (0, _getStyledComponent.default)({
  baseClasses: inputClasses,
  tagName: 'textarea'
});
exports.Textarea = Textarea;
},{"preact":"aSor","classnames":"qb7c","./icon":"dvrm","./utils/get-styled-component":"PNa2"}],"ppdD":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DrugBox = void 0;

var _getStyledComponent = _interopRequireDefault(require("./utils/get-styled-component"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var DrugBox = (0, _getStyledComponent.default)({
  baseClasses: 'pv2 ph2 br2 ba b--light-gray bg-near-white',
  options: {
    highlight: ['highlighted']
  },
  fn: function fn(_ref) {
    var highlighted = _ref.highlighted;
    return highlighted ? 'bg-lightest-blue' : 'bg-near-white';
  }
});
exports.DrugBox = DrugBox;
},{"./utils/get-styled-component":"PNa2"}],"fItP":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SupportSMSLink = exports.SupportLink = exports.Link = exports.supportPhoneFormatted = exports.supportPhone = exports.supportEmail = void 0;

var _preact = require("preact");

var _classnames = _interopRequireDefault(require("classnames"));

var _getStyledComponent = _interopRequireDefault(require("./utils/get-styled-component"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var supportEmail = 'support@xchart.com';
exports.supportEmail = supportEmail;
var supportPhone = '+18884823450';
exports.supportPhone = supportPhone;
var supportPhoneFormatted = '(888) 482-3450';
exports.supportPhoneFormatted = supportPhoneFormatted;
var Link = (0, _getStyledComponent.default)({
  baseClasses: 'link',
  tagName: 'a',
  options: {
    white: false,
    underline: true
  },
  fn: function fn(_ref) {
    var underline = _ref.underline,
        white = _ref.white;
    return (0, _classnames.default)(underline ? 'underline' : 'no-underline', white ? 'white hover-lightest-blue' : 'dark-blue hover-blue');
  }
});
exports.Link = Link;

var SupportLink = function SupportLink(props) {
  return (0, _preact.h)(Link, _extends({
    href: "mailto:".concat(supportEmail)
  }, props), supportEmail);
};

exports.SupportLink = SupportLink;

var SupportSMSLink = function SupportSMSLink(props) {
  return (0, _preact.h)(Link, _extends({
    href: "sms:".concat(supportPhone)
  }, props), supportPhoneFormatted);
};

exports.SupportSMSLink = SupportSMSLink;
},{"preact":"aSor","classnames":"qb7c","./utils/get-styled-component":"PNa2"}],"Qsgd":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CheckMark = void 0;

var _preact = require("preact");

var _icon = require("./icon");

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var CheckMark = function CheckMark(_ref) {
  var className = _ref.className,
      name = _ref.name,
      label = _ref.label,
      isComplete = _ref.isComplete,
      isAuto = _ref.isAuto,
      _onClick = _ref.onClick,
      rest = _objectWithoutProperties(_ref, ["className", "name", "label", "isComplete", "isAuto", "onClick"]);

  return (0, _preact.h)("label", _extends({
    htmlFor: name,
    className: (0, _classnames.default)('flex items-center mb2', className),
    "data-e2e": "checkMark",
    "data-state": isComplete ? 'checked' : 'unchecked'
  }, rest), (0, _preact.h)("input", {
    onClick: function onClick() {
      return _onClick(name);
    },
    className: "checkbox o-0",
    id: name,
    checked: isComplete,
    type: "checkbox"
  }), !isAuto && isComplete && (0, _preact.h)(_icon.Icon, {
    className: "light-blue",
    size: "40",
    icon: "check_box"
  }), !isAuto && !isComplete && (0, _preact.h)(_icon.Icon, {
    size: "40",
    icon: "check_box_outline_blank"
  }), isAuto && (0, _preact.h)("div", {
    className: "relative bg-light-blue br2",
    style: {
      margin: '5px',
      width: '30px',
      height: '30px'
    }
  }, (0, _preact.h)(_icon.Icon, {
    size: "18",
    className: "absolute white",
    icon: "auto_awesome",
    style: {
      left: '6px',
      top: '2px'
    }
  }), (0, _preact.h)("span", {
    className: "helvetica absolute tc bottom-0 smallcaps white ttu fw6",
    style: {
      fontSize: '8px',
      width: '30px'
    }
  }, "auto")), (0, _preact.h)("span", {
    className: "ml2"
  }, label || name));
};

exports.CheckMark = CheckMark;
},{"preact":"aSor","./icon":"dvrm","classnames":"qb7c"}],"HqiZ":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FlipContainer = void 0;

var _preact = require("preact");

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var cardStyles3D = {
  transition: '0.6s',
  transformStyle: 'preserve-3d',
  webkitTransformStyle: 'preserve-3d',
  transformOrigin: 'center',
  webkitTransformOrigin: 'center'
};
var cardFaceStyles3D = {
  backfaceVisibility: 'hidden',
  webkitBackfaceVisibility: 'hidden'
};
var cardFaceStyleBack = {
  position: 'absolute',
  width: '100%',
  height: '100%',
  top: '0',
  left: '0'
};

var cardFaceStyleFront = _objectSpread(_objectSpread({}, cardFaceStyleBack), {}, {
  // this maintains the height of the card while letting it be dynamic
  position: 'relative'
});

var FlipContainer = function FlipContainer(_ref) {
  var front = _ref.front,
      back = _ref.back,
      flipped = _ref.flipped,
      height = _ref.height,
      width = _ref.width,
      className = _ref.className,
      style = _ref.style,
      _ref$direction = _ref.direction,
      direction = _ref$direction === void 0 ? 'vertical' : _ref$direction,
      _ref$perspective = _ref.perspective,
      perspective = _ref$perspective === void 0 ? '100px' : _ref$perspective,
      _ref$is3D = _ref.is3D,
      is3D = _ref$is3D === void 0 ? true : _ref$is3D,
      rest = _objectWithoutProperties(_ref, ["front", "back", "flipped", "height", "width", "className", "style", "direction", "perspective", "is3D"]);

  var axis = direction === 'vertical' ? 'X' : 'Y';
  var rotateZero = "";
  var rotateFlipped = "rotate".concat(axis, "(180deg)");
  return (0, _preact.h)("div", _extends({
    "data-comp": "scene"
  }, rest, {
    className: className,
    style: _objectSpread({
      perspective: is3D ? perspective : null,
      width: width,
      height: height
    }, style || {})
  }), (0, _preact.h)("div", {
    "data-comp": "card",
    style: _objectSpread(_objectSpread({}, is3D ? _objectSpread(_objectSpread({}, cardStyles3D), {}, {
      transform: flipped ? rotateFlipped : '',
      webkitTransform: flipped ? rotateFlipped : ''
    }) : {}), {}, {
      position: 'relative',
      width: '100%',
      height: '100%'
    })
  }, is3D && (0, _preact.h)("div", {
    "data-comp": "front",
    "data-state": flipped ? 'hidden' : 'visible',
    style: _objectSpread(_objectSpread(_objectSpread({}, cardFaceStyleFront), cardFaceStyles3D), {}, {
      transform: rotateZero,
      webkitTransform: rotateZero
    })
  }, front), is3D && (0, _preact.h)("div", {
    "data-comp": "back",
    "data-state": flipped ? 'visible' : 'hidden',
    style: _objectSpread(_objectSpread(_objectSpread({}, cardFaceStyleBack), cardFaceStyles3D), {}, {
      transform: rotateFlipped,
      webkitTransform: rotateFlipped
    })
  }, back), !is3D && (0, _preact.h)("div", {
    "data-comp": "front",
    "data-state": flipped ? 'hidden' : 'visible',
    className: flipped ? 'hidden' : null,
    style: cardFaceStyleFront
  }, front), !is3D && (0, _preact.h)("div", {
    "data-comp": "back",
    "data-state": flipped ? 'visible' : 'hidden',
    className: flipped ? null : 'hidden',
    style: cardFaceStyleBack
  }, back)));
};

exports.FlipContainer = FlipContainer;
},{"preact":"aSor"}],"RWDb":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Drawer = exports.DrawerLinkContainer = exports.DrawerLink = exports.FlipIcon = void 0;

var _getStyledComponent = _interopRequireDefault(require("./utils/get-styled-component"));

var _preact = require("preact");

var _icon = require("./icon");

var _flipContainer = require("./flip-container");

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/** @jsx h */
var FlipIcon = (0, _getStyledComponent.default)({
  options: {
    complete: ['complete'],
    icon: ['icon']
  },
  renderChildren: function renderChildren(_ref) {
    var icon = _ref.icon,
        complete = _ref.complete;
    return [(0, _preact.h)(_flipContainer.FlipContainer, {
      key: "flipContainer",
      width: "20px",
      height: "20px",
      flipped: complete,
      front: (0, _preact.h)(_icon.Icon, {
        size: "20",
        icon: icon
      }),
      back: (0, _preact.h)(_icon.Icon, {
        className: "light-blue",
        size: "20",
        icon: "check_circle"
      })
    })];
  }
});
exports.FlipIcon = FlipIcon;
var DrawerLink = (0, _getStyledComponent.default)({
  tagName: 'a',
  baseClasses: 'link pv1 mt1 f5 fw3 flex items-center',
  options: {
    active: ['active'],
    disabled: ['disabled'],
    completeness: ['complete']
  },
  fn: function fn(_ref2) {
    var active = _ref2.active,
        disabled = _ref2.disabled;
    return (0, _classnames.default)({
      'light-blue': active,
      'mid-gray not-allowed': disabled,
      'white hover-moon-gray': !active && !disabled
    });
  },
  renderChildren: function renderChildren(_ref3) {
    var icon = _ref3.icon,
        title = _ref3.title,
        complete = _ref3.complete;
    return [(0, _preact.h)(FlipIcon, {
      key: "flipIcon",
      icon: icon,
      complete: complete
    }), (0, _preact.h)("span", {
      key: "span",
      "data-state": complete ? 'complete' : 'incomplete',
      "data-e2e": "".concat(title, "Nav"),
      className: icon ? 'pl2' : null
    }, title)];
  }
});
exports.DrawerLink = DrawerLink;
var DrawerLinkContainer = (0, _getStyledComponent.default)({
  baseClasses: 'link db pt2 pl3 f4',
  options: {
    completeness: ['complete'],
    title: ['title']
  },
  renderChildren: function renderChildren(_ref4) {
    var complete = _ref4.complete,
        title = _ref4.title,
        children = _ref4.children;
    return [(0, _preact.h)("div", {
      key: title,
      className: "flex items-center"
    }, (0, _preact.h)(_icon.Icon, {
      className: (0, _classnames.default)('light-blue pr2', {
        hidden: !complete
      }),
      size: "20",
      icon: "check_circle"
    }), (0, _preact.h)("h3", {
      className: "fw3 f6 ma0 ttu mid-gray bb b--mid-gray pb2 pt1 relative flex-grow-1"
    }, title)), (0, _preact.h)("div", {
      key: title + 'children'
    }, children)];
  }
});
exports.DrawerLinkContainer = DrawerLinkContainer;
var Drawer = (0, _getStyledComponent.default)({
  baseClasses: 'bg-dark-blue white fixed top-0 vh-100 overflow-x-hidden'
});
exports.Drawer = Drawer;
},{"./utils/get-styled-component":"PNa2","preact":"aSor","./icon":"dvrm","./flip-container":"HqiZ","classnames":"qb7c"}],"MwGB":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useState = l;
exports.useReducer = p;
exports.useEffect = y;
exports.useLayoutEffect = h;
exports.useRef = s;
exports.useImperativeHandle = _;
exports.useMemo = d;
exports.useCallback = A;
exports.useContext = F;
exports.useDebugValue = T;
exports.useErrorBoundary = q;

var _preact = require("preact");

var t,
    u,
    r,
    o = 0,
    i = [],
    c = _preact.options.__b,
    f = _preact.options.__r,
    e = _preact.options.diffed,
    a = _preact.options.__c,
    v = _preact.options.unmount;

function m(t, r) {
  _preact.options.__h && _preact.options.__h(u, t, o || r), o = 0;
  var i = u.__H || (u.__H = {
    __: [],
    __h: []
  });
  return t >= i.__.length && i.__.push({}), i.__[t];
}

function l(n) {
  return o = 1, p(w, n);
}

function p(n, r, o) {
  var i = m(t++, 2);
  return i.t = n, i.__c || (i.__ = [o ? o(r) : w(void 0, r), function (n) {
    var t = i.t(i.__[0], n);
    i.__[0] !== t && (i.__ = [t, i.__[1]], i.__c.setState({}));
  }], i.__c = u), i.__;
}

function y(r, o) {
  var i = m(t++, 3);
  !_preact.options.__s && k(i.__H, o) && (i.__ = r, i.__H = o, u.__H.__h.push(i));
}

function h(r, o) {
  var i = m(t++, 4);
  !_preact.options.__s && k(i.__H, o) && (i.__ = r, i.__H = o, u.__h.push(i));
}

function s(n) {
  return o = 5, d(function () {
    return {
      current: n
    };
  }, []);
}

function _(n, t, u) {
  o = 6, h(function () {
    "function" == typeof n ? n(t()) : n && (n.current = t());
  }, null == u ? u : u.concat(n));
}

function d(n, u) {
  var r = m(t++, 7);
  return k(r.__H, u) && (r.__ = n(), r.__H = u, r.__h = n), r.__;
}

function A(n, t) {
  return o = 8, d(function () {
    return n;
  }, t);
}

function F(n) {
  var r = u.context[n.__c],
      o = m(t++, 9);
  return o.__c = n, r ? (null == o.__ && (o.__ = !0, r.sub(u)), r.props.value) : n.__;
}

function T(t, u) {
  _preact.options.useDebugValue && _preact.options.useDebugValue(u ? u(t) : t);
}

function q(n) {
  var r = m(t++, 10),
      o = l();
  return r.__ = n, u.componentDidCatch || (u.componentDidCatch = function (n) {
    r.__ && r.__(n), o[1](n);
  }), [o[0], function () {
    o[1](void 0);
  }];
}

function x() {
  i.forEach(function (t) {
    if (t.__P) try {
      t.__H.__h.forEach(g), t.__H.__h.forEach(j), t.__H.__h = [];
    } catch (u) {
      t.__H.__h = [], _preact.options.__e(u, t.__v);
    }
  }), i = [];
}

_preact.options.__b = function (n) {
  u = null, c && c(n);
}, _preact.options.__r = function (n) {
  f && f(n), t = 0;
  var r = (u = n.__c).__H;
  r && (r.__h.forEach(g), r.__h.forEach(j), r.__h = []);
}, _preact.options.diffed = function (t) {
  e && e(t);
  var o = t.__c;
  o && o.__H && o.__H.__h.length && (1 !== i.push(o) && r === _preact.options.requestAnimationFrame || ((r = _preact.options.requestAnimationFrame) || function (n) {
    var t,
        u = function () {
      clearTimeout(r), b && cancelAnimationFrame(t), setTimeout(n);
    },
        r = setTimeout(u, 100);

    b && (t = requestAnimationFrame(u));
  })(x)), u = void 0;
}, _preact.options.__c = function (t, u) {
  u.some(function (t) {
    try {
      t.__h.forEach(g), t.__h = t.__h.filter(function (n) {
        return !n.__ || j(n);
      });
    } catch (r) {
      u.some(function (n) {
        n.__h && (n.__h = []);
      }), u = [], _preact.options.__e(r, t.__v);
    }
  }), a && a(t, u);
}, _preact.options.unmount = function (t) {
  v && v(t);
  var u = t.__c;
  if (u && u.__H) try {
    u.__H.__.forEach(g);
  } catch (t) {
    _preact.options.__e(t, u.__v);
  }
};
var b = "function" == typeof requestAnimationFrame;

function g(n) {
  var t = u;
  "function" == typeof n.__c && n.__c(), u = t;
}

function j(n) {
  var t = u;
  n.__c = n.__(), u = t;
}

function k(n, t) {
  return !n || n.length !== t.length || t.some(function (t, u) {
    return t !== n[u];
  });
}

function w(n, t) {
  return "function" == typeof t ? t(n) : t;
}
},{"preact":"aSor"}],"AQ6k":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  version: true,
  Children: true,
  render: true,
  hydrate: true,
  unmountComponentAtNode: true,
  createPortal: true,
  createFactory: true,
  cloneElement: true,
  isValidElement: true,
  findDOMNode: true,
  PureComponent: true,
  memo: true,
  forwardRef: true,
  unstable_batchedUpdates: true,
  StrictMode: true,
  Suspense: true,
  SuspenseList: true,
  lazy: true,
  __SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED: true,
  unstable_ImmediatePriority: true,
  unstable_UserBlockingPriority: true,
  unstable_NormalPriority: true,
  unstable_LowPriority: true,
  unstable_IdlePriority: true,
  unstable_runWithPriority: true,
  unstable_now: true,
  createElement: true,
  createContext: true,
  createRef: true,
  Fragment: true,
  Component: true
};
exports.render = z;
exports.hydrate = B;
exports.unmountComponentAtNode = sn;
exports.createPortal = I;
exports.createFactory = fn;
exports.cloneElement = an;
exports.isValidElement = cn;
exports.findDOMNode = hn;
exports.PureComponent = E;
exports.memo = g;
exports.forwardRef = x;
exports.Suspense = L;
exports.SuspenseList = F;
exports.lazy = D;
exports.unstable_runWithPriority = un;
Object.defineProperty(exports, "createElement", {
  enumerable: true,
  get: function () {
    return _preact.createElement;
  }
});
Object.defineProperty(exports, "createContext", {
  enumerable: true,
  get: function () {
    return _preact.createContext;
  }
});
Object.defineProperty(exports, "createRef", {
  enumerable: true,
  get: function () {
    return _preact.createRef;
  }
});
Object.defineProperty(exports, "Fragment", {
  enumerable: true,
  get: function () {
    return _preact.Fragment;
  }
});
Object.defineProperty(exports, "Component", {
  enumerable: true,
  get: function () {
    return _preact.Component;
  }
});
exports.unstable_now = exports.unstable_IdlePriority = exports.unstable_LowPriority = exports.unstable_NormalPriority = exports.unstable_UserBlockingPriority = exports.unstable_ImmediatePriority = exports.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED = exports.StrictMode = exports.unstable_batchedUpdates = exports.Children = exports.version = exports.default = void 0;

var _hooks = require("preact/hooks");

Object.keys(_hooks).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _hooks[key];
    }
  });
});

var _preact = require("preact");

function C(n, t) {
  for (var e in t) n[e] = t[e];

  return n;
}

function S(n, t) {
  for (var e in n) if ("__source" !== e && !(e in t)) return !0;

  for (var r in t) if ("__source" !== r && n[r] !== t[r]) return !0;

  return !1;
}

function E(n) {
  this.props = n;
}

function g(n, t) {
  function e(n) {
    var e = this.props.ref,
        r = e == n.ref;
    return !r && e && (e.call ? e(null) : e.current = null), t ? !t(this.props, n) || !r : S(this.props, n);
  }

  function r(t) {
    return this.shouldComponentUpdate = e, (0, _preact.createElement)(n, t);
  }

  return r.displayName = "Memo(" + (n.displayName || n.name) + ")", r.prototype.isReactComponent = !0, r.__f = !0, r;
}

(E.prototype = new _preact.Component()).isPureReactComponent = !0, E.prototype.shouldComponentUpdate = function (n, t) {
  return S(this.props, n) || S(this.state, t);
};
var w = _preact.options.__b;

_preact.options.__b = function (n) {
  n.type && n.type.__f && n.ref && (n.props.ref = n.ref, n.ref = null), w && w(n);
};

var R = "undefined" != typeof Symbol && Symbol.for && Symbol.for("react.forward_ref") || 3911;

function x(n) {
  function t(t, e) {
    var r = C({}, t);
    return delete r.ref, n(r, (e = t.ref || e) && ("object" != typeof e || "current" in e) ? e : null);
  }

  return t.$$typeof = R, t.render = t, t.prototype.isReactComponent = t.__f = !0, t.displayName = "ForwardRef(" + (n.displayName || n.name) + ")", t;
}

var N = function (n, t) {
  return null == n ? null : (0, _preact.toChildArray)((0, _preact.toChildArray)(n).map(t));
},
    k = {
  map: N,
  forEach: N,
  count: function (n) {
    return n ? (0, _preact.toChildArray)(n).length : 0;
  },
  only: function (n) {
    var t = (0, _preact.toChildArray)(n);
    if (1 !== t.length) throw "Children.only";
    return t[0];
  },
  toArray: _preact.toChildArray
},
    A = _preact.options.__e;

exports.Children = k;

_preact.options.__e = function (n, t, e) {
  if (n.then) for (var r, u = t; u = u.__;) if ((r = u.__c) && r.__c) return null == t.__e && (t.__e = e.__e, t.__k = e.__k), r.__c(n, t);
  A(n, t, e);
};

var O = _preact.options.unmount;

function L() {
  this.__u = 0, this.t = null, this.__b = null;
}

function U(n) {
  var t = n.__.__c;
  return t && t.__e && t.__e(n);
}

function D(n) {
  var t, e, r;

  function u(u) {
    if (t || (t = n()).then(function (n) {
      e = n.default || n;
    }, function (n) {
      r = n;
    }), r) throw r;
    if (!e) throw t;
    return (0, _preact.createElement)(e, u);
  }

  return u.displayName = "Lazy", u.__f = !0, u;
}

function F() {
  this.u = null, this.o = null;
}

_preact.options.unmount = function (n) {
  var t = n.__c;
  t && t.__R && t.__R(), t && !0 === n.__h && (n.type = null), O && O(n);
}, (L.prototype = new _preact.Component()).__c = function (n, t) {
  var e = t.__c,
      r = this;
  null == r.t && (r.t = []), r.t.push(e);

  var u = U(r.__v),
      o = !1,
      i = function () {
    o || (o = !0, e.__R = null, u ? u(l) : l());
  };

  e.__R = i;

  var l = function () {
    if (! --r.__u) {
      if (r.state.__e) {
        var n = r.state.__e;

        r.__v.__k[0] = function n(t, e, r) {
          return t && (t.__v = null, t.__k = t.__k && t.__k.map(function (t) {
            return n(t, e, r);
          }), t.__c && t.__c.__P === e && (t.__e && r.insertBefore(t.__e, t.__d), t.__c.__e = !0, t.__c.__P = r)), t;
        }(n, n.__c.__P, n.__c.__O);
      }

      var t;

      for (r.setState({
        __e: r.__b = null
      }); t = r.t.pop();) t.forceUpdate();
    }
  },
      f = !0 === t.__h;

  r.__u++ || f || r.setState({
    __e: r.__b = r.__v.__k[0]
  }), n.then(i, i);
}, L.prototype.componentWillUnmount = function () {
  this.t = [];
}, L.prototype.render = function (n, t) {
  if (this.__b) {
    if (this.__v.__k) {
      var e = document.createElement("div"),
          r = this.__v.__k[0].__c;

      this.__v.__k[0] = function n(t, e, r) {
        return t && (t.__c && t.__c.__H && (t.__c.__H.__.forEach(function (n) {
          "function" == typeof n.__c && n.__c();
        }), t.__c.__H = null), null != (t = C({}, t)).__c && (t.__c.__P === r && (t.__c.__P = e), t.__c = null), t.__k = t.__k && t.__k.map(function (t) {
          return n(t, e, r);
        })), t;
      }(this.__b, e, r.__O = r.__P);
    }

    this.__b = null;
  }

  var u = t.__e && (0, _preact.createElement)(_preact.Fragment, null, n.fallback);
  return u && (u.__h = null), [(0, _preact.createElement)(_preact.Fragment, null, t.__e ? null : n.children), u];
};

var M = function (n, t, e) {
  if (++e[1] === e[0] && n.o.delete(t), n.props.revealOrder && ("t" !== n.props.revealOrder[0] || !n.o.size)) for (e = n.u; e;) {
    for (; e.length > 3;) e.pop()();

    if (e[1] < e[0]) break;
    n.u = e = e[2];
  }
};

function T(n) {
  return this.getChildContext = function () {
    return n.context;
  }, n.children;
}

function j(n) {
  var t = this,
      e = n.i;
  t.componentWillUnmount = function () {
    (0, _preact.render)(null, t.l), t.l = null, t.i = null;
  }, t.i && t.i !== e && t.componentWillUnmount(), n.__v ? (t.l || (t.i = e, t.l = {
    nodeType: 1,
    parentNode: e,
    childNodes: [],
    appendChild: function (n) {
      this.childNodes.push(n), t.i.appendChild(n);
    },
    insertBefore: function (n, e) {
      this.childNodes.push(n), t.i.appendChild(n);
    },
    removeChild: function (n) {
      this.childNodes.splice(this.childNodes.indexOf(n) >>> 1, 1), t.i.removeChild(n);
    }
  }), (0, _preact.render)((0, _preact.createElement)(T, {
    context: t.context
  }, n.__v), t.l)) : t.l && t.componentWillUnmount();
}

function I(n, t) {
  return (0, _preact.createElement)(j, {
    __v: n,
    i: t
  });
}

(F.prototype = new _preact.Component()).__e = function (n) {
  var t = this,
      e = U(t.__v),
      r = t.o.get(n);
  return r[0]++, function (u) {
    var o = function () {
      t.props.revealOrder ? (r.push(u), M(t, n, r)) : u();
    };

    e ? e(o) : o();
  };
}, F.prototype.render = function (n) {
  this.u = null, this.o = new Map();
  var t = (0, _preact.toChildArray)(n.children);
  n.revealOrder && "b" === n.revealOrder[0] && t.reverse();

  for (var e = t.length; e--;) this.o.set(t[e], this.u = [1, 0, this.u]);

  return n.children;
}, F.prototype.componentDidUpdate = F.prototype.componentDidMount = function () {
  var n = this;
  this.o.forEach(function (t, e) {
    M(n, e, t);
  });
};

var W = "undefined" != typeof Symbol && Symbol.for && Symbol.for("react.element") || 60103,
    P = /^(?:accent|alignment|arabic|baseline|cap|clip(?!PathU)|color|fill|flood|font|glyph(?!R)|horiz|marker(?!H|W|U)|overline|paint|stop|strikethrough|stroke|text(?!L)|underline|unicode|units|v|vector|vert|word|writing|x(?!C))[A-Z]/,
    V = function (n) {
  return ("undefined" != typeof Symbol && "symbol" == typeof Symbol() ? /fil|che|rad/i : /fil|che|ra/i).test(n);
};

function z(n, t, e) {
  return null == t.__k && (t.textContent = ""), (0, _preact.render)(n, t), "function" == typeof e && e(), n ? n.__c : null;
}

function B(n, t, e) {
  return (0, _preact.hydrate)(n, t), "function" == typeof e && e(), n ? n.__c : null;
}

_preact.Component.prototype.isReactComponent = {}, ["componentWillMount", "componentWillReceiveProps", "componentWillUpdate"].forEach(function (n) {
  Object.defineProperty(_preact.Component.prototype, n, {
    configurable: !0,
    get: function () {
      return this["UNSAFE_" + n];
    },
    set: function (t) {
      Object.defineProperty(this, n, {
        configurable: !0,
        writable: !0,
        value: t
      });
    }
  });
});
var H = _preact.options.event;

function Z() {}

function Y() {
  return this.cancelBubble;
}

function $() {
  return this.defaultPrevented;
}

_preact.options.event = function (n) {
  return H && (n = H(n)), n.persist = Z, n.isPropagationStopped = Y, n.isDefaultPrevented = $, n.nativeEvent = n;
};

var q,
    G = {
  configurable: !0,
  get: function () {
    return this.class;
  }
},
    J = _preact.options.vnode;

_preact.options.vnode = function (n) {
  var t = n.type,
      e = n.props,
      r = e;

  if ("string" == typeof t) {
    for (var u in r = {}, e) {
      var o = e[u];
      "value" === u && "defaultValue" in e && null == o || ("defaultValue" === u && "value" in e && null == e.value ? u = "value" : "download" === u && !0 === o ? o = "" : /ondoubleclick/i.test(u) ? u = "ondblclick" : /^onchange(textarea|input)/i.test(u + t) && !V(e.type) ? u = "oninput" : /^on(Ani|Tra|Tou|BeforeInp)/.test(u) ? u = u.toLowerCase() : P.test(u) ? u = u.replace(/[A-Z0-9]/, "-$&").toLowerCase() : null === o && (o = void 0), r[u] = o);
    }

    "select" == t && r.multiple && Array.isArray(r.value) && (r.value = (0, _preact.toChildArray)(e.children).forEach(function (n) {
      n.props.selected = -1 != r.value.indexOf(n.props.value);
    })), "select" == t && null != r.defaultValue && (r.value = (0, _preact.toChildArray)(e.children).forEach(function (n) {
      n.props.selected = r.multiple ? -1 != r.defaultValue.indexOf(n.props.value) : r.defaultValue == n.props.value;
    })), n.props = r;
  }

  t && e.class != e.className && (G.enumerable = "className" in e, null != e.className && (r.class = e.className), Object.defineProperty(r, "className", G)), n.$$typeof = W, J && J(n);
};

var K = _preact.options.__r;

_preact.options.__r = function (n) {
  K && K(n), q = n.__c;
};

var Q = {
  ReactCurrentDispatcher: {
    current: {
      readContext: function (n) {
        return q.__n[n.__c].props.value;
      }
    }
  }
},
    X = 1,
    nn = 2,
    tn = 3,
    en = 4,
    rn = 5;
exports.unstable_IdlePriority = rn;
exports.unstable_LowPriority = en;
exports.unstable_NormalPriority = tn;
exports.unstable_UserBlockingPriority = nn;
exports.unstable_ImmediatePriority = X;
exports.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED = Q;

function un(n, t) {
  return t();
}

var on = "object" == typeof performance && "function" == typeof performance.now ? performance.now.bind(performance) : function () {
  return Date.now();
},
    ln = "16.8.0";
exports.version = ln;
exports.unstable_now = on;

function fn(n) {
  return _preact.createElement.bind(null, n);
}

function cn(n) {
  return !!n && n.$$typeof === W;
}

function an(n) {
  return cn(n) ? _preact.cloneElement.apply(null, arguments) : n;
}

function sn(n) {
  return !!n.__k && ((0, _preact.render)(null, n), !0);
}

function hn(n) {
  return n && (n.base || 1 === n.nodeType && n) || null;
}

var pn = function (n, t) {
  return n(t);
},
    vn = _preact.Fragment;

exports.StrictMode = vn;
exports.unstable_batchedUpdates = pn;
var _default = {
  useState: _hooks.useState,
  useReducer: _hooks.useReducer,
  useEffect: _hooks.useEffect,
  useLayoutEffect: _hooks.useLayoutEffect,
  useRef: _hooks.useRef,
  useImperativeHandle: _hooks.useImperativeHandle,
  useMemo: _hooks.useMemo,
  useCallback: _hooks.useCallback,
  useContext: _hooks.useContext,
  useDebugValue: _hooks.useDebugValue,
  version: "16.8.0",
  Children: k,
  render: z,
  hydrate: B,
  unmountComponentAtNode: sn,
  createPortal: I,
  createElement: _preact.createElement,
  createContext: _preact.createContext,
  createFactory: fn,
  cloneElement: an,
  createRef: _preact.createRef,
  Fragment: _preact.Fragment,
  isValidElement: cn,
  findDOMNode: hn,
  Component: _preact.Component,
  PureComponent: E,
  memo: g,
  forwardRef: x,
  unstable_batchedUpdates: pn,
  StrictMode: _preact.Fragment,
  Suspense: L,
  SuspenseList: F,
  lazy: D,
  __SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED: Q
};
exports.default = _default;
},{"preact/hooks":"MwGB","preact":"aSor"}],"H5E9":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Portal = void 0;

var _compat = require("preact/compat");

var Portal = function Portal(_ref) {
  var into = _ref.into,
      children = _ref.children;
  var container = document.querySelector(into);
  return (0, _compat.createPortal)(children, container);
};

exports.Portal = Portal;
},{"preact/compat":"AQ6k"}],"wmid":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Shield = void 0;

var _getStyledComponent = _interopRequireDefault(require("./utils/get-styled-component"));

var _transitionIn = require("./transition-in");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Shield = (0, _transitionIn.transitionIn)((0, _getStyledComponent.default)({
  baseClasses: 'fixed transition w-100 h-100 top-0 left-0 bg-blue-50',
  options: {
    transitions: ['firstRender']
  },
  fn: function fn(_ref) {
    var firstRender = _ref.firstRender;
    return firstRender ? 'o-0' : '';
  }
}));
exports.Shield = Shield;
},{"./utils/get-styled-component":"PNa2","./transition-in":"BkAk"}],"HRwc":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Dialog = void 0;

var _preact = require("preact");

var _classnames = _interopRequireDefault(require("classnames"));

var _icon = require("./icon");

var _object = require("./utils/object");

var _portal = require("./portal");

var _shield = require("./shield");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var Dialog = function Dialog(incomingProps) {
  var className = incomingProps.className,
      title = incomingProps.title,
      doClose = incomingProps.doClose,
      forceChoice = incomingProps.forceChoice,
      style = incomingProps.style,
      bottom = incomingProps.bottom,
      children = incomingProps.children;
  var props = (0, _object.omit)(incomingProps, ['className', 'title', 'doClose', 'forceChoice', 'style', 'children', 'bottom']);
  return (0, _preact.h)(_portal.Portal, {
    into: "body"
  }, (0, _preact.h)("div", {
    className: "fixed z-999 vh-100 w-100 top-0 left-0 flex items-center justify-center"
  }, (0, _preact.h)(_shield.Shield, {
    onClick: forceChoice ? null : doClose
  }), (0, _preact.h)("dialog", _extends({
    open: true,
    style: Object.assign({
      minHeight: '150px',
      minWidth: '300px',
      width: '600px',
      // this is important for iOS
      maxHeight: 'calc(100vh - 120px)'
    }, style),
    className: (0, _classnames.default)('ph2 pt2 pb1 bg-white bn br3 shadow-2 z-999 relative flex flex-column', className)
  }, props), (0, _preact.h)("div", {
    className: "w-100 pt1 ph1"
  }, !forceChoice && // this is just a spacer
  (0, _preact.h)("div", {
    className: "fr",
    style: {
      width: '44px',
      height: '10px'
    }
  }, (0, _preact.h)("button", {
    onClick: doClose,
    style: {
      top: '-16px',
      right: '-4px'
    },
    className: "button-reset bn bg-transparent relative pa3 pointer"
  }, (0, _preact.h)(_icon.Icon, {
    icon: "close"
  }))), title && (0, _preact.h)("h3", {
    className: "mt0 mb2"
  }, title)), (0, _preact.h)("div", {
    className: "pa1 prevent-overscroll overflow-y-scroll w-100 overflow-x-hidden"
  }, children), (0, _preact.h)("div", {
    className: "ph1 pv2"
  }, bottom))));
};

exports.Dialog = Dialog;
},{"preact":"aSor","classnames":"qb7c","./icon":"dvrm","./utils/object":"JIRj","./portal":"H5E9","./shield":"wmid"}],"dzFk":[function(require,module,exports) {
function calc(m) {
    return function(n) { return Math.round(n * m); };
};
module.exports = {
    seconds: calc(1e3),
    minutes: calc(6e4),
    hours: calc(36e5),
    days: calc(864e5),
    weeks: calc(6048e5),
    months: calc(26298e5),
    years: calc(315576e5)
};

},{}],"v9Q8":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Footer = void 0;

var _preact = require("preact");

var _milliseconds = _interopRequireDefault(require("milliseconds"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var currentYear = new Date().getFullYear();

var getUpdatedText = function getUpdatedText(updatedDate) {
  if (Date.now() - updatedDate < _milliseconds.default.weeks(2)) {
    var date = new Date(updatedDate);
    return "".concat(date.getMonth() + 1, "/").concat(date.getDate(), "/").concat((date.getFullYear() + '').slice(2));
  }
};

var Footer = function Footer(_ref) {
  var _ref$privacyUrl = _ref.privacyUrl,
      privacyUrl = _ref$privacyUrl === void 0 ? 'https://legal.xchart.com/privacy' : _ref$privacyUrl,
      _ref$termsUrl = _ref.termsUrl,
      termsUrl = _ref$termsUrl === void 0 ? 'https://legal.xchart.com/terms' : _ref$termsUrl,
      _ref$securityUrl = _ref.securityUrl,
      securityUrl = _ref$securityUrl === void 0 ? 'https://trust.xchart.com' : _ref$securityUrl,
      version = _ref.version,
      privacyUpdatedDate = _ref.privacyUpdatedDate,
      hideLinks = _ref.hideLinks,
      extra = _ref.extra,
      _ref$className = _ref.className,
      className = _ref$className === void 0 ? 'pt2 pb3 tc f6 gray mb7' : _ref$className,
      _ref$linkClasses = _ref.linkClasses,
      linkClasses = _ref$linkClasses === void 0 ? 'link f6 gray no-underline underline-hover' : _ref$linkClasses;
  var updateText = privacyUpdatedDate && getUpdatedText(privacyUpdatedDate);
  return (0, _preact.h)("footer", {
    className: className
  }, "\xA9 ", currentYear, " Xchart Inc. ", version && "v".concat(version), ' ', !hideLinks && (0, _preact.h)("div", {
    className: "mt1 no-print"
  }, (0, _preact.h)("a", {
    className: linkClasses,
    href: termsUrl,
    rel: "noopener"
  }, "terms"), ' | ', (0, _preact.h)("a", {
    className: linkClasses,
    href: privacyUrl,
    rel: "noopener"
  }, "privacy"), ' | ', (0, _preact.h)("a", {
    className: linkClasses,
    href: securityUrl,
    rel: "noopener"
  }, "security"), updateText && " (updated ".concat(updateText, ")")), extra);
};

exports.Footer = Footer;
},{"preact":"aSor","milliseconds":"dzFk"}],"lVhV":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.throttle = void 0;

var throttle = function throttle(callback, wait) {
  var leading = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : false;
  var timeout = null;
  var hasRun = false;

  var fn = function fn() {
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    if (!hasRun && leading) {
      callback.apply(void 0, args);
      hasRun = true;
      return;
    }

    if (!timeout) {
      timeout = setTimeout(function () {
        callback.apply(void 0, args);
        clearTimeout(timeout);
        timeout = null;
      }, wait);
    }
  };

  return fn;
};

exports.throttle = throttle;
},{}],"QHo4":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.EnvTag = void 0;

var _preact = require("preact");

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var classMap = {
  dev: 'bg-yellow black',
  stage: 'bg-green black'
};
var fallback = 'bg-red white';

var guessEnv = function guessEnv() {
  var host = 'server';

  try {
    host = window.location.host;
  } catch (err) {// ignore
  }

  if (host.includes('dev')) {
    return 'dev';
  }

  if (host.includes('stage')) {
    return 'stage';
  }

  if (host.includes('localhost')) {
    return 'local';
  }

  return 'prod';
};

var EnvTag = function EnvTag(_ref) {
  var env = _ref.env,
      style = _ref.style;
  env = env || guessEnv();

  if (!env || env === 'prod' || env === 'production') {
    return null;
  }

  if (env === 'development') {
    env = 'dev';
  }

  return (0, _preact.h)("div", {
    style: _objectSpread({
      right: '0px',
      top: '0px',
      padding: '4px',
      fontSize: '10px',
      borderBottomLeftRadius: '4px'
    }, style),
    className: (0, _classnames.default)('absolute z-999 br--bottom-left fw6', classMap[env] || fallback)
  }, env.toUpperCase());
};

exports.EnvTag = EnvTag;
},{"preact":"aSor","classnames":"qb7c"}],"c6sk":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AppLayout = void 0;

var _classnames = _interopRequireDefault(require("classnames"));

var _preact = require("preact");

var _logo = require("./logo");

var _drawer = require("./drawer");

var _shield = require("./shield");

var _footer = require("./footer");

var _button = require("./button");

var _object = require("./utils/object");

var _throttle = require("./utils/throttle");

var _envTag = require("./env-tag");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

var DrawerContentWrapper = /*#__PURE__*/function (_Component) {
  _inherits(DrawerContentWrapper, _Component);

  var _super = _createSuper(DrawerContentWrapper);

  function DrawerContentWrapper(props) {
    var _this;

    _classCallCheck(this, DrawerContentWrapper);

    _this = _super.call(this, props);
    _this.handleScroll = (0, _throttle.throttle)(_this.handleScroll.bind(_assertThisInitialized(_this)), 200);
    return _this;
  }

  _createClass(DrawerContentWrapper, [{
    key: "handleScroll",
    value: function handleScroll() {
      if (!this.base) {
        return;
      }

      var _this$props = this.props,
          updateScrolledDown = _this$props.updateScrolledDown,
          scrolledDown = _this$props.scrolledDown;
      var scrollTop = this.base.scrollTop;

      if (scrollTop === 0 && scrolledDown) {
        updateScrolledDown(false);
      }

      if (!scrolledDown && scrollTop > 0) {
        updateScrolledDown(true);
      }
    }
  }, {
    key: "componentDidMount",
    value: function componentDidMount() {
      this.base.addEventListener('scroll', this.handleScroll, {
        passive: true
      });
    }
  }, {
    key: "componentWillUnMount",
    value: function componentWillUnMount() {
      this.base.removeEventListener('scroll', this.handleScroll, {
        passive: true
      });
    }
  }, {
    key: "render",
    value: function render(_ref) {
      var style = _ref.style,
          children = _ref.children;
      return (0, _preact.h)("div", {
        className: "v-scroll h-100 w-100",
        style: style
      }, children);
    }
  }]);

  return DrawerContentWrapper;
}(_preact.Component);

var AppLayout = /*#__PURE__*/function (_Component2) {
  _inherits(AppLayout, _Component2);

  var _super2 = _createSuper(AppLayout);

  function AppLayout(props) {
    var _this2;

    _classCallCheck(this, AppLayout);

    _this2 = _super2.call(this, props);
    _this2.state = {
      drawerScrolledDown: false
    };
    _this2.updateScrolledDown = _this2.updateScrolledDown.bind(_assertThisInitialized(_this2));
    return _this2;
  }

  _createClass(AppLayout, [{
    key: "updateScrolledDown",
    value: function updateScrolledDown(scrolledDown) {
      this.setState({
        drawerScrolledDown: scrolledDown
      });
    }
  }, {
    key: "render",
    value: function render(props, _ref2) {
      var drawerScrolledDown = _ref2.drawerScrolledDown;
      var drawerOpen = props.drawerOpen,
          screenIsWide = props.screenIsWide,
          drawerEnabled = props.drawerEnabled,
          drawerContent = props.drawerContent,
          statusBarContent = props.statusBarContent,
          extraContent = props.extraContent,
          extraFooterContent = props.extraFooterContent,
          _props$drawerWidth = props.drawerWidth,
          drawerWidth = _props$drawerWidth === void 0 ? 256 : _props$drawerWidth,
          mainContent = props.mainContent,
          doCloseDrawer = props.doCloseDrawer,
          hideFooter = props.hideFooter,
          version = props.version,
          logoHref = props.logoHref,
          logoOnClick = props.logoOnClick,
          preventScroll = props.preventScroll,
          subHeader = props.subHeader,
          env = props.env;
      var rest = (0, _object.omit)(props, ['drawerOpen', 'screenIsWide', 'drawerEnabled', 'drawerContent', 'statusBarContent', 'extraContent', 'drawerWidth', 'mainContent', 'doCloseDrawer', 'hideFooter', 'version', 'logoHref', 'logoOnClick', 'preventScroll', 'extraFooterContent', 'subHeader']);
      var drawerAlwaysVisible = drawerEnabled && screenIsWide;
      var useFloatingDrawer = drawerEnabled && !screenIsWide;
      var showShield = useFloatingDrawer && drawerOpen;
      var floatingDrawerHidden = useFloatingDrawer && !drawerOpen;
      var leftMarginStyles = drawerAlwaysVisible ? {
        width: "calc(100% - ".concat(drawerWidth, "px)"),
        marginLeft: "".concat(drawerWidth, "px")
      } : {
        width: '100%'
      };

      if (showShield || preventScroll) {
        document.body.classList.add('overflow-hidden');
      } else {
        document.body.classList.remove('overflow-hidden');
      }

      var drawerHeaderHeightPx = '80px';
      var logoClasses = (0, _classnames.default)({
        pointer: logoHref || logoOnClick
      });
      return (0, _preact.h)("div", _extends({
        className: "bg-near-white dark-blue sans-serif min-vh-100"
      }, rest), statusBarContent && (0, _preact.h)("div", {
        className: "sticky no-print top-0 bg-light-gray z-2 shadow-1",
        style: leftMarginStyles
      }, statusBarContent), drawerEnabled && (0, _preact.h)(_drawer.Drawer, {
        "aria-hidden": floatingDrawerHidden,
        className: useFloatingDrawer ? 'z-4 transition' : '',
        style: {
          width: "".concat(drawerWidth, "px"),
          transform: floatingDrawerHidden ? "translateX(".concat(-drawerWidth, "px)") : null
        }
      }, (0, _preact.h)("div", {
        className: (0, _classnames.default)('absolute left-0 bg-dark-blue z-1 top-0 pa2 pa3-l', {
          'shadow-1': drawerScrolledDown
        }),
        style: {
          width: "".concat(drawerWidth, "px"),
          height: drawerHeaderHeightPx
        }
      }, (0, _preact.h)(_envTag.EnvTag, {
        env: env
      }), (0, _preact.h)("div", null, !screenIsWide && (0, _preact.h)(_button.TapIconButton, {
        icon: "close",
        color: "white",
        className: "absolute",
        style: {
          top: '14px',
          left: '14px'
        },
        onClick: function onClick(e) {
          e.preventDefault();
          doCloseDrawer();
        }
      }), (0, _preact.h)("a", {
        className: (0, _classnames.default)('db link white absolute', logoClasses),
        style: {
          left: '44px',
          top: '20px'
        },
        href: logoHref,
        onClick: logoOnClick || doCloseDrawer,
        "data-e2e": "logoLink"
      }, (0, _preact.h)(_logo.XChart, {
        light: true,
        className: "h2"
      }), (0, _preact.h)("span", {
        className: "absolute ttu fw3 f6 gray",
        style: {
          top: '36px',
          left: '0px',
          width: '168px'
        }
      }, subHeader)))), (0, _preact.h)(DrawerContentWrapper, {
        scrolledDown: drawerScrolledDown,
        updateScrolledDown: this.updateScrolledDown,
        style: {
          paddingTop: drawerHeaderHeightPx,
          paddingBottom: '120px'
        }
      }, drawerContent)), showShield && (0, _preact.h)(_shield.Shield, {
        className: "z-3 dn-l",
        onClick: function onClick() {
          return doCloseDrawer && doCloseDrawer();
        }
      }), (0, _preact.h)("main", {
        style: leftMarginStyles,
        className: "bg-nearly-white overflow-x-hidden"
      }, mainContent, hideFooter !== true && (0, _preact.h)(_footer.Footer, {
        version: version,
        extra: extraFooterContent
      })), extraContent);
    }
  }]);

  return AppLayout;
}(_preact.Component);

exports.AppLayout = AppLayout;
},{"classnames":"qb7c","preact":"aSor","./logo":"A64P","./drawer":"RWDb","./shield":"wmid","./footer":"v9Q8","./button":"zoTV","./utils/object":"JIRj","./utils/throttle":"lVhV","./env-tag":"QHo4"}],"iA4S":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DefinitionTable = void 0;

var _preact = require("preact");

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

/**
 * @typedef DefinitionTableProps
 * @property {{
 *   [key in string]: import('preact').ComponentChild
 * }} data
 */

/**
 * DefinitionTable Generates a table of name / value cells, given a data prop
 *
 * @type {import('preact').FunctionComponent<
 *   DefinitionTableProps &
 *     Omit<import('preact').JSX.IntrinsicElements['table'], 'data'>
 * >}
 */
var DefinitionTable = function DefinitionTable(_ref) {
  var data = _ref.data,
      rest = _objectWithoutProperties(_ref, ["data"]);

  return (0, _preact.h)("table", rest, Object.keys(data).map(function (key) {
    return (0, _preact.h)("tr", {
      key: key
    }, (0, _preact.h)("td", {
      className: "fw6 no-wrap v-top"
    }, key, ":"), (0, _preact.h)("td", {
      className: "v-top"
    }, data[key] == null ? (0, _preact.h)("span", {
      className: "black-40"
    }, "(none)") : data[key]));
  }));
};

exports.DefinitionTable = DefinitionTable;
},{"preact":"aSor"}],"AfGI":[function(require,module,exports) {
var global = arguments[3];
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.applyMiddleware = applyMiddleware;
exports.bindActionCreators = bindActionCreators;
exports.combineReducers = combineReducers;
exports.compose = compose;
exports.createStore = createStore;
exports.__DO_NOT_USE__ActionTypes = exports.initScrollPosition = exports.restoreScrollPosition = exports.saveScrollPosition = exports.debounce = exports.selectorNameToValueName = exports.addGlobalListener = exports.flattenExtractedToArray = exports.flattenExtractedToObject = exports.startsWith = exports.PASSIVE_EVENTS_SUPPORTED = exports.isPassiveSupported = exports.ric = exports.raf = exports.IS_PROD = exports.IS_BROWSER = exports.HAS_WINDOW = exports.HAS_DEBUG_FLAG = exports.resolveSelectors = exports.createSelector = exports.composeBundles = exports.composeBundlesRaw = exports.createDebugBundle = exports.createUrlBundle = exports.getIdleDispatcher = exports.createReactorBundle = exports.createRouteBundle = exports.createCacheBundle = exports.asyncCountBundle = exports.appTimeBundle = void 0;
var appTime = {
  name: 'appTime',
  reducer: function () {
    return Date.now();
  },
  selectAppTime: function (state) {
    return state.appTime;
  }
};
var changes = {
  STARTED: 1,
  FINISHED: -1,
  FAILED: -1
};
var re = /_(STARTED|FINISHED|FAILED)$/;
var asyncCount = {
  name: 'asyncCount',
  reducer: function (state, ref) {
    if (state === void 0) state = 0;
    var type = ref.type;
    var result = re.exec(type);

    if (!result) {
      return state;
    }

    return state + changes[result[1]];
  },
  selectAsyncActive: function (state) {
    return state.asyncCount > 0;
  }
};

var namedActionMiddleware = function (store) {
  return function (next) {
    return function (action) {
      var actionCreator = action.actionCreator;
      var args = action.args;

      if (actionCreator) {
        var found = store.meta.unboundActionCreators[actionCreator];

        if (!found) {
          throw Error("NoSuchActionCreator: " + actionCreator);
        }

        return next(args ? found.apply(void 0, args) : found());
      }

      return next(action);
    };
  };
};

var thunkMiddleware = function (extraArgCreators) {
  return function (store) {
    var extraArgs = extraArgCreators.reduce(function (result, fn) {
      return Object.assign(result, fn(store));
    }, {});
    return function (next) {
      return function (action) {
        if (typeof action === 'function') {
          var getState = store.getState;
          var dispatch = store.dispatch;
          return action(Object.assign({}, {
            getState: getState,
            dispatch: dispatch,
            store: store
          }, extraArgs));
        }

        return next(action);
      };
    };
  };
};

function symbolObservablePonyfill(root) {
  var result;
  var Symbol = root.Symbol;

  if (typeof Symbol === 'function') {
    if (Symbol.observable) {
      result = Symbol.observable;
    } else {
      result = Symbol('observable');
      Symbol.observable = result;
    }
  } else {
    result = '@@observable';
  }

  return result;
}
/* global window */


var root;

if (typeof self !== 'undefined') {
  root = self;
} else if (typeof window !== 'undefined') {
  root = window;
} else if (typeof global !== 'undefined') {
  root = global;
} else if (typeof module !== 'undefined') {
  root = module;
} else {
  root = Function('return this')();
}

var result = symbolObservablePonyfill(root);
/**
 * These are private action types reserved by Redux.
 * For any unknown actions, you must return the current state.
 * If the current state is undefined, you must return the initial state.
 * Do not reference these action types directly in your code.
 */

var randomString = function randomString() {
  return Math.random().toString(36).substring(7).split('').join('.');
};

var ActionTypes = {
  INIT: "@@redux/INIT" + randomString(),
  REPLACE: "@@redux/REPLACE" + randomString(),
  PROBE_UNKNOWN_ACTION: function PROBE_UNKNOWN_ACTION() {
    return "@@redux/PROBE_UNKNOWN_ACTION" + randomString();
  }
};
/**
 * @param {any} obj The object to inspect.
 * @returns {boolean} True if the argument appears to be a plain object.
 */

exports.__DO_NOT_USE__ActionTypes = ActionTypes;

function isPlainObject(obj) {
  if (typeof obj !== 'object' || obj === null) return false;
  var proto = obj;

  while (Object.getPrototypeOf(proto) !== null) {
    proto = Object.getPrototypeOf(proto);
  }

  return Object.getPrototypeOf(obj) === proto;
}
/**
 * Creates a Redux store that holds the state tree.
 * The only way to change the data in the store is to call `dispatch()` on it.
 *
 * There should only be a single store in your app. To specify how different
 * parts of the state tree respond to actions, you may combine several reducers
 * into a single reducer function by using `combineReducers`.
 *
 * @param {Function} reducer A function that returns the next state tree, given
 * the current state tree and the action to handle.
 *
 * @param {any} [preloadedState] The initial state. You may optionally specify it
 * to hydrate the state from the server in universal apps, or to restore a
 * previously serialized user session.
 * If you use `combineReducers` to produce the root reducer function, this must be
 * an object with the same shape as `combineReducers` keys.
 *
 * @param {Function} [enhancer] The store enhancer. You may optionally specify it
 * to enhance the store with third-party capabilities such as middleware,
 * time travel, persistence, etc. The only store enhancer that ships with Redux
 * is `applyMiddleware()`.
 *
 * @returns {Store} A Redux store that lets you read the state, dispatch actions
 * and subscribe to changes.
 */


function createStore(reducer, preloadedState, enhancer) {
  var _ref2;

  if (typeof preloadedState === 'function' && typeof enhancer === 'function' || typeof enhancer === 'function' && typeof arguments[3] === 'function') {
    throw new Error('It looks like you are passing several store enhancers to ' + 'createStore(). This is not supported. Instead, compose them ' + 'together to a single function.');
  }

  if (typeof preloadedState === 'function' && typeof enhancer === 'undefined') {
    enhancer = preloadedState;
    preloadedState = undefined;
  }

  if (typeof enhancer !== 'undefined') {
    if (typeof enhancer !== 'function') {
      throw new Error('Expected the enhancer to be a function.');
    }

    return enhancer(createStore)(reducer, preloadedState);
  }

  if (typeof reducer !== 'function') {
    throw new Error('Expected the reducer to be a function.');
  }

  var currentReducer = reducer;
  var currentState = preloadedState;
  var currentListeners = [];
  var nextListeners = currentListeners;
  var isDispatching = false;
  /**
   * This makes a shallow copy of currentListeners so we can use
   * nextListeners as a temporary list while dispatching.
   *
   * This prevents any bugs around consumers calling
   * subscribe/unsubscribe in the middle of a dispatch.
   */

  function ensureCanMutateNextListeners() {
    if (nextListeners === currentListeners) {
      nextListeners = currentListeners.slice();
    }
  }
  /**
   * Reads the state tree managed by the store.
   *
   * @returns {any} The current state tree of your application.
   */


  function getState() {
    if (isDispatching) {
      throw new Error('You may not call store.getState() while the reducer is executing. ' + 'The reducer has already received the state as an argument. ' + 'Pass it down from the top reducer instead of reading it from the store.');
    }

    return currentState;
  }
  /**
   * Adds a change listener. It will be called any time an action is dispatched,
   * and some part of the state tree may potentially have changed. You may then
   * call `getState()` to read the current state tree inside the callback.
   *
   * You may call `dispatch()` from a change listener, with the following
   * caveats:
   *
   * 1. The subscriptions are snapshotted just before every `dispatch()` call.
   * If you subscribe or unsubscribe while the listeners are being invoked, this
   * will not have any effect on the `dispatch()` that is currently in progress.
   * However, the next `dispatch()` call, whether nested or not, will use a more
   * recent snapshot of the subscription list.
   *
   * 2. The listener should not expect to see all state changes, as the state
   * might have been updated multiple times during a nested `dispatch()` before
   * the listener is called. It is, however, guaranteed that all subscribers
   * registered before the `dispatch()` started will be called with the latest
   * state by the time it exits.
   *
   * @param {Function} listener A callback to be invoked on every dispatch.
   * @returns {Function} A function to remove this change listener.
   */


  function subscribe(listener) {
    if (typeof listener !== 'function') {
      throw new Error('Expected the listener to be a function.');
    }

    if (isDispatching) {
      throw new Error('You may not call store.subscribe() while the reducer is executing. ' + 'If you would like to be notified after the store has been updated, subscribe from a ' + 'component and invoke store.getState() in the callback to access the latest state. ' + 'See https://redux.js.org/api-reference/store#subscribelistener for more details.');
    }

    var isSubscribed = true;
    ensureCanMutateNextListeners();
    nextListeners.push(listener);
    return function unsubscribe() {
      if (!isSubscribed) {
        return;
      }

      if (isDispatching) {
        throw new Error('You may not unsubscribe from a store listener while the reducer is executing. ' + 'See https://redux.js.org/api-reference/store#subscribelistener for more details.');
      }

      isSubscribed = false;
      ensureCanMutateNextListeners();
      var index = nextListeners.indexOf(listener);
      nextListeners.splice(index, 1);
      currentListeners = null;
    };
  }
  /**
   * Dispatches an action. It is the only way to trigger a state change.
   *
   * The `reducer` function, used to create the store, will be called with the
   * current state tree and the given `action`. Its return value will
   * be considered the **next** state of the tree, and the change listeners
   * will be notified.
   *
   * The base implementation only supports plain object actions. If you want to
   * dispatch a Promise, an Observable, a thunk, or something else, you need to
   * wrap your store creating function into the corresponding middleware. For
   * example, see the documentation for the `redux-thunk` package. Even the
   * middleware will eventually dispatch plain object actions using this method.
   *
   * @param {Object} action A plain object representing “what changed”. It is
   * a good idea to keep actions serializable so you can record and replay user
   * sessions, or use the time travelling `redux-devtools`. An action must have
   * a `type` property which may not be `undefined`. It is a good idea to use
   * string constants for action types.
   *
   * @returns {Object} For convenience, the same action object you dispatched.
   *
   * Note that, if you use a custom middleware, it may wrap `dispatch()` to
   * return something else (for example, a Promise you can await).
   */


  function dispatch(action) {
    if (!isPlainObject(action)) {
      throw new Error('Actions must be plain objects. ' + 'Use custom middleware for async actions.');
    }

    if (typeof action.type === 'undefined') {
      throw new Error('Actions may not have an undefined "type" property. ' + 'Have you misspelled a constant?');
    }

    if (isDispatching) {
      throw new Error('Reducers may not dispatch actions.');
    }

    try {
      isDispatching = true;
      currentState = currentReducer(currentState, action);
    } finally {
      isDispatching = false;
    }

    var listeners = currentListeners = nextListeners;

    for (var i = 0; i < listeners.length; i++) {
      var listener = listeners[i];
      listener();
    }

    return action;
  }
  /**
   * Replaces the reducer currently used by the store to calculate the state.
   *
   * You might need this if your app implements code splitting and you want to
   * load some of the reducers dynamically. You might also need this if you
   * implement a hot reloading mechanism for Redux.
   *
   * @param {Function} nextReducer The reducer for the store to use instead.
   * @returns {void}
   */


  function replaceReducer(nextReducer) {
    if (typeof nextReducer !== 'function') {
      throw new Error('Expected the nextReducer to be a function.');
    }

    currentReducer = nextReducer; // This action has a similiar effect to ActionTypes.INIT.
    // Any reducers that existed in both the new and old rootReducer
    // will receive the previous state. This effectively populates
    // the new state tree with any relevant data from the old one.

    dispatch({
      type: ActionTypes.REPLACE
    });
  }
  /**
   * Interoperability point for observable/reactive libraries.
   * @returns {observable} A minimal observable of state changes.
   * For more information, see the observable proposal:
   * https://github.com/tc39/proposal-observable
   */


  function observable() {
    var _ref;

    var outerSubscribe = subscribe;
    return _ref = {
      /**
       * The minimal observable subscription method.
       * @param {Object} observer Any object that can be used as an observer.
       * The observer object should have a `next` method.
       * @returns {subscription} An object with an `unsubscribe` method that can
       * be used to unsubscribe the observable from the store, and prevent further
       * emission of values from the observable.
       */
      subscribe: function subscribe(observer) {
        if (typeof observer !== 'object' || observer === null) {
          throw new TypeError('Expected the observer to be an object.');
        }

        function observeState() {
          if (observer.next) {
            observer.next(getState());
          }
        }

        observeState();
        var unsubscribe = outerSubscribe(observeState);
        return {
          unsubscribe: unsubscribe
        };
      }
    }, _ref[result] = function () {
      return this;
    }, _ref;
  } // When a store is created, an "INIT" action is dispatched so that every
  // reducer returns their initial state. This effectively populates
  // the initial state tree.


  dispatch({
    type: ActionTypes.INIT
  });
  return _ref2 = {
    dispatch: dispatch,
    subscribe: subscribe,
    getState: getState,
    replaceReducer: replaceReducer
  }, _ref2[result] = observable, _ref2;
}
/**
 * Prints a warning in the console if it exists.
 *
 * @param {String} message The warning message.
 * @returns {void}
 */


function warning(message) {
  /* eslint-disable no-console */
  if (typeof console !== 'undefined' && typeof console.error === 'function') {
    console.error(message);
  }
  /* eslint-enable no-console */


  try {
    // This error was thrown as a convenience so that if you enable
    // "break on all exceptions" in your console,
    // it would pause the execution at this line.
    throw new Error(message);
  } catch (e) {} // eslint-disable-line no-empty

}

function getUndefinedStateErrorMessage(key, action) {
  var actionType = action && action.type;
  var actionDescription = actionType && "action \"" + String(actionType) + "\"" || 'an action';
  return "Given " + actionDescription + ", reducer \"" + key + "\" returned undefined. " + "To ignore an action, you must explicitly return the previous state. " + "If you want this reducer to hold no value, you can return null instead of undefined.";
}

function getUnexpectedStateShapeWarningMessage(inputState, reducers, action, unexpectedKeyCache) {
  var reducerKeys = Object.keys(reducers);
  var argumentName = action && action.type === ActionTypes.INIT ? 'preloadedState argument passed to createStore' : 'previous state received by the reducer';

  if (reducerKeys.length === 0) {
    return 'Store does not have a valid reducer. Make sure the argument passed ' + 'to combineReducers is an object whose values are reducers.';
  }

  if (!isPlainObject(inputState)) {
    return "The " + argumentName + " has unexpected type of \"" + {}.toString.call(inputState).match(/\s([a-z|A-Z]+)/)[1] + "\". Expected argument to be an object with the following " + ("keys: \"" + reducerKeys.join('", "') + "\"");
  }

  var unexpectedKeys = Object.keys(inputState).filter(function (key) {
    return !reducers.hasOwnProperty(key) && !unexpectedKeyCache[key];
  });
  unexpectedKeys.forEach(function (key) {
    unexpectedKeyCache[key] = true;
  });
  if (action && action.type === ActionTypes.REPLACE) return;

  if (unexpectedKeys.length > 0) {
    return "Unexpected " + (unexpectedKeys.length > 1 ? 'keys' : 'key') + " " + ("\"" + unexpectedKeys.join('", "') + "\" found in " + argumentName + ". ") + "Expected to find one of the known reducer keys instead: " + ("\"" + reducerKeys.join('", "') + "\". Unexpected keys will be ignored.");
  }
}

function assertReducerShape(reducers) {
  Object.keys(reducers).forEach(function (key) {
    var reducer = reducers[key];
    var initialState = reducer(undefined, {
      type: ActionTypes.INIT
    });

    if (typeof initialState === 'undefined') {
      throw new Error("Reducer \"" + key + "\" returned undefined during initialization. " + "If the state passed to the reducer is undefined, you must " + "explicitly return the initial state. The initial state may " + "not be undefined. If you don't want to set a value for this reducer, " + "you can use null instead of undefined.");
    }

    if (typeof reducer(undefined, {
      type: ActionTypes.PROBE_UNKNOWN_ACTION()
    }) === 'undefined') {
      throw new Error("Reducer \"" + key + "\" returned undefined when probed with a random type. " + ("Don't try to handle " + ActionTypes.INIT + " or other actions in \"redux/*\" ") + "namespace. They are considered private. Instead, you must return the " + "current state for any unknown actions, unless it is undefined, " + "in which case you must return the initial state, regardless of the " + "action type. The initial state may not be undefined, but can be null.");
    }
  });
}
/**
 * Turns an object whose values are different reducer functions, into a single
 * reducer function. It will call every child reducer, and gather their results
 * into a single state object, whose keys correspond to the keys of the passed
 * reducer functions.
 *
 * @param {Object} reducers An object whose values correspond to different
 * reducer functions that need to be combined into one. One handy way to obtain
 * it is to use ES6 `import * as reducers` syntax. The reducers may never return
 * undefined for any action. Instead, they should return their initial state
 * if the state passed to them was undefined, and the current state for any
 * unrecognized action.
 *
 * @returns {Function} A reducer function that invokes every reducer inside the
 * passed object, and builds a state object with the same shape.
 */


function combineReducers(reducers) {
  var reducerKeys = Object.keys(reducers);
  var finalReducers = {};

  for (var i = 0; i < reducerKeys.length; i++) {
    var key = reducerKeys[i];

    if ("production" !== 'production') {
      if (typeof reducers[key] === 'undefined') {
        warning("No reducer provided for key \"" + key + "\"");
      }
    }

    if (typeof reducers[key] === 'function') {
      finalReducers[key] = reducers[key];
    }
  }

  var finalReducerKeys = Object.keys(finalReducers); // This is used to make sure we don't warn about the same
  // keys multiple times.

  var unexpectedKeyCache;

  if ("production" !== 'production') {
    unexpectedKeyCache = {};
  }

  var shapeAssertionError;

  try {
    assertReducerShape(finalReducers);
  } catch (e) {
    shapeAssertionError = e;
  }

  return function combination(state, action) {
    if (state === void 0) {
      state = {};
    }

    if (shapeAssertionError) {
      throw shapeAssertionError;
    }

    if ("production" !== 'production') {
      var warningMessage = getUnexpectedStateShapeWarningMessage(state, finalReducers, action, unexpectedKeyCache);

      if (warningMessage) {
        warning(warningMessage);
      }
    }

    var hasChanged = false;
    var nextState = {};

    for (var _i = 0; _i < finalReducerKeys.length; _i++) {
      var _key = finalReducerKeys[_i];
      var reducer = finalReducers[_key];
      var previousStateForKey = state[_key];
      var nextStateForKey = reducer(previousStateForKey, action);

      if (typeof nextStateForKey === 'undefined') {
        var errorMessage = getUndefinedStateErrorMessage(_key, action);
        throw new Error(errorMessage);
      }

      nextState[_key] = nextStateForKey;
      hasChanged = hasChanged || nextStateForKey !== previousStateForKey;
    }

    hasChanged = hasChanged || finalReducerKeys.length !== Object.keys(state).length;
    return hasChanged ? nextState : state;
  };
}

function bindActionCreator(actionCreator, dispatch) {
  return function () {
    return dispatch(actionCreator.apply(this, arguments));
  };
}
/**
 * Turns an object whose values are action creators, into an object with the
 * same keys, but with every function wrapped into a `dispatch` call so they
 * may be invoked directly. This is just a convenience method, as you can call
 * `store.dispatch(MyActionCreators.doSomething())` yourself just fine.
 *
 * For convenience, you can also pass an action creator as the first argument,
 * and get a dispatch wrapped function in return.
 *
 * @param {Function|Object} actionCreators An object whose values are action
 * creator functions. One handy way to obtain it is to use ES6 `import * as`
 * syntax. You may also pass a single function.
 *
 * @param {Function} dispatch The `dispatch` function available on your Redux
 * store.
 *
 * @returns {Function|Object} The object mimicking the original object, but with
 * every action creator wrapped into the `dispatch` call. If you passed a
 * function as `actionCreators`, the return value will also be a single
 * function.
 */


function bindActionCreators(actionCreators, dispatch) {
  if (typeof actionCreators === 'function') {
    return bindActionCreator(actionCreators, dispatch);
  }

  if (typeof actionCreators !== 'object' || actionCreators === null) {
    throw new Error("bindActionCreators expected an object or a function, instead received " + (actionCreators === null ? 'null' : typeof actionCreators) + ". " + "Did you write \"import ActionCreators from\" instead of \"import * as ActionCreators from\"?");
  }

  var boundActionCreators = {};

  for (var key in actionCreators) {
    var actionCreator = actionCreators[key];

    if (typeof actionCreator === 'function') {
      boundActionCreators[key] = bindActionCreator(actionCreator, dispatch);
    }
  }

  return boundActionCreators;
}

function _defineProperty(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, {
      value: value,
      enumerable: true,
      configurable: true,
      writable: true
    });
  } else {
    obj[key] = value;
  }

  return obj;
}

function ownKeys(object, enumerableOnly) {
  var keys = Object.keys(object);

  if (Object.getOwnPropertySymbols) {
    keys.push.apply(keys, Object.getOwnPropertySymbols(object));
  }

  if (enumerableOnly) keys = keys.filter(function (sym) {
    return Object.getOwnPropertyDescriptor(object, sym).enumerable;
  });
  return keys;
}

function _objectSpread2(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i] != null ? arguments[i] : {};

    if (i % 2) {
      ownKeys(source, true).forEach(function (key) {
        _defineProperty(target, key, source[key]);
      });
    } else if (Object.getOwnPropertyDescriptors) {
      Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
      ownKeys(source).forEach(function (key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }
  }

  return target;
}
/**
 * Composes single-argument functions from right to left. The rightmost
 * function can take multiple arguments as it provides the signature for
 * the resulting composite function.
 *
 * @param {...Function} funcs The functions to compose.
 * @returns {Function} A function obtained by composing the argument functions
 * from right to left. For example, compose(f, g, h) is identical to doing
 * (...args) => f(g(h(...args))).
 */


function compose() {
  for (var _len = arguments.length, funcs = new Array(_len), _key = 0; _key < _len; _key++) {
    funcs[_key] = arguments[_key];
  }

  if (funcs.length === 0) {
    return function (arg) {
      return arg;
    };
  }

  if (funcs.length === 1) {
    return funcs[0];
  }

  return funcs.reduce(function (a, b) {
    return function () {
      return a(b.apply(void 0, arguments));
    };
  });
}
/**
 * Creates a store enhancer that applies middleware to the dispatch method
 * of the Redux store. This is handy for a variety of tasks, such as expressing
 * asynchronous actions in a concise manner, or logging every action payload.
 *
 * See `redux-thunk` package as an example of the Redux middleware.
 *
 * Because middleware is potentially asynchronous, this should be the first
 * store enhancer in the composition chain.
 *
 * Note that each middleware will be given the `dispatch` and `getState` functions
 * as named arguments.
 *
 * @param {...Function} middlewares The middleware chain to be applied.
 * @returns {Function} A store enhancer applying the middleware.
 */


function applyMiddleware() {
  for (var _len = arguments.length, middlewares = new Array(_len), _key = 0; _key < _len; _key++) {
    middlewares[_key] = arguments[_key];
  }

  return function (createStore) {
    return function () {
      var store = createStore.apply(void 0, arguments);

      var _dispatch = function dispatch() {
        throw new Error('Dispatching while constructing your middleware is not allowed. ' + 'Other middleware would not be applied to this dispatch.');
      };

      var middlewareAPI = {
        getState: store.getState,
        dispatch: function dispatch() {
          return _dispatch.apply(void 0, arguments);
        }
      };
      var chain = middlewares.map(function (middleware) {
        return middleware(middlewareAPI);
      });
      _dispatch = compose.apply(void 0, chain)(store.dispatch);
      return _objectSpread2({}, store, {
        dispatch: _dispatch
      });
    };
  };
}
/*
 * This is a dummy function to check if the function name has been altered by minification.
 * If the function has been minified and NODE_ENV !== 'production', warn the user.
 */


function isCrushed() {}

if ("production" !== 'production' && typeof isCrushed.name === 'string' && isCrushed.name !== 'isCrushed') {
  warning('You are currently using minified code outside of NODE_ENV === "production". ' + 'This means that you are running a slower development build of Redux. ' + 'You can use loose-envify (https://github.com/zertosh/loose-envify) for browserify ' + 'or setting mode to production in webpack (https://webpack.js.org/concepts/mode/) ' + 'to ensure you have the correct code for your production build.');
} // Modified to expose all of `store` to middleware instead of just


var customApplyMiddleware = function () {
  var middlewares = [],
      len = arguments.length;

  while (len--) middlewares[len] = arguments[len];

  return function (createStore$$1) {
    return function (reducer, preloadedState, enhancer) {
      var store = createStore$$1(reducer, preloadedState, enhancer);
      var chain = middlewares.map(function (middleware) {
        return middleware(store);
      });
      store.dispatch = compose.apply(void 0, chain)(store.dispatch);
      return store;
    };
  };
};

function defaultEqualityCheck(a, b) {
  return a === b;
}

function areArgumentsShallowlyEqual(equalityCheck, prev, next) {
  if (prev === null || next === null || prev.length !== next.length) {
    return false;
  } // Do this in a for loop (and not a `forEach` or an `every`) so we can determine equality as fast as possible.


  var length = prev.length;

  for (var i = 0; i < length; i++) {
    if (!equalityCheck(prev[i], next[i])) {
      return false;
    }
  }

  return true;
}

function defaultMemoize(func) {
  var equalityCheck = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : defaultEqualityCheck;
  var lastArgs = null;
  var lastResult = null; // we reference arguments instead of spreading them for performance reasons

  return function () {
    if (!areArgumentsShallowlyEqual(equalityCheck, lastArgs, arguments)) {
      // apply arguments instead of spreading for performance.
      lastResult = func.apply(null, arguments);
    }

    lastArgs = arguments;
    return lastResult;
  };
}

function getDependencies(funcs) {
  var dependencies = Array.isArray(funcs[0]) ? funcs[0] : funcs;

  if (!dependencies.every(function (dep) {
    return typeof dep === 'function';
  })) {
    var dependencyTypes = dependencies.map(function (dep) {
      return typeof dep;
    }).join(', ');
    throw new Error('Selector creators expect all input-selectors to be functions, ' + ('instead received the following types: [' + dependencyTypes + ']'));
  }

  return dependencies;
}

function createSelectorCreator(memoize) {
  for (var _len = arguments.length, memoizeOptions = Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
    memoizeOptions[_key - 1] = arguments[_key];
  }

  return function () {
    for (var _len2 = arguments.length, funcs = Array(_len2), _key2 = 0; _key2 < _len2; _key2++) {
      funcs[_key2] = arguments[_key2];
    }

    var recomputations = 0;
    var resultFunc = funcs.pop();
    var dependencies = getDependencies(funcs);
    var memoizedResultFunc = memoize.apply(undefined, [function () {
      recomputations++; // apply arguments instead of spreading for performance.

      return resultFunc.apply(null, arguments);
    }].concat(memoizeOptions)); // If a selector is called with the exact same arguments we don't need to traverse our dependencies again.

    var selector = defaultMemoize(function () {
      var params = [];
      var length = dependencies.length;

      for (var i = 0; i < length; i++) {
        // apply arguments instead of spreading and mutate a local list of params for performance.
        params.push(dependencies[i].apply(null, arguments));
      } // apply arguments instead of spreading for performance.


      return memoizedResultFunc.apply(null, params);
    });
    selector.resultFunc = resultFunc;

    selector.recomputations = function () {
      return recomputations;
    };

    selector.resetRecomputations = function () {
      return recomputations = 0;
    };

    return selector;
  };
}

var createSelector = createSelectorCreator(defaultMemoize);

var ensureFn = function (obj, name) {
  if (typeof name !== 'string') {
    return name;
  }

  var found = obj[name];

  if (!found) {
    throw Error('No selector ' + name + ' found on the obj.');
  }

  return found;
};

var createSelector$1 = function () {
  var fns = [],
      len = arguments.length;

  while (len--) fns[len] = arguments[len];

  var resultFunc = fns.slice(-1)[0];

  var deferredSelector = function (obj, deps) {
    var newArgs = deps.map(function (fn) {
      return ensureFn(obj, fn);
    });
    newArgs.push(resultFunc);
    return createSelector.apply(void 0, newArgs);
  };

  deferredSelector.deps = fns.slice(0, -1);
  deferredSelector.resultFunc = resultFunc;
  return deferredSelector;
};

exports.createSelector = createSelector$1;

var resolveSelectors = function (obj) {
  // an item is resolved if it is either a
  // function with no dependencies or if
  // it's on the object with no dependencies
  var isResolved = function (name) {
    return name.call && !name.deps || !obj[name].deps;
  }; // flag for checking if we have *any*


  var hasAtLeastOneResolved = false; // extract all deps and any resolved items

  var loop = function (selectorName) {
    var fn = obj[selectorName];

    if (!isResolved(selectorName)) {
      fn.deps = fn.deps.map(function (val, index) {
        // if it is a function not a string
        if (val.call) {
          // look for it already on the object
          for (var key in obj) {
            if (obj[key] === val) {
              // return its name if found
              return key;
            }
          } // we didn't find it and it doesn't have a name
          // but if it's a fully resolved selector that's ok


          if (!val.deps) {
            hasAtLeastOneResolved = true;
            return val;
          }
        } // the `val` is a string that exists on the object return the string
        // we'll resolve it later


        if (obj[val]) {
          return val;
        } // if we get here, its a string that doesn't exist on the object
        // which won't work, so we throw a helpful error


        throw Error("The input selector at index " + index + " for '" + selectorName + "' is missing from the object passed to resolveSelectors()");
      });
    } else {
      hasAtLeastOneResolved = true;
    }
  };

  for (var selectorName in obj) loop(selectorName);

  if (!hasAtLeastOneResolved) {
    throw Error("You must pass at least one real selector. If they're all string references there's no");
  }

  var depsAreResolved = function (deps) {
    return deps.every(isResolved);
  };

  var resolve = function () {
    var hasUnresolved = false;

    for (var selectorName in obj) {
      var fn = obj[selectorName];

      if (!isResolved(selectorName)) {
        hasUnresolved = true;

        if (depsAreResolved(fn.deps)) {
          // we could just use `obj[selectorName] = fn(obj, fn.deps)`, but that
          // has a significant performance impact when trying to perform this
          // on a large object (> 1000). More on this here:
          // http://2ality.com/2014/01/object-assign.html
          var selectorFn = fn(obj, fn.deps);
          delete obj[selectorName];
          obj[selectorName] = selectorFn;
        }
      }
    }

    return hasUnresolved;
  };

  var startTime;

  while (resolve()) {
    if (!startTime) {
      startTime = Date.now();
    }

    var duration = Date.now() - startTime;

    if (duration > 500) {
      throw Error('Could not resolve selector dependencies.');
    }
  }

  return obj;
};

exports.resolveSelectors = resolveSelectors;
var debug = false;

try {
  debug = !!window.localStorage.debug;
} catch (e) {}

var HAS_DEBUG_FLAG = debug || false;
exports.HAS_DEBUG_FLAG = HAS_DEBUG_FLAG;
var HAS_WINDOW = !!globalThis.window;
exports.HAS_WINDOW = HAS_WINDOW;
var IS_BROWSER = HAS_WINDOW || !!globalThis.navigator;
exports.IS_BROWSER = IS_BROWSER;
var IS_PROD = "production" === 'production';
exports.IS_PROD = IS_PROD;

var fallback = function (func) {
  return setTimeout(func, 0);
};

var raf = IS_BROWSER && globalThis.requestAnimationFrame ? globalThis.requestAnimationFrame.bind(globalThis) : fallback;
exports.raf = raf;
var ric = IS_BROWSER && globalThis.requestIdleCallback ? globalThis.requestIdleCallback.bind(globalThis) : fallback; // can dump this once IE 11 support is no longer necessary

exports.ric = ric;

var isPassiveSupported = function () {
  var passiveSupported = false;

  try {
    var options = Object.defineProperty({}, 'passive', {
      /* eslint-disable getter-return */
      get: function () {
        passiveSupported = true;
      }
      /* eslint-enable getter-return */

    });
    globalThis.addEventListener('test', options, options);
    globalThis.removeEventListener('test', options, options);
  } catch (err) {
    passiveSupported = false;
  }

  return passiveSupported;
};

exports.isPassiveSupported = isPassiveSupported;
var PASSIVE_EVENTS_SUPPORTED = isPassiveSupported();
exports.PASSIVE_EVENTS_SUPPORTED = PASSIVE_EVENTS_SUPPORTED;

var startsWith = function (string, searchString) {
  return string.substr(0, searchString.length) === searchString;
};

exports.startsWith = startsWith;

var flattenExtractedToObject = function (extracted) {
  var result = {};

  for (var appName in extracted) {
    Object.assign(result, extracted[appName]);
  }

  return result;
};

exports.flattenExtractedToObject = flattenExtractedToObject;

var flattenExtractedToArray = function (extracted) {
  var accum = [];

  for (var appName in extracted) {
    accum.push.apply(accum, extracted[appName]);
  }

  return accum;
};

exports.flattenExtractedToArray = flattenExtractedToArray;

var addGlobalListener = function (eventName, handler, opts) {
  if (opts === void 0) opts = {
    passive: false
  };

  if (!IS_BROWSER) {
    return function () {};
  }

  var args = opts.passive ? PASSIVE_EVENTS_SUPPORTED ? [eventName, handler, {
    passive: true
  }] : [eventName, debounce(handler, 200), false] : [eventName, handler];
  globalThis.addEventListener.apply(globalThis, args);
  return function () {
    return globalThis.removeEventListener.apply(globalThis, args);
  };
};

exports.addGlobalListener = addGlobalListener;

var selectorNameToValueName = function (name) {
  var start = name[0] === 's' ? 6 : 5;
  return name[start].toLowerCase() + name.slice(start + 1);
};

exports.selectorNameToValueName = selectorNameToValueName;

var debounce = function (fn, wait) {
  var timeout;

  var debounced = function () {
    var ctx = this;
    var args = arguments;
    clearTimeout(timeout);
    timeout = setTimeout(function () {
      fn.apply(ctx, args);
    }, wait);
  };

  debounced.cancel = function () {
    clearTimeout(timeout);
  };

  return debounced;
};

exports.debounce = debounce;

var saveScrollPosition = function () {
  history.replaceState({
    height: window.innerHeight,
    width: window.innerWidth,
    y: window.scrollY,
    x: window.scrollX
  }, '');
};

exports.saveScrollPosition = saveScrollPosition;

var restoreScrollPosition = function () {
  var state = history.state;

  if (state) {
    // we'll force it to our known height since the DOM rendering may
    // be async and the height may not be restored yet.
    setTimeout(function () {
      var newStyle = "height: " + state.height + "px; width: " + state.width + "px;";
      document.body.setAttribute('style', newStyle);
      window.scrollTo(state.x, state.y);
      ric(function () {
        return document.body.removeAttribute('style');
      });
    });
  }
};

exports.restoreScrollPosition = restoreScrollPosition;

var initScrollPosition = function () {
  if (!HAS_WINDOW) {
    return;
  } // turn off browser scroll restoration if available


  if (history.scrollRestoration) {
    history.scrollRestoration = 'manual';
  }

  var removePopstateListener = addGlobalListener('popstate', restoreScrollPosition);
  var removeScrollListener = addGlobalListener('scroll', debounce(saveScrollPosition, 300), {
    passive: true
  });
  restoreScrollPosition();
  return function () {
    removePopstateListener();
    removeScrollListener();
  };
};

exports.initScrollPosition = initScrollPosition;

var normalizeBundle = function (bundle) {
  var name = bundle.name;

  if (!name) {
    throw TypeError('bundles must have a "name" property');
  }

  var result = {
    name: name,
    reducer: bundle.reducer || bundle.getReducer && bundle.getReducer() || null,
    init: bundle.init || null,
    extraArgCreators: bundle.getExtraArgs || null,
    middlewareCreators: bundle.getMiddleware,
    actionCreators: null,
    selectors: null,
    reactorNames: null,
    rawBundle: bundle
  };
  Object.keys(bundle).forEach(function (key) {
    if (startsWith(key, 'do')) {
      (result.actionCreators || (result.actionCreators = {}))[key] = bundle[key];
      return;
    }

    var isSelector = startsWith(key, 'select');
    var isReactor = startsWith(key, 'react');

    if (isSelector || isReactor) {
      (result.selectors || (result.selectors = {}))[key] = bundle[key];

      if (isReactor) {
        (result.reactorNames || (result.reactorNames = [])).push(key);
      }
    }
  });
  return result;
};

var createChunk = function (rawBundles) {
  var normalizedBundles = rawBundles.map(normalizeBundle);
  var result = {
    bundleNames: [],
    reducers: {},
    selectors: {},
    actionCreators: {},
    rawBundles: [],
    processedBundles: [],
    initMethods: [],
    destroyMethods: [],
    middlewareCreators: [],
    extraArgCreators: [],
    reactorNames: []
  };
  normalizedBundles.forEach(function (bundle) {
    var obj, ref;
    result.bundleNames.push(bundle.name);
    Object.assign(result.selectors, bundle.selectors);
    Object.assign(result.actionCreators, bundle.actionCreators);

    if (bundle.reducer) {
      Object.assign(result.reducers, (obj = {}, obj[bundle.name] = bundle.reducer, obj));
    }

    if (bundle.init) {
      result.initMethods.push(bundle.init);
    }

    if (bundle.middlewareCreators) {
      result.middlewareCreators.push(bundle.middlewareCreators);
    }

    if (bundle.extraArgCreators) {
      result.extraArgCreators.push(bundle.extraArgCreators);
    }

    if (bundle.reactorNames) {
      (ref = result.reactorNames).push.apply(ref, bundle.reactorNames);
    }

    result.processedBundles.push(bundle);
    result.rawBundles.push(bundle.rawBundle);
  });
  return result;
};

var addBindingMethods = function (store) {
  store.subscriptions = {
    watchedValues: {}
  };
  var subscriptions = store.subscriptions.set = new Set();
  var watchedSelectors = store.subscriptions.watchedSelectors = {};

  var watch = function (selectorName) {
    watchedSelectors[selectorName] = (watchedSelectors[selectorName] || 0) + 1;
  };

  var unwatch = function (selectorName) {
    var count = watchedSelectors[selectorName] - 1;

    if (count === 0) {
      delete watchedSelectors[selectorName];
    } else {
      watchedSelectors[selectorName] = count;
    }
  }; // add single store subscription for tracking watched changes


  store.subscribe(function () {
    var newValues = watchedSelectors.all ? store.selectAll() : store.select(Object.keys(watchedSelectors));
    var ref = store.subscriptions;
    var watchedValues = ref.watchedValues; // the only diffing in the app happens here

    var changed = {};

    for (var key in newValues) {
      var val = newValues[key];

      if (val !== watchedValues[key]) {
        changed[key] = val;
      }
    }

    store.subscriptions.watchedValues = newValues; // look through subscriptions to trigger

    subscriptions.forEach(function (subscription) {
      var relevantChanges = {};
      var hasChanged = false;

      if (subscription.names === 'all') {
        Object.assign(relevantChanges, changed);
        hasChanged = !!Object.keys(relevantChanges).length;
      } else {
        subscription.names.forEach(function (name) {
          if (Object.prototype.hasOwnProperty.call(changed, name)) {
            relevantChanges[name] = changed[name];
            hasChanged = true;
          }
        });
      }

      if (hasChanged) {
        subscription.fn(relevantChanges);
      }
    });
  }); // this exists separately in order to support
  // subscribing to all changes even after lazy-loading
  // additional bundles

  store.subscribeToAllChanges = function (callback) {
    return store.subscribeToSelectors('all', callback);
  }; // given an array of selector names, it will call the
  // callback any time those have changed with an object
  // containing only changed values


  store.subscribeToSelectors = function (keys, callback) {
    var isAll = keys === 'all'; // re-use loop for double duty
    // extract names, but also ensure
    // selector actually exists on store

    var subscription = {
      fn: callback,
      names: isAll ? 'all' : keys.map(selectorNameToValueName)
    };
    subscriptions.add(subscription);
    isAll ? watch('all') : keys.forEach(watch); // make sure starting values are in watched so we can
    // track changes

    Object.assign(store.subscriptions.watchedValues, isAll ? store.selectAll() : store.select(keys)); // return function that can be used to unsubscribe

    return function () {
      subscriptions.delete(subscription);
      isAll ? unwatch('all') : keys.forEach(unwatch);
    };
  };
};

var bindSelectorsToStore = function (store, selectors) {
  var loop = function (key) {
    var selector = selectors[key];

    if (!store[key]) {
      store[key] = function () {
        return selector(store.getState());
      };
    }
  };

  for (var key in selectors) loop(key);
};

var decorateStore = function (store, processed) {
  if (!store.meta) {
    store.meta = {
      chunks: [],
      unboundSelectors: {},
      unboundActionCreators: {},
      reactorNames: [],
      destroyMethods: []
    };
  }

  var meta = store.meta; // attach for reference

  meta.chunks.push(processed); // grab existing unbound (but resolved) selectors, combine with new ones

  var combinedSelectors = Object.assign(meta.unboundSelectors, processed.selectors); // run resolver

  resolveSelectors(combinedSelectors); // update collection of resolved selectors

  meta.unboundSelectors = combinedSelectors; // make sure all selectors are bound (won't overwrite if already bound)

  bindSelectorsToStore(store, combinedSelectors); // build our list of reactor names

  meta.reactorNames = meta.reactorNames.concat(processed.reactorNames); // extend global collections with new stuff

  Object.assign(meta.unboundActionCreators, processed.actionCreators); // bind and attach only the next action creators to the store

  Object.assign(store, bindActionCreators(processed.actionCreators, store.dispatch)); // build list of destroy methods

  meta.destroyMethods = meta.destroyMethods.concat(processed.destroyMethods); // run any new init methods. Use their return function as potential
  // destroy methods.

  processed.initMethods.forEach(function (init) {
    var destroy = init(store);

    if (typeof destroy === 'function') {
      meta.destroyMethods = meta.destroyMethods.concat(destroy);
    }
  });
};

var enableBatchDispatch = function (reducer) {
  return function (state, action) {
    if (action.type === 'BATCH_ACTIONS') {
      return action.actions.reduce(reducer, state);
    }

    return reducer(state, action);
  };
};

var enableReplaceState = function (reducer) {
  return function (state, action) {
    if (action.type === 'REPLACE_STATE') {
      return reducer(action.payload, action);
    }

    return reducer(state, action);
  };
};

var enhanceReducer = compose(enableBatchDispatch, enableReplaceState);

var devTools = function () {
  return HAS_WINDOW && window.__REDUX_DEVTOOLS_EXTENSION__ && (HAS_DEBUG_FLAG || !IS_PROD) ? window.__REDUX_DEVTOOLS_EXTENSION__() : function (a) {
    return a;
  };
};

var composeBundles = function () {
  var bundles = [],
      len = arguments.length;

  while (len--) bundles[len] = arguments[len]; // build out object of extracted bundle info


  var firstChunk = createChunk(bundles);
  return function (data) {
    // actually init our store
    var store = createStore(enhanceReducer(combineReducers(firstChunk.reducers)), data, compose(customApplyMiddleware.apply(void 0, [namedActionMiddleware, thunkMiddleware(firstChunk.extraArgCreators)].concat(firstChunk.middlewareCreators.map(function (fn) {
      return fn(firstChunk);
    }))), devTools())); // get values from an array of selector names

    store.select = function (selectorNames) {
      return selectorNames.reduce(function (obj, name) {
        if (!store[name]) {
          throw Error("SelectorNotFound " + name);
        }

        obj[selectorNameToValueName(name)] = store[name]();
        return obj;
      }, {});
    }; // get all values from all available selectors (even if added later)


    store.selectAll = function () {
      return store.select(Object.keys(store.meta.unboundSelectors));
    }; // add support for dispatching an action by name


    store.action = function (name, args) {
      return store[name].apply(store, args);
    }; // adds support for subscribing to changes from an array of selector strings


    addBindingMethods(store); // add all the gathered bundle data into the store

    decorateStore(store, firstChunk); // add support for destroying the store (to remove event listeners, etc)

    store.destroy = function () {
      return store.meta.destroyMethods.forEach(function (destroy) {
        return destroy(store);
      });
    }; // defines method for integrating other bundles later


    store.integrateBundles = function () {
      var bundlesToIntegrate = [],
          len = arguments.length;

      while (len--) bundlesToIntegrate[len] = arguments[len];

      decorateStore(store, createChunk(bundlesToIntegrate));
      var allReducers = store.meta.chunks.reduce(function (accum, chunk) {
        return Object.assign(accum, chunk.reducers);
      }, {});
      store.replaceReducer(enhanceReducer(combineReducers(allReducers)));
      store.buildPersistActionMap && store.buildPersistActionMap();
    };

    return store;
  };
}; // regexes borrowed from backbone


var optionalParam = /\((.*?)\)/g;
var namedParam = /(\(\?)?:\w+/g; // eslint-disable-next-line no-useless-escape

var escapeRegExp = /[\-{}\[\]+?.,\\\^$|#\s]/g;
var splatParam = /\*/g; // Parses a URL pattern such as `/users/:id`
// and builds and returns a regex that can be used to
// match said pattern. Credit for these
// regexes belongs to Jeremy Ashkenas and the
// other maintainers of Backbone.js
//
// It has been modified for extraction of
// named parameters from the URL

var parsePattern = function (pattern) {
  var names = [];
  pattern = pattern.replace(escapeRegExp, '\\$&').replace(optionalParam, '(?:$1)?').replace(namedParam, function (match, optional) {
    names.push(match.slice(1));
    return optional ? match : '([^/?]+)';
  }).replace(splatParam, function () {
    names.push('path');
    return '([^?]*?)';
  });
  return {
    regExp: new RegExp('^' + pattern + '(?:\\?([\\s\\S]*))?$'),
    namedParams: names
  };
};

function createRouteMatcher(routes) {
  var keys = Object.keys(routes);
  var routeCache = {}; // loop through each route we're
  // and build the shell of our
  // route cache.

  for (var item in routes) {
    routeCache[item] = {
      value: routes[item]
    };
  } // main result is a function that can be called
  // with the url


  return function (url) {
    var params;
    var route; // start looking for matches

    var matchFound = keys.some(function (key) {
      var parsed; // fetch the route pattern from the cache
      // there will always be one

      route = routeCache[key]; // if the route doesn't already have
      // a regex we never generated one
      // so we do that here lazily.
      // Parse the pattern to generate the
      // regex once, and store the result
      // for next time.

      if (!route.regExp) {
        parsed = parsePattern(key);
        route.regExp = parsed.regExp;
        route.namedParams = parsed.namedParams;
        route.pattern = key;
      } // run our cached regex


      var result = route.regExp.exec(url); // if null there was no match
      // returning falsy here continues
      // the `Array.prototype.some` loop

      if (!result) {
        return;
      } // remove other cruft from result


      result = result.slice(1, -1); // reduce our match to an object of named parameters
      // we've extracted from the url

      params = result.reduce(function (obj, val, index) {
        if (val) {
          obj[route.namedParams[index]] = val;
        }

        return obj;
      }, {}); // stops the loop

      return true;
    }); // no routes matched

    if (!matchFound) {
      return null;
    }

    return {
      value: route.value,
      params: params,
      url: url,
      pattern: route.pattern
    };
  };
}

var defaults = {
  routeInfoSelector: 'selectPathname'
};

var createRoutingBundle = function (routes, spec) {
  var opts = Object.assign({}, defaults, spec);
  var routeInfoSelector = opts.routeInfoSelector;
  var routeMatcher = createRouteMatcher(routes);
  return {
    name: 'routes',
    selectRoutes: function () {
      return routes;
    },
    selectRouteMatcher: function () {
      return routeMatcher;
    },
    selectRouteInfo: createSelector$1(routeInfoSelector, routeMatcher),
    selectRouteParams: createSelector$1('selectRouteInfo', function (match) {
      return match && match.params || {};
    }),
    selectRoute: createSelector$1('selectRouteInfo', function (match) {
      return match && match.value || null;
    })
  };
};

var caching = function (ref) {
  var cacheFn = ref.cacheFn;
  var logger = ref.logger;
  var enabled = ref.enabled;
  if (enabled === void 0) enabled = IS_BROWSER;
  return {
    name: 'localCache',
    init: function (store) {
      store.buildPersistActionMap = function () {
        store.meta.persistActionMap = store.meta.chunks.reduce(function (actionMap, chunk) {
          chunk.rawBundles.forEach(function (bundle) {
            if (bundle.persistActions) {
              bundle.persistActions.forEach(function (type) {
                actionMap[type] || (actionMap[type] = []);
                actionMap[type].push(bundle.name);
              });
            }
          });
          return actionMap;
        }, {});
      };

      store.buildPersistActionMap();
    },
    getMiddleware: function () {
      return function (store) {
        return function (next) {
          return function (action) {
            var getState = store.getState;
            var meta = store.meta;
            var persistActionMap = meta.persistActionMap;
            var reducersToPersist = persistActionMap[action.type];
            var res = next(action);
            var state = getState();

            if (enabled && reducersToPersist) {
              ric(function () {
                Promise.all(reducersToPersist.map(function (key) {
                  return cacheFn(key, state[key]);
                })).then(function () {
                  if (logger) {
                    logger("cached " + reducersToPersist.join(', ') + " due to " + action.type);
                  }
                });
              }, {
                timeout: 500
              });
            }

            return res;
          };
        };
      };
    }
  };
};

var defaults$1 = {
  idleTimeout: 30000,
  idleAction: 'APP_IDLE',
  doneCallback: null,
  stopWhenTabInactive: true,
  cancelIdleWhenDone: true,
  reactorPermissionCheck: null
};
var ricOptions = {
  timeout: 500
};

var getIdleDispatcher = function (stopWhenInactive, timeout, fn) {
  return debounce(function () {
    // the requestAnimationFrame ensures it doesn't run when tab isn't active
    stopWhenInactive ? raf(function () {
      return ric(fn, ricOptions);
    }) : ric(fn, ricOptions);
  }, timeout);
};

var reactors = function (spec) {
  return {
    name: 'reactors',
    init: function (store) {
      var ref = Object.assign({}, defaults$1, spec);
      var idleAction = ref.idleAction;
      var idleTimeout = ref.idleTimeout;
      var cancelIdleWhenDone = ref.cancelIdleWhenDone;
      var doneCallback = ref.doneCallback;
      var stopWhenTabInactive = ref.stopWhenTabInactive;
      var reactorPermissionCheck = ref.reactorPermissionCheck;
      var idleDispatcher;

      if (idleTimeout) {
        idleDispatcher = getIdleDispatcher(stopWhenTabInactive, idleTimeout, function () {
          return store.dispatch({
            type: idleAction
          });
        });
      }

      store.getNextReaction = function (skipPermissionCheck) {
        if (skipPermissionCheck === void 0) skipPermissionCheck = false;

        for (var i = 0, l = store.meta.reactorNames.length; i < l; i++) {
          var name = store.meta.reactorNames[i];
          var result = store[name]();

          if (result) {
            // enable passing a fn to check whether a given reactor should be allowed
            if (!skipPermissionCheck && reactorPermissionCheck && !reactorPermissionCheck(name, result)) {
              continue;
            }

            return {
              name: name,
              result: result
            };
          }
        }
      };

      if ("production" !== 'production') {
        store.meta.reactorNames.forEach(function (name) {
          if (!store[name]) {
            throw Error("Reactor '" + name + "' not found on the store. Make sure you're defining as selector by that name.");
          }
        });
      }

      var cancelIfDone = function () {
        if (!IS_BROWSER && !store.nextReaction && (!store.selectAsyncActive || !store.selectAsyncActive())) {
          idleDispatcher && idleDispatcher.cancel();
          doneCallback && doneCallback();
        }
      };

      var dispatchNextReaction = function () {
        // make sure it's still relevant and store it
        // this time don't verify permission, we already
        // did once.
        store.nextReaction = store.getNextReaction(true);

        if (store.nextReaction) {
          var nextReaction = store.nextReaction;
          store.nextReaction = null;
          store.dispatch(nextReaction.result);
        }
      };

      var dispatchNext = function () {
        // one at a time
        if (store.nextReaction) {
          return;
        } // store next reaction for reference


        store.nextReaction = store.getNextReaction();

        if (store.nextReaction) {
          ric(dispatchNextReaction, ricOptions);
        }
      };

      var callback = function () {
        dispatchNext();

        if (idleDispatcher) {
          idleDispatcher();
          cancelIdleWhenDone && cancelIfDone();
        }
      };

      var unsubscribe = store.subscribe(callback);
      callback();
      return function () {
        idleDispatcher && idleDispatcher.cancel();
        unsubscribe();
      };
    }
  };
};

var has = Object.prototype.hasOwnProperty,
    undef;
/**
 * Decode a URI encoded string.
 *
 * @param {String} input The URI encoded string.
 * @returns {String|Null} The decoded string.
 * @api private
 */

function decode(input) {
  try {
    return decodeURIComponent(input.replace(/\+/g, ' '));
  } catch (e) {
    return null;
  }
}
/**
 * Simple query string parser.
 *
 * @param {String} query The query string that needs to be parsed.
 * @returns {Object}
 * @api public
 */


function querystring(query) {
  var parser = /([^=?&]+)=?([^&]*)/g,
      result = {},
      part;

  while (part = parser.exec(query)) {
    var key = decode(part[1]),
        value = decode(part[2]); //
    // Prevent overriding of existing properties. This ensures that build-in
    // methods like `toString` or __proto__ are not overriden by malicious
    // querystrings.
    //
    // In the case if failed decoding, we want to omit the key/value pairs
    // from the result.
    //

    if (key === null || value === null || key in result) continue;
    result[key] = value;
  }

  return result;
}
/**
 * Transform a query string to an object.
 *
 * @param {Object} obj Object that should be transformed.
 * @param {String} prefix Optional prefix.
 * @returns {String}
 * @api public
 */


function querystringify(obj, prefix) {
  prefix = prefix || '';
  var pairs = [],
      value,
      key; //
  // Optionally prefix with a '?' if needed
  //

  if ('string' !== typeof prefix) prefix = '?';

  for (key in obj) {
    if (has.call(obj, key)) {
      value = obj[key]; //
      // Edge cases where we actually want to encode the value to an empty
      // string instead of the stringified value.
      //

      if (!value && (value === null || value === undef || isNaN(value))) {
        value = '';
      }

      key = encodeURIComponent(key);
      value = encodeURIComponent(value); //
      // If we failed to encode the strings, we should bail out as we don't
      // want to add invalid strings to the query.
      //

      if (key === null || value === null) continue;
      pairs.push(key + '=' + value);
    }
  }

  return pairs.length ? prefix + pairs.join('&') : '';
} //
// Expose the module.
//


var stringify = querystringify;
var parse = querystring;
var querystringify_1 = {
  stringify: stringify,
  parse: parse
};

var isString = function (obj) {
  return Object.prototype.toString.call(obj) === '[object String]';
};

var isDefined = function (thing) {
  return typeof thing !== 'undefined';
};

var ensureString = function (input) {
  return isString(input) ? input : querystringify_1.stringify(input);
};

var IPRE = /^[0-9.]+$/;

var parseSubdomains = function (hostname, getBareHost) {
  if (IPRE.test(hostname)) {
    return [];
  }

  var parts = hostname.split('.');

  if (getBareHost) {
    return parts.slice(-2).join('.');
  }

  return hostname.split('.').slice(0, -2);
};

var removeLeading = function (char, string) {
  return string.charAt(0) === char ? string.slice(1) : string;
};

var ensureLeading = function (char, string) {
  if (string === char || string === '') {
    return '';
  }

  return string.charAt(0) !== char ? char + string : string;
};

var loc = function () {
  if (!HAS_WINDOW) {
    return {};
  }

  return window.location;
}();

var defaults$2 = {
  name: 'url',
  inert: !HAS_WINDOW,
  actionType: 'URL_UPDATED',
  handleScrollRestoration: true
};

var makeSerializable = function (url) {
  var result = {};

  for (var key in url) {
    var val = url[key];

    if (isString(val)) {
      result[key] = val;
    }
  }

  return result;
};

var url = function (opts) {
  var config = Object.assign({}, defaults$2, opts);
  var actionType = config.actionType;

  var selectUrlRaw = function (state) {
    return state[config.name];
  };

  var selectUrlObject = createSelector$1(selectUrlRaw, function (urlState) {
    return makeSerializable(new URL(urlState.url));
  });
  var selectQueryObject = createSelector$1(selectUrlObject, function (urlObj) {
    return querystringify_1.parse(urlObj.search);
  });
  var selectQueryString = createSelector$1(selectQueryObject, function (queryObj) {
    return querystringify_1.stringify(queryObj);
  });
  var selectPathname = createSelector$1(selectUrlObject, function (urlObj) {
    return urlObj.pathname;
  });
  var selectHash = createSelector$1(selectUrlObject, function (urlObj) {
    return removeLeading('#', urlObj.hash);
  });
  var selectHashObject = createSelector$1(selectHash, function (hash) {
    return querystringify_1.parse(hash);
  });
  var selectHostname = createSelector$1(selectUrlObject, function (urlObj) {
    return urlObj.hostname;
  });
  var selectSubdomains = createSelector$1(selectHostname, function (hostname) {
    return parseSubdomains(hostname);
  });

  var doUpdateUrl = function (newState, opts) {
    if (opts === void 0) opts = {
      replace: false,
      maintainScrollPosition: false
    };
    return function (ref) {
      var dispatch = ref.dispatch;
      var getState = ref.getState;
      var state = newState;

      if (typeof newState === 'string') {
        var parsed = new URL(newState.charAt(0) === '/' ? 'http://example.com' + newState : newState);
        state = {
          pathname: parsed.pathname,
          query: parsed.search || '',
          hash: parsed.hash || ''
        };
      }

      var url = new URL(selectUrlRaw(getState()).url);

      if (isDefined(state.pathname)) {
        url.pathname = state.pathname;
      }

      if (isDefined(state.hash)) {
        url.hash = ensureString(state.hash);
      }

      if (isDefined(state.query)) {
        url.search = ensureString(state.query);
      }

      dispatch({
        type: actionType,
        payload: {
          url: url.href,
          replace: opts.replace,
          maintainScrollPosition: opts.maintainScrollPosition
        }
      });
    };
  };

  var doReplaceUrl = function (url) {
    return doUpdateUrl(url, {
      replace: true
    });
  };

  var doUpdateQuery = function (query, opts) {
    if (opts === void 0) opts = {
      replace: true
    };
    return doUpdateUrl({
      query: ensureString(query)
    }, opts);
  };

  var doUpdateHash = function (hash, opts) {
    if (opts === void 0) opts = {
      replace: false
    };
    return doUpdateUrl({
      hash: ensureLeading('#', ensureString(hash))
    }, opts);
  };

  return {
    name: config.name,
    init: function (store) {
      if (config.inert) {
        return;
      }

      var removeScrollPosition = config.handleScrollRestoration ? initScrollPosition() : null;
      var removePopstateListener = addGlobalListener('popstate', function () {
        store.doUpdateUrl({
          pathname: loc.pathname,
          hash: loc.hash,
          query: loc.search
        });
      });
      var lastState = store.selectUrlRaw();
      var unsubscribe = store.subscribe(function () {
        var newState = store.selectUrlRaw();
        var newUrl = newState.url;

        if (lastState !== newState && newUrl !== loc.href) {
          try {
            window.history[newState.replace ? 'replaceState' : 'pushState']({}, null, newState.url);

            if (config.handleScrollRestoration) {
              saveScrollPosition();
            }

            if (!newState.maintainScrollPosition) {
              window.scrollTo(0, 0);
            }
          } catch (e) {
            console.error(e);
          }
        }

        lastState = newState;
      });
      return function () {
        if (removeScrollPosition) {
          removeScrollPosition();
        }

        removePopstateListener();
        unsubscribe();
      };
    },
    getReducer: function () {
      var initialState = {
        url: !config.inert && HAS_WINDOW ? loc.href : '/',
        replace: false,
        maintainScrollPosition: false
      };
      return function (state, ref) {
        if (state === void 0) state = initialState;
        var type = ref.type;
        var payload = ref.payload;

        if (typeof state === 'string') {
          return {
            url: state,
            replace: false,
            maintainScrollPosition: false
          };
        }

        if (type === actionType) {
          return Object.assign({
            url: payload.url || payload,
            replace: !!payload.replace,
            maintainScrollPosition: !!payload.maintainScrollPosition
          });
        }

        return state;
      };
    },
    doUpdateUrl: doUpdateUrl,
    doReplaceUrl: doReplaceUrl,
    doUpdateQuery: doUpdateQuery,
    doUpdateHash: doUpdateHash,
    selectUrlRaw: selectUrlRaw,
    selectUrlObject: selectUrlObject,
    selectQueryObject: selectQueryObject,
    selectQueryString: selectQueryString,
    selectPathname: selectPathname,
    selectHash: selectHash,
    selectHashObject: selectHashObject,
    selectHostname: selectHostname,
    selectSubdomains: selectSubdomains
  };
};

var version = "28.0.3";

var createDebug = function (spec) {
  var ENABLE = 'DEBUG_ENABLED';
  var DISABLE = 'DEBUG_DISABLED';
  var colorBlue = 'color: #1676D2;';
  var colorGreen = 'color: #4CAF50;';
  var colorOrange = 'color: #F57C00;'; // cleans up color vars when used in node

  var log = function (toLog, ref) {
    var method = ref.method;
    if (method === void 0) method = 'log';
    var label = ref.label;
    var color = ref.color;
    return console[method].apply(console, IS_BROWSER ? ["%c" + label, color, toLog] : [label, toLog]);
  };

  var defaultOpts = {
    logSelectors: true,
    logState: true,
    enabled: HAS_DEBUG_FLAG,
    actionFilter: null
  };
  var opts = Object.assign({}, defaultOpts, spec);
  return {
    name: 'debug',
    reducer: function (state, ref) {
      if (state === void 0) state = opts.enabled;
      var type = ref.type;

      if (type === ENABLE) {
        return true;
      }

      if (type === DISABLE) {
        return false;
      }

      return state;
    },
    doEnableDebug: function () {
      return function (ref) {
        var dispatch = ref.dispatch;

        if (IS_BROWSER) {
          try {
            localStorage.debug = true;
          } catch (e) {}
        }

        dispatch({
          type: ENABLE
        });
      };
    },
    doDisableDebug: function () {
      return function (ref) {
        var dispatch = ref.dispatch;

        if (IS_BROWSER) {
          try {
            delete localStorage.debug;
          } catch (e) {}
        }

        dispatch({
          type: DISABLE
        });
      };
    },
    selectIsDebug: function (state) {
      return state.debug;
    },
    getMiddleware: function () {
      return function (store) {
        return function (next) {
          return function (action) {
            var isDebug = store.getState().debug;

            if (!isDebug || opts.actionFilter && !opts.actionFilter(action)) {
              return next(action);
            }

            console.group(action.type);
            console.info('action:', action);
            var result = next(action);
            opts.logState && console.debug('state:', store.getState());
            opts.logSelectors && store.doLogSelectors();
            store.doLogNextReaction && store.doLogNextReaction();
            console.groupEnd(action.type);
            return result;
          };
        };
      };
    },
    doLogBundles: function () {
      return function (ref) {
        var store = ref.store;
        log(store.meta.chunks.reduce(function (result, chunk) {
          result.push.apply(result, chunk.bundleNames);
          return result;
        }, []), {
          label: 'installed bundles:',
          color: colorBlue
        });
      };
    },
    doLogSelectors: function () {
      return function (ref) {
        var store = ref.store;
        log(Object.keys(store.meta.unboundSelectors).sort().reduce(function (res, name$$1) {
          res[name$$1] = store[name$$1]();
          return res;
        }, {}), {
          label: 'selectors:',
          color: colorGreen
        });
      };
    },
    doLogActionCreators: function () {
      return function (ref) {
        var store = ref.store;
        log(Object.keys(store.meta.unboundActionCreators).sort(), {
          label: 'action creators:',
          color: colorOrange
        });
      };
    },
    doLogReactors: function () {
      return function (ref) {
        var store = ref.store;
        log(store.meta.reactorNames, {
          label: 'reactors:',
          color: colorOrange
        });
      };
    },
    doLogNextReaction: function () {
      return function (ref) {
        var store = ref.store;
        var nextReaction = store.nextReaction;

        if (nextReaction) {
          var name$$1 = nextReaction.name;
          var result = nextReaction.result;
          log(result, {
            color: colorOrange,
            label: "next reaction " + name$$1 + ":"
          });
        }
      };
    },
    doLogDebugSummary: function () {
      return function (ref) {
        var store = ref.store;
        store.doLogBundles();
        store.doLogSelectors();
        store.doLogActionCreators();
        store.doLogReactors();
        store.doLogNextReaction();
      };
    },
    init: function (store) {
      if (store.selectIsDebug()) {
        if (IS_BROWSER) {
          globalThis.store = store;
          console.groupCollapsed("%credux bundler v" + version, colorBlue);
          store.doLogDebugSummary();
          console.groupEnd();
        }
      }
    }
  };
};

var appTimeBundle = appTime;
exports.appTimeBundle = appTimeBundle;
var asyncCountBundle = asyncCount;
exports.asyncCountBundle = asyncCountBundle;
var createCacheBundle = caching;
exports.createCacheBundle = createCacheBundle;
var createRouteBundle = createRoutingBundle;
exports.createRouteBundle = createRouteBundle;
var createReactorBundle = reactors;
exports.createReactorBundle = createReactorBundle;
var getIdleDispatcher$1 = getIdleDispatcher;
exports.getIdleDispatcher = getIdleDispatcher$1;
var createUrlBundle = url;
exports.createUrlBundle = createUrlBundle;
var createDebugBundle = createDebug;
exports.createDebugBundle = createDebugBundle;
var composeBundlesRaw = composeBundles;
exports.composeBundlesRaw = composeBundlesRaw;

var composeBundles$1 = function () {
  var userBundles = [],
      len = arguments.length;

  while (len--) userBundles[len] = arguments[len];

  userBundles || (userBundles = []);
  var bundles = [appTime, asyncCount, url(), reactors(), createDebug()].concat(userBundles);
  return composeBundles.apply(void 0, bundles);
};

exports.composeBundles = composeBundles$1;
},{}],"y3aI":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.addDelay = exports.pause = void 0;

/**
 * @param {number} duration Time to delay in milliseconds
 * @param {any} [resolveValue] Optional value to resolve with
 * @returns {Promise<any>}
 */
var pause = function pause() {
  var duration = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 1000;
  var resolveValue = arguments.length > 1 ? arguments[1] : undefined;
  return new Promise(function (resolve) {
    setTimeout(function () {
      return resolve(resolveValue);
    }, duration);
  });
};
/**
 * Similar to pause, but can be used to add a delay to a promise chain and still
 * return the original value. If passing 0 for duration, it will return the
 * original value without the setTimeout.
 *
 * @param {number} duration Time to delay in milliseconds
 * @returns {(any) => Promise<any>}
 */


exports.pause = pause;

var addDelay = function addDelay() {
  var duration = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 1000;
  return function (val) {
    return duration ? pause(duration, val) : val;
  };
};

exports.addDelay = addDelay;
},{}],"qmDE":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.fhirResourceBundle = exports.extractOrgId = void 0;

var _object = require("../utils/object");

var _reduxBundler = require("redux-bundler");

var _promise = require("../utils/promise");

function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }

function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && Symbol.iterator in Object(iter)) return Array.from(iter); }

function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return; var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var RECEIVED = 'FHIR_RESOURCE_RECEIVED';
var LOADING = 'FHIR_RESOURCE_LOADING';
var DELETING = 'FHIR_RESOURCE_DELETING';
var DELETED = 'FHIR_RESOURCE_DELETED';
var NOT_FOUND = 'FHIR_RESOURCE_NOT_FOUND';
var UPDATING = 'FHIR_RESOURCE_UPDATING';
var CLEARED = 'FHIR_RESOURCES_CLEARED';
var CLEARED_NOT_IN_ORG = 'FHIR_RESOURCES_CLEARED_EXCEPT';
/**
 * @param {string} fullUrl Full google resource URL for resource
 * @returns {string} Extracted OrgId
 */

var extractOrgId = function extractOrgId(fullUrl) {
  var result = /\/fhirStores\/([a-zA-Z0-9._-]+)\/fhir/i.exec(fullUrl);
  return result && result[1] || '';
};

exports.extractOrgId = extractOrgId;
var emptyObj = {};

var createFhirResourceSelector = function createFhirResourceSelector(resourceName) {
  var lastResult;
  var lastResourceCollection;
  return function (state) {
    var resourceCollection = state.fhirResourceCache[resourceName] || emptyObj;

    if (resourceCollection === lastResourceCollection) {
      return lastResult;
    }

    var result = {};

    for (var key in resourceCollection) {
      /** @type {ResourceEntry} */
      var entry = resourceCollection[key];
      var resource = entry.resource,
          activeOperation = entry.activeOperation,
          orgId = entry.orgId;

      if (activeOperation) {
        result[resource.id] = _objectSpread(_objectSpread({}, resource), {}, {
          activeOperation: activeOperation,
          orgId: orgId
        });
      } else {
        result[resource.id] = _objectSpread(_objectSpread({}, resource), {}, {
          orgId: orgId
        });
      }
    }

    lastResourceCollection = resourceCollection;
    lastResult = result;
    return result;
  };
};
/** @typedef {'delete' | 'update' | 'load' | 'deleted' | 'not_found'} OperationStatus */

/**
 * @typedef ResourceEntry
 * @property {any} resource
 * @property {OperationStatus} activeOperation
 * @property {string} orgId
 */

/**
 * @param {any} state
 * @param {{
 *   id: string
 *   resourceType: string
 *   orgId: string
 * }} payload
 * @param {OperationStatus} status
 */


var updateState = function updateState(state, payload, status) {
  var id = payload.id,
      resourceType = payload.resourceType,
      orgId = payload.orgId;
  var resourceCollection = state[resourceType] || {};

  if (status === 'deleted' || status === 'not_found') {
    return _objectSpread(_objectSpread({}, state), {}, _defineProperty({}, resourceType, (0, _object.omit)(resourceCollection, [id])));
  }

  var existingResource = resourceCollection[id] && resourceCollection[id].resource;
  return _objectSpread(_objectSpread({}, state), {}, _defineProperty({}, resourceType, _objectSpread(_objectSpread({}, resourceCollection), {}, _defineProperty({}, id, {
    resource: existingResource || {
      resourceType: resourceType,
      id: id
    },
    activeOperation: status,
    orgId: orgId
  }))));
};

var fhirResourceBundle = {
  name: 'fhirResourceCache',
  getReducer: function getReducer() {
    var initial = {// Patient: {
      //   [id]: {
      //     resource: {{ patient resource }}
      //     activeOperation: {'delete' | 'update' | 'load'}
      //     orgId: 'cfd'
      //   }
      // },
      // Location: {...},
      // Appointment: {...},
      // Practitioner: {...}
    };
    return function () {
      var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : initial;

      var _ref = arguments.length > 1 ? arguments[1] : undefined,
          type = _ref.type,
          payload = _ref.payload;

      if (type === CLEARED) {
        return initial;
      }

      if (type === RECEIVED) {
        var resources = payload.resources,
            orgId = payload.orgId;

        var updatedState = _objectSpread({}, state);

        for (var id in resources) {
          var resource = resources[id];
          var resourceType = resource.resourceType;
          updatedState[resourceType] = _objectSpread(_objectSpread({}, updatedState[resourceType]), {}, _defineProperty({}, id, {
            resource: resource,
            orgId: orgId
          }));
        }

        return updatedState;
      }

      if (type === LOADING) {
        return updateState(state, payload, 'load');
      }

      if (type === DELETING) {
        return updateState(state, payload, 'delete');
      }

      if (type === DELETED) {
        return updateState(state, payload, 'deleted');
      }

      if (type === UPDATING) {
        return updateState(state, payload, 'update');
      }

      if (type === NOT_FOUND) {
        return updateState(state, payload, 'not_found');
      }

      if (type === CLEARED_NOT_IN_ORG) {
        var newState = {};

        for (var _resourceType in state) {
          newState[_resourceType] = {};
          var _resources = state[_resourceType];

          for (var resourceId in _resources) {
            var resourceEntry = _resources[resourceId];

            if (resourceEntry.orgId === payload) {
              newState[_resourceType][resourceId] = resourceEntry;
            }
          }
        }

        return newState;
      }

      return state;
    };
  },
  init: function init(store) {
    store.utilFindFhirResourceById = function (id) {
      var collections = store.selectFhirResourceCacheRaw();

      for (var key in collections) {
        var items = collections[key];
        var found = items[id];

        if (found) {
          return found.resource;
        }
      }

      return null;
    };
  },
  selectFhirResourceCacheRaw: function selectFhirResourceCacheRaw(state) {
    return state.fhirResourceCache;
  },
  selectPatientsRaw: createFhirResourceSelector('Patient'),
  selectLocationsRaw: createFhirResourceSelector('Location'),
  selectPractitionersRaw: createFhirResourceSelector('Practitioner'),
  selectAppointmentsRaw: createFhirResourceSelector('Appointment'),
  selectCompositionsRaw: createFhirResourceSelector('Composition'),
  selectFhirHasResources: (0, _reduxBundler.createSelector)('selectFhirResourceCacheRaw', function (cache) {
    for (var key in cache) {
      var collection = cache[key];

      for (var id in collection) {
        // if there's anything... it's true
        return true;
      }
    }

    return false;
  }),
  doClearFhirCache: function doClearFhirCache() {
    return {
      type: CLEARED
    };
  },
  doClearFhirModelsNotInOrg: function doClearFhirModelsNotInOrg(orgId) {
    return {
      type: CLEARED_NOT_IN_ORG,
      payload: orgId
    };
  },
  doRemoveFhirResource: function doRemoveFhirResource(_ref2) {
    var orgId = _ref2.orgId,
        id = _ref2.id,
        resourceType = _ref2.resourceType;
    return {
      type: DELETED,
      payload: {
        orgId: orgId,
        id: id,
        resourceType: resourceType
      }
    };
  },
  doReceiveSingleFhirResource: function doReceiveSingleFhirResource(resource, orgId) {
    return {
      type: RECEIVED,
      payload: {
        orgId: orgId,
        resources: _defineProperty({}, resource.id, resource)
      }
    };
  },
  doReceiveFhirResponse: function doReceiveFhirResponse() {
    for (var _len = arguments.length, fhirResponses = new Array(_len), _key = 0; _key < _len; _key++) {
      fhirResponses[_key] = arguments[_key];
    }

    return function (_ref3) {
      var dispatch = _ref3.dispatch;
      fhirResponses.forEach(function (response) {
        var entry = response.entry,
            total = response.total;
        var isEmpty = total === 0;

        if (!isEmpty && entry && Array.isArray(entry)) {
          var firstEntry = entry[0];
          var orgId = firstEntry && extractOrgId(firstEntry.fullUrl) || null;
          var resources = entry.map(function (item) {
            return item.resource;
          });
          dispatch({
            type: RECEIVED,
            payload: {
              orgId: orgId,
              resources: (0, _object.arrayToObject)(resources)
            }
          });
        }
      });
    };
  },
  doFhirFetch: function doFhirFetch() {
    for (var _len2 = arguments.length, args = new Array(_len2), _key2 = 0; _key2 < _len2; _key2++) {
      args[_key2] = arguments[_key2];
    }

    return function (_ref4) {
      var fhirFetch = _ref4.fhirFetch;
      return fhirFetch.apply(void 0, args);
    };
  },
  doFetchFhirResource: function doFetchFhirResource(fhirUrl, orgId) {
    var _ref5 = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {},
        _ref5$extraDelay = _ref5.extraDelay,
        extraDelay = _ref5$extraDelay === void 0 ? 0 : _ref5$extraDelay;

    return function (_ref6) {
      var dispatch = _ref6.dispatch,
          fhirFetch = _ref6.fhirFetch,
          store = _ref6.store;

      var _fhirUrl$split = fhirUrl.split('/'),
          _fhirUrl$split2 = _slicedToArray(_fhirUrl$split, 2),
          resourceType = _fhirUrl$split2[0],
          maybeId = _fhirUrl$split2[1];

      var _maybeId$split = maybeId.split('?'),
          _maybeId$split2 = _slicedToArray(_maybeId$split, 2),
          id = _maybeId$split2[0],
          extraQueryParams = _maybeId$split2[1];

      dispatch({
        type: LOADING,
        payload: {
          resourceType: resourceType,
          id: id,
          orgId: orgId
        }
      }); // we have to do this as a search in order to include related resources

      return fhirFetch("/".concat(resourceType, "?_id=").concat(id, "&_include=*").concat(extraQueryParams ? '&' + extraQueryParams : ''), {
        orgId: orgId
      }).then((0, _promise.addDelay)(extraDelay)).then(function (res) {
        // since we extract orgID from actual resource we know that if there
        // is no orgId, we didn't find it.
        if (!res.entry || !res.entry.length) {
          dispatch({
            type: NOT_FOUND,
            payload: {
              id: id,
              resourceType: resourceType
            }
          });
        } else {
          // process response
          return store.doReceiveFhirResponse(res);
        }
      });
    };
  },
  doFetchPdfShareInfo: function doFetchPdfShareInfo(pdfId, orgId) {
    return function (_ref7) {
      var gqlFetch = _ref7.gqlFetch;
      return gqlFetch("{pdfUrl(orgId:\"".concat(orgId, "\",pdfId:\"").concat(pdfId, "\"){url text title}}")).then(function (res) {
        return res.data.pdfUrl;
      });
    };
  },
  doCreateChartForAppointment: function doCreateChartForAppointment(appointmentId, orgId) {
    return function (_ref8) {
      var gqlFetch = _ref8.gqlFetch;
      return gqlFetch("mutation createCompositionForAppointment($orgId:String!,$appointmentId:String!) {\n      createCompositionForAppointment(orgId:$orgId,appointmentId:$appointmentId) \n    }", {
        orgId: orgId,
        appointmentId: appointmentId
      }).then(function (res) {
        return res.data.createCompositionForAppointment;
      });
    };
  },
  doFetchLocationIdsForLocation: function doFetchLocationIdsForLocation(locationId) {
    return function (_ref9) {
      var fhirFetch = _ref9.fhirFetch;
      return fhirFetch("/Location?_id=".concat(locationId, "&_revinclude=Location:partof:Location")).then(function (res) {
        var entry = res && res.entry || [];
        return entry.map(function (item) {
          return item.resource.id;
        });
      });
    };
  },
  doFetchUpcomingAndIncompleteAppointments: function doFetchUpcomingAndIncompleteAppointments(_ref10) {
    var orgId = _ref10.orgId,
        practitionerId = _ref10.practitionerId,
        providerId = _ref10.providerId,
        locationId = _ref10.locationId,
        _ref10$includeComposi = _ref10.includeComposition,
        includeComposition = _ref10$includeComposi === void 0 ? true : _ref10$includeComposi;
    return function (_ref11) {
      var store = _ref11.store;
      var memberId = practitionerId || providerId;
      return Promise.resolve(locationId ? store.doFetchLocationIdsForLocation(locationId) : null).then(function (locationIds) {
        return Promise.all([// upcoming
        store.doFetchAppointments({
          orgId: orgId,
          gt: store.selectAppDayDate(),
          sort: 'date',
          practitionerId: memberId,
          locationIds: locationIds,
          includeComposition: includeComposition,
          count: 50
        }), // missing date
        store.doFetchAppointments({
          orgId: orgId,
          missingDate: true,
          practitionerId: memberId,
          includeComposition: includeComposition,
          locationIds: locationIds
        }), // fetch missed from before
        // should include everything with"
        // status other than "fullfilled"
        // OR the statuses that mean the
        // appointment did not happen.
        store.doFetchAppointments({
          orgId: orgId,
          lt: store.selectAppDayDate(),
          sort: 'date',
          practitionerId: memberId,
          locationIds: locationIds,
          includeComposition: includeComposition,
          status: ['proposed', 'pending', 'booked', 'arrived', 'checked-in', 'waitlist' // the other possible statuses
          // that we are excluding here:
          // 'fulfilled',
          // 'cancelled',
          // 'noshow',
          // 'entered-in-error',
          ].join(',')
        })]);
      });
    };
  },
  doFetchAppointments: function doFetchAppointments(_ref12) {
    var sort = _ref12.sort,
        orgId = _ref12.orgId,
        _ref12$includeActors = _ref12.includeActors,
        includeActors = _ref12$includeActors === void 0 ? true : _ref12$includeActors,
        _ref12$includeComposi = _ref12.includeComposition,
        includeComposition = _ref12$includeComposi === void 0 ? true : _ref12$includeComposi,
        compositionIncomplete = _ref12.compositionIncomplete,
        practitionerId = _ref12.practitionerId,
        gt = _ref12.gt,
        lt = _ref12.lt,
        _ref12$missingDate = _ref12.missingDate,
        missingDate = _ref12$missingDate === void 0 ? false : _ref12$missingDate,
        count = _ref12.count,
        status = _ref12.status,
        locationId = _ref12.locationId,
        locationIds = _ref12.locationIds,
        incomingResponseArrayHandler = _ref12.incomingResponseArrayHandler,
        _ref12$waitForAll = _ref12.waitForAll,
        waitForAll = _ref12$waitForAll === void 0 ? false : _ref12$waitForAll,
        _ref12$fetchAll = _ref12.fetchAll,
        fetchAll = _ref12$fetchAll === void 0 ? true : _ref12$fetchAll,
        _ref12$returnMeta = _ref12.returnMeta,
        returnMeta = _ref12$returnMeta === void 0 ? false : _ref12$returnMeta;
    return function (_ref13) {
      var fhirFetch = _ref13.fhirFetch,
          store = _ref13.store;
      return Promise.resolve(locationId ? store.doFetchLocationIdsForLocation(locationId) : locationIds).then(function (resolvedLocationIds) {
        var params = [];

        if (resolvedLocationIds && resolvedLocationIds.length) {
          params.push("location=".concat(resolvedLocationIds.join(',')));
        }

        if (includeComposition) {
          params.push('_include=Appointment:supporting-info:Composition');
        }

        if (includeActors) {
          params.push('_include=Appointment:actor');
        }

        if (missingDate) {
          params.push('date:missing=true');
        }

        if (count) {
          params.push("_count=".concat(count));
        }

        if (sort) {
          params.push("_sort=".concat(sort));
        }

        if (gt) {
          params.push("date=gt".concat(gt.toISOString()));
        }

        if (lt) {
          params.push("date=lt".concat(lt.toISOString()));
        }

        if (practitionerId) {
          params.push("practitioner=".concat(practitionerId));
        }

        if (status) {
          params.push("status=".concat(status));
        }

        if (compositionIncomplete) {
          params.push('supporting-info:Composition.status=preliminary');
        }

        return fhirFetch('/Appointment?' + params.join('&'), {
          waitForAll: waitForAll,
          fetchAll: fetchAll,
          incomingResponseArrayHandler: incomingResponseArrayHandler || function (res) {
            return store.doReceiveFhirResponse.apply(store, _toConsumableArray(res));
          },
          orgId: orgId,
          returnMeta: returnMeta
        });
      });
    };
  }
};
exports.fhirResourceBundle = fhirResourceBundle;
},{"../utils/object":"JIRj","redux-bundler":"AfGI","../utils/promise":"y3aI"}],"eWMr":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getUserInactiveBundle = void 0;

var _reduxBundler = require("redux-bundler");

/**
 * @typedef UserInactiveBundleOptions
 * @property {number} [inactiveThreshold=30000] Time in milliseconds after which
 *   to consider the user inactive. Default is `30000`
 * @property {string} [updateActionType='USER_INACTIVE_UPDATED'] Action `type`
 *   to use when updating this. Default is `'USER_INACTIVE_UPDATED'`
 * @property {string} [name='userInactive'] Name of bundle. Default is `'userInactive'`
 * @property {string[]} [events=['mousemove', 'click', 'keydown']] The window
 *   events to listen to. Default is `['mousemove', 'click', 'keydown']`
 */

/**
 * @param {UserInactiveBundleOptions} [opts]
 * @returns {ReduxBundlerBundle}
 */
var getUserInactiveBundle = function getUserInactiveBundle() {
  var _ref = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {},
      inactiveThreshold = _ref.inactiveThreshold,
      _ref$updateActionType = _ref.updateActionType,
      updateActionType = _ref$updateActionType === void 0 ? 'USER_INACTIVE_UPDATED' : _ref$updateActionType,
      _ref$name = _ref.name,
      name = _ref$name === void 0 ? 'userInactive' : _ref$name,
      _ref$events = _ref.events,
      events = _ref$events === void 0 ? ['mousemove', 'click', 'keydown'] : _ref$events;

  return {
    name: name,
    reducer: function reducer() {
      var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : null;

      var _ref2 = arguments.length > 1 ? arguments[1] : undefined,
          type = _ref2.type,
          payload = _ref2.payload;

      return type === updateActionType ? payload || null : state;
    },
    selectUserIsActive: function selectUserIsActive(state) {
      return !state[name];
    },
    selectUserInactiveTime: function selectUserInactiveTime(state) {
      return state[name];
    },
    init: function init(store) {
      var lastActiveTime;
      var resetInactivityTimer = (0, _reduxBundler.debounce)(function () {
        store.dispatch({
          type: updateActionType,
          payload: lastActiveTime
        });
      }, inactiveThreshold || 30000);

      var listener = function listener() {
        lastActiveTime = Date.now();
        resetInactivityTimer();

        if (!store.selectUserIsActive()) {
          store.dispatch({
            type: updateActionType
          });
        }
      };

      events.forEach(function (eventName) {
        window.addEventListener(eventName, listener, {
          passive: true
        });
      });
      resetInactivityTimer();
    }
  };
};

exports.getUserInactiveBundle = getUserInactiveBundle;
},{"redux-bundler":"AfGI"}],"uHTy":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createGqlQueryFn = exports.createGqlMutation = exports.toGqlQuery = void 0;

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return; var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

var toGqlQuery = function toGqlQuery(arr) {
  return "{".concat(arr.reduce(function (result, item, index) {
    return result + (index === 0 ? '' : ' ') + (Array.isArray(item) ? "".concat(item[0], " ").concat(toGqlQuery(item.slice(1))) : item);
  }, ''), "}");
};

exports.toGqlQuery = toGqlQuery;

var createGqlFn = function createGqlFn(name, vars) {
  var responseSnippet = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : '';
  var entries = Object.entries(vars || {});

  if (entries.length === 0) {
    return "".concat(name, "{").concat(name).concat(responseSnippet, "}");
  }

  var argsList = entries.map(function (_ref) {
    var _ref2 = _slicedToArray(_ref, 2),
        name = _ref2[0],
        type = _ref2[1];

    return "$".concat(name, ":").concat(type);
  }).join(',');
  var argsList2 = entries.map(function (_ref3) {
    var _ref4 = _slicedToArray(_ref3, 1),
        name = _ref4[0];

    return "".concat(name, ":$").concat(name);
  }).join(',');
  return "".concat(name, "(").concat(argsList, "){").concat(name, "(").concat(argsList2, ")").concat(responseSnippet, "}");
};

var createGqlMutation = function createGqlMutation(name, vars) {
  var responseSnippet = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : '';
  return "mutation ".concat(createGqlFn(name, vars, responseSnippet));
};

exports.createGqlMutation = createGqlMutation;

var createGqlQueryFn = function createGqlQueryFn(name, vars) {
  var responseSnippet = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : '';
  return "query ".concat(createGqlFn(name, vars, responseSnippet));
};

exports.createGqlQueryFn = createGqlQueryFn;
},{}],"m4sQ":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.generateBundle = void 0;

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var generateBundle = function generateBundle(definition) {
  var actionTypes = definition.actionTypes,
      initialState = definition.initialState,
      _definition$persistAc = definition.persistActions,
      persistActions = _definition$persistAc === void 0 ? [] : _definition$persistAc,
      rest = _objectWithoutProperties(definition, ["actionTypes", "initialState", "persistActions"]);

  var handledActions = {};

  for (var key in actionTypes) {
    var _actionTypes$key = actionTypes[key],
        handler = _actionTypes$key.handler,
        persist = _actionTypes$key.persist;

    if (handler) {
      handledActions[key] = handler;
    }

    if (persist) {
      persistActions.push(key);
    }
  }

  return _objectSpread(_objectSpread({}, rest), {}, {
    persistActions: persistActions,
    reducer: function reducer() {
      var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : initialState;

      var _ref = arguments.length > 1 ? arguments[1] : undefined,
          type = _ref.type,
          payload = _ref.payload;

      return handledActions[type] ? handledActions[type](state, payload) : state;
    }
  });
};

exports.generateBundle = generateBundle;
},{}],"DJLn":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getSessionBundle = exports.sessionResponseSnippet = void 0;

var _reduxBundler = require("redux-bundler");

var _toGqlQuery = require("../utils/to-gql-query");

var _generateBundle = require("../utils/generate-bundle");

var _object = require("../utils/object");

function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }

function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && Symbol.iterator in Object(iter)) return Array.from(iter); }

function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _createForOfIteratorHelper(o, allowArrayLike) { var it; if (typeof Symbol === "undefined" || o[Symbol.iterator] == null) { if (Array.isArray(o) || (it = _unsupportedIterableToArray(o)) || allowArrayLike && o && typeof o.length === "number") { if (it) o = it; var i = 0; var F = function F() {}; return { s: F, n: function n() { if (i >= o.length) return { done: true }; return { done: false, value: o[i++] }; }, e: function e(_e) { throw _e; }, f: F }; } throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); } var normalCompletion = true, didErr = false, err; return { s: function s() { it = o[Symbol.iterator](); }, n: function n() { var step = it.next(); normalCompletion = step.done; return step; }, e: function e(_e2) { didErr = true; err = _e2; }, f: function f() { try { if (!normalCompletion && it.return != null) it.return(); } finally { if (didErr) throw err; } } }; }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var IS_CYPRESS = !!(typeof window !== 'undefined' && window.Cypress);
var STARTED = 'SESSION_FETCH_STARTED';
var FAILED = 'SESSION_FETCH_FAILED';
var SESSION_RECEIVED = 'SESSION_RECEIVED';
var sessionResponseSnippet = (0, _toGqlQuery.toGqlQuery)(['userId', 'multiFactorLast', 'multiFactorAuthExp', 'sessionRenewedAt', 'sessionExpiresAt', 'singleOrg', 'token', 'orgs{id name roles status type memberId}']);
/**
 * @typedef GetSessionBundleOptions
 * @property {number} [renewSessionWhenOlderThan=180000] Time in milliseconds
 *   after which to renew the token. Defaults to three minutes. Default is `180000`
 * @property {number} [retryFailedFetchAfter=30000] Time in milliseconds after
 *   which to try again if we failed to fetchDefault is 30 seconds `30000`.
 *   Default is `30000`
 * @property {string[]} selectorsThatDetermineActivity If any of these return a
 *   truthy value, they will keep the session renewing.
 * @property {string} activeOrgIdSelectorName
 * @property {boolean} [persist=false] Default is `false`
 */

/**
 * @param {GetSessionBundleOptions} [opts]
 * @returns {ReduxBundlerBundle}
 */

exports.sessionResponseSnippet = sessionResponseSnippet;

var getSessionBundle = function getSessionBundle(opts) {
  var _actionTypes;

  /** @type {GetSessionBundleOptions} */
  var options = _objectSpread({
    renewSessionWhenOlderThan: 180000,
    retryFailedFetchAfter: 30000
  }, opts);

  var getRoleSelector = function getRoleSelector(role) {
    return (0, _reduxBundler.createSelector)('selectActiveOrgRoles', function (roles) {
      return roles.includes(role);
    });
  };

  return (0, _generateBundle.generateBundle)({
    name: 'session',
    initialState: {
      token: '',
      loading: false,
      data: null,
      lastExtendError: null
    },
    actionTypes: (_actionTypes = {}, _defineProperty(_actionTypes, STARTED, {
      handler: function handler(state) {
        return _objectSpread(_objectSpread({}, state), {}, {
          loading: true
        });
      }
    }), _defineProperty(_actionTypes, FAILED, {
      handler: function handler(state, payload) {
        var time = payload.time;
        return _objectSpread(_objectSpread({}, state), {}, {
          loading: false,
          lastExtendError: time
        });
      }
    }), _defineProperty(_actionTypes, SESSION_RECEIVED, {
      handler: function handler(state, payload) {
        var token = payload.token,
            data = payload.data;
        return _objectSpread(_objectSpread({}, state), {}, {
          loading: false,
          data: data,
          token: token,
          lastExtendError: null
        });
      },
      persist: !!options.persist
    }), _actionTypes),
    selectSessionRaw: function selectSessionRaw(state) {
      return state.session;
    },
    selectSessionData: function selectSessionData(state) {
      return state.session.data;
    },
    selectSessionDataIsLoading: function selectSessionDataIsLoading(state) {
      return state.session.loading;
    },
    selectSessionLastExtendError: function selectSessionLastExtendError(state) {
      return state.session.lastExtendError;
    },
    selectSessionTimes: (0, _reduxBundler.createSelector)('selectSessionData', function (sessionData) {
      var keys = ['multiFactorAuthExp', 'multiFactorLast', 'sessionExpiresAt', 'sessionRenewedAt'];
      var data = sessionData || {};
      var result = {};

      for (var _i = 0, _keys = keys; _i < _keys.length; _i++) {
        var key = _keys[_i];
        var asNumber = Number(data[key]);
        result[key] = isNaN(asNumber) ? null : asNumber;
      }

      return result;
    }),
    selectSessionHasValidMFA: (0, _reduxBundler.createSelector)('selectSessionTimes', 'selectAppTime', function (_ref, appTime) {
      var multiFactorAuthExp = _ref.multiFactorAuthExp,
          multiFactorLast = _ref.multiFactorLast;
      return !!multiFactorLast && multiFactorAuthExp > appTime;
    }),
    selectSessionSingleOrg: (0, _reduxBundler.createSelector)('selectSessionData', function (data) {
      return data && data.singleOrg;
    }),
    selectHasValidSession: (0, _reduxBundler.createSelector)('selectSessionTimes', 'selectAppTime', function (_ref2, appTime) {
      var sessionExpiresAt = _ref2.sessionExpiresAt,
          sessionRenewedAt = _ref2.sessionRenewedAt;
      return !!sessionRenewedAt && sessionExpiresAt > appTime;
    }),
    selectIsSignedIn: (0, _reduxBundler.createSelector)('selectHasAuthToken', 'selectHasValidSession', function (authToken, hasValidSession) {
      return !!(authToken && hasValidSession);
    }),
    selectSessionOrgs: (0, _reduxBundler.createSelector)('selectSessionData', function (data) {
      return data && data.orgs || null;
    }),
    selectSessionOrgsGrouped: (0, _reduxBundler.createSelector)('selectSessionOrgs', function (orgs) {
      if (!orgs) {
        return null;
      }

      var result = {};

      var _iterator = _createForOfIteratorHelper(orgs),
          _step;

      try {
        for (_iterator.s(); !(_step = _iterator.n()).done;) {
          var org = _step.value;
          var type = org.type || 'regular';

          if (!result[type]) {
            result[type] = [];
          }

          result[type].push(org);
        }
      } catch (err) {
        _iterator.e(err);
      } finally {
        _iterator.f();
      }

      return result;
    }),
    selectSessionMemberIds: (0, _reduxBundler.createSelector)('selectSessionOrgs', function (orgs) {
      return (orgs || []).map(function (org) {
        return org.memberId;
      }).filter(function (x) {
        return x;
      });
    }),
    selectSessionRegularOrgIds: (0, _reduxBundler.createSelector)('selectSessionOrgs', function (orgs) {
      return (orgs || []).filter(function (org) {
        return !org.type;
      }).map(function (org) {
        return org.id;
      });
    }),
    selectSessionOrgIds: (0, _reduxBundler.createSelector)('selectSessionOrgs', function (orgs) {
      return orgs && orgs.map(function (item) {
        return item.id;
      }) || [];
    }),
    selectActiveOrgMembership: (0, _reduxBundler.createSelector)('selectSessionOrgs', opts.activeOrgIdSelectorName, function (orgs, activeOrgId) {
      return orgs && orgs.find(function (org) {
        return org.id === activeOrgId;
      }) || null;
    }),
    selectActiveOrgMemberId: (0, _reduxBundler.createSelector)('selectActiveOrgMembership', function (membership) {
      return membership && membership.memberId;
    }),
    selectActiveOrgType: (0, _reduxBundler.createSelector)('selectActiveOrgMembership', function (membership) {
      return membership ? membership.type || 'regular' : null;
    }),
    selectActiveOrgIsXchart: (0, _reduxBundler.createSelector)('selectActiveOrgType', function (type) {
      return type === 'xchart';
    }),
    selectActiveOrgIsParent: (0, _reduxBundler.createSelector)('selectActiveOrgType', function (type) {
      return type === 'parent';
    }),
    selectActiveOrgIsRegular: (0, _reduxBundler.createSelector)('selectActiveOrgType', function (type) {
      return type === 'regular';
    }),
    selectActiveOrgRoles: (0, _reduxBundler.createSelector)('selectActiveOrgMembership', function (membership) {
      return membership && membership.roles || [];
    }),
    selectIsOrgUber: getRoleSelector('uber'),
    selectIsOrgAdmin: getRoleSelector('admin'),
    selectIsOrgProvider: getRoleSelector('provider'),
    selectParentOrgMemberships: (0, _reduxBundler.createSelector)('selectSessionOrgs', function (orgs) {
      return (0, _object.nullIfEmpty)(orgs && orgs.filter(function (org) {
        return org.type === 'parent';
      }));
    }),
    selectHasParentOrgMemberships: (0, _reduxBundler.createSelector)('selectParentOrgMemberships', function (x) {
      return !!x;
    }),
    selectXchartOrgRoles: (0, _reduxBundler.createSelector)('selectSessionOrgs', function (orgs) {
      var membership = orgs && orgs.find(function (org) {
        return org.id === 'xchart' && org.type === 'xchart';
      });
      return membership && membership.roles || null;
    }),
    selectIsXchartOrgMember: (0, _reduxBundler.createSelector)('selectXchartOrgRoles', function (roles) {
      return !!roles;
    }),
    selectIsXchartUberUser: (0, _reduxBundler.createSelector)('selectXchartOrgRoles', function (roles) {
      return !!(roles && roles.includes('uber'));
    }),
    selectIsParentOrXchartUser: (0, _reduxBundler.createSelector)('selectIsXchartOrgMember', 'selectHasParentOrgMemberships', function (isXchart, hasParent) {
      return isXchart || hasParent;
    }),
    selectAuthStatus: (0, _reduxBundler.createSelector)('selectHasAuthToken', 'selectSessionData', 'selectSessionHasValidMFA', 'selectHasValidSession', function (hasToken, sessionData, hasMFA, hasValidSession) {
      // this means we're still figuring it out
      if (hasToken && !sessionData) {
        return null;
      }

      if (!hasToken) {
        return 'none';
      }

      if (hasMFA && hasValidSession) {
        return 'full';
      }

      if (hasValidSession) {
        return 'partial';
      }

      return 'expired';
    }),
    selectIsDeterminingAuthStatus: (0, _reduxBundler.createSelector)('selectAuthStatus', function (status) {
      return !status;
    }),
    selectIsFullyAuthenticated: (0, _reduxBundler.createSelector)('selectAuthStatus', function (status) {
      return status === 'full';
    }),
    selectNotFullyAuthenticated: (0, _reduxBundler.createSelector)('selectIsDeterminingAuthStatus', 'selectIsFullyAuthenticated', function (isDetermining, fullyAuthenticated) {
      return !isDetermining && !fullyAuthenticated;
    }),
    doFetchSession: function doFetchSession() {
      var update = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : false;
      return function (_ref3) {
        var gqlFetch = _ref3.gqlFetch,
            dispatch = _ref3.dispatch,
            store = _ref3.store;
        dispatch({
          type: STARTED
        }); // Refresh the token from the cookie before we do this
        // so that we can never fetch session info with stale
        // token value.
        // Plus if the token has been deleted from the cookie
        // it will forcibly log them out instead.

        store.doUpdateTokenFromCookie();
        var fetchPromise;

        if (update) {
          fetchPromise = gqlFetch('mutation extendSession($testOnly_overrideTime:String){' + "extendSession(testOnly_overrideTime:$testOnly_overrideTime)".concat(sessionResponseSnippet, "}"), {
            testOnly_overrideTime: IS_CYPRESS ? Date.now().toString() : null
          }).then(function (res) {
            return res.data.extendSession;
          });
        } else {
          fetchPromise = gqlFetch("{session".concat(sessionResponseSnippet, "}")).then(function (res) {
            return res.data.session;
          });
        }

        return fetchPromise.then(function (res) {
          store.doReceiveSession(res);
        }).catch(function () {
          dispatch({
            type: FAILED,
            payload: {
              time: Date.now()
            }
          });
        });
      };
    },
    doReceiveSession: function doReceiveSession(updatedSession) {
      return function (_ref4) {
        var store = _ref4.store,
            dispatch = _ref4.dispatch;

        var token = updatedSession.token,
            rest = _objectWithoutProperties(updatedSession, ["token"]);

        if (token !== store.selectAuthToken()) {
          store.doReceiveToken(token);
        } // Write the userID to the cookie as xid.
        // Which will also handle issue of refreshing if we got one
        // for a different user because a different tab logged out and
        // in as someone else.


        store.doWriteXID(rest.userId); // this keeps the in alphabetical order then we don't have
        // to sort it on reads.

        if (rest.orgs && rest.orgs.length) {
          // sort by name
          rest.orgs.sort(function (a, b) {
            return a.name.localeCompare(b.name);
          });
        }

        dispatch({
          type: SESSION_RECEIVED,
          payload: {
            token: token,
            data: rest
          }
        });
      };
    },
    selectSessionShouldRetryFailed: (0, _reduxBundler.createSelector)('selectSessionLastExtendError', 'selectAppTime', function (lastExtendError, appTime) {
      return lastExtendError && appTime - lastExtendError > options.retryFailedFetchAfter;
    }),
    reactShouldExtendSession: _reduxBundler.createSelector.apply(void 0, ['selectIsSignedIn', 'selectSessionData', 'selectSessionRaw', 'selectSessionShouldRetryFailed', 'selectAppTime'].concat(_toConsumableArray(options.selectorsThatDetermineActivity), [function (signedIn, data, raw, shouldRetryFailed, appTime) {
      var _ref5 = data || {},
          sessionRenewedAt = _ref5.sessionRenewedAt;

      var loading = raw.loading;

      for (var _len = arguments.length, otherValues = new Array(_len > 5 ? _len - 5 : 0), _key = 5; _key < _len; _key++) {
        otherValues[_key - 5] = arguments[_key];
      }

      var active = otherValues.some(Boolean);

      if (!signedIn || !active || !sessionRenewedAt || loading) {
        return false;
      }

      var sessionAge = appTime - Number(sessionRenewedAt);

      if (shouldRetryFailed || sessionAge > options.renewSessionWhenOlderThan) {
        return {
          actionCreator: 'doFetchSession',
          args: [true]
        };
      }
    }])),
    reactShouldFetchSession: (0, _reduxBundler.createSelector)('selectShowUserLoading', 'selectSessionRaw', 'selectAuthToken', function (userLoading, raw, authToken) {
      if (userLoading || raw.loading || !authToken) {
        return;
      }

      if (raw.token !== authToken) {
        return {
          actionCreator: 'doFetchSession'
        };
      }
    })
  });
};

exports.getSessionBundle = getSessionBundle;
},{"redux-bundler":"AfGI","../utils/to-gql-query":"uHTy","../utils/generate-bundle":"m4sQ","../utils/object":"JIRj"}],"Xp3r":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.deleteCookie = exports.readCookie = exports.writeCookie = void 0;

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

/**
 * @param {string} name
 * @param {string} value
 * @param {{
 *   maxAge?: number
 *   expires?: Date
 *   secure?: boolean
 *   domain?: string
 * }} opts
 */
var writeCookie = function writeCookie(name, value) {
  var _cookieData;

  var _ref = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {},
      maxAge = _ref.maxAge,
      expires = _ref.expires,
      _ref$secure = _ref.secure,
      secure = _ref$secure === void 0 ? false : _ref$secure,
      domain = _ref.domain;

  var hostname = globalThis.location && globalThis.location.hostname;
  var cookieData = (_cookieData = {}, _defineProperty(_cookieData, name, value), _defineProperty(_cookieData, "domain", domain || hostname), _defineProperty(_cookieData, "path", '/'), _defineProperty(_cookieData, "secure", secure), _cookieData);

  if (hostname === 'localhost') {
    cookieData.secure = false;
  }

  if (maxAge) {
    cookieData['max-age'] = Math.floor(maxAge / 1000); // convert to seconds
  } else if (expires) {
    cookieData.expires = expires.toGMTString();
  }

  var cookieString = Object.keys(cookieData).reduce(function (result, key) {
    var value = cookieData[key];

    if (typeof value === 'boolean') {
      if (value === true) {
        result.push(key);
      }
    } else {
      result.push("".concat(key, "=").concat(value));
    }

    return result;
  }, []).join(';');
  document.cookie = cookieString;
};

exports.writeCookie = writeCookie;

var readCookie = function readCookie(name) {
  var value = null;
  document.cookie.split(';').find(function (item) {
    var parts = item.split('=');
    var key = parts[0].trim();

    if (key === name) {
      value = parts[1].trim();
      return true;
    }
  });
  return value;
};

exports.readCookie = readCookie;

var deleteCookie = function deleteCookie(item, domain) {
  return writeCookie(item, '', {
    expires: new Date(0),
    domain: domain
  });
};

exports.deleteCookie = deleteCookie;
},{}],"Gfsl":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getXIDBundle = void 0;

var _reduxBundler = require("redux-bundler");

var _milliseconds = _interopRequireDefault(require("milliseconds"));

var _cookie = require("../utils/cookie");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var UPDATED = 'XID_UPDATED';

var createXIDWriter = function createXIDWriter(_ref) {
  var _ref$name = _ref.name,
      name = _ref$name === void 0 ? 'xid' : _ref$name,
      domain = _ref.domain;
  return {
    writeXID: function writeXID(value) {
      (0, _cookie.writeCookie)(name, value, {
        maxAge: _milliseconds.default.days(180),
        secure: true,
        domain: domain
      });
    },
    readXID: function readXID() {
      return (0, _cookie.readCookie)(name);
    },
    clearXID: function clearXID() {
      return (0, _cookie.deleteCookie)(name, domain);
    }
  };
};
/**
 * @param {{
 *   xidName: string
 *   domain: string
 *   writerStub?: {
 *     readXID: () => string
 *     writeXID: (value: string) => void
 *     clearXID: () => void
 *   }
 *   readInterval?: number
 * }} opts
 * @returns
 */


var getXIDBundle = function getXIDBundle(opts) {
  var xidName = opts.xidName,
      domain = opts.domain,
      readInterval = opts.readInterval,
      writerStub = opts.writerStub;
  var readInt = readInterval || 3000;

  var _ref2 = writerStub || createXIDWriter({
    name: xidName,
    domain: domain
  }),
      readXID = _ref2.readXID,
      writeXID = _ref2.writeXID,
      clearXID = _ref2.clearXID;

  return {
    name: 'xid',
    reducer: function reducer() {
      var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {
        xid: readXID()
      };

      var _ref3 = arguments.length > 1 ? arguments[1] : undefined,
          type = _ref3.type,
          payload = _ref3.payload;

      if (type === UPDATED) {
        return _objectSpread(_objectSpread({}, state), {}, {
          xid: payload
        });
      }

      return state;
    },
    init: function init(store) {
      if (_reduxBundler.IS_BROWSER) {
        var read = function read() {
          store.doSyncXID();
          setTimeout(function () {
            return (0, _reduxBundler.ric)(read);
          }, readInt);
        };

        setTimeout(read, readInt);
      }
    },
    selectXID: function selectXID(state) {
      return state.xid.xid;
    },
    doWriteXID: function doWriteXID(value) {
      return function (_ref4) {
        var store = _ref4.store;
        // should not happen, but as a guard
        if (!value) return;
        var currentValue = store.selectXID();

        if (currentValue && currentValue !== value) {
          // we have a value already, and it's different, so clear it
          // and refresh the page
          store.doClearXID();
        } else {
          writeXID(value);
        }

        store.doSyncXID();
      };
    },
    doClearXID: function doClearXID() {
      return function () {
        return clearXID();
      };
    },
    // reads the current cookie value into the store's cache if the store doesn't have one yet
    // signs us out on this tab if the cookie value has changed
    doSyncXID: function doSyncXID() {
      return function (_ref5) {
        var store = _ref5.store;
        var cachedValue = store.selectXID();
        var value = readXID(); // if we had one, but now it's suddenly different or gone
        // we have to sign out

        if (cachedValue && value !== cachedValue) {
          window.location.assign('/');
          return;
        }

        if (!cachedValue && value) {
          store.dispatch({
            type: UPDATED,
            payload: value
          });
        }
      };
    }
  };
};

exports.getXIDBundle = getXIDBundle;
},{"redux-bundler":"AfGI","milliseconds":"dzFk","../utils/cookie":"Xp3r"}],"NJCi":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isValidNumber = exports.isNumber = exports.isString = void 0;

var isString = function isString(val) {
  return typeof val === 'string';
};

exports.isString = isString;

var isNumber = function isNumber(val) {
  return typeof val === 'number';
};

exports.isNumber = isNumber;

var isValidNumber = function isValidNumber(val) {
  return isNumber(val) && !isNaN(val);
};

exports.isValidNumber = isValidNumber;
},{}],"ZbyX":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.formatBirthDate = exports.msToTimeAgo = exports.toFriendlyDate = exports.dobToAgeInfo = exports.formatDOB = exports.toDateString = exports.toTimeString = exports.fromSimpleISODateString = exports.toSimpleISODateString = exports.getStartOfDate = exports.toDateCopy = void 0;

var _is = require("./is");

var _parseDob = _interopRequireDefault(require("parse-dob"));

var _dobToAge = _interopRequireDefault(require("dob-to-age"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return; var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

/**
 * Turns a string into a Date if not already a Date object.
 *
 * @param {Date | string | number} date
 * @returns {Date}
 */
var toDate = function toDate(date) {
  return date instanceof Date ? date : new Date(date);
};
/**
 * @param {number | string} num Number to zero-pad as two-digit string
 * @returns {string}
 */


var pad = function pad(num) {
  return (num + '').padStart(2, '0');
};
/**
 * @param {Date | number | null} [date] If falsy will just return today
 * @returns
 */


var toDateCopy = function toDateCopy(date) {
  if (typeof date === 'number') {
    return new Date(date);
  } else if (date && date.valueOf) {
    return new Date(date.valueOf());
  }

  return new Date();
};
/**
 * @param {Date | number | null} date
 * @returns {Date}
 */


exports.toDateCopy = toDateCopy;

var getStartOfDate = function getStartOfDate(date) {
  var copy = toDateCopy(date);
  copy.setMinutes(0);
  copy.setHours(0);
  copy.setSeconds(0);
  copy.setMilliseconds(0);
  return copy;
};
/**
 * @param {Date | number} date Date object or ms
 * @returns {string} As YYYY-MM-DD
 */


exports.getStartOfDate = getStartOfDate;

var toSimpleISODateString = function toSimpleISODateString(date) {
  date = toDate(date);
  return "".concat(date.getFullYear(), "-").concat(pad(date.getMonth() + 1), "-").concat(pad(date.getDate()));
};
/**
 * @param {string} dateString Date object or ms
 * @returns {Date} Local date
 */


exports.toSimpleISODateString = toSimpleISODateString;

var fromSimpleISODateString = function fromSimpleISODateString(dateString) {
  var _dateString$split$map = dateString.split('-').map(Number),
      _dateString$split$map2 = _slicedToArray(_dateString$split$map, 3),
      year = _dateString$split$map2[0],
      month = _dateString$split$map2[1],
      date = _dateString$split$map2[2];

  return new Date(year, month - 1, date);
};
/**
 * @param {Date | number | string} date
 * @param {boolean} [includeSeconds=false] Default is `false`
 * @returns {string} Military time
 */


exports.fromSimpleISODateString = fromSimpleISODateString;

var toTimeString = function toTimeString(date) {
  var includeSeconds = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;

  /** @type {Intl.DateTimeFormatOptions} */
  var opts = {
    hour12: false,
    hour: '2-digit',
    minute: '2-digit'
  };

  if (includeSeconds) {
    opts.second = '2-digit';
  }

  var str = toDate(date).toLocaleTimeString(undefined, opts); // workaround for browser/node bug

  return str.replace('24:', '00:');
};
/**
 * @param {Date | number | string} date
 * @param {boolean} [includeTime=false] Default is `false`
 * @param {boolean} [includeSeconds=false] Default is `false`
 * @returns {string} Locale specific date
 */


exports.toTimeString = toTimeString;

var toDateString = function toDateString(date) {
  var includeTime = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
  var includeSeconds = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : false;
  var asDate = toDate(date);
  var res = asDate.toLocaleDateString(undefined);

  if (includeTime) {
    res += " ".concat(toTimeString(asDate, includeSeconds));
  }

  return res;
};
/**
 * @param {string} dobString As YYYY-MM-DD or YYYY-MM or YYYY
 * @returns {string} Locale specific date
 */


exports.toDateString = toDateString;

var formatDOB = function formatDOB(dobString) {
  if (!dobString || !(0, _is.isString)(dobString)) return null;
  var split = dobString.split('-').map(Number);
  if (split.length > 3) return null;
  var asDate = new Date(split[0], (split[1] || 1) - 1, split[2] || 1);
  if (isNaN(asDate.valueOf())) return null;
  return toDateString(asDate);
};
/**
 * @param {any} dobString
 * @returns {{
 *   dateString: string
 *   formattedDOB: string
 *   age: number
 * } | null}
 */


exports.formatDOB = formatDOB;

var dobToAgeInfo = function dobToAgeInfo(dobString) {
  // parsed here is always YYYY-MM-DD or YYYY-MM or YYYY or null
  var parsed = (0, _parseDob.default)(dobString);
  if (!parsed) return null;
  return {
    dateString: parsed,
    formattedDOB: formatDOB(parsed),
    age: (0, _dobToAge.default)(parsed)
  };
};
/**
 * @param {Date | string} date
 * @param {{ now?: Date; includeTime?: boolean }} [options] Date to compare
 *   against (mainly for testing)
 * @returns {string}
 */


exports.dobToAgeInfo = dobToAgeInfo;

var toFriendlyDate = function toFriendlyDate(date) {
  var _ref = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {},
      _ref$includeTime = _ref.includeTime,
      includeTime = _ref$includeTime === void 0 ? false : _ref$includeTime,
      _ref$now = _ref.now,
      now = _ref$now === void 0 ? new Date() : _ref$now;

  date = toDate(date); // we always want to compare calendar dates
  // not actual time passed this is so that it
  // will properly say "yesterday" if the day
  // was different even if it was only a few hours ago.

  var startOfDate = getStartOfDate(date);
  now = getStartOfDate(now);
  var withinSevenDays = Math.abs(startOfDate.valueOf() - now.valueOf()) < 6.048e8;
  var suffix = includeTime ? " @ ".concat(toTimeString(date)) : '';

  if (!withinSevenDays) {
    var isSameYear = date.getFullYear() === now.getFullYear();
    /** @type {Intl.DateTimeFormatOptions} */

    var opts = {
      month: 'long',
      day: 'numeric'
    };

    if (!isSameYear) {
      opts.year = 'numeric';
    }

    return date.toLocaleDateString(undefined, opts) + suffix;
  } // get a day diff


  var dayDiff = Math.floor((startOfDate.valueOf() - now.valueOf()) / 8.64e7);

  if (dayDiff === -1) {
    return 'Yesterday' + suffix;
  }

  if (dayDiff === 0) {
    return 'Today' + suffix;
  }

  if (dayDiff === 1) {
    return 'Tomorrow' + suffix;
  }

  return "".concat(dayDiff < 0 ? 'Last ' : '').concat(date.toLocaleDateString(undefined, {
    weekday: 'long'
  })) + suffix;
};
/**
 * Turns a number of milliseconds into a friendly "time ago" string.
 *
 * 5000 becomes '5s'
 *
 * @param {number} milliseconds Number of milliseconds that have passed
 * @param {boolean} [includeSeconds] Whether to include seconds in output
 * @returns {string}
 */


exports.toFriendlyDate = toFriendlyDate;

var msToTimeAgo = function msToTimeAgo(milliseconds) {
  var includeSeconds = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
  var number = Math.max(milliseconds, 0);
  var seconds = Math.floor(number / 1000 % 60);
  var minutes = Math.floor(number / 60000 % 60);
  var hours = Math.floor(number / 3.6e6);
  var res = '';

  if (hours) {
    res += "".concat(hours, "h ");
  }

  if (minutes) {
    res += "".concat(minutes, "m ");
  }

  if (!includeSeconds && !minutes && !hours) {
    return '0m';
  }

  if (includeSeconds) {
    res += "".concat(seconds, "s");
  }

  return res.trim();
};
/**
 * @param {string} str String formatted as "YYYY-MM-DD"
 * @param {Date} [startingDate] Date to use for "today" (just for testing)
 * @returns {string} Such as "March 12, 2018"
 */


exports.msToTimeAgo = msToTimeAgo;

var formatBirthDate = function formatBirthDate(str, startingDate) {
  var _str$split = str.split('-'),
      _str$split2 = _slicedToArray(_str$split, 3),
      year = _str$split2[0],
      month = _str$split2[1],
      date = _str$split2[2];

  var d = startingDate || new Date();
  /** @type {Intl.DateTimeFormatOptions} */

  var opts = {
    year: 'numeric'
  }; // Setting date here is very important otherwise, if the current date is the
  // 31st and month you are setting it to does not have a 31st day it will roll
  // it over to the next month when you set the month.

  d.setDate(1);
  d.setFullYear(Number(year));
  d.setHours(12);

  if (month) {
    d.setMonth(Number(month) - 1);
    opts.month = 'long';
  }

  if (date) {
    d.setDate(Number(date));
    opts.day = 'numeric';
  }

  return d.toLocaleDateString(undefined, opts);
};

exports.formatBirthDate = formatBirthDate;
},{"./is":"NJCi","parse-dob":"D6Ze","dob-to-age":"JLza"}],"zuvS":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.appDayBundle = void 0;

var _reduxBundler = require("redux-bundler");

var _date = require("../utils/date");

function _construct(Parent, args, Class) { if (_isNativeReflectConstruct()) { _construct = Reflect.construct; } else { _construct = function _construct(Parent, args, Class) { var a = [null]; a.push.apply(a, args); var Constructor = Function.bind.apply(Parent, a); var instance = new Constructor(); if (Class) _setPrototypeOf(instance, Class.prototype); return instance; }; } return _construct.apply(null, arguments); }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }

function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && Symbol.iterator in Object(iter)) return Array.from(iter); }

function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

/** @deprecated Use appTimeExtendedBundle instead */
var appDayBundle = {
  name: 'appDay',
  selectAppDateString: (0, _reduxBundler.createSelector)('selectAppTime', _date.toSimpleISODateString),
  selectAppDayDate: (0, _reduxBundler.createSelector)('selectAppDateString', function (string) {
    var arr = string.split('-').map(Number);
    arr[1] = arr[1] - 1;
    return _construct(Date, _toConsumableArray(arr));
  })
};
exports.appDayBundle = appDayBundle;
},{"redux-bundler":"AfGI","../utils/date":"ZbyX"}],"kK6Q":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = requiredArgs;

function requiredArgs(required, args) {
  if (args.length < required) {
    throw new TypeError(required + ' argument' + (required > 1 ? 's' : '') + ' required, but only ' + args.length + ' present');
  }
}
},{}],"KYJg":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = toDate;

var _index = _interopRequireDefault(require("../_lib/requiredArgs/index.js"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * @name toDate
 * @category Common Helpers
 * @summary Convert the given argument to an instance of Date.
 *
 * @description
 * Convert the given argument to an instance of Date.
 *
 * If the argument is an instance of Date, the function returns its clone.
 *
 * If the argument is a number, it is treated as a timestamp.
 *
 * If the argument is none of the above, the function returns Invalid Date.
 *
 * **Note**: *all* Date arguments passed to any *date-fns* function is processed by `toDate`.
 *
 * @param {Date|Number} argument - the value to convert
 * @returns {Date} the parsed date in the local time zone
 * @throws {TypeError} 1 argument required
 *
 * @example
 * // Clone the date:
 * const result = toDate(new Date(2014, 1, 11, 11, 30, 30))
 * //=> Tue Feb 11 2014 11:30:30
 *
 * @example
 * // Convert the timestamp to date:
 * const result = toDate(1392098430000)
 * //=> Tue Feb 11 2014 11:30:30
 */
function toDate(argument) {
  (0, _index.default)(1, arguments);
  var argStr = Object.prototype.toString.call(argument); // Clone the date

  if (argument instanceof Date || typeof argument === 'object' && argStr === '[object Date]') {
    // Prevent the date to lose the milliseconds when passed to new Date() in IE10
    return new Date(argument.getTime());
  } else if (typeof argument === 'number' || argStr === '[object Number]') {
    return new Date(argument);
  } else {
    if ((typeof argument === 'string' || argStr === '[object String]') && typeof console !== 'undefined') {
      // eslint-disable-next-line no-console
      console.warn("Starting with v2.0.0-beta.1 date-fns doesn't accept strings as date arguments. Please use `parseISO` to parse strings. See: https://git.io/fjule"); // eslint-disable-next-line no-console

      console.warn(new Error().stack);
    }

    return new Date(NaN);
  }
}
},{"../_lib/requiredArgs/index.js":"kK6Q"}],"DgmM":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = startOfDay;

var _index = _interopRequireDefault(require("../toDate/index.js"));

var _index2 = _interopRequireDefault(require("../_lib/requiredArgs/index.js"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * @name startOfDay
 * @category Day Helpers
 * @summary Return the start of a day for the given date.
 *
 * @description
 * Return the start of a day for the given date.
 * The result will be in the local timezone.
 *
 * ### v2.0.0 breaking changes:
 *
 * - [Changes that are common for the whole library](https://github.com/date-fns/date-fns/blob/master/docs/upgradeGuide.md#Common-Changes).
 *
 * @param {Date|Number} date - the original date
 * @returns {Date} the start of a day
 * @throws {TypeError} 1 argument required
 *
 * @example
 * // The start of a day for 2 September 2014 11:55:00:
 * const result = startOfDay(new Date(2014, 8, 2, 11, 55, 0))
 * //=> Tue Sep 02 2014 00:00:00
 */
function startOfDay(dirtyDate) {
  (0, _index2.default)(1, arguments);
  var date = (0, _index.default)(dirtyDate);
  date.setHours(0, 0, 0, 0);
  return date;
}
},{"../toDate/index.js":"KYJg","../_lib/requiredArgs/index.js":"kK6Q"}],"RNDZ":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.appTimeExtendedBundle = void 0;

var _startOfDay = _interopRequireDefault(require("date-fns/startOfDay"));

var _reduxBundler = require("redux-bundler");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// @ts-check
var floorOfInterval = function floorOfInterval(interval) {
  return function (time) {
    return Math.floor(time / interval) * interval;
  };
};

var appTimeExtendedBundle = {
  name: 'appTimeExtended',
  selectAppTimeSecond: (0, _reduxBundler.createSelector)('selectAppTime', floorOfInterval(1000)),
  selectAppTimeMinute: (0, _reduxBundler.createSelector)('selectAppTimeSecond', floorOfInterval(60000)),
  selectAppTimeDay: (0, _reduxBundler.createSelector)('selectAppTimeMinute', function (val) {
    return (0, _startOfDay.default)(val).valueOf();
  }),
  selectAppDayDate: (0, _reduxBundler.createSelector)('selectAppTimeDay', function (val) {
    return new Date(val);
  })
};
exports.appTimeExtendedBundle = appTimeExtendedBundle;
},{"date-fns/startOfDay":"DgmM","redux-bundler":"AfGI"}],"b3IQ":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.writeReferredBy = exports.deleteReferredBy = exports.getReferredBy = exports.REFERRAL_ID_NAME = void 0;

var _milliseconds = _interopRequireDefault(require("milliseconds"));

var _cookie = require("./cookie");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// @ts-check
var domain = globalThis.location && globalThis.location.hostname.split('.').slice(-2).join('.') || 'xchart.com';
var REFERRAL_ID_NAME = 'ref_id';
exports.REFERRAL_ID_NAME = REFERRAL_ID_NAME;

var getReferredBy = function getReferredBy() {
  return (0, _cookie.readCookie)(REFERRAL_ID_NAME);
};

exports.getReferredBy = getReferredBy;

var deleteReferredBy = function deleteReferredBy() {
  return (0, _cookie.deleteCookie)(REFERRAL_ID_NAME, domain);
};

exports.deleteReferredBy = deleteReferredBy;

var writeReferredBy = function writeReferredBy(str) {
  try {
    (0, _cookie.writeCookie)(REFERRAL_ID_NAME, str, {
      maxAge: _milliseconds.default.years(10),
      domain: domain
    });
  } catch (e) {// intentionally not used
  }
};

exports.writeReferredBy = writeReferredBy;
},{"milliseconds":"dzFk","./cookie":"Xp3r"}],"OWyU":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.referredByBundle = void 0;

var _reduxBundler = require("redux-bundler");

var _object = require("../utils/object");

var _referralCookie = require("../utils/referral-cookie");

var referredByBundle = {
  name: 'referredBy',
  selectReferredBy: _referralCookie.getReferredBy,
  reactStoreReferredBy: (0, _reduxBundler.createSelector)('selectQueryObject', function (queryObj) {
    if (queryObj && queryObj[_referralCookie.REFERRAL_ID_NAME]) {
      (0, _referralCookie.writeReferredBy)(queryObj[_referralCookie.REFERRAL_ID_NAME]);
      return {
        actionCreator: 'doUpdateQuery',
        args: [(0, _object.omit)(queryObj, [_referralCookie.REFERRAL_ID_NAME]), {
          maintainScrollPosition: true,
          replace: true
        }]
      };
    }
  })
};
exports.referredByBundle = referredByBundle;
},{"redux-bundler":"AfGI","../utils/object":"JIRj","../utils/referral-cookie":"b3IQ"}],"JN9k":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getEventSourceManagerBundle = void 0;

var _object = require("../utils/object");

var _reduxBundler = require("redux-bundler");

function _createForOfIteratorHelper(o, allowArrayLike) { var it; if (typeof Symbol === "undefined" || o[Symbol.iterator] == null) { if (Array.isArray(o) || (it = _unsupportedIterableToArray(o)) || allowArrayLike && o && typeof o.length === "number") { if (it) o = it; var i = 0; var F = function F() {}; return { s: F, n: function n() { if (i >= o.length) return { done: true }; return { done: false, value: o[i++] }; }, e: function e(_e) { throw _e; }, f: F }; } throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); } var normalCompletion = true, didErr = false, err; return { s: function s() { it = o[Symbol.iterator](); }, n: function n() { var step = it.next(); normalCompletion = step.done; return step; }, e: function e(_e2) { didErr = true; err = _e2; }, f: function f() { try { if (!normalCompletion && it.return != null) it.return(); } finally { if (didErr) throw err; } } }; }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var mappedState = {
  0: 'connecting',
  1: 'open',
  2: 'closed'
};
/**
 * @param {  | {
 *       name: string
 *       actionBaseName: string
 *       activeIdsSelectorName: string
 *       dataActionCreatorName: string
 *       buildUrl: (id: string, store: any) => string
 *       eventSourceConstructor?: any
 *       logger?: any
 *       retryFailedTimeout: number
 *     }
 *   | any} Opts
 */

var getEventSourceManagerBundle = function getEventSourceManagerBundle(_ref) {
  var _objectSpread5;

  var name = _ref.name,
      actionBaseName = _ref.actionBaseName,
      activeIdsSelectorName = _ref.activeIdsSelectorName,
      dataActionCreatorName = _ref.dataActionCreatorName,
      buildUrl = _ref.buildUrl,
      eventSourceConstructor = _ref.eventSourceConstructor,
      _ref$logger = _ref.logger,
      logger = _ref$logger === void 0 ? console : _ref$logger,
      _ref$retryFailedTimeo = _ref.retryFailedTimeout,
      retryFailedTimeout = _ref$retryFailedTimeo === void 0 ? 1000 * 60 : _ref$retryFailedTimeo,
      rest = _objectWithoutProperties(_ref, ["name", "actionBaseName", "activeIdsSelectorName", "dataActionCreatorName", "buildUrl", "eventSourceConstructor", "logger", "retryFailedTimeout"]);

  var CREATED = "".concat(actionBaseName, "_CREATED");
  var OPENED = "".concat(actionBaseName, "_OPENED");
  var REMOVED = "".concat(actionBaseName, "_REMOVED");
  var FAILED = "".concat(actionBaseName, "_FAILED");
  var uCaseName = name.charAt(0).toUpperCase() + name.slice(1);
  var rawSelectorName = "select".concat(uCaseName, "Raw");
  var connectedSelectorName = "select".concat(uCaseName, "Connected");
  var doCreateName = "doCreate".concat(uCaseName, "ForId");
  var doRemoveName = "doRemove".concat(uCaseName, "ForId");
  return _objectSpread((_objectSpread5 = {
    name: name,
    getReducer: function getReducer() {
      var initial = {};
      return function () {
        var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : initial;

        var _ref2 = arguments.length > 1 ? arguments[1] : undefined,
            type = _ref2.type,
            payload = _ref2.payload;

        if (type === CREATED) {
          return _objectSpread(_objectSpread({}, state), {}, _defineProperty({}, payload.id, {
            es: payload.eventSource,
            state: mappedState[payload.eventSource.readyState]
          }));
        }

        if (type === FAILED) {
          var id = payload.id;
          return _objectSpread(_objectSpread({}, state), {}, _defineProperty({}, id, _objectSpread(_objectSpread({}, state[id]), {}, {
            state: 'failed',
            failedAt: payload.time
          })));
        }

        if (type === OPENED) {
          var _id = payload.id;
          var existing = state[_id];

          if (!existing) {
            return state;
          }

          return _objectSpread(_objectSpread({}, state), {}, _defineProperty({}, _id, _objectSpread(_objectSpread({}, existing), {}, {
            state: mappedState[existing.es.readyState]
          })));
        }

        if (type === REMOVED) {
          return (0, _object.omit)(state, [payload]);
        }

        return state;
      };
    }
  }, _defineProperty(_objectSpread5, rawSelectorName, function (state) {
    return state[name];
  }), _defineProperty(_objectSpread5, doRemoveName, function (id) {
    return function (_ref3) {
      var store = _ref3.store,
          dispatch = _ref3.dispatch;
      var existing = store[rawSelectorName]()[id];

      if (existing) {
        var es = existing.es;

        if (es) {
          try {
            es.close();
          } catch (e) {// empty on purpose
          }
        }

        dispatch({
          type: REMOVED,
          payload: id
        });
      }
    };
  }), _defineProperty(_objectSpread5, doCreateName, function (id) {
    return function (_ref4) {
      var store = _ref4.store,
          dispatch = _ref4.dispatch;
      var eventSource = new (eventSourceConstructor || EventSource)(buildUrl(id, store), {
        withCredentials: true
      });
      dispatch({
        type: CREATED,
        payload: {
          id: id,
          eventSource: eventSource
        }
      });
      eventSource.addEventListener('open', function () {
        dispatch({
          type: OPENED,
          payload: {
            id: id
          }
        });
      });
      eventSource.addEventListener('error', function (errorEvent) {
        logger && logger.debug({
          errorEvent: errorEvent,
          message: "eventSourceError ".concat(name),
          readyState: eventSource.readyState
        }); // closed

        if (eventSource.readyState === 2) {
          setTimeout(function () {
            // if it's still 2 we should retry
            if (eventSource.readyState === 2) {
              store[doCreateName](id);
            }
          }, 1000);
        } // error event status (if available)


        var errorHttpStatus = errorEvent && errorEvent.status && typeof errorEvent.status === 'number' ? errorEvent.status : 0;

        if (errorHttpStatus >= 400 && errorHttpStatus <= 499) {
          // we assume failure
          eventSource.close();
          dispatch({
            type: FAILED,
            payload: {
              id: id,
              time: Date.now()
            }
          });
        }
      });
      eventSource.addEventListener('message', function (message) {
        try {
          var data = JSON.parse(message.data);
          store[dataActionCreatorName]({
            id: id,
            data: data
          });
          logger && logger.debug({
            message: "eventSourceMessageReceived ".concat(name),
            data: data
          });
        } catch (e) {
          logger && logger.error({
            error: e,
            message: "eventSourceErrorReceivingMessage ".concat(name)
          });
        }
      });
    };
  }), _defineProperty(_objectSpread5, connectedSelectorName, (0, _reduxBundler.createSelector)(rawSelectorName, activeIdsSelectorName, function (raw, idsToBeSubscribedTo) {
    if (!idsToBeSubscribedTo || !idsToBeSubscribedTo.length) {
      return false;
    }

    return idsToBeSubscribedTo.every(function (orgId) {
      return raw[orgId] && raw[orgId].state === 'open';
    });
  })), _defineProperty(_objectSpread5, "reactShouldCreateRemove".concat(uCaseName), (0, _reduxBundler.createSelector)('selectAppTime', activeIdsSelectorName, rawSelectorName, function (appTime, idResult, raw) {
    // always coerce to array of ids
    var ids = [];

    if (idResult) {
      ids = Array.isArray(idResult) ? idResult : [idResult];
    }

    var _iterator = _createForOfIteratorHelper(ids),
        _step;

    try {
      for (_iterator.s(); !(_step = _iterator.n()).done;) {
        var _id2 = _step.value;

        if (!raw[_id2]) {
          return {
            actionCreator: doCreateName,
            args: [_id2]
          };
        }
      } // any to remove

    } catch (err) {
      _iterator.e(err);
    } finally {
      _iterator.f();
    }

    for (var id in raw) {
      var idWasRemoved = !ids.includes(id);
      var failedAtTime = raw[id].failedAt;
      var isFailedAndOld = failedAtTime && appTime - failedAtTime > retryFailedTimeout;

      if (idWasRemoved || isFailedAndOld) {
        return {
          actionCreator: doRemoveName,
          args: [id]
        };
      }
    }
  })), _objectSpread5), rest);
};

exports.getEventSourceManagerBundle = getEventSourceManagerBundle;
},{"../utils/object":"JIRj","redux-bundler":"AfGI"}],"S5wE":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getOrgsBundle = void 0;

var _generateBundle = require("../utils/generate-bundle");

var _reduxBundler = require("redux-bundler");

var _object = require("../utils/object");

function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }

function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && Symbol.iterator in Object(iter)) return Array.from(iter); }

function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var ORG_FETCH_STARTED = 'ORG_FETCH_STARTED';
var ORG_FETCH_FINISHED = 'ORG_FETCH_FINISHED';
var ORG_FETCH_FAILED = 'ORG_FETCH_FAILED';
var ORG_FEATURE_OVERRIDE = 'ORG_FEATURE_OVERRIDE';

var subscriptionTransform = function subscriptionTransform(sub) {
  return Object.assign({}, sub, {
    cancelledAt: Number(sub.cancelledAt),
    currentPeriodEnd: Number(sub.currentPeriodEnd),
    currentPeriodStart: Number(sub.currentPeriodStart),
    start: Number(sub.start),
    trialEnd: Number(sub.trialEnd),
    trialStart: Number(sub.trialStart)
  });
};

var getOrgsBundle = function getOrgsBundle(_ref) {
  var _actionTypes;

  var orgResponseSnippet = _ref.orgResponseSnippet,
      activeOrgSelectorName = _ref.activeOrgSelectorName,
      rest = _objectWithoutProperties(_ref, ["orgResponseSnippet", "activeOrgSelectorName"]);

  return (0, _generateBundle.generateBundle)(_objectSpread({
    name: 'orgs',
    initialState: {
      featureOverrides: {}
    },
    actionTypes: (_actionTypes = {}, _defineProperty(_actionTypes, ORG_FETCH_STARTED, {
      handler: function handler(state, payload) {
        return _objectSpread(_objectSpread({}, state), {}, _defineProperty({}, payload, _objectSpread(_objectSpread({}, state[payload]), {}, {
          loading: true
        })));
      }
    }), _defineProperty(_actionTypes, ORG_FETCH_FINISHED, {
      handler: function handler(state, payload) {
        return _objectSpread(_objectSpread({}, state), {}, _defineProperty({}, payload.id, _objectSpread(_objectSpread({}, state[payload.id]), {}, {
          loading: false,
          data: payload.data
        })));
      }
    }), _defineProperty(_actionTypes, ORG_FETCH_FAILED, {
      handler: function handler(state, payload) {
        return _objectSpread(_objectSpread({}, state), {}, _defineProperty({}, payload.id, _objectSpread(_objectSpread({}, state[payload.id]), {}, {
          loading: false,
          error: payload.error
        })));
      }
    }), _defineProperty(_actionTypes, ORG_FEATURE_OVERRIDE, {
      handler: function handler(state, _ref2) {
        var orgId = _ref2.orgId,
            name = _ref2.name,
            value = _ref2.value;
        var existing = state.featureOverrides[orgId] || {}; // treat null as delete

        if (value === null) {
          return _objectSpread(_objectSpread({}, state), {}, {
            featureOverrides: _objectSpread(_objectSpread({}, state.featureOverrides), {}, _defineProperty({}, orgId, (0, _object.omit)(existing, [name])))
          });
        }

        return _objectSpread(_objectSpread({}, state), {}, {
          featureOverrides: _objectSpread(_objectSpread({}, state.featureOverrides), {}, _defineProperty({}, orgId, _objectSpread(_objectSpread({}, existing), {}, _defineProperty({}, name, value))))
        });
      }
    }), _actionTypes),
    selectOrgsRaw: function selectOrgsRaw(state) {
      return state.orgs;
    },
    selectActiveOrgData: (0, _reduxBundler.createSelector)(activeOrgSelectorName, 'selectOrgsRaw', function (activeId, raw) {
      return activeId && raw[activeId] && raw[activeId].data;
    }),
    selectHasActiveOrgData: (0, _reduxBundler.createSelector)('selectActiveOrgData', Boolean),
    selectOrgs: (0, _reduxBundler.createSelector)(activeOrgSelectorName, 'selectSessionOrgs', 'selectActiveOrgData', 'selectOrgsRaw', 'selectIsParentOrXchartUser', function (activeId, sessionOrgs, activeOrgData, orgsRaw, isParentOrXchartUser) {
      var shouldAddOrgId = isParentOrXchartUser && activeId && sessionOrgs && !sessionOrgs.find(function (org) {
        return org.id === activeId;
      });
      var modifiedSessionOrgs = shouldAddOrgId ? [].concat(_toConsumableArray(sessionOrgs), [{
        id: activeId
      }]) : sessionOrgs || [];
      return modifiedSessionOrgs.map(function (_ref3) {
        var id = _ref3.id,
            type = _ref3.type;
        var active = id === activeId;
        var name;

        if (active) {
          name = activeOrgData && activeOrgData.name;
        }

        var matchingOrg = orgsRaw[id] || {};
        var matchingOrgData = matchingOrg.data || {};
        var features = matchingOrgData.featuresJSON ? JSON.parse(matchingOrgData.featuresJSON) : {};
        var featureOverrides = (orgsRaw.featureOverrides || {})[id] || {};
        return _objectSpread({
          id: id,
          name: name || id,
          type: type,
          active: active,
          loading: matchingOrg.loading,
          features: _objectSpread(_objectSpread({}, features), featureOverrides)
        }, (0, _object.pluck)(matchingOrgData, ['addressLine1', 'addressLine2', 'city', 'state', 'postalCode', 'country', 'visionType', 'taxStatus']));
      });
    }),
    selectActiveOrg: (0, _reduxBundler.createSelector)('selectOrgs', function (orgs) {
      return orgs.find(function (org) {
        return org.active;
      });
    }),
    selectOrgFeatures: (0, _reduxBundler.createSelector)('selectActiveOrg', function (activeOrg) {
      return activeOrg && activeOrg.features || {};
    }),
    selectActiveOrgName: (0, _reduxBundler.createSelector)('selectActiveOrg', function (org) {
      return org && org.name;
    }),
    selectActiveOrgParentOrgs: (0, _reduxBundler.createSelector)('selectActiveOrgData', function (org) {
      return org && org.parentOrgs || [];
    }),
    selectCanAdminOrg: (0, _reduxBundler.createSelector)('selectIsOrgAdmin', 'selectIsXchartUberUser', 'selectActiveOrgParentOrgs', 'selectParentOrgMemberships', function (isOrgAdmin, uberUser, parentOrgIds, parentOrgMemberships) {
      if (isOrgAdmin || uberUser) return true;
      if (!parentOrgMemberships) return false;
      return parentOrgIds.some(function (parentOrgId) {
        return parentOrgMemberships.some(function (membership) {
          return membership.id === parentOrgId;
        });
      });
    }),
    doOrgFeatureOverride: function doOrgFeatureOverride(_ref4) {
      var feature = _ref4.feature,
          _ref4$value = _ref4.value,
          value = _ref4$value === void 0 ? true : _ref4$value,
          orgId = _ref4.orgId;
      return function (_ref5) {
        var store = _ref5.store,
            dispatch = _ref5.dispatch;
        dispatch({
          type: ORG_FEATURE_OVERRIDE,
          payload: {
            orgId: orgId || store[activeOrgSelectorName](),
            name: feature,
            value: value
          }
        });
      };
    },
    doReceiveOrg: function doReceiveOrg(orgId, data) {
      var payloadData = _objectSpread({}, data);

      if (data.subscription) {
        payloadData.subscription = subscriptionTransform(data.subscription);
      }

      return {
        type: ORG_FETCH_FINISHED,
        payload: {
          id: orgId,
          data: payloadData
        }
      };
    },
    doFetchOrg: function doFetchOrg(orgId) {
      return function (_ref6) {
        var gqlFetch = _ref6.gqlFetch,
            dispatch = _ref6.dispatch,
            store = _ref6.store;

        if (!orgId) {
          orgId = store[activeOrgSelectorName]();
        }

        dispatch({
          type: ORG_FETCH_STARTED,
          payload: orgId
        });
        return gqlFetch("{ org(orgId: \"".concat(orgId, "\") ").concat(orgResponseSnippet, "}")).then(function (res) {
          return store.doReceiveOrg(orgId, res.data.org);
        });
      };
    },
    reactFetchOrgs: (0, _reduxBundler.createSelector)(activeOrgSelectorName, 'selectIsSignedIn', 'selectSessionOrgIds', 'selectOrgsRaw', 'selectIsParentOrXchartUser', function (activeOrgId, isSignedIn, sessionOrgIds, orgsMetadata, isParentOrXchartUser) {
      if (!activeOrgId || !isSignedIn || !sessionOrgIds.length) {
        return;
      }

      var isInOrg = sessionOrgIds.includes(activeOrgId);

      if (!isInOrg && !isParentOrXchartUser) {
        return;
      }

      var meta = orgsMetadata[activeOrgId];

      if (meta) {
        var data = meta.data,
            loading = meta.loading,
            error = meta.error;

        if (data || loading || error) {
          return;
        }
      }

      return {
        actionCreator: 'doFetchOrg',
        args: [activeOrgId]
      };
    })
  }, rest));
};

exports.getOrgsBundle = getOrgsBundle;
},{"../utils/generate-bundle":"m4sQ","redux-bundler":"AfGI","../utils/object":"JIRj"}],"gD5N":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getTimeDiffBundle = void 0;

var _reduxBundler = require("redux-bundler");

var _date = require("../utils/date");

/**
 * @param {{
 *   timeDiffThreshold?: number
 *   actionName?: string
 *   getServerTimePromise?: Promise<number>
 * }} [opts]
 * @returns {any}
 */
var getTimeDiffBundle = function getTimeDiffBundle() {
  var _ref = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {},
      _ref$timeDiffThreshol = _ref.timeDiffThreshold,
      timeDiffThreshold = _ref$timeDiffThreshol === void 0 ? 300000 : _ref$timeDiffThreshol,
      _ref$actionName = _ref.actionName,
      actionName = _ref$actionName === void 0 ? 'SERVER_TIME_FETCHED' : _ref$actionName,
      getServerTimePromise = _ref.getServerTimePromise;

  return {
    name: 'timeDiff',
    reducer: function reducer() {
      var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {
        timeDiff: null
      };

      var _ref2 = arguments.length > 1 ? arguments[1] : undefined,
          type = _ref2.type,
          payload = _ref2.payload;

      return type === actionName ? {
        timeDiff: payload
      } : state;
    },
    init: function init(store) {
      return store.doFetchServerTime();
    },
    doFetchServerTime: function doFetchServerTime() {
      return function (_ref3) {
        var dispatch = _ref3.dispatch,
            gqlFetch = _ref3.gqlFetch;
        return (getServerTimePromise ? getServerTimePromise() : gqlFetch('{serverTime}').then(function (res) {
          return res.data.serverTime;
        })).then(function (serverTime) {
          return dispatch({
            type: actionName,
            payload: Date.now() - serverTime
          });
        });
      };
    },
    selectServerTimeDiffRaw: function selectServerTimeDiffRaw(state) {
      return state.timeDiff.timeDiff;
    },
    selectClientTimeStatus: (0, _reduxBundler.createSelector)('selectServerTimeDiffRaw', function (timeDiff) {
      var ok = null;
      var message = null;

      if (timeDiff !== null) {
        ok = Math.abs(timeDiff) <= timeDiffThreshold;
      }

      if (ok === false) {
        message = "".concat((0, _date.msToTimeAgo)(Math.abs(timeDiff), false), " ").concat(timeDiff > 0 ? 'ahead' : 'behind');
      }

      return {
        timeDiff: timeDiff,
        ok: ok,
        message: message
      };
    }),
    selectClientTimeOk: (0, _reduxBundler.createSelector)('selectClientTimeStatus', function (status) {
      return !!status.ok;
    })
  };
};

exports.getTimeDiffBundle = getTimeDiffBundle;
},{"redux-bundler":"AfGI","../utils/date":"ZbyX"}],"viWW":[function(require,module,exports) {
// tryit
// Simple, re-usuable try-catch, this is a performance optimization
// and provides a cleaner API.
module.exports = function (fn, cb) {
    var err;

    try {
        fn();
    } catch (e) {
        err = e;
    }

    if (cb) cb(err || null);
};

},{}],"heR1":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.clearLocalStorage = exports.deleteLocalStorageItem = exports.getLocalStorageItem = exports.setLocalStorageItem = void 0;

var _tryit = _interopRequireDefault(require("tryit"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var setLocalStorageItem = function setLocalStorageItem(item, value) {
  return (0, _tryit.default)(function () {
    return localStorage.setItem(item, value);
  });
};

exports.setLocalStorageItem = setLocalStorageItem;

var getLocalStorageItem = function getLocalStorageItem(item) {
  var result;
  (0, _tryit.default)(function () {
    result = localStorage.getItem(item);
  });
  return result;
};

exports.getLocalStorageItem = getLocalStorageItem;

var deleteLocalStorageItem = function deleteLocalStorageItem(item) {
  return (0, _tryit.default)(function () {
    return delete localStorage[item];
  });
};

exports.deleteLocalStorageItem = deleteLocalStorageItem;

var clearLocalStorage = function clearLocalStorage() {
  return (0, _tryit.default)(function () {
    var debug = localStorage.debug;
    localStorage.clear();

    if (debug) {
      localStorage.debug = debug;
    }
  });
};

exports.clearLocalStorage = clearLocalStorage;
},{"tryit":"viWW"}],"eHBA":[function(require,module,exports) {
var global = arguments[3];
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.IS_CHROME = exports.IS_IOS = exports.IS_IPAD = void 0;

if (typeof window === 'undefined') {
  // eslint-disable-next-line
  global.window = global;
}

var navigator = window && window.navigator || {};
var ua = navigator && navigator.userAgent || '';
var maxTouchPoints = navigator && navigator.maxTouchPoints || 1;
var IS_IPAD = /Macintosh/i.test(ua) && maxTouchPoints > 1;
exports.IS_IPAD = IS_IPAD;
var IS_IOS = /iPad|iPhone|iPod/.test(ua) || IS_IPAD;
exports.IS_IOS = IS_IOS;
var IS_CHROME = /Chrome/.test(ua) && /Google Inc/.test(navigator.vendor);
exports.IS_CHROME = IS_CHROME;
},{}],"kWb6":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createTokenWriter = void 0;

var _milliseconds = _interopRequireDefault(require("milliseconds"));

var _cookie = require("./cookie");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var createTokenWriter = function createTokenWriter(_ref) {
  var _ref$name = _ref.name,
      name = _ref$name === void 0 ? 'token' : _ref$name,
      domain = _ref.domain;

  var writeToken = function writeToken(token) {
    (0, _cookie.writeCookie)(name, token, {
      maxAge: _milliseconds.default.days(180),
      secure: true,
      domain: domain
    });
  };

  var readToken = function readToken() {
    return (0, _cookie.readCookie)(name);
  };

  var clearToken = function clearToken() {
    return (0, _cookie.deleteCookie)(name, domain);
  };

  return {
    writeToken: writeToken,
    readToken: readToken,
    clearToken: clearToken
  };
};

exports.createTokenWriter = createTokenWriter;
},{"milliseconds":"dzFk","./cookie":"Xp3r"}],"ecRq":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.waitFor = void 0;

/**
 * @param {any} store
 * @param {string} selectorName
 * @param {{ timeout: number }} [opts]
 * @returns {Promise<void>}
 */
var waitFor = function waitFor(store, selectorName) {
  var _ref = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {},
      timeout = _ref.timeout;

  return new Promise(function (resolve, reject) {
    var conditionMatched = function conditionMatched() {
      return store[selectorName]();
    };

    if (conditionMatched()) {
      return resolve();
    }

    var timerId;
    var unsubscribe = store.subscribeToSelectors([selectorName], function () {
      if (conditionMatched()) {
        clearTimeout(timerId);
        unsubscribe();
        return resolve();
      }
    });

    if (timeout) {
      timerId = setTimeout(function () {
        // cleanup
        unsubscribe();
        reject(Error('TIMED_OUT'));
      }, timeout);
    }
  });
};

exports.waitFor = waitFor;
},{}],"jqib":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.msToTimeString = void 0;

var msToTimeString = function msToTimeString(ms) {
  var includeSeconds = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;

  if (!ms) {
    return '';
  }

  var d = new Date(ms);
  var hours = (d.getHours() + '').padStart(2, '0');
  var minutes = (d.getMinutes() + '').padStart(2, '0');
  var seconds = (d.getSeconds() + '').padStart(2, '0');
  return "".concat(hours, ":").concat(minutes) + (includeSeconds ? ":".concat(seconds) : '');
};

exports.msToTimeString = msToTimeString;
},{}],"bgxm":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getStandardHeaders = void 0;

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

/**
 * @param {{
 *   tabId: string
 *   appName: string
 *   appVersion: string
 * }} opts
 * @returns {{
 *   ['x-chart-tab-id']: string
 *   ['x-chart-app']: string
 *   ['x-chart-version']: string
 * }}
 */
var getStandardHeaders = function getStandardHeaders(opts) {
  var _ref;

  return _ref = {}, _defineProperty(_ref, "x-chart-tab-id", opts.tabId), _defineProperty(_ref, "x-chart-app", opts.appName), _defineProperty(_ref, "x-chart-version", opts.appVersion), _ref;
};

exports.getStandardHeaders = getStandardHeaders;
},{}],"bfDr":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createTokenBundle = void 0;

var _reduxBundler = require("redux-bundler");

var _tokenWriter = require("../utils/token-writer");

// @ts-check
var UPDATED = 'TOKEN_UPDATED';
var DEFAULT_TOKEN_READ_INTERVAL = 10000;

var getTokenFromHash = function getTokenFromHash() {
  return location.hash.split('token=')[1] || null;
};
/**
 * @param {{
 *   name: string
 *   domain: string
 *   locationStub?: any
 *   readInterval?: number
 * }} opts
 */


var createTokenBundle = function createTokenBundle(opts) {
  var _createTokenWriter = (0, _tokenWriter.createTokenWriter)(opts),
      readToken = _createTokenWriter.readToken,
      writeToken = _createTokenWriter.writeToken,
      clearToken = _createTokenWriter.clearToken;

  var location = _reduxBundler.IS_BROWSER ? window.location : opts.locationStub;
  var readInterval = opts.readInterval || DEFAULT_TOKEN_READ_INTERVAL;
  return {
    name: 'token',
    getReducer: function getReducer() {
      var token = readToken();

      if (token === 'null') {
        token = null;
      }

      if (!token) {
        var fromHash = getTokenFromHash();

        if (fromHash) {
          token = fromHash;
          writeToken(token);
        }
      }

      var initial = {
        token: token
      };
      return function () {
        var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : initial;

        var _ref = arguments.length > 1 ? arguments[1] : undefined,
            type = _ref.type,
            payload = _ref.payload;

        if (type === UPDATED) {
          return Object.assign({}, state, {
            token: payload
          });
        }

        return state;
      };
    },
    init: function init(store) {
      if (_reduxBundler.IS_BROWSER) {
        var read = function read() {
          store.doUpdateTokenFromCookie();
          setTimeout(function () {
            return (0, _reduxBundler.ric)(read);
          }, readInterval);
        };

        setTimeout(read, readInterval);
      }
    },
    selectAuthToken: function selectAuthToken(state) {
      return state.token.token;
    },
    selectHasAuthToken: function selectHasAuthToken(state) {
      return !!state.token.token;
    },
    doReceiveToken: function doReceiveToken(token) {
      return function (_ref2) {
        var dispatch = _ref2.dispatch,
            store = _ref2.store;

        if (token === 'null' || !token) {
          return store.doClearToken('/');
        } else {
          writeToken(token);
          dispatch({
            type: UPDATED,
            payload: token
          });
        }
      };
    },
    doClearToken: function doClearToken(nextUrl) {
      return function (_ref3) {
        var store = _ref3.store,
            dispatch = _ref3.dispatch;
        clearToken();
        store.doClearXID(); // clear the token incase we don't redirect to a clean slate

        dispatch({
          type: UPDATED,
          payload: null
        });

        if (nextUrl) {
          location.assign(nextUrl);
        }
      };
    },
    doUpdateTokenFromCookie: function doUpdateTokenFromCookie() {
      return function (_ref4) {
        var store = _ref4.store;
        var token = readToken();

        if (token !== store.selectAuthToken()) {
          store.doReceiveToken(token);
        }
      };
    }
  };
};

exports.createTokenBundle = createTokenBundle;
},{"redux-bundler":"AfGI","../utils/token-writer":"kWb6"}],"ChC9":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PromiseButton = void 0;

var _preact = require("preact");

var _classnames = _interopRequireDefault(require("classnames"));

var _button = require("./button");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

var PromiseButton = /*#__PURE__*/function (_Component) {
  _inherits(PromiseButton, _Component);

  var _super = _createSuper(PromiseButton);

  function PromiseButton(props) {
    var _this;

    _classCallCheck(this, PromiseButton);

    _this = _super.call(this, props);
    _this.state = {
      state: 'idle'
    };

    _this.updateState = function (state) {
      return _this.setState({
        state: state
      });
    };

    return _this;
  }

  _createClass(PromiseButton, [{
    key: "componentDidUpdate",
    value: function componentDidUpdate(prevProps) {
      if (prevProps.pressed && !this.props.pressed) {
        this.updateState('idle');
      }
    }
  }, {
    key: "render",
    value: function render(_ref, _ref2) {
      var _this2 = this;

      var buttonText = _ref.buttonText,
          loadingText = _ref.loadingText,
          icon = _ref.icon,
          _ref$errorIcon = _ref.errorIcon,
          errorIcon = _ref$errorIcon === void 0 ? 'error' : _ref$errorIcon,
          errorText = _ref.errorText,
          successText = _ref.successText,
          resetTimeout = _ref.resetTimeout,
          pressed = _ref.pressed,
          _onClick = _ref.onClick,
          rest = _objectWithoutProperties(_ref, ["buttonText", "loadingText", "icon", "errorIcon", "errorText", "successText", "resetTimeout", "pressed", "onClick"]);

      var state = _ref2.state;
      var loading = state === 'loading';
      var error = state === 'error';
      var success = state === 'success';
      var disabled = !pressed && (error || loading || success || rest.disabled);
      var text = success && successText || loading && loadingText || error && errorText || buttonText;
      var activeIcon = loading && 'autorenew' || error && errorIcon || icon;
      return (0, _preact.h)(_button.IconButton, _extends({
        icon: activeIcon,
        iconClassName: (0, _classnames.default)(loading ? 'spin-animation' : null),
        disabled: disabled,
        pressed: pressed,
        onClick: function onClick() {
          if (pressed) return;

          _this2.updateState('loading');

          _onClick().then(function () {
            _this2.updateState('success');
          }).catch(function () {
            _this2.updateState('error');
          }).then(function () {
            if (resetTimeout) {
              setTimeout(function () {
                return _this2.updateState('idle');
              }, resetTimeout);
            }
          });
        }
      }, rest), text);
    }
  }]);

  return PromiseButton;
}(_preact.Component);

exports.PromiseButton = PromiseButton;
},{"preact":"aSor","classnames":"qb7c","./button":"zoTV"}],"Huxa":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CopyButton = void 0;

var _preact = require("preact");

var _promiseButton = require("./promise-button");

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var CopyButton = function CopyButton(_ref) {
  var text = _ref.text,
      _ref$buttonText = _ref.buttonText,
      buttonText = _ref$buttonText === void 0 ? 'Copy to clipboard' : _ref$buttonText,
      rest = _objectWithoutProperties(_ref, ["text", "buttonText"]);

  return !navigator.clipboard || !navigator.clipboard.writeText ? null : (0, _preact.h)(_promiseButton.PromiseButton, _extends({
    buttonText: buttonText,
    errorText: "Failed to copy, try again",
    successText: "Copied!",
    loadingText: "Copying...",
    onClick: function onClick() {
      return navigator.clipboard.writeText(text);
    },
    resetTimeout: 1500
  }, rest));
};

exports.CopyButton = CopyButton;
},{"preact":"aSor","./promise-button":"ChC9"}],"g1HS":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CopyInput = void 0;

var _preact = require("preact");

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

var CopyInput = /*#__PURE__*/function (_Component) {
  _inherits(CopyInput, _Component);

  var _super = _createSuper(CopyInput);

  function CopyInput(props) {
    var _this;

    _classCallCheck(this, CopyInput);

    _this = _super.call(this, props);
    _this.onFocus = _this.onFocus.bind(_assertThisInitialized(_this));
    return _this;
  }

  _createClass(CopyInput, [{
    key: "onFocus",
    value: function onFocus() {
      this.base && this.base.select();
    }
  }, {
    key: "render",
    value: function render(_ref) {
      var value = _ref.value,
          rest = _objectWithoutProperties(_ref, ["value"]);

      return (0, _preact.h)("input", _extends({
        value: value
      }, rest, {
        onFocus: this.onFocus
      }));
    }
  }]);

  return CopyInput;
}(_preact.Component);

exports.CopyInput = CopyInput;
},{"preact":"aSor"}],"yHU1":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.layoutUiBundle = void 0;
var DRAWER_OPENED = 'DRAWER_OPENED';
var DRAWER_CLOSED = 'DRAWER_CLOSED';
var layoutUiBundle = {
  name: 'layoutUi',
  reducer: function reducer() {
    var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {
      drawerOpen: false,
      beeping: null
    };

    var _ref = arguments.length > 1 ? arguments[1] : undefined,
        type = _ref.type;

    if (type === DRAWER_OPENED) {
      return Object.assign({}, state, {
        drawerOpen: true
      });
    }

    if (type === DRAWER_CLOSED) {
      return Object.assign({}, state, {
        drawerOpen: false
      });
    }

    return state;
  },
  selectDrawerIsOpen: function selectDrawerIsOpen(state) {
    return state.layoutUi.drawerOpen;
  },
  doOpenDrawer: function doOpenDrawer() {
    return {
      type: DRAWER_OPENED
    };
  },
  doCloseDrawer: function doCloseDrawer() {
    return {
      type: DRAWER_CLOSED
    };
  }
};
exports.layoutUiBundle = layoutUiBundle;
},{}],"wwsb":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.uuid = void 0;

function b(a) {
  return a ? (a ^ Math.random() * 16 >> a / 4).toString(16) : ([1e7] + -1e3 + -4e3 + -8e3 + -1e11).replace(/[018]/g, b);
}

var uuid = b;
exports.uuid = uuid;
},{}],"iJ9e":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.tabIdBundle = void 0;

var _uuid = require("../utils/uuid");

// Used to identify "tab sessions" for subscriptions and
// correlation tracking for logging.
// It gives a new tab ID for each browser load or refresh.
// We create this in base HTML file or here.
var tabId = window.XchartTabId || (0, _uuid.uuid)();
var tabIdBundle = {
  name: 'tabId',
  selectTabId: function selectTabId() {
    return tabId;
  }
};
exports.tabIdBundle = tabIdBundle;
},{"../utils/uuid":"wwsb"}],"fys1":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getCleanDecimalWithLimits = exports.cleanDecimalInput = exports.ensureDecimals = exports.roundToPrecision = exports.roundToDecimal = exports.getNumberOfDecimals = void 0;

var _is = require("./is");

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return; var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

var getNumberOfDecimals = function getNumberOfDecimals(num) {
  var postDecimalString = (num + '').split('.')[1];
  return postDecimalString ? postDecimalString.length : 0;
};

exports.getNumberOfDecimals = getNumberOfDecimals;

var roundToDecimal = function roundToDecimal(number, precision) {
  var factor = Math.pow(10, precision);
  return Math.round(number * factor) / factor;
};

exports.roundToDecimal = roundToDecimal;

var roundToPrecision = function roundToPrecision(number, precision) {
  if (!number || isNaN(number)) {
    return 0;
  }

  var decimalString = roundToDecimal(number, precision).toString();
  var numberOfDigitsBeforePeriod = decimalString.split('.')[0].length;
  var actualPrecision = Math.max(precision - numberOfDigitsBeforePeriod, 0);
  return roundToDecimal(number, actualPrecision);
};

exports.roundToPrecision = roundToPrecision;

var ensureDecimals = function ensureDecimals(number) {
  var targetDecimals = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;
  var numberOfDecimals = getNumberOfDecimals(number);
  var numberToAdd = targetDecimals - numberOfDecimals;

  if (!numberToAdd) {
    return number;
  }

  var result = number + (numberOfDecimals === 0 ? '.' : '');

  while (numberToAdd--) {
    result += '0';
  }

  return result;
};

exports.ensureDecimals = ensureDecimals;
var floatInputRE = /[^0-9.]/g;
var leadingZerosWithDecimalRE = /^0{2,}\./g;
var leadingZerosNoDecimalRE = /^0{1,}[0-9]/g;
var periodRE = /\./g;

var cleanDecimalInput = function cleanDecimalInput(str) {
  var matches = 0;

  if ((0, _is.isNumber)(str)) {
    str = str.toString();
  }

  return str // removes invalid characters anywhere
  .replace(floatInputRE, '') // removes leading zeros if there's more than one before a decimal '00.123'
  .replace(leadingZerosWithDecimalRE, '0.') // removes leading zeros if there's no decimal
  .replace(leadingZerosNoDecimalRE, function (match) {
    return match.slice(-1);
  }) // removes all but first decimal
  .replace(periodRE, function () {
    return matches++ > 0 ? '' : '.';
  });
};

exports.cleanDecimalInput = cleanDecimalInput;

var getCleanDecimalWithLimits = function getCleanDecimalWithLimits(_ref) {
  var maxLenBefore = _ref.maxLenBefore,
      maxLenAfter = _ref.maxLenAfter;
  return function (str) {
    var cleaned = cleanDecimalInput(str);
    var split = cleaned.split('.');

    var _split = _slicedToArray(split, 2),
        before = _split[0],
        after = _split[1];

    if (!before && !after) {
      return cleaned;
    }

    if ((0, _is.isNumber)(maxLenBefore) && before) {
      before = before.slice(0, maxLenBefore);
    }

    if ((0, _is.isNumber)(maxLenAfter) && after) {
      after = after.slice(0, maxLenAfter);
    }

    if (!before) {
      return ".".concat(after);
    }

    if (after === undefined) {
      return before;
    }

    return [before, after].join('.');
  };
};

exports.getCleanDecimalWithLimits = getCleanDecimalWithLimits;
},{"./is":"NJCi"}],"AmjC":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MinusButton = exports.PlusButton = void 0;

var _preact = require("preact");

var _classnames = _interopRequireDefault(require("classnames"));

var _icon = require("./icon");

var _button = require("./button");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

var HOLD_DELAY = 180;
var ITERATION_DELAY = 90;

var getPlusMinusButton = function getPlusMinusButton(icon) {
  return (/*#__PURE__*/function (_Component) {
      _inherits(_class, _Component);

      var _super = _createSuper(_class);

      function _class(props) {
        var _this;

        _classCallCheck(this, _class);

        _this = _super.call(this, props);
        _this.runIt = _this.runIt.bind(_assertThisInitialized(_this));
        _this.onClick = _this.onClick.bind(_assertThisInitialized(_this));
        _this.onPress = _this.onPress.bind(_assertThisInitialized(_this));
        _this.clear = _this.clear.bind(_assertThisInitialized(_this));
        _this.holdStart = false;
        return _this;
      }

      _createClass(_class, [{
        key: "runIt",
        value: function runIt() {
          var _this$props = this.props,
              onClick = _this$props.onClick,
              disabled = _this$props.disabled;

          if (onClick && !disabled) {
            onClick();
          }
        }
      }, {
        key: "componentDidMount",
        value: function componentDidMount() {
          if (this.base && this.base.addEventListener) {
            this.base.addEventListener('touchstart', this.onPress);
            this.base.addEventListener('touchend', this.clear);
            this.base.addEventListener('touchcancel', this.clear);
          }
        }
      }, {
        key: "componentWillUnmount",
        value: function componentWillUnmount() {
          if (this.base && this.base.removeEventListener) {
            this.base.removeEventListener('touchstart', this.onPress);
            this.base.removeEventListener('touchend', this.clear);
            this.base.removeEventListener('touchcancel', this.clear);
          }
        }
      }, {
        key: "onClick",
        value: function onClick(e) {
          e.preventDefault();
          e.stopImmediatePropagation();
          this.clear();
          this.runIt();
        }
      }, {
        key: "onPress",
        value: function onPress() {
          var _this2 = this;

          this.clear();

          var iterate = function iterate() {
            clearTimeout(_this2.iterationTimer);
            var delay = _this2.props.iterationDelay || ITERATION_DELAY;

            var holdDuration = Date.now() - _this2.holdStart;

            if (holdDuration > 4000) {
              delay = delay * 0.4;
            } else if (holdDuration > 2000) {
              delay = delay * 0.5;
            }

            _this2.iterationTimer = setTimeout(function () {
              if (_this2.holdStart && !_this2.props.disabled) {
                _this2.runIt();

                iterate();
              }
            }, delay);
          };

          this.holdTimer = setTimeout(function () {
            _this2.holdStart = Date.now();
            iterate();
          }, this.props.holdDelay || HOLD_DELAY);
        }
      }, {
        key: "clear",
        value: function clear() {
          clearTimeout(this.holdTimer);
          clearTimeout(this.iterationTimer);
          this.holdStart = false;
        }
      }, {
        key: "render",
        value: function render() {
          var _this$props2 = this.props,
              className = _this$props2.className,
              disabled = _this$props2.disabled,
              name = _this$props2.name;
          return (0, _preact.h)(_button.Button, {
            "data-e2e": "".concat(name || '').concat(icon.charAt(0).toUpperCase()).concat(icon.slice(1), "Button"),
            type: "button",
            onContextMenu: function onContextMenu(e) {
              e.preventDefault();
              e.stopImmediatePropagation();
              return false;
            },
            onClick: this.onClick,
            onMouseUp: this.clear,
            onMouseLeave: this.clear,
            onMouseDown: this.onPress,
            disabled: disabled,
            className: (0, _classnames.default)('ba br2 pa2 mv1', {
              mr2: icon === 'remove'
            }, className)
          }, (0, _preact.h)("div", {
            className: "flex items-center"
          }, (0, _preact.h)(_icon.Icon, {
            size: "18",
            icon: icon
          }), this.props.children));
        }
      }]);

      return _class;
    }(_preact.Component)
  );
};

var PlusButton = getPlusMinusButton('add');
exports.PlusButton = PlusButton;
var MinusButton = getPlusMinusButton('remove');
exports.MinusButton = MinusButton;
},{"preact":"aSor","classnames":"qb7c","./icon":"dvrm","./button":"zoTV"}],"b5eD":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.errorClasses = exports.IncrementorError = void 0;

var _preact = require("preact");

var _icon = require("../icon");

var IncrementorError = function IncrementorError(_ref) {
  var children = _ref.children;
  return (0, _preact.h)("div", {
    "data-e2e": "incrementorError",
    className: "flex items-center red mv1"
  }, (0, _preact.h)(_icon.Icon, {
    icon: "error",
    className: "mr1",
    size: "18"
  }), (0, _preact.h)("div", null, children));
};

exports.IncrementorError = IncrementorError;
var errorClasses = 'bg-washed-red br2 pa2';
exports.errorClasses = errorClasses;
},{"preact":"aSor","../icon":"dvrm"}],"fiUl":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.IncrementorButtons = void 0;

var _preact = require("preact");

var _classnames = _interopRequireDefault(require("classnames"));

var _decimals = require("../utils/decimals");

var _inputs = require("../inputs");

var _plusMinus = require("../plus-minus");

var _shared = require("./shared");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

var roundIfNeeded = function roundIfNeeded(val, step) {
  return (0, _decimals.roundToDecimal)(val, (0, _decimals.getNumberOfDecimals)(step));
};

var IncrementorButtons = /*#__PURE__*/function (_Component) {
  _inherits(IncrementorButtons, _Component);

  var _super = _createSuper(IncrementorButtons);

  function IncrementorButtons(props) {
    var _this;

    _classCallCheck(this, IncrementorButtons);

    _this = _super.call(this, props);
    _this.state = _this.getUpdatedStateForValue(_this.getValueToShow());
    return _this;
  }

  _createClass(IncrementorButtons, [{
    key: "getTargetNumberOfDecimals",
    value: function getTargetNumberOfDecimals() {
      var _this$props$step = this.props.step,
          step = _this$props$step === void 0 ? 1 : _this$props$step;
      return (0, _decimals.getNumberOfDecimals)(step);
    }
  }, {
    key: "getValueAsNumber",
    value: function getValueAsNumber(value) {
      if (typeof value === 'string') {
        return Number(value);
      }

      return value;
    }
  }, {
    key: "getUpdatedStateForValue",
    value: function getUpdatedStateForValue(rawValue, isTrusted) {
      var max = this.props.max;

      if (max == null) {
        max = Infinity;
      }

      if (isTrusted) {
        return {
          error: null,
          asNumber: rawValue,
          internalTextValue: rawValue.toString(),
          isValid: true
        };
      }

      var maxLenBefore = max === Infinity ? 20 : max.toString().split('.')[0].length;
      var maxLenAfter = this.getTargetNumberOfDecimals();
      var cleaned = (0, _decimals.getCleanDecimalWithLimits)({
        maxLenBefore: maxLenBefore,
        maxLenAfter: maxLenAfter
      })(rawValue);
      var asNumber = this.getValueAsNumber(cleaned);
      var hasValue = !!rawValue;
      var error = hasValue ? this.getError(asNumber) : null;
      var isValid = hasValue && !error;
      return {
        error: error,
        asNumber: asNumber,
        internalTextValue: cleaned,
        isValid: isValid
      };
    }
  }, {
    key: "getValueToShow",
    value: function getValueToShow() {
      var _this$props = this.props,
          displayValue = _this$props.displayValue,
          value = _this$props.value;
      var targetNumberOfDecimals = this.getTargetNumberOfDecimals();
      var valueToShow = displayValue != null ? displayValue : value;

      if (!valueToShow) {
        valueToShow = targetNumberOfDecimals === 0 ? value : (0, _decimals.ensureDecimals)(value, targetNumberOfDecimals);
      }

      return valueToShow && valueToShow.toString ? valueToShow.toString() : '';
    }
  }, {
    key: "getError",
    value: function getError(val) {
      var _this$props2 = this.props,
          max = _this$props2.max,
          min = _this$props2.min;

      if (isNaN(val)) {
        return "invalid value";
      }

      if (val > max) {
        return "max is ".concat(max);
      }

      if (val < min) {
        return "min is ".concat(min);
      }

      return;
    }
  }, {
    key: "realUpdateValue",
    value: function realUpdateValue(newValue, isTrusted) {
      var realValueError = this.getError(this.getValueToShow());
      var updateValue = this.props.updateValue;
      var changedState = this.getUpdatedStateForValue(newValue, isTrusted);
      this.setState(changedState); // if we're already in an error state, we can allow the update.
      // this is important if we are fixing a scenario where the real-underlying
      // value is already out of range and people want to use the + and - buttons
      // to get it *into* range.

      if (!changedState.error || realValueError) {
        // we only want to report it if it's different
        if (changedState.asNumber !== this.props.value) {
          updateValue(changedState.asNumber);
        }
      }
    } // this handles changes to underlying value that need to be
    // reflected in the text

  }, {
    key: "componentDidUpdate",
    value: function componentDidUpdate(prevProps) {
      var valueChanged = prevProps.value !== this.props.value;

      if (valueChanged) {
        var newTextValue = this.getUpdatedStateForValue(this.props.value, true).internalTextValue;

        if (newTextValue !== this.state.internalTextValue) {
          this.realUpdateValue(this.props.value);
        }
      }
    }
  }, {
    key: "render",
    value: function render() {
      var _this2 = this;

      var _this$props3 = this.props,
          _this$props3$step = _this$props3.step,
          step = _this$props3$step === void 0 ? 1 : _this$props3$step,
          _this$props3$max = _this$props3.max,
          max = _this$props3$max === void 0 ? Infinity : _this$props3$max,
          _this$props3$min = _this$props3.min,
          min = _this$props3$min === void 0 ? 0 : _this$props3$min,
          _this$props3$classNam = _this$props3.className,
          className = _this$props3$classNam === void 0 ? '' : _this$props3$classNam,
          _this$props3$showStep = _this$props3.showStep,
          showStep = _this$props3$showStep === void 0 ? true : _this$props3$showStep,
          _this$props3$unit = _this$props3.unit,
          unit = _this$props3$unit === void 0 ? '' : _this$props3$unit,
          value = _this$props3.value,
          startingValue = _this$props3.startingValue,
          name = _this$props3.name;
      var _this$state = this.state,
          internalTextValue = _this$state.internalTextValue,
          error = _this$state.error;
      var effectiveValue = value != null ? value : startingValue;
      var stepDown = roundIfNeeded(effectiveValue - step, step);
      var stepUp = roundIfNeeded(effectiveValue + step, step);
      return (0, _preact.h)("div", {
        className: (0, _classnames.default)('dib', error && _shared.errorClasses, className)
      }, (0, _preact.h)("div", {
        className: "flex items-center ".concat(className)
      }, (0, _preact.h)(_inputs.Input, {
        type: "text",
        "data-e2e": "".concat(name, "Value"),
        style: {
          width: '60px'
        },
        className: 'mr2 f5' + (error ? 'bg-washed-red' : ''),
        value: internalTextValue,
        onInput: function onInput(e) {
          var value = e.target.value;

          _this2.realUpdateValue(value);
        }
      }), unit && (0, _preact.h)("span", {
        className: "mr2 f5 fw6"
      }, unit), (0, _preact.h)(_plusMinus.MinusButton, {
        name: name,
        disabled: stepDown < min,
        onClick: function onClick() {
          return _this2.realUpdateValue(stepDown, true);
        }
      }, showStep ? step : null), (0, _preact.h)(_plusMinus.PlusButton, {
        name: name,
        disabled: stepUp > max,
        onClick: function onClick() {
          return _this2.realUpdateValue(stepUp, true);
        }
      }, showStep ? step : null)), error && (0, _preact.h)(_shared.IncrementorError, null, error));
    }
  }]);

  return IncrementorButtons;
}(_preact.Component);

exports.IncrementorButtons = IncrementorButtons;
},{"preact":"aSor","classnames":"qb7c","../utils/decimals":"fys1","../inputs":"ItmM","../plus-minus":"AmjC","./shared":"b5eD"}],"hUZU":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.timeStringToMs = exports.cleanTimeStringInput = exports.parseTimeString = void 0;

var _milliseconds = _interopRequireDefault(require("milliseconds"));

var _date = require("./date");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return; var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

function _wrapRegExp(re, groups) { _wrapRegExp = function _wrapRegExp(re, groups) { return new BabelRegExp(re, undefined, groups); }; var _RegExp = _wrapNativeSuper(RegExp); var _super = RegExp.prototype; var _groups = new WeakMap(); function BabelRegExp(re, flags, groups) { var _this = _RegExp.call(this, re, flags); _groups.set(_this, groups || _groups.get(re)); return _this; } _inherits(BabelRegExp, _RegExp); BabelRegExp.prototype.exec = function (str) { var result = _super.exec.call(this, str); if (result) result.groups = buildGroups(result, this); return result; }; BabelRegExp.prototype[Symbol.replace] = function (str, substitution) { if (typeof substitution === "string") { var groups = _groups.get(this); return _super[Symbol.replace].call(this, str, substitution.replace(/\$<([^>]+)>/g, function (_, name) { return "$" + groups[name]; })); } else if (typeof substitution === "function") { var _this = this; return _super[Symbol.replace].call(this, str, function () { var args = []; args.push.apply(args, arguments); if (_typeof(args[args.length - 1]) !== "object") { args.push(buildGroups(args, _this)); } return substitution.apply(this, args); }); } else { return _super[Symbol.replace].call(this, str, substitution); } }; function buildGroups(result, re) { var g = _groups.get(re); return Object.keys(g).reduce(function (groups, name) { groups[name] = result[g[name]]; return groups; }, Object.create(null)); } return _wrapRegExp.apply(this, arguments); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _wrapNativeSuper(Class) { var _cache = typeof Map === "function" ? new Map() : undefined; _wrapNativeSuper = function _wrapNativeSuper(Class) { if (Class === null || !_isNativeFunction(Class)) return Class; if (typeof Class !== "function") { throw new TypeError("Super expression must either be null or a function"); } if (typeof _cache !== "undefined") { if (_cache.has(Class)) return _cache.get(Class); _cache.set(Class, Wrapper); } function Wrapper() { return _construct(Class, arguments, _getPrototypeOf(this).constructor); } Wrapper.prototype = Object.create(Class.prototype, { constructor: { value: Wrapper, enumerable: false, writable: true, configurable: true } }); return _setPrototypeOf(Wrapper, Class); }; return _wrapNativeSuper(Class); }

function _construct(Parent, args, Class) { if (_isNativeReflectConstruct()) { _construct = Reflect.construct; } else { _construct = function _construct(Parent, args, Class) { var a = [null]; a.push.apply(a, args); var Constructor = Function.bind.apply(Parent, a); var instance = new Constructor(); if (Class) _setPrototypeOf(instance, Class.prototype); return instance; }; } return _construct.apply(null, arguments); }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _isNativeFunction(fn) { return Function.toString.call(fn).indexOf("[native code]") !== -1; }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

var toNumberInRange = function toNumberInRange(str, max) {
  var asNumber = Number(str);
  return asNumber >= 0 && asNumber <= max ? asNumber : null;
};

var validSeparatorRE = /[.: ]+/;
var separatorFormatRE = /^\d+([.: ]+\d|:)/;
var internalCleanRE = /[^0-9:. ap]/g;

var clean = function clean(str) {
  return str && str.toLowerCase ? str.toLowerCase().replace(internalCleanRE, '') // remove repeated characters
  .replace(/( +|p+|a+|:+)/gi, function (match) {
    return match[0];
  }).trim() : '';
};
/** @typedef {'a' | 'p' | ''} AorP */

/**
 * @param {string} str
 * @returns {AorP}
 */


var parseAmPm = function parseAmPm(str) {
  var match = /*#__PURE__*/_wrapRegExp(/[0-9](?:(?![ap])[\s\S])*(a|p)/i, {
    aorp: 1
  }).exec(str); // @ts-ignore


  return (match && match.groups && match.groups.aorp || '').toLowerCase();
};
/**
 * Turns a time string number of milliseconds
 *
 * @param {{ hoursStr: string; minutesStr: string; aOrP: AorP }} options
 * @returns {{ hours: number; minutes: number } | null}
 */


var validOrNull = function validOrNull(_ref) {
  var hoursStr = _ref.hoursStr,
      minutesStr = _ref.minutesStr,
      aOrP = _ref.aOrP;
  var hoursAsNumber = toNumberInRange(hoursStr, aOrP ? 12 : 24);
  var result = {
    minutes: 0,
    hours: 0
  };

  if (hoursAsNumber === null) {
    return null;
  } // special handling for 12 am and 12 pm


  if (hoursAsNumber === 12 && aOrP) {
    result.hours = aOrP === 'a' ? 0 : 12;
  } else if (hoursAsNumber === 24) {
    result.hours = 0;
  } else {
    result.hours = hoursAsNumber + (aOrP === 'p' ? 12 : 0);
  }

  if (!minutesStr) {
    return result;
  }

  var minutesAsNumber = toNumberInRange(minutesStr, 59);

  if (minutesAsNumber === null) {
    return null;
  }

  result.minutes = minutesAsNumber;
  return result;
};
/**
 * Parse a possible time string into an object of hours and minutes. Handles
 * weird time quirks like 12am being 0 hours, etc.
 *
 * @param {string} str
 * @param {{ strict?: boolean }} opts
 * @returns {{ hours: number; minutes: number } | null}
 */


var parseTimeString = function parseTimeString(str) {
  var _ref2 = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {},
      _ref2$strict = _ref2.strict,
      strict = _ref2$strict === void 0 ? false : _ref2$strict;

  var cleaned = clean(str);
  var aOrP = parseAmPm(cleaned);
  var isSeparatorFormat = separatorFormatRE.test(cleaned);

  if (isSeparatorFormat) {
    var _cleaned$split = cleaned.split(validSeparatorRE),
        _cleaned$split2 = _slicedToArray(_cleaned$split, 2),
        hoursStr = _cleaned$split2[0],
        minutesStr = _cleaned$split2[1];

    var cleanedMinutes = minutesStr.replace(/[^\d]/g, '');
    var cleanedHours = hoursStr.replace(/[^\d]/g, '');

    if (strict) {
      if (!cleanedMinutes || !cleanedHours || cleanedHours.length !== 2) {
        return null;
      }
    }

    if (cleanedMinutes && cleanedMinutes.length !== 2) {
      return null;
    }

    return validOrNull({
      hoursStr: hoursStr,
      minutesStr: cleanedMinutes,
      aOrP: aOrP
    });
  } else {
    var match = /^(\d{1,4})/.exec(cleaned);
    var leadNumbers = match && match[0];

    if (!leadNumbers) {
      return null;
    }

    if (leadNumbers.length === 1) {
      if (!aOrP || strict) {
        return null;
      }

      return validOrNull({
        hoursStr: leadNumbers,
        minutesStr: '',
        aOrP: aOrP
      });
    } else if (leadNumbers.length === 2) {
      if (strict) {
        return null;
      }

      return validOrNull({
        hoursStr: leadNumbers,
        minutesStr: '',
        aOrP: aOrP
      });
    } else if (leadNumbers.length === 3) {
      if (strict) {
        return null;
      }

      return validOrNull({
        hoursStr: leadNumbers.slice(0, 1),
        minutesStr: leadNumbers.slice(1, 3),
        aOrP: aOrP
      });
    } else if (leadNumbers.length === 4) {
      return validOrNull({
        hoursStr: leadNumbers.slice(0, 2),
        minutesStr: leadNumbers.slice(2, 4),
        aOrP: aOrP
      });
    }
  }

  return null;
};
/**
 * Meant for real-time cleanup of user input meant to be parsed by
 * `parseTimeString` function above. Importantly it's meant to be typing
 * friendly, meaning it does not have to be parseable as valid at all times.
 * Just enough cleanup to avoid weird characters, and long bad clipboard pastes, etc.
 *
 * @param {string} input
 * @returns {string}
 */


exports.parseTimeString = parseTimeString;

var cleanTimeStringInput = function cleanTimeStringInput(input) {
  if (!input) {
    return '';
  }

  return input.replace(/[^\d. :apm]/gi, '').replace(/(a+|p+| +|m+|\.+|:+)/gi, function (match) {
    return match[0];
  }).slice(0, 10);
};
/**
 * @param {string} str
 * @param {{
 *   timestampFromDay?: number | Date
 *   strict?: boolean
 * }} [opts]
 * @returns
 */


exports.cleanTimeStringInput = cleanTimeStringInput;

var timeStringToMs = function timeStringToMs(str) {
  var _ref3 = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {},
      timestampFromDay = _ref3.timestampFromDay,
      _ref3$strict = _ref3.strict,
      strict = _ref3$strict === void 0 ? false : _ref3$strict;

  var parsed = parseTimeString(str, {
    strict: strict
  });

  if (!parsed) {
    return null;
  }

  return (0, _date.getStartOfDate)(timestampFromDay || Date.now()).valueOf() + _milliseconds.default.hours(parsed.hours) + _milliseconds.default.minutes(parsed.minutes);
};

exports.timeStringToMs = timeStringToMs;
},{"milliseconds":"dzFk","./date":"ZbyX"}],"SRkc":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = isSameDay;

var _index = _interopRequireDefault(require("../startOfDay/index.js"));

var _index2 = _interopRequireDefault(require("../_lib/requiredArgs/index.js"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * @name isSameDay
 * @category Day Helpers
 * @summary Are the given dates in the same day (and year and month)?
 *
 * @description
 * Are the given dates in the same day (and year and month)?
 *
 * ### v2.0.0 breaking changes:
 *
 * - [Changes that are common for the whole library](https://github.com/date-fns/date-fns/blob/master/docs/upgradeGuide.md#Common-Changes).
 *
 * @param {Date|Number} dateLeft - the first date to check
 * @param {Date|Number} dateRight - the second date to check
 * @returns {Boolean} the dates are in the same day (and year and month)
 * @throws {TypeError} 2 arguments required
 *
 * @example
 * // Are 4 September 06:00:00 and 4 September 18:00:00 in the same day?
 * var result = isSameDay(new Date(2014, 8, 4, 6, 0), new Date(2014, 8, 4, 18, 0))
 * //=> true
 * 
 * @example
 * // Are 4 September and 4 October in the same day?
 * var result = isSameDay(new Date(2014, 8, 4), new Date(2014, 9, 4))
 * //=> false
 * 
 * @example
 * // Are 4 September, 2014 and 4 September, 2015 in the same day?
 * var result = isSameDay(new Date(2014, 8, 4), new Date(2015, 8, 4))
 * //=> false
 */
function isSameDay(dirtyDateLeft, dirtyDateRight) {
  (0, _index2.default)(2, arguments);
  var dateLeftStartOfDay = (0, _index.default)(dirtyDateLeft);
  var dateRightStartOfDay = (0, _index.default)(dirtyDateRight);
  return dateLeftStartOfDay.getTime() === dateRightStartOfDay.getTime();
}
},{"../startOfDay/index.js":"DgmM","../_lib/requiredArgs/index.js":"kK6Q"}],"gHjs":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = isToday;

var _index = _interopRequireDefault(require("../isSameDay/index.js"));

var _index2 = _interopRequireDefault(require("../_lib/requiredArgs/index.js"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * @name isToday
 * @category Day Helpers
 * @summary Is the given date today?
 * @pure false
 *
 * @description
 * Is the given date today?
 *
 * > ⚠️ Please note that this function is not present in the FP submodule as
 * > it uses `Date.now()` internally hence impure and can't be safely curried.
 *
 * ### v2.0.0 breaking changes:
 *
 * - [Changes that are common for the whole library](https://github.com/date-fns/date-fns/blob/master/docs/upgradeGuide.md#Common-Changes).
 *
 * @param {Date|Number} date - the date to check
 * @returns {Boolean} the date is today
 * @throws {TypeError} 1 argument required
 *
 * @example
 * // If today is 6 October 2014, is 6 October 14:00:00 today?
 * var result = isToday(new Date(2014, 9, 6, 14, 0))
 * //=> true
 */
function isToday(dirtyDate) {
  (0, _index2.default)(1, arguments);
  return (0, _index.default)(dirtyDate, Date.now());
}
},{"../isSameDay/index.js":"SRkc","../_lib/requiredArgs/index.js":"kK6Q"}],"y4lO":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TimeIncrementorButtons = void 0;

var _preact = require("preact");

var _classnames = _interopRequireDefault(require("classnames"));

var _inputs = require("../inputs");

var _timeString = require("../utils/time-string");

var _date = require("../utils/date");

var _plusMinus = require("../plus-minus");

var _msToTimeString = require("../utils/ms-to-time-string");

var _isToday = _interopRequireDefault(require("date-fns/isToday"));

var _button = require("../button");

var _shared = require("./shared");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

var TimeIncrementorButtons = /*#__PURE__*/function (_Component) {
  _inherits(TimeIncrementorButtons, _Component);

  var _super = _createSuper(TimeIncrementorButtons);

  function TimeIncrementorButtons(props) {
    var _this;

    _classCallCheck(this, TimeIncrementorButtons);

    _this = _super.call(this, props);
    _this.handleTextInput = _this.handleTextInput.bind(_assertThisInitialized(_this));
    _this.handleBlur = _this.handleBlur.bind(_assertThisInitialized(_this));
    _this.getError = _this.getError.bind(_assertThisInitialized(_this));
    _this.realUpdateValue = _this.realUpdateValue.bind(_assertThisInitialized(_this));
    _this.startEditingDate = _this.startEditingDate.bind(_assertThisInitialized(_this));
    _this.stopEditingDate = _this.stopEditingDate.bind(_assertThisInitialized(_this));
    _this.handleDateInput = _this.handleDateInput.bind(_assertThisInitialized(_this));
    _this.state = _objectSpread({
      editingDate: false
    }, _this.getUpdatedStateForValue(_this.getValueToShow()));
    return _this;
  }

  _createClass(TimeIncrementorButtons, [{
    key: "getValueAsNumber",
    value: function getValueAsNumber(value) {
      if (typeof value === 'string') {
        return Number(value);
      }

      return value;
    }
  }, {
    key: "getUpdatedStateForValue",
    value: function getUpdatedStateForValue(rawValue, updatedText, updateDateText) {
      var error = this.getError(rawValue);
      return {
        error: error,
        asNumber: rawValue,
        internalTextValue: updatedText || (0, _msToTimeString.msToTimeString)(rawValue),
        internalDateString: updateDateText || (0, _date.toSimpleISODateString)(rawValue),
        isValid: !error && rawValue
      };
    }
  }, {
    key: "handleTextInput",
    value: function handleTextInput(e) {
      var newText = e.target.value;
      var newValue = (0, _timeString.timeStringToMs)(newText, {
        timestampFromDay: this.props.value,
        strict: true
      });

      if (newValue) {
        this.realUpdateValue(newValue, newText);
      } else {
        this.setState({
          error: 'Invalid time input use HH:MM',
          internalTextValue: newText
        });
      }
    }
  }, {
    key: "handleBlur",
    value: function handleBlur() {
      this.resetFromValue();
    }
  }, {
    key: "getValueToShow",
    value: function getValueToShow() {
      var _this$props = this.props,
          displayValue = _this$props.displayValue,
          value = _this$props.value;
      return displayValue != null ? displayValue : value;
    }
  }, {
    key: "startEditingDate",
    value: function startEditingDate() {
      var _this2 = this;

      this.setState({
        editingDate: true
      });
      setTimeout(function () {
        var input = _this2.base && _this2.base.querySelector('input[type=date]');

        if (input) {
          input.focus();
        }
      }, 300);
    }
  }, {
    key: "getError",
    value: function getError(val) {
      var _this$props2 = this.props,
          max = _this$props2.max,
          min = _this$props2.min;

      if (isNaN(val)) {
        return "invalid value";
      }

      if (val > max) {
        return "max is ".concat((0, _date.toDateString)(max, true));
      }

      if (val < min) {
        return "min is ".concat((0, _date.toDateString)(min, true));
      }

      return null;
    }
  }, {
    key: "realUpdateValue",
    value: function realUpdateValue(newValue, updatedText) {
      var realValueError = this.getError(this.getValueToShow());
      var updateValue = this.props.updateValue;
      var changedState = this.getUpdatedStateForValue(newValue, updatedText);
      this.setState(changedState); // if we're already in an error state, we can allow the update
      // this is important if we are fixing a scenario where the real-underlying
      // value is already out of range and people want to use the + and - buttons
      // to get it *into* range.

      if (!changedState.error || realValueError) {
        // we only want to report it if it's different
        if (changedState.asNumber !== this.props.value) {
          updateValue(changedState.asNumber);
        }
      }
    }
  }, {
    key: "handleDateInput",
    value: function handleDateInput(e) {
      var value = e.target.value;

      if (value) {
        var wrongTZDate = new Date(value);
        var asDate = new Date(wrongTZDate.setMinutes(wrongTZDate.getMinutes() + wrongTZDate.getTimezoneOffset()));
        var updatedMs = (0, _timeString.timeStringToMs)(this.state.internalTextValue, {
          timestampFromDay: asDate,
          strict: true
        });
        this.realUpdateValue(updatedMs);
      }
    }
  }, {
    key: "stopEditingDate",
    value: function stopEditingDate() {
      this.setState({
        editingDate: false
      });
    }
  }, {
    key: "resetFromValue",
    value: function resetFromValue() {
      var newTextValue = (0, _msToTimeString.msToTimeString)(this.props.value);

      if (newTextValue !== this.state.internalTextValue) {
        this.realUpdateValue(this.props.value, newTextValue);
      }
    } // this handles changes to underlying value that need to be
    // reflected in the text

  }, {
    key: "componentDidUpdate",
    value: function componentDidUpdate(prevProps) {
      var valueChanged = prevProps.value !== this.props.value;

      if (valueChanged) {
        this.resetFromValue();
      }
    }
  }, {
    key: "render",
    value: function render(_ref) {
      var _this3 = this;

      var _ref$step = _ref.step,
          step = _ref$step === void 0 ? 60000 : _ref$step,
          _ref$max = _ref.max,
          max = _ref$max === void 0 ? Infinity : _ref$max,
          _ref$min = _ref.min,
          min = _ref$min === void 0 ? 0 : _ref$min,
          _ref$className = _ref.className,
          className = _ref$className === void 0 ? '' : _ref$className,
          value = _ref.value,
          startingValue = _ref.startingValue,
          name = _ref.name,
          style = _ref.style,
          _ref$wrap = _ref.wrap,
          wrap = _ref$wrap === void 0 ? true : _ref$wrap,
          _ref$showDate = _ref.showDate,
          showDate = _ref$showDate === void 0 ? 'always' : _ref$showDate,
          rest = _objectWithoutProperties(_ref, ["step", "max", "min", "className", "value", "startingValue", "name", "style", "wrap", "showDate"]);

      var shouldShowDate = showDate === 'never' ? false : showDate === 'always' || showDate === 'notToday' && !(0, _isToday.default)(value);
      var _this$state = this.state,
          internalTextValue = _this$state.internalTextValue,
          internalDateString = _this$state.internalDateString,
          editingDate = _this$state.editingDate,
          error = _this$state.error;
      var effectiveValue = value != null ? value : startingValue;
      return (0, _preact.h)("div", _extends({
        className: (0, _classnames.default)('dib', error && _shared.errorClasses, className),
        style: _objectSpread({}, style)
      }, rest), (0, _preact.h)("div", {
        className: (0, _classnames.default)('flex items-center', wrap && 'flex-wrap')
      }, shouldShowDate && (editingDate ? (0, _preact.h)(_inputs.Input, {
        type: "date",
        "data-e2e": "incrementorDateInput",
        onBlur: this.stopEditingDate,
        value: internalDateString,
        onInput: this.handleDateInput,
        className: "mr2"
      }) : (0, _preact.h)(_button.IconButton, {
        type: "button",
        icon: "edit",
        "data-e2e": "incrementorEditDate",
        href: "#",
        className: "mid-gray mr2",
        onClick: this.startEditingDate
      }, (0, _date.toDateString)(effectiveValue))), (0, _preact.h)(_inputs.Input, {
        type: "text",
        name: "time",
        style: {
          width: '60px'
        },
        "data-e2e": "".concat(name, "Value"),
        className: 'mr2 f5' + (error ? 'bg-washed-red' : ''),
        value: internalTextValue,
        onInput: this.handleTextInput,
        onBlur: this.handleBlur
      }), (0, _preact.h)(_plusMinus.MinusButton, {
        name: name,
        disabled: effectiveValue - step < min,
        onClick: function onClick() {
          return _this3.realUpdateValue(effectiveValue - step);
        }
      }), (0, _preact.h)(_plusMinus.PlusButton, {
        name: name,
        disabled: effectiveValue + step > max,
        onClick: function onClick() {
          return _this3.realUpdateValue(effectiveValue + step);
        }
      })), error && (0, _preact.h)(_shared.IncrementorError, null, error));
    }
  }]);

  return TimeIncrementorButtons;
}(_preact.Component);

exports.TimeIncrementorButtons = TimeIncrementorButtons;
},{"preact":"aSor","classnames":"qb7c","../inputs":"ItmM","../utils/time-string":"hUZU","../utils/date":"ZbyX","../plus-minus":"AmjC","../utils/ms-to-time-string":"jqib","date-fns/isToday":"gHjs","../button":"zoTV","./shared":"b5eD"}],"y3iN":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _incrementorButtons = require("./incrementor-buttons");

Object.keys(_incrementorButtons).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _incrementorButtons[key];
    }
  });
});

var _timeIncrementor = require("./time-incrementor");

Object.keys(_timeIncrementor).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _timeIncrementor[key];
    }
  });
});
},{"./incrementor-buttons":"fiUl","./time-incrementor":"y4lO"}],"OcaB":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Signature = void 0;

var _preact = require("preact");

var _tryit = _interopRequireDefault(require("tryit"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _iterableToArrayLimit(arr, i) { if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return; var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

function _createForOfIteratorHelper(o, allowArrayLike) { var it; if (typeof Symbol === "undefined" || o[Symbol.iterator] == null) { if (Array.isArray(o) || (it = _unsupportedIterableToArray(o)) || allowArrayLike && o && typeof o.length === "number") { if (it) o = it; var i = 0; var F = function F() {}; return { s: F, n: function n() { if (i >= o.length) return { done: true }; return { done: false, value: o[i++] }; }, e: function e(_e2) { throw _e2; }, f: F }; } throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); } var normalCompletion = true, didErr = false, err; return { s: function s() { it = o[Symbol.iterator](); }, n: function n() { var step = it.next(); normalCompletion = step.done; return step; }, e: function e(_e3) { didErr = true; err = _e3; }, f: function f() { try { if (!normalCompletion && it.return != null) it.return(); } finally { if (didErr) throw err; } } }; }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

var AnimatedPath = /*#__PURE__*/function (_Component) {
  _inherits(AnimatedPath, _Component);

  var _super = _createSuper(AnimatedPath);

  function AnimatedPath(props) {
    var _this;

    _classCallCheck(this, AnimatedPath);

    _this = _super.call(this, props);
    _this.state = {
      firstRender: true,
      length: 0
    };
    return _this;
  }

  _createClass(AnimatedPath, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      var _this2 = this;

      setTimeout(function () {
        var length = 0;
        (0, _tryit.default)(function () {
          // base could be null here because of delay
          length = Math.round(_this2.base.getTotalLength());
        });

        _this2.setState({
          length: length
        });

        setTimeout(function () {
          _this2.setState({
            firstRender: false
          });
        }, 100);
      }, 100);
    }
  }, {
    key: "render",
    value: function render(_ref, _ref2) {
      var path = _ref.path,
          animate = _ref.animate;
      var firstRender = _ref2.firstRender,
          length = _ref2.length;

      if (!animate) {
        return (0, _preact.h)("path", {
          d: path,
          fill: "none",
          stroke: "black",
          "stroke-width": "5"
        });
      }

      return (0, _preact.h)("path", {
        key: length ? 'real' : 'fake',
        d: path,
        fill: "none",
        stroke: length ? 'black' : 'none',
        "stroke-width": "5",
        style: {
          transitionDuration: '1s',
          transitionDelay: '.25s',
          transitionProperty: 'stroke-dashoffset',
          strokeDashoffset: firstRender ? length : 0,
          strokeDasharray: length
        }
      });
    }
  }]);

  return AnimatedPath;
}(_preact.Component);

var getCenteredViewbox = function getCenteredViewbox(path) {
  var targetWidth = 660;
  var cleaned = path.replace(/[^\d,. ]/g, '').trim();
  var parts = cleaned.split(' ');
  var maxX = 0;
  var minX = targetWidth;

  var _iterator = _createForOfIteratorHelper(parts),
      _step;

  try {
    for (_iterator.s(); !(_step = _iterator.n()).done;) {
      var part = _step.value;

      var _part$split$map = part.split(',').map(Number),
          _part$split$map2 = _slicedToArray(_part$split$map, 2),
          x = _part$split$map2[0],
          y = _part$split$map2[1];

      if (isNaN(x) || isNaN(y)) {
        continue;
      }

      maxX = Math.max(maxX, x);
      minX = Math.min(minX, x);
    }
  } catch (err) {
    _iterator.e(err);
  } finally {
    _iterator.f();
  }

  var width = maxX - minX;
  var centerX = minX + (width || 2) / 2;
  var realCenter = targetWidth / 2;
  var centerDiffX = -1 * (realCenter - centerX);
  return "".concat(centerDiffX || 0, " 0 ").concat(targetWidth, " 300");
};

var Signature = function Signature(_ref3) {
  var path = _ref3.path,
      _ref3$width = _ref3.width,
      width = _ref3$width === void 0 ? '100' : _ref3$width,
      animate = _ref3.animate,
      rest = _objectWithoutProperties(_ref3, ["path", "width", "animate"]);

  return (0, _preact.h)("svg", _extends({
    width: width,
    height: width / 2,
    viewBox: getCenteredViewbox(path)
  }, rest), (0, _preact.h)(AnimatedPath, {
    key: path.slice(0, 10),
    path: path,
    animate: animate
  }));
};

exports.Signature = Signature;
},{"preact":"aSor","tryit":"viWW"}],"hVDb":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.enableScroll = exports.disableScroll = void 0;
// left: 37, up: 38, right: 39, down: 40,
// spacebar: 32, pageup: 33, pagedown: 34, end: 35, home: 36
var keys = {
  37: 1,
  38: 1,
  39: 1,
  40: 1
};

function preventDefault(e) {
  e.preventDefault();
}

function preventDefaultForScrollKeys(e) {
  if (keys[e.keyCode]) {
    preventDefault(e);
    return false;
  }
} // modern Chrome requires { passive: false } when adding event


var supportsPassive = false;

try {
  window.addEventListener('test', null, Object.defineProperty({}, 'passive', {
    get: function get() {
      supportsPassive = true;
      return true;
    }
  }));
} catch (e) {// intentionally empty
}

var wheelOpt = supportsPassive ? {
  passive: false
} : false;
var isBrowser = window && window.document && window.document.createElement;
var wheelEvent = isBrowser && 'onwheel' in window.document.createElement('div') ? 'wheel' : 'mousewheel'; // call this to Disable

var disableScroll = function disableScroll() {
  window.addEventListener('DOMMouseScroll', preventDefault, false); // older FF

  window.addEventListener(wheelEvent, preventDefault, wheelOpt); // modern desktop

  window.addEventListener('touchmove', preventDefault, wheelOpt); // mobile

  window.addEventListener('keydown', preventDefaultForScrollKeys, false);
}; // call this to Enable


exports.disableScroll = disableScroll;

var enableScroll = function enableScroll() {
  window.removeEventListener('DOMMouseScroll', preventDefault, false);
  window.removeEventListener(wheelEvent, preventDefault, wheelOpt);
  window.removeEventListener('touchmove', preventDefault, wheelOpt);
  window.removeEventListener('keydown', preventDefaultForScrollKeys, false);
};

exports.enableScroll = enableScroll;
},{}],"FAmK":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SignatureInput = void 0;

var _preact = require("preact");

var _classnames = _interopRequireDefault(require("classnames"));

var _button = require("./button");

var _icon = require("./icon");

var _links = require("./links");

var _checkMark = require("./check-mark");

var _decimals = require("./utils/decimals");

var _disableScroll = require("./utils/disable-scroll");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

var height = 300;
var pathCleanRE = /M[ *M]*/g;

var cleanPath = function cleanPath(path) {
  return path.trim().replace(pathCleanRE, 'M');
};

var SaveSignatureFooter = function SaveSignatureFooter(_ref) {
  var isInitialValue = _ref.isInitialValue,
      hasSavedSignature = _ref.hasSavedSignature,
      saveSignatureChecked = _ref.saveSignatureChecked,
      onChangeSaveSignature = _ref.onChangeSaveSignature,
      onClearSignature = _ref.onClearSignature;
  return (0, _preact.h)(_preact.Fragment, null, isInitialValue && (0, _preact.h)("div", {
    className: "flex items-center w-100 pl2 pr2"
  }, (0, _preact.h)(_icon.Icon, {
    icon: "info",
    className: "mr2"
  }), (0, _preact.h)("div", null, (0, _preact.h)("div", {
    className: ""
  }, "Using your saved signature"), (0, _preact.h)("div", {
    className: "f7 mt1"
  }, "Press", ' ', (0, _preact.h)("a", {
    className: "underline pointer",
    onClick: onClearSignature
  }, "clear signature"), ' ', "to draw a new one"))), !isInitialValue && (0, _preact.h)("div", null, (0, _preact.h)(_checkMark.CheckMark, {
    className: "items-center mr2",
    name: "saveSignature",
    label: (0, _preact.h)("span", null, hasSavedSignature ? 'Update your saved signature' : 'Save this signature for future use', (0, _preact.h)("br", null), (0, _preact.h)("span", {
      className: "f7"
    }, "You can also update it on your profile")),
    isComplete: saveSignatureChecked,
    onClick: function onClick() {
      onChangeSaveSignature(!saveSignatureChecked);
    }
  })));
};

var SignatureInput = /*#__PURE__*/function (_Component) {
  _inherits(SignatureInput, _Component);

  var _super = _createSuper(SignatureInput);

  function SignatureInput(props) {
    var _this;

    _classCallCheck(this, SignatureInput);

    _this = _super.call(this, props);
    _this.clear = _this.clear.bind(_assertThisInitialized(_this));
    _this.cancel = _this.cancel.bind(_assertThisInitialized(_this)); // pointers

    _this.onPointerMove = _this.onPointerMove.bind(_assertThisInitialized(_this));
    _this.onPointerUp = _this.onPointerUp.bind(_assertThisInitialized(_this));
    _this.calculateCanvasInfo = _this.calculateCanvasInfo.bind(_assertThisInitialized(_this));
    _this.renderCanvas = _this.renderCanvas.bind(_assertThisInitialized(_this));
    _this.state = {
      hasPath: false,
      isInitialValue: false,
      updateSavedSignatureChecked: false
    };
    return _this;
  }

  _createClass(SignatureInput, [{
    key: "updateStateFromPath",
    value: function updateStateFromPath(path, callback) {
      var hasPath = path.length > 0;
      this.setState({
        hasPath: hasPath,
        isInitialValue: hasPath && this.props.initialValue && this.props.initialValue == path
      }, callback);
    }
  }, {
    key: "reset",
    value: function reset(path, callback) {
      this.path = path;
      this.updateStateFromPath(path, callback);
    }
  }, {
    key: "componentDidMount",
    value: function componentDidMount() {
      var _this2 = this;

      // eslint-disable-next-line no-console
      console.log('signature comp mounted');
      this.reset(this.props.initialValue || '', function () {
        _this2.canvas = _this2.base.querySelector('canvas');
        _this2.ctx = _this2.canvas.getContext('2d');
        (0, _disableScroll.disableScroll)();
        window.addEventListener('resize', _this2.calculateCanvasInfo, {
          passive: true
        });
        document.addEventListener('pointermove', _this2.onPointerMove);
        document.addEventListener('pointerup', _this2.onPointerUp);

        _this2.calculateCanvasInfo(); // just to make sure layout is complete


        setTimeout(function () {
          return _this2.calculateCanvasInfo();
        }, 500);

        _this2.renderCanvas();
      });
    }
  }, {
    key: "onPointerMove",
    value: function onPointerMove(event) {
      event.preventDefault();
      event.stopImmediatePropagation(); // Prevent user adding to their saved signature

      if (this.state.isInitialValue) {
        return;
      }

      if (event.buttons === 1) {
        var coord = this.adjustCoord(event.clientX, event.clientY, event.pointerType || 'mouse');
        var inside = !!coord;

        if (inside) {
          if (this.lastWasInside) {
            this.appendCoord(coord.x, coord.y);
          } else {
            this.appendCoord(coord.x, coord.y, true);
          }
        }

        this.lastWasInside = inside;
      }
    }
  }, {
    key: "onPointerUp",
    value: function onPointerUp() {
      // Prevent user adding to their saved signature
      if (this.state.isInitialValue) {
        return;
      }

      this.lastWasInside = false;

      if (!this.state.hasPath && this.path) {
        this.updateStateFromPath(this.path);
      }
    }
  }, {
    key: "calculateCanvasInfo",
    value: function calculateCanvasInfo() {
      var _this$canvas$getBound = this.canvas.getBoundingClientRect(),
          top = _this$canvas$getBound.top,
          left = _this$canvas$getBound.left,
          width = _this$canvas$getBound.width,
          height = _this$canvas$getBound.height;

      this.canvasInfo = {
        left: left,
        top: top,
        height: height,
        width: width
      };
      this.canvas.focus();
    }
  }, {
    key: "componentWillUnmount",
    value: function componentWillUnmount() {
      window.removeEventListener('resize', this.calculateCanvasInfo, {
        passive: true
      });
      document.removeEventListener('pointermove', this.onPointerMove);
      document.removeEventListener('pointerup', this.onPointerUp);
      (0, _disableScroll.enableScroll)();
    }
    /**
     * @param {number} clientX
     * @param {number} clientY
     * @param {'mouse' | 'pen' | 'touch'} type
     */

  }, {
    key: "adjustCoord",
    value: function adjustCoord(clientX, clientY, type) {
      var _this$canvasInfo = this.canvasInfo,
          left = _this$canvasInfo.left,
          top = _this$canvasInfo.top,
          height = _this$canvasInfo.height,
          width = _this$canvasInfo.width;
      var x = clientX - left;
      var y = clientY - top;

      if (type === 'pen') {
        x -= 2;
        y -= 2;
      }

      if (type === 'touch') {
        y -= 10;
        x -= 10;
      }

      if (x < 0 || x > width) {
        return null;
      }

      if (y < 0 || y > height) {
        return null;
      }

      return {
        x: x,
        y: y
      };
    }
  }, {
    key: "appendCoord",
    value: function appendCoord(x, y, isNew) {
      this.path = cleanPath(this.path);

      if (!this.path.startsWith('M') || isNew) {
        this.path += 'M';
      }

      this.path += " ".concat((0, _decimals.roundToDecimal)(x, 2), ",").concat((0, _decimals.roundToDecimal)(y, 2));
      requestAnimationFrame(this.renderCanvas);
    }
  }, {
    key: "renderCanvas",
    value: function renderCanvas() {
      var ctx = this.ctx;
      var _this$canvas = this.canvas,
          width = _this$canvas.width,
          height = _this$canvas.height;
      ctx.clearRect(0, 0, width, height);
      var marginFromEdge = width * 0.1;
      var marginFromBottom = 80; // signature line

      ctx.beginPath();
      ctx.moveTo(marginFromEdge, height - marginFromBottom);
      ctx.lineTo(width - marginFromEdge, height - marginFromBottom);
      ctx.strokeStyle = '#ddd';
      ctx.lineWidth = 2;
      ctx.closePath();
      ctx.stroke();
      ctx.strokeStyle = '#000';
      ctx.lineWidth = 1;
      ctx.fillStyle = '#000';

      if (this.path) {
        ctx.stroke(new Path2D(this.path));
      }

      if (this.props.name) {
        ctx.font = '18px sans-serif';
        ctx.fillText(this.props.name, marginFromEdge, height - (marginFromBottom - 25));
      }
    }
  }, {
    key: "shouldComponentUpdate",
    value: function shouldComponentUpdate(_, nextState) {
      // Only update if state has changed, ignore props updates
      return this.state !== nextState;
    }
  }, {
    key: "cancel",
    value: function cancel() {
      this.clear();
      this.props.close();
    }
  }, {
    key: "clear",
    value: function clear(e) {
      var _this3 = this;

      if (e) {
        e.preventDefault();
      }

      this.reset('', function () {
        _this3.renderCanvas();
      });
    }
  }, {
    key: "render",
    value: function render() {
      var _this4 = this;

      // eslint-disable-next-line no-console
      console.log('signature comp rendered');
      var _this$props = this.props,
          updateValue = _this$props.updateValue,
          updateSavedSignature = _this$props.updateSavedSignature,
          showIncompleteWarning = _this$props.showIncompleteWarning,
          _this$props$confirmBu = _this$props.confirmButtonText,
          confirmButtonText = _this$props$confirmBu === void 0 ? 'Sign' : _this$props$confirmBu,
          initialValue = _this$props.initialValue;
      var _this$state = this.state,
          hasPath = _this$state.hasPath,
          isInitialValue = _this$state.isInitialValue,
          updateSavedSignatureChecked = _this$state.updateSavedSignatureChecked;
      return (0, _preact.h)("div", {
        className: "top-0 left-0 fixed bg-light-gray w-100 h-100 z-9999 flex items-center justify-center"
      }, (0, _preact.h)("div", {
        "data-e2e": "signatureBox",
        className: "relative"
      }, showIncompleteWarning && (0, _preact.h)("div", {
        "data-e2e": "incompleteWarning",
        className: "bg-orange flex items-center w-100 pa2 mb2 br2"
      }, (0, _preact.h)(_icon.Icon, {
        icon: "warning",
        className: "mr2"
      }), "The report is incomplete, but as the primary provider you can still sign and finalize it."), (0, _preact.h)("div", {
        className: "relative"
      }, (0, _preact.h)("div", {
        className: "absolute top-0 right-0  flex items-center"
      }, (0, _preact.h)(_links.Link, {
        href: "#",
        onClick: this.clear,
        "data-e2e": "clearSignatureButton",
        className: 'underline gray ' + (hasPath ? 'o-100' : 'o-0')
      }, "Clear Signature"), (0, _preact.h)("button", {
        onClick: this.cancel,
        className: "pointer button-reset bn bg-transparent db pa3 flex items-center dark-blue"
      }, (0, _preact.h)(_icon.Icon, {
        icon: "close"
      }))), (0, _preact.h)("canvas", {
        "data-e2e": "signaturePad",
        className: "bg-white ba br2 b--gray",
        width: Math.min(window.innerWidth, 660),
        height: height
      })), (0, _preact.h)("div", {
        style: {
          minHeight: 120
        }
      }, (0, _preact.h)("div", {
        className: "flex items-center justify-between mt2"
      }, (0, _preact.h)("div", null, updateSavedSignature && hasPath && (0, _preact.h)(SaveSignatureFooter, {
        isInitialValue: isInitialValue,
        hasSavedSignature: !!initialValue,
        saveSignatureChecked: updateSavedSignatureChecked,
        onChangeSaveSignature: function onChangeSaveSignature(updateSavedSignatureChecked) {
          return _this4.setState({
            updateSavedSignatureChecked: updateSavedSignatureChecked
          });
        },
        onClearSignature: this.clear
      })), (0, _preact.h)(_button.Button, {
        primary: true,
        large: true,
        disabled: !hasPath,
        className: (0, _classnames.default)('mb3 mr2 mr0-ns nowrap', hasPath ? 'o-100' : 'o-0'),
        "data-e2e": "signatureSaveButton",
        onClick: function onClick() {
          var path = _this4.path.trim();

          if (updateSavedSignature && updateSavedSignatureChecked && !isInitialValue) {
            updateSavedSignature(path);
          }

          updateValue(path);
        },
        type: "button"
      }, confirmButtonText)))));
    }
  }]);

  return SignatureInput;
}(_preact.Component);

exports.SignatureInput = SignatureInput;
},{"preact":"aSor","classnames":"qb7c","./button":"zoTV","./icon":"dvrm","./links":"fItP","./check-mark":"Qsgd","./utils/decimals":"fys1","./utils/disable-scroll":"hVDb"}],"x7ak":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.decorateFormItem = exports.choice = void 0;

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var choice = function choice(name, val, qs) {
  if (Array.isArray(val) && !qs) {
    qs = val;
    val = name;
  }

  var result = {
    name: name,
    val: typeof val !== 'undefined' ? val : name
  };

  if (qs) {
    result.questions = qs;
  }

  return result;
};

exports.choice = choice;

var testComplete = function testComplete(value) {
  return typeof value === 'string' ? !!value : value != null;
};

var decorateFormItem = function decorateFormItem(item, value, allValues) {
  var itemToProcess = item.transformBasedOnValues ? item.transformBasedOnValues(item, allValues) : item;
  var test = itemToProcess.test,
      required = itemToProcess.required,
      completenessTest = itemToProcess.completenessTest,
      getFinalValue = itemToProcess.getFinalValue;
  var isRequired = required !== false;
  var errorMessage = test && test(value);
  var isComplete = !isRequired && !value || !errorMessage && (completenessTest ? completenessTest(value) : testComplete(value));
  var finalValue = getFinalValue ? getFinalValue(value) : value;
  return _objectSpread(_objectSpread({}, itemToProcess), {}, {
    value: value,
    errorMessage: errorMessage,
    isComplete: isComplete,
    isRequired: isRequired,
    finalValue: finalValue
  });
};

exports.decorateFormItem = decorateFormItem;
},{}],"FpKn":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.buildQuestionList = exports.buildSuggestionList = exports.removeCommaSeparatedItem = exports.addCommaSeparatedItem = exports.withoutText = exports.textAppended = void 0;

var _question = require("./question");

function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }

function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && Symbol.iterator in Object(iter)) return Array.from(iter); }

function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

var textAppended = function textAppended(existing, newPhrase) {
  if (!existing) {
    return newPhrase;
  }

  var cleaned = existing.trim();

  if (cleaned.slice(-1)[0] !== '.') {
    cleaned = cleaned + '.';
  }

  return "".concat(cleaned, " ").concat(newPhrase);
};

exports.textAppended = textAppended;

var withoutText = function withoutText() {
  var existing = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
  var phraseToRemove = arguments.length > 1 ? arguments[1] : undefined;
  return existing.replace(phraseToRemove, '').replace('  ', ' ').trim();
};

exports.withoutText = withoutText;

var getAsArray = function getAsArray() {
  var existing = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
  return existing.split(',').map(function (item) {
    return item.trim();
  }).filter(Boolean);
};

var addCommaSeparatedItem = function addCommaSeparatedItem(existing, newItem) {
  return [].concat(_toConsumableArray(getAsArray(existing)), [newItem]).join(', ');
};

exports.addCommaSeparatedItem = addCommaSeparatedItem;

var removeCommaSeparatedItem = function removeCommaSeparatedItem(existing, toRemove) {
  return getAsArray(existing).filter(function (item) {
    return item !== toRemove;
  }).join(', ');
};

exports.removeCommaSeparatedItem = removeCommaSeparatedItem;

var buildSuggestionList = function buildSuggestionList(matchingSuggestion, value, autoSuggestType) {
  return matchingSuggestion && autoSuggestType ? matchingSuggestion.slice(0, 5).map(function (_ref) {
    var phrase = _ref.phrase;
    var pressed;

    if (autoSuggestType === 'single') {
      pressed = value && value.trim() === phrase;
    } else {
      pressed = value && value.includes(phrase);
    }

    return {
      phrase: phrase,
      pressed: pressed
    };
  }) : null;
};

exports.buildSuggestionList = buildSuggestionList;

var buildQuestionList = function buildQuestionList(config, data, suggestionsByField) {
  var result = [];

  var addQuestion = function addQuestion(item) {
    var _ref2 = suggestionsByField[item.name] || {},
        suggestions = _ref2.suggestions,
        deleting = _ref2.deleting;

    var value = item.defaultValue;

    if (data.hasOwnProperty(item.name)) {
      value = data[item.name];
    }

    var question = Object.assign({}, (0, _question.decorateFormItem)(item, value, data), {
      value: value,
      suggestions: buildSuggestionList(suggestions, value, item.autoSuggestType),
      suggestionsDeleting: !!deleting
    });
    result.push(question);

    if (question.choices) {
      question.choices.forEach(function (_ref3) {
        var val = _ref3.val,
            questions = _ref3.questions;

        if (question.value === val && questions) {
          questions.forEach(addQuestion);
        }
      });
    }
  };

  config.forEach(addQuestion);
  return result;
};

exports.buildQuestionList = buildQuestionList;
},{"./question":"x7ak"}],"KCM7":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _preact = require("preact");

var _button = require("./button");

var _classnames = _interopRequireDefault(require("classnames"));

var _smartSuggestionUtils = require("./utils/smart-suggestion-utils");

var _icon = require("./icon");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

var _default = /*#__PURE__*/function (_Component) {
  _inherits(_default, _Component);

  var _super = _createSuper(_default);

  function _default(props) {
    var _this;

    _classCallCheck(this, _default);

    _this = _super.call(this, props);
    _this.toggleExpand = _this.toggleExpand.bind(_assertThisInitialized(_this));
    _this.state = {
      expanded: true
    };
    return _this;
  }

  _createClass(_default, [{
    key: "toggleExpand",
    value: function toggleExpand() {
      this.setState({
        expanded: !this.state.expanded
      });
    }
  }, {
    key: "render",
    value: function render(_ref, _ref2) {
      var autoSuggestType = _ref.autoSuggestType,
          name = _ref.name,
          value = _ref.value,
          suggestions = _ref.suggestions,
          suggestionsDeleting = _ref.suggestionsDeleting,
          updateValue = _ref.updateValue,
          removeSuggestion = _ref.removeSuggestion;
      var expanded = _ref2.expanded;
      return (0, _preact.h)("div", {
        className: "fw3 pa2 bg-near-white br2 shadow-inset",
        "data-e2e": "smartSuggestions:".concat(name)
      }, (0, _preact.h)("div", {
        className: "f6"
      }, "SmartSuggestions\u2122"), (0, _preact.h)("div", {
        className: (0, _classnames.default)('overflow-y-scroll', {
          dn: !expanded
        })
      }, suggestionsDeleting && (0, _preact.h)("div", {
        className: "flex items-center pv2",
        "data-e2e": "smartSuggestionsUpdating"
      }, (0, _preact.h)(_icon.Icon, {
        icon: "autorenew",
        className: "spin-animation mr2",
        size: 16
      }), "Updating..."), !suggestionsDeleting && suggestions.map(function (suggestion) {
        var pressed = suggestion.pressed,
            phrase = suggestion.phrase;
        return (0, _preact.h)("label", {
          "data-e2e": "suggestionPhrase",
          key: phrase,
          className: (0, _classnames.default)('flex items-center ph1 pv2', {
            fw6: pressed
          })
        }, (0, _preact.h)("input", {
          onChange: function onChange(e) {
            e.preventDefault();

            if (autoSuggestType === 'sentence') {
              updateValue(pressed ? (0, _smartSuggestionUtils.withoutText)(value, phrase) : (0, _smartSuggestionUtils.textAppended)(value, phrase));
            } else if (autoSuggestType === 'multiple') {
              updateValue(pressed ? (0, _smartSuggestionUtils.removeCommaSeparatedItem)(value, phrase) : (0, _smartSuggestionUtils.addCommaSeparatedItem)(value, phrase));
            } else if (autoSuggestType === 'single') {
              updateValue(pressed ? '' : phrase);
            }
          },
          type: "checkbox",
          checked: suggestion.pressed,
          className: "mr2 flex-shrink-0",
          style: {
            width: '15px',
            height: '15px'
          }
        }), (0, _preact.h)("span", {
          className: "lh-solid"
        }, suggestion.phrase), (0, _preact.h)(_button.Button, {
          tiny: true,
          className: "flex ml2",
          onClick: function onClick(e) {
            e.preventDefault();
            e.stopImmediatePropagation();
            removeSuggestion(name, suggestion.phrase);
          },
          type: "button"
        }, (0, _preact.h)(_icon.Icon, {
          icon: "close",
          size: 12
        })));
      })));
    }
  }]);

  return _default;
}(_preact.Component);

exports.default = _default;
},{"preact":"aSor","./button":"zoTV","classnames":"qb7c","./utils/smart-suggestion-utils":"FpKn","./icon":"dvrm"}],"ZsKZ":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CheckboxField = exports.InjectionTypeField = exports.InfusionBolusField = exports.InfusionUnitField = exports.InfusionTypeField = exports.LocalUnitField = exports.OralAdministrationField = exports.SelectField = exports.SignatureField = exports.TimeIncrementField = exports.IncrementButtonField = exports.TextareaField = exports.DecimalInputField = exports.InputField = exports.SelectButtons = exports.Label = void 0;

var _preact = require("preact");

var _classnames = _interopRequireDefault(require("classnames"));

var _incrementors = require("./incrementors");

var _signature = require("./signature");

var _signatureInput = require("./signature-input");

var _button = require("./button");

var _icon = require("./icon");

var _inputs = require("./inputs");

var _suggestionsBox = _interopRequireDefault(require("./suggestions-box"));

var _env = require("./utils/env");

var _decimals = require("./utils/decimals");

var _question = require("./utils/question");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _createForOfIteratorHelper(o, allowArrayLike) { var it; if (typeof Symbol === "undefined" || o[Symbol.iterator] == null) { if (Array.isArray(o) || (it = _unsupportedIterableToArray(o)) || allowArrayLike && o && typeof o.length === "number") { if (it) o = it; var i = 0; var F = function F() {}; return { s: F, n: function n() { if (i >= o.length) return { done: true }; return { done: false, value: o[i++] }; }, e: function e(_e) { throw _e; }, f: F }; } throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); } var normalCompletion = true, didErr = false, err; return { s: function s() { it = o[Symbol.iterator](); }, n: function n() { var step = it.next(); normalCompletion = step.done; return step; }, e: function e(_e2) { didErr = true; err = _e2; }, f: function f() { try { if (!normalCompletion && it.return != null) it.return(); } finally { if (didErr) throw err; } } }; }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

var noOp = function noOp() {};

var Label = function Label(_ref) {
  var item = _ref.item,
      updateValue = _ref.updateValue,
      removeSuggestion = _ref.removeSuggestion;
  var isRequired = item.required !== false;
  return (0, _preact.h)("label", {
    className: "db fw6 lh-copy f5 mb1",
    htmlFor: item.name
  }, (0, _preact.h)("div", {
    className: "flex-shrink-0"
  }, (0, _preact.h)("div", {
    className: "flex items-center"
  }, item.label, isRequired && item.isComplete && (0, _preact.h)(_icon.Icon, {
    className: "ml2 light-blue",
    icon: "check",
    size: "18"
  }), isRequired && !item.isComplete && (0, _preact.h)("span", {
    className: "fw3 red ml2"
  }, "(required)"), !isRequired && item.explicitOptional && (0, _preact.h)("span", {
    className: "fw3 gray ml2"
  }, "(optional)")), item.subLabel && (0, _preact.h)("div", {
    className: (0, _classnames.default)('fw3 f6', {
      orange: item.subLabelWarning,
      red: item.subLabelError
    })
  }, item.subLabel instanceof Function ? item.subLabel(item) : item.subLabel)), item.buttons && (0, _preact.h)("div", null, item.buttons.map(function (option) {
    var label;
    var val;

    if (Array.isArray(option)) {
      label = option[0];
      val = option[1];
    } else {
      label = option;
      val = option;
    }

    return (0, _preact.h)(_button.Button, {
      key: val,
      type: "button",
      "data-e2e": "".concat(item.name, "InputButton:").concat(val),
      className: "mr2 ml0 mt2",
      pressed: item.value === val,
      onClick: function onClick(e) {
        e.preventDefault();
        updateValue(val);
      }
    }, label);
  })), item.suggestions && (0, _preact.h)(_suggestionsBox.default, {
    removeSuggestion: removeSuggestion,
    name: item.name,
    value: item.value,
    autoSuggestType: item.autoSuggestType,
    updateValue: updateValue,
    suggestions: item.suggestions,
    suggestionsDeleting: item.suggestionsDeleting
  }));
};

exports.Label = Label;
var separator = ', ';

var stringToArray = function stringToArray(str) {
  return str ? str.toString().split(separator) : [];
};

var arrayToString = function arrayToString(arr) {
  return arr.filter(Boolean).join(separator);
};

var SelectButtons = /*#__PURE__*/function (_Component) {
  _inherits(SelectButtons, _Component);

  var _super = _createSuper(SelectButtons);

  function SelectButtons(props) {
    var _this;

    _classCallCheck(this, SelectButtons);

    _this = _super.call(this, props);
    _this.state = {
      open: false
    };
    _this.handleButtonPress = _this.handleButtonPress.bind(_assertThisInitialized(_this));
    _this.handleOtherPress = _this.handleOtherPress.bind(_assertThisInitialized(_this));

    _this.open = function () {
      if (!_this.state.open) {
        _this.setState({
          open: true
        });
      }

      setTimeout(function () {
        var input = _this.base && _this.base.querySelector('input');

        if (input) {
          input.focus();
        }
      }, 200);
    };

    _this.close = function () {
      return _this.setState({
        open: false
      });
    };

    _this.choiceValues = props.item.choices.reduce(function (res, choice) {
      res[choice.val] = true;
      return res;
    }, {});
    return _this;
  }

  _createClass(SelectButtons, [{
    key: "handleButtonPress",
    value: function handleButtonPress(val, isPressed) {
      var _this$props = this.props,
          item = _this$props.item,
          updateValue = _this$props.updateValue,
          allowDeselect = _this$props.allowDeselect;
      var preventDeselect = item.allowDeselect === false || allowDeselect === false;
      var isMultiButton = item.type === 'multiButton';
      var value = item.value;

      if (!isMultiButton) {
        this.close();

        if (isPressed && preventDeselect) {
          return;
        }

        updateValue(isPressed ? null : val);
      } else {
        var values = stringToArray(value);
        var index = values.indexOf(val);

        if (index === -1) {
          values.push(val);
        } else {
          values.splice(index, 1);
        }

        updateValue(arrayToString(values));
      }
    }
  }, {
    key: "handleOtherPress",
    value: function handleOtherPress(isPressed) {
      var _this2 = this;

      var _this$props2 = this.props,
          updateValue = _this$props2.updateValue,
          item = _this$props2.item;
      var type = item.type,
          otherInitText = item.otherInitText;
      var isMultiButton = type === 'multiButton';

      if (!isMultiButton) {
        if (isPressed) {
          this.close();
          updateValue(null);
        } else {
          this.open();
          updateValue(otherInitText || '');
        }
      } else {
        var values = stringToArray(this.props.item.value);

        if (isPressed) {
          this.close();
          var unknownRemoved = values.reduce(function (res, val) {
            if (_this2.choiceValues[val]) {
              res.push(val);
            }

            return res;
          }, []);
          updateValue(arrayToString(unknownRemoved));
        } else {
          values.push('');
          updateValue(arrayToString(values));
          this.open();
        }
      }
    }
  }, {
    key: "getPressed",
    value: function getPressed(val) {
      var _this$props$item = this.props.item,
          value = _this$props$item.value,
          type = _this$props$item.type;
      var isMultiButton = type === 'multiButton'; // if there are no unusual circumstances, we just want an exact match

      if (!isMultiButton) {
        return value === val;
      }

      return value != null && value.toString().includes(val);
    }
  }, {
    key: "getOtherInputVisible",
    value: function getOtherInputVisible() {
      var _this3 = this;

      return (// either its explicitly open
        this.state.open || // or it contains something outside of known options
        // this is important for first load (since we may not have state yet)
        !stringToArray(this.props.item.value).every(function (val) {
          return _this3.choiceValues[val];
        })
      );
    }
  }, {
    key: "render",
    value: function render(_ref2) {
      var _this4 = this;

      var item = _ref2.item,
          updateValue = _ref2.updateValue,
          rest = _objectWithoutProperties(_ref2, ["item", "updateValue"]);

      var showOtherInput = this.getOtherInputVisible();
      var value = item.value;
      return (0, _preact.h)("div", rest, item.label && (0, _preact.h)(Label, {
        item: item,
        updateValue: updateValue
      }), (0, _preact.h)("div", {
        "data-e2e": "".concat(item.name, "InputButtons")
      }, item.choices.map(function (choice) {
        var name = choice.name,
            val = choice.val,
            disabled = choice.disabled;

        var pressed = _this4.getPressed(val);

        return (0, _preact.h)(_button.Button, {
          key: val,
          pressed: pressed,
          className: "mr2 mv1 items-base",
          "data-e2e": "".concat(item.name, "InputButton:").concat(val),
          "data-state": pressed ? 'pressed' : 'unpressed',
          type: "button",
          disabled: !!disabled,
          onClick: function onClick() {
            return _this4.handleButtonPress(val, pressed);
          }
        }, name);
      }), item.showOther && (0, _preact.h)(_button.Button, {
        key: "other",
        pressed: showOtherInput,
        "data-state": showOtherInput ? 'pressed' : 'unpressed',
        className: "mr2 mv1 items-base",
        type: "button",
        onClick: function onClick() {
          return _this4.handleOtherPress(showOtherInput);
        },
        "data-e2e": "".concat(item.name, "InputButton:other")
      }, "Other"), item.showOther && showOtherInput && (0, _preact.h)(_inputs.Input, {
        className: "mv1 w-100 border-box",
        name: "".concat(item.name, "Other"),
        value: value,
        onInput: function onInput(e) {
          return updateValue(e.target.value);
        }
      })));
    }
  }]);

  return SelectButtons;
}(_preact.Component);

exports.SelectButtons = SelectButtons;

var identity = function identity(res) {
  return res;
};

var autoCompleteFallback = _env.IS_CHROME ? 'new-password' : 'none';

var InputField = function InputField(_ref3) {
  var item = _ref3.item,
      updateValue = _ref3.updateValue,
      _ref3$autocomplete = _ref3.autocomplete,
      autocomplete = _ref3$autocomplete === void 0 ? autoCompleteFallback : _ref3$autocomplete,
      autofocus = _ref3.autofocus,
      _ref3$className = _ref3.className,
      className = _ref3$className === void 0 ? '' : _ref3$className,
      _ref3$inputClassName = _ref3.inputClassName,
      inputClassName = _ref3$inputClassName === void 0 ? 'w-100' : _ref3$inputClassName,
      removeSuggestion = _ref3.removeSuggestion,
      rest = _objectWithoutProperties(_ref3, ["item", "updateValue", "autocomplete", "autofocus", "className", "inputClassName", "removeSuggestion"]);

  var type = item.type || 'text';
  var clean = item.clean;
  var value = item.value,
      cleanRe = item.cleanRe;

  if (!clean && cleanRe) {
    clean = function clean(val) {
      return val.replace(cleanRe, '');
    };
  }

  if (!clean) {
    clean = identity;
  }

  if (item.inputClassName) {
    inputClassName = item.inputClassName;
  }

  var update = function update(e) {
    return updateValue(clean(e.target.value));
  };

  var hasError = !!item.errorMessage;
  return (0, _preact.h)("div", _extends({
    className: "w-100 ".concat(className)
  }, rest), item.label && (0, _preact.h)(Label, {
    item: item,
    updateValue: updateValue,
    removeSuggestion: removeSuggestion
  }), (0, _preact.h)(_inputs.Input, {
    className: (0, _classnames.default)('mv1', {
      'bg-washed-red': hasError
    }, inputClassName),
    name: item.name,
    onChange: item.onInput ? noOp : update,
    onInput: item.onInput ? update : noOp,
    id: item.name,
    placeholder: item.placeholder,
    type: type,
    value: value,
    autocomplete: autocomplete,
    autofocus: autofocus,
    disabled: item.disabled,
    inputmode: item.inputmode || null,
    'data-e2e': "".concat(item.name, "Input"),
    'data-has-error': hasError ? true : null,
    style: item.inputWidth ? {
      width: item.inputWidth
    } : null
  }));
};

exports.InputField = InputField;

var DecimalInputField = function DecimalInputField(_ref4) {
  var item = _ref4.item,
      updateValue = _ref4.updateValue,
      rest = _objectWithoutProperties(_ref4, ["item", "updateValue"]);

  var args = {};

  if (item.hasOwnProperty('maxLenBefore')) {
    args.min = item.min;
  }

  if (item.hasOwnProperty('max')) {
    args.max = item.max;
  }

  var maxLenBefore = item.maxLenBefore,
      maxLenAfter = item.maxLenAfter,
      itemRest = _objectWithoutProperties(item, ["maxLenBefore", "maxLenAfter"]);

  var modifiedItem = _objectSpread(_objectSpread({
    onInput: true,
    inputmode: 'decimal',
    clean: (0, _decimals.getCleanDecimalWithLimits)({
      maxLenBefore: maxLenBefore,
      maxLenAfter: maxLenAfter
    }),
    required: false
  }, itemRest), {}, {
    type: 'text'
  });

  return (0, _preact.h)(InputField, _extends({
    updateValue: updateValue,
    item: modifiedItem
  }, rest));
};

exports.DecimalInputField = DecimalInputField;

var TextareaField = function TextareaField(_ref5) {
  var item = _ref5.item,
      updateValue = _ref5.updateValue,
      removeSuggestion = _ref5.removeSuggestion;
  return (0, _preact.h)("div", {
    className: "mb2"
  }, (0, _preact.h)(Label, {
    item: item,
    updateValue: updateValue,
    removeSuggestion: removeSuggestion
  }), (0, _preact.h)(_inputs.Textarea, {
    className: (0, _classnames.default)('w-100', {
      h5: item.size === 'large',
      h4: !item.size || item.size === 'medium',
      h3: item.size === 'small'
    }),
    name: item.name,
    onChange: item.onInput ? noOp : function (e) {
      return updateValue(e.target.value);
    },
    onInput: item.onInput ? function (e) {
      return updateValue(e.target.value);
    } : noOp,
    value: item.value,
    id: item.name,
    'data-e2e': "".concat(item.name, "Input")
  }));
};

exports.TextareaField = TextareaField;

var IncrementButtonField = function IncrementButtonField(_ref6) {
  var item = _ref6.item,
      displayValue = _ref6.displayValue,
      updateValue = _ref6.updateValue,
      _ref6$step = _ref6.step,
      step = _ref6$step === void 0 ? 1 : _ref6$step,
      _ref6$max = _ref6.max,
      max = _ref6$max === void 0 ? Infinity : _ref6$max,
      _ref6$min = _ref6.min,
      min = _ref6$min === void 0 ? 0 : _ref6$min,
      width = _ref6.width,
      _ref6$unit = _ref6.unit,
      unit = _ref6$unit === void 0 ? '' : _ref6$unit,
      _ref6$showStep = _ref6.showStep,
      showStep = _ref6$showStep === void 0 ? true : _ref6$showStep,
      formatter = _ref6.formatter,
      className = _ref6.className;
  var name = item.name,
      value = item.value,
      fieldSpecificProps = item.fieldSpecificProps;

  var passOn = _objectSpread({
    formatter: formatter,
    width: width,
    updateValue: updateValue,
    displayValue: displayValue,
    step: step,
    showStep: showStep,
    max: max,
    min: min,
    unit: unit,
    name: name,
    value: value != null ? value : fieldSpecificProps.startingValue
  }, fieldSpecificProps || {});

  return (0, _preact.h)("div", {
    className: (0, _classnames.default)(className)
  }, (0, _preact.h)(Label, {
    item: item
  }), (0, _preact.h)("div", null, (0, _preact.h)(_incrementors.IncrementorButtons, passOn)));
};

exports.IncrementButtonField = IncrementButtonField;

var TimeIncrementField = function TimeIncrementField(_ref7) {
  var item = _ref7.item,
      displayValue = _ref7.displayValue,
      updateValue = _ref7.updateValue,
      _ref7$max = _ref7.max,
      max = _ref7$max === void 0 ? Infinity : _ref7$max,
      _ref7$min = _ref7.min,
      min = _ref7$min === void 0 ? 0 : _ref7$min,
      className = _ref7.className,
      rest = _objectWithoutProperties(_ref7, ["item", "displayValue", "updateValue", "max", "min", "className"]);

  var name = item.name,
      value = item.value,
      fieldSpecificProps = item.fieldSpecificProps;

  var passOn = _objectSpread({
    updateValue: updateValue,
    displayValue: displayValue,
    max: max,
    min: min,
    name: name,
    value: value != null ? value : fieldSpecificProps.startingValue
  }, fieldSpecificProps || {});

  return (0, _preact.h)("div", _extends({
    className: (0, _classnames.default)(className)
  }, rest), item.label && (0, _preact.h)(Label, {
    item: item
  }), (0, _preact.h)("div", null, (0, _preact.h)(_incrementors.TimeIncrementorButtons, passOn)));
};

exports.TimeIncrementField = TimeIncrementField;

var SignatureField = /*#__PURE__*/function (_Component2) {
  _inherits(SignatureField, _Component2);

  var _super2 = _createSuper(SignatureField);

  function SignatureField(props) {
    var _this5;

    _classCallCheck(this, SignatureField);

    _this5 = _super2.call(this, props);
    _this5.state = {
      editing: false
    };
    return _this5;
  }

  _createClass(SignatureField, [{
    key: "render",
    value: function render(_ref8, _ref9) {
      var _this6 = this;

      var item = _ref8.item,
          _updateValue = _ref8.updateValue,
          className = _ref8.className;
      var editing = _ref9.editing;
      var value = item.value,
          finalValue = item.finalValue,
          buttonProps = item.buttonProps,
          noValueButtonProps = item.noValueButtonProps,
          hasValueButtonProps = item.hasValueButtonProps;

      var extraButtonProps = _objectSpread(_objectSpread({}, buttonProps), finalValue ? hasValueButtonProps : noValueButtonProps);

      return (0, _preact.h)("div", {
        className: className
      }, item.label && (0, _preact.h)(Label, {
        item: item
      }), (0, _preact.h)("div", null, !editing && value && (0, _preact.h)(_signature.Signature, {
        width: "200",
        path: value,
        className: _inputs.inputOutlineClasses,
        "data-e2e": "signaturePreviewSvg"
      }), !editing && (0, _preact.h)(_button.Button, _extends({
        type: "button",
        className: "db mv2",
        "data-e2e": value ? 'changeSignatureButton' : 'addSignatureButton',
        onClick: function onClick() {
          return _this6.setState({
            editing: true
          });
        },
        children: value ? 'Change' : 'Add Signature'
      }, extraButtonProps)), editing && (0, _preact.h)(_signatureInput.SignatureInput, {
        name: item.signatureLineName,
        initialValue: item.savedSignaturePath,
        confirmButtonText: item.confirmButtonText,
        close: function close() {
          return _this6.setState({
            editing: false
          });
        },
        updateSavedSignature: item.updateSavedSignature,
        updateValue: function updateValue(val) {
          _updateValue(val);

          _this6.setState({
            editing: false
          });
        }
      })));
    }
  }]);

  return SignatureField;
}(_preact.Component);

exports.SignatureField = SignatureField;

var Options = function Options(_ref10) {
  var options = _ref10.options,
      selectedOptions = _ref10.selectedOptions;
  return (0, _preact.h)(_preact.Fragment, null, options.map(function (option) {
    var val = option.hasOwnProperty('value') ? option.value : option;
    return (0, _preact.h)("option", {
      key: val,
      value: val,
      selected: selectedOptions[val],
      onClick: option.onClick
    }, option.label || option);
  }));
};

var SelectField = function SelectField(_ref11) {
  var item = _ref11.item,
      updateValue = _ref11.updateValue,
      autofocus = _ref11.autofocus,
      _ref11$className = _ref11.className,
      className = _ref11$className === void 0 ? '' : _ref11$className,
      _ref11$inputClassName = _ref11.inputClassName,
      inputClassName = _ref11$inputClassName === void 0 ? 'w-100' : _ref11$inputClassName,
      rest = _objectWithoutProperties(_ref11, ["item", "updateValue", "autofocus", "className", "inputClassName"]);

  var clean = item.clean;
  var value = item.value,
      cleanRe = item.cleanRe,
      multiple = item.multiple;

  if (!clean && cleanRe) {
    clean = function clean(val) {
      return val.replace(cleanRe, '');
    };
  }

  if (!clean) {
    clean = identity;
  }

  if (item.inputClassName) {
    inputClassName = item.inputClassName;
  }

  var optGroups = item.optGroups,
      options = item.options;

  var update = function update(value) {
    return updateValue(clean(value));
  };

  var hasError = !!item.errorMessage; // this is for multiselect
  // which behaves kind of oddly

  var selectedOptions = {};

  if (value) {
    if (multiple) {
      var values = value.split(',');

      var _iterator = _createForOfIteratorHelper(values),
          _step;

      try {
        for (_iterator.s(); !(_step = _iterator.n()).done;) {
          var _value = _step.value;
          selectedOptions[_value] = true;
        }
      } catch (err) {
        _iterator.e(err);
      } finally {
        _iterator.f();
      }
    } else {
      selectedOptions[value] = true;
    }
  }

  return (0, _preact.h)("div", _extends({
    className: "w-100 ".concat(className)
  }, rest), item.label && (0, _preact.h)(Label, {
    item: item,
    updateValue: updateValue
  }), (0, _preact.h)(_inputs.Select, {
    className: (0, _classnames.default)('mv1', {
      'bg-washed-red': hasError
    }, inputClassName),
    multiple: multiple,
    name: item.name,
    onChange: function onChange(e) {
      var valString = [].slice.apply(e.target.querySelectorAll('option:checked')).map(function (opt) {
        return opt.value;
      }).join(',');
      update(valString);
    },
    id: item.name,
    placeholder: item.placeholder,
    value: multiple ? null : value || '',
    autofocus: autofocus,
    'data-e2e': "".concat(item.name, "Select"),
    'data-has-error': hasError ? true : null,
    style: item.inputWidth ? {
      width: item.inputWidth
    } : null
  }, options && (0, _preact.h)(Options, {
    selectedOptions: selectedOptions,
    options: options
  }), optGroups && optGroups.map(function (_ref12) {
    var label = _ref12.label,
        options = _ref12.options;
    return (0, _preact.h)("optgroup", {
      key: label,
      label: label
    }, label, (0, _preact.h)(Options, {
      selectedOptions: selectedOptions,
      options: options
    }));
  })));
};

exports.SelectField = SelectField;

var OralAdministrationField = function OralAdministrationField(_ref13) {
  var updateValue = _ref13.updateValue,
      label = _ref13.label,
      item = _ref13.item,
      rest = _objectWithoutProperties(_ref13, ["updateValue", "label", "item"]);

  return (0, _preact.h)(SelectButtons, _extends({
    updateValue: updateValue,
    item: _objectSpread({
      name: 'route',
      required: false,
      choices: [(0, _question.choice)('PO'), (0, _question.choice)('SL')],
      label: label
    }, item)
  }, rest));
};

exports.OralAdministrationField = OralAdministrationField;

var LocalUnitField = function LocalUnitField(_ref14) {
  var updateValue = _ref14.updateValue,
      item = _ref14.item,
      rest = _objectWithoutProperties(_ref14, ["updateValue", "item"]);

  return (0, _preact.h)(SelectButtons, _extends({
    item: _objectSpread({
      name: 'unit',
      required: false,
      choices: [(0, _question.choice)('cart.', 'cartridges'), (0, _question.choice)('ml'), (0, _question.choice)('mg')],
      label: 'Unit'
    }, item),
    allowDeselect: false,
    updateValue: updateValue
  }, rest));
};

exports.LocalUnitField = LocalUnitField;

var InfusionTypeField = function InfusionTypeField(_ref15) {
  var updateValue = _ref15.updateValue,
      label = _ref15.label,
      item = _ref15.item,
      rest = _objectWithoutProperties(_ref15, ["updateValue", "label", "item"]);

  return (0, _preact.h)(SelectButtons, _extends({
    updateValue: updateValue,
    item: _objectSpread({
      name: 'infusionType',
      required: false,
      allowDeselect: false,
      choices: [(0, _question.choice)('Flow rate', 'infusion'), (0, _question.choice)('Pump bolus', 'infusionBolus')],
      label: label
    }, item)
  }, rest));
};

exports.InfusionTypeField = InfusionTypeField;
var infusionChoices = [(0, _question.choice)('mcg/kg/min'), (0, _question.choice)('mcg/kg/hr'), (0, _question.choice)('mcg/min'), (0, _question.choice)('mg/hr')];

var InfusionUnitField = function InfusionUnitField(_ref16) {
  var updateValue = _ref16.updateValue,
      label = _ref16.label,
      item = _ref16.item,
      rest = _objectWithoutProperties(_ref16, ["updateValue", "label", "item"]);

  return (0, _preact.h)(SelectButtons, _extends({
    updateValue: updateValue,
    item: _objectSpread({
      name: 'infusionUnit',
      required: false,
      choices: infusionChoices,
      label: label
    }, item)
  }, rest));
};

exports.InfusionUnitField = InfusionUnitField;
var infusionBolusChoices = [(0, _question.choice)('mcg/kg'), (0, _question.choice)('mcg'), (0, _question.choice)('mg')];

var InfusionBolusField = function InfusionBolusField(_ref17) {
  var updateValue = _ref17.updateValue,
      label = _ref17.label,
      item = _ref17.item,
      rest = _objectWithoutProperties(_ref17, ["updateValue", "label", "item"]);

  return (0, _preact.h)(SelectButtons, _extends({
    updateValue: updateValue,
    item: _objectSpread({
      name: 'bolusUnit',
      required: false,
      choices: infusionBolusChoices,
      label: label
    }, item)
  }, rest));
};

exports.InfusionBolusField = InfusionBolusField;

var InjectionTypeField = function InjectionTypeField(_ref18) {
  var updateValue = _ref18.updateValue,
      label = _ref18.label,
      item = _ref18.item,
      _ref18$usingIV = _ref18.usingIV,
      usingIV = _ref18$usingIV === void 0 ? true : _ref18$usingIV,
      rest = _objectWithoutProperties(_ref18, ["updateValue", "label", "item", "usingIV"]);

  var choices = [(0, _question.choice)('IM'), (0, _question.choice)('IN')];

  if (usingIV) {
    choices.unshift((0, _question.choice)('IV'));
  }

  return (0, _preact.h)(SelectButtons, _extends({
    updateValue: updateValue,
    item: _objectSpread({
      name: 'injectionType',
      required: false,
      allowDeselect: false,
      choices: choices,
      label: label
    }, item)
  }, rest));
};

exports.InjectionTypeField = InjectionTypeField;

var CheckboxField = function CheckboxField(_ref19) {
  var updateValue = _ref19.updateValue,
      item = _ref19.item,
      className = _ref19.className;
  var value = item.value,
      name = item.name,
      fieldSpecificProps = item.fieldSpecificProps,
      label = item.label;
  var isComplete = !!value;

  var _ref20 = fieldSpecificProps || {},
      checkboxLabel = _ref20.checkboxLabel,
      valueIfTrue = _ref20.valueIfTrue;

  var labelToUse = checkboxLabel || label;
  var disabled = item.disabled || false;
  return (0, _preact.h)("div", {
    className: className
  }, (0, _preact.h)(Label, {
    item: item
  }), (0, _preact.h)("label", {
    htmlFor: name,
    className: (0, _classnames.default)('flex items-center mb2'),
    "data-e2e": "checkMark",
    "data-state": isComplete ? 'checked' : 'unchecked'
  }, (0, _preact.h)("input", {
    onClick: function onClick() {
      return !disabled && updateValue(isComplete ? null : valueIfTrue != null ? valueIfTrue : true);
    },
    className: "checkbox o-0 absolute",
    id: name,
    checked: isComplete,
    type: "checkbox",
    "data-e2e": "".concat(name, "Input")
  }), (0, _preact.h)("div", {
    className: "flex items-center"
  }, (0, _preact.h)("div", {
    className: "relative",
    style: {
      height: '24px',
      width: '24px'
    }
  }, (0, _preact.h)("div", {
    style: {
      top: '4px',
      left: '4px',
      position: 'relative',
      background: 'white',
      width: '16px',
      height: '16px'
    }
  }), (0, _preact.h)(_icon.Icon, {
    size: 24,
    icon: isComplete ? 'check_box' : 'check_box_outline_blank',
    className: (0, _classnames.default)('absolute top-0', isComplete && !disabled && 'light-blue', isComplete && disabled && 'gray')
  }))), (0, _preact.h)("span", {
    className: "ml1"
  }, labelToUse)));
};

exports.CheckboxField = CheckboxField;
},{"preact":"aSor","classnames":"qb7c","./incrementors":"y3iN","./signature":"OcaB","./signature-input":"FAmK","./button":"zoTV","./icon":"dvrm","./inputs":"ItmM","./suggestions-box":"KCM7","./utils/env":"eHBA","./utils/decimals":"fys1","./utils/question":"x7ak"}],"it7L":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.processListText = void 0;

function _createForOfIteratorHelper(o, allowArrayLike) { var it; if (typeof Symbol === "undefined" || o[Symbol.iterator] == null) { if (Array.isArray(o) || (it = _unsupportedIterableToArray(o)) || allowArrayLike && o && typeof o.length === "number") { if (it) o = it; var i = 0; var F = function F() {}; return { s: F, n: function n() { if (i >= o.length) return { done: true }; return { done: false, value: o[i++] }; }, e: function e(_e) { throw _e; }, f: F }; } throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); } var normalCompletion = true, didErr = false, err; return { s: function s() { it = o[Symbol.iterator](); }, n: function n() { var step = it.next(); normalCompletion = step.done; return step; }, e: function e(_e2) { didErr = true; err = _e2; }, f: function f() { try { if (!normalCompletion && it.return != null) it.return(); } finally { if (didErr) throw err; } } }; }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

// this is not exported at the root because it's only used by a single input type
var processListText = function processListText(text) {
  var cleanedRows = [];
  var saveableRows = [];
  var rows = text.split('\n');

  var _iterator = _createForOfIteratorHelper(rows),
      _step;

  try {
    for (_iterator.s(); !(_step = _iterator.n()).done;) {
      var row = _step.value;
      var cleaned = row.replace(/^[\s0-9-_.]*/g, '');
      cleanedRows.push(cleaned);
      var trimmed = cleaned.trim();

      if (trimmed) {
        saveableRows.push(trimmed);
      }
    }
  } catch (err) {
    _iterator.e(err);
  } finally {
    _iterator.f();
  }

  return {
    saveableRows: saveableRows,
    cleanedText: cleanedRows.join('\n'),
    saveableText: saveableRows.join('\n'),
    totalRowCount: cleanedRows.length,
    saveableItemCount: saveableRows.length
  };
};

exports.processListText = processListText;
},{}],"YqCp":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ListTextareaField = void 0;

var _preact = require("preact");

var _formFields = require("./form-fields");

var _inputs = require("./inputs");

var _processListText2 = require("./utils/process-list-text");

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

var ListTextareaField = /*#__PURE__*/function (_Component) {
  _inherits(ListTextareaField, _Component);

  var _super = _createSuper(ListTextareaField);

  function ListTextareaField(props) {
    var _this;

    _classCallCheck(this, ListTextareaField);

    _this = _super.call(this, props);
    _this.state = {
      originalData: null,
      data: null,
      itemsToSave: null,
      itemsToSaveCount: null
    };

    if (Array.isArray(props.item.value)) {
      _this.receiveList(props.item.value);
    }

    _this.onInput = _this.onInput.bind(_assertThisInitialized(_this));
    return _this;
  }

  _createClass(ListTextareaField, [{
    key: "receiveList",
    value: function receiveList(list) {
      var asString = list.join('\n');
      this.setState({
        originalData: asString,
        data: asString,
        length: list.length,
        itemsToSave: null,
        itemsToSaveCount: null
      });
    }
  }, {
    key: "onInput",
    value: function onInput(e) {
      var _processListText = (0, _processListText2.processListText)(e.target.value || ''),
          saveableRows = _processListText.saveableRows,
          cleanedText = _processListText.cleanedText,
          totalRowCount = _processListText.totalRowCount,
          saveableItemCount = _processListText.saveableItemCount;

      this.setState({
        length: totalRowCount,
        data: cleanedText,
        itemsToSave: saveableRows,
        itemsToSaveCount: saveableItemCount
      });
      this.props.updateValue && this.props.updateValue(saveableRows);
    }
  }, {
    key: "render",
    value: function render() {
      // eslint-disable-next-line no-unused-vars
      var _this$props = this.props,
          item = _this$props.item,
          updateValue = _this$props.updateValue,
          rest = _objectWithoutProperties(_this$props, ["item", "updateValue"]);

      var _this$state = this.state,
          data = _this$state.data,
          length = _this$state.length,
          itemsToSaveCount = _this$state.itemsToSaveCount;
      return (0, _preact.h)("div", rest, item.label && (0, _preact.h)(_formFields.Label, {
        item: item
      }), (0, _preact.h)(_inputs.Textarea, {
        "data-e2e": "".concat(item.name, "Textarea"),
        onInput: this.onInput,
        rows: Math.max(length || 0, 4),
        className: "w-100",
        value: data
      }), itemsToSaveCount != null && (0, _preact.h)("p", {
        className: "mt1",
        "data-e2e": "".concat(item.name, "Desc")
      }, "Contains ", itemsToSaveCount, " items"));
    }
  }]);

  return ListTextareaField;
}(_preact.Component);

exports.ListTextareaField = ListTextareaField;
},{"preact":"aSor","./form-fields":"ZsKZ","./inputs":"ItmM","./utils/process-list-text":"it7L"}],"uyfD":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SelectedItem = void 0;

var _preact = require("preact");

var _icon = require("./icon");

var SelectedItem = function SelectedItem(_ref) {
  var label = _ref.label,
      onClose = _ref.onClose;
  return (0, _preact.h)("div", {
    "data-e2e": "selectedItem",
    className: "bg-lightest-blue dark-blue inline-flex items-center br2"
  }, (0, _preact.h)("span", {
    className: "pv2 pl2"
  }, label), (0, _preact.h)("button", {
    className: "pa2 flex items-center bg-transparent bn pointer",
    type: "button",
    "data-e2e": "selectedRemoveButton",
    title: "remove",
    onClick: onClose
  }, (0, _preact.h)(_icon.Icon, {
    icon: "close",
    size: "20",
    className: "dark-blue"
  })));
};

exports.SelectedItem = SelectedItem;
},{"preact":"aSor","./icon":"dvrm"}],"sGBj":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AutoCompleteInput = void 0;

var _preact = require("preact");

var _inputs = require("./inputs");

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

var resultEntryClasses = 'pa3';

var ResultItem = function ResultItem(_ref) {
  var children = _ref.children,
      onClick = _ref.onClick,
      onFocus = _ref.onFocus;
  return (0, _preact.h)("div", null, (0, _preact.h)("button", {
    "data-e2e": "resultButton",
    type: "button",
    onClick: onClick,
    onFocus: onFocus,
    className: "button-reset bg-transparent bn pa3 ma0 w-100 tl nowrap dark-blue"
  }, children));
};

var AutoCompleteInput = /*#__PURE__*/function (_Component) {
  _inherits(AutoCompleteInput, _Component);

  var _super = _createSuper(AutoCompleteInput);

  function AutoCompleteInput(props) {
    var _this;

    _classCallCheck(this, AutoCompleteInput);

    _this = _super.call(this, props);
    _this.handleGlobalClick = _this.handleGlobalClick.bind(_assertThisInitialized(_this));
    _this.clear = _this.clear.bind(_assertThisInitialized(_this));
    _this.state = _this.getStartingState();
    _this.focusInput = _this.focusInput.bind(_assertThisInitialized(_this));

    _this.handleInputFocus = function () {
      return _this.setState({
        inputFocused: true
      });
    };

    _this.handleInputBlur = function () {
      return _this.setState({
        inputFocused: false
      });
    };

    _this.keyDown = _this.keyDown.bind(_assertThisInitialized(_this));
    _this.state.selectedId = props.item.value || '';
    return _this;
  }

  _createClass(AutoCompleteInput, [{
    key: "getInput",
    value: function getInput() {
      return this.base && this.base.querySelector('input');
    }
  }, {
    key: "getStartingState",
    value: function getStartingState() {
      var input = this.getInput();
      return {
        error: null,
        activeSearchTerm: '',
        matches: null,
        selectedId: '',
        focusedIndex: null,
        loading: false,
        searching: false,
        loadedObject: null,
        inputFocused: input && document.activeElement === input
      };
    }
  }, {
    key: "handleGlobalClick",
    value: function handleGlobalClick() {
      this.setState({
        activeSearchTerm: '',
        matches: null
      });
    }
  }, {
    key: "selectEntry",
    value: function selectEntry(entry) {
      this.props.selectCallback(entry);
      this.setState(this.getStartingState());
    }
  }, {
    key: "selectNoMatch",
    value: function selectNoMatch() {
      if (this.props.selectNoMatch) {
        this.props.selectNoMatch(this.state.activeSearchTerm);
        this.setState(this.getStartingState());
      }
    }
  }, {
    key: "componentDidMount",
    value: function componentDidMount() {
      window.addEventListener('click', this.handleGlobalClick);
      window.addEventListener('keydown', this.keyDown);
    }
  }, {
    key: "componentWillUnmount",
    value: function componentWillUnmount() {
      window.removeEventListener('click', this.handleGlobalClick);
      window.removeEventListener('keydown', this.keyDown);
    }
  }, {
    key: "componentDidUpdate",
    value: function componentDidUpdate(_, prevState) {
      if (!this.props.updateValue) {
        return;
      }

      var _this$state = this.state,
          activeSearchTerm = _this$state.activeSearchTerm,
          selectedId = _this$state.selectedId;

      if (activeSearchTerm !== prevState.activeSearchTerm || selectedId !== prevState.selectedId) {
        if (selectedId) {
          this.props.updateValue(selectedId);
        } else {
          this.props.updateValue('');
        }
      }
    }
  }, {
    key: "keyDown",
    value: function keyDown(e) {
      var _this2 = this;

      var _this$state2 = this.state,
          inputFocused = _this$state2.inputFocused,
          focusedIndex = _this$state2.focusedIndex,
          activeSearchTerm = _this$state2.activeSearchTerm,
          matches = _this$state2.matches;

      if (!inputFocused && focusedIndex === null) {
        return;
      }

      var handler = {
        ArrowDown: function ArrowDown(e) {
          e.preventDefault();
          var nextFocusedIndex = focusedIndex === null ? 0 : focusedIndex + 1;

          var found = _this2.base.querySelectorAll('[data-e2e=resultButton]')[nextFocusedIndex];

          if (found) {
            found.focus();

            _this2.setState({
              focusedIndex: nextFocusedIndex
            });
          } else {
            _this2.setState({
              focusedIndex: null
            });
          }
        },
        ArrowUp: function ArrowUp(e) {
          e.preventDefault();

          if (focusedIndex === null) {
            return;
          }

          var nextFocusedIndex = focusedIndex === 0 ? null : focusedIndex - 1;

          if (nextFocusedIndex === null) {
            _this2.focusInput();

            return;
          }

          var found = _this2.base.querySelectorAll('[data-e2e=resultButton]')[nextFocusedIndex];

          if (found) {
            found.focus();

            _this2.setState({
              focusedIndex: nextFocusedIndex
            });
          } else {
            _this2.setState({
              focusedIndex: null
            });
          }
        },
        Enter: function Enter(e) {
          if (inputFocused && activeSearchTerm) {
            e.preventDefault();

            if (matches) {
              if (matches.length) {
                _this2.selectEntry(matches[0]);
              } else {
                _this2.selectNoMatch();
              }
            }
          }
        }
      }[e.key];

      if (handler) {
        handler(e);
      }
    }
  }, {
    key: "focusInput",
    value: function focusInput() {
      var inputEl = this.base && this.base.querySelector('input');

      if (inputEl) {
        inputEl.focus();
      }

      this.setState({
        focusedIndex: null
      });
    }
  }, {
    key: "clear",
    value: function clear() {
      this.setState({
        loadedObject: null,
        selectedId: null
      }, this.focusInput);
    }
  }, {
    key: "render",
    value: function render(_ref2, _ref3) {
      var _this3 = this;

      var item = _ref2.item,
          doSearch = _ref2.doSearch,
          renderEntry = _ref2.renderEntry,
          renderNoMatches = _ref2.renderNoMatches;
      var activeSearchTerm = _ref3.activeSearchTerm,
          matches = _ref3.matches,
          searching = _ref3.searching,
          focusedIndex = _ref3.focusedIndex;
      var noResults = matches && matches.length === 0;
      return (0, _preact.h)("div", {
        className: "relative"
      }, (0, _preact.h)(_inputs.Input, {
        className: item.inputClassName || 'w-50',
        placeholder: item.placeholder,
        value: activeSearchTerm,
        "data-e2e": "".concat(item.name, "Input"),
        onFocus: this.handleInputFocus,
        onBlur: this.handleInputBlur,
        onInput: function onInput(e) {
          var searchString = e.target.value || '';
          var searching = !!searchString;

          _this3.setState({
            activeSearchTerm: searchString,
            matches: null,
            searching: searching
          });

          if (!searching) {
            return;
          }

          doSearch(searchString).then(function (entry) {
            if (searchString === _this3.state.activeSearchTerm) {
              _this3.setState({
                matches: entry,
                searching: false,
                error: null
              });
            }
          }).catch(function () {
            if (searchString === _this3.state.activeSearchTerm) {
              _this3.setState({
                entry: null,
                error: true,
                searching: false
              });
            }
          });
        }
      }), (0, _preact.h)("div", null, (matches || searching) && (0, _preact.h)("div", {
        className: "absolute bg-white br2 ba b--gray z-1"
      }, (0, _preact.h)("div", {
        style: {
          maxHeight: 'calc(100vh - 90px)'
        },
        className: "overflow-scroll"
      }, matches && matches.length > 0 && matches.map(function (entry, index) {
        return (0, _preact.h)(ResultItem, {
          onClick: function onClick() {
            return _this3.selectEntry(entry);
          },
          onFocus: function onFocus() {
            return _this3.setState({
              focusedIndex: index
            });
          },
          key: entry.id
        }, renderEntry(entry, activeSearchTerm), ' ', (!focusedIndex && index === 0 || focusedIndex === index) && (0, _preact.h)("span", {
          className: "gray i"
        }, "push \"enter\" to select"));
      })), noResults && renderNoMatches && (0, _preact.h)(ResultItem, {
        onClick: function onClick() {
          return _this3.selectNoMatch();
        }
      }, renderNoMatches(activeSearchTerm)), noResults && !renderNoMatches && (0, _preact.h)("div", {
        className: resultEntryClasses
      }, "No matches"), searching && (0, _preact.h)("div", {
        className: resultEntryClasses
      }, "Searching..."))));
    }
  }]);

  return AutoCompleteInput;
}(_preact.Component);

exports.AutoCompleteInput = AutoCompleteInput;
},{"preact":"aSor","./inputs":"ItmM"}],"iDaX":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createId = void 0;

var _uuid = require("./uuid");

var createId = function createId(baseName) {
  return "".concat(baseName, "_").concat(Date.now(), "_").concat((0, _uuid.uuid)().slice(-5));
};

exports.createId = createId;
},{"./uuid":"wwsb"}],"PW31":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.fetchDrugAutocomplete = void 0;

var _createId = require("./create-id");

var fields = ['RXCUIS', 'STRENGTHS_AND_FORMS'];

var fetchDrugAutocomplete = function fetchDrugAutocomplete(term) {
  if (!term) {
    return Promise.resolve([]);
  }

  var unknownResult = {
    id: (0, _createId.createId)('unknown'),
    name: term,
    noMatch: true
  };
  return fetch("https://clinicaltables.nlm.nih.gov/api/rxterms/v3/search?ef=".concat(fields.join(','), "&terms=").concat(encodeURIComponent(term))).then(function (res) {
    return res.json();
  }).then(function (parsed) {
    var nameList = parsed[1];
    var extraFields = parsed[2];

    var _ref = extraFields || {},
        RXCUIS = _ref.RXCUIS,
        STRENGTHS_AND_FORMS = _ref.STRENGTHS_AND_FORMS;

    return nameList.map(function (name, index) {
      return {
        name: name,
        id: RXCUIS[index] && RXCUIS[index][0],
        forms: STRENGTHS_AND_FORMS[index]
      };
    });
  }).then(function (result) {
    result.push(unknownResult);
    return result;
  }).catch(function () {
    return [unknownResult];
  });
};

exports.fetchDrugAutocomplete = fetchDrugAutocomplete;
},{"./create-id":"iDaX"}],"Rh2c":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DrugAutoCompleteInput = void 0;

var _preact = require("preact");

var _autoCompleteInput = require("./auto-complete-input");

var _fetchDrugAutocomplete = require("./utils/fetch-drug-autocomplete");

var DrugAutoCompleteInput = function DrugAutoCompleteInput(_ref) {
  var item = _ref.item,
      selectCallback = _ref.selectCallback;
  return (0, _preact.h)(_autoCompleteInput.AutoCompleteInput, {
    item: item,
    doSearch: _fetchDrugAutocomplete.fetchDrugAutocomplete,
    renderEntry: function renderEntry(entry) {
      return entry.name + (entry.noMatch ? ' (not matched to drug ID)' : '');
    },
    selectCallback: selectCallback
  });
};

exports.DrugAutoCompleteInput = DrugAutoCompleteInput;
},{"preact":"aSor","./auto-complete-input":"sGBj","./utils/fetch-drug-autocomplete":"PW31"}],"s2l2":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MedicationEntryField = void 0;

var _preact = require("preact");

var _formFields = require("./form-fields");

var _selectedItem = require("./selected-item");

var _drugAutoCompleteInput = require("./drug-auto-complete-input");

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

var MedicationEntryField = /*#__PURE__*/function (_Component) {
  _inherits(MedicationEntryField, _Component);

  var _super = _createSuper(MedicationEntryField);

  function MedicationEntryField() {
    _classCallCheck(this, MedicationEntryField);

    return _super.apply(this, arguments);
  }

  _createClass(MedicationEntryField, [{
    key: "focusOnInput",
    value: function focusOnInput() {
      var input = this.base.querySelector('input');

      if (input) {
        input.focus();
      }
    }
  }, {
    key: "render",
    value: function render(_ref) {
      var _this = this;

      var item = _ref.item,
          updateValue = _ref.updateValue,
          className = _ref.className;
      var drugName = item.value && item.value.name;
      return (0, _preact.h)("div", {
        className: className
      }, (0, _preact.h)("div", {
        className: "pb1"
      }, (0, _preact.h)(_formFields.Label, {
        item: item,
        updateValue: updateValue
      }), !drugName && (0, _preact.h)(_drugAutoCompleteInput.DrugAutoCompleteInput, {
        item: item,
        selectCallback: updateValue
      }), drugName && (0, _preact.h)(_selectedItem.SelectedItem, {
        key: drugName,
        label: drugName,
        onClose: function onClose(e) {
          e.preventDefault();
          updateValue('');
          setTimeout(function () {
            return _this.focusOnInput();
          }, 200);
        }
      })));
    }
  }]);

  return MedicationEntryField;
}(_preact.Component);

exports.MedicationEntryField = MedicationEntryField;
},{"preact":"aSor","./form-fields":"ZsKZ","./selected-item":"uyfD","./drug-auto-complete-input":"Rh2c"}],"HOON":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MultiMedicationEntryField = void 0;

var _preact = require("preact");

var _formFields = require("./form-fields");

var _selectedItem = require("./selected-item");

var _drugAutoCompleteInput = require("./drug-auto-complete-input");

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

var MultiMedicationEntryField = /*#__PURE__*/function (_Component) {
  _inherits(MultiMedicationEntryField, _Component);

  var _super = _createSuper(MultiMedicationEntryField);

  function MultiMedicationEntryField(props) {
    var _this;

    _classCallCheck(this, MultiMedicationEntryField);

    _this = _super.call(this, props);
    _this.focusOnInput = _this.focusOnInput.bind(_assertThisInitialized(_this));

    _this.focusOnInputDelayed = function () {
      return setTimeout(_this.focusOnInput, 200);
    };

    _this.addDrug = _this.addDrug.bind(_assertThisInitialized(_this));
    return _this;
  }

  _createClass(MultiMedicationEntryField, [{
    key: "isEmptyArray",
    value: function isEmptyArray(arr) {
      return Array.isArray(arr) && !arr.length;
    }
  }, {
    key: "focusOnInput",
    value: function focusOnInput() {
      var input = this.base && this.base.querySelector('input');

      if (input) {
        input.focus();
      }
    }
  }, {
    key: "addDrug",
    value: function addDrug(drug) {
      var _this$props = this.props,
          item = _this$props.item,
          updateValue = _this$props.updateValue;
      var value = item.value;
      var valueIsNone = value === 'none';
      var drugs = value && !valueIsNone ? value : [];
      var copy = drugs.slice();

      if (!copy.find(function (drugEntry) {
        return drugEntry.id === drug.id || drugEntry.name === drug.name;
      })) {
        copy.push(drug);
      }

      updateValue(copy);
      this.focusOnInput();
    }
  }, {
    key: "render",
    value: function render() {
      var _this2 = this;

      var _this$props2 = this.props,
          item = _this$props2.item,
          updateValue = _this$props2.updateValue,
          className = _this$props2.className;
      var value = item.value;
      var valueIsNone = value === 'none';
      var itemCopy = Object.assign({}, item);
      delete itemCopy.subLabel;
      var modifiedItemForLabel = !value ? _objectSpread(_objectSpread({}, item), {}, {
        buttons: ['none']
      }) : item;
      return (0, _preact.h)("div", {
        className: className
      }, (0, _preact.h)(_formFields.Label, {
        item: modifiedItemForLabel,
        updateValue: updateValue
      }), !valueIsNone && (0, _preact.h)(_drugAutoCompleteInput.DrugAutoCompleteInput, {
        item: modifiedItemForLabel,
        selectCallback: this.addDrug
      }), (0, _preact.h)("div", {
        className: "pb1"
      }, valueIsNone && (0, _preact.h)(_selectedItem.SelectedItem, {
        key: "none",
        label: "none",
        onClose: function onClose(e) {
          e.preventDefault();
          updateValue(null);

          _this2.focusOnInputDelayed();
        }
      }), value && !valueIsNone && value.length !== 0 && (0, _preact.h)("div", null, (0, _preact.h)("div", {
        className: "mb2 fw3 f6 pt2"
      }, "Chosen Medications:"), (0, _preact.h)("div", {
        className: "flex flex-wrap gap2"
      }, value.map(function (drug) {
        return (0, _preact.h)(_selectedItem.SelectedItem, {
          key: drug.name,
          label: drug.name,
          onClose: function onClose(e) {
            e.preventDefault();
            var newVal = value.filter(function (item) {
              return item.id !== drug.id;
            });
            updateValue(_this2.isEmptyArray(newVal) ? null : newVal);

            _this2.focusOnInputDelayed();
          }
        });
      })))));
    }
  }]);

  return MultiMedicationEntryField;
}(_preact.Component);

exports.MultiMedicationEntryField = MultiMedicationEntryField;
},{"preact":"aSor","./form-fields":"ZsKZ","./selected-item":"uyfD","./drug-auto-complete-input":"Rh2c"}],"XVm6":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Question = void 0;

var _preact = require("preact");

var _formFields = require("./form-fields");

var _listTextareaField = require("./list-textarea-field");

var _medicationField = require("./medication-field");

var _multiMedicationEntryField = require("./multi-medication-entry-field");

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var fieldMap = {
  multiButton: _formFields.SelectButtons,
  choices: _formFields.SelectButtons,
  longText: _formFields.TextareaField,
  checkbox: _formFields.CheckboxField,
  medications: _multiMedicationEntryField.MultiMedicationEntryField,
  medication: _medicationField.MedicationEntryField,
  signature: _formFields.SignatureField,
  incrementor: _formFields.IncrementButtonField,
  timeIncrementor: _formFields.TimeIncrementField,
  select: _formFields.SelectField,
  decimal: _formFields.DecimalInputField,
  listTextarea: _listTextareaField.ListTextareaField
};

var Question = function Question(_ref) {
  var item = _ref.item,
      updateValue = _ref.updateValue,
      removeSuggestion = _ref.removeSuggestion,
      otherFieldTypes = _ref.otherFieldTypes,
      className = _ref.className;

  if (item.hidden) {
    return null;
  } // if item has "choices" (very common in our app)
  // don't require specifying `type: 'choices'`


  var itemType = item.type || (item.choices ? 'choices' : 'text');
  var MatchedComponent = otherFieldTypes && otherFieldTypes[itemType] || fieldMap[itemType] || _formFields.InputField;

  var props = _objectSpread({
    item: item,
    updateValue: updateValue,
    removeSuggestion: removeSuggestion,
    className: className
  }, item.fieldSpecificProps || {});

  return (0, _preact.h)(MatchedComponent, props);
};

exports.Question = Question;
},{"preact":"aSor","./form-fields":"ZsKZ","./list-textarea-field":"YqCp","./medication-field":"s2l2","./multi-medication-entry-field":"HOON"}],"LECd":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TriggerWaitingComponent = void 0;

var _preact = require("preact");

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

var TriggerWaitingComponent = /*#__PURE__*/function (_Component) {
  _inherits(TriggerWaitingComponent, _Component);

  var _super = _createSuper(TriggerWaitingComponent);

  function TriggerWaitingComponent(props) {
    var _this;

    _classCallCheck(this, TriggerWaitingComponent);

    _this = _super.call(this, props);

    _this.trigger = function () {
      _this.setState({
        waiting: true
      });

      setTimeout(function () {
        _this.setState({
          waiting: false
        });
      }, _this.props.waitTime || 1000);
    };

    return _this;
  }

  _createClass(TriggerWaitingComponent, [{
    key: "render",
    value: function render() {
      // eslint-disable-next-line no-unused-vars
      var _this$props = this.props,
          onClick = _this$props.onClick,
          render = _this$props.render,
          pause = _this$props.pause,
          rest = _objectWithoutProperties(_this$props, ["onClick", "render", "pause"]);

      return render(_objectSpread(_objectSpread(_objectSpread({}, rest), this.state), {}, {
        trigger: this.trigger
      }));
    }
  }]);

  return TriggerWaitingComponent;
}(_preact.Component);

exports.TriggerWaitingComponent = TriggerWaitingComponent;
},{"preact":"aSor"}],"hNT0":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ChecklistEditForm = void 0;

var _preact = require("preact");

var _crate = require("./crate");

var _listTextareaField = require("./list-textarea-field");

var _button = require("./button");

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

var ChecklistEditForm = /*#__PURE__*/function (_Component) {
  _inherits(ChecklistEditForm, _Component);

  var _super = _createSuper(ChecklistEditForm);

  function ChecklistEditForm(props) {
    var _this;

    _classCallCheck(this, ChecklistEditForm);

    _this = _super.call(this, props);
    var value = props.value || null;
    _this.state = {
      state: value ? 'loaded' : 'idle',
      originalData: null,
      hasChanged: false,
      value: value
    };
    _this.onInput = _this.onInput.bind(_assertThisInitialized(_this));
    _this.onSave = _this.onSave.bind(_assertThisInitialized(_this));
    return _this;
  }

  _createClass(ChecklistEditForm, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      var _this2 = this;

      var onFetch = this.props.onFetch;

      if (onFetch) {
        this.setState({
          state: 'loading'
        });
        onFetch().then(function (list) {
          _this2.receiveList(list);
        });
      }
    }
  }, {
    key: "receiveList",
    value: function receiveList(list) {
      var asString = list.join('\n');
      this.setState({
        state: 'loaded',
        originalData: asString,
        value: list,
        hasChanged: false
      });
    }
  }, {
    key: "onInput",
    value: function onInput(updatedArray) {
      var hasChanged = updatedArray.join('\n') !== this.state.originalData;
      this.setState({
        hasChanged: hasChanged,
        value: updatedArray
      });
    }
  }, {
    key: "onSave",
    value: function onSave() {
      var _this3 = this;

      this.setState({
        state: 'saving'
      });
      this.props.onSave(this.state.value).then(function (updated) {
        _this3.receiveList(updated);

        _this3.setState({
          state: 'saved'
        });
      });
    }
  }, {
    key: "render",
    value: function render() {
      var _this$props = this.props,
          name = _this$props.name,
          label = _this$props.label,
          subLabel = _this$props.subLabel,
          onCancel = _this$props.onCancel;
      var _this$state = this.state,
          state = _this$state.state,
          value = _this$state.value,
          hasChanged = _this$state.hasChanged;
      return (0, _preact.h)("div", {
        "data-e2e": "".concat(name, "Container")
      }, state === 'saving' && (0, _preact.h)(_crate.MessagePageCrate, {
        "data-e2e": "savingMessage",
        loading: true
      }, "Saving updated list..."), state === 'loading' && (0, _preact.h)(_crate.MessagePageCrate, {
        noShadow: true,
        loading: true
      }, "Loading..."), state === 'saved' && (0, _preact.h)(_crate.MessagePageCrate, {
        "data-e2e": "savedMessage",
        success: true
      }, "\"", label, "\" saved"), (state === 'loaded' || state === 'saved') && (0, _preact.h)("div", null, (0, _preact.h)(_listTextareaField.ListTextareaField, {
        updateValue: this.onInput,
        "data-e2e": "".concat(name, "Field"),
        item: {
          name: name,
          label: label,
          subLabel: subLabel,
          required: false,
          value: value
        }
      }), (0, _preact.h)("div", {
        className: "mt2"
      }, (0, _preact.h)(_button.Button, {
        className: "mr2",
        primary: true,
        large: true,
        "data-e2e": "".concat(name, "SaveButton"),
        disabled: !hasChanged || !value.length,
        onClick: this.onSave
      }, "Save ", label), onCancel && (0, _preact.h)(_button.Button, {
        large: true,
        "data-e2e": "".concat(name, "CancelButton"),
        onClick: onCancel
      }, "Cancel"))));
    }
  }]);

  return ChecklistEditForm;
}(_preact.Component);

exports.ChecklistEditForm = ChecklistEditForm;
},{"preact":"aSor","./crate":"x5fU","./list-textarea-field":"YqCp","./button":"zoTV"}],"Xk9z":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _preact = require("preact");

var _question = require("./question");

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var _default = function _default(_ref) {
  var bottom = _ref.bottom,
      fields = _ref.fields,
      _onSubmit = _ref.onSubmit,
      _updateValue = _ref.updateValue,
      removeSuggestion = _ref.removeSuggestion,
      otherFieldTypes = _ref.otherFieldTypes,
      questionClassName = _ref.questionClassName,
      rest = _objectWithoutProperties(_ref, ["bottom", "fields", "onSubmit", "updateValue", "removeSuggestion", "otherFieldTypes", "questionClassName"]);

  return (0, _preact.h)("form", _extends({
    onSubmit: function onSubmit(e) {
      e.preventDefault();

      _onSubmit();
    }
  }, rest), (0, _preact.h)("div", null, fields.map(function (item) {
    return (0, _preact.h)(_question.Question, {
      key: item.name,
      item: item,
      otherFieldTypes: otherFieldTypes,
      updateValue: function updateValue(val) {
        var updateObj = _defineProperty({}, item.name, val);

        if (item.getUpdates) {
          updateObj = item.getUpdates(val);
        }

        _updateValue(updateObj);
      },
      removeSuggestion: removeSuggestion,
      className: questionClassName
    });
  })), bottom);
};

exports.default = _default;
},{"preact":"aSor","./question":"XVm6"}],"F6id":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Tabs = void 0;

var _preact = require("preact");

var _classnames = _interopRequireDefault(require("classnames"));

var _icon = require("./icon");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

var Tabs = /*#__PURE__*/function (_Component) {
  _inherits(Tabs, _Component);

  var _super = _createSuper(Tabs);

  function Tabs(props) {
    var _this;

    _classCallCheck(this, Tabs);

    _this = _super.call(this, props);

    _this.handleResize = function () {
      return _this.measureActive();
    };

    return _this;
  }

  _createClass(Tabs, [{
    key: "measureActive",
    value: function measureActive() {
      var _this$props = this.props,
          vertical = _this$props.vertical,
          _this$props$padding = _this$props.padding,
          padding = _this$props$padding === void 0 ? 4 : _this$props$padding;
      var activeEl = this.base ? this.base.querySelector('[data-active]') : null;

      if (activeEl) {
        var bg = this.base.querySelector('.bg');
        var left = activeEl.offsetLeft;
        var height = activeEl.offsetHeight;
        var width = activeEl.offsetWidth;
        var top = activeEl.offsetTop;
        bg.style = "transform: translateX(".concat((vertical ? 0 : left) + padding, "px) translateY(").concat(top + padding, "px); width: ").concat((vertical ? this.base.offsetWidth : width) - padding * 2, "px; height: ").concat(height - padding * 2, "px"); // debugger
      }
    }
  }, {
    key: "componentDidUpdate",
    value: function componentDidUpdate() {
      this.measureActive();
    }
  }, {
    key: "componentDidMount",
    value: function componentDidMount() {
      this.measureActive();
      window.addEventListener('resize', this.handleResize, {
        passive: true
      });
    }
  }, {
    key: "componentWillUnmount",
    value: function componentWillUnmount() {
      window.removeEventListener('resize', this.handleResize, {
        passive: true
      });
    }
  }, {
    key: "render",
    value: function render() {
      var _this$props2 = this.props,
          tabs = _this$props2.tabs,
          updateSelectedTab = _this$props2.updateSelectedTab,
          className = _this$props2.className,
          vertical = _this$props2.vertical,
          _this$props2$activeCl = _this$props2.activeClasses,
          activeClasses = _this$props2$activeCl === void 0 ? 'bg-lightest-blue' : _this$props2$activeCl,
          tabTextCenter = _this$props2.tabTextCenter,
          style = _this$props2.style;
      return (0, _preact.h)("nav", {
        className: (0, _classnames.default)('br2 relative', {
          'flex items-center flex-wrap': !vertical
        }, className),
        style: style
      }, (0, _preact.h)("div", {
        key: "same",
        className: (0, _classnames.default)('bg absolute top-0 left-0 transition-all br2 bg w-auto', activeClasses)
      }), tabs.map(function (_ref) {
        var label = _ref.label,
            name = _ref.name,
            active = _ref.active,
            icon = _ref.icon,
            _ref$iconColor = _ref.iconColor,
            iconColor = _ref$iconColor === void 0 ? 'black' : _ref$iconColor,
            _ref$textColor = _ref.textColor,
            textColor = _ref$textColor === void 0 ? 'black' : _ref$textColor;
        return (0, _preact.h)("div", {
          className: "relative",
          "data-active": active,
          key: name
        }, (0, _preact.h)("a", {
          "data-e2e": "tab".concat(name),
          className: (0, _classnames.default)('flex no-underline items-center pa3 hover-blue', textColor, {
            underline: !active,
            'no-underline': active,
            'w-100 db': vertical,
            'justify-center': tabTextCenter
          }),
          href: "#",
          onClick: function onClick(e) {
            e.preventDefault();
            updateSelectedTab(name);
          }
        }, icon && (0, _preact.h)(_icon.Icon, {
          size: "20",
          className: (0, _classnames.default)('mr2', iconColor),
          icon: icon
        }), (0, _preact.h)("span", {
          className: (0, _classnames.default)(!active && 'underline')
        }, label)));
      }));
    }
  }]);

  return Tabs;
}(_preact.Component);

exports.Tabs = Tabs;
},{"preact":"aSor","classnames":"qb7c","./icon":"dvrm"}],"rbbc":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _preact = require("preact");

var _transitionIn = require("./transition-in");

var _default = (0, _transitionIn.transitionIn)(function (_ref) {
  var firstRender = _ref.firstRender,
      percentage = _ref.percentage,
      _ref$barColor = _ref.barColor,
      barColor = _ref$barColor === void 0 ? 'dark-green' : _ref$barColor,
      _ref$backgroundColor = _ref.backgroundColor,
      backgroundColor = _ref$backgroundColor === void 0 ? 'white' : _ref$backgroundColor;
  return (0, _preact.h)("div", {
    className: "relative overflow-hidden br-pill ba b--gray shadow-3 bg-".concat(backgroundColor)
  }, (0, _preact.h)("div", {
    className: "h1 w-100 absolute br-pill bg-".concat(barColor, " transition"),
    style: {
      transform: "translateX(-".concat(100 - Math.max(firstRender ? 0 : percentage * 100, 1), "%)"),
      boxShadow: 'inset 0px 0px 3px rgba(0, 0, 0, 0.3)'
    }
  }), (0, _preact.h)("div", {
    className: "h1"
  }));
});

exports.default = _default;
},{"preact":"aSor","./transition-in":"BkAk"}],"ZmQP":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _reduxBundler = require("redux-bundler");

var _getEventSourceManager = require("./get-event-source-manager");

//@ts-check

/** @typedef {'CreateResource' | 'UpdateResource' | 'DeleteResource'} FHIRActionType */

/**
 * @param {{
 *   apiUrl: string
 *   orgIdSelector: string
 *   eventFilter?: any
 *   logger?: any
 *   customHandlers?: any
 *   eventSourceConstructor?: any
 * }} Opts
 */
var _default = function _default(_ref) {
  var apiUrl = _ref.apiUrl,
      eventFilter = _ref.eventFilter,
      customHandlers = _ref.customHandlers,
      orgIdSelector = _ref.orgIdSelector,
      logger = _ref.logger,
      eventSourceConstructor = _ref.eventSourceConstructor;
  return (0, _getEventSourceManager.getEventSourceManagerBundle)({
    name: 'orgEventSource',
    actionBaseName: 'ORG_EVENT_SOURCE',
    eventSourceConstructor: eventSourceConstructor,
    dataActionCreatorName: 'doReceiveOrgFhirEvents',
    activeIdsSelectorName: 'selectOrgIdsToBeSubscribedTo',
    logger: logger,
    buildUrl: function buildUrl(orgId, store) {
      // we pass token explicitly for localhost to
      // enable hitting dev API without needing to have
      // valid token cookie.
      var addOn = store.selectHostname() === 'localhost' ? "?token=".concat(store.selectAuthToken()) : '';
      return "".concat(apiUrl, "/fhir-sse/org/").concat(orgId).concat(addOn);
    },
    doReceiveOrgFhirEvents: function doReceiveOrgFhirEvents(_ref2) {
      var data = _ref2.data;
      return function (_ref3) {
        var store = _ref3.store;
        var action = data.action,
            orgId = data.orgId,
            resourceId = data.resourceId,
            resourceType = data.resourceType;
        var resourceReference = "".concat(resourceType, "/").concat(resourceId);

        if (eventFilter && !eventFilter({
          action: action,
          resourceType: resourceType,
          resourceReference: resourceReference,
          store: store,
          orgId: orgId
        })) {
          return;
        }

        var customHandler = customHandlers && customHandlers[resourceType] && customHandlers[resourceType][action];

        if (customHandler) {
          customHandler(store, {
            resourceId: resourceId,
            orgId: orgId
          });
          return;
        } // we always fetch newly created resources
        // there's no way to know whether we need them


        if (action === 'CreateResource') {
          store.doFetchFhirResource(resourceReference, orgId);
          return;
        } // For update and delete we don't know if we have it
        // we only do something if we do


        if (action === 'UpdateResource') {
          var found = store.utilFindFhirResourceById(resourceId);

          if (found) {
            store.doFetchFhirResource(resourceReference, orgId);
          }

          return;
        }

        if (action === 'DeleteResource') {
          var _found = store.utilFindFhirResourceById(resourceId);

          if (_found) {
            store.doRemoveFhirResource({
              id: resourceId,
              orgId: orgId,
              resourceType: resourceType
            });
          }

          return;
        }
      };
    },
    selectOrgIdsToBeSubscribedTo: (0, _reduxBundler.createSelector)('selectIsFullyAuthenticated', orgIdSelector, function (fullyAuthed, orgIds) {
      if (!fullyAuthed || !orgIds) {
        return [];
      }

      return orgIds;
    })
  });
};

exports.default = _default;
},{"redux-bundler":"AfGI","./get-event-source-manager":"JN9k"}],"fHz6":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

/**
 * @param {number} httpStatus
 * @param {{
 *   handleNotAuthorized: () => any
 *   handleNoAuthentication: () => any
 * }}
 * @returns {void}
 */
var _default = function _default(httpStatus, _ref) {
  var handleNoAuthentication = _ref.handleNoAuthentication,
      handleNotAuthorized = _ref.handleNotAuthorized;

  if (httpStatus >= 400) {
    if (httpStatus === 404) {
      throw Error('NOT_FOUND');
    } else if (httpStatus === 401) {
      handleNoAuthentication();
      throw Error('NO_AUTHENTICATION');
    } else if (httpStatus === 403) {
      handleNotAuthorized();
      throw Error('NOT_AUTHORIZED');
    } else if (httpStatus === 409) {
      throw Error('CONFLICT');
    } else {
      throw Error('REQUEST_ERROR_' + httpStatus);
    }
  }
};

exports.default = _default;
},{}],"aTpd":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getApiFetch = void 0;

var _handleHttpResponse = _interopRequireDefault(require("./handle-http-response"));

var _getStandardHeaders = require("./get-standard-headers");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return; var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

/**
 * Get a configured fetcher for API requests
 *
 * @param {{
 *   apiUrl: string
 *   getAppInfo?: () => {
 *     tabId: string
 *     appName: string
 *     appVersion: string
 *   }
 *   getToken: () => string
 *   handleNotAuthorized: () => any
 *   handleNoAuthentication: () => any
 * }} spec
 * @returns {(pathname: string, opts?: RequestInit) => Promise}
 */
var getApiFetch = function getApiFetch(spec) {
  return function (url) {
    var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
    var apiUrl = spec.apiUrl,
        getAppInfo = spec.getAppInfo,
        getToken = spec.getToken,
        handleNoAuthentication = spec.handleNoAuthentication,
        handleNotAuthorized = spec.handleNotAuthorized;

    var _url$split = url.split('?'),
        _url$split2 = _slicedToArray(_url$split, 2),
        path = _url$split2[0],
        passedQs = _url$split2[1];

    var searchParams = new URLSearchParams(passedQs || '');
    searchParams.append('token', getToken());
    return fetch(apiUrl + path + '?' + searchParams.toString(), {
      method: options.method || 'get',
      headers: _objectSpread(_objectSpread({
        'content-type': 'application/json'
      }, getAppInfo ? (0, _getStandardHeaders.getStandardHeaders)(getAppInfo()) : null), options.headers),
      body: options.body
    }).then(function (res) {
      (0, _handleHttpResponse.default)(res.status, {
        handleNoAuthentication: handleNoAuthentication,
        handleNotAuthorized: handleNotAuthorized
      });
      return res.json();
    });
  };
};

exports.getApiFetch = getApiFetch;
},{"./handle-http-response":"fHz6","./get-standard-headers":"bgxm"}],"neUb":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getFhirFetch = void 0;

var _getStandardHeaders = require("./get-standard-headers");

var _handleHttpResponse = _interopRequireDefault(require("./handle-http-response"));

var _object = require("./object");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _iterableToArrayLimit(arr, i) { if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return; var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

function _createForOfIteratorHelper(o, allowArrayLike) { var it; if (typeof Symbol === "undefined" || o[Symbol.iterator] == null) { if (Array.isArray(o) || (it = _unsupportedIterableToArray(o)) || allowArrayLike && o && typeof o.length === "number") { if (it) o = it; var i = 0; var F = function F() {}; return { s: F, n: function n() { if (i >= o.length) return { done: true }; return { done: false, value: o[i++] }; }, e: function e(_e2) { throw _e2; }, f: F }; } throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); } var normalCompletion = true, didErr = false, err; return { s: function s() { it = o[Symbol.iterator](); }, n: function n() { var step = it.next(); normalCompletion = step.done; return step; }, e: function e(_e3) { didErr = true; err = _e3; }, f: function f() { try { if (!normalCompletion && it.return != null) it.return(); } finally { if (didErr) throw err; } } }; }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

var extractUrl = function extractUrl(url) {
  return '/' + url.split('/').slice(13).join('/');
};
/**
 * @typedef {{
 *   nextUrl: string | null
 *   firstUrl: string | null
 *   total: number
 * }} FHIRSearchMetadata
 */

/**
 * @param {any} res
 * @returns {FHIRSearchMetadata}
 */


var extractMeta = function extractMeta(res) {
  /** @type {FHIRSearchMetadata} */
  var result = {
    nextUrl: null,
    firstUrl: null,
    total: res.total || 0
  };

  if (res.link) {
    var _iterator = _createForOfIteratorHelper(res.link),
        _step;

    try {
      for (_iterator.s(); !(_step = _iterator.n()).done;) {
        var entry = _step.value;
        var relation = entry.relation,
            url = entry.url;

        if (relation === 'next') {
          result.nextUrl = extractUrl(url);
        }

        if (relation === 'first') {
          result.firstUrl = extractUrl(url);
        }
      }
    } catch (err) {
      _iterator.e(err);
    } finally {
      _iterator.f();
    }
  }

  return result;
};
/** @typedef {'NO_AUTH' | 'NO_USER'} BadAuthStatus */

/**
 * Get a configured fetcher for FHIR requests
 *
 * @param {{
 *   apiUrl: string
 *   getToken: () => string
 *   getOrgId: () => string
 *   getAppInfo?: () => {
 *     tabId: string
 *     appName: string
 *     appVersion: string
 *   }
 *   handleNotAuthorized: () => any
 *   handleNoAuthentication: () => any
 * }} options
 * @returns {(
 *   pathname: string,
 *   opts?: {
 *     orgId?: string
 *     fetchAll?: boolean
 *     waitForAll?: boolean
 *     incomingResponseArrayHandler?: (res) => Promise<any>
 *     returnMeta?: boolean
 *   }
 * ) => Promise<any>}
 *   Opts
 */


var getFhirFetch = function getFhirFetch(options) {
  var getAppInfo = options.getAppInfo,
      getToken = options.getToken,
      getOrgId = options.getOrgId,
      apiUrl = options.apiUrl,
      handleNoAuthentication = options.handleNoAuthentication,
      handleNotAuthorized = options.handleNotAuthorized;

  var buildUrlWithToken = function buildUrlWithToken(url, orgId) {
    var _url$split = url.split('?'),
        _url$split2 = _slicedToArray(_url$split, 2),
        pathname = _url$split2[0],
        query = _url$split2[1];

    var tokenAddon = "token=".concat(getToken());
    var modifiedQueryString = query ? "".concat(query, "&").concat(tokenAddon) : tokenAddon;
    var base = "".concat(apiUrl, "/fhir/").concat(orgId);
    return "".concat(base).concat(pathname, "?").concat(modifiedQueryString);
  };

  var parseResponse = function parseResponse(res) {
    (0, _handleHttpResponse.default)(res.status, {
      handleNoAuthentication: handleNoAuthentication,
      handleNotAuthorized: handleNotAuthorized
    });
    return res.json();
  };

  return function (relative) {
    var opts = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
    var orgId = opts.orgId || getOrgId();
    var fetchAll = !!opts.fetchAll;
    var waitForAll = !!opts.waitForAll;
    var returnMeta = !!opts.returnMeta;
    var incomingResponseArrayHandler = opts.incomingResponseArrayHandler;

    if (!orgId) {
      throw Error('NO_ORG_ID');
    }

    var fetchOptions = (0, _object.omit)(opts, ['orgId', 'fetchAll']);
    var responseArray = [];

    var fetchNext = function fetchNext(startingUrl) {
      return fetch(buildUrlWithToken(startingUrl, orgId), _objectSpread(_objectSpread({}, fetchOptions), {}, {
        headers: _objectSpread(_objectSpread({}, getAppInfo ? (0, _getStandardHeaders.getStandardHeaders)(getAppInfo()) : null), fetchOptions.headers)
      })).then(parseResponse).then(function (response) {
        var meta = extractMeta(response);
        var nextUrl = fetchAll ? meta.nextUrl : null;

        if (!waitForAll && incomingResponseArrayHandler) {
          incomingResponseArrayHandler([response]);
        }

        if (waitForAll) {
          responseArray.push(response);
        }

        if (nextUrl) {
          if (!waitForAll) {
            // if we got  we don't wait to resolve, we
            // just let it keep going and keep fetching
            fetchNext(nextUrl);
          } else {
            return fetchNext(nextUrl);
          }
        }

        if (returnMeta) {
          return {
            meta: meta,
            data: response && response.entry || []
          };
        }

        if (waitForAll) {
          return incomingResponseArrayHandler ? incomingResponseArrayHandler(responseArray) : responseArray;
        } else {
          return incomingResponseArrayHandler ? incomingResponseArrayHandler([response]) : response;
        }
      });
    };

    return fetchNext(relative);
  };
};

exports.getFhirFetch = getFhirFetch;
},{"./get-standard-headers":"bgxm","./handle-http-response":"fHz6","./object":"JIRj"}],"QRRL":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getGqlFetch = void 0;

var _getStandardHeaders = require("./get-standard-headers");

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var defaults = {
  getToken: function getToken() {
    return null;
  }
};
/**
 * @param {{
 *   apiUrl: string
 *   getAppInfo?: () => {
 *     tabId: string
 *     appName: string
 *     appVersion: string
 *   }
 *   getToken: () => string
 *   handleNotAuthorized: () => any
 *   handleNoAuthentication: () => any
 * }} options
 * @returns {(query: string, variables?: any) => Promise}
 */

var getGqlFetch = function getGqlFetch(options) {
  return function (query) {
    var variables = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : null;
    var opts = Object.assign({}, defaults, options);
    var token = opts.getToken();
    var encodedQuery = encodeURIComponent(query.trim());
    var tokenQuery = token ? "&token=".concat(token) : '';

    var headers = _objectSpread(_objectSpread({}, variables ? {
      'content-type': 'application/json'
    } : null), opts.getAppInfo ? (0, _getStandardHeaders.getStandardHeaders)(opts.getAppInfo()) : null);

    return fetch("".concat(opts.apiUrl, "/graphql?query=").concat(encodedQuery).concat(tokenQuery), {
      method: 'post',
      body: variables ? JSON.stringify({
        variables: variables
      }) : null,
      headers: headers
    }).then(function (response) {
      return response.json();
    }).then(function (parsed) {
      if (parsed.errors) {
        parsed.errors.forEach(function (error) {
          if (error.message === 'NO_AUTHENTICATION') {
            opts.handleNoAuthentication();
          }

          if (error.message === 'NOT_AUTHORIZED') {
            opts.handleNotAuthorized();
          }
        });
        throw parsed.errors;
      }

      return parsed;
    });
  };
};

exports.getGqlFetch = getGqlFetch;
},{"./get-standard-headers":"bgxm"}],"qXUO":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.once = exports.limitCalls = exports.arrayOfKeysMemoize = exports.singleArgMemoize = void 0;

var _object = require("./object");

// dead simple memoization. Only skips
// compute if first arg is same only
// stores one answer
var singleArgMemoize = function singleArgMemoize(fn) {
  var answer;
  var lastArg;
  var hasRun = false;
  return function (arg1) {
    if (arg1 === lastArg && hasRun) {
      return answer;
    }

    hasRun = true;
    answer = fn(arg1);
    lastArg = arg1;
    return answer;
  };
};

exports.singleArgMemoize = singleArgMemoize;

var serialize = function serialize(obj, keys) {
  var buff = '';

  for (var i = 0, l = keys.length; i < l; i++) {
    var key = keys[i];
    buff += "".concat(key, ":").concat(obj[key]);
  }

  return buff;
};

var arrayOfKeysMemoize = function arrayOfKeysMemoize(keys) {
  var answer;
  var lastArg;
  var hasRun = false;
  return function (obj) {
    var serialized = serialize(obj, keys);

    if (serialized === lastArg && hasRun) {
      return answer;
    }

    hasRun = true;
    answer = (0, _object.pluck)(obj, keys);
    lastArg = serialized;
    return answer;
  };
};

exports.arrayOfKeysMemoize = arrayOfKeysMemoize;

var limitCalls = function limitCalls(fn, times) {
  var memo;
  return function () {
    if (times-- > 0) {
      memo = fn.apply(this, arguments);
    } else {
      fn = null;
    }

    return memo;
  };
};

exports.limitCalls = limitCalls;

var once = function once(fn) {
  return limitCalls(fn, 1);
};

exports.once = once;
},{"./object":"JIRj"}],"eY05":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.formatSedationLevel = void 0;
var nameMap = {
  local: 'Local',
  minimal: 'Minimal',
  moderate: 'Moderate',
  deep: 'Deep',
  ga: 'GA'
};

var formatSedationLevel = function formatSedationLevel(sedationLevel) {
  return nameMap[sedationLevel] || '(not set)';
};

exports.formatSedationLevel = formatSedationLevel;
},{}],"nMWU":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.addCommas = void 0;

var _toNumber = require("./to-number");

var addCommas = function addCommas(input) {
  return new Intl.NumberFormat('en-US').format((0, _toNumber.toNumber)(input));
};

exports.addCommas = addCommas;
},{"./to-number":"u6Qp"}],"EEr4":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.formatEpi = void 0;

var _formatNumber = require("./format-number");

var formatEpi = function formatEpi(number) {
  return number == 0 ? '(no epi)' : "1:".concat((0, _formatNumber.addCommas)(Math.round(number * 1000)), " epi");
};

exports.formatEpi = formatEpi;
},{"./format-number":"nMWU"}],"JJKB":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.formatPercent = void 0;

var _decimals = require("./decimals");

var formatPercent = function formatPercent(number, precision) {
  return "".concat((0, _decimals.roundToDecimal)(number * 100, typeof precision === 'number' ? precision : 2), "%");
};

exports.formatPercent = formatPercent;
},{"./decimals":"fys1"}],"bhQV":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.localAnestheticVariantsList = exports.getLocalVariantLabel = exports.getLocalVariantSubName = void 0;

var _milliseconds = _interopRequireDefault(require("milliseconds"));

var _object = require("./object");

var _formatEpi = require("./format-epi");

var _formatPercent = require("./format-percent");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var localAnestheticListAsArray = [{
  id: '142440',
  name: 'Lidocaine',
  brandName: 'Xylocaine',
  percent: 0.02,
  halfLife: _milliseconds.default.minutes(120),
  input: 'cartridges',
  variants: [{
    id: '142440|0',
    epi: 0,
    color: '#5A77AC',
    manAbsoluteMax: 300,
    manRatioMax: 4.5
  }, {
    id: '142440|1',
    epi: 50,
    color: '#007D59',
    manAbsoluteMax: 500,
    manRatioMax: 7,
    aapdAbsoluteMax: 300,
    aapdRatioMax: 4.4
  }, {
    id: '142440|2',
    epi: 100,
    color: '#FB0019',
    manAbsoluteMax: 500,
    manRatioMax: 7,
    aapdAbsoluteMax: 300,
    aapdRatioMax: 4.4
  }]
}, {
  id: '2117',
  name: 'Articaine',
  brandName: 'Septocaine',
  percent: 0.04,
  halfLife: _milliseconds.default.minutes(44.4),
  input: 'cartridges',
  variants: [{
    id: '2117|0',
    epi: 100,
    color: '#B28768',
    manAbsoluteMax: null,
    manRatioMax: 7,
    aapdAbsoluteMax: 500,
    aapdRatioMax: 7,
    minAge: 5,
    enableDilute: true,
    ageWarning: 'Manufacturer recommends not using on patients 4 and under.'
  }, {
    id: '2117|1',
    epi: 200,
    color: '#807772',
    manAbsoluteMax: null,
    manRatioMax: 7,
    aapdAbsoluteMax: 500,
    aapdRatioMax: 7,
    minAge: 5,
    enableDilute: true,
    ageWarning: 'Manufacturer recommends not using on patients 4 and under.'
  }]
}, {
  id: '267396',
  name: 'Bupivacaine',
  brandName: 'Marcaine',
  percent: 0.005,
  halfLife: _milliseconds.default.hours(3.5),
  nameForChart: '0.5% Bupiv.',
  input: 'cartridges',
  variants: [{
    id: '267396|0',
    epi: 200,
    color: '#2063A1',
    manAbsoluteMax: 90,
    manRatioMax: 7,
    minAge: 13,
    enableDilute: true,
    ageWarning: 'Extra caution advised for pediatric patients.'
  }]
}, {
  id: '2557',
  name: 'Prilocaine',
  brandName: 'Citanest',
  percent: 0.04,
  halfLife: _milliseconds.default.hours(1.6),
  input: 'cartridges',
  variants: [{
    id: '2557|0',
    epi: 200,
    color: '#FFE95E',
    manAbsoluteMax: 600,
    manRatioMax: 8,
    aapdAbsoluteMax: 400,
    aapdRatioMax: 6
  }, {
    id: '2557|1',
    epi: 0,
    color: '#2B251F',
    manAbsoluteMax: 600,
    manRatioMax: 8,
    aapdAbsoluteMax: 300,
    aapdRatioMax: 6
  }]
}, {
  id: '203185',
  name: 'Mepivacaine',
  brandName: 'Carbocaine',
  percent: 0.03,
  halfLife: _milliseconds.default.hours(1.9),
  input: 'cartridges',
  variants: [{
    id: '203185|0',
    color: '#EFC09B',
    manAbsoluteMax: 400,
    manRatioMax: 6.6,
    aapdAbsoluteMax: 300,
    aapdRatioMax: 4.4
  }, {
    id: '700826|0',
    drugIdOverride: '700826',
    subName: '1:20,000 Levonordefrin',
    nameForChart: 'Mepivacaine',
    unitForChart: 'Levonordefrin',
    percent: 0.02,
    color: '#874C41',
    manAbsoluteMax: 400,
    manRatioMax: 6.6,
    aapdAbsoluteMax: 300,
    aapdRatioMax: 4.4
  }]
}, {
  id: '1726513',
  name: 'Exparel™',
  altName: 'Bupivacaine liposome susp.',
  reminder: 'Never to be injected within 20 minutes of any other kind of non-Bupivacaine local anesthetic, nor is any other local anesthetic to be given 96 hours after Exparel.',
  percent: 0.0133,
  halfLife: _milliseconds.default.hours(24),
  input: 'mg',
  variants: [{
    id: '1726513|0',
    color: '#044F56',
    minAge: 18,
    ageWarning: 'FDA approved for 18+ only.'
  }]
}, {
  id: '1856568',
  name: 'OraVerse™',
  altName: 'Phentolamine Mesylate',
  reminder: 'Should only follow local anesthetics that contain a vasoconstrictor.',
  percent: 0.4 / 1.7 / 1000,
  input: 'cartridges',
  variants: [{
    id: '1856568|0',
    subName: '0.4 mg/1.7 mL',
    color: '#B2EB87',
    minAge: 3,
    noEpiWarning: 'No doses with epinepherine have been recorded. Should only be given after locals with a vasoconstrictor.',
    ageWarning: 'The safety and efficacy of Phentolamine Mesylate has not been established in patients younger than 3 years.',
    // very important!
    skipForToxicity: true
  }]
}];

var getLocalVariantSubName = function getLocalVariantSubName(variant) {
  if (variant.subName) {
    return variant.subName;
  }

  if (variant.epi != null) {
    if (typeof variant.epi === 'number') {
      return (0, _formatEpi.formatEpi)(variant.epi);
    }

    return '(no epi)';
  }
};

exports.getLocalVariantSubName = getLocalVariantSubName;

var getLocalVariantLabel = function getLocalVariantLabel(variant) {
  var fullVariantName = "".concat(variant.name).concat(variant.subName ? ' ' + variant.subName : '');

  if (variant.percent) {
    fullVariantName = "".concat((0, _formatPercent.formatPercent)(variant.percent), " ").concat(fullVariantName);
  }

  return fullVariantName;
};

exports.getLocalVariantLabel = getLocalVariantLabel;
var variantDefaults = {
  epi: 0
};
var localAnestheticVariantsList = localAnestheticListAsArray.reduce(function (result, drug) {
  drug.variants.forEach(function (variant) {
    result.push(_objectSpread(_objectSpread(_objectSpread(_objectSpread({}, (0, _object.omit)(drug, ['variants'])), {}, {
      rxcui: drug.id
    }, variantDefaults), variant), {}, {
      subName: getLocalVariantSubName(variant)
    }));
  });
  return result;
}, []);
exports.localAnestheticVariantsList = localAnestheticVariantsList;
},{"milliseconds":"dzFk","./object":"JIRj","./format-epi":"EEr4","./format-percent":"JJKB"}],"PV4q":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.kgToLbs = exports.lbsToKg = exports.centimetersToFeetInches = exports.inchesToCentimeters = void 0;
var CM_TO_IN = 2.54;
var KG_TO_LBS = 0.45359237;

var inchesToCentimeters = function inchesToCentimeters(inches) {
  return CM_TO_IN * inches;
};

exports.inchesToCentimeters = inchesToCentimeters;

var centimetersToFeetInches = function centimetersToFeetInches(cm) {
  var lengthInInches = cm / CM_TO_IN;
  var feet = Math.floor(lengthInInches / 12);
  var inches = Math.round(lengthInInches % feet);
  return {
    feet: feet,
    inches: inches
  };
};

exports.centimetersToFeetInches = centimetersToFeetInches;

var lbsToKg = function lbsToKg(lbs) {
  return KG_TO_LBS * lbs;
};

exports.lbsToKg = lbsToKg;

var kgToLbs = function kgToLbs(kg) {
  return kg / KG_TO_LBS;
};

exports.kgToLbs = kgToLbs;
},{}],"Lo6d":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.parseThenRestateHeight = exports.parseHeightInCm = exports.parseHeight = exports.parsedHeightToString = exports.inchesToString = exports.parseInches = void 0;

var _metricConversion = require("./metric-conversion");

var _function = require("./function");

var ONLY_NUMBERS_RE = /^\d+$/;
var ONLY_FEET_RE = /^\s*(\d{1,2})[\s_-]*[f'’]\D*$/i;
var ONLY_INCHES_RE = /^\s*(\d{1,3})\D*$/;
var FEET_INCHES_RE = /^([1-9])\D*(0|1|2|3|4|5|6|7|8|9|10|11)\D*$/;
var HAS_METER_UNIT = /\d+[\s_-]*m/i;
var HAS_CM_UNIT = /\d+[\s_-]*c/i;
var SINGLE_DIGIT_WITH_DECIMAL_RE = /^\d?\.\d\d*$/;
var MAX_INCHES = 120; // 10 feet (http://www.guinnessworldrecords.com/world-records/tallest-man-ever)

var MAX_CM = (0, _metricConversion.inchesToCentimeters)(MAX_INCHES);

var parseInches = function parseInches(string) {
  if (ONLY_FEET_RE.test(string)) {
    return parseInt(string, 10) * 12;
  }

  var onlyInches = ONLY_INCHES_RE.exec(string);
  var multiple = FEET_INCHES_RE.exec(string);

  if (onlyInches) {
    return parseInt(onlyInches[1], 10);
  }

  if (multiple) {
    var feet = parseInt(multiple[1], 10);
    var inches = parseInt(multiple[2], 10);
    return feet * 12 + inches;
  }

  return null;
};

exports.parseInches = parseInches;

var inchesToString = function inchesToString(inches) {
  var feet = Math.floor(inches / 12);
  var inch = inches - feet * 12;
  return "".concat(feet, "'").concat(inch, "\"");
};

exports.inchesToString = inchesToString;

var parsedHeightToString = function parsedHeightToString(heightObj) {
  if (!heightObj) {
    return '';
  }

  var unit = heightObj.unit,
      value = heightObj.value;

  if (unit === 'cm') {
    return "".concat(value, "cm");
  }

  return inchesToString(value);
};

exports.parsedHeightToString = parsedHeightToString;

var parseHeightRaw = function parseHeightRaw(string) {
  if (!string) {
    return null;
  }

  if (ONLY_NUMBERS_RE.test(string) && string.length > 2) {
    return {
      value: parseInt(string, 10),
      unit: 'cm'
    };
  }

  if (HAS_METER_UNIT.test(string) || SINGLE_DIGIT_WITH_DECIMAL_RE.test(string)) {
    return {
      value: Math.round(parseFloat(string) * 100),
      unit: 'cm'
    };
  }

  if (HAS_CM_UNIT.test(string)) {
    return {
      value: parseInt(string, 10),
      unit: 'cm'
    };
  }

  var inches = parseInches(string);

  if (inches) {
    return {
      value: inches,
      unit: 'in'
    };
  }

  return null;
}; // sanity check max/min values


var parseHeight = (0, _function.singleArgMemoize)(function (str) {
  var result = parseHeightRaw(str);

  if (!result) {
    return null;
  }

  var value = result.value,
      unit = result.unit;

  if (unit === 'in' && value > MAX_INCHES) {
    return null;
  }

  if (unit === 'cm' && value > MAX_CM) {
    return null;
  }

  return result;
});
exports.parseHeight = parseHeight;

var parseHeightInCm = function parseHeightInCm(str) {
  var parsed = parseHeight(str);

  if (!parsed) {
    return null;
  }

  if (parsed.unit === 'cm') {
    return parsed.value;
  }

  return Math.round((0, _metricConversion.inchesToCentimeters)(parsed.value));
};

exports.parseHeightInCm = parseHeightInCm;
var parseThenRestateHeight = (0, _function.singleArgMemoize)(function (str) {
  return parsedHeightToString(parseHeight(str));
});
exports.parseThenRestateHeight = parseThenRestateHeight;
},{"./metric-conversion":"PV4q","./function":"qXUO"}],"XMdp":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.parseThenRestateWeight = exports.parseWeightInKg = exports.parseWeight = exports.parsedWeightToString = exports.parseWeightRaw = void 0;

var _metricConversion = require("./metric-conversion");

var _function = require("./function");

var HAS_K_UNIT = /\d+[\s_-]*k/i;
var MAX_KG = 650; // https://en.wikipedia.org/wiki/List_of_the_heaviest_people

var MAX_LBS = parseInt((0, _metricConversion.kgToLbs)(MAX_KG), 10);

var parseWeightRaw = function parseWeightRaw(str) {
  if (HAS_K_UNIT.test(str)) {
    return {
      value: parseInt(str, 10),
      unit: 'kg'
    };
  }

  var parsedInt = parseInt(str, 10);

  if (parsedInt) {
    return {
      value: parseInt(str, 10),
      unit: 'lbs'
    };
  }

  return null;
};

exports.parseWeightRaw = parseWeightRaw;

var parsedWeightToString = function parsedWeightToString(weightObj) {
  if (!weightObj) {
    return '';
  }

  var unit = weightObj.unit,
      value = weightObj.value;
  return "".concat(value).concat(unit);
}; // sanity check max/min values


exports.parsedWeightToString = parsedWeightToString;

var parseWeight = function parseWeight(str) {
  var result = parseWeightRaw(str);

  if (!result) {
    return null;
  }

  var value = result.value,
      unit = result.unit;

  if (unit === 'kg' && value > MAX_KG) {
    return null;
  }

  if (unit === 'lbs' && value > MAX_LBS) {
    return null;
  }

  return result;
};

exports.parseWeight = parseWeight;

var parseWeightInKg = function parseWeightInKg(str) {
  var parsed = parseWeight(str);

  if (!parsed) {
    return null;
  }

  if (parsed.unit === 'kg') {
    return parsed.value;
  }

  return Math.round((0, _metricConversion.lbsToKg)(parsed.value));
};

exports.parseWeightInKg = parseWeightInKg;
var parseThenRestateWeight = (0, _function.singleArgMemoize)(function (str) {
  return parsedWeightToString(parseWeight(str));
});
exports.parseThenRestateWeight = parseThenRestateWeight;
},{"./metric-conversion":"PV4q","./function":"qXUO"}],"nATs":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.bpmToPlaybackSpeed = void 0;

var _decimals = require("./decimals");

var baselineBPM = 60; // baseline bpm

var bpmToPlaybackSpeed = function bpmToPlaybackSpeed(bpm) {
  var res = (0, _decimals.roundToDecimal)((bpm === null ? 60 : bpm) / baselineBPM, 3);
  return isNaN(res) ? 1 : res;
};

exports.bpmToPlaybackSpeed = bpmToPlaybackSpeed;
},{"./decimals":"fys1"}],"aur0":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getColorForIndex = void 0;
var colors = ['light-blue', 'green', 'yellow', 'light-red', 'light-pink', 'navy', 'dark-green'];

var getColorForIndex = function getColorForIndex(index) {
  return colors[index % colors.length];
};

exports.getColorForIndex = getColorForIndex;
},{}],"JDat":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.airwayTypeLookup = void 0;
var airwayTypeLookup = {
  cpap: {
    name: 'CPAP'
  },
  et: {
    name: 'Endotracheal Tube'
  },
  lma: {
    name: 'Laryngeal Mask Airway'
  },
  mad: {
    name: 'Mandibular Advancement Device',
    basic: true
  },
  nc: {
    name: 'Nasal Cannula',
    basic: true
  },
  nh: {
    name: 'Nasal Hood',
    basic: true
  },
  nt: {
    name: 'Nasopharyngeal Airway (NPA)'
  },
  ntt: {
    name: 'Nasotracheal Tube'
  },
  opa: {
    name: 'Oropharyngeal Airway (OPA)'
  },
  fm: {
    name: 'Face Mask'
  },
  other: {
    name: 'Other'
  }
};
exports.airwayTypeLookup = airwayTypeLookup;
},{}],"vwIT":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

// @ts-check
// these match pino on the server-side
var levels = {
  trace: 10,
  debug: 20,
  info: 30,
  warn: 40,
  error: 50,
  fatal: 60
};

var levelToNumber = function levelToNumber(levelName) {
  return levels[levelName];
};
/** @typedef {'trace' | 'debug' | 'info' | 'warn' | 'error' | 'fatal'} LogLevel */

/**
 * @typedef {{
 *   writeToConsole?: boolean
 *   writeAsObject?: boolean
 *   level?: LogLevel
 *   beaconLevel?: LogLevel
 *   sendLogs?: boolean
 * }} LoggerOptions
 */

/** @typedef {(data, message) => void} LogFn */

/**
 * @typedef {{
 *   trace: LogFn
 *   debug: LogFn
 *   info: LogFn
 *   warn: LogFn
 *   error: LogFn
 *   fatal: LogFn
 *   child: (any) => LoggerInstance
 * }} LoggerInstance
 */

/**
 * @param {LoggerOptions} spec
 * @param {any} bindings
 * @returns {LoggerInstance}
 */


var getLogger = function getLogger(spec, bindings) {
  /** @type {LoggerOptions} */
  var options = _objectSpread({
    writeToConsole: true,
    writeAsObject: false,
    level: 'info',
    beaconLevel: 'info',
    sendLogs: true
  }, spec);

  var level = options.level,
      beaconLevel = options.beaconLevel,
      writeToConsole = options.writeToConsole,
      sendLogs = options.sendLogs,
      writeAsObject = options.writeAsObject;
  var currentLevelAsNumber = levelToNumber(level);
  var beaconLevelAsNumber = levelToNumber(beaconLevel);

  var log = function log(level, metadata, message) {
    if (typeof metadata === 'string') {
      message = metadata;
      metadata = {};
    }

    var asNumber = levelToNumber(level);
    var processedBindings = {};

    for (var key in bindings) {
      var value = bindings[key];

      try {
        processedBindings[key] = typeof value === 'function' ? value() : value;
      } catch (e) {// blank
      }
    }

    var asObject = _objectSpread(_objectSpread({
      level: level,
      message: message,
      url: location.href,
      time: Date.now()
    }, metadata), processedBindings);

    if (writeToConsole && asNumber >= currentLevelAsNumber) {
      if (writeAsObject) {
        // eslint-disable-next-line no-console
        console[level](asObject);
      } else {
        // eslint-disable-next-line no-console
        console[asObject.level](asObject.message, asObject);
      }
    }

    if (sendLogs && asNumber >= beaconLevelAsNumber) {
      try {
        // @ts-ignore
        window.__sendLog(asObject);
      } catch (e) {
        console.error('failed to send log');
      }
    }
  };

  var child = function child(obj) {
    return getLogger(options, _objectSpread(_objectSpread({}, bindings), obj));
  };

  var getLogFn = function getLogFn(level) {
    return function () {
      for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
        args[_key] = arguments[_key];
      }

      return log.apply(void 0, [level].concat(args));
    };
  };

  return {
    trace: getLogFn('trace'),
    debug: getLogFn('debug'),
    info: getLogFn('info'),
    warn: getLogFn('warn'),
    error: getLogFn('error'),
    fatal: getLogFn('fatal'),
    child: child
  };
};

var _default = getLogger;
exports.default = _default;
},{}],"Dd0O":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.birthDateField = void 0;

var _parseDob = _interopRequireDefault(require("parse-dob"));

var _dobToAge = _interopRequireDefault(require("dob-to-age"));

var _function = require("../utils/function");

var _date = require("../utils/date");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var parseDobMemoized = (0, _function.singleArgMemoize)(function (dob) {
  return (0, _parseDob.default)(dob, 'en-US');
});
var birthDateField = {
  label: 'Birth Date',
  name: 'birthDate',
  onInput: true,
  subLabel: function subLabel(item) {
    var parsed = parseDobMemoized(item.value || '');

    if (!parsed) {
      return "You can use MM/DD/YYYY or \"dec 23 83\". Interpreted result will appear here. ";
    }

    return "Interpreted as: ".concat((0, _date.formatBirthDate)(parsed), " (").concat((0, _dobToAge.default)(parsed), " years old).");
  },
  completenessTest: parseDobMemoized,
  test: function test(val) {
    var parsed = parseDobMemoized(val);

    if (val && !parsed) {
      return 'Could not interpret birth date yet. ';
    }
  },
  tourVal: '12/01/1984',
  inputWidth: '180px',
  getFinalValue: function getFinalValue(val) {
    return parseDobMemoized(val);
  }
};
exports.birthDateField = birthDateField;
},{"parse-dob":"D6Ze","dob-to-age":"JLza","../utils/function":"qXUO","../utils/date":"ZbyX"}],"iDg7":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.heightFieldDefs = exports.weightFieldDefs = void 0;

var _parseWeight = require("../utils/parse-weight");

var _parseHeight = require("../utils/parse-height");

var prompt = 'Interpreted value will appear here';

var getMessage = function getMessage(val) {
  return val ? "interpreted as: ".concat(val) : "Couldn't parse, please try again";
};

var weightFieldDefs = [{
  label: 'Weight',
  name: 'weight_raw',
  subLabel: function subLabel(item) {
    return item.value ? getMessage((0, _parseWeight.parseThenRestateWeight)(item.value)) : prompt;
  },
  completenessTest: _parseWeight.parseThenRestateWeight,
  test: function test(val) {
    return val && ((0, _parseWeight.parseThenRestateWeight)(val) ? null : 'Failed to parse');
  },
  onInput: true,
  tourVal: '125 lbs',
  inputWidth: '120px',
  getUpdates: function getUpdates(val) {
    return {
      weight_raw: val || '',
      weight: (0, _parseWeight.parseWeightInKg)(val)
    };
  }
}, {
  name: 'weight',
  hidden: true
}];
exports.weightFieldDefs = weightFieldDefs;
var heightFieldDefs = [{
  label: 'Height',
  name: 'height_raw',
  subLabel: function subLabel(item) {
    return item.value ? getMessage((0, _parseHeight.parseThenRestateHeight)(item.value)) : prompt;
  },
  completenessTest: _parseHeight.parseThenRestateHeight,
  test: function test(val) {
    return val && ((0, _parseHeight.parseThenRestateHeight)(val) ? null : 'Failed to parse');
  },
  onInput: true,
  tourVal: '5\'7"',
  inputWidth: '120px',
  getUpdates: function getUpdates(val) {
    return {
      height_raw: val || '',
      height: (0, _parseHeight.parseHeightInCm)(val)
    };
  }
}, {
  name: 'height',
  hidden: true
}];
exports.heightFieldDefs = heightFieldDefs;
},{"../utils/parse-weight":"XMdp","../utils/parse-height":"Lo6d"}],"sGWA":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getEnvironmentData = exports.getBrowserVersion = exports.getDevice = exports.getOs = exports.getBrowser = void 0;

var _function = require("./function");

var getBrowser = function getBrowser(ua) {
  var vendor = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : '';

  if (ua.includes(' OPR/')) {
    if (ua.includes('Mini')) {
      return 'Opera Mini';
    }

    return 'Opera';
  } else if (/(BlackBerry|PlayBook|BB10)/i.test(ua)) {
    return 'BlackBerry';
  } else if (ua.includes('IEMobile') || ua.includes('WPDesktop')) {
    return 'Internet Explorer Mobile';
  } else if (ua.includes('Edge')) {
    return 'Microsoft Edge';
  } else if (ua.includes('FBIOS')) {
    return 'Facebook Mobile';
  } else if (ua.includes('Chrome')) {
    return 'Chrome';
  } else if (ua.includes('CriOS')) {
    return 'Chrome iOS';
  } else if (ua.includes('UCWEB') || ua.includes('UCBrowser')) {
    return 'UC Browser';
  } else if (ua.includes('FxiOS')) {
    return 'Firefox iOS';
  } else if (vendor.includes('Apple')) {
    if (ua.includes('Mobile')) {
      return 'Mobile Safari';
    }

    return 'Safari';
  } else if (ua.includes('Android')) {
    return 'Android Mobile';
  } else if (ua.includes('Konqueror')) {
    return 'Konqueror';
  } else if (ua.includes('Firefox')) {
    return 'Firefox';
  } else if (ua.includes('MSIE') || ua.includes('Trident/')) {
    return 'Internet Explorer';
  } else if (ua.includes('Gecko')) {
    return 'Mozilla';
  }

  return '';
};

exports.getBrowser = getBrowser;

var getOs = function getOs(ua) {
  if (/Windows/i.test(ua)) {
    if (/Phone/.test(ua) || /WPDesktop/.test(ua)) {
      return 'Windows Phone';
    }

    return 'Windows';
  } else if (/(iPhone|iPad|iPod)/.test(ua)) {
    return 'iOS';
  } else if (/Android/.test(ua)) {
    return 'Android';
  } else if (/(BlackBerry|PlayBook|BB10)/i.test(ua)) {
    return 'BlackBerry';
  } else if (/Mac/i.test(ua)) {
    return 'Mac OS X';
  } else if (/Linux/.test(ua)) {
    return 'Linux';
  } else if (/CrOS/.test(ua)) {
    return 'Chrome OS';
  }

  return '';
};

exports.getOs = getOs;

var getDevice = function getDevice(ua) {
  if (/Windows Phone/i.test(ua) || /WPDesktop/.test(ua)) {
    return 'Windows Phone';
  } else if (/iPad/.test(ua)) {
    return 'iPad';
  } else if (/iPod/.test(ua)) {
    return 'iPod Touch';
  } else if (/iPhone/.test(ua)) {
    return 'iPhone';
  } else if (/(BlackBerry|PlayBook|BB10)/i.test(ua)) {
    return 'BlackBerry';
  } else if (/Android/.test(ua)) {
    return 'Android';
  }

  return '';
};

exports.getDevice = getDevice;
var versionRegexs = {
  'Internet Explorer Mobile': /rv:(\d+(\.\d+)?)/,
  'Microsoft Edge': /Edge\/(\d+(\.\d+)?)/,
  Chrome: /Chrome\/(\d+(\.\d+)?)/,
  'Chrome iOS': /CriOS\/(\d+(\.\d+)?)/,
  'UC Browser': /(UCBrowser|UCWEB)\/(\d+(\.\d+)?)/,
  Safari: /Version\/(\d+(\.\d+)?)/,
  'Mobile Safari': /Version\/(\d+(\.\d+)?)/,
  Opera: /(Opera|OPR)\/(\d+(\.\d+)?)/,
  Firefox: /Firefox\/(\d+(\.\d+)?)/,
  'Firefox iOS': /FxiOS\/(\d+(\.\d+)?)/,
  Konqueror: /Konqueror:(\d+(\.\d+)?)/,
  BlackBerry: /BlackBerry (\d+(\.\d+)?)/,
  'Android Mobile': /android\s(\d+(\.\d+)?)/,
  'Internet Explorer': /(rv:|MSIE )(\d+(\.\d+)?)/,
  Mozilla: /rv:(\d+(\.\d+)?)/
};

var getBrowserVersion = function getBrowserVersion(userAgent, vendor) {
  var browser = getBrowser(userAgent, vendor);
  var regex = versionRegexs[browser];

  if (regex === undefined) {
    return null;
  }

  var matches = userAgent.match(regex);

  if (!matches) {
    return null;
  }

  return parseFloat(matches[matches.length - 2]);
};

exports.getBrowserVersion = getBrowserVersion;
var IS_BROWSER = !!globalThis.navigator;
/**
 * @returns {{
 *   browser: string
 *   browserVersion: number
 *   os: string
 *   device: string
 *   nativeAppVersion: string || null
 * }}
 */

var getEnvironmentData = (0, _function.once)(function () {
  if (!IS_BROWSER) {
    return {};
  }

  var _navigator = navigator,
      vendor = _navigator.vendor,
      userAgent = _navigator.userAgent;
  var electron = false;

  if (window.acElectron) {
    electron = window.acElectron.version || 'unknown';
  }

  return {
    browser: electron ? 'Electron App' : getBrowser(userAgent, vendor),
    browserVersion: getBrowserVersion(userAgent, vendor),
    os: getOs(userAgent),
    device: getDevice(userAgent) || 'unknown',
    nativeAppVersion: electron || null
  };
});
exports.getEnvironmentData = getEnvironmentData;
},{"./function":"qXUO"}],"MWCZ":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _preact = require("preact");

var _classnames = _interopRequireDefault(require("classnames"));

var _icon = require("./icon");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

/**
 * @typedef PillsProps
 * @property {{ icon: string; text: string }[]} items
 * @property {string} [pillBgColor]
 * @property {string} [pillTextColor]
 */

/**
 * Pills
 *
 * @type {import('preact').FunctionComponent<PillsProps>}
 */
var _default = function _default(_ref) {
  var items = _ref.items,
      _ref$pillBgColor = _ref.pillBgColor,
      pillBgColor = _ref$pillBgColor === void 0 ? 'white' : _ref$pillBgColor,
      _ref$pillTextColor = _ref.pillTextColor,
      pillTextColor = _ref$pillTextColor === void 0 ? 'dark-blue' : _ref$pillTextColor,
      _ref$hideTextIfSmall = _ref.hideTextIfSmall,
      hideTextIfSmall = _ref$hideTextIfSmall === void 0 ? false : _ref$hideTextIfSmall,
      rest = _objectWithoutProperties(_ref, ["items", "pillBgColor", "pillTextColor", "hideTextIfSmall"]);

  return (0, _preact.h)("div", rest, items.map(function (_ref2, index) {
    var icon = _ref2.icon,
        text = _ref2.text;
    return (0, _preact.h)("span", {
      key: text,
      className: "inline-flex items-center pa1 f6 bg-".concat(pillBgColor, " ").concat(pillTextColor, " br-pill mr").concat(index === items.length - 1 ? '0' : '2'),
      title: text
    }, icon && (0, _preact.h)(_icon.Icon, {
      icon: icon,
      size: "16",
      className: "mh1"
    }), text && (0, _preact.h)("span", {
      className: (0, _classnames.default)('mh1', hideTextIfSmall && 'dn db-ns')
    }, text));
  }));
};

exports.default = _default;
},{"preact":"aSor","classnames":"qb7c","./icon":"dvrm"}],"Tn3R":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _preact = require("preact");

var _classnames = _interopRequireDefault(require("classnames"));

var _logo = require("./logo");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var _default = function _default(_ref) {
  var _ref$visible = _ref.visible,
      visible = _ref$visible === void 0 ? true : _ref$visible,
      _ref$message = _ref.message,
      message = _ref$message === void 0 ? 'Loading...' : _ref$message,
      rest = _objectWithoutProperties(_ref, ["visible", "message"]);

  return (0, _preact.h)("div", _extends({
    "data-e2e": "loadingScreen",
    className: (0, _classnames.default)('left-0 top-0 z-2 fixed vh-100 w-100 bg-dark-blue transition flex items-center justify-center', {
      'o-100': visible,
      'o-0': !visible
    })
  }, rest), (0, _preact.h)("div", {
    className: "mb4"
  }, (0, _preact.h)(_logo.XChart, {
    light: true,
    className: "pulse-animation h2 h3-m h4-l"
  })), (0, _preact.h)("div", {
    className: "fixed bottom-0 right-0 pa3 f4 light-blue tc o-60"
  }, message));
};

exports.default = _default;
},{"preact":"aSor","classnames":"qb7c","./logo":"A64P"}],"XH59":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }

function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && Symbol.iterator in Object(iter)) return Array.from(iter); }

function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

/**
 * @param {{
 *   recentActionsToTrack?: number
 *   maxByteSize?: number
 * }} [options]
 * @returns
 */
var getRecentActionsBundle = function getRecentActionsBundle() {
  var _ref = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {},
      _ref$recentActionsToT = _ref.recentActionsToTrack,
      recentActionsToTrack = _ref$recentActionsToT === void 0 ? 20 : _ref$recentActionsToT,
      _ref$maxByteSize = _ref.maxByteSize,
      maxByteSize = _ref$maxByteSize === void 0 ? 10000 : _ref$maxByteSize;

  return {
    name: 'recentActions',
    init: function init(store) {
      store.getRecentActions = function () {
        try {
          var getLen = function getLen(items) {
            return JSON.stringify(items).length;
          };

          var isTooBig = function isTooBig(items) {
            return getLen(items) > maxByteSize;
          };

          var copy = _toConsumableArray(store.meta.recentActions);

          var allowedPerEntry = Math.round((maxByteSize - 5) / copy.length);

          if (isTooBig(copy)) {
            // this is important so we can trim down really large action payloads
            for (var i = 0, len = copy.length; i < len; i++) {
              var entry = copy[i];

              if (getLen(entry) > allowedPerEntry) {
                copy[i] = {
                  type: entry.type,
                  payload: '_LONG_'
                };
              }
            }
          } // trim until we fit (this shouldn't be necessary)


          while (isTooBig(copy)) {
            copy.shift();
          }

          return copy;
        } catch (e) {
          return 'error serializing recent actions';
        }
      };
    },
    getMiddleware: function getMiddleware() {
      return function (store) {
        return function (next) {
          return function (action) {
            // only log non-idle actions
            if (action.type !== 'APP_IDLE') {
              var recentActions = store.meta.recentActions || (store.meta.recentActions = []);
              recentActions.push(action);

              if (recentActions.length > recentActionsToTrack) {
                recentActions.shift();
              }
            }

            return next(action);
          };
        };
      };
    }
  };
};

var _default = getRecentActionsBundle;
exports.default = _default;
},{}],"tLIr":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _cookie = require("../utils/cookie");

// writes a beta cookie lazily
// for opting into beta
var _default = function _default(_ref) {
  var domain = _ref.domain,
      redirect = _ref.redirect,
      maxAge = _ref.maxAge;
  return {
    name: 'betaBundle',
    init: function init(store) {
      setTimeout(store.doEnsureBetaCookie, 2000);
    },
    doEnsureBetaCookie: function doEnsureBetaCookie() {
      return function () {
        (0, _cookie.writeCookie)('beta', 1, {
          maxAge: maxAge,
          domain: domain
        });
      };
    },
    doLeaveBeta: function doLeaveBeta() {
      return function () {
        (0, _cookie.deleteCookie)('beta', domain);
        location = redirect;
      };
    }
  };
};

exports.default = _default;
},{"../utils/cookie":"Xp3r"}],"sMOV":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getOrCreateUid = exports.createUid = exports.deleteUid = exports.getUid = void 0;

var _milliseconds = _interopRequireDefault(require("milliseconds"));

var _cookie = require("./cookie");

var _uuid = require("./uuid");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// @ts-check
var domain = globalThis.location && globalThis.location.hostname.split('.').slice(-2).join('.') || 'xchart.com';

var getUid = function getUid() {
  return (0, _cookie.readCookie)('uid');
};

exports.getUid = getUid;

var deleteUid = function deleteUid() {
  return (0, _cookie.deleteCookie)('uid', domain);
};

exports.deleteUid = deleteUid;

var createUid = function createUid() {
  var uid = (0, _uuid.uuid)();

  try {
    (0, _cookie.writeCookie)('uid', uid, {
      maxAge: _milliseconds.default.years(10),
      domain: domain
    });
  } catch (e) {// intentionally not used
  }

  return uid;
};

exports.createUid = createUid;

var getOrCreateUid = function getOrCreateUid() {
  return getUid() || createUid();
};

exports.getOrCreateUid = getOrCreateUid;
},{"milliseconds":"dzFk","./cookie":"Xp3r","./uuid":"wwsb"}],"HJrc":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _browserDetection = require("./browser-detection");

var _uidCookieValue = require("./uid-cookie-value");

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var encode = function encode(obj) {
  var str = JSON.stringify(obj);
  return btoa(encodeURIComponent(str).replace(/%([0-9A-F]{2})/g, function (_, p1) {
    return String.fromCharCode('0x' + p1);
  }));
};

var send = function send(baseUrl, url, obj) {
  var debug = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : false;

  if (debug) {
    console.info('sending', obj);
  }

  var builtUrl = "".concat(baseUrl).concat(url, "?data=").concat(encode(obj));

  if (globalThis.navigator && globalThis.navigator.sendBeacon) {
    navigator.sendBeacon(builtUrl);
  }
};

var utmList = ['utm_id', 'utm_source', 'utm_medium', 'utm_campaign', 'utm_term', 'utm_content', // Other tracking params, as listed by mixpanel for various platforms:
// src: https://docs.mixpanel.com/docs/tracking/reference/javascript#tracking-utm-parameters
'dclid', 'fbclid', 'gclid', 'ko_click_id', 'li_fat_id', 'msclkid', 'ttclid', 'twclid', 'wbraid'];

var getUtmParams = function getUtmParams() {
  var result = {};

  try {
    var params = new URLSearchParams(window.location.search); // Iterating the search parameters

    utmList.forEach(function (param) {
      if (params.has(param)) {
        result[param] = params.get(param);
      }
    });
  } catch (err) {// nothing
  }

  return result;
};
/**
 * @param {string} baseUrl
 * @param {boolean} [debug=false] Default is `false`
 */


var _default = function _default(baseUrl) {
  var debug = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
  var envProps = (0, _browserDetection.getEnvironmentData)();
  var anonId = (0, _uidCookieValue.getOrCreateUid)();

  var engage = function engage(obj) {
    return send(baseUrl, '/engage/', obj, debug);
  };

  var _track = function track(event, props) {
    return send(baseUrl, '/track/', {
      event: event,
      properties: _objectSpread({
        distinct_id: realId || anonId
      }, props)
    }, debug);
  };

  var realId;
  return {
    identify: function identify(_ref) {
      var id = _ref.id,
          name = _ref.name,
          email = _ref.email,
          rest = _objectWithoutProperties(_ref, ["id", "name", "email"]);

      if (!realId) {
        realId = id;

        _track('$identify', {
          $anon_distinct_id: anonId,
          $identified_id: id
        });
      }

      engage({
        $distinct_id: realId,
        $set: _objectSpread({
          $name: name,
          $email: email
        }, rest)
      });
    },
    track: function track(event, props) {
      return _track(event, _objectSpread(_objectSpread({
        $current_url: window.location.href,
        $screen_height: window.innerHeight,
        $screen_width: window.innerWidth,
        $browser: envProps.browser,
        $browser_version: envProps.browserVersion,
        $os: envProps.os,
        $device: envProps.device,
        nativeAppVersion: envProps.nativeAppVersion,
        app_version: window.version || 0
      }, getUtmParams()), {}, {
        referrer: document.referrer
      }, props));
    }
  };
};

exports.default = _default;
},{"./browser-detection":"sGWA","./uid-cookie-value":"sMOV"}],"ws0n":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.promiseTimeout = void 0;

/**
 * @param {{
 *   timeout: number
 *   promise: Promise<any>
 *   shouldReject: boolean
 * }} opts
 * @returns
 */
var promiseTimeout = function promiseTimeout(_ref) {
  var timeout = _ref.timeout,
      promise = _ref.promise,
      _ref$shouldReject = _ref.shouldReject,
      shouldReject = _ref$shouldReject === void 0 ? true : _ref$shouldReject;
  return Promise.race([promise, new Promise(function (resolve, reject) {
    var id = setTimeout(function () {
      clearTimeout(id);
      shouldReject ? reject() : resolve();
    }, timeout);
  })]);
};

exports.promiseTimeout = promiseTimeout;
},{}],"FPJl":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.deSlug = exports.spaceAndCapitalize = exports.unCapitalize = exports.capitalize = void 0;

var capitalize = function capitalize(str) {
  return !str ? '' : str.slice(0, 1).toUpperCase() + str.slice(1);
};

exports.capitalize = capitalize;

var unCapitalize = function unCapitalize(str) {
  return !str ? '' : str.slice(0, 1).toLowerCase() + str.slice(1);
};

exports.unCapitalize = unCapitalize;

var spaceAndCapitalize = function spaceAndCapitalize(str) {
  var words = str.split(/(?=[A-Z])/);
  return words.map(function (word, index) {
    return index === 0 ? capitalize(word) : unCapitalize(word);
  }).join(' ');
};

exports.spaceAndCapitalize = spaceAndCapitalize;

var deSlug = function deSlug(str) {
  return !str ? '' : str.replace(/-/g, ' ');
};

exports.deSlug = deSlug;
},{}],"t8y1":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.serializeError = void 0;

var serializeError = function serializeError(obj) {
  return obj && (obj.message || obj.stack) ? {
    message: obj.message,
    stack: obj.stack
  } : obj;
};

exports.serializeError = serializeError;
},{}],"RufF":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.clientRenderToString = void 0;

var _preact = require("preact");

var clientRenderToString = function clientRenderToString(contents) {
  var el = document.createElement('div');
  (0, _preact.render)(contents, el);
  return el.innerHTML;
};

exports.clientRenderToString = clientRenderToString;
},{"preact":"aSor"}],"mp77":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isSedationLevelAllowed = void 0;
var levels = ['local', 'minimal', 'moderate', 'deep', 'ga'];

var getSedLimitScore = function getSedLimitScore(limit) {
  return levels.indexOf((limit || '').toLowerCase()) + 1 || 10;
};

var isSedationLevelAllowed = function isSedationLevelAllowed(maxLimit, itemToTest) {
  return !maxLimit || getSedLimitScore(itemToTest) <= getSedLimitScore(maxLimit);
};

exports.isSedationLevelAllowed = isSedationLevelAllowed;
},{}],"lILk":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.trimDrugName = exports.trimText = void 0;

/**
 * Trims the string to the given length, adding an ellipsis if necessary. The
 * ellipsis counts as a character so the returned string will be at most
 * `maxLen` characters.
 *
 * @param {string} name
 * @param {string} maxLen
 * @returns {string}
 */
var trimText = function trimText(str, maxLen) {
  if (str.length > maxLen) {
    return str.slice(0, maxLen - 1) + '…';
  }

  return str;
};

exports.trimText = trimText;
var abbrevs = {
  hydrochloride: 'HCl',
  chloride: 'Cl'
};
/**
 * First applies accepted abbreviations for suffixes then trims the string.
 *
 * @param {string} name
 * @param {string} maxLen
 * @returns {string}
 */

var trimDrugName = function trimDrugName(name, maxLen) {
  if (name.length <= maxLen) return name;

  for (var full in abbrevs) {
    var abbr = abbrevs[full];

    if (name && name.toLowerCase().endsWith(full)) {
      name = name.slice(0, -full.length) + abbr;
    }
  }

  return trimText(name, maxLen);
};

exports.trimDrugName = trimDrugName;
},{}],"N4Bg":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AppointmentStatus = void 0;

var _preact = require("preact");

var _classnames = _interopRequireDefault(require("classnames"));

var _textFormat = require("./utils/text-format");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

/**
 * @typedef {  | 'proposed'
 *   | 'pending'
 *   | 'booked'
 *   | 'arrived'
 *   | 'fulfilled'
 *   | 'cancelled'
 *   | 'noshow'
 *   | 'entered-in-error'
 *   | 'checked-in'
 *   | 'waitlist'} AppointmentStatuses
 */

/**
 * @param {AppointmentStatuses} status
 * @returns {string}
 */
var getClasses = function getClasses(status) {
  if (status === 'booked') {
    return 'bg-lightest-blue';
  }

  if (status === 'arrived') {
    return 'bg-orange white';
  }

  if (status === 'fulfilled') {
    return 'bg-green';
  }

  if (status === 'checked-in' || status === 'pending' || status === 'proposed') {
    return 'bg-yellow';
  }

  if (status === 'entered-in-error' || status === 'noshow' || status === 'cancelled') {
    return 'bg-red white';
  }

  return 'bg-orange white';
};
/**
 * Small wrapped component for showing a color-coded FHIR appointment status.
 *
 * @type {import('preact').FunctionComponent<{
 *   status: AppointmentStatuses
 *   className?: string
 *   children?: any
 * }>}
 */


var AppointmentStatus = function AppointmentStatus(_ref) {
  var status = _ref.status,
      className = _ref.className,
      children = _ref.children,
      rest = _objectWithoutProperties(_ref, ["status", "className", "children"]);

  return (0, _preact.h)("span", _extends({
    className: (0, _classnames.default)('pa1 br2 fw4 f5', getClasses(status), className)
  }, rest), children || (0, _textFormat.deSlug)(status));
};

exports.AppointmentStatus = AppointmentStatus;
},{"preact":"aSor","classnames":"qb7c","./utils/text-format":"FPJl"}],"v7uJ":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

/**
 * @param {Date}
 * @returns {string} As YYYY-MM-DD
 */
const dateToString = date => [date.getFullYear(), (date.getMonth() + 1).toString().padStart(2, '0'), date.getDate().toString().padStart(2, '0')].join('-');
/**
 * @param {string} dateOfBirth In format YYYY or YYYY-MM or YYYY-MM-DD
 * @returns {number} Number of years old
 */


var _default = dobString => {
  const now = new Date();
  const currentYear = now.getFullYear(); // by creating both dates using the same mechanism
  // we can safely compare them without worrying about
  // timezones, etc.

  const todayDate = new Date(dateToString(now));
  const birthDate = new Date(dobString); // grabbing the number of years

  const yearsOld = currentYear - birthDate.getFullYear(); // now we modify birthday to be same year as today
  // so we can do a simple comparison to see if the
  // day has occurred yet

  birthDate.setFullYear(currentYear);
  return Math.max(birthDate > todayDate ? yearsOld - 1 : yearsOld, 0);
};

exports.default = _default;
},{}],"SyIp":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getParts = exports.testOrder = exports.finalOutput = exports.toISO = exports.getCombosToTry = void 0;

const isNumber = str => /^\d+$/.test(str);

const containsLetters = str => /[a-z]/g.test(str);

const extractNumbers = str => {
  const match = (str || '').match(/\d+/);
  return match && match[0] || null;
};

const months = {
  jan: '01',
  feb: '02',
  mar: '03',
  apr: '04',
  may: '05',
  jun: '06',
  jul: '07',
  aug: '08',
  sep: '09',
  oct: '10',
  nov: '11',
  dec: '12'
};

const clean = str => str.replace(/[۰-۹]/g, d => '۰۱۲۳۴۵۶۷۸۹'.indexOf(d)).replace(/[٠-٩]/g, d => '٠١٢٣٤٥٦٧٨٩'.indexOf(d)).replace(/[^A-Za-z0-9]+/g, ' ').trim().toLowerCase();

const isInFuture = ({
  year,
  month,
  date
}) => {
  const d = new Date();
  d.setHours(12);
  const currentYear = d.getFullYear();

  if (year !== currentYear) {
    return year > currentYear;
  }

  const currentMonth = d.getMonth() + 1; // year is the same

  if (month !== currentMonth) {
    return month > currentMonth;
  } // month is the same too


  const currentDate = d.getDate();
  return date > currentDate;
};

const parseFns = {
  month: str => {
    if (!str) {
      return null;
    } // if they're numeric


    const numbers = extractNumbers(str);

    if (numbers) {
      const num = Number(numbers);

      if (num > 0 && num <= 12) {
        return num;
      }
    }

    const lower = str.toLowerCase();
    let match = months[lower.slice(0, 1)];
    if (match) return match;
    match = months[lower.slice(0, 2)];
    if (match) return match;
    match = months[lower.slice(0, 3)];
    if (match) return match;
    return null;
  },
  year: str => {
    if (!isNumber(str)) {
      return null;
    }

    const maxYear = new Date().getFullYear();
    const minYear = 1000;
    const num = Number(str);

    if (num > minYear && num <= maxYear) {
      return num;
    } // guess year based on current date
    // assume < 100 years old


    if (str.length === 2) {
      const lastTwoDigitsOfMaxYear = Number((maxYear + '').slice(2, 4));
      const firstTwoDigitsOfMaxYear = Number((maxYear + '').slice(0, 2));

      if (lastTwoDigitsOfMaxYear > num) {
        return firstTwoDigitsOfMaxYear * 100 + num;
      } else {
        return firstTwoDigitsOfMaxYear * 100 - 100 + num;
      }
    }

    return null;
  },
  date: str => {
    const numbers = extractNumbers(str);

    if (!numbers) {
      return null;
    }

    const num = Number(numbers);

    if (num > 0 && num <= 31) {
      return num;
    }

    return null;
  }
};

const memo = fn => {
  let lastArg;
  let lastRes;
  let hasRan = false;
  return arg => {
    if (arg === lastArg && hasRan) {
      return lastRes;
    }

    hasRan = true;
    lastRes = fn(arg);
    lastArg = arg;
    return lastRes;
  };
};

const arraysEqual = (a, b) => a.every((item, index) => b[index] === item);

const standardOrder = ['year', 'month', 'date'];

const getLocaleOrder = locale => {
  const dateString = clean(new Date(2021, 3, 5).toLocaleDateString(locale));
  const res = [{
    name: 'month',
    index: dateString.indexOf('4')
  }, {
    name: 'year',
    index: dateString.indexOf('2021')
  }, {
    name: 'date',
    index: dateString.indexOf('5')
  }];
  res.sort((a, b) => a.index - b.index);
  const names = res.map(item => item.name);
  return arraysEqual(names, standardOrder) ? [names] : [names, standardOrder];
};

const getCombosToTry = memo(locale => ({
  1: [['year']],
  2: [['year', 'month'], ['month', 'year']],
  3: getLocaleOrder(locale)
}));
exports.getCombosToTry = getCombosToTry;

const toISO = ({
  year,
  month,
  date
}) => {
  if (!year) return null;
  let res = year + '';

  if (month) {
    res += '-' + (month + '').padStart(2, '0');

    if (date) {
      res += '-' + (date + '').padStart(2, '0');
    }
  }

  return res;
};

exports.toISO = toISO;

const finalOutput = values => isInFuture(values) ? null : toISO(values);

exports.finalOutput = finalOutput;

const testOrder = (order, parts) => {
  const result = {};

  for (let i = 0, l = order.length; i < l; i++) {
    const part = parts[i];
    const partName = order[i];
    const value = parseFns[partName](part);

    if (!value) {
      return null;
    }

    result[partName] = value;
  }

  return result;
};

exports.testOrder = testOrder;

const getParts = str => {
  const cleaned = clean(str);
  const split = cleaned.split(/\s+/).filter(Boolean);
  const result = {
    parts: [],
    knownOrder: null
  };

  if (containsLetters(cleaned)) {
    const monthIndex = split.findIndex(containsLetters);
    const monthValue = parseFns.month(split[monthIndex]);
    const otherParts = [...split.slice(0, monthIndex), ...split.slice(monthIndex + 1)];

    if (split.length === 2) {
      result.knownOrder = {
        month: monthValue,
        year: parseFns.year(split[monthIndex === 0 ? 1 : 0])
      };
      return result;
    }

    if (split.length === 3) {
      const ordersToTry = monthIndex === 0 ? [['date', 'year']] : [['year', 'date'], ['date', 'year']]; // console.l

      result.knownOrder = Object.assign({
        month: monthValue
      }, ordersToTry.reduce((res, order) => {
        if (res) {
          return res;
        }

        return testOrder(order, otherParts);
      }, null));
      return result;
    }

    return result;
  }

  for (let index = 0, l = split.length; index < l; index++) {
    const value = split[index].trim();

    if (!value) {
      continue;
    } // handles arabian/persian strings: ie `2‏/1‏/2021`


    const {
      length
    } = value;

    if (index === 0 && isNumber(value) && (length === 6 || length === 5)) {
      // last 4 are years
      result.parts.push(value.slice(0, length === 5 ? 1 : 2), value.slice(-4));
    } else {
      result.parts.push(value);
    }
  }

  return result;
};

exports.getParts = getParts;
},{}],"F6Ca":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _utils = require("./utils.js");

/**
 * This function turns a wide range of freeform input describing someone's birth
 * date into `YYYY-MM-DD` or `YYYY-MM` or `YYYY` using environment's locale to
 * get proper day / month order.
 *
 * @param {string} dateOfBirth In unknown format
 * @param {string} [locale] If you want to use a specific locale you can, but
 *   generally this won't be necessary it will default to environment's locale.
 * @returns {string | null} In format YYYY or YYYY-MM or YYYY-MM-DD
 */
var _default = (dobString, locale) => {
  if (!dobString) return null;
  const {
    knownOrder,
    parts
  } = (0, _utils.getParts)(dobString.trim());

  if (knownOrder) {
    return (0, _utils.finalOutput)(knownOrder);
  }

  const combosToTry = (0, _utils.getCombosToTry)(locale)[parts.length];
  if (!combosToTry) return null;

  for (let i = 0, l = combosToTry.length; i < l; i++) {
    const res = (0, _utils.testOrder)(combosToTry[i], parts);

    if (res) {
      return (0, _utils.finalOutput)(res);
    }
  }

  return null;
};

exports.default = _default;
},{"./utils.js":"SyIp"}],"kbLt":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.urlAlphabet = void 0;
let urlAlphabet = 'useandom-26T198340PX75pxJACKVERYMINDBUSHWOLF_GQZbfghjklqvwyzrict';
exports.urlAlphabet = urlAlphabet;
},{}],"ya15":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "urlAlphabet", {
  enumerable: true,
  get: function () {
    return _index.urlAlphabet;
  }
});
exports.random = exports.customRandom = exports.customAlphabet = exports.nanoid = void 0;

var _index = require("./url-alphabet/index.js");

var random = function random(bytes) {
  return crypto.getRandomValues(new Uint8Array(bytes));
};

exports.random = random;

var customRandom = function customRandom(alphabet, defaultSize, getRandom) {
  var mask = (2 << Math.log(alphabet.length - 1) / Math.LN2) - 1;
  var step = -~(1.6 * mask * defaultSize / alphabet.length);
  return function () {
    var size = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultSize;
    var id = '';

    while (true) {
      var bytes = getRandom(step);
      var j = step;

      while (j--) {
        id += alphabet[bytes[j] & mask] || '';
        if (id.length === size) return id;
      }
    }
  };
};

exports.customRandom = customRandom;

var customAlphabet = function customAlphabet(alphabet) {
  var size = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 21;
  return customRandom(alphabet, size, random);
};

exports.customAlphabet = customAlphabet;

var nanoid = function nanoid() {
  var size = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 21;
  var id = '';
  var bytes = crypto.getRandomValues(new Uint8Array(size));

  while (size--) {
    var byte = bytes[size] & 63;

    if (byte < 36) {
      id += byte.toString(36);
    } else if (byte < 62) {
      id += (byte - 26).toString(36).toUpperCase();
    } else if (byte < 63) {
      id += '_';
    } else {
      id += '-';
    }
  }

  return id;
};

exports.nanoid = nanoid;
},{"./url-alphabet/index.js":"kbLt"}],"CYb7":[function(require,module,exports) {
var define;
!function(t,n){"object"==typeof exports&&"undefined"!=typeof module?module.exports=function(t,n,e,i,o){for(n=n.split?n.split("."):n,i=0;i<n.length;i++)t=t?t[n[i]]:o;return t===o?e:t}:"function"==typeof define&&define.amd?define(function(){return function(t,n,e,i,o){for(n=n.split?n.split("."):n,i=0;i<n.length;i++)t=t?t[n[i]]:o;return t===o?e:t}}):t.dlv=function(t,n,e,i,o){for(n=n.split?n.split("."):n,i=0;i<n.length;i++)t=t?t[n[i]]:o;return t===o?e:t}}(this);
//# sourceMappingURL=dlv.umd.js.map

},{}],"Y9m6":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.updateObject = exports.simpleObjectDeepEqual = exports.setValue = exports.mergeObjects = exports.getChanges = exports.buildDefinition = exports.basicTypes = void 0;

var _dlv = _interopRequireDefault(require("dlv"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() {
  _extends = Object.assign || function (target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];

      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }

    return target;
  };

  return _extends.apply(this, arguments);
}

function _unsupportedIterableToArray(o, minLen) {
  if (!o) return;
  if (typeof o === "string") return _arrayLikeToArray(o, minLen);
  var n = Object.prototype.toString.call(o).slice(8, -1);
  if (n === "Object" && o.constructor) n = o.constructor.name;
  if (n === "Map" || n === "Set") return Array.from(o);
  if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen);
}

function _arrayLikeToArray(arr, len) {
  if (len == null || len > arr.length) len = arr.length;

  for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i];

  return arr2;
}

function _createForOfIteratorHelperLoose(o, allowArrayLike) {
  var it;

  if (typeof Symbol === "undefined" || o[Symbol.iterator] == null) {
    if (Array.isArray(o) || (it = _unsupportedIterableToArray(o)) || allowArrayLike && o && typeof o.length === "number") {
      if (it) o = it;
      var i = 0;
      return function () {
        if (i >= o.length) return {
          done: true
        };
        return {
          done: false,
          value: o[i++]
        };
      };
    }

    throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
  }

  it = o[Symbol.iterator]();
  return it.next.bind(it);
}

var isEmpty = function isEmpty(unknown) {
  if (typeof unknown === 'object') {
    // handle null which is "object"
    if (!unknown) {
      return true;
    }

    if (Array.isArray(unknown) && !unknown.length) {
      return true;
    }

    return !Object.keys(unknown).length;
  }

  return false;
};

var stripBrackets = function stripBrackets(str) {
  return str.replace(/[[\]]/g, '');
};

var injectBrackets = function injectBrackets(str) {
  if (!str) return str;
  var split = str.split('.');
  return ["[" + split[0] + "]"].concat(split.slice(1)).join('.');
};
/**
 * As simple object deep equal that makes the following assumptions:
 * - no circular references
 * - no functions
 * - no complex objects like Date, Map, Set, etc.
 * keysToIgnore is an optional array of keys top level keys to
 * ignore for the comparison. This allows comparisons to ignore
 * large objects without having to copy and remove keys
 * @param {any} a first object
 * @param {any} b second object
 * @param {string[]} [keysToIgnore] optional array of top-level keys to ignore
 * @returns
 */


var simpleObjectDeepEqual = function simpleObjectDeepEqual(a, b, keysToIgnore) {
  if (keysToIgnore === void 0) {
    keysToIgnore = [];
  }

  if (a === b) return true;
  if (a == null || b == null) return false;
  if (typeof a !== 'object' || typeof b !== 'object') return false;
  var keysA = Object.keys(a).filter(function (key) {
    return !keysToIgnore.includes(key);
  });
  var keysB = Object.keys(b).filter(function (key) {
    return !keysToIgnore.includes(key);
  });
  if (keysA.length !== keysB.length) return false;

  for (var _iterator = _createForOfIteratorHelperLoose(keysA), _step; !(_step = _iterator()).done;) {
    var key = _step.value;
    if (!keysB.includes(key)) return false;
    if (!simpleObjectDeepEqual(a[key], b[key])) return false;
  }

  return true;
}; // Modified version of clean-set (https://github.com/fwilkerson/clean-set)


exports.simpleObjectDeepEqual = simpleObjectDeepEqual;
var digitRe = /^\[\d+\]/;

var removeNullAndEmpty = function removeNullAndEmpty(original) {
  var removeEmpty = function removeEmpty(obj) {
    var isObj = typeof obj === 'object';
    var isArray = Array.isArray(obj);

    if (!isObj) {
      return obj;
    }

    if (isArray) {
      for (var i = 0, l = obj.length; i < l; i++) {
        var value = obj[i];

        if (value === null || isEmpty(value)) {
          obj.splice(i, 1);
          removeEmpty(original);
        } else {
          removeEmpty(value);
        }
      }
    } else {
      for (var key in obj) {
        var _value = obj[key];

        if (_value === null || isEmpty(_value)) {
          delete obj[key];
          removeEmpty(original);
        } else {
          removeEmpty(_value);
        }
      }
    }

    return obj;
  };

  return removeEmpty(original);
};

var copy = function copy(source, isArr) {
  var to = source && !!source.pop || isArr ? [] : {};

  for (var i in source) {
    to[i] = source[i];
  }

  return to;
};

var deepSet = function (source, keys, update, merge) {
  if (merge === void 0) {
    merge = true;
  }

  keys.split && (keys = keys.split('.'));
  keys = keys.map(function (key) {
    return digitRe.test(key) ? Number(key.slice(1, -1)) : key;
  });
  var next = copy(source),
      last = next,
      i = 0,
      l = keys.length;
  var shouldDelete = update === null;

  for (; i < l; i++) {
    var isLast = i === l - 1;
    var currentKey = keys[i];

    if (shouldDelete && isLast) {
      if (Array.isArray(last)) {
        last.splice(currentKey, 1);
      } else {
        delete last[currentKey];
      }
    } else {
      if (isLast) {
        last[currentKey] = typeof update === 'object' && !Array.isArray(update) && merge ? Object.assign({}, last[currentKey], update) : update;
      } else {
        last = last[currentKey] = copy(last[currentKey], typeof keys[i + 1] === 'number');
      }
    }
  }

  return removeNullAndEmpty(next);
};

var str = function str(val) {
  return typeof val === 'string';
};

var bool = function bool(val) {
  return typeof val === 'boolean';
};

var num = function num(val) {
  return typeof val === 'number';
};

var _int = function _int(val) {
  return num(val) && Math.round(val) === val;
};

var positiveInt = function positiveInt(val) {
  return _int(val) && val >= 0;
};

var matches = function matches(values) {
  return function (val) {
    return values.includes(val);
  };
};

var timestamp = function timestamp(val) {
  return !isNaN(new Date(val).valueOf());
};

var arr = Array.isArray;

var obj = function obj(val) {
  return typeof val === 'object';
};

var func = function func(val) {
  return typeof val === 'function';
};

var basicTypes = {
  str: str,
  bool: bool,
  num: num,
  "int": _int,
  positiveInt: positiveInt,
  matches: matches,
  timestamp: timestamp,
  arr: arr,
  obj: obj,
  func: func
};
exports.basicTypes = basicTypes;

var toRegexp = function toRegexp(str) {
  return new RegExp('^' + str.replace(/\./g, '\\.').replace(/\{\}/g, '[^.]+').replace(/\[\]/g, '\\d+') + '$');
};

var buildMatcherFunction = function buildMatcherFunction(definition) {
  var processed = {};

  for (var key in definition) {
    processed[key] = {
      regex: toRegexp(key),
      key: key
    };
  }

  return function (path) {
    for (var _key in processed) {
      var matches = processed[_key].regex.test(path);

      if (matches) {
        return definition[_key];
      }
    }
  };
};
/**
 *
 * @param {any} original the original object
 * @param {any} modified the modified one
 * @param {{
 *  includeDeletions?: boolean,
 *  ignoredKeys?: string[]
 * }} [options]
 * @returns {any} Changes object or null
 */


var getChanges = function getChanges(original, modified, _temp) {
  var _ref = _temp === void 0 ? {} : _temp,
      _ref$includeDeletions = _ref.includeDeletions,
      includeDeletions = _ref$includeDeletions === void 0 ? true : _ref$includeDeletions,
      ignoredKeys = _ref.ignoredKeys;

  var combined = _extends({}, original, modified);

  var changes = {};

  for (var key in combined) {
    if (ignoredKeys && ignoredKeys.includes(key)) {
      continue;
    }

    var inOriginal = original && original.hasOwnProperty(key);
    var inModified = modified && modified.hasOwnProperty(key); // removed in new

    if (inOriginal && !inModified) {
      if (includeDeletions) {
        changes[key] = null;
      }

      continue;
    } // what type of value are we dealing with?


    var modifiedValue = modified[key];
    var modifiedValueIsObject = typeof modifiedValue === 'object'; // checks if modified value is different in any way

    if (!inOriginal || modifiedValue !== original[key]) {
      if (modifiedValueIsObject && modifiedValue !== null) {
        // we pass through "ignored" for nested stuff, but not the ignored keys
        // those only apply at the top level
        var otherChanges = getChanges(inOriginal ? original[key] : {}, modifiedValue, {
          includeDeletions: includeDeletions
        });

        for (var otherKey in otherChanges) {
          var value = otherChanges[otherKey];
          var isArray = Array.isArray(modified[key]);
          changes[key + '.' + (isArray ? injectBrackets(otherKey) : otherKey)] = value;
        }
      } else {
        changes[key] = modifiedValue;
      }
    }
  }

  return Object.keys(changes).length ? changes : null;
};

exports.getChanges = getChanges;
var setValue = deepSet;
exports.setValue = setValue;

var updateObject = function updateObject(obj, updateObj) {
  var updated = obj;

  for (var key in updateObj) {
    updated = setValue(updated, key, updateObj[key], false);
  }

  return updated;
};

exports.updateObject = updateObject;

var mergeObjects = function mergeObjects(obj1, obj2) {
  var addedByObj2 = getChanges(obj1, obj2, {
    includeDeletions: false
  });
  var addedByObj1 = getChanges(obj2, obj1, {
    includeDeletions: false
  });

  if (!addedByObj1 && !addedByObj2) {
    return {
      updated: obj1
    };
  }

  if (!addedByObj1) {
    return {
      updated: updateObject(obj1, addedByObj2)
    };
  }

  if (!addedByObj2) {
    return {
      updated: updateObject(obj2, addedByObj1)
    };
  } // both made additions, there may be conflicts
  // look for keys that are the same


  var conflicts = {};
  var notConflicted = {};

  for (var key in addedByObj2) {
    if (addedByObj1.hasOwnProperty(key)) {
      var cleanedKey = stripBrackets(key);
      conflicts[key] = [(0, _dlv.default)(obj1, cleanedKey), (0, _dlv.default)(obj2, cleanedKey)];
    } else {
      notConflicted[key] = addedByObj2[key];
    }
  }

  for (var _key2 in addedByObj1) {
    if (!addedByObj2.hasOwnProperty(_key2)) {
      notConflicted[_key2] = addedByObj1[_key2];
    }
  }

  var toReturn = {
    updated: updateObject(obj1, notConflicted)
  };

  if (!isEmpty(conflicts)) {
    toReturn.conflicts = conflicts;
  }

  return toReturn;
};

exports.mergeObjects = mergeObjects;

var buildDefinition = function buildDefinition(definition, fnsObject) {
  if (fnsObject === void 0) {
    fnsObject = basicTypes;
  }

  var matcher = buildMatcherFunction(definition);

  var validateObject = function validateObject(obj, path) {
    if (path === void 0) {
      path = '';
    }

    var _loop = function _loop(key) {
      var value = obj[key];

      if (value === null) {
        return "continue";
      }

      var extendedPath = path ? path + '.' + key : key;
      var type = matcher(extendedPath);

      if (typeof value === 'object' && type !== 'obj') {
        if (isEmpty(value) && !type) {
          throw Error('Invalid path: ' + extendedPath);
        }

        validateObject(value, extendedPath);
      } else {
        if (!type) {
          throw Error('Invalid path: ' + extendedPath);
        }

        var testFn;

        if (Array.isArray(type)) {
          testFn = function testFn() {
            return type.some(function (typeEntry) {
              return fnsObject[typeEntry];
            });
          };
        } else {
          testFn = fnsObject[type];
        }

        if (!testFn) {
          throw Error('INVALID type: ' + type);
        }

        if (!testFn(value)) {
          throw Error("INVALID " + extendedPath + ": " + value);
        }
      }
    };

    for (var key in obj) {
      var _ret = _loop(key);

      if (_ret === "continue") continue;
    }
  };

  var setValue = function setValue(obj, path, value, validate) {
    if (validate === void 0) {
      validate = true;
    }

    var updated = deepSet(obj, path, value);

    if (validate) {
      validateObject(updated);
    }

    return updated;
  };

  var update = function update(obj, updateObj, validate) {
    if (validate === void 0) {
      validate = true;
    }

    var updated = obj;

    for (var key in updateObj) {
      updated = setValue(updated, key, updateObj[key], false);
    }

    if (validate) {
      validateObject(updated);
    }

    return updated;
  };

  var merge = function merge(obj1, obj2, validate) {
    if (validate === void 0) {
      validate = true;
    }

    var result = mergeObjects(obj1, obj2);

    if (validate) {
      validateObject(result.updated);
    }

    return result;
  };

  return {
    validate: validateObject,
    setValue: setValue,
    update: update,
    merge: merge
  };
};

exports.buildDefinition = buildDefinition;
},{"dlv":"CYb7"}],"dJ8c":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

/**
 * Determines whether a date is actual date. The regexp will say "2010-02-31" is
 * OK even though february only has a max of 29 dates. And we need to take leap
 * years into account.
 *
 * @param {string} fhirDate
 * @returns {boolean}
 */
const isPossibleDate = fhirDate => {
  let [year, month, date] = fhirDate.split('-').map(Number); // month and date are optional

  month = month || 1;
  date = date || 1;
  const asDate = new Date(year, month - 1, date, 0, 0, 0, 0);

  if (year !== asDate.getFullYear() || month - 1 !== asDate.getMonth() || date !== asDate.getDate()) {
    return false;
  }

  return true;
}; // Source: https://www.hl7.org/fhir/datatypes.html#date


const dateRegexp = /^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1]))?)?$/;
/**
 * Determines if given string matches the regexp for FHIR's v4.0.1 `date` type
 *
 * @param {string} stringToTest
 * @returns {boolean}
 */

var _default = val => dateRegexp.test(val || '') && isPossibleDate(val);

exports.default = _default;
},{}],"qtET":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  actionAddAirway: true,
  actionAddInfusionDose: true,
  actionAddInhalationDose: true,
  actionAddLocalDose: true,
  actionAddManualVital: true,
  actionAddOptChecks: true,
  actionAddOralSedativeDose: true,
  actionAddParenteralDose: true,
  actionAddPosition: true,
  actionAddPreMed: true,
  actionAddPreOpChecks: true,
  actionAddVitalsCheckpoint: true,
  actionAddWave: true,
  actionApplySedationLevel: true,
  actionCheckOptCheck: true,
  actionCheckPreOpCheck: true,
  actionClearInhalationDosage: true,
  actionClearReceivedVitalType: true,
  actionConfirmInfusionTotals: true,
  actionGetUpdatesForMacro: true,
  actionHasReceivedVitalType: true,
  actionIgnoreVitalType: true,
  actionPreMedsUsed: true,
  actionPresetInfusionDrug: true,
  actionPresetLocalDrug: true,
  actionPresetOralSedative: true,
  actionPresetParenDrug: true,
  actionRecordAutoVitalValue: true,
  actionRecordAutoVitalValues: true,
  actionRecordVitalValue: true,
  actionRecordVitalValues: true,
  actionRemoveAirway: true,
  actionRemoveDose: true,
  actionRemoveManualVital: true,
  actionRemovePosition: true,
  actionRemovePreMed: true,
  actionRemoveWave: true,
  actionResumeVitalType: true,
  actionSelectInfusionDrug: true,
  actionSelectLocalDrug: true,
  actionSelectOralSedative: true,
  actionSelectParenDrug: true,
  actionSelectVitalType: true,
  actionSetAllSystemCategoriesToNo: true,
  actionSetSystemCategoryToNo: true,
  actionSkipPositions: true,
  actionSkipVitalValue: true,
  actionUnIgnoreVitalType: true,
  actionUncheckOptCheck: true,
  actionUncheckPreOpCheck: true,
  actionUnselectInfusionDrug: true,
  actionUnselectLocalDrug: true,
  actionUnselectOralSedative: true,
  actionUnselectParenDrug: true,
  actionUnselectVitalType: true,
  actionUpdateAirway: true,
  actionUpdateCheckpointComplete: true,
  actionUpdateDose: true,
  actionUpdateEventTimes: true,
  actionUpdateInfusionDosage: true,
  actionUpdateInfusionDrugAmount: true,
  actionUpdateInfusionDrugBolusUnit: true,
  actionUpdateInfusionDrugUnit: true,
  actionUpdateInhalationDosage: true,
  actionUpdateIvAttempts: true,
  actionUpdateIvLocation: true,
  actionUpdateIvNeedleGauge: true,
  actionUpdateIvPlacement: true,
  actionUpdateIvSecuredWith: true,
  actionUpdateIvSide: true,
  actionUpdateIvSolutionType: true,
  actionUpdateLocalAmount: true,
  actionUpdateLocalDosage: true,
  actionUpdateLocalUnit: true,
  actionUpdateManualVital: true,
  actionUpdateOralSedativeAmount: true,
  actionUpdateOralSedativeDosage: true,
  actionUpdateOralSedativeRoute: true,
  actionUpdateParenDrugDosage: true,
  actionUpdateParenDrugRoute: true,
  actionUpdateParenDrugTempAmount: true,
  actionUpdateParenDrugTempDraw: true,
  actionUpdatePosition: true,
  actionUpdatePreMed: true,
  actionUpdateSedationLevel: true,
  actionUpdateVitalsInterval: true,
  actionUpdateWave: true,
  addDiffUnits: true,
  caseDataDefinitionBare: true,
  coerceToCelsiusForStorage: true,
  createCaseInstance: true,
  createId: true,
  createMacroFromCase: true,
  currentVersion: true,
  definition: true,
  displayTemperature: true,
  eventSelectors: true,
  getCaseAnalytics: true,
  getChangesToMatchCase: true,
  getMigrationChanges: true,
  getProcessedCaseList: true,
  getRelevantMigrations: true,
  getUserSelectableVitalTypes: true,
  getVitalTypesBaseArray: true,
  getVitalTypesById: true,
  getVitalsNameAndUnitLookup: true,
  guessBodyTempUnits: true,
  isValidWaveformSVG: true,
  mergeMacros: true,
  migrateToLatest: true,
  newCaseFromPrevious: true,
  optionSelectIndividualVitalTypes: true,
  optionSelectUserSelectableVitalTypes: true,
  removePropsNotNeededForAnalytics: true,
  roundToDecimal: true,
  selectAirways: true,
  selectAllDosesAdministered: true,
  selectAutoVitalsTypeIdsToReport: true,
  selectAutoVitalsTypesReceived: true,
  selectBaseVitalsInterval: true,
  selectBmi: true,
  selectCalculateDrugWaste: true,
  selectCaseInfusionDrugs: true,
  selectCaseOralSedatives: true,
  selectCaseParenDrugs: true,
  selectCaseSummary: true,
  selectFirstIvAccessLocation: true,
  selectFirstIvSolution: true,
  selectHasAnsweredPreMed: true,
  selectHasAnyIvAccessValues: true,
  selectHasRecoveryPhase: true,
  selectIgnoredVitalTypes: true,
  selectInfusionDosesAdministered: true,
  selectInfusionDosesAdministeredByDrugId: true,
  selectInfusionDrugDosage: true,
  selectInfusionDrugTotals: true,
  selectInfusionDrugsFinalReport: true,
  selectInfusionDrugsForMacro: true,
  selectInfusionDrugsReport: true,
  selectInhalationDosage: true,
  selectInhalationDosesAdministered: true,
  selectInhalationDosesAdministeredByDrugId: true,
  selectIsHealthy: true,
  selectIvAccessData: true,
  selectLocalDosageRaw: true,
  selectLocalDosesAdministered: true,
  selectLocalDosesAdministeredByDrugVariantId: true,
  selectLocalsForMacro: true,
  selectManualVitals: true,
  selectOptCheckLabels: true,
  selectOptChecks: true,
  selectOptChecksRaw: true,
  selectOralSedativeDosage: true,
  selectOralSedativeDosesAdministered: true,
  selectOralSedativeDosesAdministeredByDrugId: true,
  selectOralSedativeTotals: true,
  selectOralSedativeTotalsAsArray: true,
  selectOralSedativesForMacro: true,
  selectParenDrugDosage: true,
  selectParenDrugTotals: true,
  selectParenDrugTotalsAsArray: true,
  selectParenDrugTotalsNoInfusion: true,
  selectParenDrugsForMacro: true,
  selectParenteralDosesAdministered: true,
  selectParenteralDosesAdministeredByDrugId: true,
  selectPatientHeightInCm: true,
  selectPatientWeightInKg: true,
  selectPositions: true,
  selectPositionsComplete: true,
  selectPositionsSkipped: true,
  selectPreMeds: true,
  selectPreMedsForMacro: true,
  selectPreMedsUsed: true,
  selectPreOpCheckLabels: true,
  selectPreOpChecks: true,
  selectPreOpChecksRaw: true,
  selectSedationLevel: true,
  selectSedativesBeingUsed: true,
  selectSelectedInfusionDrugs: true,
  selectSelectedInfusionDrugsById: true,
  selectSelectedLocals: true,
  selectSelectedLocalsById: true,
  selectSelectedOralSedatives: true,
  selectSelectedOralSedativesById: true,
  selectSelectedParenDrugs: true,
  selectSelectedParenDrugsById: true,
  selectSystemsReviewRaw: true,
  selectTrackedVitalTypesRaw: true,
  selectUsedInfusionDrugTotals: true,
  selectUsedOralSedativeTotals: true,
  selectUsedOralSedativeTotalsAsArray: true,
  selectUsedParenDrugTotals: true,
  selectUsedParenDrugTotalsAsArray: true,
  selectUsedParenDrugTotalsNoInfusion: true,
  selectVitalTypesForMacro: true,
  selectVitalsCheckpointsRaw: true,
  selectVitalsCheckpointsRawArray: true,
  selectVitalsInterval: true,
  selectVitalsTrackingEnabled: true,
  selectVitalsTypesSelectedNotAuto: true,
  selectVitalsTypesWithStatus: true,
  selectWaves: true,
  selectWavesRaw: true,
  toTargetUnit: true,
  types: true,
  vitalIdSortOrderLookup: true,
  vitalsSelectors: true,
  vitalsShortNameLookup: true
};
exports.getMigrationChanges = exports.getChangesToMatchCase = exports.getCaseAnalytics = exports.eventSelectors = exports.displayTemperature = exports.definition = exports.currentVersion = exports.createMacroFromCase = exports.createId = exports.createCaseInstance = exports.coerceToCelsiusForStorage = exports.caseDataDefinitionBare = exports.addDiffUnits = exports.actionUpdateWave = exports.actionUpdateVitalsInterval = exports.actionUpdateSedationLevel = exports.actionUpdatePreMed = exports.actionUpdatePosition = exports.actionUpdateParenDrugTempDraw = exports.actionUpdateParenDrugTempAmount = exports.actionUpdateParenDrugRoute = exports.actionUpdateParenDrugDosage = exports.actionUpdateOralSedativeRoute = exports.actionUpdateOralSedativeDosage = exports.actionUpdateOralSedativeAmount = exports.actionUpdateManualVital = exports.actionUpdateLocalUnit = exports.actionUpdateLocalDosage = exports.actionUpdateLocalAmount = exports.actionUpdateIvSolutionType = exports.actionUpdateIvSide = exports.actionUpdateIvSecuredWith = exports.actionUpdateIvPlacement = exports.actionUpdateIvNeedleGauge = exports.actionUpdateIvLocation = exports.actionUpdateIvAttempts = exports.actionUpdateInhalationDosage = exports.actionUpdateInfusionDrugUnit = exports.actionUpdateInfusionDrugBolusUnit = exports.actionUpdateInfusionDrugAmount = exports.actionUpdateInfusionDosage = exports.actionUpdateEventTimes = exports.actionUpdateDose = exports.actionUpdateCheckpointComplete = exports.actionUpdateAirway = exports.actionUnselectVitalType = exports.actionUnselectParenDrug = exports.actionUnselectOralSedative = exports.actionUnselectLocalDrug = exports.actionUnselectInfusionDrug = exports.actionUncheckPreOpCheck = exports.actionUncheckOptCheck = exports.actionUnIgnoreVitalType = exports.actionSkipVitalValue = exports.actionSkipPositions = exports.actionSetSystemCategoryToNo = exports.actionSetAllSystemCategoriesToNo = exports.actionSelectVitalType = exports.actionSelectParenDrug = exports.actionSelectOralSedative = exports.actionSelectLocalDrug = exports.actionSelectInfusionDrug = exports.actionResumeVitalType = exports.actionRemoveWave = exports.actionRemovePreMed = exports.actionRemovePosition = exports.actionRemoveManualVital = exports.actionRemoveDose = exports.actionRemoveAirway = exports.actionRecordVitalValues = exports.actionRecordVitalValue = exports.actionRecordAutoVitalValues = exports.actionRecordAutoVitalValue = exports.actionPresetParenDrug = exports.actionPresetOralSedative = exports.actionPresetLocalDrug = exports.actionPresetInfusionDrug = exports.actionPreMedsUsed = exports.actionIgnoreVitalType = exports.actionHasReceivedVitalType = exports.actionGetUpdatesForMacro = exports.actionConfirmInfusionTotals = exports.actionClearReceivedVitalType = exports.actionClearInhalationDosage = exports.actionCheckPreOpCheck = exports.actionCheckOptCheck = exports.actionApplySedationLevel = exports.actionAddWave = exports.actionAddVitalsCheckpoint = exports.actionAddPreOpChecks = exports.actionAddPreMed = exports.actionAddPosition = exports.actionAddParenteralDose = exports.actionAddOralSedativeDose = exports.actionAddOptChecks = exports.actionAddManualVital = exports.actionAddLocalDose = exports.actionAddInhalationDose = exports.actionAddInfusionDose = exports.actionAddAirway = void 0;
exports.selectVitalsTypesSelectedNotAuto = exports.selectVitalsTrackingEnabled = exports.selectVitalsInterval = exports.selectVitalsCheckpointsRawArray = exports.selectVitalsCheckpointsRaw = exports.selectVitalTypesForMacro = exports.selectUsedParenDrugTotalsNoInfusion = exports.selectUsedParenDrugTotalsAsArray = exports.selectUsedParenDrugTotals = exports.selectUsedOralSedativeTotalsAsArray = exports.selectUsedOralSedativeTotals = exports.selectUsedInfusionDrugTotals = exports.selectTrackedVitalTypesRaw = exports.selectSystemsReviewRaw = exports.selectSelectedParenDrugsById = exports.selectSelectedParenDrugs = exports.selectSelectedOralSedativesById = exports.selectSelectedOralSedatives = exports.selectSelectedLocalsById = exports.selectSelectedLocals = exports.selectSelectedInfusionDrugsById = exports.selectSelectedInfusionDrugs = exports.selectSedativesBeingUsed = exports.selectSedationLevel = exports.selectPreOpChecksRaw = exports.selectPreOpChecks = exports.selectPreOpCheckLabels = exports.selectPreMedsUsed = exports.selectPreMedsForMacro = exports.selectPreMeds = exports.selectPositionsSkipped = exports.selectPositionsComplete = exports.selectPositions = exports.selectPatientWeightInKg = exports.selectPatientHeightInCm = exports.selectParenteralDosesAdministeredByDrugId = exports.selectParenteralDosesAdministered = exports.selectParenDrugsForMacro = exports.selectParenDrugTotalsNoInfusion = exports.selectParenDrugTotalsAsArray = exports.selectParenDrugTotals = exports.selectParenDrugDosage = exports.selectOralSedativesForMacro = exports.selectOralSedativeTotalsAsArray = exports.selectOralSedativeTotals = exports.selectOralSedativeDosesAdministeredByDrugId = exports.selectOralSedativeDosesAdministered = exports.selectOralSedativeDosage = exports.selectOptChecksRaw = exports.selectOptChecks = exports.selectOptCheckLabels = exports.selectManualVitals = exports.selectLocalsForMacro = exports.selectLocalDosesAdministeredByDrugVariantId = exports.selectLocalDosesAdministered = exports.selectLocalDosageRaw = exports.selectIvAccessData = exports.selectIsHealthy = exports.selectInhalationDosesAdministeredByDrugId = exports.selectInhalationDosesAdministered = exports.selectInhalationDosage = exports.selectInfusionDrugsReport = exports.selectInfusionDrugsForMacro = exports.selectInfusionDrugsFinalReport = exports.selectInfusionDrugTotals = exports.selectInfusionDrugDosage = exports.selectInfusionDosesAdministeredByDrugId = exports.selectInfusionDosesAdministered = exports.selectIgnoredVitalTypes = exports.selectHasRecoveryPhase = exports.selectHasAnyIvAccessValues = exports.selectHasAnsweredPreMed = exports.selectFirstIvSolution = exports.selectFirstIvAccessLocation = exports.selectCaseSummary = exports.selectCaseParenDrugs = exports.selectCaseOralSedatives = exports.selectCaseInfusionDrugs = exports.selectCalculateDrugWaste = exports.selectBmi = exports.selectBaseVitalsInterval = exports.selectAutoVitalsTypesReceived = exports.selectAutoVitalsTypeIdsToReport = exports.selectAllDosesAdministered = exports.selectAirways = exports.roundToDecimal = exports.removePropsNotNeededForAnalytics = exports.optionSelectUserSelectableVitalTypes = exports.optionSelectIndividualVitalTypes = exports.newCaseFromPrevious = exports.migrateToLatest = exports.mergeMacros = exports.isValidWaveformSVG = exports.guessBodyTempUnits = exports.getVitalsNameAndUnitLookup = exports.getVitalTypesById = exports.getVitalTypesBaseArray = exports.getUserSelectableVitalTypes = exports.getRelevantMigrations = exports.getProcessedCaseList = void 0;
exports.vitalsShortNameLookup = exports.vitalsSelectors = exports.vitalIdSortOrderLookup = exports.types = exports.toTargetUnit = exports.selectWavesRaw = exports.selectWaves = exports.selectVitalsTypesWithStatus = void 0;

var _dobToAge = _interopRequireDefault(require("dob-to-age"));

var _parseDob = _interopRequireDefault(require("parse-dob"));

var _nanoid = require("nanoid");

var _sinks = require("sinks");

Object.keys(_sinks).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _sinks[key];
    }
  });
});

var _isFhirDate = _interopRequireDefault(require("is-fhir-date"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() {
  _extends = Object.assign || function (target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];

      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }

    return target;
  };

  return _extends.apply(this, arguments);
}

function _objectWithoutPropertiesLoose(source, excluded) {
  if (source == null) return {};
  var target = {};
  var sourceKeys = Object.keys(source);
  var key, i;

  for (i = 0; i < sourceKeys.length; i++) {
    key = sourceKeys[i];
    if (excluded.indexOf(key) >= 0) continue;
    target[key] = source[key];
  }

  return target;
}

function _unsupportedIterableToArray(o, minLen) {
  if (!o) return;
  if (typeof o === "string") return _arrayLikeToArray(o, minLen);
  var n = Object.prototype.toString.call(o).slice(8, -1);
  if (n === "Object" && o.constructor) n = o.constructor.name;
  if (n === "Map" || n === "Set") return Array.from(o);
  if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen);
}

function _arrayLikeToArray(arr, len) {
  if (len == null || len > arr.length) len = arr.length;

  for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i];

  return arr2;
}

function _createForOfIteratorHelperLoose(o, allowArrayLike) {
  var it;

  if (typeof Symbol === "undefined" || o[Symbol.iterator] == null) {
    if (Array.isArray(o) || (it = _unsupportedIterableToArray(o)) || allowArrayLike && o && typeof o.length === "number") {
      if (it) o = it;
      var i = 0;
      return function () {
        if (i >= o.length) return {
          done: true
        };
        return {
          done: false,
          value: o[i++]
        };
      };
    }

    throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
  }

  it = o[Symbol.iterator]();
  return it.next.bind(it);
}
/**
 * Takes any import runs `Number(input)` returns the number or 0 if NaN
 *
 * @param {any} input
 * @returns {number}
 */


var toNumber = function toNumber(input) {
  var num = Number(input);
  return isNaN(num) ? 0 : num;
};
/**
 * @param {any} num
 * @param {number} [decimals] Max number of decimals
 * @returns
 */


var cleanUpRound = function cleanUpRound(num, decimals) {
  if (decimals === void 0) {
    decimals = 3;
  }

  return Number(toNumber(num).toFixed(decimals));
};
/**
 * Gets average value of an array. Tries to convert each entry to a number. So
 * any non-numerical item will be averaged in as a zero.
 *
 * @param {any[]} arr
 * @param {number} [decimals]
 * @returns Number
 */


var getAverage = function getAverage(arr, decimals) {
  if (decimals === void 0) {
    decimals = 1;
  }

  if (!arr || !arr.length) return 0;
  var total = arr.reduce(function (total, num) {
    return total + toNumber(num);
  }, 0);
  return total ? cleanUpRound(total / arr.length, decimals) : 0;
};
/**
 * Takes an object of simple keys/values and returns a corresponding new object.
 * If there are any keys in the original object whose name end with "_raw" the
 * returned object will have a corresponding key (without the _raw suffix) but
 * with its value always converted into a JS number. If it cannot be converted
 * to a number the value will be zero. This way, you can always do math with the result
 *
 * @param {any} obj
 * @returns {object} Updated object
 */


var replaceObjectRawKeys = function replaceObjectRawKeys(obj) {
  var extraValues = {};

  for (var key in obj) {
    if (key.endsWith('_raw')) {
      extraValues[key.replace('_raw', '')] = toNumber(obj[key]);
    }
  }

  return _extends({}, obj, extraValues);
};
/**
 * Returns the given item or null if the item is null, undefined, an empty
 * string (optionally after trimming), an empty array, or an empty object.
 *
 * @example
 *   nullIfEmpty(null) // returns null
 *   nullIfEmpty('  ') // returns '  '
 *   nullIfEmpty('  ', true) // returns null
 *   nullIfEmpty([]) // returns null
 *   nullIfEmpty({}) // returns null
 *   nullIfEmpty('Hello') // returns 'Hello'
 *
 * @param {any} item - The item to check.
 * @param {boolean} [trimStrings=false] - If true, will trim the string before
 *   checking if it's empty. Default is `false`
 * @returns {any} Returns the original item or null if it's considered empty
 *   based on the conditions.
 */


var nullIfEmpty = function nullIfEmpty(item, trimStrings) {
  if (trimStrings === void 0) {
    trimStrings = false;
  }

  if (item == null) {
    return null;
  }

  if (typeof item === 'string') {
    var val = trimStrings ? item.trim() : item;
    return val === '' ? null : item;
  }

  if (typeof item === 'object') {
    if (Array.isArray(item) && item.length === 0) {
      return null;
    }

    if (Object.keys(item).length === 0) {
      return null;
    }
  }

  return item;
};

var removeKeysWithNullishValues = function removeKeysWithNullishValues(obj, includeEmptyString) {
  if (includeEmptyString === void 0) {
    includeEmptyString = false;
  }

  var result = {};

  for (var key in obj) {
    var value = obj[key];
    var isNullish = value == null || includeEmptyString && value === '';

    if (!isNullish) {
      result[key] = value;
    }
  }

  return result;
};

var removeKeysWithEmptyValues = function removeKeysWithEmptyValues(obj) {
  return removeKeysWithNullishValues(obj, true);
};

var shallowEqual = function shallowEqual(obj1, obj2) {
  var keys1 = Object.keys(obj1);
  var keys2 = Object.keys(obj2);

  if (keys1.length !== keys2.length) {
    return false;
  }

  for (var _i = 0, _keys = keys1; _i < _keys.length; _i++) {
    var key = _keys[_i];

    if (obj1[key] !== obj2[key]) {
      return false;
    }
  }

  return true;
}; // heavily borrowed from reselect v. 3.0.1
// with unused code removed.
// including the license for compliance:

/*
The MIT License (MIT)

Copyright (c) 2015-2018 Reselect Contributors

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
*/


var defaultEqualityCheck = function defaultEqualityCheck(a, b) {
  return a === b;
};

function areArgumentsShallowlyEqual(equalityCheck, prev, next) {
  if (prev === null || next === null || prev.length !== next.length) {
    return false;
  }

  var length = prev.length;

  for (var i = 0; i < length; i++) {
    if (!equalityCheck(prev[i], next[i])) {
      return false;
    }
  }

  return true;
}

function defaultMemoize(func, optionalEqCheck) {
  var lastArgs = null;
  var lastResult = null;
  return function () {
    if (!areArgumentsShallowlyEqual(optionalEqCheck || defaultEqualityCheck, lastArgs, arguments)) {
      // apply arguments instead of spreading for performance.
      lastResult = func.apply(null, arguments);
    }

    lastArgs = arguments;
    return lastResult;
  };
}

function getDependencies(funcs) {
  var dependencies = Array.isArray(funcs[0]) ? funcs[0] : funcs;

  if (!dependencies.every(function (dep) {
    return typeof dep === 'function';
  })) {
    throw new Error('inputs must be funcs');
  }

  return dependencies;
}

function createSelectorCreator(memoize) {
  for (var len = arguments.length, memoizeOptions = Array(len > 1 ? len - 1 : 0), key = 1; key < len; key++) {
    memoizeOptions[key - 1] = arguments[key];
  }

  return function () {
    for (var len2 = arguments.length, funcs = Array(len2), key2 = 0; key2 < len2; key2++) {
      funcs[key2] = arguments[key2];
    }

    var resultFunc = funcs.pop();
    var dependencies = getDependencies(funcs);
    var memoizedResultFunc = memoize.apply(undefined, [function () {
      // apply arguments instead of spreading for performance.
      return resultFunc.apply(null, arguments);
    }].concat(memoizeOptions)); // If a selector is called with the exact same arguments we don't need to traverse our dependencies again.

    var selector = defaultMemoize(function () {
      var params = [];
      var length = dependencies.length;

      for (var i = 0; i < length; i++) {
        // apply arguments instead of spreading and mutate a local list of params for performance.
        params.push(dependencies[i].apply(null, arguments));
      } // apply arguments instead of spreading for performance.


      return memoizedResultFunc.apply(null, params);
    }); // @ts-ignore

    selector.resultFunc = resultFunc;
    return selector;
  };
}

var createSelector = createSelectorCreator(defaultMemoize);

var createPropSelector = function createPropSelector(caseSelector, propName, fallback) {
  return createSelector(caseSelector, function (data) {
    return data.hasOwnProperty(propName) ? data[propName] : fallback;
  });
};

var createSelectorForProps = function createSelectorForProps(caseSelector, propNames, resultFn) {
  return createSelector.apply(void 0, propNames.map(function (name) {
    return createPropSelector(caseSelector, name);
  }).concat([resultFn]));
};

var arraySum = function arraySum(arr) {
  return arr.reduce(function (res, entry) {
    return res + entry;
  }, 0);
};

var arrayAverage = function arrayAverage(arr) {
  return arr.length ? arraySum(arr) / arr.length : null;
};
/**
 * Creates a memoized version of a function with a shallow equality check on arguments.
 *
 * @template T - This represents a generic function type.
 * @param {T} func - The function to memoize.
 * @returns {T} - Returns the new memoized function.
 */


var shallowEqualMemoize = function shallowEqualMemoize(func) {
  return defaultMemoize(func, shallowEqual);
};
/**
 * @param {SedationLevel} depth The rxcui ID of the drug we're selecting
 * @returns {any} The changes to apply to the case.
 */


var actionUpdateSedationLevel = function actionUpdateSedationLevel(depth) {
  return {
    sedationLevel: {
      local: 'Local',
      minimal: 'Minimal',
      moderate: 'Moderate',
      deep: 'Deep',
      ga: 'GA'
    }[depth] || null
  };
};
/**
 * @param {CaseData} caseData The case data to select from
 * @returns {SedationLevelCased} The sedation level of the case
 */


exports.actionUpdateSedationLevel = actionUpdateSedationLevel;

var selectSedationLevel = function selectSedationLevel(caseData) {
  return caseData.sedationLevel || null;
};
/**
 * @param {CaseData} caseData The case data to select from
 * @returns {boolean} Whether the patient is being sedated
 */


exports.selectSedationLevel = selectSedationLevel;
var selectSedativesBeingUsed = createSelector(selectSedationLevel, function (level) {
  return level !== 'Local';
});
/**
 * @param {CaseData} caseData The case data to select from
 * @returns {boolean} Whether the patient is being sedated
 */

exports.selectSedativesBeingUsed = selectSedativesBeingUsed;
var selectHasRecoveryPhase = selectSedativesBeingUsed;
exports.selectHasRecoveryPhase = selectHasRecoveryPhase;
var empty = {};

var rawEvents = function rawEvents(caseData) {
  return caseData.events || empty;
};

var getEventSelector = function getEventSelector(fn) {
  return createSelector(rawEvents, fn);
}; // note: we do "floor" here because that's how we think of
// time. Digital clocks show "14:30" even if actual time is 14:30:59.
// So by flooring both before calculating duration we will always
// get a total number of minutes that looks correct.
// otherwise if you start at 3:30:00 and end at 4:00:54.
// the report would say 3:30 - 4:00 but duration would be 31 minutes.


var getDurationMinutes = function getDurationMinutes(start, end) {
  return start && end ? Math.floor(end / 60000) - Math.floor(start / 60000) : null;
};

var createDurationMinutesSelector = function createDurationMinutesSelector(startEvent, endEvent) {
  return getEventSelector(function (events) {
    return getDurationMinutes(events[startEvent], events[endEvent]);
  });
};

var getEventPropSelector = function getEventPropSelector(propName) {
  return createSelector(rawEvents, function (raw) {
    return raw[propName];
  });
};

var selectCaseStartTime = getEventPropSelector('caseStart');
var selectSurgeryStartTime = getEventPropSelector('surgeryStart');
var selectSurgeryEndTime = getEventPropSelector('surgeryEnd');
var selectRecoveryStartTime = getEventPropSelector('recoveryStart');
var selectVitalsEndTime = getEventPropSelector('vitalsEnd');
var selectIvStartTime = getEventPropSelector('ivStart');
var selectIvEndTime = getEventPropSelector('ivEnd');
var selectCaseEndTime = createSelector(selectSurgeryStartTime, selectSurgeryEndTime, getEventPropSelector('end'), selectVitalsEndTime, selectSedativesBeingUsed, function (surgeryStart, surgeryEnd, caseEnd, vitalsEnd, sedativesBeingUsed) {
  if (sedativesBeingUsed) {
    return caseEnd;
  } else {
    if (!vitalsEnd) return;

    if (surgeryStart && surgeryEnd) {
      return Math.max(surgeryEnd, vitalsEnd);
    }

    if (!surgeryStart && !surgeryEnd) {
      return vitalsEnd;
    }
  }
});
var selectCaseInRecovery = createSelector(selectHasRecoveryPhase, selectRecoveryStartTime, selectCaseEndTime, function (hasRecoveryPhase, recoveryStart, caseEnd) {
  return !!(hasRecoveryPhase && recoveryStart && !caseEnd);
});
var selectCaseComplete = createSelector(selectCaseEndTime, Boolean);
var selectCaseInProgress = createSelector(selectCaseStartTime, selectCaseEndTime, selectRecoveryStartTime, selectSedativesBeingUsed, function (caseStartTime, caseEndTime, recoveryStartTime, sedativesBeingUsed) {
  if (!caseStartTime) return false;
  return sedativesBeingUsed ? !recoveryStartTime : !caseEndTime;
});
var selectCaseWasStarted = getEventSelector(function (raw) {
  return !!raw.caseStart;
});
var selectIvStarted = getEventSelector(function (raw) {
  return !!raw.ivStart;
});
var selectRecoveryWasStarted = getEventSelector(function (raw) {
  return !!raw.recoveryStart;
});
var selectCaseStatus = createSelector(selectCaseComplete, selectCaseInRecovery, selectCaseInProgress, selectIvStarted, selectCaseWasStarted, function (complete, inRecovery, inProgress, ivStarted, caseWasStarted) {
  if (complete) return 'complete';
  if (inRecovery) return 'recovery';
  if (inProgress) return 'inProgress';
  if (ivStarted) return 'ivStarted';
  if (!caseWasStarted) return 'notStarted';
});
var eventSelectors = {
  selectEventTimesRaw: rawEvents,
  selectCaseStartTime: selectCaseStartTime,
  selectAnesthesiaStartTime: getEventPropSelector('anesthesiaStart'),
  selectAnesthesiaEndTime: getEventPropSelector('anesthesiaEnd'),
  selectSurgeryStartTime: selectSurgeryStartTime,
  selectSurgeryEndTime: selectSurgeryEndTime,
  selectRecoveryStartTime: getEventPropSelector('recoveryStart'),
  selectVitalsEndTime: selectVitalsEndTime,
  selectCaseEndTime: selectCaseEndTime,
  selectIvStarted: selectIvStarted,
  selectIvStartTime: selectIvStartTime,
  selectIvEndTime: selectIvEndTime,
  selectCaseWasStarted: selectCaseWasStarted,
  selectRecoveryWasStarted: selectRecoveryWasStarted,
  selectCaseComplete: selectCaseComplete,
  selectCaseInProgress: selectCaseInProgress,
  selectCaseInRecovery: selectCaseInRecovery,
  selectCaseStatus: selectCaseStatus,
  selectAnesthesiaMinutes: createDurationMinutesSelector('anesthesiaStart', 'anesthesiaEnd'),
  selectSurgeryMinutes: createDurationMinutesSelector('surgeryStart', 'surgeryEnd'),
  selectMonitoringMinutes: createDurationMinutesSelector('caseStart', 'vitalsEnd'),
  selectRecoveryMinutes: createDurationMinutesSelector('recoveryStart', 'end'),
  selectCompleteCaseMinutes: createSelector(selectCaseStartTime, selectCaseEndTime, getDurationMinutes)
};
/**
 * @param {{
 *   [id in CaseEventType]?: number | null
 * }} updates
 * @returns {any} The changes to apply to the case.
 */

exports.eventSelectors = eventSelectors;

var actionUpdateEventTimes = function actionUpdateEventTimes(updates) {
  var toReturn = {};

  for (var key in updates) {
    toReturn["events." + key] = updates[key];
  }

  return toReturn;
}; //   'lastName',
//   'firstName',
//   'nickname',
//   'birthDate',
//   'height',
//   'height_raw',
//   'weight',
//   'weight_raw',
//   'pregnant',
//   'pregnancyDetail',
//   'breastfeeding',
//   'breastfeedingInstructionsGiven',
//   'medications',
//   'medicationsText',
//   'hospitalizationSummary',
//   'surgicalHistorySummary',
//   'anesthesiaHistorySummary',
//   'familyAnesthesiaHistorySummary',
//   'allergiesSummary',
//   'medicalConsult',
//   'medicalConsultNotes',
//   'lastFood',
//   'lastDrink',
//   'responsibleCompanion',
// ]

/**
 * @param {MetaSelector} metaSelector
 * @returns
 */


exports.actionUpdateEventTimes = actionUpdateEventTimes;

var createPatientSelectors = function createPatientSelectors(caseSelector, metaSelector) {
  var selectMetaHasName = createSelectorForProps(metaSelector, ['firstName', 'lastName', 'nickname'], function (first, last, nick) {
    return !!(first || last || nick);
  });
  /** @param {'firstName' | 'lastName' | 'nickname'} namePart */

  var createNameSelector = function createNameSelector(namePart) {
    return createSelector(selectMetaHasName, createPropSelector(metaSelector, namePart), createPropSelector(caseSelector, namePart),
    /**
     * @param {boolean} metaHasName
     * @param {string} metaFirstName
     * @param {string} caseFirstName
     * @returns {string}
     */
    function (metaHasName, metaFirstName, caseFirstName) {
      return (// always returns a string
        (metaHasName ? metaFirstName : caseFirstName) || ''
      );
    });
  };

  var selectPatientFirstName = createNameSelector('firstName');
  var selectPatientLastName = createNameSelector('lastName');
  var selectPatientNickname = createNameSelector('nickname');
  var selectPatientFullName = createSelector(selectPatientFirstName, selectPatientLastName, selectPatientNickname, function (first, last, nick) {
    return [last, first].filter(Boolean).join(', ') + (nick ? " \"" + nick + "\"" : '');
  });
  var selectBirthDate = createSelector(createPropSelector(metaSelector, 'birthDate'), createPropSelector(caseSelector, 'birthDate'),
  /**
   * @param {CaseMeta} metaBirthDate
   * @param {string} caseBirthDate
   */
  function (metaBirthDate, caseBirthDate) {
    return metaBirthDate || caseBirthDate || null;
  });
  var selectPatientAgeInfo = createSelector(selectBirthDate, function (birthDate) {
    if (!birthDate) {
      return null;
    }

    var parsed = (0, _parseDob.default)(birthDate);
    return {
      dateString: birthDate,
      age: parsed ? (0, _dobToAge.default)(parsed) : null
    };
  });
  var selectPatientAge = createSelector(selectPatientAgeInfo, function (info) {
    return info && info.age;
  });
  var selectHasPatientAge = createSelector(selectPatientAge, function (age) {
    return typeof age === 'number';
  });
  var selectPatientAgeString = createSelector(selectHasPatientAge, selectPatientAge, function (hasAge, ageInYears) {
    if (!hasAge) {
      return '';
    }

    return ageInYears.toString();
  });
  return {
    // name stuff
    selectPatientFirstName: selectPatientFirstName,
    selectPatientLastName: selectPatientLastName,
    selectPatientNickname: selectPatientNickname,
    selectPatientFullName: selectPatientFullName,
    // age stuff
    selectBirthDate: selectBirthDate,
    selectPatientAgeInfo: selectPatientAgeInfo,
    selectPatientAge: selectPatientAge,
    selectHasPatientAge: selectHasPatientAge,
    selectPatientAgeString: selectPatientAgeString
  };
};

var nanoid = (0, _nanoid.customAlphabet)('0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz');
/**
 * @param {string} baseName The string to prepend
 * @param {number} [idLength] The number of random characters to add after prefix
 * @returns {string} The generated ID
 */

var createId = function createId(baseName, idLength) {
  return baseName + "_" + nanoid(idLength || 14);
};
/**
 * @param {{
 *   rootKey: string
 *   idPrefix?: string
 *   requiredProps?: string[]
 *   sortFn?: (a: any, b: any) => number
 *   mapFn?: (any) => any
 * }} options
 * @returns {{
 *   actionAdd: (initial: any, preGeneratedId?: string) => any
 *   actionRemove: (id: string) => any
 *   actionUpdate: (id: string, updates: any) => any
 *   selectRaw: (caseData: any) => { [id: string]: any }
 *   select: (caseData: any) => ({ id: string } & any)[]
 * }}
 */


exports.createId = createId;

var createCrudProp = function createCrudProp(_ref) {
  var rootKey = _ref.rootKey,
      idPrefix = _ref.idPrefix,
      requiredProps = _ref.requiredProps,
      sortFn = _ref.sortFn,
      mapFn = _ref.mapFn;
  /**
   * @param {any} initial The initial values to apply
   * @param {string} [preGeneratedId] Optionally supply an ID generated outside.
   *   This is used by some of the speech actions to enable undo. So they can
   *   know which dose to remove if you cancel.
   * @returns {any} The changes to apply to the case.
   */

  var actionAdd = function actionAdd(initial, preGeneratedId) {
    var id = preGeneratedId || createId(idPrefix || rootKey);
    return actionUpdate(id, initial);
  };
  /**
   * @param {string} id The id
   * @returns {any} The changes to apply to the case.
   */


  var actionRemove = function actionRemove(id) {
    var _ref2;

    return _ref2 = {}, _ref2[rootKey + "." + id] = null, _ref2;
  };
  /**
   * @param {string} id The id
   * @param {any} updates The updates to apply.
   * @returns {any} The changes to apply to the case.
   */


  var actionUpdate = function actionUpdate(id, updates) {
    var changes = {};

    for (var key in updates) {
      changes[rootKey + "." + id + "." + key] = updates[key];
    }

    return changes;
  };

  var empty = {};

  var selectRaw = function selectRaw(caseData) {
    return caseData[rootKey] || empty;
  };

  var select = createSelector(selectRaw, function (raw) {
    var toReturn = [];

    var _loop = function _loop(id) {
      var data = raw[id];

      if (requiredProps && !requiredProps.every(function (prop) {
        return data.hasOwnProperty(prop);
      })) {
        return "continue";
      }

      toReturn.push(_extends({
        id: id
      }, raw[id]));
    };

    for (var id in raw) {
      var _ret = _loop(id);

      if (_ret === "continue") continue;
    }

    if (sortFn) {
      toReturn.sort(sortFn);
    }

    return mapFn ? toReturn.map(mapFn) : toReturn;
  });
  return {
    actionAdd: actionAdd,
    actionRemove: actionRemove,
    actionUpdate: actionUpdate,
    selectRaw: selectRaw,
    select: select
  };
};

var awProps = createCrudProp({
  rootKey: 'aw',
  requiredProps: ['type']
});
/**
 * @param {AirwayType} type The airway type
 * @returns {any} The changes to apply to the case.
 */

var actionAddAirway = function actionAddAirway(type, otherProps) {
  if (otherProps === void 0) {
    otherProps = {};
  }

  return awProps.actionAdd(_extends({
    type: type
  }, otherProps));
};
/**
 * @param {string} id The airway ID
 * @returns {any} The changes to apply to the case.
 */


exports.actionAddAirway = actionAddAirway;
var actionRemoveAirway = awProps.actionRemove;
/**
 * @param {string} id The airway ID
 * @param {any} updates The updates to apply to the airway
 * @returns {any} The changes to apply to the case.
 */

exports.actionRemoveAirway = actionRemoveAirway;
var actionUpdateAirway = awProps.actionUpdate;
exports.actionUpdateAirway = actionUpdateAirway;
var selectAirways = awProps.select;
/**
 * @param {DrugUnit[]} args
 * @returns {DrugUnit}
 */

exports.selectAirways = selectAirways;

var determineTargetUnit = function determineTargetUnit() {
  var args = [].slice.call(arguments);
  if (args.includes('g')) return 'g';
  if (args.includes('mg')) return 'mg';
  return 'mcg';
};

var unitMultiple = {
  g: 2,
  mg: 1,
  mcg: 0
};
/**
 * @param {number} value
 * @param {DrugUnit} currentUnit
 * @param {DrugUnit} targetUnit
 * @returns {number}
 */

var toTargetUnit = function toTargetUnit(value, currentUnit, targetUnit) {
  var currentUnitMultiple = unitMultiple[currentUnit];
  var targetUnitMultiple = unitMultiple[targetUnit];
  var diff = currentUnitMultiple - targetUnitMultiple;

  if (!diff) {
    return value;
  }

  var multiple = Math.pow(1000, Math.abs(diff));
  return cleanUpRound(diff < 0 ? value / multiple : value * multiple);
};
/**
 * @param {any} amount1
 * @param {DrugUnit} firstUnit
 * @param {any} amount2
 * @param {DrugUnit} secondUnit
 * @param {DrugUnit} [targetUnit]
 * @returns {{
 *   amount: number
 *   unit: DrugUnit
 * }}
 */


exports.toTargetUnit = toTargetUnit;

var addDiffUnits = function addDiffUnits(amount1, firstUnit, amount2, secondUnit, targetUnit) {
  var finalUnit = targetUnit || determineTargetUnit(firstUnit, secondUnit);
  return {
    amount: cleanUpRound(toTargetUnit(amount1, firstUnit, finalUnit) + toTargetUnit(amount2, secondUnit, finalUnit)),
    unit: finalUnit
  };
}; // @ts-check

/**
 * @param {string} name
 * @param {any} [fallback] Value to return if the property does not exist
 * @returns {(caseData: CaseData) => any}
 */


exports.addDiffUnits = addDiffUnits;

var getCasePropSelector = function getCasePropSelector(name, fallback) {
  if (fallback === void 0) {
    fallback = null;
  }

  return function (caseData) {
    return caseData && caseData.hasOwnProperty(name) ? caseData[name] : fallback;
  };
};
/** @type {(caseData: CaseData) => boolean} */


var selectCalculateDrugWaste = getCasePropSelector('calculateDrugWaste', true); // Vitals tracking can only be disabled for local cases, so we ignore vitalsTrackingEnabled
// for non-local cases in case it's not set correctly.

exports.selectCalculateDrugWaste = selectCalculateDrugWaste;
var vitalsTrackingEnabledRaw = getCasePropSelector('vitalsTrackingEnabled', true);
/** @type {(caseData: CaseData) => boolean} */

var selectVitalsTrackingEnabled = function selectVitalsTrackingEnabled(caseData) {
  var sedationLevel = selectSedationLevel(caseData);
  if (sedationLevel !== 'Local') return true;
  return vitalsTrackingEnabledRaw(caseData);
};

exports.selectVitalsTrackingEnabled = selectVitalsTrackingEnabled;

var sortByTimeIfExists = function sortByTimeIfExists(_ref, _ref2) {
  var aTime = _ref.time;
  var bTime = _ref2.time;

  if (!aTime || !bTime) {
    return 0;
  }

  return aTime - bTime;
};

var drugsAdminProp = createCrudProp({
  rootKey: 'drugsAdministered',
  idPrefix: 'dose',
  requiredProps: ['route'],
  sortFn: sortByTimeIfExists,
  mapFn: replaceObjectRawKeys
});
/**
 * @param {{
 *   drugVariantId: string
 *   amount_raw: string
 *   unit: LocalAnestheticUnit
 *   epiConcentration?: number
 *   time?: number
 * }} localDoseArgs
 *   Local dose details
 * @returns {any} The changes to apply to the case.
 */

var actionAddLocalDose = function actionAddLocalDose(_ref) {
  var drugVariantId = _ref.drugVariantId,
      amount_raw = _ref.amount_raw,
      epiConcentration = _ref.epiConcentration,
      unit = _ref.unit,
      time = _ref.time;
  return drugsAdminProp.actionAdd({
    route: 'local',
    drugVariantId: drugVariantId,
    amount_raw: amount_raw,
    unit: unit || 'mg',
    epiConcentration: epiConcentration || 0,
    time: time || Date.now(),
    shouldStartCase: false
  });
};
/**
 * @param {{
 *   drugId: string
 *   amount_raw: string
 *   route: ParenDrugRoute
 *   doseId?: string
 *   unit?: string
 *   time?: number
 * }} parenteralDoseArgs
 *   Parenteral dose details
 * @returns {any} The changes to apply to the case.
 */


exports.actionAddLocalDose = actionAddLocalDose;

var actionAddParenteralDose = function actionAddParenteralDose(_ref2) {
  var drugId = _ref2.drugId,
      amount_raw = _ref2.amount_raw,
      route = _ref2.route,
      doseId = _ref2.doseId,
      unit = _ref2.unit,
      time = _ref2.time;
  return drugsAdminProp.actionAdd({
    route: route,
    drugId: drugId,
    amount_raw: amount_raw,
    unit: unit || 'mg',
    time: time || Date.now(),
    shouldStartCase: true
  }, doseId);
};
/**
 * @param {{
 *   drugId: string
 *   amount_raw: string
 *   route: OralSedativeRoute
 *   shouldStartCase: boolean
 *   editing?: boolean
 *   unit?: string
 *   time?: number
 * }} oralDoseArgs
 *   Oral dose details
 * @returns {any} The changes to apply to the case.
 */


exports.actionAddParenteralDose = actionAddParenteralDose;

var actionAddOralSedativeDose = function actionAddOralSedativeDose(_ref3) {
  var drugId = _ref3.drugId,
      amount_raw = _ref3.amount_raw,
      route = _ref3.route,
      shouldStartCase = _ref3.shouldStartCase,
      editing = _ref3.editing,
      unit = _ref3.unit,
      time = _ref3.time;
  return drugsAdminProp.actionAdd({
    drugId: drugId,
    route: route,
    unit: unit || 'mg',
    amount_raw: amount_raw || 0,
    time: time || Date.now(),
    editing: editing || false,
    shouldStartCase: shouldStartCase
  });
};
/**
 * @param {{
 *   drugId: string
 *   amount: number
 *   shouldStartCase: boolean
 *   time?: number
 * }} inhalationDoseArgs
 *   Inhalation dose details
 * @returns {any} The changes to apply to the case.
 */


exports.actionAddOralSedativeDose = actionAddOralSedativeDose;

var actionAddInhalationDose = function actionAddInhalationDose(_ref4) {
  var drugId = _ref4.drugId,
      amount = _ref4.amount,
      shouldStartCase = _ref4.shouldStartCase,
      time = _ref4.time;
  return drugsAdminProp.actionAdd({
    drugId: drugId,
    route: 'inhalation',
    amount: amount,
    time: time || Date.now(),
    shouldStartCase: shouldStartCase
  });
};
/**
 * @param {{
 *   drugId: string
 *   amount_raw: string
 *   route: InfusionRoute
 *   time?: number
 *   shouldStartCase?: boolean
 * }} infusionDoseArgs
 *   Infusion dose details
 * @returns {any} The changes to apply to the case.
 */


exports.actionAddInhalationDose = actionAddInhalationDose;

var actionAddInfusionDose = function actionAddInfusionDose(_ref5) {
  var drugId = _ref5.drugId,
      amount_raw = _ref5.amount_raw,
      route = _ref5.route,
      time = _ref5.time,
      shouldStartCase = _ref5.shouldStartCase;
  return drugsAdminProp.actionAdd({
    drugId: drugId,
    amount_raw: amount_raw,
    route: route,
    time: time || Date.now(),
    shouldStartCase: shouldStartCase !== false
  });
};
/**
 * @param {string} id The airway ID
 * @returns {any} The changes to apply to the case.
 */


exports.actionAddInfusionDose = actionAddInfusionDose;
var actionRemoveDose = drugsAdminProp.actionRemove;
/**
 * @param {string} id The airway ID
 * @param {any} updates The updates to apply to the airway
 * @returns {any} The changes to apply to the case.
 */

exports.actionRemoveDose = actionRemoveDose;
var actionUpdateDose = drugsAdminProp.actionUpdate;
exports.actionUpdateDose = actionUpdateDose;
var selectAllDosesAdministered = drugsAdminProp.select;
exports.selectAllDosesAdministered = selectAllDosesAdministered;

var getFilteredDoseSelector = function getFilteredDoseSelector(filterFn) {
  return createSelector(selectAllDosesAdministered, function (doses) {
    return doses.filter(filterFn);
  });
};

var getByIdSelector = function getByIdSelector(baseSelector, prop) {
  if (prop === void 0) {
    prop = 'drugId';
  }

  return createSelector(baseSelector, function (doses) {
    return doses.reduce(function (res, dose) {
      if (!res[dose[prop]]) {
        res[dose[prop]] = [];
      }

      res[dose[prop]].push(dose);
      return res;
    }, {});
  });
};
/** @type {CaseSelector<({ id: string } & LocalDoseAdministered)[]>} */


var selectLocalDosesAdministered = getFilteredDoseSelector(function (dose) {
  return dose.route === 'local';
});
/** @type {CaseSelector<{ [drugId: string]: LocalDoseAdministered[] }>} */

exports.selectLocalDosesAdministered = selectLocalDosesAdministered;
var selectLocalDosesAdministeredByDrugVariantId = getByIdSelector(selectLocalDosesAdministered, 'drugVariantId');
/** @type {CaseSelector<({ id: string } & ParenDoseAdministered)[]>} */

exports.selectLocalDosesAdministeredByDrugVariantId = selectLocalDosesAdministeredByDrugVariantId;
var selectParenteralDosesAdministered = getFilteredDoseSelector(function (dose) {
  return dose.route === 'IV' || dose.route === 'IM' || dose.route === 'IN';
});
/** @type {CaseSelector<{ [drugId: string]: ParenDoseAdministered[] }>} */

exports.selectParenteralDosesAdministered = selectParenteralDosesAdministered;
var selectParenteralDosesAdministeredByDrugId = getByIdSelector(selectParenteralDosesAdministered);
/** @type {CaseSelector<({ id: string } & OralDoseAdministered)[]>} */

exports.selectParenteralDosesAdministeredByDrugId = selectParenteralDosesAdministeredByDrugId;
var selectOralSedativeDosesAdministered = getFilteredDoseSelector(function (dose) {
  return dose.route === 'PO' || dose.route === 'SL';
});
/** @type {CaseSelector<{ [drugId: string]: OralDoseAdministered[] }>} */

exports.selectOralSedativeDosesAdministered = selectOralSedativeDosesAdministered;
var selectOralSedativeDosesAdministeredByDrugId = getByIdSelector(selectOralSedativeDosesAdministered);
/** @type {CaseSelector<({ id: string } & InhalationDoseAdministered)[]>} */

exports.selectOralSedativeDosesAdministeredByDrugId = selectOralSedativeDosesAdministeredByDrugId;
var selectInhalationDosesAdministered = getFilteredDoseSelector(function (dose) {
  return dose.route === 'inhalation';
});
/** @type {CaseSelector<{ [drugId: string]: InhalationDoseAdministered[] }>} */

exports.selectInhalationDosesAdministered = selectInhalationDosesAdministered;
var selectInhalationDosesAdministeredByDrugId = getByIdSelector(selectInhalationDosesAdministered);
/** @type {CaseSelector<({ id: string } & InfusionDoseAdministered)[]>} */

exports.selectInhalationDosesAdministeredByDrugId = selectInhalationDosesAdministeredByDrugId;
var selectInfusionDosesAdministered = getFilteredDoseSelector(function (dose) {
  return dose.route === 'infusion' || dose.route === 'infusionBolus';
});
/** @type {CaseSelector<{ [drugId: string]: InfusionDoseAdministered[] }>} */

exports.selectInfusionDosesAdministered = selectInfusionDosesAdministered;
var selectInfusionDosesAdministeredByDrugId = getByIdSelector(selectInfusionDosesAdministered);
/**
 * @param {{
 *   route: string
 *   drugInfoProp: string
 *   mapFn?: (any) => any
 * }} options
 * @returns {{
 *   actionSelect: (id: string, drugProps: any) => any
 *   actionUnselect: (id: string) => any
 *   actionUpdateDosage: (id: string, updates: any) => any
 *   selectDrugInfoRaw: (caseData: any) => { [id: string]: any }
 *   selectDosageRaw: (caseData: any) => { [id: string]: any }
 *   selectDosage: (caseData: any) => { [id: string]: any }
 *   selectSelectedDrugs: (caseData: any) => ({ id: string } & any)[]
 *   selectSelectedDrugsById: (
 *     caseData: any
 *   ) => { [id: string]: { id: string } & any }
 * }}
 */

exports.selectInfusionDosesAdministeredByDrugId = selectInfusionDosesAdministeredByDrugId;

var createDoseProp = function createDoseProp(_ref) {
  var route = _ref.route,
      drugInfoProp = _ref.drugInfoProp,
      mapFn = _ref.mapFn;
  var dosePath = "drugDosage." + route + ".doses";
  /**
   * @param {string} path The id
   * @param {any} updates The updates to apply.
   * @returns {any} The changes to apply to the case.
   */

  var actionUpdate = function actionUpdate(path, updates) {
    var changes = {};

    for (var key in updates) {
      var value = updates[key];

      if (value !== undefined) {
        changes[path + "." + key] = updates[key];
      }
    }

    return changes;
  };

  var actionSelect = function actionSelect(id, drugProps) {
    var _extends2;

    return _extends((_extends2 = {}, _extends2[dosePath + "." + id + ".time"] = Date.now(), _extends2), actionUpdate(drugInfoProp + "." + id, drugProps));
  };

  var actionUnselect = function actionUnselect(id) {
    var _ref2;

    return _ref2 = {}, _ref2[dosePath + "." + id] = null, _ref2[drugInfoProp + "." + id] = null, _ref2;
  };

  var actionUpdateDosage = function actionUpdateDosage(id, updates) {
    return actionUpdate(dosePath + "." + id, updates);
  };

  var empty = {};

  var selectDosageRaw = function selectDosageRaw(caseData) {
    return caseData.drugDosage && caseData.drugDosage[route] && caseData.drugDosage[route].doses || empty;
  };

  var selectDosage = createSelector(selectDosageRaw, function (raw) {
    var toReturn = {};

    for (var key in raw) {
      toReturn[key] = mapFn(raw[key]);
    }

    return toReturn;
  });

  var selectDrugInfoRaw = function selectDrugInfoRaw(caseData) {
    return caseData[drugInfoProp] || empty;
  };

  var selectSelectedDrugs = createSelector(selectDosageRaw, selectDrugInfoRaw, function (dosageRaw, drugInfoRaw) {
    var toReturn = [];

    for (var id in dosageRaw) {
      var data = dosageRaw[id];
      var info = drugInfoRaw[id] || {};
      toReturn.push(_extends({
        id: id
      }, data, info));
    }

    return mapFn ? toReturn.map(mapFn) : toReturn;
  });
  var selectSelectedDrugsById = createSelector(selectSelectedDrugs, function (dosage) {
    return dosage.reduce(function (res, item) {
      res[item.id] = item;
      return res;
    }, {});
  });
  return {
    actionSelect: actionSelect,
    actionUnselect: actionUnselect,
    actionUpdateDosage: actionUpdateDosage,
    selectDrugInfoRaw: selectDrugInfoRaw,
    selectDosage: selectDosage,
    selectDosageRaw: selectDosageRaw,
    selectSelectedDrugs: selectSelectedDrugs,
    selectSelectedDrugsById: selectSelectedDrugsById
  };
};
/** @type {CaseSelector<number | null>} */


var selectPatientWeightInKg = function selectPatientWeightInKg(caseData) {
  return caseData.weight || null;
};
/** @type {CaseSelector<number | null>} */


exports.selectPatientWeightInKg = selectPatientWeightInKg;

var selectPatientHeightInCm = function selectPatientHeightInCm(caseData) {
  return caseData.height || null;
};
/** @type {CaseSelector<string | null>} */


exports.selectPatientHeightInCm = selectPatientHeightInCm;
var selectBmi = createSelector(selectPatientHeightInCm, selectPatientWeightInKg, function (height, weight) {
  if (!height || !weight) {
    return null;
  }

  var heightInMeters = height / 100;
  var result = (weight / Math.pow(heightInMeters, 2)).toFixed(1);
  return Number(result) > 250 ? null : result;
});
exports.selectBmi = selectBmi;
var prop = createDoseProp({
  route: 'infusion',
  drugInfoProp: 'infusionDrugs',
  mapFn: replaceObjectRawKeys
});
/**
 * @param {InfusionDrug} infusionDrug The drug we're selecting
 * @returns {any} The changes to apply to the case.
 */

var actionSelectInfusionDrug = function actionSelectInfusionDrug(_ref) {
  var id = _ref.id,
      name = _ref.name;
  return prop.actionSelect(id, {
    name: name
  });
};
/**
 * @param {string} id The rxcui ID of the drug we're unselecting
 * @returns {any} The changes to apply to the case.
 */


exports.actionSelectInfusionDrug = actionSelectInfusionDrug;
var actionUnselectInfusionDrug = prop.actionUnselect;
/**
 * @param {string} id
 * @param {{
 *   amount_raw?: string
 *   wasted_raw?: string
 *   used_raw?: string
 *   route?: InfusionRoute
 *   unit?: InfusionUnit
 *   bolusUnit?: InfusionBolusUnit
 *   wasteConfirmed?: boolean
 *   totalUnit?: InfusionTotalUnit
 *   kg?: string
 *   meta?: 'totals' | null
 * }} updates
 * @returns {any} The changes to apply to the case.
 */

exports.actionUnselectInfusionDrug = actionUnselectInfusionDrug;

var actionUpdateInfusionDosage = function actionUpdateInfusionDosage(id, updates) {
  return prop.actionUpdateDosage(id, updates);
};
/**
 * We do this as an action creator, because its important that we capture
 * totalUnit as part of confirming totals for infusions. Up unit totals are
 * confirmed we derive totalUnit from complex variables within the app. This
 * writes it to the case object so we can use it for running reports and analytics.
 *
 * @param {string} id
 * @param {InfusionTotalUnit} totalUnit
 * @returns {any} The changes to apply to the case.
 */


exports.actionUpdateInfusionDosage = actionUpdateInfusionDosage;

var actionConfirmInfusionTotals = function actionConfirmInfusionTotals(id, totalUnit) {
  return actionUpdateInfusionDosage(id, {
    totalUnit: totalUnit,
    wasteConfirmed: true
  });
};
/**
 * @param {string} id
 * @param {InfusionUnit} unit
 * @returns {any} The changes to apply to the case.
 */


exports.actionConfirmInfusionTotals = actionConfirmInfusionTotals;

var actionUpdateInfusionDrugUnit = function actionUpdateInfusionDrugUnit(id, unit) {
  return prop.actionUpdateDosage(id, {
    unit: unit
  });
};
/**
 * @param {string} id
 * @param {InfusionBolusUnit} bolusUnit
 * @returns {any} The changes to apply to the case.
 */


exports.actionUpdateInfusionDrugUnit = actionUpdateInfusionDrugUnit;

var actionUpdateInfusionDrugBolusUnit = function actionUpdateInfusionDrugBolusUnit(id, bolusUnit) {
  return prop.actionUpdateDosage(id, {
    bolusUnit: bolusUnit
  });
};
/**
 * @param {string} id
 * @param {string} amountRaw
 * @returns {any} The changes to apply to the case.
 */


exports.actionUpdateInfusionDrugBolusUnit = actionUpdateInfusionDrugBolusUnit;

var actionUpdateInfusionDrugAmount = function actionUpdateInfusionDrugAmount(id, amountRaw) {
  return prop.actionUpdateDosage(id, {
    amount_raw: amountRaw
  });
};
/**
 * @param {MacroInfusionDrug} macroInfusionDrug
 * @returns {any} The changes to apply to the case.
 */


exports.actionUpdateInfusionDrugAmount = actionUpdateInfusionDrugAmount;

var actionPresetInfusionDrug = function actionPresetInfusionDrug(_ref2) {
  var id = _ref2.id,
      name = _ref2.name,
      dose = _ref2.dose,
      unit = _ref2.unit,
      bolusUnit = _ref2.bolusUnit;
  return _extends({}, actionSelectInfusionDrug({
    id: id,
    name: name
  }), actionUpdateInfusionDrugAmount(id, dose), actionUpdateInfusionDrugUnit(id, unit), actionUpdateInfusionDrugBolusUnit(id, bolusUnit));
};
/** @type {(caseData: CaseData) => CaseData['infusionDrugs']} */


exports.actionPresetInfusionDrug = actionPresetInfusionDrug;
var selectCaseInfusionDrugs = prop.selectDrugInfoRaw;
/**
 * @type {(
 *   caseData: CaseData
 * ) => { [drugId: string]: InfusionDrugDosageProcessed }}
 */

exports.selectCaseInfusionDrugs = selectCaseInfusionDrugs;

var selectInfusionDrugDosage = function selectInfusionDrugDosage(caseData) {
  return prop.selectDosage(caseData);
};
/** @type {InfusionBolusUnit[]} */


exports.selectInfusionDrugDosage = selectInfusionDrugDosage;
var baseInfusionBolusUnits = ['mcg', 'mg'];
/** @type {InfusionBolusUnit[]} */

var infusionBolusUnits = ['mcg/kg'].concat(baseInfusionBolusUnits);
/** @type {(caseData: CaseData) => SelectedInfusionDrug[]} */

var selectSelectedInfusionDrugs = createSelector(prop.selectSelectedDrugs, selectPatientWeightInKg,
/**
 * @param {InfusionDrugDosage[]} drugs
 * @param {number | null} patientWeightInKg
 * @returns {SelectedInfusionDrug[]}
 */
function (drugs, patientWeightInKg) {
  return drugs.map(function (drug) {
    /**
     * Setting the defaults here for the unit and bolus unit so they don't
     * have to be manually set when selecting a drug. We also set the pumpKg
     * to the patient weight in kg if it's not set.
     */
    var unit = drug.unit || 'mcg/kg/min';
    var bolusUnit = drug.bolusUnit || 'mcg/kg';
    var unitNeedsKg = unit.includes('kg');
    /**
     * We purposely limit the options for boluses here based on the unit of
     * the infusion. This is because we will derive possible and therefore
     * default units for boluses based on the unit of the infusion.
     */

    var bolusUnitOptions = unitNeedsKg ? infusionBolusUnits : baseInfusionBolusUnits;
    /**
     * If you set the infusion unit to something without kg it doesn't make
     * sense to have the bolus unit set to something that relates to kg. The
     * pump won't let you bolus based on weight in that scenario. So we
     * default guess the best option if it's set to one that is invalid.
     */

    if (!bolusUnitOptions.includes(bolusUnit)) {
      bolusUnit = unit.includes('mcg') ? 'mcg' : 'mg';
    }

    return _extends({}, drug, {
      pumpKg: toNumber(drug.kg || patientWeightInKg) || null,
      unitNeedsKg: unitNeedsKg,
      unit: unit,
      bolusUnit: bolusUnit,
      bolusUnitOptions: bolusUnitOptions
    });
  });
});
/**
 * @type {(
 *   caseData: CaseData
 * ) => { [drugId: string]: SelectedInfusionDrug }}
 */

exports.selectSelectedInfusionDrugs = selectSelectedInfusionDrugs;
var selectSelectedInfusionDrugsById = prop.selectSelectedDrugsById;
/** @type {CaseSelector<MacroInfusionDrug[]>} */

exports.selectSelectedInfusionDrugsById = selectSelectedInfusionDrugsById;
var selectInfusionDrugsForMacro = createSelector(selectSelectedInfusionDrugs, selectInfusionDosesAdministeredByDrugId, function (selectedDrugs, administeredByDrugId) {
  return selectedDrugs.map(function (_ref3) {
    var id = _ref3.id,
        name = _ref3.name,
        amount_raw = _ref3.amount_raw,
        unit = _ref3.unit,
        bolusUnit = _ref3.bolusUnit;
    var administered = administeredByDrugId[id] || [];
    var firstDose = administered[0];
    return removeKeysWithNullishValues({
      id: id,
      name: name,
      unit: unit,
      bolusUnit: bolusUnit,
      dose: firstDose && firstDose.amount_raw || amount_raw
    });
  });
});
exports.selectInfusionDrugsForMacro = selectInfusionDrugsForMacro;
var prop$1 = createDoseProp({
  route: 'oral',
  drugInfoProp: 'oralSedatives',
  mapFn: replaceObjectRawKeys
});
/**
 * @param {OralSedative} oralSedative The drug we're selecting
 * @returns {any} The changes to apply to the case.
 */

var actionSelectOralSedative = function actionSelectOralSedative(_ref) {
  var id = _ref.id,
      name = _ref.name,
      unit = _ref.unit;
  return prop$1.actionSelect(id, {
    name: name,
    unit: unit
  });
};
/**
 * @param {string} id The rxcui ID of the drug we're unselecting
 * @returns {any} The changes to apply to the case.
 */


exports.actionSelectOralSedative = actionSelectOralSedative;
var actionUnselectOralSedative = prop$1.actionUnselect;
/**
 * @param {string} id The rxcui ID of the drug we're unselecting
 * @param {{
 *   amount_raw?: string
 *   route?: OralSedativeRoute
 * }} updates
 * @returns {any} The changes to apply to the case.
 */

exports.actionUnselectOralSedative = actionUnselectOralSedative;

var actionUpdateOralSedativeDosage = function actionUpdateOralSedativeDosage(id, updates) {
  return prop$1.actionUpdateDosage(id, updates);
};
/**
 * @param {string} id
 * @param {OralSedativeRoute} route
 * @returns {any} The changes to apply to the case.
 */


exports.actionUpdateOralSedativeDosage = actionUpdateOralSedativeDosage;

var actionUpdateOralSedativeRoute = function actionUpdateOralSedativeRoute(id, route) {
  return prop$1.actionUpdateDosage(id, {
    route: route
  });
};
/**
 * @param {string} id
 * @param {string} amount_raw
 * @returns {any} The changes to apply to the case.
 */


exports.actionUpdateOralSedativeRoute = actionUpdateOralSedativeRoute;

var actionUpdateOralSedativeAmount = function actionUpdateOralSedativeAmount(id, amount_raw) {
  return prop$1.actionUpdateDosage(id, {
    amount_raw: amount_raw
  });
};
/**
 * @param {MacroOralSedative} macroOralSedative
 * @returns {any} The changes to apply to the case.
 */


exports.actionUpdateOralSedativeAmount = actionUpdateOralSedativeAmount;

var actionPresetOralSedative = function actionPresetOralSedative(_ref2) {
  var id = _ref2.id,
      name = _ref2.name,
      unit = _ref2.unit,
      route = _ref2.route,
      dose = _ref2.dose;
  return _extends({}, actionSelectOralSedative({
    id: id,
    name: name,
    unit: unit
  }), actionUpdateOralSedativeAmount(id, dose), actionUpdateOralSedativeRoute(id, route));
};
/** @type {CaseSelector<CaseData['oralSedatives']>} */


exports.actionPresetOralSedative = actionPresetOralSedative;
var selectCaseOralSedatives = prop$1.selectDrugInfoRaw;
/** @type {CaseSelector<{ [drugId: string]: OralDrugDosageBase }>} */

exports.selectCaseOralSedatives = selectCaseOralSedatives;
var selectOralSedativeDosage = prop$1.selectDosage;
/** @type {CaseSelector<{ [drugId: string]: OralDrugDosage[] }>} */
// @ts-ignore

exports.selectOralSedativeDosage = selectOralSedativeDosage;
var selectSelectedOralSedatives = prop$1.selectSelectedDrugs;
/** @type {CaseSelector<{ [drugId: string]: OralDrugDosage }>} */

exports.selectSelectedOralSedatives = selectSelectedOralSedatives;
var selectSelectedOralSedativesById = prop$1.selectSelectedDrugsById;
/** @type {CaseSelector<MacroOralSedative[]>} */

exports.selectSelectedOralSedativesById = selectSelectedOralSedativesById;
var selectOralSedativesForMacro = createSelector(selectSelectedOralSedatives, selectOralSedativeDosage, selectOralSedativeDosesAdministeredByDrugId, function (drugs, dosage, administeredByDrugId) {
  return drugs.map(function (_ref3) {
    var id = _ref3.id,
        name = _ref3.name,
        unit = _ref3.unit;

    var _ref4 = dosage[id] || {},
        amount_raw = _ref4.amount_raw,
        route = _ref4.route;

    var administered = administeredByDrugId[id] || [];
    var firstDose = administered[0];
    return removeKeysWithNullishValues({
      id: id,
      name: name,
      unit: unit,
      dose: firstDose && firstDose.amount_raw || amount_raw,
      route: firstDose && firstDose.route || route
    });
  });
});
exports.selectOralSedativesForMacro = selectOralSedativesForMacro;
var prop$2 = createDoseProp({
  route: 'iv',
  drugInfoProp: 'parenDrugs',
  mapFn: replaceObjectRawKeys
});
/**
 * @param {ParenDrug} parenteralDrug The drug we're selecting
 * @returns {any} The changes to apply to the case.
 */

var actionSelectParenDrug = function actionSelectParenDrug(_ref) {
  var id = _ref.id,
      name = _ref.name,
      unit = _ref.unit;
  return prop$2.actionSelect(id, {
    name: name,
    unit: unit
  });
};
/**
 * @param {string} id The rxcui ID of the drug we're unselecting
 * @returns {any} The changes to apply to the case.
 */


exports.actionSelectParenDrug = actionSelectParenDrug;
var actionUnselectParenDrug = prop$2.actionUnselect;
/**
 * @param {string} id
 * @param {{
 *   route?: ParenDrugRoute
 *   meta?: 'normal' | 'draw' | 'totals'
 *   drawAmountTemp_raw?: string
 *   totalDrawn_raw?: string
 *   wasted_raw?: string
 *   wasteConfirmed?: boolean
 *   amount_raw?: string
 * }} updates
 * @returns {any} The changes to apply to the case.
 */

exports.actionUnselectParenDrug = actionUnselectParenDrug;

var actionUpdateParenDrugDosage = function actionUpdateParenDrugDosage(id, updates) {
  return prop$2.actionUpdateDosage(id, updates);
};
/**
 * @param {string} drugId The rxcui ID of the drug we're selecting
 * @param {string} amountRaw The amount as a string we are setting temp draw value to.
 * @returns {any} The changes to apply to the case.
 */


exports.actionUpdateParenDrugDosage = actionUpdateParenDrugDosage;

var actionUpdateParenDrugTempDraw = function actionUpdateParenDrugTempDraw(drugId, amountRaw) {
  return prop$2.actionUpdateDosage(drugId, {
    drawAmountTemp_raw: amountRaw
  });
};
/**
 * @param {string} drugId The rxcui ID of the drug
 * @param {string} amountRaw The amount as a string we are setting amount to.
 * @returns {any} The changes to apply to the case.
 */


exports.actionUpdateParenDrugTempDraw = actionUpdateParenDrugTempDraw;

var actionUpdateParenDrugTempAmount = function actionUpdateParenDrugTempAmount(drugId, amountRaw) {
  return prop$2.actionUpdateDosage(drugId, {
    amount_raw: amountRaw
  });
};
/**
 * @param {string} drugId The rxcui ID of the drug we're selecting
 * @param {ParenDrugRoute} route The administration route as a string we are setting
 * @returns {any} The changes to apply to the case.
 */


exports.actionUpdateParenDrugTempAmount = actionUpdateParenDrugTempAmount;

var actionUpdateParenDrugRoute = function actionUpdateParenDrugRoute(drugId, route) {
  return prop$2.actionUpdateDosage(drugId, {
    route: route
  });
};
/**
 * @param {MacroParenDrug} macroParenDrug
 * @returns
 */


exports.actionUpdateParenDrugRoute = actionUpdateParenDrugRoute;

var actionPresetParenDrug = function actionPresetParenDrug(_ref2) {
  var id = _ref2.id,
      name = _ref2.name,
      unit = _ref2.unit,
      draw = _ref2.draw,
      dose = _ref2.dose,
      route = _ref2.route;

  var toReturn = _extends({}, actionSelectParenDrug({
    id: id,
    name: name,
    unit: unit
  }), actionUpdateParenDrugRoute(id, route), actionUpdateParenDrugTempAmount(id, dose), actionUpdateParenDrugTempDraw(id, draw));

  return toReturn;
};
/** @type {CaseSelector<CaseData['parenDrugs']>} */


exports.actionPresetParenDrug = actionPresetParenDrug;

var selectCaseParenDrugs = function selectCaseParenDrugs(caseData) {
  return prop$2.selectDrugInfoRaw(caseData);
};
/** @type {CaseSelector<{ [drugId: string]: ParenDrugDosageProcessed }>} */


exports.selectCaseParenDrugs = selectCaseParenDrugs;

var selectParenDrugDosage = function selectParenDrugDosage(caseData) {
  return prop$2.selectDosage(caseData);
};
/** @type {CaseSelector<ParenDrugDosage[]>} */


exports.selectParenDrugDosage = selectParenDrugDosage;

var selectSelectedParenDrugs = function selectSelectedParenDrugs(caseData) {
  return prop$2.selectSelectedDrugs(caseData);
};
/** @type {CaseSelector<{ [drugId: string]: ParenDrugDosage }>} */


exports.selectSelectedParenDrugs = selectSelectedParenDrugs;

var selectSelectedParenDrugsById = function selectSelectedParenDrugsById(caseData) {
  return prop$2.selectSelectedDrugsById(caseData);
};
/** @type {CaseSelector<MacroParenDrug[]>} */


exports.selectSelectedParenDrugsById = selectSelectedParenDrugsById;
var selectParenDrugsForMacro = createSelector(selectSelectedParenDrugs, selectParenDrugDosage, selectParenteralDosesAdministeredByDrugId, function (drugs, dosage, administeredByDrugId) {
  return drugs.map(function (_ref3) {
    var id = _ref3.id,
        name = _ref3.name,
        unit = _ref3.unit;

    var _ref4 = dosage[id] || {},
        amount_raw = _ref4.amount_raw,
        drawAmountTemp_raw = _ref4.drawAmountTemp_raw,
        route = _ref4.route;

    var administered = administeredByDrugId[id] || [];
    var firstDose = administered[0];
    return removeKeysWithNullishValues({
      id: id,
      name: name,
      route: firstDose && firstDose.route || route,
      unit: unit,
      draw: drawAmountTemp_raw,
      dose: firstDose && firstDose.amount_raw || amount_raw
    }, true);
  });
});
exports.selectParenDrugsForMacro = selectParenDrugsForMacro;

var totals = function totals(doses, expectedRoutes) {
  var byRoute = expectedRoutes.reduce(function (res, route) {
    res[route] = 0;
    return res;
  }, {});
  var result = {
    total: 0,
    byRoute: byRoute
  };
  var max = 0;

  for (var _iterator = _createForOfIteratorHelperLoose(doses), _step; !(_step = _iterator()).done;) {
    var _step$value = _step.value,
        route = _step$value.route,
        amount = _step$value.amount;

    if (!result.byRoute.hasOwnProperty(route)) {
      continue;
    }

    max = Math.max(max, amount);
    byRoute[route] = cleanUpRound(byRoute[route] + amount);
    result.total = cleanUpRound(result.total + amount);
  }

  result.maxDose = max;
  return result;
};

var createArrayVersion = function createArrayVersion(selector) {
  return createSelector(selector, function (totals) {
    if (!totals) {
      return [];
    }

    var asArray = Object.keys(totals).map(function (id) {
      return _extends({
        id: id
      }, totals[id]);
    });
    asArray.sort(function (a, b) {
      return a.caseCount - b.caseCount;
    });
    return asArray;
  });
};

var createUsedVersion = function createUsedVersion(selector) {
  return createSelector(selector, function (totals) {
    var result = {};

    for (var key in totals) {
      var entry = totals[key];

      if (entry.total || entry.wasted) {
        result[key] = entry;
      }
    }

    return result;
  });
};

var parenRoutes = ['IV', 'IM', 'IN'];
/** @type {CaseSelector<SingleCaseParenDrugTotalsById>} */

var selectParenDrugTotalsNoInfusion = createSelector(selectCaseParenDrugs, selectCaseOralSedatives, eventSelectors.selectCaseStartTime, selectParenteralDosesAdministeredByDrugId, selectParenDrugDosage, selectCalculateDrugWaste,
/**
 * @param {CaseData['parenDrugs']} parenDrugs
 * @param {CaseData['oralSedatives']} oralSedatives
 * @param {number | null} caseStartTime
 * @param {any} dosesByDrugId
 * @param {{ [drugId: string]: ParenDrugDosageProcessed }} dosageById
 * @param {boolean} calculateDrugWaste
 */
function (parenDrugs, oralSedatives, caseStartTime, dosesByDrugId, dosageById, calculateDrugWaste) {
  var result = {};

  var _loop = function _loop(drugId) {
    var allDoses = dosesByDrugId[drugId];
    var dosage = dosageById[drugId] || {};

    var _ref = parenDrugs[drugId] || oralSedatives[drugId] || {},
        unit = _ref.unit,
        name = _ref.name;

    var preProcedureTotal = 0;
    allDoses.forEach(function (dose) {
      var time = dose.time;

      if (!caseStartTime || caseStartTime > time) {
        preProcedureTotal += dose.amount;
      }
    });
    var loopReturn = result[drugId] = totals(allDoses, parenRoutes);

    if (calculateDrugWaste) {
      loopReturn.wasted = cleanUpRound( // we have to add back pre-procedure total here because
      // we don't currently track waste for pre-procedure IM drugs
      // @ts-ignore
      (dosage.totalDrawn || 0) - loopReturn.total + preProcedureTotal);
    } else {
      // @ts-ignore
      loopReturn.wasted = dosage.wasted || 0;
    }

    loopReturn.unit = unit || 'mg';
    loopReturn.name = name || null;
    loopReturn.expended = cleanUpRound(loopReturn.total + loopReturn.wasted);
  };

  for (var drugId in dosesByDrugId) {
    _loop(drugId);
  }

  return result;
});
/** @type {CaseSelector<SingleCaseParenDrugTotalsById>} */

exports.selectParenDrugTotalsNoInfusion = selectParenDrugTotalsNoInfusion;
var selectUsedParenDrugTotalsNoInfusion = createUsedVersion(selectParenDrugTotalsNoInfusion);
/** @type {CaseSelector<SingleCaseParenDrugTotalsById>} */

exports.selectUsedParenDrugTotalsNoInfusion = selectUsedParenDrugTotalsNoInfusion;
var selectInfusionDrugTotals = createSelector(selectSelectedInfusionDrugs,
/** @param {SelectedInfusionDrug[]} infusionDrugs */
function (infusionDrugs) {
  var result = {};

  for (var _iterator2 = _createForOfIteratorHelperLoose(infusionDrugs), _step2; !(_step2 = _iterator2()).done;) {
    var drug = _step2.value;
    var id = drug.id,
        name = drug.name,
        wasted = drug.wasted,
        totalUnit = drug.totalUnit,
        used = drug.used,
        wasteConfirmed = drug.wasteConfirmed;

    if (!wasteConfirmed || !totalUnit) {
      continue;
    }

    var finalWasted = wasted || 0;
    var finalTotal = used || 0;
    result[id] = {
      wasted: finalWasted,
      unit: totalUnit,
      total: finalTotal,
      name: name,
      expended: cleanUpRound(finalTotal + finalWasted)
    };
  }

  return result;
});
/** @type {CaseSelector<SingleCaseParenDrugTotalsById>} */

exports.selectInfusionDrugTotals = selectInfusionDrugTotals;
var selectUsedInfusionDrugTotals = createUsedVersion(selectInfusionDrugTotals);
/** @type {(caseData: CaseData) => SingleCaseParenDrugTotalsById} */

exports.selectUsedInfusionDrugTotals = selectUsedInfusionDrugTotals;
var selectParenDrugTotals = createSelector(selectParenDrugTotalsNoInfusion, selectInfusionDrugTotals,
/**
 * @param {SingleCaseSingleParenDrugTotal} parenTotals
 * @param {SingleCaseSingleParenDrugTotal} infusionTotals
 * @returns {SingleCaseParenDrugTotalsById}
 */
function (parenTotals, infusionTotals) {
  /** @type {SingleCaseParenDrugTotalsById} */
  var result = JSON.parse(JSON.stringify(parenTotals));

  for (var id in infusionTotals) {
    if (result[id]) {
      var paren = result[id];
      var infusion = infusionTotals[id];
      paren.total = addDiffUnits(paren.total, paren.unit, infusion.total, infusion.unit, paren.unit).amount;
      paren.byRoute.IV = addDiffUnits(paren.byRoute.IV, paren.unit, infusion.total, infusion.unit, paren.unit).amount;
      paren.wasted = addDiffUnits(paren.wasted, paren.unit, infusion.wasted, infusion.unit, paren.unit).amount;
      paren.expended = addDiffUnits(paren.expended, paren.unit, infusion.expended, infusion.unit, paren.unit).amount;
    } else {
      var entry = infusionTotals[id];
      result[id] = entry; // we do this to keep it consistent
      // structure for infusions as for other
      // paren drugs

      result[id].byRoute = {
        IV: entry.total,
        IM: 0,
        IN: 0
      };
    }
  }

  return result;
});
/** @type {(caseData: CaseData) => SingleCaseParenDrugTotalsById} */

exports.selectParenDrugTotals = selectParenDrugTotals;
var selectUsedParenDrugTotals = createUsedVersion(selectParenDrugTotals);
exports.selectUsedParenDrugTotals = selectUsedParenDrugTotals;
var oralRoutes = ['PO', 'SL'];
/** @type {CaseSelector<SingleCaseOralDrugTotalsById>} */

var selectOralSedativeTotals = createSelector(selectCaseOralSedatives, selectOralSedativeDosesAdministeredByDrugId, selectOralSedativeDosage,
/**
 * @type {(
 *   oralSedatives: CaseData['oralSedatives'],
 *   oralDoses: ReturnType<selectOralSedativeDosesAdministeredByDrugId>,
 *   dosageById: ReturnType<selectOralSedativeDosage>
 * ) => SingleCaseOralDrugTotalsById}
 */
function (oralSedatives, oralDoses) {
  /** @type {SingleCaseOralDrugTotalsById} */
  var result = {};

  for (var drugId in oralDoses) {
    var doses = oralDoses[drugId];

    var _ref2 = oralSedatives[drugId] || {},
        unit = _ref2.unit,
        name = _ref2.name;
    /** @type {SingleCaseSingleOralDrugTotal} */
    // @ts-ignore


    var loopReturn = result[drugId] = totals(doses, oralRoutes); // @ts-ignore

    loopReturn.unit = unit || 'mg';
    loopReturn.name = name || null;
  }

  return result;
});
/** @type {CaseSelector<SingleCaseOralDrugTotalsById>} */

exports.selectOralSedativeTotals = selectOralSedativeTotals;
var selectUsedOralSedativeTotals = createUsedVersion(selectOralSedativeTotals);
/** @type {CaseSelector<SingleCaseSingleOralDrugTotal[]>} */

exports.selectUsedOralSedativeTotals = selectUsedOralSedativeTotals;
var selectOralSedativeTotalsAsArray = createArrayVersion(selectOralSedativeTotals);
/** @type {CaseSelector<SingleCaseSingleOralDrugTotal[]>} */

exports.selectOralSedativeTotalsAsArray = selectOralSedativeTotalsAsArray;
var selectUsedOralSedativeTotalsAsArray = createArrayVersion(selectUsedOralSedativeTotals);
/** @type {CaseSelector<SingleCaseSingleParenDrugTotal[]>} */

exports.selectUsedOralSedativeTotalsAsArray = selectUsedOralSedativeTotalsAsArray;
var selectParenDrugTotalsAsArray = createArrayVersion(selectParenDrugTotals);
/** @type {CaseSelector<SingleCaseSingleParenDrugTotal[]>} */

exports.selectParenDrugTotalsAsArray = selectParenDrugTotalsAsArray;
var selectUsedParenDrugTotalsAsArray = createArrayVersion(selectUsedParenDrugTotals);
exports.selectUsedParenDrugTotalsAsArray = selectUsedParenDrugTotalsAsArray;
var selectAnesthesiaMinutes = eventSelectors.selectAnesthesiaMinutes,
    selectSurgeryMinutes = eventSelectors.selectSurgeryMinutes,
    selectRecoveryMinutes = eventSelectors.selectRecoveryMinutes,
    selectCompleteCaseMinutes = eventSelectors.selectCompleteCaseMinutes,
    selectMonitoringMinutes = eventSelectors.selectMonitoringMinutes,
    selectEventTimesRaw = eventSelectors.selectEventTimesRaw;
var selectCaseSummary = createSelector(selectUsedParenDrugTotalsAsArray, selectUsedOralSedativeTotalsAsArray, selectEventTimesRaw, selectAnesthesiaMinutes, selectSurgeryMinutes, selectRecoveryMinutes, selectCompleteCaseMinutes, selectMonitoringMinutes, selectSedativesBeingUsed, function (parenDrugsUsed, oralSedativesUsed, events, anesthesiaMinutes, surgeryMinutes, recoveryMinutes, completeCaseMinutes, monitoringMinutes, sedativesBeingUsed) {
  return {
    parenDrugsUsed: parenDrugsUsed,
    oralSedativesUsed: oralSedativesUsed,
    events: events,
    anesthesiaMinutes: sedativesBeingUsed ? anesthesiaMinutes || 0 : null,
    surgeryMinutes: surgeryMinutes || 0,
    recoveryMinutes: sedativesBeingUsed ? recoveryMinutes || 0 : null,
    completeCaseMinutes: completeCaseMinutes || 0,
    monitoringMinutes: monitoringMinutes || 0
  };
});
exports.selectCaseSummary = selectCaseSummary;
var propsToKeep = ['sedationProviderName', 'calculateDrugWaste', // needed for calculating wasted
'surgeonName', 'recorderName', 'sedationLevel', 'preMedsAdministered', 'drugsAdministered', 'drugDosage', 'parenDrugs', 'oralSedatives', 'localAnesthetics', 'infusionDrugs', 'laDilutions', 'events', 'customEvents'];

var removePropsNotNeededForAnalytics = function removePropsNotNeededForAnalytics(caseData) {
  var toReturn = {};

  for (var _iterator = _createForOfIteratorHelperLoose(propsToKeep), _step; !(_step = _iterator()).done;) {
    var prop = _step.value;

    if (caseData.hasOwnProperty(prop)) {
      toReturn[prop] = caseData[prop];
    }
  }

  return toReturn;
};

exports.removePropsNotNeededForAnalytics = removePropsNotNeededForAnalytics;
var timeKeys = ['anesthesiaMinutes', 'surgeryMinutes', 'recoveryMinutes', 'completeCaseMinutes', 'monitoringMinutes'];
/** @type {(entries: CaseSummary[]) => CaseMinutes} */

var getTimeAverages = function getTimeAverages(entries) {
  var averagesData = {
    anesthesiaMinutes: [],
    surgeryMinutes: [],
    recoveryMinutes: [],
    completeCaseMinutes: [],
    monitoringMinutes: []
  };

  for (var _iterator2 = _createForOfIteratorHelperLoose(entries), _step2; !(_step2 = _iterator2()).done;) {
    var entry = _step2.value;

    for (var _iterator3 = _createForOfIteratorHelperLoose(timeKeys), _step3; !(_step3 = _iterator3()).done;) {
      var _key = _step3.value;
      var value = entry[_key]; // there are certain cases we don't want to include a case at all in the average
      // in those scenarios, the value should be explicitly set to null

      if (value !== null) {
        averagesData[_key].push(entry[_key]);
      }
    }
  }

  var averages = {};

  for (var key in averagesData) {
    averages[key] = getAverage(averagesData[key]);
  } // @ts-ignore


  return averages;
};

var ensureDrugsHaveName = function ensureDrugsHaveName(list) {
  for (var _iterator4 = _createForOfIteratorHelperLoose(list), _step4; !(_step4 = _iterator4()).done;) {
    var entry = _step4.value;

    if (!entry.name) {
      throw Error('MISSING_DRUG_NAME');
    }
  }
};
/** @type {(entries: CaseReport[]) => CaseSummary[]} */


var getProcessedCaseList = function getProcessedCaseList(entries) {
  return entries.map(function (_ref) {
    var caseData = _ref.caseData,
        rest = _objectWithoutPropertiesLoose(_ref, ["caseData"]);

    try {
      var toReturn = _extends({}, rest, selectCaseSummary(caseData));

      ensureDrugsHaveName(toReturn.parenDrugsUsed);
      ensureDrugsHaveName(toReturn.oralSedativesUsed);
      return toReturn;
    } catch (err) {
      var compositionId = rest.compositionId,
          appointmentId = rest.appointmentId;
      var message = err.message + " (apptId: " + appointmentId + ", compId: " + compositionId + ")";
      err.message = message;
      throw err;
    }
  });
};
/** @type {(entries: CaseSummary[]) => OralDrugAnalysisResult[]} */


exports.getProcessedCaseList = getProcessedCaseList;

var getOralDrugAnalysis = function getOralDrugAnalysis(entries) {
  var oralSedatives = {};
  var totalCaseCount = entries.length;
  /** @type {(totalResultForCase: SingleCaseSingleOralDrugTotal) => void} */

  var addEntry = function addEntry(totalResultForCase) {
    var id = totalResultForCase.id,
        total = totalResultForCase.total,
        maxDose = totalResultForCase.maxDose,
        name = totalResultForCase.name,
        unit = totalResultForCase.unit,
        byRoute = totalResultForCase.byRoute;
    var existing = oralSedatives[id];

    if (!existing) {
      existing = oralSedatives[id] = {
        byRoute: {
          PO: 0,
          SL: 0
        }
      };
    }

    var startingUnit = existing.unit || unit; // this will determine the unit we're using from now on

    var _addDiffUnits = addDiffUnits(existing.total || 0, startingUnit, total || 0, unit),
        updatedTotal = _addDiffUnits.amount,
        updatedUnit = _addDiffUnits.unit;

    existing.maxDose = Math.max(toTargetUnit(existing.maxDose || 0, startingUnit, updatedUnit), toTargetUnit(maxDose || 0, unit, updatedUnit));
    existing.name = existing.name || name;
    existing.unit = updatedUnit;
    existing.total = updatedTotal;
    existing.caseCount = (existing.caseCount || 0) + 1;
    existing.percentOfCases = cleanUpRound(existing.caseCount / totalCaseCount);
    existing.byRoute = {
      PO: addDiffUnits(existing.byRoute.PO, startingUnit, byRoute.PO, unit, updatedUnit).amount,
      SL: addDiffUnits(existing.byRoute.SL, startingUnit, byRoute.SL, unit, updatedUnit).amount
    };
  };

  for (var _iterator5 = _createForOfIteratorHelperLoose(entries), _step5; !(_step5 = _iterator5()).done;) {
    var entry = _step5.value;

    for (var _iterator6 = _createForOfIteratorHelperLoose(entry.oralSedativesUsed), _step6; !(_step6 = _iterator6()).done;) {
      var drugEntry = _step6.value;
      addEntry(drugEntry);
    }
  }

  var asArray = [];

  for (var id in oralSedatives) {
    asArray.push(_extends({
      id: id
    }, oralSedatives[id]));
  }

  asArray.sort(function (a, b) {
    return b.caseCount - a.caseCount;
  });
  return asArray;
};
/** @type {(entries: CaseSummary[]) => ParenDrugAnalysisResult[]} */


var getParenDrugAnalysis = function getParenDrugAnalysis(entries) {
  var parenDrugs = {};
  var totalCaseCount = entries.length;
  /** @type {(totalResultForCase: SingleCaseSingleParenDrugTotal) => void} */

  var addEntry = function addEntry(totalResultForCase) {
    var id = totalResultForCase.id,
        total = totalResultForCase.total,
        wasted = totalResultForCase.wasted,
        maxDose = totalResultForCase.maxDose,
        name = totalResultForCase.name,
        unit = totalResultForCase.unit,
        byRoute = totalResultForCase.byRoute;

    if (!parenDrugs[id]) {
      parenDrugs[id] = {
        byRoute: {
          IV: 0,
          IM: 0,
          IN: 0
        }
      };
    }

    var existing = parenDrugs[id];
    var startingUnit = existing.unit || unit; // this will determine the unit we're using from now on

    var _addDiffUnits2 = addDiffUnits(existing.total || 0, startingUnit, total || 0, unit),
        updatedTotal = _addDiffUnits2.amount,
        updatedUnit = _addDiffUnits2.unit; // this will force wasted to use the same unit


    var _addDiffUnits3 = addDiffUnits(existing.wasted || 0, startingUnit, wasted || 0, unit, updatedUnit),
        updatedWaste = _addDiffUnits3.amount;

    existing.maxDose = Math.max(toTargetUnit(existing.maxDose || 0, startingUnit, updatedUnit), toTargetUnit(maxDose || 0, unit, updatedUnit));
    existing.name = existing.name || name;
    existing.unit = updatedUnit;
    existing.total = updatedTotal;
    existing.wasted = updatedWaste;
    existing.expended = cleanUpRound(updatedTotal + updatedWaste);
    existing.caseCount = (existing.caseCount || 0) + 1;
    existing.percentOfCases = cleanUpRound(existing.caseCount / totalCaseCount);
    existing.byRoute = {
      IV: addDiffUnits(existing.byRoute.IV, startingUnit, byRoute.IV, unit, updatedUnit).amount,
      IM: addDiffUnits(existing.byRoute.IM, startingUnit, byRoute.IM, unit, updatedUnit).amount,
      IN: addDiffUnits(existing.byRoute.IN, startingUnit, byRoute.IN, unit, updatedUnit).amount
    };
  };

  for (var _iterator7 = _createForOfIteratorHelperLoose(entries), _step7; !(_step7 = _iterator7()).done;) {
    var entry = _step7.value;

    for (var _iterator8 = _createForOfIteratorHelperLoose(entry.parenDrugsUsed), _step8; !(_step8 = _iterator8()).done;) {
      var drugEntry = _step8.value;
      addEntry(drugEntry);
    }
  }

  var asArray = [];

  for (var id in parenDrugs) {
    asArray.push(_extends({
      id: id
    }, parenDrugs[id]));
  }

  asArray.sort(function (a, b) {
    return b.caseCount - a.caseCount;
  });
  return asArray;
};
/** @type {(entries: CaseReport[]) => CaseAnalyticsResult} */


var getCaseAnalytics = function getCaseAnalytics(entries) {
  var cases = getProcessedCaseList(entries);
  return {
    cases: cases,
    timeAverages: getTimeAverages(cases),
    oralDrugs: getOralDrugAnalysis(cases),
    parenDrugs: getParenDrugAnalysis(cases)
  };
}; // @ts-check


exports.getCaseAnalytics = getCaseAnalytics;
var root = 'vitalsCheckpoints';
/**
 * @param {number} time
 * @param {boolean} [complete]
 * @returns {any}
 */

var actionAddVitalsCheckpoint = function actionAddVitalsCheckpoint(time, complete) {
  var _ref;

  time = toNumber(time);
  var cp = {
    time: time
  };
  if (complete) cp.complete = true;
  return _ref = {}, _ref[root + ".cp_" + time] = cp, _ref;
};
/**
 * @type {(id: string, complete: boolean) => any}
 * @returns {any}
 */


exports.actionAddVitalsCheckpoint = actionAddVitalsCheckpoint;

var actionUpdateCheckpointComplete = function actionUpdateCheckpointComplete(id, complete) {
  var _ref2;

  return _ref2 = {}, _ref2[root + "." + id + ".complete"] = complete ? true : null, _ref2;
};
/** @type {CaseSelector<CaseData['vitalsCheckpoints'] | {}>} */


exports.actionUpdateCheckpointComplete = actionUpdateCheckpointComplete;
var selectVitalsCheckpointsRaw = getCasePropSelector(root, {});
/** @type {CaseSelector<{ id: string; time: number; complete: boolean }[]>} */

exports.selectVitalsCheckpointsRaw = selectVitalsCheckpointsRaw;
var selectVitalsCheckpointsRawArray = createSelector(selectVitalsCheckpointsRaw, function (raw) {
  var result = [];

  for (var id in raw) {
    var _raw$id = raw[id],
        time = _raw$id.time,
        complete = _raw$id.complete;
    if (!time) continue;
    result.push({
      id: id,
      time: time,
      complete: !!complete
    });
  }

  result.sort(function (a, b) {
    return a.time - b.time;
  });
  return result;
});
exports.selectVitalsCheckpointsRawArray = selectVitalsCheckpointsRawArray;
var valid = [null, 1, 2.5, 5, 10];
/**
 * @param {null | 1 | 2.5 | 5 | 10} interval
 * @returns {any}
 */

var actionUpdateVitalsInterval = function actionUpdateVitalsInterval(interval) {
  return valid.includes(interval) ? {
    vitalsInterval: interval
  } : {};
};
/** @type {CaseSelector<CaseData['vitalsInterval']>} */


exports.actionUpdateVitalsInterval = actionUpdateVitalsInterval;
var selectVitalsInterval = getCasePropSelector('vitalsInterval', 5);
/** @type {CaseSelector<5 | 10>} */

exports.selectVitalsInterval = selectVitalsInterval;
var selectBaseVitalsInterval = createSelector(selectVitalsInterval, function (interval) {
  return interval === 10 ? 10 : 5;
});
exports.selectBaseVitalsInterval = selectBaseVitalsInterval;
var prop$3 = createDoseProp({
  route: 'inhalation',
  drugInfoProp: 'inhalationAgents',
  mapFn: replaceObjectRawKeys
});
/**
 * @param {string} id
 * @param {{
 *   amount: number
 *   time: number
 * }} updates
 * @returns {any} The changes to apply to the case.
 */

var actionUpdateInhalationDosage = function actionUpdateInhalationDosage(id, updates) {
  return prop$3.actionUpdateDosage(id, updates);
};
/**
 * @param {string} id
 * @returns {any} The changes to apply to the case.
 */


exports.actionUpdateInhalationDosage = actionUpdateInhalationDosage;

var actionClearInhalationDosage = function actionClearInhalationDosage(id) {
  var _ref;

  return _ref = {}, _ref["drugDosage.inhalation.doses." + id] = null, _ref;
};
/**
 * @type {(
 *   caseData: CaseData
 * ) => {
 *   [drugId: string]: {
 *     amount: number
 *     time: number
 *   }
 * }}
 */


exports.actionClearInhalationDosage = actionClearInhalationDosage;
var selectInhalationDosage = prop$3.selectDosageRaw;
exports.selectInhalationDosage = selectInhalationDosage;

var getUpdater = function getUpdater(name) {
  return function (val) {
    var _ref;

    return _ref = {}, _ref["ivLocations.0." + name] = val, _ref;
  };
};

var actionUpdateIvNeedleGauge = getUpdater('needleGauge');
exports.actionUpdateIvNeedleGauge = actionUpdateIvNeedleGauge;

var actionUpdateIvSolutionType = function actionUpdateIvSolutionType(solutionType) {
  var _ref2;

  return _ref2 = {}, _ref2['ivLocations.0.solutions.0.name'] = solutionType, _ref2;
};

exports.actionUpdateIvSolutionType = actionUpdateIvSolutionType;
var actionUpdateIvSide = getUpdater('side');
exports.actionUpdateIvSide = actionUpdateIvSide;
var actionUpdateIvLocation = getUpdater('name');
exports.actionUpdateIvLocation = actionUpdateIvLocation;
var actionUpdateIvSecuredWith = getUpdater('securedWith');
exports.actionUpdateIvSecuredWith = actionUpdateIvSecuredWith;
var actionUpdateIvAttempts = getUpdater('attempts');
exports.actionUpdateIvAttempts = actionUpdateIvAttempts;
var mapping = {
  location: actionUpdateIvLocation,
  needleGauge: actionUpdateIvNeedleGauge,
  securedWith: actionUpdateIvSecuredWith,
  side: actionUpdateIvSide,
  solutionType: actionUpdateIvSolutionType,
  attempts: actionUpdateIvAttempts
};
/**
 * @param {Partial<SimplifiedIvDetails>} obj
 * @returns
 */

var actionUpdateIvPlacement = function actionUpdateIvPlacement(obj) {
  var changes = {};

  for (var key in obj) {
    var updater = mapping[key];

    if (updater) {
      Object.assign(changes, updater(obj[key]));
    } else {
      throw Error("Invalid IV Key " + key);
    }
  }

  return changes;
};

exports.actionUpdateIvPlacement = actionUpdateIvPlacement;

var selectFirstIvAccessLocation = function selectFirstIvAccessLocation(caseData) {
  return caseData.ivLocations && caseData.ivLocations[0] || null;
};

exports.selectFirstIvAccessLocation = selectFirstIvAccessLocation;
var selectFirstIvSolution = createSelector(selectFirstIvAccessLocation, function (firstLocation) {
  return firstLocation && firstLocation.solutions && firstLocation.solutions[0] || null;
});
exports.selectFirstIvSolution = selectFirstIvSolution;
var selectIvAccessData = createSelector(selectFirstIvAccessLocation, selectFirstIvSolution, function (location, solution) {
  var _ref3 = location || {},
      name = _ref3.name,
      side = _ref3.side,
      securedWith = _ref3.securedWith,
      attempts = _ref3.attempts,
      needleGauge = _ref3.needleGauge;

  return {
    location: name,
    side: side,
    securedWith: securedWith,
    attempts: attempts || 0,
    needleGauge: needleGauge,
    solutionType: solution && solution.name || undefined
  };
});
exports.selectIvAccessData = selectIvAccessData;
var selectHasAnyIvAccessValues = createSelector(selectIvAccessData, function (data) {
  for (var key in data) {
    // anything truthy we'll consider true
    if (data[key]) {
      return true;
    }
  }

  return false;
});
exports.selectHasAnyIvAccessValues = selectHasAnyIvAccessValues;

var extractRxcui = function extractRxcui(id) {
  var splitId = id.split('|');

  if (splitId.length == 2 && /^\d+$/.test(splitId[0])) {
    return splitId[0];
  }

  return null;
};

var prop$4 = createDoseProp({
  route: 'local',
  drugInfoProp: 'localAnesthetics',
  mapFn: function mapFn(drug) {
    if (drug.rxcui) {
      return drug;
    }

    var rxcui = extractRxcui(drug.id);

    if (rxcui) {
      return _extends({}, drug, {
        rxcui: rxcui
      });
    }

    return drug;
  }
});
/**
 * @param {{
 *   id: string
 *   rxcui?: string
 *   name: string
 *   epi: number
 *   percent: number
 * }} localDrug
 *   The drug we're selecting. We really want rxcui to be required, but we may not
 *   have it if we're creating it off of presets.
 * @returns {any} The changes to apply to the case.
 */

var actionSelectLocalDrug = function actionSelectLocalDrug(_ref) {
  var id = _ref.id,
      rxcui = _ref.rxcui,
      name = _ref.name,
      epi = _ref.epi,
      percent = _ref.percent;
  return prop$4.actionSelect(id, {
    name: name,
    epi: epi,
    percent: percent,
    rxcui: rxcui
  });
};
/**
 * @param {string} id The rxcui ID of the drug we're unselecting
 * @returns {any} The changes to apply to the case.
 */


exports.actionSelectLocalDrug = actionSelectLocalDrug;
var actionUnselectLocalDrug = prop$4.actionUnselect;
/**
 * @param {string} id
 * @param {{
 *   unit: LocalDoseUnit
 *   amount_raw: string
 * }} updates
 * @returns {any} The changes to apply to the case.
 */

exports.actionUnselectLocalDrug = actionUnselectLocalDrug;
var actionUpdateLocalDosage = prop$4.actionUpdateDosage;
/**
 * @param {string} id
 * @param {LocalDoseUnit} unit
 * @returns {any} The changes to apply to the case.
 */

exports.actionUpdateLocalDosage = actionUpdateLocalDosage;

var actionUpdateLocalUnit = function actionUpdateLocalUnit(id, unit) {
  return prop$4.actionUpdateDosage(id, {
    unit: unit
  });
};
/**
 * @param {string} id
 * @param {string} amountRaw
 * @returns {any} The changes to apply to the case.
 */


exports.actionUpdateLocalUnit = actionUpdateLocalUnit;

var actionUpdateLocalAmount = function actionUpdateLocalAmount(id, amountRaw) {
  return prop$4.actionUpdateDosage(id, {
    amount_raw: amountRaw
  });
};
/**
 * @param {MacroLocalDrug} localDrugSelection
 * @returns {any} The changes to apply to the case.
 */


exports.actionUpdateLocalAmount = actionUpdateLocalAmount;

var actionPresetLocalDrug = function actionPresetLocalDrug(_ref2) {
  var id = _ref2.id,
      name = _ref2.name,
      percent = _ref2.percent,
      epi = _ref2.epi,
      unit = _ref2.unit,
      dose = _ref2.dose;
  return _extends({}, actionSelectLocalDrug({
    id: id,
    name: name,
    percent: percent,
    epi: epi
  }), actionUpdateLocalUnit(id, unit), dose ? actionUpdateLocalAmount(id, dose) : {});
};

exports.actionPresetLocalDrug = actionPresetLocalDrug;
var selectLocalDosageRaw = prop$4.selectDosageRaw;
exports.selectLocalDosageRaw = selectLocalDosageRaw;
var selectSelectedLocals = prop$4.selectSelectedDrugs;
exports.selectSelectedLocals = selectSelectedLocals;
var selectSelectedLocalsById = prop$4.selectSelectedDrugsById;
/** @type {CaseSelector<MacroLocalDrug[]>} */

exports.selectSelectedLocalsById = selectSelectedLocalsById;
var selectLocalsForMacro = createSelector(selectSelectedLocals, selectLocalDosageRaw, selectLocalDosesAdministeredByDrugVariantId, function (locals, dosage, administeredByDrugId) {
  return locals.map(function (_ref3) {
    var id = _ref3.id,
        rxcui = _ref3.rxcui,
        name = _ref3.name,
        percent = _ref3.percent,
        epi = _ref3.epi;

    var _ref4 = dosage[id] || {},
        amount_raw = _ref4.amount_raw,
        unit = _ref4.unit;

    var administered = administeredByDrugId[id] || [];
    var firstDose = administered[0];
    return removeKeysWithNullishValues({
      id: id,
      rxcui: rxcui,
      name: name,
      percent: percent,
      epi: epi,
      dose: firstDose && firstDose.amount_raw || amount_raw,
      unit: firstDose && firstDose.unit || unit
    }, true);
  });
});
exports.selectLocalsForMacro = selectLocalsForMacro;
var posProps = createCrudProp({
  rootKey: 'pos',
  requiredProps: ['name'],
  sortFn: sortByTimeIfExists
});
/**
 * @param {string} name The position name
 * @returns {any} The changes to apply to the case.
 */

var actionAddPosition = function actionAddPosition(name) {
  return posProps.actionAdd({
    name: name
  });
};
/**
 * @param {string} id The position ID
 * @returns {any} The changes to apply to the case.
 */


exports.actionAddPosition = actionAddPosition;
var actionRemovePosition = posProps.actionRemove;
/**
 * @param {string} id The position ID
 * @param {any} updates The updates to apply to the position
 * @returns {any} The changes to apply to the case.
 */

exports.actionRemovePosition = actionRemovePosition;
var actionUpdatePosition = posProps.actionUpdate;
/**
 * @param {boolean} posSkipped
 * @returns {any} The changes to apply to the case.
 */

exports.actionUpdatePosition = actionUpdatePosition;

var actionSkipPositions = function actionSkipPositions(posSkipped) {
  return {
    posSkipped: posSkipped ? true : null
  };
};
/**
 * @param {any} caseData
 * @returns {boolean} Whether skipped or not
 */


exports.actionSkipPositions = actionSkipPositions;

var selectPositionsSkipped = function selectPositionsSkipped(caseData) {
  return caseData ? !!caseData.posSkipped : false;
};

exports.selectPositionsSkipped = selectPositionsSkipped;
var selectPositions = createSelector(selectPositionsSkipped, posProps.select, function (skipped, selected) {
  return skipped ? [] : selected;
});
/**
 * @param {any} caseData
 * @returns {boolean} Whether skipped or not
 */

exports.selectPositions = selectPositions;
var selectPositionsComplete = createSelector(selectPositionsSkipped, selectPositions, function (skipped, positions) {
  return skipped || !!positions.length;
});
exports.selectPositionsComplete = selectPositionsComplete;
var preMedProp = createCrudProp({
  rootKey: 'preMedsAdministered',
  idPrefix: 'pmed',
  sortFn: sortByTimeIfExists
});
/**
 * @param {boolean} preMedsUsed
 * @returns {any} The changes to apply to the case.
 */

var actionPreMedsUsed = function actionPreMedsUsed(preMedsUsed) {
  return {
    preMedsUsed: preMedsUsed
  };
};
/**
 * @param {PreMedEditable} [props]
 * @returns {any} The changes to apply to the case.
 */


exports.actionPreMedsUsed = actionPreMedsUsed;

var actionAddPreMed = function actionAddPreMed(props) {
  return _extends({}, preMedProp.actionAdd(_extends({
    time: Date.now(),
    editing: true
  }, props)), actionPreMedsUsed(true));
};
/**
 * @param {string} id The preMed ID
 * @returns {any} The changes to apply to the case.
 */


exports.actionAddPreMed = actionAddPreMed;
var actionRemovePreMed = preMedProp.actionRemove;
/**
 * @param {string} id The airway ID
 * @param {PreMedEditable} updates The updates to apply to the preMed
 * @returns {any} The changes to apply to the case.
 */

exports.actionRemovePreMed = actionRemovePreMed;
var actionUpdatePreMed = preMedProp.actionUpdate;
/**
 * @param {CaseData} caseData
 * @returns {PreMed[]}
 */

exports.actionUpdatePreMed = actionUpdatePreMed;
var selectPreMeds = preMedProp.select;
/**
 * @param {CaseData} caseData
 * @returns {boolean | null}
 */

exports.selectPreMeds = selectPreMeds;

var selectPreMedsUsed = function selectPreMedsUsed(caseData) {
  return caseData.preMedsUsed;
};
/**
 * @param {CaseData} caseData
 * @returns {boolean}
 */


exports.selectPreMedsUsed = selectPreMedsUsed;

var selectHasAnsweredPreMed = function selectHasAnsweredPreMed(caseData) {
  var answer = selectPreMedsUsed(caseData);
  return answer === true || answer === false;
};
/**
 * @param {CaseData} caseData
 * @returns {MacroPreMed[] | null}
 */


exports.selectHasAnsweredPreMed = selectHasAnsweredPreMed;
var selectPreMedsForMacro = createSelector(selectPreMeds, function (preMeds) {
  return nullIfEmpty(preMeds.filter(function (preMed) {
    return preMed.drugId && preMed.drugName;
  }).map(function (preMed) {
    return removeKeysWithEmptyValues({
      drugId: preMed.drugId,
      drugName: preMed.drugName,
      route: preMed.route,
      dosage: preMed.dosage
    });
  }));
});
/**
 * @type {CaseSelector<{
 *   cardiac?: { hasEntries: boolean }
 *   cns?: { hasEntries: boolean }
 *   developmental?: { hasEntries: boolean }
 *   endocrine?: { hasEntries: boolean }
 *   gastro?: { hasEntries: boolean }
 *   gyn?: { hasEntries: boolean }
 *   habits?: { hasEntries: boolean }
 *   hematologic?: { hasEntries: boolean }
 *   hepatic?: { hasEntries: boolean }
 *   muscular?: { hasEntries: boolean }
 *   oncology?: { hasEntries: boolean }
 *   psychiatric?: { hasEntries: boolean }
 *   pulmonary?: { hasEntries: boolean }
 *   renal?: { hasEntries: boolean }
 * }>}
 */

exports.selectPreMedsForMacro = selectPreMedsForMacro;

var selectSystemsReviewRaw = function selectSystemsReviewRaw(caseData) {
  return caseData.systemsReview || {};
};
/** @type {CaseSelector<boolean>} */


exports.selectSystemsReviewRaw = selectSystemsReviewRaw;
var selectIsHealthy = createSelector(selectSystemsReviewRaw, function (raw) {
  return Object.keys(raw).length === 15 && Object.values(raw).every(function (system) {
    return system.hasEntries === false;
  });
});
/**
 * @param {SystemsReviewCategory} category
 * @returns {any} Updates to apply to case
 */

exports.selectIsHealthy = selectIsHealthy;

var actionSetSystemCategoryToNo = function actionSetSystemCategoryToNo(category) {
  var _ref;

  return _ref = {}, _ref["systemsReview." + category + ".entries"] = null, _ref["systemsReview." + category + ".hasEntries"] = false, _ref;
};
/** @type {SystemsReviewCategory[]} */


exports.actionSetSystemCategoryToNo = actionSetSystemCategoryToNo;
var allSystemCategories = ['cardiac', 'cns', 'developmental', 'endocrine', 'gastro', 'general', 'gyn', 'habits', 'hematologic', 'hepatic', 'muscular', 'oncology', 'psychiatric', 'pulmonary', 'renal'];
/** @returns {any} Updates to apply to case */

var actionSetAllSystemCategoriesToNo = function actionSetAllSystemCategoriesToNo() {
  return allSystemCategories.reduce(function (obj, category) {
    return Object.assign(obj, actionSetSystemCategoryToNo(category));
  }, {});
};
/**
 * @param {VitalTypePreferences} opts
 * @returns {Record<EveryVitalType, VitalTypeDefinition>}
 */


exports.actionSetAllSystemCategoriesToNo = actionSetAllSystemCategoriesToNo;

var getVitalTypesById = function getVitalTypesById(opts) {
  return {
    bp: {
      name: 'Blood Pressure',
      chartName: 'BP',
      type: 'bp',
      includeInComparison: true,
      includeInAuto: true
    },
    sbp: {
      name: 'Systolic Blood Pressure',
      chartName: 'SBP',
      startValue: 120,
      type: 'number',
      min: 0,
      max: 400,
      unit: 'mmHg',
      includeInComparison: true,
      includeInAuto: true,
      subItem: true
    },
    dbp: {
      name: 'Diastolic Blood Pressure',
      chartName: 'DBP',
      startValue: 80,
      type: 'number',
      min: 0,
      max: 400,
      unit: 'mmHg',
      includeInComparison: true,
      includeInAuto: true,
      subItem: true
    },
    map: {
      name: 'Mean Arterial Pressure',
      chartName: 'MAP',
      startValue: 90,
      type: 'number',
      min: 0,
      max: 400,
      unit: 'mmHg',
      includeInComparison: true,
      includeInAuto: true,
      subItem: true
    },
    hr: {
      name: 'Heart Rate',
      chartName: 'HR',
      includeInComparison: true,
      includeInAuto: true,
      startValue: 80,
      type: 'number',
      min: 0,
      max: 500,
      unit: 'bpm'
    },
    spo2: {
      name: 'Oxygen saturation',
      chartName: 'SpO₂',
      includeInComparison: true,
      includeInAuto: true,
      startValue: 100,
      type: 'number',
      max: 100,
      min: 1,
      unit: '%',
      table: true
    },
    ecg: {
      name: 'ECG Rhythm',
      chartName: 'ECG',
      startValue: 'NSR',
      type: 'string',
      fillFromPrevious: true,
      table: true
    },
    rr: {
      name: 'Respiration Rate',
      chartName: 'RR',
      includeInComparison: true,
      includeInAuto: true,
      startValue: 16,
      type: 'number',
      unit: 'R/min',
      max: 200,
      min: 0
    },
    temp: {
      name: 'Temperature',
      chartName: 'Temp',
      includeInAuto: true,
      startValue: opts.tempUnit === 'F' ? 98.7 : 37,
      type: 'float',
      step: 0.1,
      min: 0,
      max: opts.tempUnit === 'F' ? 122 : 50,
      unit: opts.tempUnit === 'F' ? '°F' : '°C',
      table: true
    },
    fico2: {
      name: 'F.I. CO₂',
      chartName: 'FiCO₂',
      includeInAuto: true,
      startValue: 0,
      min: 0,
      max: 760,
      type: 'number',
      unit: 'mmHg',
      table: true
    },
    etco2: {
      name: 'E.T. CO₂',
      chartName: 'EtCO₂',
      includeInComparison: true,
      includeInAuto: true,
      startValue: 40,
      min: 0,
      max: 1500,
      type: 'number',
      unit: 'mmHg',
      table: true
    },
    fio2: {
      name: 'F.I. O₂',
      chartName: 'FiO₂',
      includeInAuto: true,
      startValue: 21,
      type: 'number',
      max: 1500,
      min: 0,
      // We don't specify a unit here because
      // it could be either mmHg or %
      unit: '',
      table: true
    },
    eto2: {
      name: 'E.T. O₂',
      chartName: 'EtO₂',
      includeInAuto: true,
      startValue: 70,
      type: 'number',
      max: 1500,
      min: 0,
      // We don't specify a unit here because
      // it could be either mmHg or %
      unit: '',
      table: true
    },
    fin2o: {
      name: 'F.I. N₂O',
      chartName: 'FiN₂O',
      includeInAuto: true,
      startValue: 50,
      type: 'number',
      max: 1500,
      min: 0,
      // We don't specify a unit here because
      // it could be either mmHg or %
      unit: '',
      table: true
    },
    etn2o: {
      name: 'E.T. N₂O',
      chartName: 'EtN₂O',
      includeInAuto: true,
      startValue: 45,
      type: 'number',
      max: 1500,
      min: 0,
      // We don't specify a unit here because
      // it could be either mmHg or %
      unit: '',
      table: true
    },
    fisev: {
      name: 'F.I. Sevoflurane',
      chartName: 'FiSev',
      includeInAuto: true,
      startValue: 0,
      type: 'float',
      step: 0.01,
      min: 0,
      max: 100,
      unit: '%',
      table: true
    },
    etsev: {
      name: 'E.T. Sevoflurane',
      chartName: 'EtSev',
      includeInAuto: true,
      startValue: 0,
      type: 'float',
      step: 0.01,
      min: 0,
      max: 100,
      unit: '%',
      table: true
    },
    fides: {
      name: 'F.I. Desflurane',
      chartName: 'FiDes',
      includeInAuto: true,
      startValue: 0,
      type: 'float',
      step: 0.01,
      min: 0,
      max: 100,
      unit: '%',
      table: true
    },
    etdes: {
      name: 'E.T. Desflurane',
      chartName: 'EtDes',
      includeInAuto: true,
      startValue: 0,
      type: 'float',
      step: 0.01,
      min: 0,
      max: 100,
      unit: '%',
      table: true
    },
    fiiso: {
      name: 'F.I. Isoflurane',
      chartName: 'FiIso',
      includeInAuto: true,
      startValue: 0,
      type: 'float',
      step: 0.01,
      min: 0,
      max: 100,
      unit: '%',
      table: true
    },
    etiso: {
      name: 'E.T. Isoflurane',
      chartName: 'EtIso',
      includeInAuto: true,
      startValue: 0,
      type: 'float',
      step: 0.01,
      min: 0,
      max: 100,
      unit: '%',
      table: true
    },
    mac: {
      name: 'MAC',
      chartName: 'MAC',
      includeInAuto: true,
      type: 'float',
      startValue: 0.43,
      step: 0.01,
      min: 0,
      max: 130,
      // yes this is intentionally over 100%
      unit: '%',
      table: true
    },
    peep: {
      name: 'PEEP',
      chartName: 'PEEP',
      step: 0.1,
      type: 'float',
      unit: 'cmH₂O',
      min: 0,
      max: 50,
      startValue: 4,
      table: true,
      fillFromPrevious: true
    },
    pip: {
      name: 'PIP',
      chartName: 'PIP',
      step: 1,
      type: 'number',
      unit: 'cmH₂O',
      min: 0,
      max: 50,
      startValue: 20,
      table: true
    },
    tv: {
      name: 'Tidal Volume',
      chartName: 'Tidal Volume',
      step: 1,
      type: 'number',
      unit: 'mL',
      min: 0,
      max: 10000,
      startValue: 500,
      table: true
    },
    RSS: {
      name: 'Ramsay Sedation Scale',
      chartName: 'Sed. Level (RSS)',
      startValue: 2,
      type: 'manualNumber',
      min: 1,
      max: 6,
      table: true
    },
    GCS: {
      name: 'Glasgow Coma Scale',
      chartName: 'Sed. Level (GCS)',
      startValue: 15,
      type: 'manualNumber',
      min: 3,
      max: 15,
      table: true
    },
    ESS: {
      name: 'Ellis Sedation Score',
      chartName: 'Sed. Level (ESS)',
      startValue: 0,
      type: 'manualNumber',
      min: -5,
      max: 4,
      table: true
    }
  };
};
/** @type {Record<string, number>} */


exports.getVitalTypesById = getVitalTypesById;
var vitalIdSortOrderLookup = Object.keys(getVitalTypesById({
  tempUnit: 'F'
})).reduce(function (acc, id, index) {
  acc[id] = index;
  return acc;
}, {});
exports.vitalIdSortOrderLookup = vitalIdSortOrderLookup;
var getVitalTypesBaseArray = shallowEqualMemoize(
/**
 * @param {VitalTypePreferences} opts
 * @returns {(VitalTypeDefinition & {
 *   id: EveryVitalType
 * })[]}
 */
function (opts) {
  var base = getVitalTypesById(opts);
  var toReturn = [];

  for (var id in base) {
    toReturn.push(_extends({
      id: id
    }, base[id]));
  }

  return toReturn;
});
exports.getVitalTypesBaseArray = getVitalTypesBaseArray;
var getUserSelectableVitalTypes = shallowEqualMemoize(
/**
 * @param {VitalTypePreferences} opts
 * @returns {UserSelectableVitalTypeWithId[]}
 */
// @ts-ignore
function (opts) {
  return getVitalTypesBaseArray(opts).filter(function (vital) {
    return !vital.subItem;
  });
});
exports.getUserSelectableVitalTypes = getUserSelectableVitalTypes;
var getVitalsNameAndUnitLookup = shallowEqualMemoize(
/**
 * @param {VitalTypePreferences} opts
 * @returns {Record<EveryVitalType, [string, string?]>}
 */
function (opts) {
  var vitals = getVitalTypesBaseArray(opts);
  /** @type {Record<EveryVitalType, [string, string?]>} */
  // @ts-ignore

  var toReturn = {};

  for (var _iterator = _createForOfIteratorHelperLoose(vitals), _step; !(_step = _iterator()).done;) {
    var vital = _step.value;
    toReturn[vital.id] = [vital.chartName || vital.name, vital.unit];
  }

  return toReturn;
});
/** @type {Record<string, string>} */

exports.getVitalsNameAndUnitLookup = getVitalsNameAndUnitLookup;
var vitalsShortNameLookup = Object.entries(getVitalsNameAndUnitLookup({
  tempUnit: 'F'
})).reduce(function (acc, _ref) {
  var name = _ref[0],
      value = _ref[1];
  acc[name] = value[0];
  return acc;
}, {});
/**
 * @param {UserSelectableVitalType} id The vital type ID
 * @returns {any} The changes to apply to the case.
 */

exports.vitalsShortNameLookup = vitalsShortNameLookup;

var actionIgnoreVitalType = function actionIgnoreVitalType(id) {
  var _ref;

  return _ref = {}, _ref["trackedVitalTypes." + id + ".ignored"] = true, _ref;
};
/**
 * @param {UserSelectableVitalType} id The vital type ID
 * @returns {any} The changes to apply to the case.
 */


exports.actionIgnoreVitalType = actionIgnoreVitalType;

var actionUnIgnoreVitalType = function actionUnIgnoreVitalType(id) {
  var _ref2;

  return _ref2 = {}, _ref2["trackedVitalTypes." + id + ".ignored"] = null, _ref2;
};
/**
 * @param {UserSelectableVitalType} id The vital type ID
 * @returns {any} The changes to apply to the case.
 */


exports.actionUnIgnoreVitalType = actionUnIgnoreVitalType;

var actionSelectVitalType = function actionSelectVitalType(id) {
  var _ref3;

  return _ref3 = {}, _ref3["trackedVitalTypes." + id + ".selected"] = true, _ref3;
};
/**
 * @param {UserSelectableVitalType} id The vital type ID
 * @returns {any} The changes to apply to the case.
 */


exports.actionSelectVitalType = actionSelectVitalType;

var actionUnselectVitalType = function actionUnselectVitalType(id) {
  var _ref4;

  return _ref4 = {}, _ref4["trackedVitalTypes." + id + ".selected"] = false, _ref4;
};
/**
 * @param {UserSelectableVitalType} id The vital type ID
 * @returns {any} The changes to apply to the case.
 */


exports.actionUnselectVitalType = actionUnselectVitalType;

var actionResumeVitalType = function actionResumeVitalType(id) {
  var _ref5;

  return _ref5 = {}, _ref5["trackedVitalTypes." + id + ".selected"] = null, _ref5;
};
/**
 * @param {EmittableVitalType | IndividualVitalType} id The vital type ID
 * @returns {any} The changes to apply to the case.
 */


exports.actionResumeVitalType = actionResumeVitalType;

var actionClearReceivedVitalType = function actionClearReceivedVitalType(id) {
  var _ref6;

  return _ref6 = {}, _ref6["trackedVitalTypes." + id + ".hasReceivedAutoValue"] = null, _ref6;
};
/**
 * @param {EmittableVitalType | IndividualVitalType} id The vital type ID
 * @returns {any} The changes to apply to the case.
 */


exports.actionClearReceivedVitalType = actionClearReceivedVitalType;

var actionHasReceivedVitalType = function actionHasReceivedVitalType(id) {
  var _ref7;

  return _ref7 = {}, _ref7["trackedVitalTypes." + id + ".hasReceivedAutoValue"] = true, _ref7;
};
/**
 * @param {CaseData} caseData
 * @returns {CaseData['trackedVitalTypes']}
 */


exports.actionHasReceivedVitalType = actionHasReceivedVitalType;

var selectTrackedVitalTypesRaw = function selectTrackedVitalTypesRaw(caseData) {
  return caseData.trackedVitalTypes || {};
};

exports.selectTrackedVitalTypesRaw = selectTrackedVitalTypesRaw;

var getVitalSelector = function getVitalSelector(condition) {
  return createSelector(selectTrackedVitalTypesRaw, function (vitalTypes) {
    return Object.keys(vitalTypes).filter(function (key) {
      return condition(vitalTypes[key]);
    });
  });
};
/** @type {(caseData: CaseData) => VitalType[]} } */


var selectAutoVitalsTypesReceived = getVitalSelector(function (val) {
  return val && val.hasReceivedAutoValue;
});
/** @type {(caseData: CaseData) => VitalType[]} } */

exports.selectAutoVitalsTypesReceived = selectAutoVitalsTypesReceived;
var selectVitalsTypesSelectedNotAuto = getVitalSelector(function (val) {
  return val && val.selected && !val.hasReceivedAutoValue;
});
/**
 * @param {{
 *   hasAutoData: boolean
 *   hasManualData: boolean
 *   ignored: boolean
 *   selected: boolean
 *   wasUnselected: boolean
 * }} param0
 * @returns {UserSelectableVitalTypeStatus}
 */

exports.selectVitalsTypesSelectedNotAuto = selectVitalsTypesSelectedNotAuto;

var determineStatus = function determineStatus(_ref8) {
  var hasAutoData = _ref8.hasAutoData,
      hasManualData = _ref8.hasManualData,
      ignored = _ref8.ignored,
      selected = _ref8.selected,
      wasUnselected = _ref8.wasUnselected;

  if (ignored) {
    return 'ignored';
  }

  if (hasAutoData || hasManualData) {
    if (wasUnselected) {
      return 'paused';
    } else {
      return hasAutoData ? 'auto' : 'manual';
    }
  } // has no data


  return selected ? 'selected' : 'unselected';
};
/**
 * @param {UserSelectableVitalTypeStatus} status
 * @returns {boolean}
 */


var isPlaced = function isPlaced(status) {
  return status === 'auto' || status === 'selected' || status === 'manual';
};

var selectVitalTypesWithManualValues = function selectVitalTypesWithManualValues(caseData) {
  if (!caseData || !caseData.vitalRecords) {
    return {};
  }

  var types = {};

  for (var cpId in caseData.vitalRecords) {
    for (var typeId in caseData.vitalRecords[cpId].vitals) {
      types[typeId] = true;
    }
  }

  return types;
};
/**
 * @type {CaseSelector<{
 *   [key: string]: UserSelectableVitalTypeStatus
 * }>}
 */


var selectVitalsTypesWithStatus = createSelector(selectTrackedVitalTypesRaw, selectAutoVitalsTypesReceived, selectVitalTypesWithManualValues, function (vitalTypes, autoVitalsTypesReceived, typesWithManualValues) {
  /**
   * @type {{
   *   [key: VitalType]: UserSelectableVitalTypeStatus
   * }}
   */
  var result = {}; // Build a set of all ids, since we want to report on all of them
  // event if they aren't in tracked vital types raw yet

  var allIds = new Set([].concat(Object.keys(vitalTypes), autoVitalsTypesReceived, Object.keys(typesWithManualValues))); // BP is special, as we want to report on the BP status, not the individual entries
  // but values are stored on the individual entries, while user selection/ignoring happens on bp

  if (allIds.has('bp') || allIds.has('sbp') || allIds.has('dbp')) {
    result.bp = determineStatus({
      // These are set by the user on the bp vital type directly
      ignored: vitalTypes.bp && vitalTypes.bp.ignored,
      selected: vitalTypes.bp && vitalTypes.bp.selected,
      wasUnselected: !!(vitalTypes.bp && vitalTypes.bp.selected === false),
      // But records are recorded to individual types
      hasAutoData: vitalTypes.sbp && vitalTypes.sbp.hasReceivedAutoValue || vitalTypes.dbp && vitalTypes.dbp.hasReceivedAutoValue,
      hasManualData: typesWithManualValues.sbp || typesWithManualValues.dbp
    });
  }

  for (var _i = 0, _Array$from = Array.from(allIds); _i < _Array$from.length; _i++) {
    var id = _Array$from[_i]; // handled above so don't add duplicate entries

    if (id === 'bp' || id === 'sbp' || id === 'dbp' || id === 'map') {
      continue;
    }

    var found = vitalTypes[id];
    var hasReceivedAutoValue = autoVitalsTypesReceived.includes(id);
    var ignored = !!(found && found.ignored);
    var selected = !!(found && found.selected);
    var wasUnselected = !!(found && found.selected === false);
    result[id] = determineStatus({
      hasAutoData: hasReceivedAutoValue,
      hasManualData: !!typesWithManualValues[id],
      ignored: ignored,
      selected: selected,
      wasUnselected: wasUnselected
    });
  }

  return result;
});
/** @type {(caseData: CaseData) => string[]} } */

exports.selectVitalsTypesWithStatus = selectVitalsTypesWithStatus;
var selectAutoVitalsTypeIdsToReport = createSelector(selectVitalsTypesWithStatus, function (types) {
  return Object.keys(types).filter(function (key) {
    return types[key] === 'auto';
  });
});
/** @type {(caseData: CaseData) => VitalType[]} } */

exports.selectAutoVitalsTypeIdsToReport = selectAutoVitalsTypeIdsToReport;
var selectIgnoredVitalTypes = getVitalSelector(function (val) {
  return val && val.ignored;
});
exports.selectIgnoredVitalTypes = selectIgnoredVitalTypes;
var selectVitalTypesForMacro = createSelector(selectVitalsTypesSelectedNotAuto, selectIgnoredVitalTypes, function (selected, ignored) {
  var result = {};

  for (var _iterator = _createForOfIteratorHelperLoose(selected), _step; !(_step = _iterator()).done;) {
    var id = _step.value;
    result[id] = 'selected';
  }

  for (var _iterator2 = _createForOfIteratorHelperLoose(ignored), _step2; !(_step2 = _iterator2()).done;) {
    var _id = _step2.value;
    result[_id] = 'ignored';
  }

  return result;
});
/**
 * @param {CaseData} caseData
 * @param {VitalTypePreferences} opts
 * @returns {DecoratedUserSelectableVitalType[]}
 */

exports.selectVitalTypesForMacro = selectVitalTypesForMacro;

var optionSelectUserSelectableVitalTypes = function optionSelectUserSelectableVitalTypes(caseData, opts) {
  var vitalsTypesWithStatus = selectVitalsTypesWithStatus(caseData);
  var monitorTypes = getUserSelectableVitalTypes(opts);
  return monitorTypes.map(function (monitorType) {
    var status = vitalsTypesWithStatus[monitorType.id] || 'unselected';
    return _extends({}, monitorType, {
      status: status,
      placed: isPlaced(status)
    });
  });
};
/**
 * @param {CaseData} caseData
 * @param {VitalTypePreferences} opts
 * @returns {DecoratedIndividualVitalType[]}
 */


exports.optionSelectUserSelectableVitalTypes = optionSelectUserSelectableVitalTypes;

var optionSelectIndividualVitalTypes = function optionSelectIndividualVitalTypes(caseData, opts) {
  var vitalsTypesWithStatus = selectVitalsTypesWithStatus(caseData);
  var monitorTypes = getVitalTypesBaseArray(opts);
  var bpStatus = vitalsTypesWithStatus.bp || 'unselected';
  /** @type {DecoratedIndividualVitalType[]} */

  var toReturn = [];

  for (var _iterator3 = _createForOfIteratorHelperLoose(monitorTypes), _step3; !(_step3 = _iterator3()).done;) {
    var vital = _step3.value; // we skip this, we want them individually for this

    if (vital.id === 'bp') {
      continue;
    } // for bp sub items we defer to status of bp


    var isBpSubItem = vital.id === 'sbp' || vital.id === 'dbp' || vital.id === 'map';
    var status = isBpSubItem ? bpStatus : vitalsTypesWithStatus[vital.id] || 'unselected';
    toReturn.push(_extends({}, vital, {
      status: status,
      placed: isPlaced(status)
    }));
  }

  return toReturn;
};

exports.optionSelectIndividualVitalTypes = optionSelectIndividualVitalTypes;
var saveableItems = ['sedationLevel', 'ivEnabled', 'airwayEnabled', 'recorderName', 'present', 'userRole', 'asaClassification', 'mallampati', 'weightDistribution', 'surgeonName', 'sedationProviderName', 'reasonForSedation', 'pregnant', 'breastfeeding', 'breastfeedingInstructionsGiven', 'lastFood', 'lastDrink', 'procedureNotes', 'recoveryNotes', 'preProcedureRiskAssessment', 'calculateDrugWaste', 'dischargeScoreType'];
/**
 * @param {CaseData} caseData
 * @returns {Macro}
 */

var createMacroFromCase = function createMacroFromCase(caseData) {
  var aw = caseData.aw,
      pos = caseData.pos,
      preMedsUsed = caseData.preMedsUsed,
      ivLocations = caseData.ivLocations,
      systemsReviewSkipped = caseData.systemsReviewSkipped,
      startedOnRoomAir = caseData.startedOnRoomAir,
      vitalsTrackingEnabled = caseData.vitalsTrackingEnabled;
  var result = {
    copied: {}
  }; // straight copy

  for (var _iterator = _createForOfIteratorHelperLoose(saveableItems), _step; !(_step = _iterator()).done;) {
    var _key = _step.value;

    if (caseData.hasOwnProperty(_key) && caseData[_key] != null && caseData[_key] !== '') {
      result.copied[_key] = caseData[_key];
    }
  } // this is also added to "copied" but we only do this if true, not false


  if (systemsReviewSkipped) {
    result.copied.systemsReviewSkipped = true;
  } // this is also added to "copied" but we only do this if true, not false


  if (startedOnRoomAir) {
    result.copied.startedOnRoomAir = true;
  } // also copied but only if false


  if (preMedsUsed === false) {
    result.copied.preMedsUsed = preMedsUsed;
  } // we only store the vitalsTrackingEnabled if it's false
  // otherwise we can safely assume it's true


  if (vitalsTrackingEnabled === false) {
    result.copied.vitalsTrackingEnabled = false;
  } // if they've said "no" to everything in systems review


  if (selectIsHealthy(caseData)) {
    result.healthyPatient = true;
  }

  result.preMeds = selectPreMedsForMacro(caseData);
  result.vitalTypes = selectVitalTypesForMacro(caseData);
  result.localDrugs = selectLocalsForMacro(caseData);
  result.parenDrugs = selectParenDrugsForMacro(caseData);
  result.infusionDrugs = selectInfusionDrugsForMacro(caseData);
  result.oralSedatives = selectOralSedativesForMacro(caseData);

  if (aw) {
    result.airways = Object.values(aw).map(function (awDetails) {
      var toReturn = {};

      for (var key in awDetails) {
        // things we don't want to include
        if (key === 'placementComp' || key === 'timePlaced' || key === 'timeRemoved' || key === 'preRemovalSpo2' || key === 'postRemovalSpo2') {
          continue;
        }

        var value = nullIfEmpty(awDetails[key], true);

        if (value !== null) {
          toReturn[key] = value;
        }
      }

      return nullIfEmpty(toReturn);
    }).filter(Boolean);
  }

  if (pos) {
    /** @type {Macro['pos']} */
    result.pos = Object.values(pos).map(function (item) {
      return item.name;
    });
  }

  if (ivLocations) {
    var ivAccess = selectIvAccessData(caseData); // we don't keep if if it's zero because it's never
    // part of a macro if it's zero.

    if (ivAccess.attempts === 0) {
      delete ivAccess.attempts;
    }

    result.iv = removeKeysWithEmptyValues(ivAccess);
  } // remove any keys that are empty objects


  for (var key in result) {
    var value = result[key];
    var isObject = typeof value === 'object';

    if (isObject && nullIfEmpty(value) === null) {
      delete result[key];
    }
  }

  return result;
};
/**
 * @param {Macro} macro
 * @returns {any} Updates to apply
 */


exports.createMacroFromCase = createMacroFromCase;

var actionGetUpdatesForMacro = function actionGetUpdatesForMacro(macro) {
  var copied = macro.copied,
      airways = macro.airways,
      pos = macro.pos,
      iv = macro.iv,
      preMeds = macro.preMeds,
      healthyPatient = macro.healthyPatient,
      vitalTypes = macro.vitalTypes,
      localDrugs = macro.localDrugs,
      parenDrugs = macro.parenDrugs,
      infusionDrugs = macro.infusionDrugs,
      oralSedatives = macro.oralSedatives;
  var updates = {};

  if (copied) {
    for (var key in copied) {
      updates[key] = copied[key];
    }
  }

  if (healthyPatient) {
    Object.assign(updates, actionSetAllSystemCategoriesToNo());
  }

  if (airways) {
    for (var _iterator2 = _createForOfIteratorHelperLoose(airways), _step2; !(_step2 = _iterator2()).done;) {
      var airway = _step2.value;

      var type = airway.type,
          rest = _objectWithoutPropertiesLoose(airway, ["type"]);

      Object.assign(updates, actionAddAirway(type, rest));
    }
  }

  if (pos) {
    for (var _iterator3 = _createForOfIteratorHelperLoose(pos), _step3; !(_step3 = _iterator3()).done;) {
      var name = _step3.value;
      Object.assign(updates, actionAddPosition(name));
    }
  }

  if (iv) {
    Object.assign(updates, actionUpdateIvPlacement(iv));
  }

  if (preMeds) {
    for (var _iterator4 = _createForOfIteratorHelperLoose(preMeds), _step4; !(_step4 = _iterator4()).done;) {
      var preMed = _step4.value; // we want time null here so that we don't enter specific times just by
      // applying the preset

      Object.assign(updates, actionAddPreMed(_extends({}, preMed, {
        time: null
      })));
    }
  }

  if (vitalTypes) {
    for (var id in vitalTypes) {
      var val = vitalTypes[id];

      if (val === 'selected') {
        Object.assign(updates, actionSelectVitalType(id));
      }

      if (val === 'ignored') {
        Object.assign(updates, actionIgnoreVitalType(id));
      }
    }
  }

  if (localDrugs) {
    Object.assign.apply(Object, [updates].concat(localDrugs.map(actionPresetLocalDrug)));
  }

  if (parenDrugs) {
    Object.assign.apply(Object, [updates].concat(parenDrugs.map(function (drug) {
      return actionPresetParenDrug(drug);
    })));
  }

  if (infusionDrugs) {
    Object.assign.apply(Object, [updates].concat(infusionDrugs.map(actionPresetInfusionDrug)));
  }

  if (oralSedatives) {
    Object.assign.apply(Object, [updates].concat(oralSedatives.map(actionPresetOralSedative)));
  }
  /**
   * This final check is to make sure we don't put the case file into a weird
   * state where the vitalsTrackingEnabled is false but the sedation level is
   * not local. We still have a selector that will still return the correct
   * value for vitalsTrackingEnabled but this check makes sure the value isn't
   * wrong in the underlying case file.
   */


  if (updates.sedationLevel && updates.sedationLevel !== 'Local' && updates.vitalsTrackingEnabled === false) {
    delete updates.vitalsTrackingEnabled;
  }

  return updates;
};

exports.actionGetUpdatesForMacro = actionGetUpdatesForMacro;

var combineObject = function combineObject(a, b) {
  return nullIfEmpty(_extends({}, a || {}, b || {}));
};

var mergeArraysByProp = function mergeArraysByProp(a, b, prop) {
  if (a && b) {
    var entries = {};

    for (var _iterator5 = _createForOfIteratorHelperLoose(a), _step5; !(_step5 = _iterator5()).done;) {
      var entry = _step5.value;
      entries[entry[prop]] = entry;
    }

    for (var _iterator6 = _createForOfIteratorHelperLoose(b), _step6; !(_step6 = _iterator6()).done;) {
      var _entry = _step6.value;
      entries[_entry[prop]] = combineObject(entries[_entry[prop]], _entry);
    }

    return Object.values(entries);
  }

  return a || b;
};
/**
 * @param {Macro} a
 * @param {Macro} b
 * @returns {Macro}
 */


var mergeTwoMacros = function mergeTwoMacros(a, b) {
  var result = {};
  result.copied = combineObject(a.copied, b.copied);
  result.iv = combineObject(a.iv, b.iv);
  result.pos = b.pos || a.pos;
  result.airways = mergeArraysByProp(a.airways, b.airways, 'type');
  result.vitalTypes = combineObject(a.vitalTypes, b.vitalTypes);
  result.localDrugs = mergeArraysByProp(a.localDrugs, b.localDrugs, 'id');
  result.parenDrugs = mergeArraysByProp(a.parenDrugs, b.parenDrugs, 'id');
  result.preMeds = mergeArraysByProp(a.preMeds, b.preMeds, 'drugId');
  result.infusionDrugs = mergeArraysByProp(a.infusionDrugs, b.infusionDrugs, 'id');
  result.healthyPatient = a.healthyPatient || b.healthyPatient || null;
  result.oralSedatives = mergeArraysByProp(a.oralSedatives, b.oralSedatives, 'id');
  return removeKeysWithEmptyValues(result);
};
/**
 * @param {Macro[]} macros
 * @returns {Macro}
 */


var mergeMacros = function mergeMacros() {
  return [].slice.call(arguments).reduce(mergeTwoMacros, {});
};

exports.mergeMacros = mergeMacros;
var mvProps = createCrudProp({
  rootKey: 'mv',
  sortFn: sortByTimeIfExists
});
/**
 * @param {object} initial - The initial properties to apply to the manual vital
 * @returns {any} - The changes to apply to the case.
 */

var actionAddManualVital = mvProps.actionAdd;
/**
 * @param {string} id - The manual vital id
 * @returns {any} - The changes to apply to the case.
 */

exports.actionAddManualVital = actionAddManualVital;
var actionRemoveManualVital = mvProps.actionRemove;
/**
 * @param {string} id - The manual vital ID
 * @param {any} updates - The updates to apply to the manual vital
 * @returns {any} - The changes to apply to the case.
 */

exports.actionRemoveManualVital = actionRemoveManualVital;
var actionUpdateManualVital = mvProps.actionUpdate;
exports.actionUpdateManualVital = actionUpdateManualVital;
var selectManualVitals = mvProps.select;
/**
 * @param {string} rootKey
 * @param {string} idPrefix
 * @returns {{
 *   actionAddList: (initial: any) => any
 *   actionCheck: (id: string) => any
 *   actionUncheck: (id: string) => any
 *   selectRaw: (caseData: any) => { [id: string]: any }
 *   select: (caseData: any) => ({ id: string } & any)[]
 *   selectLabels: (caseData: any) => string[]
 * }}
 */

exports.selectManualVitals = selectManualVitals;

var createChecklistHelpers = function createChecklistHelpers(rootKey, idPrefix) {
  var required = ['label', 'order'];
  /**
   * @param {string[]} listOfStrings
   * @returns {any} Updates to apply to case
   */

  var actionAddList = function actionAddList(listOfStrings) {
    var updates = {};
    listOfStrings.forEach(function (name, index) {
      updates[rootKey + "." + createId(idPrefix)] = {
        label: name,
        order: index,
        complete: false
      };
    });
    return updates;
  };
  /**
   * @param {string} id
   * @returns {any} Updates to apply to case
   */


  var actionCheck = function actionCheck(id) {
    var _ref;

    return _ref = {}, _ref[rootKey + "." + id + ".complete"] = true, _ref;
  };
  /**
   * @param {string} id
   * @returns {any} Updates to apply to case
   */


  var actionUncheck = function actionUncheck(id) {
    var _ref2;

    return _ref2 = {}, _ref2[rootKey + "." + id + ".complete"] = false, _ref2;
  };

  var empty = {};
  /**
   * @param {any} caseData
   * @returns {{
   *   [id: string]: {
   *     label: string
   *     order: number
   *     complete: boolean
   *   }
   * }}
   */

  var selectRaw = function selectRaw(caseData) {
    return caseData[rootKey] || empty;
  };
  /**
   * @param {any} caseData
   * @returns {Checklist}
   */


  var select = createSelector(selectRaw, function (raw) {
    var toReturn = [];

    var _loop = function _loop(id) {
      var data = raw[id]; // only return if has every prop

      if (!required.every(function (prop) {
        return data.hasOwnProperty(prop);
      })) {
        return "continue";
      }

      toReturn.push(_extends({
        id: id
      }, raw[id]));
    };

    for (var id in raw) {
      var _ret = _loop(id);

      if (_ret === "continue") continue;
    }

    toReturn.sort(function (a, b) {
      return a.order - b.order;
    });
    return toReturn;
  });
  var selectLabels = createSelector(select, function (arr) {
    return arr.map(function (item) {
      return item.label;
    });
  });
  return {
    actionAddList: actionAddList,
    actionCheck: actionCheck,
    actionUncheck: actionUncheck,
    selectRaw: selectRaw,
    select: select,
    selectLabels: selectLabels
  };
};

var _createChecklistHelpe = createChecklistHelpers('optChecks', 'opt'),
    actionAddList = _createChecklistHelpe.actionAddList,
    actionCheck = _createChecklistHelpe.actionCheck,
    actionUncheck = _createChecklistHelpe.actionUncheck,
    selectRaw = _createChecklistHelpe.selectRaw,
    select = _createChecklistHelpe.select,
    selectLabels = _createChecklistHelpe.selectLabels;
/**
 * @param {string[]} listOfStrings
 * @returns {any} Updates to apply to case
 */


var actionAddOptChecks = actionAddList;
/**
 * @param {string} id
 * @returns {any} Updates to apply to case
 */

exports.actionAddOptChecks = actionAddOptChecks;
var actionCheckOptCheck = actionCheck;
/**
 * @param {string} id
 * @returns {any} Updates to apply to case
 */

exports.actionCheckOptCheck = actionCheckOptCheck;
var actionUncheckOptCheck = actionUncheck;
/**
 * @param {any} caseData
 * @returns {{
 *   [id: string]: {
 *     label: string
 *     order: number
 *     complete: boolean
 *   }
 * }}
 */

exports.actionUncheckOptCheck = actionUncheckOptCheck;
var selectOptChecksRaw = selectRaw;
/**
 * @param {any} caseData
 * @returns {Checklist}
 */

exports.selectOptChecksRaw = selectOptChecksRaw;
var selectOptChecks = select;
/**
 * @param {any} caseData
 * @returns {string[]}
 */

exports.selectOptChecks = selectOptChecks;
var selectOptCheckLabels = selectLabels;
exports.selectOptCheckLabels = selectOptCheckLabels;

var _createChecklistHelpe$1 = createChecklistHelpers('preOpChecklist', 'precheck'),
    actionAddList$1 = _createChecklistHelpe$1.actionAddList,
    actionCheck$1 = _createChecklistHelpe$1.actionCheck,
    actionUncheck$1 = _createChecklistHelpe$1.actionUncheck,
    selectRaw$1 = _createChecklistHelpe$1.selectRaw,
    select$1 = _createChecklistHelpe$1.select,
    selectLabels$1 = _createChecklistHelpe$1.selectLabels;
/**
 * @param {string[]} listOfStrings
 * @returns {any} Updates to apply to case
 */


var actionAddPreOpChecks = actionAddList$1;
/**
 * @param {string} id
 * @returns {any} Updates to apply to case
 */

exports.actionAddPreOpChecks = actionAddPreOpChecks;
var actionCheckPreOpCheck = actionCheck$1;
/**
 * @param {string} id
 * @returns {any} Updates to apply to case
 */

exports.actionCheckPreOpCheck = actionCheckPreOpCheck;
var actionUncheckPreOpCheck = actionUncheck$1;
/**
 * @param {any} caseData
 * @returns {{
 *   [id: string]: {
 *     label: string
 *     order: number
 *     complete: boolean
 *   }
 * }}
 */

exports.actionUncheckPreOpCheck = actionUncheckPreOpCheck;
var selectPreOpChecksRaw = selectRaw$1;
/**
 * @param {any} caseData
 * @returns {Checklist}
 */

exports.selectPreOpChecksRaw = selectPreOpChecksRaw;
var selectPreOpChecks = select$1;
/**
 * @param {any} caseData
 * @returns {string[]}
 */

exports.selectPreOpChecks = selectPreOpChecks;
var selectPreOpCheckLabels = selectLabels$1;
/** @type {CaseSelector<InfusionDrugReport[]>} */

exports.selectPreOpCheckLabels = selectPreOpCheckLabels;
var selectInfusionDrugsReport = createSelector(selectSelectedInfusionDrugs, selectInfusionDosesAdministeredByDrugId, selectInfusionDrugTotals,
/**
 * @param {SelectedInfusionDrug[]} drugs
 * @param {{ [drugId: string]: InfusionDoseAdministered[] }} administeredByDrugId
 * @param {SingleCaseParenDrugTotalsById} drugTotals
 */
function (drugs, administeredByDrugId, drugTotals) {
  /** @type {InfusionDrugReport[]} */
  var toReturn = [];

  for (var _iterator = _createForOfIteratorHelperLoose(drugs), _step; !(_step = _iterator()).done;) {
    var drug = _step.value;
    var name = drug.name,
        id = drug.id,
        unit = drug.unit,
        bolusUnit = drug.bolusUnit,
        pumpKg = drug.pumpKg; // NB: we will only have "totals" for confirmed values

    var totals = drugTotals[id];
    var administered = administeredByDrugId[id];
    var boluses = administered ? administered.filter(function (d) {
      return d.route === 'infusionBolus';
    }) : [];
    var infusions = administered ? administered.filter(function (d) {
      return d.route === 'infusion';
    }) : [];
    /** @type {InfusionDrugReport} */

    var entry = {
      id: id,
      name: name,
      total: totals && totals.total || null,
      wasted: totals && totals.wasted || null,
      pumpKg: pumpKg,
      unit: unit,
      bolusUnit: bolusUnit,
      boluses: boluses,
      infusions: infusions,
      // @ts-ignore
      totalUnit: totals && totals.unit || null
    };
    toReturn.push(entry);
  }

  return toReturn;
});
/**
 * This one simply filters out drugs that have no infusions or boluses. This is
 * for use on the final record, where as the above can be used to render the
 * infusions graph preview.
 *
 * @type {CaseSelector<InfusionDrugReport[]>}
 */

exports.selectInfusionDrugsReport = selectInfusionDrugsReport;
var selectInfusionDrugsFinalReport = createSelector(selectInfusionDrugsReport,
/**
 * @param {InfusionDrugReport[]} drugs
 * @returns {InfusionDrugReport[]}
 */
function (drugs) {
  return drugs.filter(function (drug) {
    return drug.infusions.length || drug.boluses.length;
  });
});
exports.selectInfusionDrugsFinalReport = selectInfusionDrugsFinalReport;

var roundToDecimal = function roundToDecimal(number, precision) {
  var factor = Math.pow(10, precision);
  return Math.round(number * factor) / factor;
};

exports.roundToDecimal = roundToDecimal;

var guessBodyTempUnits = function guessBodyTempUnits(value) {
  return value < 50 ? '°C' : '°F';
};

exports.guessBodyTempUnits = guessBodyTempUnits;

var convertCelsiusToFahrenheit = function convertCelsiusToFahrenheit(celsius) {
  return roundToDecimal(celsius * (9 / 5) + 32, 1);
};

var convertFahrenheitToCelsius = function convertFahrenheitToCelsius(fahrenheit, precision) {
  if (precision === void 0) {
    precision = 1;
  }

  return roundToDecimal((fahrenheit - 32) * (5 / 9), precision);
};
/**
 * This is the the function we always want to use when storing a temperature to
 * the case data.
 *
 * If it is given in fahrenheit, it will be converted to celsius with 2 decimal
 * places of precision this ensures that it is stored with enough precision to
 * be converted back to the same one decimal of precision value if we are going
 * back to fahrenheit.
 *
 * @param {number} unknownValueType
 * @returns {number}
 */


var coerceToCelsiusForStorage = function coerceToCelsiusForStorage(unknownValueType) {
  return guessBodyTempUnits(unknownValueType) === '°F' ? convertFahrenheitToCelsius(unknownValueType, 2) : unknownValueType;
};
/**
 * @param {number} valueFromCaseData
 * @param {'F' | 'C'} targetUnit
 * @returns {number}
 */


exports.coerceToCelsiusForStorage = coerceToCelsiusForStorage;

var displayTemperature = function displayTemperature(valueFromCaseData, targetUnit) {
  // If the value is greater than 50, we assume it got saved
  // as fahrenheit so if we are trying to display as fahrenheit
  // just return it.
  var wasStoredInFahrenheit = guessBodyTempUnits(valueFromCaseData) === '°F';

  if (wasStoredInFahrenheit) {
    if (targetUnit === 'F') {
      return valueFromCaseData;
    }

    return convertFahrenheitToCelsius(valueFromCaseData);
  } // if the value is less than 50, we assume it got saved as celsius


  if (targetUnit === 'F') {
    return convertCelsiusToFahrenheit(valueFromCaseData);
  }

  if (targetUnit === 'C') {
    return roundToDecimal(valueFromCaseData, 1);
  }
};
/** @typedef {string | number | 'skipped'} VitalValue */

/**
 * @typedef {{
 *   value: string | number
 *   time: number
 *   connectionId: string
 *   monitorType: string
 * }} AutoVitalEntry
 */

/**
 * @param {string} cpId Checkpoint ID
 * @param {string} vitalId Vital ID
 * @param {VitalValue} value Vital value
 * @returns {any} The changes to apply to the case.
 */


exports.displayTemperature = displayTemperature;

var actionRecordVitalValue = function actionRecordVitalValue(cpId, vitalId, value) {
  var _ref;

  return _ref = {}, _ref["vitalRecords." + cpId + ".vitals." + vitalId + ".value"] = vitalId === 'temp' && value !== 'skipped' ? // @ts-ignore
  coerceToCelsiusForStorage(value) : value, _ref;
};
/**
 * @param {string} cpId Checkpoint ID
 * @param {{ [vitalId: string]: VitalValue }} values Vital values
 * @returns {any} The changes to apply to the case.
 */


exports.actionRecordVitalValue = actionRecordVitalValue;

var actionRecordVitalValues = function actionRecordVitalValues(cpId, values) {
  var changes = {};

  for (var vitalId in values) {
    changes = _extends({}, changes, actionRecordVitalValue(cpId, vitalId, values[vitalId]));
  }

  return changes;
};
/**
 * @param {string} cpId Checkpoint ID
 * @param {string} vitalId Vital ID
 * @returns {any} The changes to apply to the case.
 */


exports.actionRecordVitalValues = actionRecordVitalValues;

var actionSkipVitalValue = function actionSkipVitalValue(cpId, vitalId) {
  return actionRecordVitalValue(cpId, vitalId, 'skipped');
};
/**
 * @param {string} cpId Checkpoint ID
 * @param {string} vitalId Vital ID
 * @param {AutoVitalEntry} vitalData Vital entry
 * @returns {any} The changes to apply to the case.
 */


exports.actionSkipVitalValue = actionSkipVitalValue;

var actionRecordAutoVitalValue = function actionRecordAutoVitalValue(cpId, vitalId, vitalData) {
  var _extends2;

  var toSave = vitalData;

  if (vitalId === 'temp') {
    toSave = _extends({}, toSave, {
      // @ts-ignore
      value: coerceToCelsiusForStorage(vitalData.value)
    });
  }

  return _extends((_extends2 = {}, _extends2["autoVitalRecords." + cpId + ".vitals." + vitalId] = toSave, _extends2), actionHasReceivedVitalType(vitalId));
};
/**
 * @param {string} cpId Checkpoint ID
 * @param {{ [vitalId: string]: AutoVitalEntry }} values Vital value
 * @returns {any} The changes to apply to the case.
 */


exports.actionRecordAutoVitalValue = actionRecordAutoVitalValue;

var actionRecordAutoVitalValues = function actionRecordAutoVitalValues(cpId, values) {
  var changes = {};

  for (var vitalId in values) {
    changes = _extends({}, changes, actionRecordAutoVitalValue(cpId, vitalId, values[vitalId]));
  }

  return changes;
};

exports.actionRecordAutoVitalValues = actionRecordAutoVitalValues;
var empty$1 = {};

var selectVitalRecordsRaw = function selectVitalRecordsRaw(caseData) {
  return caseData.vitalRecords || empty$1;
};

var selectAutoVitalRecordsRaw = function selectAutoVitalRecordsRaw(caseData) {
  return caseData.autoVitalRecords || empty$1;
};

var selectVitalRecords = createSelector(selectVitalRecordsRaw, function (records) {
  var toReturn = {};

  for (var checkpointId in records) {
    toReturn[checkpointId] = {};
    var vitals = records[checkpointId].vitals;

    for (var vitalId in vitals) {
      toReturn[checkpointId][vitalId] = vitals[vitalId].value;
    }
  }

  return toReturn;
});
var selectVitalAutoRecords = createSelector(selectAutoVitalRecordsRaw, function (records) {
  var toReturn = {};

  for (var checkpointId in records) {
    toReturn[checkpointId] = records[checkpointId].vitals;
  }

  return toReturn;
});

var addVital = function addVital(acc, cpId, vitalType, value) {
  if (value > 0 && value < 250) {
    var res = acc[cpId] || (acc[cpId] = {});
    res[vitalType] = Number(value);
  }
};

var vitalsSelectors = {
  selectVitalRecordsRaw: selectVitalRecordsRaw,
  selectVitalRecords: selectVitalRecords,
  selectAutoVitalRecordsRaw: selectAutoVitalRecordsRaw,
  selectVitalAutoRecords: selectVitalAutoRecords,
  selectEstimatedBreathsBeats: createSelector(selectVitalRecords, selectVitalAutoRecords, eventSelectors.selectMonitoringMinutes, function (records, autoRecords, minutes) {
    var byCheckpoint = {};

    for (var cpId in autoRecords) {
      var entry = autoRecords[cpId];
      addVital(byCheckpoint, cpId, 'rr', entry.rr && entry.rr.value);
      addVital(byCheckpoint, cpId, 'hr', entry.hr && entry.hr.value);
    }

    for (var _cpId in records) {
      var _entry = records[_cpId];
      addVital(byCheckpoint, _cpId, 'rr', _entry.rr);
      addVital(byCheckpoint, _cpId, 'hr', _entry.hr);
    }

    var rr = [];
    var hr = [];

    for (var _i = 0, _Object$entries = Object.entries(byCheckpoint); _i < _Object$entries.length; _i++) {
      var entries = _Object$entries[_i];
      var value = entries[1];
      if (value.rr) rr.push(value.rr);
      if (value.hr) hr.push(value.hr);
    }

    var toReturn = {
      breaths: 0,
      heartbeats: 0
    };

    if (minutes) {
      var avgRR = arrayAverage(rr);
      var avgHR = arrayAverage(hr);

      if (avgRR) {
        toReturn.breaths = Math.round(avgRR * minutes);
      }

      if (avgHR) {
        toReturn.heartbeats = Math.round(avgHR * minutes);
      }
    }

    return toReturn;
  }),
  // these two accept options and are not directly memoized.
  // They're expected to be used as a part of a larger
  // selector that is memoized.
  optionSelectVitalRecords: function optionSelectVitalRecords(caseData, _ref2) {
    var temperatureUnits = _ref2.temperatureUnits;
    var records = selectVitalRecords(caseData);
    var toReturn = {};

    for (var checkpointId in records) {
      toReturn[checkpointId] = {};
      var vitals = records[checkpointId];

      for (var vitalId in vitals) {
        var value = vitals[vitalId];

        if (vitalId === 'temp') {
          value = displayTemperature(value, temperatureUnits);
        }

        toReturn[checkpointId][vitalId] = value;
      }
    }

    return toReturn;
  },
  optionSelectVitalAutoRecords: function optionSelectVitalAutoRecords(caseData, _ref3) {
    var temperatureUnits = _ref3.temperatureUnits;
    var records = selectAutoVitalRecordsRaw(caseData);
    var toReturn = {};

    for (var checkpointId in records) {
      var vitals = records[checkpointId].vitals;
      toReturn[checkpointId] = {};

      for (var vitalId in vitals) {
        var entry = vitals[vitalId];

        if (vitalId === 'temp') {
          var coerced = displayTemperature(entry.value, temperatureUnits);

          if (coerced !== entry.value) {
            entry = _extends({}, entry, {
              value: coerced
            });
          }
        }

        toReturn[checkpointId][vitalId] = entry;
      }
    }

    return toReturn;
  }
};
exports.vitalsSelectors = vitalsSelectors;
var waveProps = createCrudProp({
  rootKey: 'waves',
  idPrefix: 'wv',
  requiredProps: ['name', 'time', 'type', 'svg'],
  sortFn: sortByTimeIfExists
});
/**
 * @param {WaveformCaptureBase} props The wave properties
 * @returns {any} The changes to apply to the case.
 */

var actionAddWave = function actionAddWave(props) {
  return waveProps.actionAdd(props);
};
/**
 * @param {string} id The wave ID
 * @returns {any} The changes to apply to the case.
 */


exports.actionAddWave = actionAddWave;
var actionRemoveWave = waveProps.actionRemove;
/**
 * @param {string} id The wave ID
 * @param {{ notes: string }} notes The updates to apply to the wave
 * @returns {any} The changes to apply to the case.
 */

exports.actionRemoveWave = actionRemoveWave;

var actionUpdateWave = function actionUpdateWave(id, _ref) {
  var notes = _ref.notes;
  return waveProps.actionUpdate(id, {
    notes: notes
  });
};
/** @returns {WaveformCapture[]} The waveform captures sorted by time */


exports.actionUpdateWave = actionUpdateWave;
var selectWaves = waveProps.select;
/**
 * @param {any} caseData
 * @returns {{
 *   [id: string]: WaveformCaptureBase
 * }}
 */

exports.selectWaves = selectWaves;
var selectWavesRaw = waveProps.selectRaw;
exports.selectWavesRaw = selectWavesRaw;
var topics = {
  __proto__: null,
  actionAddAirway: actionAddAirway,
  actionRemoveAirway: actionRemoveAirway,
  actionUpdateAirway: actionUpdateAirway,
  selectAirways: selectAirways,
  removePropsNotNeededForAnalytics: removePropsNotNeededForAnalytics,
  getProcessedCaseList: getProcessedCaseList,
  getCaseAnalytics: getCaseAnalytics,
  selectCalculateDrugWaste: selectCalculateDrugWaste,
  selectVitalsTrackingEnabled: selectVitalsTrackingEnabled,
  selectCaseSummary: selectCaseSummary,
  actionAddVitalsCheckpoint: actionAddVitalsCheckpoint,
  actionUpdateCheckpointComplete: actionUpdateCheckpointComplete,
  selectVitalsCheckpointsRaw: selectVitalsCheckpointsRaw,
  selectVitalsCheckpointsRawArray: selectVitalsCheckpointsRawArray,
  actionUpdateVitalsInterval: actionUpdateVitalsInterval,
  selectVitalsInterval: selectVitalsInterval,
  selectBaseVitalsInterval: selectBaseVitalsInterval,
  selectParenDrugTotalsNoInfusion: selectParenDrugTotalsNoInfusion,
  selectUsedParenDrugTotalsNoInfusion: selectUsedParenDrugTotalsNoInfusion,
  selectInfusionDrugTotals: selectInfusionDrugTotals,
  selectUsedInfusionDrugTotals: selectUsedInfusionDrugTotals,
  selectParenDrugTotals: selectParenDrugTotals,
  selectUsedParenDrugTotals: selectUsedParenDrugTotals,
  selectOralSedativeTotals: selectOralSedativeTotals,
  selectUsedOralSedativeTotals: selectUsedOralSedativeTotals,
  selectOralSedativeTotalsAsArray: selectOralSedativeTotalsAsArray,
  selectUsedOralSedativeTotalsAsArray: selectUsedOralSedativeTotalsAsArray,
  selectParenDrugTotalsAsArray: selectParenDrugTotalsAsArray,
  selectUsedParenDrugTotalsAsArray: selectUsedParenDrugTotalsAsArray,
  actionAddLocalDose: actionAddLocalDose,
  actionAddParenteralDose: actionAddParenteralDose,
  actionAddOralSedativeDose: actionAddOralSedativeDose,
  actionAddInhalationDose: actionAddInhalationDose,
  actionAddInfusionDose: actionAddInfusionDose,
  actionRemoveDose: actionRemoveDose,
  actionUpdateDose: actionUpdateDose,
  selectAllDosesAdministered: selectAllDosesAdministered,
  selectLocalDosesAdministered: selectLocalDosesAdministered,
  selectLocalDosesAdministeredByDrugVariantId: selectLocalDosesAdministeredByDrugVariantId,
  selectParenteralDosesAdministered: selectParenteralDosesAdministered,
  selectParenteralDosesAdministeredByDrugId: selectParenteralDosesAdministeredByDrugId,
  selectOralSedativeDosesAdministered: selectOralSedativeDosesAdministered,
  selectOralSedativeDosesAdministeredByDrugId: selectOralSedativeDosesAdministeredByDrugId,
  selectInhalationDosesAdministered: selectInhalationDosesAdministered,
  selectInhalationDosesAdministeredByDrugId: selectInhalationDosesAdministeredByDrugId,
  selectInfusionDosesAdministered: selectInfusionDosesAdministered,
  selectInfusionDosesAdministeredByDrugId: selectInfusionDosesAdministeredByDrugId,
  eventSelectors: eventSelectors,
  actionUpdateEventTimes: actionUpdateEventTimes,
  selectPatientWeightInKg: selectPatientWeightInKg,
  selectPatientHeightInCm: selectPatientHeightInCm,
  selectBmi: selectBmi,
  actionSelectInfusionDrug: actionSelectInfusionDrug,
  actionUnselectInfusionDrug: actionUnselectInfusionDrug,
  actionUpdateInfusionDosage: actionUpdateInfusionDosage,
  actionConfirmInfusionTotals: actionConfirmInfusionTotals,
  actionUpdateInfusionDrugUnit: actionUpdateInfusionDrugUnit,
  actionUpdateInfusionDrugBolusUnit: actionUpdateInfusionDrugBolusUnit,
  actionUpdateInfusionDrugAmount: actionUpdateInfusionDrugAmount,
  actionPresetInfusionDrug: actionPresetInfusionDrug,
  selectCaseInfusionDrugs: selectCaseInfusionDrugs,
  selectInfusionDrugDosage: selectInfusionDrugDosage,
  selectSelectedInfusionDrugs: selectSelectedInfusionDrugs,
  selectSelectedInfusionDrugsById: selectSelectedInfusionDrugsById,
  selectInfusionDrugsForMacro: selectInfusionDrugsForMacro,
  actionUpdateInhalationDosage: actionUpdateInhalationDosage,
  actionClearInhalationDosage: actionClearInhalationDosage,
  selectInhalationDosage: selectInhalationDosage,
  actionUpdateIvNeedleGauge: actionUpdateIvNeedleGauge,
  actionUpdateIvSolutionType: actionUpdateIvSolutionType,
  actionUpdateIvSide: actionUpdateIvSide,
  actionUpdateIvLocation: actionUpdateIvLocation,
  actionUpdateIvSecuredWith: actionUpdateIvSecuredWith,
  actionUpdateIvAttempts: actionUpdateIvAttempts,
  actionUpdateIvPlacement: actionUpdateIvPlacement,
  selectFirstIvAccessLocation: selectFirstIvAccessLocation,
  selectFirstIvSolution: selectFirstIvSolution,
  selectIvAccessData: selectIvAccessData,
  selectHasAnyIvAccessValues: selectHasAnyIvAccessValues,
  actionSelectLocalDrug: actionSelectLocalDrug,
  actionUnselectLocalDrug: actionUnselectLocalDrug,
  actionUpdateLocalDosage: actionUpdateLocalDosage,
  actionUpdateLocalUnit: actionUpdateLocalUnit,
  actionUpdateLocalAmount: actionUpdateLocalAmount,
  actionPresetLocalDrug: actionPresetLocalDrug,
  selectLocalDosageRaw: selectLocalDosageRaw,
  selectSelectedLocals: selectSelectedLocals,
  selectSelectedLocalsById: selectSelectedLocalsById,
  selectLocalsForMacro: selectLocalsForMacro,
  createMacroFromCase: createMacroFromCase,
  actionGetUpdatesForMacro: actionGetUpdatesForMacro,
  mergeMacros: mergeMacros,
  actionAddManualVital: actionAddManualVital,
  actionRemoveManualVital: actionRemoveManualVital,
  actionUpdateManualVital: actionUpdateManualVital,
  selectManualVitals: selectManualVitals,
  actionAddOptChecks: actionAddOptChecks,
  actionCheckOptCheck: actionCheckOptCheck,
  actionUncheckOptCheck: actionUncheckOptCheck,
  selectOptChecksRaw: selectOptChecksRaw,
  selectOptChecks: selectOptChecks,
  selectOptCheckLabels: selectOptCheckLabels,
  actionSelectOralSedative: actionSelectOralSedative,
  actionUnselectOralSedative: actionUnselectOralSedative,
  actionUpdateOralSedativeDosage: actionUpdateOralSedativeDosage,
  actionUpdateOralSedativeRoute: actionUpdateOralSedativeRoute,
  actionUpdateOralSedativeAmount: actionUpdateOralSedativeAmount,
  actionPresetOralSedative: actionPresetOralSedative,
  selectCaseOralSedatives: selectCaseOralSedatives,
  selectOralSedativeDosage: selectOralSedativeDosage,
  selectSelectedOralSedatives: selectSelectedOralSedatives,
  selectSelectedOralSedativesById: selectSelectedOralSedativesById,
  selectOralSedativesForMacro: selectOralSedativesForMacro,
  actionSelectParenDrug: actionSelectParenDrug,
  actionUnselectParenDrug: actionUnselectParenDrug,
  actionUpdateParenDrugDosage: actionUpdateParenDrugDosage,
  actionUpdateParenDrugTempDraw: actionUpdateParenDrugTempDraw,
  actionUpdateParenDrugTempAmount: actionUpdateParenDrugTempAmount,
  actionUpdateParenDrugRoute: actionUpdateParenDrugRoute,
  actionPresetParenDrug: actionPresetParenDrug,
  selectCaseParenDrugs: selectCaseParenDrugs,
  selectParenDrugDosage: selectParenDrugDosage,
  selectSelectedParenDrugs: selectSelectedParenDrugs,
  selectSelectedParenDrugsById: selectSelectedParenDrugsById,
  selectParenDrugsForMacro: selectParenDrugsForMacro,
  actionAddPosition: actionAddPosition,
  actionRemovePosition: actionRemovePosition,
  actionUpdatePosition: actionUpdatePosition,
  actionSkipPositions: actionSkipPositions,
  selectPositionsSkipped: selectPositionsSkipped,
  selectPositions: selectPositions,
  selectPositionsComplete: selectPositionsComplete,
  actionPreMedsUsed: actionPreMedsUsed,
  actionAddPreMed: actionAddPreMed,
  actionRemovePreMed: actionRemovePreMed,
  actionUpdatePreMed: actionUpdatePreMed,
  selectPreMeds: selectPreMeds,
  selectPreMedsUsed: selectPreMedsUsed,
  selectHasAnsweredPreMed: selectHasAnsweredPreMed,
  selectPreMedsForMacro: selectPreMedsForMacro,
  actionAddPreOpChecks: actionAddPreOpChecks,
  actionCheckPreOpCheck: actionCheckPreOpCheck,
  actionUncheckPreOpCheck: actionUncheckPreOpCheck,
  selectPreOpChecksRaw: selectPreOpChecksRaw,
  selectPreOpChecks: selectPreOpChecks,
  selectPreOpCheckLabels: selectPreOpCheckLabels,
  selectInfusionDrugsReport: selectInfusionDrugsReport,
  selectInfusionDrugsFinalReport: selectInfusionDrugsFinalReport,
  actionUpdateSedationLevel: actionUpdateSedationLevel,
  selectSedationLevel: selectSedationLevel,
  selectSedativesBeingUsed: selectSedativesBeingUsed,
  selectHasRecoveryPhase: selectHasRecoveryPhase,
  selectSystemsReviewRaw: selectSystemsReviewRaw,
  selectIsHealthy: selectIsHealthy,
  actionSetSystemCategoryToNo: actionSetSystemCategoryToNo,
  actionSetAllSystemCategoriesToNo: actionSetAllSystemCategoriesToNo,
  actionIgnoreVitalType: actionIgnoreVitalType,
  actionUnIgnoreVitalType: actionUnIgnoreVitalType,
  actionSelectVitalType: actionSelectVitalType,
  actionUnselectVitalType: actionUnselectVitalType,
  actionResumeVitalType: actionResumeVitalType,
  actionClearReceivedVitalType: actionClearReceivedVitalType,
  actionHasReceivedVitalType: actionHasReceivedVitalType,
  selectTrackedVitalTypesRaw: selectTrackedVitalTypesRaw,
  selectAutoVitalsTypesReceived: selectAutoVitalsTypesReceived,
  selectVitalsTypesSelectedNotAuto: selectVitalsTypesSelectedNotAuto,
  selectVitalsTypesWithStatus: selectVitalsTypesWithStatus,
  selectAutoVitalsTypeIdsToReport: selectAutoVitalsTypeIdsToReport,
  selectIgnoredVitalTypes: selectIgnoredVitalTypes,
  selectVitalTypesForMacro: selectVitalTypesForMacro,
  optionSelectUserSelectableVitalTypes: optionSelectUserSelectableVitalTypes,
  optionSelectIndividualVitalTypes: optionSelectIndividualVitalTypes,
  actionRecordVitalValue: actionRecordVitalValue,
  actionRecordVitalValues: actionRecordVitalValues,
  actionSkipVitalValue: actionSkipVitalValue,
  actionRecordAutoVitalValue: actionRecordAutoVitalValue,
  actionRecordAutoVitalValues: actionRecordAutoVitalValues,
  vitalsSelectors: vitalsSelectors,
  actionAddWave: actionAddWave,
  actionRemoveWave: actionRemoveWave,
  actionUpdateWave: actionUpdateWave,
  selectWaves: selectWaves,
  selectWavesRaw: selectWavesRaw
};

var createCaseInstance = function createCaseInstance(caseData, metaData) {
  metaData || (metaData = {});
  var instance = {};

  var _loop = function _loop(key) {
    instance[key] = function () {
      return eventSelectors[key](caseData);
    };
  };

  for (var key in eventSelectors) {
    _loop(key);
  }

  var _loop2 = function _loop2(_key) {
    if (_key.startsWith('select')) {
      instance[_key] = function () {
        return topics[_key](caseData);
      };
    }
  };

  for (var _key in topics) {
    _loop2(_key);
  }

  var patientSelectors = createPatientSelectors(function () {
    return caseData;
  }, function () {
    return metaData;
  });
  return _extends({}, instance, patientSelectors);
};

exports.createCaseInstance = createCaseInstance;
var currentVersion = 1; //@ts-check

exports.currentVersion = currentVersion;
var migrationFunctions = {
  // this migration renames all cp ids to be `cp_{{timestamp}}` instead of `cp_{{index integer}}`
  // it also adds 'vitalsCheckpoints.{}.time': 'timestamp'
  1: function _(caseData) {
    var vitalsCheckpoints = caseData.vitalsCheckpoints,
        vitalRecords = caseData.vitalRecords,
        autoVitalRecords = caseData.autoVitalRecords,
        events = caseData.events,
        vitalsInterval = caseData.vitalsInterval,
        customEvents = caseData.customEvents;

    var _ref = events || {},
        caseStart = _ref.caseStart;

    if (!caseStart) {
      return null;
    }

    if (!vitalsCheckpoints && !vitalRecords && !autoVitalRecords && !customEvents) {
      return null;
    }

    var intervalInMilliseconds = (vitalsInterval || 5) * 60000;

    var getCheckpointTimeForInt = function getCheckpointTimeForInt(_int) {
      // if we get a high value here, the update has already been applied
      if (_int > 1000) {
        return _int;
      }

      return _int * intervalInMilliseconds + caseStart;
    };

    var getIntFromName = function getIntFromName(name) {
      return Number(name.split('_')[1]);
    };

    var getNewCheckpointName = function getNewCheckpointName(name) {
      return "cp_" + getCheckpointTimeForInt(getIntFromName(name));
    };

    var keysWithCheckpoints = ['vitalsCheckpoints', 'vitalRecords', 'autoVitalRecords'];
    var changes = {};

    for (var _i = 0, _keysWithCheckpoints = keysWithCheckpoints; _i < _keysWithCheckpoints.length; _i++) {
      var key = _keysWithCheckpoints[_i];

      for (var cpName in caseData[key]) {
        var value = caseData[key][cpName];
        changes[key + "." + cpName] = null;
        var checkpointInt = getIntFromName(cpName);
        var time = getCheckpointTimeForInt(checkpointInt);
        var newName = "cp_" + time; // this one we also add the time

        if (key === 'vitalsCheckpoints') {
          changes["vitalsCheckpoints." + newName] = {
            complete: !!value.complete,
            time: time
          };
        } else {
          changes[key + "." + newName] = value;
        }
      }
    }

    if (customEvents) {
      for (var id in customEvents) {
        var event = customEvents[id];

        if (event.checkpointId) {
          changes["customEvents." + id + ".checkpointId"] = getNewCheckpointName(event.checkpointId);
        }
      }
    }

    return changes;
  }
};

var isValidWaveformSVG = function isValidWaveformSVG(svg) {
  // Lowercase everything for case-insensitive comparison
  svg = svg.toLowerCase(); // Ensure it starts with <svg and ends with </svg>

  if (!svg.startsWith('<svg') || !svg.endsWith('</svg>')) {
    return false;
  } // Check for event handler attributes


  if (/\son\w*=/g.test(svg)) {
    return false; // Fail validation if any event handlers are found
  } // Remove all instances of allowed tags to see if anything else is left over


  var cleanedSvg = svg.replace(/<\/?(svg|rect|path)[^>]*>/g, '') // Remove allowed tags
  .replace(/\s+/g, ''); // Remove whitespace to ignore spaces between tags
  // If anything other than whitespace is left, it's an invalid tag

  if (cleanedSvg.trim().length > 0) {
    return false;
  } // The SVG is valid if it only contains allowed tags, no event handlers, and passes the above checks


  return true;
};

exports.isValidWaveformSVG = isValidWaveformSVG;

var types = _extends({}, _sinks.basicTypes, {
  fhirDate: _isFhirDate.default,
  drugRoute: _sinks.basicTypes.matches(['PO', 'SL', 'IM', 'IV', 'IMAD', 'IN', 'local', 'infusion', 'infusionBolus', 'inhalation']),
  sedationDepth: _sinks.basicTypes.matches(['moderate', 'deep', 'ga']),
  parenDrugRoute: _sinks.basicTypes.matches(['IV', 'IMAD', 'IM', 'IN']),
  oralSedativeRoute: _sinks.basicTypes.matches(['PO', 'SL']),
  infusionRoute: _sinks.basicTypes.matches(['infusion', 'infusionBolus']),
  localDoseUnit: _sinks.basicTypes.matches(['ml', 'mg', 'cartridges']),
  drugUnit: _sinks.basicTypes.matches(['mg', 'mcg']),
  airwayType: _sinks.basicTypes.matches(['nc', 'nt', 'nh', 'cpap', 'mad', 'et', 'ntt', 'lma', 'opa', 'fm', 'other']),
  waveSvg: isValidWaveformSVG
});

exports.types = types;
var caseDataDefinitionBare = {
  // version number for tracking/applying migrations
  version: 'int',
  // applied preset id
  appliedPreset: 'str',
  // identifiers
  caseId: 'str',
  // provider
  sedationProviderName: 'str',
  surgeonName: 'str',
  recorderName: 'str',
  office: 'str',
  // case info
  procedure: 'str',
  procedureDate: 'fhirDate',
  reasonForSedation: 'str',
  responsibleCompanion: 'str',
  responsibleCompanionSignature: 'str',
  sedationLevel: 'str',
  present: 'str',
  oralSedativesEnabled: 'bool',
  ivEnabled: 'bool',
  airwayEnabled: 'bool',
  userRole: 'str',
  calculateDrugWaste: 'bool',
  vitalsInterval: 'num',
  vitalsTrackingEnabled: 'bool',
  'trackedVitalTypes.{}.selected': 'bool',
  'trackedVitalTypes.{}.ignored': 'bool',
  'trackedVitalTypes.{}.hasReceivedAutoValue': 'bool',
  // patient
  firstName: 'str',
  lastName: 'str',
  nickname: 'str',
  birthDate: 'str',
  height: 'int',
  height_raw: 'str',
  weight: 'int',
  weight_raw: 'str',
  allergiesSummary: 'str',
  anesthesiaHistorySummary: 'str',
  familyAnesthesiaHistorySummary: 'str',
  surgicalHistorySummary: 'str',
  healthHistorySummary: 'str',
  hospitalizationSummary: 'str',
  pregnant: 'str',
  pregnancyDetail: 'str',
  breastfeeding: 'bool',
  breastfeedingInstructionsGiven: 'bool',
  lastFood: 'str',
  lastDrink: 'str',
  medicalConsult: 'bool',
  medicalConsultNotes: 'str',
  // medications
  medicationsText: 'str',
  medications: 'arr',
  'medications.[].id': 'str',
  'medications.[].name': 'str',
  // preop
  'preOpChecks.[]': 'str',
  // deprecated
  // pre-op checks
  'preOpChecklist.{}.label': 'str',
  'preOpChecklist.{}.complete': 'bool',
  'preOpChecklist.{}.order': 'num',
  // opt checks
  'optChecks.{}.label': 'str',
  'optChecks.{}.complete': 'bool',
  'optChecks.{}.order': 'num',
  // physical assessment
  lungAuscultation: 'str',
  heartAuscultation: 'str',
  preProcedureRiskAssessment: 'str',
  weightDistribution: 'str',
  // airway assessment
  mallampati: 'str',
  asaClassification: 'str',
  brodsky: 'str',
  ulbt: 'str',
  tmd: 'str',
  iid: 'str',
  // systems review
  'systemsReview.{}': 'str',
  'systemsReview.{}.id': 'str',
  'systemsReview.{}.hasEntries': 'bool',
  'systemsReview.{}.entries': 'arr',
  'systemsReview.{}.entries.[].editing': 'bool',
  'systemsReview.{}.entries.[].details.{}': 'str',
  'systemsReview.{}.entries.[].details.{}.name': 'str',
  'systemsReview.{}.entries.[].details.{}.label': 'str',
  'systemsReview.{}.entries.[].details.{}.path': 'str',
  'systemsReview.{}.entries.[].details.{}.value': 'str',
  // checkpoints
  'vitalsCheckpoints.{}.complete': 'bool',
  'vitalsCheckpoints.{}.time': 'timestamp',
  'vitalRecords.{}.id': 'str',
  // deprecated: should not be getting set anymore
  'vitalRecords.{}.vitals.{}.id': 'str',
  // deprecated: should not be getting set anymore
  'vitalRecords.{}.vitals.{}.value': ['str', 'num'],
  'autoVitalRecords.{}.vitals.{}.value': ['str', 'num'],
  'autoVitalRecords.{}.vitals.{}.time': 'timestamp',
  'autoVitalRecords.{}.vitals.{}.connectionId': 'str',
  'autoVitalRecords.{}.vitals.{}.monitorType': 'str',
  // manual vitals (not checkpointed)
  'mv.{}.time': 'timestamp',
  'mv.{}.vitals.sbp': 'num',
  'mv.{}.vitals.dbp': 'num',
  'mv.{}.vitals.rr': 'num',
  'mv.{}.vitals.hr': 'num',
  'mv.{}.vitals.spo2': 'num',
  // connected monitor meta
  connectedMonitorType: 'str',
  // kept for backward compatibility (can remove later)
  lastKnowActiveBPCuffTime: 'timestamp',
  lastKnownActiveBPCuffTime: 'timestamp',
  // pre-med
  preMedsUsed: 'bool',
  'preMedsAdministered.{}': 'str',
  'preMedsAdministered.{}.id': 'str',
  'preMedsAdministered.{}.rxcui': 'str',
  'preMedsAdministered.{}.route': 'drugRoute',
  'preMedsAdministered.{}.editing': 'bool',
  'preMedsAdministered.{}.time': 'timestamp',
  'preMedsAdministered.{}.dosage': 'str',
  'preMedsAdministered.{}.drugName': 'str',
  'preMedsAdministered.{}.drugId': 'str',
  // drugs
  'drugsAdministered.{}.id': 'str',
  'drugsAdministered.{}.time': 'timestamp',
  'drugsAdministered.{}.name': 'str',
  'drugsAdministered.{}.drugId': 'str',
  'drugsAdministered.{}.rxcui': 'str',
  'drugsAdministered.{}.drugVariantId': 'str',
  'drugsAdministered.{}.epiConcentration': 'num',
  'drugsAdministered.{}.amount': 'num',
  'drugsAdministered.{}.amount_raw': 'str',
  'drugsAdministered.{}.shouldStartCase': 'bool',
  'drugsAdministered.{}.unit': 'str',
  'drugsAdministered.{}.route': 'drugRoute',
  'drugsAdministered.{}.editing': 'bool',
  // paren drug dosages
  'drugDosage.iv.doses.{}.time': 'timestamp',
  'drugDosage.iv.doses.{}.amount_raw': 'str',
  'drugDosage.iv.doses.{}.wasted_raw': 'str',
  'drugDosage.iv.doses.{}.drawAmountTemp_raw': 'str',
  'drugDosage.iv.doses.{}.totalDrawn_raw': 'str',
  'drugDosage.iv.doses.{}.wasteConfirmed': 'bool',
  'drugDosage.iv.doses.{}.route': 'parenDrugRoute',
  'drugDosage.iv.doses.{}.meta': 'str',
  // infusion drug dosage
  'drugDosage.infusion.doses.{}.time': 'timestamp',
  'drugDosage.infusion.doses.{}.amount_raw': 'str',
  // num deprecated as of (Dec 2022)
  'drugDosage.infusion.doses.{}.wasted_raw': ['str', 'num'],
  'drugDosage.infusion.doses.{}.used_raw': ['str', 'num'],
  'drugDosage.infusion.doses.{}.route': 'infusionRoute',
  'drugDosage.infusion.doses.{}.unit': 'str',
  'drugDosage.infusion.doses.{}.bolusUnit': 'str',
  'drugDosage.infusion.doses.{}.wasteConfirmed': 'bool',
  'drugDosage.infusion.doses.{}.totalUnit': 'str',
  'drugDosage.infusion.doses.{}.kg': 'str',
  'drugDosage.infusion.doses.{}.meta': 'str',
  // inhalation drug dosage
  'drugDosage.inhalation.doses.{}.time': 'timestamp',
  'drugDosage.inhalation.doses.{}.drugId': 'str',
  // not used but set on older cases
  'drugDosage.inhalation.doses.{}.amount': 'num',
  // oral sedative dosage
  'drugDosage.oral.doses.{}.time': 'timestamp',
  'drugDosage.oral.doses.{}.amount_raw': 'str',
  'drugDosage.oral.doses.{}.route': 'oralSedativeRoute',
  // local anesthetics dosage
  'drugDosage.local.doses.{}.time': 'timestamp',
  'drugDosage.local.doses.{}.amount_raw': 'str',
  'drugDosage.local.doses.{}.unit': 'str',
  // case-specific parenteral drug lookup
  // this is to make sure case data is self-contained
  // in case
  parenDrugs: 'obj',
  'parenDrugs.{}.name': 'str',
  'parenDrugs.{}.unit': 'str',
  oralSedatives: 'obj',
  'oralSedatives.{}': 'str',
  // drug ID
  'oralSedatives.{}.name': 'str',
  'oralSedatives.{}.unit': 'str',
  localAnesthetics: 'obj',
  'localAnesthetics.{}': 'str',
  // drug ID
  'localAnesthetics.{}.name': 'str',
  'localAnesthetics.{}.unit': 'str',
  'localAnesthetics.{}.rxcui': 'str',
  'localAnesthetics.{}.epiConcentration': 'num',
  'localAnesthetics.{}.variantId': 'str',
  'localAnesthetics.{}.percent': 'num',
  infusionDrugs: 'obj',
  'infusionDrugs.{}': 'str',
  // drug ID
  'infusionDrugs.{}.name': 'str',
  // custom LA
  laDilutions: 'obj',
  'laDilutions.{}': 'str',
  'laDilutions.{}.variantId': 'str',
  'laDilutions.{}.percent': 'str',
  // procedure
  startedOnRoomAir: 'bool',
  systemsReviewSkipped: 'bool',
  monitorPlacementComplete: 'bool',
  dischargeScoreReviewed: 'bool',
  timelineReviewed: 'bool',
  // final details
  finalReportSignature: 'str',
  finalReportSignatureTime: 'timestamp',
  // for vitals tracking
  'events.caseStart': 'timestamp',
  'events.vitalsEnd': 'timestamp',
  // for IV
  'events.ivStart': 'timestamp',
  'events.ivEnd': 'timestamp',
  // for surgery
  'events.surgeryStart': 'timestamp',
  'events.surgeryEnd': 'timestamp',
  // anesthesia time
  'events.anesthesiaStart': 'timestamp',
  'events.anesthesiaEnd': 'timestamp',
  // recovery and final end
  'events.recoveryStart': 'timestamp',
  'events.end': 'timestamp',
  'customEvents.{}.id': 'str',
  'customEvents.{}.checkpointId': 'str',
  'customEvents.{}.time': 'timestamp',
  'customEvents.{}.note': 'str',
  // iv details
  ivLocations: 'arr',
  'ivLocations.[].id': 'str',
  'ivLocations.[].name': 'str',
  'ivLocations.[].side': 'str',
  'ivLocations.[].securedWith': 'str',
  'ivLocations.[].attempts': 'int',
  'ivLocations.[].needleGauge': 'str',
  'ivLocations.[].time': 'timestamp',
  'ivLocations.[].solutions': 'arr',
  'ivLocations.[].solutions.[].id': 'str',
  'ivLocations.[].solutions.[].name': 'str',
  'ivLocations.[].solutions.[].amount': 'positiveInt',
  // airway
  airways: 'arr',
  'airways.[].type': 'str',
  'airways.[].timeStarted': 'timestamp',
  'airways.[].timeEnded': 'timestamp',
  // meant to supersede above airways
  // airway placement
  'aw.{}.type': 'airwayType',
  'aw.{}.name': 'str',
  'aw.{}.notes': 'str',
  'aw.{}.timePlaced': 'timestamp',
  'aw.{}.placementComp': 'bool',
  'aw.{}.placementCompDetail': 'str',
  'aw.{}.vaso': 'str',
  'aw.{}.side': 'str',
  'aw.{}.size': 'str',
  'aw.{}.preOx': 'str',
  'aw.{}.magill': 'str',
  'aw.{}.scope': 'str',
  'aw.{}.peep': 'str',
  'aw.{}.maskType': 'str',
  'aw.{}.scopeType': 'str',
  'aw.{}.bladeSize': 'str',
  'aw.{}.viewGrade': 'str',
  'aw.{}.stylet': 'bool',
  'aw.{}.cuffed': 'bool',
  'aw.{}.inflated': 'bool',
  'aw.{}.securedWith': 'str',
  'aw.{}.depth': 'str',
  'aw.{}.eyeProtection': 'str',
  'aw.{}.confirmation': 'str',
  'aw.{}.lube': 'bool',
  'aw.{}.preWarmed': 'bool',
  // for face mask
  'aw.{}.sealQuality': 'str',
  'aw.{}.connectedTo': 'str',
  'aw.{}.maskHolder': 'str',
  // airway removal
  'aw.{}.cavityClear': 'bool',
  'aw.{}.timeRemoved': 'timestamp',
  'aw.{}.removalComp': 'bool',
  'aw.{}.removalCompDetail': 'str',
  'aw.{}.removalNotes': 'str',
  'aw.{}.preRemovalSpo2': 'str',
  'aw.{}.postRemovalSpo2': 'str',
  'aw.{}.deflated': 'bool',
  // waves
  'waves.{}.name': 'str',
  'waves.{}.time': 'timestamp',
  'waves.{}.type': 'str',
  'waves.{}.svg': 'waveSvg',
  'waves.{}.notes': 'str',
  // position
  posSkipped: 'bool',
  'pos.{}.name': 'str',
  'pos.{}.time': 'timestamp',
  // notes
  procedureNotes: 'str',
  procedureNotesSignature: 'str',
  otherLocalAnesthetics: 'str',
  // recovery
  recoveryNotes: 'str',
  recoveryNotesSignature: 'str',
  recoveryNotesSignatureTime: 'timestamp',
  finalRoomAirSpO2: 'positiveInt',
  // discharge scoring
  dischargeScoreType: 'str',
  'dischargeScoreEntries.{}': 'str',
  'dischargeScoreEntries.{}.id': 'str',
  'dischargeScoreEntries.{}.score': 'int',
  // demo / speed helpers
  'appSpeed.speed': 'positiveInt',
  'appSpeed.originalStart': 'timestamp',
  'appSpeed.realTimeAtLastAdjustment': 'timestamp',
  'appSpeed.totalExtra': 'positiveInt',
  // tour related
  tourModeEnabled: 'bool',
  tourModeMeta: 'str',
  // reporting
  separatePreOpPage: 'bool'
};
exports.caseDataDefinitionBare = caseDataDefinitionBare;
var definition = (0, _sinks.buildDefinition)(caseDataDefinitionBare, types);
exports.definition = definition;

var nullIfEmpty$1 = function nullIfEmpty(item) {
  if (Object.keys(item).length === 0) {
    return null;
  }

  return item;
}; // plucks out migrations functions to run
// taking in account both current and target versions
// and available migrations


var getRelevantMigrations = function getRelevantMigrations(caseDataVersion, migrations, targetVersion) {
  return Object.keys(migrations).map(Number).filter(function (migrationKeyAsNumber) {
    var caseVersion = caseDataVersion || 0;
    return migrationKeyAsNumber > caseVersion && migrationKeyAsNumber <= targetVersion;
  }).sort().map(function (keyAsNumber) {
    return migrations[keyAsNumber.toString()];
  });
};
/**
 * @param {CaseData} caseData
 * @param {{
 *   [id: string]: (caseData: CaseData) => any
 * }} migrations
 * @param {number} [targetVersion]
 */


exports.getRelevantMigrations = getRelevantMigrations;

var getMigrationChanges = function getMigrationChanges(caseData, migrations, targetVersion) {
  if (migrations === void 0) {
    migrations = migrationFunctions;
  }

  if (targetVersion === void 0) {
    targetVersion = currentVersion;
  }

  var version = caseData.version;

  if (targetVersion === version) {
    return null;
  }

  var relevantFns = getRelevantMigrations(version, migrations, targetVersion);
  var interimCaseData = caseData;
  var cumulativeChanges = {};

  for (var _iterator = _createForOfIteratorHelperLoose(relevantFns), _step; !(_step = _iterator()).done;) {
    var fn = _step.value;
    var changes = fn(interimCaseData);
    interimCaseData = (0, _sinks.updateObject)(interimCaseData, changes);
    Object.assign(cumulativeChanges, changes);
  }

  cumulativeChanges.version = targetVersion;
  return nullIfEmpty$1(cumulativeChanges);
};

exports.getMigrationChanges = getMigrationChanges;

var migrateToLatest = function migrateToLatest(caseObject) {
  var copy = JSON.parse(JSON.stringify(caseObject));
  var migrationUpdates = getMigrationChanges(copy);

  if (migrationUpdates) {
    return definition.update(copy, migrationUpdates);
  }

  return copy;
};
/** @param {SedationLevel} sedationLevel */


exports.migrateToLatest = migrateToLatest;

var actionApplySedationLevel = function actionApplySedationLevel(sedationLevel) {
  var result = _extends({
    version: currentVersion
  }, actionUpdateSedationLevel(sedationLevel), {
    oralSedativesEnabled: true,
    ivEnabled: true,
    airwayEnabled: true,
    vitalsTrackingEnabled: true
  });

  if (sedationLevel === 'local') {
    result.ivEnabled = false;
    result.oralSedativesEnabled = false;
  } else if (sedationLevel === 'minimal') {
    result.ivEnabled = false;
  }

  for (var key in result) {
    if (result[key] === undefined) {
      delete result[key];
    }
  }

  return result;
};

exports.actionApplySedationLevel = actionApplySedationLevel;
var fieldsToCopy = ['medications', 'height', 'height_raw', 'weight', 'weight_raw', 'weightDistribution', 'allergiesSummary', 'anesthesiaHistorySummary', 'familyAnesthesiaHistorySummary', 'surgicalHistorySummary', 'healthHistorySummary', 'hospitalizationSummary', 'mallampati', 'asaClassification'];

var newCaseFromPrevious = function newCaseFromPrevious(previousCase) {
  var migrated = migrateToLatest(previousCase);
  var toReturn = {};

  for (var _iterator = _createForOfIteratorHelperLoose(fieldsToCopy), _step; !(_step = _iterator()).done;) {
    var field = _step.value;
    var _value = migrated[field];

    if (_value) {
      toReturn[field] = _value;
    }
  }

  if (migrated.systemsReview) {
    toReturn.systemsReview = {};

    for (var key in migrated.systemsReview) {
      var value = migrated.systemsReview[key];

      if (value.hasEntries) {
        toReturn.systemsReview[key] = value;
      }
    }
  }

  return toReturn;
};

exports.newCaseFromPrevious = newCaseFromPrevious;
var ignoredKeys = ['finalReportSignature', 'finalReportSignatureTime'];
/**
 * This function is for when we either want to restore from a backup version of a case
 *
 * @param {{
 *   caseDataToChange: CaseData
 *   caseDataToMatch: CaseData
 * }} opts
 * @returns {any} The changes to be made to the case
 */

var getChangesToMatchCase = function getChangesToMatchCase(_ref) {
  var caseDataToChange = _ref.caseDataToChange,
      caseDataToMatch = _ref.caseDataToMatch;
  var changesToApply = (0, _sinks.getChanges)(caseDataToChange, caseDataToMatch, {
    includeDeletions: true,
    ignoredKeys: ignoredKeys
  }); // this is a sanity check to make sure we are not about to apply changes that will
  // result in a different caseData than the caseDataToMatch
  // and that the new case data is valid.

  var updated = definition.update(caseDataToChange, changesToApply, true);

  if (!(0, _sinks.simpleObjectDeepEqual)(updated, caseDataToMatch, ignoredKeys)) {
    throw new Error('applied changes to not match caseDataToMatch');
  }

  return changesToApply;
};

exports.getChangesToMatchCase = getChangesToMatchCase;
},{"dob-to-age":"v7uJ","parse-dob":"F6Ca","nanoid":"ya15","sinks":"Y9m6","is-fhir-date":"dJ8c"}],"PD0P":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _default = function _default(_ref) {
  var _ref$map = _ref.map,
      map = _ref$map === void 0 ? null : _ref$map,
      _ref$sbp = _ref.sbp,
      sbp = _ref$sbp === void 0 ? null : _ref$sbp,
      _ref$dbp = _ref.dbp,
      dbp = _ref$dbp === void 0 ? null : _ref$dbp;

  if (!sbp && !dbp) {
    return null;
  }

  var mapAddOn = map ? " (".concat(map, ")") : '';
  return "".concat(sbp, "/").concat(dbp).concat(mapAddOn);
};

exports.default = _default;
},{}],"jKLz":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CurrentVitalsStatus = void 0;

var _preact = require("preact");

var _classnames = _interopRequireDefault(require("classnames"));

var _milliseconds = _interopRequireDefault(require("milliseconds"));

var _icon = require("./icon");

var _date = require("./utils/date");

var _bpm = require("./utils/bpm");

var _acFile = require("ac-file");

var _getBpString = _interopRequireDefault(require("./utils/get-bp-string"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return; var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var maxAge = _milliseconds.default.seconds(60);

var delayedAge = _milliseconds.default.seconds(20);

var veryDelayedAge = _milliseconds.default.seconds(30);

var defaultMaxVitalAge = _milliseconds.default.seconds(60);

var defaultMaxBpAge = _milliseconds.default.minutes(6); // How much older than the most recent vital time we allow other vitals to be (excl. BP)


var defaultVitalFuzzinessTime = _milliseconds.default.seconds(5);

var withoutExpired = function withoutExpired(_ref) {
  var vitals = _ref.vitals,
      now = _ref.now,
      _ref$maxAge = _ref.maxAge,
      maxAge = _ref$maxAge === void 0 ? defaultMaxVitalAge : _ref$maxAge,
      _ref$maxBpAge = _ref.maxBpAge,
      maxBpAge = _ref$maxBpAge === void 0 ? defaultMaxBpAge : _ref$maxBpAge;

  var newVitals = _objectSpread({}, vitals); // If BP is too old, remove its value


  if (newVitals.bp && newVitals.bp.time && now - newVitals.bp.time > maxBpAge) {
    newVitals.bp = _objectSpread(_objectSpread({}, newVitals.bp), {}, {
      value: null
    });
  } // Most recent vital time is the most recent time of all vitals


  var mostRecentVitalTime = Object.values(vitals).reduce(function (mostRecentTime, vital) {
    if (vital.id === 'bp' || !vital.time) return mostRecentTime;
    return vital.time > mostRecentTime ? vital.time : mostRecentTime;
  }, 0); // If the most recent vital time is too old, remove all vital values
  // But if it's recent enough, allow any vitals newer than most recent - fuzziness time

  var allowVitalsLaterThan;

  if (now - mostRecentVitalTime > maxAge) {
    // All vitals are too old so just remove all values
    allowVitalsLaterThan = null;
  } else {
    allowVitalsLaterThan = mostRecentVitalTime - defaultVitalFuzzinessTime;
  }

  for (var _i = 0, _Object$entries = Object.entries(vitals); _i < _Object$entries.length; _i++) {
    var _Object$entries$_i = _slicedToArray(_Object$entries[_i], 2),
        id = _Object$entries$_i[0],
        vital = _Object$entries$_i[1];

    if (id === 'bp') continue;

    if (!allowVitalsLaterThan || vital.time < allowVitalsLaterThan) {
      newVitals[id] = _objectSpread(_objectSpread({}, vital), {}, {
        value: null
      });
    }
  }

  return newVitals;
};

var VitalEntry = function VitalEntry(_ref2) {
  var id = _ref2.id,
      name = _ref2.name,
      value = _ref2.value,
      _ref2$unit = _ref2.unit,
      unit = _ref2$unit === void 0 ? null : _ref2$unit,
      loading = _ref2.loading,
      error = _ref2.error;
  var content;

  if (value == null && !error) {
    error = true;
  } // Cast BP object to string


  if (id === 'bp' && value && value.sbp != null) {
    value = (0, _getBpString.default)(value);
  }

  if (loading) {
    content = (0, _preact.h)(_icon.Icon, {
      className: "spin-animation",
      size: "16",
      icon: "autorenew"
    });
  } else if (error) {
    content = (0, _preact.h)("div", {
      "data-e2e": "error",
      className: "flex items-center"
    }, (0, _preact.h)(_icon.Icon, {
      size: "16",
      icon: "error"
    }), error !== true ? (0, _preact.h)("span", {
      className: "ml1"
    }, error) : null);
  } else {
    content = (0, _preact.h)("strong", {
      "data-e2e": "value"
    }, value);
  }

  return (0, _preact.h)("div", {
    "data-e2e": "vital|".concat(name),
    className: (0, _classnames.default)('f6 fw4 flex items-center mr1', {
      'bg-red white br1 pa1': error
    })
  }, (0, _preact.h)("span", {
    className: "mr1"
  }, name, ":"), content, unit ? " ".concat(unit) : '');
};
/**
 * @typedef {{
 *   currentVitals: import('./current-vitals-status.types').CurrentVitalsDoc
 *   isLocal: boolean
 *   extraContent?: h.JSX.Element
 *   className?: string
 *   hideLeadingIcon?: boolean
 *   appTime?: number
 *   maxVitalAge?: number
 *   maxBpAge?: number
 *   autoVitalsStatus?: 'connected' | 'waiting'
 * }} Props
 */

/**
 * @typedef {{
 *   now?: number
 * }} State
 */

/** @extends {Component<Props, State>} */


var CurrentVitalsStatus = /*#__PURE__*/function (_Component) {
  _inherits(CurrentVitalsStatus, _Component);

  var _super = _createSuper(CurrentVitalsStatus);

  function CurrentVitalsStatus(props) {
    var _this;

    _classCallCheck(this, CurrentVitalsStatus);

    _this = _super.call(this, props);
    _this.state = {
      now: Date.now()
    };
    _this.refreshTimer = null;
    return _this;
  }

  _createClass(CurrentVitalsStatus, [{
    key: "startTimer",
    value: function startTimer() {
      var _this2 = this;

      if (!this.refreshTimer && !this.props.appTime) {
        this.refreshTimer = setInterval(function () {
          return _this2.setState({
            now: Date.now()
          });
        }, 1000);
      }
    }
  }, {
    key: "componentWillUnmount",
    value: function componentWillUnmount() {
      if (this.refreshTimer) {
        clearInterval(this.refreshTimer);
      }
    }
  }, {
    key: "render",
    value: function render() {
      var _this$props = this.props,
          currentVitals = _this$props.currentVitals,
          isLocal = _this$props.isLocal,
          extraContent = _this$props.extraContent,
          className = _this$props.className,
          _this$props$hideLeadi = _this$props.hideLeadingIcon,
          hideLeadingIcon = _this$props$hideLeadi === void 0 ? false : _this$props$hideLeadi;
      var now = this.props.appTime || this.state.now;

      if (!currentVitals) {
        clearTimeout(this.refreshTimer);
        this.refreshTimer = null;
        return null;
      }

      var lastUpdated = currentVitals.lastUpdated,
          simulated = currentVitals.simulated,
          monitorLabel = currentVitals.monitorLabel;
      var vitals = withoutExpired({
        vitals: currentVitals.vitals || {},
        now: now,
        maxAge: this.props.maxVitalAge,
        maxBpAge: this.props.maxBpAge
      });
      var age = now - lastUpdated;

      if (age > maxAge && !isLocal) {
        return null;
      }

      this.startTimer();
      var isVeryDelayed = !isLocal ? age > veryDelayedAge : false;
      var isSomewhatDelayed = !isLocal && !isVeryDelayed ? age > delayedAge : false; // If not provided (i.e. in remote monitor view), assume we have are connected

      var autoVitalsStatus = this.props.autoVitalsStatus || 'connected';
      var isConnected = autoVitalsStatus === 'connected';
      var isWaiting = autoVitalsStatus === 'waiting'; // If we were given a list of selectedVitals show them all, otherwise show all vitals we have values for

      var selectedVitalIds = (currentVitals.selectedVitals || Object.keys(vitals)).sort(function (a, b) {
        return _acFile.vitalIdSortOrderLookup[a] - _acFile.vitalIdSortOrderLookup[b];
      });
      var hasValues = selectedVitalIds.some(function (id) {
        return vitals[id] && vitals[id].value != null;
      });
      return (0, _preact.h)("div", {
        "data-e2e": "currentVitalsStatus",
        className: (0, _classnames.default)('flex items-center flex-wrap justify-between', className)
      }, (0, _preact.h)("div", {
        className: "flex items-center"
      }, !hideLeadingIcon && (0, _preact.h)("div", null, isConnected && (0, _preact.h)(_icon.Icon, {
        className: "nl1 ".concat(isLocal ? 'dark-blue' : 'light-blue'),
        size: "48",
        icon: "live_dot",
        speed: (0, _bpm.bpmToPlaybackSpeed)(vitals.hr && vitals.hr.value),
        "data-e2e": "currentVitalsStatusConnected"
      }), isWaiting && (0, _preact.h)(_icon.Icon, {
        "data-e2e": "currentVitalsStatusConnecting",
        size: "24",
        icon: "autorenew",
        className: "spin-animation"
      })), (0, _preact.h)("div", {
        className: "pa1"
      }, (0, _preact.h)("div", {
        className: "flex items-center flex-wrap"
      }, (0, _preact.h)("div", null, (0, _preact.h)("div", {
        className: "flex items-center fw6 nowrap"
      }, (0, _preact.h)("span", {
        className: "mr1"
      }, monitorLabel, " Data"), simulated && (0, _preact.h)("span", {
        className: "mr1"
      }, "(simulated)"), !isLocal && (0, _preact.h)("span", {
        className: "mr1"
      }, "(via other computer)"))), !isWaiting && (0, _preact.h)("div", {
        className: (0, _classnames.default)('nowrap mr1', {
          orange: isSomewhatDelayed,
          red: isVeryDelayed
        })
      }, "Received: ", lastUpdated ? "".concat((0, _date.msToTimeAgo)(age), " ago") : '(none)', ","), !isWaiting && (0, _preact.h)("div", {
        className: "nowrap mr1"
      }, "Last BP received:", ' ', vitals.bp ? "".concat((0, _date.msToTimeAgo)(now - vitals.bp.time), " ago") : '(none)')), !isWaiting && (0, _preact.h)("div", null, (0, _preact.h)("div", {
        className: "flex flex-wrap mt1"
      }, selectedVitalIds.map(function (id) {
        var vital = vitals[id];
        var name = _acFile.vitalsShortNameLookup[id] || id;
        return (0, _preact.h)(VitalEntry, {
          key: id,
          id: id,
          name: name,
          value: vital && vital.value,
          error: vital && vital.error,
          loading: vital && vital && vital.status === 'measuring'
        });
      }))), !hasValues && isConnected && (0, _preact.h)("div", {
        className: "inline-flex items-center mt1"
      }, (0, _preact.h)(_icon.Icon, {
        icon: "warning",
        size: "16",
        className: "mr1"
      }), (0, _preact.h)("span", null, "The monitor is connected but sending blank vitals values.")))), extraContent, !isLocal && (isVeryDelayed || isSomewhatDelayed) && (0, _preact.h)("div", {
        className: (0, _classnames.default)('br2 pa2 flex items-center', {
          'bg-red white': isVeryDelayed,
          'bg-orange': isSomewhatDelayed
        })
      }, (0, _preact.h)(_icon.Icon, {
        icon: "warning",
        className: "mr2"
      }), "Data is delayed"));
    }
  }]);

  return CurrentVitalsStatus;
}(_preact.Component);

exports.CurrentVitalsStatus = CurrentVitalsStatus;
},{"preact":"aSor","classnames":"qb7c","milliseconds":"dzFk","./icon":"dvrm","./utils/date":"ZbyX","./utils/bpm":"nATs","ac-file":"qtET","./utils/get-bp-string":"PD0P"}],"esj0":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ConnectedMonitorStatus = void 0;

var _preact = require("preact");

var _classnames = _interopRequireDefault(require("classnames"));

var _milliseconds = _interopRequireDefault(require("milliseconds"));

var _icon = require("./icon");

var _date = require("./utils/date");

var _bpm = require("./utils/bpm");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

var maxAge = _milliseconds.default.seconds(60);

var delayedAge = _milliseconds.default.seconds(20);

var veryDelayedAge = _milliseconds.default.seconds(30);

var VitalEntry = function VitalEntry(_ref) {
  var name = _ref.name,
      value = _ref.value,
      unit = _ref.unit,
      loading = _ref.loading,
      error = _ref.error;
  var content;

  if (value == null && !error) {
    error = true;
  }

  if (loading) {
    content = (0, _preact.h)(_icon.Icon, {
      className: "spin-animation",
      size: "16",
      icon: "autorenew"
    });
  } else if (error) {
    content = (0, _preact.h)("div", {
      "data-e2e": "error",
      className: "flex items-center"
    }, (0, _preact.h)(_icon.Icon, {
      size: "16",
      icon: "error"
    }), error !== true ? (0, _preact.h)("span", {
      className: "ml1"
    }, error) : null);
  } else {
    content = (0, _preact.h)("strong", {
      "data-e2e": "value"
    }, value);
  }

  return (0, _preact.h)("div", {
    "data-e2e": "vital|".concat(name),
    className: (0, _classnames.default)('f6 fw4 flex items-center mr1', {
      'bg-red white br1 pa1': error
    })
  }, (0, _preact.h)("span", {
    className: "mr1"
  }, name, ":"), content, unit);
};
/** @deprecated Use CurrentVitalsStatus */


var ConnectedMonitorStatus = /*#__PURE__*/function (_Component) {
  _inherits(ConnectedMonitorStatus, _Component);

  var _super = _createSuper(ConnectedMonitorStatus);

  function ConnectedMonitorStatus(props) {
    var _this;

    _classCallCheck(this, ConnectedMonitorStatus);

    _this = _super.call(this, props);
    _this.state = {
      now: Date.now()
    };
    _this.refreshTimer = null;
    return _this;
  }

  _createClass(ConnectedMonitorStatus, [{
    key: "startTimer",
    value: function startTimer() {
      var _this2 = this;

      if (!this.refreshTimer) {
        this.refreshTimer = setInterval(function () {
          return _this2.setState({
            now: Date.now()
          });
        }, 1000);
      }
    }
  }, {
    key: "componentWillUnmount",
    value: function componentWillUnmount() {
      clearInterval(this.refreshTimer);
    }
  }, {
    key: "render",
    value: function render() {
      var _this$props = this.props,
          latestMetadata = _this$props.latestMetadata,
          isLocal = _this$props.isLocal,
          extraContent = _this$props.extraContent,
          className = _this$props.className,
          _this$props$hideLeadi = _this$props.hideLeadingIcon,
          hideLeadingIcon = _this$props$hideLeadi === void 0 ? false : _this$props$hideLeadi;
      var now = this.state.now;

      if (!latestMetadata || !latestMetadata.connectionId) {
        clearTimeout(this.refreshTimer);
        this.refreshTimer = null;
        return null;
      }

      var time = latestMetadata.time,
          bpTime = latestMetadata.bpTime,
          vitals = latestMetadata.vitals,
          hasValues = latestMetadata.hasValues,
          simulated = latestMetadata.simulated,
          monitorLabel = latestMetadata.monitorLabel,
          autoVitalsStatus = latestMetadata.autoVitalsStatus;
      var age = now - time;

      if (age > maxAge && !isLocal) {
        return null;
      }

      this.startTimer();
      var isVeryDelayed = !isLocal ? age > veryDelayedAge : false;
      var isSomewhatDelayed = !isLocal && !isVeryDelayed ? age > delayedAge : false;
      var isConnected = autoVitalsStatus === 'connected';
      var isWaiting = autoVitalsStatus === 'waiting';
      var hr = vitals.find(function (item) {
        return item.id === 'hr';
      });
      return (0, _preact.h)("div", {
        "data-e2e": "connectedMonitorVitals",
        className: (0, _classnames.default)('flex items-center flex-wrap justify-between', className)
      }, (0, _preact.h)("div", {
        className: "flex items-center"
      }, !hideLeadingIcon && (0, _preact.h)("div", null, isConnected && (0, _preact.h)(_icon.Icon, {
        className: "nl1 ".concat(isLocal ? 'dark-blue' : 'light-blue'),
        size: "48",
        icon: "live_dot",
        speed: (0, _bpm.bpmToPlaybackSpeed)(hr && hr.value),
        "data-e2e": "connectedMonitorConnected"
      }), isWaiting && (0, _preact.h)(_icon.Icon, {
        "data-e2e": "connectedMonitorConnecting",
        size: "24",
        icon: "autorenew",
        className: "spin-animation"
      })), (0, _preact.h)("div", {
        className: "pa1"
      }, (0, _preact.h)("div", {
        className: "flex items-center flex-wrap"
      }, (0, _preact.h)("div", null, (0, _preact.h)("div", {
        className: "flex items-center fw6 nowrap"
      }, (0, _preact.h)("span", {
        className: "mr1"
      }, monitorLabel, " Data"), simulated && (0, _preact.h)("span", {
        className: "mr1"
      }, "(simulated)"), !isLocal && (0, _preact.h)("span", {
        className: "mr1"
      }, "(via other computer)"))), !isWaiting && (0, _preact.h)("div", {
        className: (0, _classnames.default)('nowrap mr1', {
          orange: isSomewhatDelayed,
          red: isVeryDelayed
        })
      }, "Received: ", time ? "".concat((0, _date.msToTimeAgo)(now - time), " ago") : '(none)', ","), !isWaiting && (0, _preact.h)("div", {
        className: "nowrap mr1"
      }, "Last BP received:", ' ', typeof bpTime === 'number' ? "".concat((0, _date.msToTimeAgo)(now - bpTime), " ago") : '(none)')), !isWaiting && (0, _preact.h)("div", null, (0, _preact.h)("div", {
        className: "flex flex-wrap mt1"
      }, vitals.map(function (vital) {
        return (0, _preact.h)(VitalEntry, {
          key: vital.id,
          name: vital.chartName,
          value: vital.value,
          error: vital.error,
          loading: vital.status === 'measuring'
        });
      }))), !hasValues && isConnected && (0, _preact.h)("div", {
        className: "inline-flex items-center mt1"
      }, (0, _preact.h)(_icon.Icon, {
        icon: "warning",
        size: "16",
        className: "mr1"
      }), (0, _preact.h)("span", null, "The monitor is connected but sending blank vitals values.")))), extraContent, !isLocal && (isVeryDelayed || isSomewhatDelayed) && (0, _preact.h)("div", {
        className: (0, _classnames.default)('br2 pa2 flex items-center', {
          'bg-red white': isVeryDelayed,
          'bg-orange': isSomewhatDelayed
        })
      }, (0, _preact.h)(_icon.Icon, {
        icon: "warning",
        className: "mr2"
      }), "Data is delayed"));
    }
  }]);

  return ConnectedMonitorStatus;
}(_preact.Component);

exports.ConnectedMonitorStatus = ConnectedMonitorStatus;
},{"preact":"aSor","classnames":"qb7c","milliseconds":"dzFk","./icon":"dvrm","./utils/date":"ZbyX","./utils/bpm":"nATs"}],"drAD":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.EmptyMessage = void 0;

var _getStyledComponent = _interopRequireDefault(require("./utils/get-styled-component"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// @ts-check

/**
 * Small component for showing empty text
 *
 * @type {import('preact').ComponentType<{
 *   message: any
 *   className?: string
 * }>}
 */
var EmptyMessage = (0, _getStyledComponent.default)({
  baseClasses: 'mid-gray',
  tagName: 'p',
  options: {
    message: ''
  },
  renderChildren: function renderChildren(_ref) {
    var message = _ref.message;
    return '(' + message + ')';
  }
});
exports.EmptyMessage = EmptyMessage;
},{"./utils/get-styled-component":"PNa2"}],"RDr1":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TitleCard = exports.Card = void 0;

var _preact = require("preact");

var _classnames = _interopRequireDefault(require("classnames"));

var _icon = require("./icon");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

/**
 * @typedef CardProps
 * @property {boolean} [white]
 * @property {boolean} [nearWhite]
 * @property {string} [className]
 * @property {1 | 2 | 3 | 4 | 5} [padding]
 * @property {string} [href]
 */

/**
 * Card
 *
 * @type {import('preact').FunctionComponent<CardProps>}
 */
var Card = function Card(_ref) {
  var _ref$white = _ref.white,
      white = _ref$white === void 0 ? false : _ref$white,
      _ref$nearWhite = _ref.nearWhite,
      nearWhite = _ref$nearWhite === void 0 ? false : _ref$nearWhite,
      className = _ref.className,
      _ref$padding = _ref.padding,
      padding = _ref$padding === void 0 ? 3 : _ref$padding,
      href = _ref.href,
      props = _objectWithoutProperties(_ref, ["white", "nearWhite", "className", "padding", "href"]);

  var classes = (0, _classnames.default)({
    'bg-white': white,
    'bg-near-white': nearWhite
  }, "pa".concat(padding), 'br2 shadow-1', href && 'no-underline color-inherit', className);

  if (href) {
    return (0, _preact.h)("a", _extends({
      className: classes,
      href: href
    }, props));
  }

  return (0, _preact.h)("div", _extends({
    className: classes
  }, props));
};
/**
 * Card
 *
 * @type {import('preact').FunctionComponent<{
 * CardProps & {
 *   icon: string
 *   iconColor: import('./icon').CircleIconProps['color']
 * }}>}
 */


exports.Card = Card;

var TitleCard = function TitleCard(_ref2) {
  var children = _ref2.children,
      icon = _ref2.icon,
      _ref2$iconColor = _ref2.iconColor,
      iconColor = _ref2$iconColor === void 0 ? 'blue' : _ref2$iconColor,
      topContent = _ref2.topContent,
      titleClassName = _ref2.titleClassName,
      title = _ref2.title,
      props = _objectWithoutProperties(_ref2, ["children", "icon", "iconColor", "topContent", "titleClassName", "title"]);

  return (0, _preact.h)(Card, props, (0, _preact.h)("div", {
    className: (0, _classnames.default)('flex items-center', titleClassName, children && 'mb2')
  }, (0, _preact.h)("div", {
    className: "flex items-center"
  }, (0, _preact.h)(_icon.CircledIcon, {
    icon: icon,
    color: iconColor
  }), title && (0, _preact.h)("h4", {
    className: "ml2 mv0 f5 fw4"
  }, title)), topContent), children);
};

exports.TitleCard = TitleCard;
},{"preact":"aSor","classnames":"qb7c","./icon":"dvrm"}],"yG6g":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.BarGraph = void 0;

var _preact = require("preact");

var _classnames = _interopRequireDefault(require("classnames"));

var _getColorForIndex = require("./utils/get-color-for-index");

var _emptyMessage = require("./empty-message");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * @typedef BarGraphData
 * @property {number} value
 * @property {string} label
 * @property {string} [href]
 * @property {string} [color] Color will be assigned if not passed
 */

/**
 * @typedef BarGraphProps
 * @property {BarGraphData[]} data
 * @property {boolean} [showTotal=true] Default is `true`
 * @property {boolean} [sort=true] Default is `true`
 */

/**
 * Card
 *
 * @type {import('preact').FunctionComponent<BarGraphProps>}
 */
var BarGraph = function BarGraph(_ref) {
  var data = _ref.data,
      _ref$showTotal = _ref.showTotal,
      showTotal = _ref$showTotal === void 0 ? true : _ref$showTotal,
      _ref$sort = _ref.sort,
      sort = _ref$sort === void 0 ? true : _ref$sort;
  var sorted = sort ? data.slice().sort(function (a, b) {
    return b.value - a.value;
  }) : data;
  var max = sorted.reduce(function (max, item) {
    return Math.max(item.value, max);
  }, 0);
  var total = sorted.reduce(function (sum, item) {
    return sum + item.value;
  }, 0);
  return (0, _preact.h)("div", null, sorted.length === 0 && (0, _preact.h)(_emptyMessage.EmptyMessage, {
    message: "no data"
  }), sorted.map(function (item, index) {
    var isLast = index === sorted.length - 1;
    var contents = (0, _preact.h)(_preact.Fragment, null, (0, _preact.h)("div", {
      className: "w4 truncate flex-shrink-0 pr2"
    }, item.label), (0, _preact.h)("div", {
      className: "w-100 flex items-center"
    }, (0, _preact.h)("div", {
      className: "relative w-100"
    }, (0, _preact.h)("div", {
      key: item.label,
      className: (0, _classnames.default)('br1 flex-shrink-0 flex-grow-0', "bg-".concat(item.color || (0, _getColorForIndex.getColorForIndex)(index))),
      style: {
        height: '16px',
        width: "".concat(item.value / max * 100, "%")
      }
    })), (0, _preact.h)("div", {
      className: "ml2"
    }, item.value)));
    var baseClasses = 'flex items-center' + (isLast ? '' : ' mb2');

    if (item.href) {
      return (0, _preact.h)("a", {
        href: item.href,
        className: baseClasses + ' no-underline color-inherit'
      }, contents);
    }

    return (0, _preact.h)("div", {
      key: item.label,
      className: baseClasses
    }, contents);
  }), sorted.length > 0 && showTotal && (0, _preact.h)("div", {
    className: "tr mt2"
  }, "Total: ", total));
};

exports.BarGraph = BarGraph;
},{"preact":"aSor","classnames":"qb7c","./utils/get-color-for-index":"aur0","./empty-message":"drAD"}],"VYL5":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = toInteger;

function toInteger(dirtyNumber) {
  if (dirtyNumber === null || dirtyNumber === true || dirtyNumber === false) {
    return NaN;
  }

  var number = Number(dirtyNumber);

  if (isNaN(number)) {
    return number;
  }

  return number < 0 ? Math.ceil(number) : Math.floor(number);
}
},{}],"lQIY":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = addDays;

var _index = _interopRequireDefault(require("../_lib/toInteger/index.js"));

var _index2 = _interopRequireDefault(require("../toDate/index.js"));

var _index3 = _interopRequireDefault(require("../_lib/requiredArgs/index.js"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * @name addDays
 * @category Day Helpers
 * @summary Add the specified number of days to the given date.
 *
 * @description
 * Add the specified number of days to the given date.
 *
 * ### v2.0.0 breaking changes:
 *
 * - [Changes that are common for the whole library](https://github.com/date-fns/date-fns/blob/master/docs/upgradeGuide.md#Common-Changes).
 *
 * @param {Date|Number} date - the date to be changed
 * @param {Number} amount - the amount of days to be added. Positive decimals will be rounded using `Math.floor`, decimals less than zero will be rounded using `Math.ceil`.
 * @returns {Date} - the new date with the days added
 * @throws {TypeError} - 2 arguments required
 *
 * @example
 * // Add 10 days to 1 September 2014:
 * const result = addDays(new Date(2014, 8, 1), 10)
 * //=> Thu Sep 11 2014 00:00:00
 */
function addDays(dirtyDate, dirtyAmount) {
  (0, _index3.default)(2, arguments);
  var date = (0, _index2.default)(dirtyDate);
  var amount = (0, _index.default)(dirtyAmount);

  if (isNaN(amount)) {
    return new Date(NaN);
  }

  if (!amount) {
    // If 0 days, no-op to avoid changing times in the hour before end of DST
    return date;
  }

  date.setDate(date.getDate() + amount);
  return date;
}
},{"../_lib/toInteger/index.js":"VYL5","../toDate/index.js":"KYJg","../_lib/requiredArgs/index.js":"kK6Q"}],"esoN":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = addWeeks;

var _index = _interopRequireDefault(require("../_lib/toInteger/index.js"));

var _index2 = _interopRequireDefault(require("../addDays/index.js"));

var _index3 = _interopRequireDefault(require("../_lib/requiredArgs/index.js"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * @name addWeeks
 * @category Week Helpers
 * @summary Add the specified number of weeks to the given date.
 *
 * @description
 * Add the specified number of week to the given date.
 *
 * ### v2.0.0 breaking changes:
 *
 * - [Changes that are common for the whole library](https://github.com/date-fns/date-fns/blob/master/docs/upgradeGuide.md#Common-Changes).
 *
 * @param {Date|Number} date - the date to be changed
 * @param {Number} amount - the amount of weeks to be added. Positive decimals will be rounded using `Math.floor`, decimals less than zero will be rounded using `Math.ceil`.
 * @returns {Date} the new date with the weeks added
 * @throws {TypeError} 2 arguments required
 *
 * @example
 * // Add 4 weeks to 1 September 2014:
 * const result = addWeeks(new Date(2014, 8, 1), 4)
 * //=> Mon Sep 29 2014 00:00:00
 */
function addWeeks(dirtyDate, dirtyAmount) {
  (0, _index3.default)(2, arguments);
  var amount = (0, _index.default)(dirtyAmount);
  var days = amount * 7;
  return (0, _index2.default)(dirtyDate, days);
}
},{"../_lib/toInteger/index.js":"VYL5","../addDays/index.js":"lQIY","../_lib/requiredArgs/index.js":"kK6Q"}],"GAq9":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = startOfWeek;

var _index = _interopRequireDefault(require("../toDate/index.js"));

var _index2 = _interopRequireDefault(require("../_lib/toInteger/index.js"));

var _index3 = _interopRequireDefault(require("../_lib/requiredArgs/index.js"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * @name startOfWeek
 * @category Week Helpers
 * @summary Return the start of a week for the given date.
 *
 * @description
 * Return the start of a week for the given date.
 * The result will be in the local timezone.
 *
 * ### v2.0.0 breaking changes:
 *
 * - [Changes that are common for the whole library](https://github.com/date-fns/date-fns/blob/master/docs/upgradeGuide.md#Common-Changes).
 *
 * @param {Date|Number} date - the original date
 * @param {Object} [options] - an object with options.
 * @param {Locale} [options.locale=defaultLocale] - the locale object. See [Locale]{@link https://date-fns.org/docs/Locale}
 * @param {0|1|2|3|4|5|6} [options.weekStartsOn=0] - the index of the first day of the week (0 - Sunday)
 * @returns {Date} the start of a week
 * @throws {TypeError} 1 argument required
 * @throws {RangeError} `options.weekStartsOn` must be between 0 and 6
 *
 * @example
 * // The start of a week for 2 September 2014 11:55:00:
 * const result = startOfWeek(new Date(2014, 8, 2, 11, 55, 0))
 * //=> Sun Aug 31 2014 00:00:00
 *
 * @example
 * // If the week starts on Monday, the start of the week for 2 September 2014 11:55:00:
 * const result = startOfWeek(new Date(2014, 8, 2, 11, 55, 0), { weekStartsOn: 1 })
 * //=> Mon Sep 01 2014 00:00:00
 */
function startOfWeek(dirtyDate, dirtyOptions) {
  (0, _index3.default)(1, arguments);
  var options = dirtyOptions || {};
  var locale = options.locale;
  var localeWeekStartsOn = locale && locale.options && locale.options.weekStartsOn;
  var defaultWeekStartsOn = localeWeekStartsOn == null ? 0 : (0, _index2.default)(localeWeekStartsOn);
  var weekStartsOn = options.weekStartsOn == null ? defaultWeekStartsOn : (0, _index2.default)(options.weekStartsOn); // Test if weekStartsOn is between 0 and 6 _and_ is not NaN

  if (!(weekStartsOn >= 0 && weekStartsOn <= 6)) {
    throw new RangeError('weekStartsOn must be between 0 and 6 inclusively');
  }

  var date = (0, _index.default)(dirtyDate);
  var day = date.getDay();
  var diff = (day < weekStartsOn ? 7 : 0) + day - weekStartsOn;
  date.setDate(date.getDate() - diff);
  date.setHours(0, 0, 0, 0);
  return date;
}
},{"../toDate/index.js":"KYJg","../_lib/toInteger/index.js":"VYL5","../_lib/requiredArgs/index.js":"kK6Q"}],"n07u":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = eachWeekOfInterval;

var _index = _interopRequireDefault(require("../addWeeks/index.js"));

var _index2 = _interopRequireDefault(require("../startOfWeek/index.js"));

var _index3 = _interopRequireDefault(require("../toDate/index.js"));

var _index4 = _interopRequireDefault(require("../_lib/requiredArgs/index.js"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * @name eachWeekOfInterval
 * @category Interval Helpers
 * @summary Return the array of weeks within the specified time interval.
 *
 * @description
 * Return the array of weeks within the specified time interval.
 *
 * ### v2.0.0 breaking changes:
 *
 * - [Changes that are common for the whole library](https://github.com/date-fns/date-fns/blob/master/docs/upgradeGuide.md#Common-Changes).
 *
 * @param {Interval} interval - the interval. See [Interval]{@link https://date-fns.org/docs/Interval}
 * @param {Object} [options] - an object with options.
 * @param {Locale} [options.locale=defaultLocale] - the locale object. See [Locale]{@link https://date-fns.org/docs/Locale}
 * @param {0|1|2|3|4|5|6} [options.weekStartsOn=0] - the index of the first day of the week (0 - Sunday)
 * @returns {Date[]} the array with starts of weeks from the week of the interval start to the week of the interval end
 * @throws {TypeError} 1 argument required
 * @throws {RangeError} `options.weekStartsOn` must be 0, 1, ..., 6
 * @throws {RangeError} The start of an interval cannot be after its end
 * @throws {RangeError} Date in interval cannot be `Invalid Date`
 *
 * @example
 * // Each week within interval 6 October 2014 - 23 November 2014:
 * var result = eachWeekOfInterval({
 *   start: new Date(2014, 9, 6),
 *   end: new Date(2014, 10, 23)
 * })
 * //=> [
 * //   Sun Oct 05 2014 00:00:00,
 * //   Sun Oct 12 2014 00:00:00,
 * //   Sun Oct 19 2014 00:00:00,
 * //   Sun Oct 26 2014 00:00:00,
 * //   Sun Nov 02 2014 00:00:00,
 * //   Sun Nov 09 2014 00:00:00,
 * //   Sun Nov 16 2014 00:00:00,
 * //   Sun Nov 23 2014 00:00:00
 * // ]
 */
function eachWeekOfInterval(dirtyInterval, options) {
  (0, _index4.default)(1, arguments);
  var interval = dirtyInterval || {};
  var startDate = (0, _index3.default)(interval.start);
  var endDate = (0, _index3.default)(interval.end);
  var endTime = endDate.getTime(); // Throw an exception if start date is after end date or if any date is `Invalid Date`

  if (!(startDate.getTime() <= endTime)) {
    throw new RangeError('Invalid interval');
  }

  var startDateWeek = (0, _index2.default)(startDate, options);
  var endDateWeek = (0, _index2.default)(endDate, options); // Some timezones switch DST at midnight, making start of day unreliable in these timezones, 3pm is a safe bet

  startDateWeek.setHours(15);
  endDateWeek.setHours(15);
  endTime = endDateWeek.getTime();
  var weeks = [];
  var currentWeek = startDateWeek;

  while (currentWeek.getTime() <= endTime) {
    currentWeek.setHours(0);
    weeks.push((0, _index3.default)(currentWeek));
    currentWeek = (0, _index.default)(currentWeek, 1);
    currentWeek.setHours(15);
  }

  return weeks;
}
},{"../addWeeks/index.js":"esoN","../startOfWeek/index.js":"GAq9","../toDate/index.js":"KYJg","../_lib/requiredArgs/index.js":"kK6Q"}],"PH8z":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = startOfMonth;

var _index = _interopRequireDefault(require("../toDate/index.js"));

var _index2 = _interopRequireDefault(require("../_lib/requiredArgs/index.js"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * @name startOfMonth
 * @category Month Helpers
 * @summary Return the start of a month for the given date.
 *
 * @description
 * Return the start of a month for the given date.
 * The result will be in the local timezone.
 *
 * ### v2.0.0 breaking changes:
 *
 * - [Changes that are common for the whole library](https://github.com/date-fns/date-fns/blob/master/docs/upgradeGuide.md#Common-Changes).
 *
 * @param {Date|Number} date - the original date
 * @returns {Date} the start of a month
 * @throws {TypeError} 1 argument required
 *
 * @example
 * // The start of a month for 2 September 2014 11:55:00:
 * const result = startOfMonth(new Date(2014, 8, 2, 11, 55, 0))
 * //=> Mon Sep 01 2014 00:00:00
 */
function startOfMonth(dirtyDate) {
  (0, _index2.default)(1, arguments);
  var date = (0, _index.default)(dirtyDate);
  date.setDate(1);
  date.setHours(0, 0, 0, 0);
  return date;
}
},{"../toDate/index.js":"KYJg","../_lib/requiredArgs/index.js":"kK6Q"}],"yofJ":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = endOfDay;

var _index = _interopRequireDefault(require("../toDate/index.js"));

var _index2 = _interopRequireDefault(require("../_lib/requiredArgs/index.js"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * @name endOfDay
 * @category Day Helpers
 * @summary Return the end of a day for the given date.
 *
 * @description
 * Return the end of a day for the given date.
 * The result will be in the local timezone.
 *
 * ### v2.0.0 breaking changes:
 *
 * - [Changes that are common for the whole library](https://github.com/date-fns/date-fns/blob/master/docs/upgradeGuide.md#Common-Changes).
 *
 * @param {Date|Number} date - the original date
 * @returns {Date} the end of a day
 * @throws {TypeError} 1 argument required
 *
 * @example
 * // The end of a day for 2 September 2014 11:55:00:
 * const result = endOfDay(new Date(2014, 8, 2, 11, 55, 0))
 * //=> Tue Sep 02 2014 23:59:59.999
 */
function endOfDay(dirtyDate) {
  (0, _index2.default)(1, arguments);
  var date = (0, _index.default)(dirtyDate);
  date.setHours(23, 59, 59, 999);
  return date;
}
},{"../toDate/index.js":"KYJg","../_lib/requiredArgs/index.js":"kK6Q"}],"atx5":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = addMonths;

var _index = _interopRequireDefault(require("../_lib/toInteger/index.js"));

var _index2 = _interopRequireDefault(require("../toDate/index.js"));

var _index3 = _interopRequireDefault(require("../_lib/requiredArgs/index.js"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * @name addMonths
 * @category Month Helpers
 * @summary Add the specified number of months to the given date.
 *
 * @description
 * Add the specified number of months to the given date.
 *
 * ### v2.0.0 breaking changes:
 *
 * - [Changes that are common for the whole library](https://github.com/date-fns/date-fns/blob/master/docs/upgradeGuide.md#Common-Changes).
 *
 * @param {Date|Number} date - the date to be changed
 * @param {Number} amount - the amount of months to be added. Positive decimals will be rounded using `Math.floor`, decimals less than zero will be rounded using `Math.ceil`.
 * @returns {Date} the new date with the months added
 * @throws {TypeError} 2 arguments required
 *
 * @example
 * // Add 5 months to 1 September 2014:
 * const result = addMonths(new Date(2014, 8, 1), 5)
 * //=> Sun Feb 01 2015 00:00:00
 */
function addMonths(dirtyDate, dirtyAmount) {
  (0, _index3.default)(2, arguments);
  var date = (0, _index2.default)(dirtyDate);
  var amount = (0, _index.default)(dirtyAmount);

  if (isNaN(amount)) {
    return new Date(NaN);
  }

  if (!amount) {
    // If 0 months, no-op to avoid changing times in the hour before end of DST
    return date;
  }

  var dayOfMonth = date.getDate(); // The JS Date object supports date math by accepting out-of-bounds values for
  // month, day, etc. For example, new Date(2020, 0, 0) returns 31 Dec 2019 and
  // new Date(2020, 13, 1) returns 1 Feb 2021.  This is *almost* the behavior we
  // want except that dates will wrap around the end of a month, meaning that
  // new Date(2020, 13, 31) will return 3 Mar 2021 not 28 Feb 2021 as desired. So
  // we'll default to the end of the desired month by adding 1 to the desired
  // month and using a date of 0 to back up one day to the end of the desired
  // month.

  var endOfDesiredMonth = new Date(date.getTime());
  endOfDesiredMonth.setMonth(date.getMonth() + amount + 1, 0);
  var daysInMonth = endOfDesiredMonth.getDate();

  if (dayOfMonth >= daysInMonth) {
    // If we're already at the end of the month, then this is the correct date
    // and we're done.
    return endOfDesiredMonth;
  } else {
    // Otherwise, we now know that setting the original day-of-month value won't
    // cause an overflow, so set the desired day-of-month. Note that we can't
    // just set the date of `endOfDesiredMonth` because that object may have had
    // its time changed in the unusual case where where a DST transition was on
    // the last day of the month and its local time was in the hour skipped or
    // repeated next to a DST transition.  So we use `date` instead which is
    // guaranteed to still have the original time.
    date.setFullYear(endOfDesiredMonth.getFullYear(), endOfDesiredMonth.getMonth(), dayOfMonth);
    return date;
  }
}
},{"../_lib/toInteger/index.js":"VYL5","../toDate/index.js":"KYJg","../_lib/requiredArgs/index.js":"kK6Q"}],"vBxK":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = endOfMonth;

var _index = _interopRequireDefault(require("../toDate/index.js"));

var _index2 = _interopRequireDefault(require("../_lib/requiredArgs/index.js"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * @name endOfMonth
 * @category Month Helpers
 * @summary Return the end of a month for the given date.
 *
 * @description
 * Return the end of a month for the given date.
 * The result will be in the local timezone.
 *
 * ### v2.0.0 breaking changes:
 *
 * - [Changes that are common for the whole library](https://github.com/date-fns/date-fns/blob/master/docs/upgradeGuide.md#Common-Changes).
 *
 * @param {Date|Number} date - the original date
 * @returns {Date} the end of a month
 * @throws {TypeError} 1 argument required
 *
 * @example
 * // The end of a month for 2 September 2014 11:55:00:
 * const result = endOfMonth(new Date(2014, 8, 2, 11, 55, 0))
 * //=> Tue Sep 30 2014 23:59:59.999
 */
function endOfMonth(dirtyDate) {
  (0, _index2.default)(1, arguments);
  var date = (0, _index.default)(dirtyDate);
  var month = date.getMonth();
  date.setFullYear(date.getFullYear(), month + 1, 0);
  date.setHours(23, 59, 59, 999);
  return date;
}
},{"../toDate/index.js":"KYJg","../_lib/requiredArgs/index.js":"kK6Q"}],"Spza":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = endOfWeek;

var _index = _interopRequireDefault(require("../toDate/index.js"));

var _index2 = _interopRequireDefault(require("../_lib/toInteger/index.js"));

var _index3 = _interopRequireDefault(require("../_lib/requiredArgs/index.js"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * @name endOfWeek
 * @category Week Helpers
 * @summary Return the end of a week for the given date.
 *
 * @description
 * Return the end of a week for the given date.
 * The result will be in the local timezone.
 *
 * ### v2.0.0 breaking changes:
 *
 * - [Changes that are common for the whole library](https://github.com/date-fns/date-fns/blob/master/docs/upgradeGuide.md#Common-Changes).
 *
 * @param {Date|Number} date - the original date
 * @param {Object} [options] - an object with options.
 * @param {Locale} [options.locale=defaultLocale] - the locale object. See [Locale]{@link https://date-fns.org/docs/Locale}
 * @param {0|1|2|3|4|5|6} [options.weekStartsOn=0] - the index of the first day of the week (0 - Sunday)
 * @returns {Date} the end of a week
 * @throws {TypeError} 1 argument required
 * @throws {RangeError} `options.weekStartsOn` must be between 0 and 6
 *
 * @example
 * // The end of a week for 2 September 2014 11:55:00:
 * const result = endOfWeek(new Date(2014, 8, 2, 11, 55, 0))
 * //=> Sat Sep 06 2014 23:59:59.999
 *
 * @example
 * // If the week starts on Monday, the end of the week for 2 September 2014 11:55:00:
 * const result = endOfWeek(new Date(2014, 8, 2, 11, 55, 0), { weekStartsOn: 1 })
 * //=> Sun Sep 07 2014 23:59:59.999
 */
function endOfWeek(dirtyDate, dirtyOptions) {
  (0, _index3.default)(1, arguments);
  var options = dirtyOptions || {};
  var locale = options.locale;
  var localeWeekStartsOn = locale && locale.options && locale.options.weekStartsOn;
  var defaultWeekStartsOn = localeWeekStartsOn == null ? 0 : (0, _index2.default)(localeWeekStartsOn);
  var weekStartsOn = options.weekStartsOn == null ? defaultWeekStartsOn : (0, _index2.default)(options.weekStartsOn); // Test if weekStartsOn is between 0 and 6 _and_ is not NaN

  if (!(weekStartsOn >= 0 && weekStartsOn <= 6)) {
    throw new RangeError('weekStartsOn must be between 0 and 6 inclusively');
  }

  var date = (0, _index.default)(dirtyDate);
  var day = date.getDay();
  var diff = (day < weekStartsOn ? -7 : 0) + 6 - (day - weekStartsOn);
  date.setDate(date.getDate() + diff);
  date.setHours(23, 59, 59, 999);
  return date;
}
},{"../toDate/index.js":"KYJg","../_lib/toInteger/index.js":"VYL5","../_lib/requiredArgs/index.js":"kK6Q"}],"rW8b":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = eachDayOfInterval;

var _index = _interopRequireDefault(require("../toDate/index.js"));

var _index2 = _interopRequireDefault(require("../_lib/requiredArgs/index.js"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * @name eachDayOfInterval
 * @category Interval Helpers
 * @summary Return the array of dates within the specified time interval.
 *
 * @description
 * Return the array of dates within the specified time interval.
 *
 * ### v2.0.0 breaking changes:
 *
 * - [Changes that are common for the whole library](https://github.com/date-fns/date-fns/blob/master/docs/upgradeGuide.md#Common-Changes).
 *
 * - The function was renamed from `eachDay` to `eachDayOfInterval`.
 *   This change was made to mirror the use of the word "interval" in standard ISO 8601:2004 terminology:
 *
 *   ```
 *   2.1.3
 *   time interval
 *   part of the time axis limited by two instants
 *   ```
 *
 *   Also, this function now accepts an object with `start` and `end` properties
 *   instead of two arguments as an interval.
 *   This function now throws `RangeError` if the start of the interval is after its end
 *   or if any date in the interval is `Invalid Date`.
 *
 *   ```javascript
 *   // Before v2.0.0
 *
 *   eachDay(new Date(2014, 0, 10), new Date(2014, 0, 20))
 *
 *   // v2.0.0 onward
 *
 *   eachDayOfInterval(
 *     { start: new Date(2014, 0, 10), end: new Date(2014, 0, 20) }
 *   )
 *   ```
 *
 * @param {Interval} interval - the interval. See [Interval]{@link https://date-fns.org/docs/Interval}
 * @param {Object} [options] - an object with options.
 * @param {Number} [options.step=1] - the step to increment by. The value should be more than 1.
 * @returns {Date[]} the array with starts of days from the day of the interval start to the day of the interval end
 * @throws {TypeError} 1 argument required
 * @throws {RangeError} `options.step` must be a number greater than 1
 * @throws {RangeError} The start of an interval cannot be after its end
 * @throws {RangeError} Date in interval cannot be `Invalid Date`
 *
 * @example
 * // Each day between 6 October 2014 and 10 October 2014:
 * const result = eachDayOfInterval({
 *   start: new Date(2014, 9, 6),
 *   end: new Date(2014, 9, 10)
 * })
 * //=> [
 * //   Mon Oct 06 2014 00:00:00,
 * //   Tue Oct 07 2014 00:00:00,
 * //   Wed Oct 08 2014 00:00:00,
 * //   Thu Oct 09 2014 00:00:00,
 * //   Fri Oct 10 2014 00:00:00
 * // ]
 */
function eachDayOfInterval(dirtyInterval, options) {
  (0, _index2.default)(1, arguments);
  var interval = dirtyInterval || {};
  var startDate = (0, _index.default)(interval.start);
  var endDate = (0, _index.default)(interval.end);
  var endTime = endDate.getTime(); // Throw an exception if start date is after end date or if any date is `Invalid Date`

  if (!(startDate.getTime() <= endTime)) {
    throw new RangeError('Invalid interval');
  }

  var dates = [];
  var currentDate = startDate;
  currentDate.setHours(0, 0, 0, 0);
  var step = options && 'step' in options ? Number(options.step) : 1;
  if (step < 1 || isNaN(step)) throw new RangeError('`options.step` must be a number greater than 1');

  while (currentDate.getTime() <= endTime) {
    dates.push((0, _index.default)(currentDate));
    currentDate.setDate(currentDate.getDate() + step);
    currentDate.setHours(0, 0, 0, 0);
  }

  return dates;
}
},{"../toDate/index.js":"KYJg","../_lib/requiredArgs/index.js":"kK6Q"}],"Mh2O":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Calendar = void 0;

var _preact = require("preact");

var _classnames = _interopRequireDefault(require("classnames"));

var _button = require("./button");

var _icon = require("./icon");

var _date = require("./utils/date");

var _eachWeekOfInterval = _interopRequireDefault(require("date-fns/eachWeekOfInterval"));

var _startOfMonth = _interopRequireDefault(require("date-fns/startOfMonth"));

var _endOfDay = _interopRequireDefault(require("date-fns/endOfDay"));

var _addMonths = _interopRequireDefault(require("date-fns/addMonths"));

var _endOfMonth = _interopRequireDefault(require("date-fns/endOfMonth"));

var _endOfWeek = _interopRequireDefault(require("date-fns/endOfWeek"));

var _eachDayOfInterval = _interopRequireDefault(require("date-fns/eachDayOfInterval"));

var _addWeeks = _interopRequireDefault(require("date-fns/addWeeks"));

var _startOfWeek = _interopRequireDefault(require("date-fns/startOfWeek"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

var Day = function Day(_ref) {
  var start = _ref.start,
      end = _ref.end,
      events = _ref.events,
      isToday = _ref.isToday,
      isFuture = _ref.isFuture,
      isPast = _ref.isPast,
      isCurrentMonth = _ref.isCurrentMonth,
      isBottomRow = _ref.isBottomRow,
      isTopRow = _ref.isTopRow,
      isFirstColumn = _ref.isFirstColumn,
      isLastColumn = _ref.isLastColumn,
      onDayClick = _ref.onDayClick,
      dateNumber = _ref.dateNumber,
      DayContentComponent = _ref.dayContentComponent;
  var monthName = dateNumber === 1 ? start.toLocaleDateString(undefined, {
    month: 'short'
  }) : null;
  return (0, _preact.h)("div", {
    "data-e2e": "day",
    "data-state": (0, _date.toSimpleISODateString)(start),
    "data-current-month": isCurrentMonth ? 'current' : null,
    className: (0, _classnames.default)('db shadow-1 br2 ba b--light-gray', !isCurrentMonth && 'bg-near-white'),
    style: {
      minHeight: '64px'
    },
    onClick: function onClick() {
      if (onDayClick) {
        onDayClick(start);
      }
    }
  }, (0, _preact.h)("div", {
    className: "relative fw2 f5 tc"
  }, isToday && (0, _preact.h)("div", {
    style: {
      top: '1px',
      left: '50%',
      marginLeft: '-12px',
      width: '24px',
      height: '24px'
    },
    className: "bg-light-blue br-100 dib dark-blue absolute"
  }), (0, _preact.h)("div", {
    className: (0, _classnames.default)('pa1 mv1 relative', !isToday && !isCurrentMonth && 'mid-gray', !isToday && isCurrentMonth && 'dark-blue')
  }, monthName && (0, _preact.h)("div", {
    className: "absolute top-0 left-0 ml2 mt1 fw2 dn db-l"
  }, monthName), dateNumber)), (0, _preact.h)(DayContentComponent, {
    start: start,
    end: end,
    events: events,
    isToday: isToday,
    isFuture: isFuture,
    isPast: isPast,
    isCurrentMonth: isCurrentMonth,
    isBottomRow: isBottomRow,
    isTopRow: isTopRow,
    isFirstColumn: isFirstColumn,
    isLastColumn: isLastColumn,
    onDayClick: onDayClick,
    dateNumber: dateNumber
  }));
};

var Calendar = /*#__PURE__*/function (_Component) {
  _inherits(Calendar, _Component);

  var _super = _createSuper(Calendar);

  function Calendar(props) {
    var _this;

    _classCallCheck(this, Calendar);

    _this = _super.call(this, props);
    var currentDayDate = props.currentDayDate;
    _this.setDate = _this.setDate.bind(_assertThisInitialized(_this));
    _this.nextMonth = _this.nextMonth.bind(_assertThisInitialized(_this));
    _this.prevMonth = _this.prevMonth.bind(_assertThisInitialized(_this));
    _this.thisMonth = _this.thisMonth.bind(_assertThisInitialized(_this));
    var selectedDate = props.dateInMonth || currentDayDate;
    _this.state = {
      selectedDate: selectedDate
    };

    _this.notifyOnMonthChange(selectedDate);

    return _this;
  }

  _createClass(Calendar, [{
    key: "getStartAndEnd",
    value: function getStartAndEnd(date) {
      var currentMonthStart = (0, _startOfMonth.default)(date);
      var currentMonthEnd = (0, _endOfMonth.default)(date);
      return {
        currentMonthStart: currentMonthStart,
        currentMonthEnd: currentMonthEnd,
        start: (0, _startOfWeek.default)((0, _addWeeks.default)(currentMonthStart, -1)),
        end: (0, _endOfWeek.default)((0, _addWeeks.default)(currentMonthEnd, 2))
      };
    }
  }, {
    key: "notifyOnMonthChange",
    value: function notifyOnMonthChange(date) {
      if (this.props.onMonthChange) {
        this.props.onMonthChange(this.getStartAndEnd(date));
      }
    }
  }, {
    key: "setDate",
    value: function setDate(date) {
      this.setState({
        selectedDate: date
      });
      this.notifyOnMonthChange(date);
    }
  }, {
    key: "nextMonth",
    value: function nextMonth() {
      this.setDate((0, _addMonths.default)(this.state.selectedDate, 1));
    }
  }, {
    key: "prevMonth",
    value: function prevMonth() {
      this.setDate((0, _addMonths.default)(this.state.selectedDate, -1));
    }
  }, {
    key: "thisMonth",
    value: function thisMonth() {
      this.setDate(this.props.currentDayDate);
    }
  }, {
    key: "render",
    value: function render() {
      var _this$props = this.props,
          currentDayDate = _this$props.currentDayDate,
          entries = _this$props.entries,
          dayContentComponent = _this$props.dayContentComponent,
          dayComponent = _this$props.dayComponent,
          onDayClick = _this$props.onDayClick,
          dateInMonth = _this$props.dateInMonth,
          isLoading = _this$props.isLoading,
          rest = _objectWithoutProperties(_this$props, ["currentDayDate", "entries", "dayContentComponent", "dayComponent", "onDayClick", "dateInMonth", "isLoading"]);

      var endOfToday = (0, _endOfDay.default)(currentDayDate);
      var date = dateInMonth || this.state.selectedDate;

      var _this$getStartAndEnd = this.getStartAndEnd(date),
          currentMonthStart = _this$getStartAndEnd.currentMonthStart,
          currentMonthEnd = _this$getStartAndEnd.currentMonthEnd,
          start = _this$getStartAndEnd.start,
          end = _this$getStartAndEnd.end;

      var dayNames = [];
      var weeks = (0, _eachWeekOfInterval.default)({
        start: start,
        end: end
      });
      var weeksOfDays = weeks.map(function (startOfWeek, weekIndex) {
        var intervals = (0, _eachDayOfInterval.default)({
          start: startOfWeek,
          end: (0, _endOfWeek.default)(startOfWeek)
        });
        var isBottomRow = weekIndex === weeks.length - 1;
        return intervals.map(function (start, dayIndex) {
          var isTopRow = weekIndex === 0;

          if (isTopRow) {
            dayNames.push(start.toLocaleDateString(undefined, {
              weekday: 'short'
            }));
          }

          var end = (0, _endOfDay.default)(start);
          return {
            events: entries.filter(function (entry) {
              return (// starts and finishes today
                entry.startAsDate >= start && entry.startAsDate <= end || // started before but ends today
                entry.startAsDate <= start && entry.endAsDate >= start
              );
            }),
            start: start,
            end: end,
            dateNumber: start.getDate(),
            isToday: currentDayDate.valueOf() === start.valueOf(),
            isPast: start < currentDayDate,
            isFuture: start > endOfToday,
            isCurrentMonth: start < currentMonthEnd && start >= currentMonthStart,
            isTopRow: isTopRow,
            isBottomRow: isBottomRow,
            isFirstColumn: dayIndex === 0,
            isLastColumn: dayIndex === intervals.length - 1,
            onDayClick: onDayClick,
            dayContentComponent: dayContentComponent
          };
        });
      });
      var DayComponent = dayComponent || Day;
      return (0, _preact.h)("div", rest, (0, _preact.h)("div", {
        className: "flex items-center justify-between mb2"
      }, (0, _preact.h)(_button.Button, {
        "data-e2e": "prevMonthButton",
        onClick: this.prevMonth,
        className: "flex items-center"
      }, (0, _preact.h)(_icon.Icon, {
        size: "18",
        icon: "keyboard_arrow_left"
      }), (0, _preact.h)("span", {
        className: "dn db-ns ml1"
      }, "Previous")), (0, _preact.h)("div", {
        "data-e2e": "monthName",
        className: "f3 f1-ns fw1"
      }, currentMonthStart.toLocaleDateString(undefined, {
        month: 'long',
        year: 'numeric'
      })), (0, _preact.h)(_button.Button, {
        "data-e2e": "nextMonthButton",
        onClick: this.nextMonth,
        className: "flex items-center"
      }, (0, _preact.h)("span", {
        className: "dn db-ns mr1"
      }, "Next"), (0, _preact.h)(_icon.Icon, {
        size: "18",
        icon: "keyboard_arrow_right"
      }))), (0, _preact.h)("div", {
        style: {
          display: 'grid',
          gridTemplateColumns: 'repeat(7, minmax(40px, 1fr))'
        },
        "data-e2e": "calendarDayContainer",
        className: "relative"
      }, dayNames.map(function (name) {
        return (0, _preact.h)("div", {
          key: name,
          className: "tc fw2 ttu"
        }, name);
      }), weeksOfDays.map(function (days) {
        return days.map(function (day) {
          return (0, _preact.h)(DayComponent, _extends({
            key: day.start.toISOString()
          }, day));
        });
      }), isLoading && (0, _preact.h)("div", {
        "data-e2e": "calendarDataLoading",
        className: "absolute w-100 h-100 flex items-center justify-center"
      }, (0, _preact.h)("div", {
        className: "pa4 br-pill bg-lightest-blue h2 flex items-center justify-center o-70"
      }, "Loading", (0, _preact.h)(_icon.Icon, {
        icon: "loading_dots",
        size: "70"
      })))));
    }
  }]);

  return Calendar;
}(_preact.Component);

exports.Calendar = Calendar;
},{"preact":"aSor","classnames":"qb7c","./button":"zoTV","./icon":"dvrm","./utils/date":"ZbyX","date-fns/eachWeekOfInterval":"n07u","date-fns/startOfMonth":"PH8z","date-fns/endOfDay":"yofJ","date-fns/addMonths":"atx5","date-fns/endOfMonth":"vBxK","date-fns/endOfWeek":"Spza","date-fns/eachDayOfInterval":"rW8b","date-fns/addWeeks":"esoN","date-fns/startOfWeek":"GAq9"}],"aBoR":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getConfiguredCache = exports.getAll = exports.set = exports.get = exports.keyValLib = void 0;

var Store = function Store(dbName, storeName) {
  if (dbName === void 0) dbName = 'keyval-store';
  if (storeName === void 0) storeName = 'keyval';
  this.storeName = storeName;
  this._dbp = new Promise(function (resolve, reject) {
    var openreq = indexedDB.open(dbName, 1);

    openreq.onerror = function () {
      return reject(openreq.error);
    };

    openreq.onsuccess = function () {
      return resolve(openreq.result);
    };

    openreq.onupgradeneeded = function () {
      openreq.result.createObjectStore(storeName);
    };
  });
};

Store.prototype._withIDBStore = function _withIDBStore(type, callback) {
  var this$1 = this;
  return this._dbp.then(function (db) {
    return new Promise(function (resolve, reject) {
      var transaction = db.transaction(this$1.storeName, type);

      transaction.oncomplete = function () {
        return resolve();
      };

      transaction.onabort = transaction.onerror = function () {
        return reject(transaction.error);
      };

      callback(transaction.objectStore(this$1.storeName));
    });
  });
};

var store;

function getDefaultStore() {
  if (!store) {
    store = new Store();
  }

  return store;
}

function get(key, store) {
  if (store === void 0) store = getDefaultStore();
  var req;
  return store._withIDBStore('readonly', function (store) {
    req = store.get(key);
  }).then(function () {
    return req.result;
  });
}

function set(key, value, store) {
  if (store === void 0) store = getDefaultStore();
  return store._withIDBStore('readwrite', function (store) {
    store.put(value, key);
  });
}

function del(key, store) {
  if (store === void 0) store = getDefaultStore();
  return store._withIDBStore('readwrite', function (store) {
    store.delete(key);
  });
}

function clear(store) {
  if (store === void 0) store = getDefaultStore();
  return store._withIDBStore('readwrite', function (store) {
    store.clear();
  });
}

function keys(store) {
  if (store === void 0) store = getDefaultStore();
  var keys = [];
  return store._withIDBStore('readonly', function (store) {
    (store.openKeyCursor || store.openCursor).call(store).onsuccess = function () {
      if (!this.result) {
        return;
      }

      keys.push(this.result.key);
      this.result.continue();
    };
  }).then(function () {
    return keys;
  });
}

var idbKeyVal = {
  Store: Store,
  get: get,
  set: set,
  del: del,
  clear: clear,
  keys: keys
};
var defaultOpts = {
  maxAge: Infinity,
  version: 0,
  lib: idbKeyVal
};

var getOpts = function (passedOptions) {
  return Object.assign({}, defaultOpts, passedOptions);
};

var keyValLib = idbKeyVal;
exports.keyValLib = keyValLib;

var get$1 = function (key, opts, store) {
  var ref = getOpts(opts);
  var maxAge = ref.maxAge;
  var version = ref.version;
  var lib = ref.lib;
  return lib.get(key, store).then(JSON.parse).then(function (parsed) {
    var age = Date.now() - parsed.time;

    if (age > maxAge || version !== parsed.version) {
      lib.del(key, store);
      return null;
    }

    return parsed.data;
  }).catch(function () {
    return null;
  });
};

exports.get = get$1;

var set$1 = function (key, data, spec, store) {
  var ref = getOpts(spec);
  var lib = ref.lib;
  var version = ref.version;
  return lib.set(key, JSON.stringify({
    version: version,
    time: Date.now(),
    data: data
  }), store).catch(function () {
    return null;
  });
};

exports.set = set$1;

var getAll = function (spec, store) {
  var opts = getOpts(spec);
  var keys$$1;
  return opts.lib.keys(store).then(function (retrievedKeys) {
    keys$$1 = retrievedKeys;
    return Promise.all(keys$$1.map(function (key) {
      return get$1(key, opts, store);
    }));
  }).then(function (data) {
    return data.reduce(function (acc, bundleData, index) {
      if (bundleData) {
        acc[keys$$1[index]] = bundleData;
      }

      return acc;
    }, {});
  }).catch(function () {});
};

exports.getAll = getAll;

var getConfiguredCache = function (spec) {
  var opts = getOpts(spec);
  var store;

  if (opts.name) {
    store = new Store(opts.name, opts.name);
  }

  return {
    get: function (key) {
      return get$1(key, opts, store);
    },
    set: function (key, val) {
      return set$1(key, val, opts, store);
    },
    getAll: function () {
      return getAll(opts, store);
    },
    del: function (key) {
      return opts.lib.del(key, store);
    },
    clear: function () {
      return opts.lib.clear(store);
    },
    keys: function () {
      return opts.lib.keys(store);
    }
  };
};

exports.getConfiguredCache = getConfiguredCache;
},{}],"L5id":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getDrugName = void 0;

var _moneyClip = require("money-clip");

var _getConfiguredCache = (0, _moneyClip.getConfiguredCache)({
  maxAge: Infinity,
  version: 1,
  name: 'drug-name-cache'
}),
    set = _getConfiguredCache.set,
    get = _getConfiguredCache.get,
    getAll = _getConfiguredCache.getAll;

var drugData = {};
getAll().then(function (dbValues) {
  Object.assign(drugData, dbValues);
});

var fetchDrug = function fetchDrug(id) {
  return fetch("https://rxnav.nlm.nih.gov/REST/rxcui/".concat(id, ".json")).then(function (res) {
    return res.json();
  }).then(function (drugData) {
    return drugData.idGroup.name;
  });
};

var getDrugName = function getDrugName(id) {
  var found = drugData[id];

  if (found) {
    return Promise.resolve(found);
  }

  return get(id).then(function (res) {
    if (res) {
      drugData[id] = res;
      return res;
    }

    return fetchDrug(id).then(function (res) {
      if (res) {
        drugData[id] = res;
        set(id, res);
        return res;
      }
    });
  });
};

exports.getDrugName = getDrugName;
},{"money-clip":"aBoR"}],"isqs":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.findCustomDrugByName = void 0;

var _drugCache = require("./drug-cache");

var findCustomDrugByName = function findCustomDrugByName(term) {
  if (!term) {
    return Promise.resolve([]);
  }

  return fetch("https://rxnav.nlm.nih.gov/REST/approximateTerm.json?maxEntries=4&term=".concat(encodeURIComponent(term))).then(function (res) {
    return res.json();
  }).then(function (parsed) {
    var resultsById = (parsed.approximateGroup.candidate || []).reduce(function (result, item) {
      var id = item.rxcui;

      if (!result[id]) {
        result[id] = {
          id: id,
          score: item.score
        };
      }

      return result;
    }, {});
    return Object.keys(resultsById);
  }).then(function (ids) {
    return Promise.all(ids.map(_drugCache.getDrugName)).then(function (names) {
      return names.map(function (name, index) {
        return {
          id: ids[index],
          name: name
        };
      });
    }).then(function (matches) {
      return matches.filter(function (item) {
        return !!item.name;
      });
    });
  });
};

exports.findCustomDrugByName = findCustomDrugByName;
},{"./drug-cache":"L5id"}],"Da60":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.recordMediaStreamToFile = exports.recordMediaStream = exports.checkMediaPermissions = exports.getDevices = exports.stopStream = exports.getStreamFromVideoUrl = exports.getStream = void 0;

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return; var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

// everything can be simulated
// by setting these global variables
// window.fakeMediaPermission = 'granted'
// window.fakeMediaDevices = {
//   criticare: {
//     label: 'USB Video #1',
//     url:
//       'https://storage.googleapis.com/monitor-screen-videos/criticare-ngenuity.webm',
//   },
//   edan: {
//     label: 'USB Video #2',
//     url: 'https://storage.googleapis.com/monitor-screen-videos/edan-im60.webm',
//   },
// }

/**
 * @typedef {{
 *   [deviceId: string]: {
 *     label: string
 *     url: string
 *   }
 * }} FakeMediaDevices
 */

/**
 * @param {string} deviceId
 * @returns {Promise<MediaStream>}
 */
var getStream = function getStream(deviceId, constraints) {
  if (window.fakeMediaDevices) {
    var _window$fakeMediaDevi;

    var matchedFake = ((_window$fakeMediaDevi = window.fakeMediaDevices) === null || _window$fakeMediaDevi === void 0 ? void 0 : _window$fakeMediaDevi[deviceId]) || Object.values(window.fakeMediaDevices)[0];
    return getStreamFromVideoUrl(matchedFake);
  }

  return navigator.mediaDevices.getUserMedia(constraints);
};

exports.getStream = getStream;

var getStreamFromVideoUrl = function getStreamFromVideoUrl(_ref) {
  var label = _ref.label,
      url = _ref.url;
  // create video element so we can get a stream from it
  var video = document.createElement('video');
  video.setAttribute('autoplay', '');
  video.setAttribute('muted', '');
  video.setAttribute('playsinline', '');
  video.setAttribute('loop', '');
  video.setAttribute('crossOrigin', '');
  video.src = url; // await video playing

  return new Promise(function (resolve) {
    video.addEventListener('canplay', function () {
      // we do this because browser won't play until there
      // is a user interaction.
      video.play().then(resolve).catch(function () {
        window.addEventListener('click', function () {
          return video.play().then(resolve);
        }, {
          once: true
        });
      });
    });
  }).then(function () {
    var stream = video.captureStream(); // we attach this fake label to the stream so we can use it later

    stream.getVideoTracks()[0].fakeLabel = label;
    return stream;
  });
};
/**
 * @param {MediaStream} stream
 * @returns {void}
 */


exports.getStreamFromVideoUrl = getStreamFromVideoUrl;

var stopStream = function stopStream(stream) {
  return stream.getTracks().forEach(function (track) {
    return track.stop();
  });
};
/**
 * @param {{
 *   types?: ('videoinput' | 'audioinput' | 'audiooutput' | 'videooutput')[]
 * } = {}} options
 * @returns {Proimise<
 *   {
 *     id: string
 *     label: string
 *   }[]
 * >}
 */


exports.stopStream = stopStream;

var getDevices = function getDevices() {
  var _ref2 = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {},
      types = _ref2.types;

  if (window.fakeMediaDevices) {
    return Promise.resolve(Object.entries(window.fakeMediaDevices).map(function (_ref3) {
      var _ref4 = _slicedToArray(_ref3, 2),
          id = _ref4[0],
          label = _ref4[1].label;

      return {
        deviceId: id,
        label: label
      };
    }));
  }

  return navigator.mediaDevices.enumerateDevices().then(function (list) {
    return list.filter(function (item) {
      if (!types) return item;
      return types.includes(item.kind);
    }).map(function (item) {
      return {
        deviceId: item.deviceId,
        label: item.label
      };
    });
  });
};
/** @returns {Promise<PermissionState | 'unsupported'>} */


exports.getDevices = getDevices;

var checkMediaPermissions = function checkMediaPermissions() {
  if (!navigator || !navigator.permissions) {
    return Promise.resolve('unsupported');
  }

  if (window.fakeMediaPermission) {
    return Promise.resolve(window.fakeMediaPermission);
  }

  return navigator.permissions.query({
    name: 'camera'
  }).then(function (result) {
    return result.state;
  });
};
/**
 * @param {{
 *   stream: MediaStream
 *   milliseconds: number // time to record
 *   videoOptions?: MediaRecorderOptions
 * }} options
 * @returns {Promise<Blob>}
 */


exports.checkMediaPermissions = checkMediaPermissions;

var recordMediaStream = function recordMediaStream(_ref5) {
  var stream = _ref5.stream,
      milliseconds = _ref5.milliseconds,
      videoOptions = _ref5.videoOptions;
  return new Promise(function (resolve) {
    var options = videoOptions || {
      mimeType: 'video/webm'
    };
    var recordedChunks = [];
    var recorder = new MediaRecorder(stream, options);
    recorder.start();
    setTimeout(function () {
      recorder.stop();
    }, milliseconds);
    recorder.addEventListener('dataavailable', function (e) {
      if (e.data.size > 0) {
        recordedChunks.push(e.data);
      }
    });
    recorder.addEventListener('stop', function () {
      resolve(new Blob(recordedChunks));
    });
  });
};
/**
 * @param {any} param0
 * @returns
 */


exports.recordMediaStream = recordMediaStream;

var recordMediaStreamToFile = function recordMediaStreamToFile(_ref6) {
  var stream = _ref6.stream,
      milliseconds = _ref6.milliseconds,
      _ref6$fileName = _ref6.fileName,
      fileName = _ref6$fileName === void 0 ? 'video.webm' : _ref6$fileName;
  return recordMediaStream({
    milliseconds: milliseconds,
    stream: stream
  }).then(function (blob) {
    var url = URL.createObjectURL(blob);
    var a = document.createElement('a');
    a.href = url;
    a.download = fileName;
    a.click();
    a.remove();
    URL.revokeObjectURL(url);
    return;
  });
};

exports.recordMediaStreamToFile = recordMediaStreamToFile;
},{}],"Qtsm":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UserMediaState = void 0;

var _userMedia = require("./user-media");

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

/**
 * The goal of this whole thing is to be able to easily get and track available
 * streams and video sources.
 *
 * It starts by checking for permissions because we can do that without
 * triggering any prompts. You can ask to enumerate devices, you just won't get
 * anything useful until you have permission.
 *
 * But in our case we will frequently want the secondary device. So after we get
 * a stream we immediately enumerate devices and try to match it up with the stream.
 */

/**
 * @typedef {  | 'idle' // nothing
 *   | 'start' // starting state
 *   | 'prompt' // browser has not requested permission yet
 *   | 'requesting' // browser has requested permission
 *   | 'denied' // browser has denied permission
 *   | 'granted' // browser has denied permission
 *   | 'requestingDevices'
 *   | 'hasDevices'
 *   | 'unsupported' // browser doesn't support this
 *   | 'hasDevices' // browser has multiple but has not requested it yet
 *   | 'hasStream' // browser has a stream
 *   | 'error' // browser has an error getting stream
 *   | 'streamLost'} MediaState
 */
// This is to avoid build-issues in non-browser environments
var BaseClass =
/** @type {typeof window.EventTarget} */
window.EventTarget || /*#__PURE__*/function () {
  function _class() {
    _classCallCheck(this, _class);
  }

  return _class;
}();

var UserMediaState = /*#__PURE__*/function (_BaseClass) {
  _inherits(UserMediaState, _BaseClass);

  var _super = _createSuper(UserMediaState);

  function UserMediaState() {
    var _this;

    _classCallCheck(this, UserMediaState);

    _this = _super.call(this);
    /** @type {MediaState} */

    _this.state = 'idle';
    /** @type {MediaStream | null} */

    _this.mediaStream = null;
    /** @type {any[]} */

    _this.devices = [];
    _this.errorMessage = null;

    _this._start();

    return _this;
  }

  _createClass(UserMediaState, [{
    key: "_start",
    value: function _start() {
      var _this2 = this;

      // first check permissions
      this._triggerChange('start');

      (0, _userMedia.checkMediaPermissions)().then(function (state) {
        // in any one of these states, we can't do anything
        if (state === 'unsupported' || state === 'denied' || state === 'prompt') {
          _this2._triggerChange(state);

          return;
        } else {
          // if we're granted, we can get the devices
          return _this2.getDevices();
        }
      });
    }
    /** @param {MediaState} newState */

  }, {
    key: "_triggerChange",
    value: function _triggerChange(newState) {
      if (this.state === newState) {
        return;
      }

      if (this.errorMessage && newState !== 'error') {
        this.errorMessage = null;
      }

      var previousState = this.state;
      this.state = newState;
      this.dispatchEvent(new CustomEvent('statechange', {
        detail: {
          state: newState,
          previousState: previousState
        }
      }));
    }
  }, {
    key: "_clearExistingStream",
    value: function _clearExistingStream() {
      if (this.mediaStream) {
        var stream = this.mediaStream;
        this.mediaStream = null;
        (0, _userMedia.stopStream)(stream);
        return stream;
      }
    }
  }, {
    key: "_streamLost",
    value: function _streamLost() {
      if (this.mediaStream) {
        this.dispatchEvent(new CustomEvent('streamLost', {
          detail: {
            stream: this._clearExistingStream()
          }
        }));
      }
    }
  }, {
    key: "_handleGotStream",
    value: function _handleGotStream(stream) {
      var _this3 = this;

      this._triggerChange('hasStream');

      this._clearExistingStream();

      this.mediaStream = stream;
      var firstVideoTrack = stream.getVideoTracks()[0];
      var label = firstVideoTrack.label,
          fakeLabel = firstVideoTrack.fakeLabel; // console.log('firstVideoTrack', firstVideoTrack)

      var settings = firstVideoTrack.getSettings(); // console.log('settings', settings)

      var width = settings.width,
          height = settings.height,
          deviceId = settings.deviceId;
      this.dispatchEvent(new CustomEvent('stream', {
        detail: {
          stream: stream,
          streamId: stream.id,
          deviceId: deviceId,
          label: fakeLabel || label,
          width: width,
          height: height
        }
      }));
      stream.addEventListener('inactive', function () {
        _this3._streamLost();

        _this3.getDevices();
      });
    }
  }, {
    key: "requestStream",
    value: function requestStream(deviceId) {
      var _this4 = this;

      var _ref = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {},
          _ref$width = _ref.width,
          idealWidth = _ref$width === void 0 ? 800 : _ref$width,
          _ref$height = _ref.height,
          idealHeight = _ref$height === void 0 ? 600 : _ref$height;

      this._clearExistingStream();

      this._triggerChange('requesting');

      var constraints = {
        audio: false,
        video: {
          width: {
            ideal: idealWidth
          },
          height: {
            ideal: idealHeight
          }
        }
      };

      if (deviceId) {
        constraints.video.deviceId = {
          exact: deviceId
        };
      } else {
        constraints.video.facingMode = 'environment';
      }

      return (0, _userMedia.getStream)(deviceId, constraints).then(function (stream) {
        return _this4.getDevices(stream).then(function () {
          _this4._handleGotStream(stream);

          return stream;
        });
      }).catch(function (err) {
        var isNotAllowedError = err.name === 'NotAllowedError';
        var errorMessage = {
          NotAllowedError: 'User denied access',
          AbortError: 'Device access aborted',
          NotFoundError: 'Not matching devices found',
          NotReadableError: 'Selected device not readable',
          OverconstrainedError: 'Impossible constraints passed',
          SecurityError: 'Security error encountered',
          TypeError: 'Invalid constraints'
        }[err.name];

        if (isNotAllowedError) {
          _this4._triggerChange('denied');
        } else {
          _this4.errorMessage = errorMessage || err.message;

          _this4._triggerChange('error');
        }

        throw err;
      });
    }
  }, {
    key: "getDevices",
    value: function getDevices(stream) {
      var _this5 = this;

      this._triggerChange('requestingDevices');

      return (0, _userMedia.getDevices)({
        types: ['videoinput']
      }).then(function (devices) {
        // if we were passed a stream, try to match it up with a device
        var selectedLabel;

        if (stream) {
          var firstVideoTrack = stream.getVideoTracks()[0];
          selectedLabel = firstVideoTrack.fakeLabel || firstVideoTrack.label;
        }

        _this5.devices = devices.map(function (device) {
          return _objectSpread(_objectSpread({}, device), {}, {
            selected: device.label === selectedLabel
          });
        });

        _this5.dispatchEvent(new CustomEvent('devicesChange', {
          detail: devices
        }));

        _this5._triggerChange('hasDevices');

        return devices;
      });
    }
  }]);

  return UserMediaState;
}(BaseClass);

exports.UserMediaState = UserMediaState;
},{"./user-media":"Da60"}],"UXJL":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getDocumentBaseStyles = void 0;
var fontFam = "-apple-system,BlinkMacSystemFont,'avenir next',avenir,helvetica,'helvetica neue',arial,sans-serif";
var table = ".ld th,.ld td{padding:8px;line-height:1.5;vertical-align:top;text-align:left;border-top: 1px solid #ddd;}\n.ld table{border-spacing:0}\n.ld tr:nth-child(odd) > td{background:#f9f9f9}";
var headings = ".ld h1,.ld h2,.ld h3,.ld h4,.ld h5,.ld h6{margin:0 0 2rem 0}";
var bq = ".ld blockquote{border-left:3px solid #ddd; margin-left:1px; padding-left: 16px}";

var getDocumentBaseStyles = function getDocumentBaseStyles() {
  var _ref = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {},
      _ref$noPadding = _ref.noPadding,
      noPadding = _ref$noPadding === void 0 ? false : _ref$noPadding;

  var padding = noPadding ? '' : 'padding:20px;';
  var base = ".ld{all:initial;display:block;sizing:border-box;".concat(padding, "margin:0px;background:white;font-family:").concat(fontFam, ";}");
  return base + headings + table + bq;
};

exports.getDocumentBaseStyles = getDocumentBaseStyles;
},{}],"sK78":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LegalDocument = void 0;

var _preact = require("preact");

var _signature = require("./signature");

var _date = require("./utils/date");

var _documentBaseStyles = require("./document-base-styles");

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var Empty = function Empty(_ref) {
  var children = _ref.children,
      rest = _objectWithoutProperties(_ref, ["children"]);

  return (0, _preact.h)("div", _extends({
    style: {
      color: 'lightgray'
    }
  }, rest), children);
}; // very important that these are all inline styles


var LegalDocument = function LegalDocument(_ref2) {
  var html = _ref2.html,
      data = _ref2.data,
      noPadding = _ref2.noPadding,
      appendSignature = _ref2.appendSignature,
      date = _ref2.date;
  var signature = data && data.signature;
  var signerName = data && data.signerName;
  return (0, _preact.h)("div", {
    className: "ld"
  }, (0, _preact.h)("style", null, (0, _documentBaseStyles.getDocumentBaseStyles)({
    noPadding: noPadding
  })), (0, _preact.h)("div", {
    dangerouslySetInnerHTML: {
      __html: html
    }
  }), appendSignature && (0, _preact.h)("div", null, signature && (0, _preact.h)(_signature.Signature, {
    style: {
      marginBottom: '-26px'
    },
    path: signature
  }), !signature && (0, _preact.h)(Empty, null, "signature will be inserted here"), (0, _preact.h)("div", null, (0, _preact.h)("hr", {
    style: {
      width: '8rem',
      marginLeft: '0',
      color: 'lightgray'
    }
  })), (0, _preact.h)("div", {
    style: {
      display: 'flex',
      alignItems: 'center'
    }
  }, (0, _preact.h)("span", {
    style: {
      marginRight: '2rem'
    }
  }, signerName, !signerName && (0, _preact.h)(Empty, null, "name will be inserted here")), (0, _preact.h)("span", null, (0, _date.toDateString)(date || Date.now(), true)))));
};

exports.LegalDocument = LegalDocument;
},{"preact":"aSor","./signature":"OcaB","./utils/date":"ZbyX","./document-base-styles":"UXJL"}],"jd1W":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.QRCode = void 0;

var _preact = require("preact");

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var QRCode = function QRCode(_ref) {
  var data = _ref.data,
      size = _ref.size,
      noLogo = _ref.noLogo,
      format = _ref.format,
      rest = _objectWithoutProperties(_ref, ["data", "size", "noLogo", "format"]);

  size || (size = 400);
  var url = "https://api.xchart.com/fns/qr?data=".concat(encodeURIComponent(data), "&size=").concat(size);

  if (noLogo) {
    url += '&addLogo=false';
  }

  if (format) {
    url += "&format=".concat(format);
  }

  return (0, _preact.h)("img", _extends({
    src: url,
    width: size,
    height: size
  }, rest));
};

exports.QRCode = QRCode;
},{"preact":"aSor"}],"wV9k":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CaseTimeline = void 0;

var _preact = require("preact");

var _classnames = _interopRequireDefault(require("classnames"));

var _date = require("./utils/date");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var labels = {
  caseStart: 'Started Monitoring',
  vitalsEnd: 'Stopped Monitoring Vitals',
  ivStart: 'IV Started',
  ivEnd: 'IV Removed',
  surgeryStart: 'Procedure Start',
  surgeryEnd: 'Procedure End',
  anesthesiaStart: 'Anes. Start',
  anesthesiaEnd: 'Anes. End',
  recoveryStart: 'Recovery Start',
  end: 'Recovery Completed'
};

var toPx = function toPx(num) {
  return num + 'px';
};

var toPercent = function toPercent(num) {
  return num * 100 + '%';
};

var toMinutes = function toMinutes(milliseconds) {
  return Math.floor(milliseconds / 60000);
};
/**
 * @typedef {{
 *   caseStart?: number
 *   vitalsEnd?: number
 *   ivStart?: number
 *   ivEnd?: number
 *   surgeryStart?: number
 *   surgeryEnd?: number
 *   anesthesiaStart?: number
 *   anesthesiaEnd?: number
 *   recoveryStart?: number
 *   end?: number
 * }} CaseDataEvents
 */


var bars = [{
  start: 'caseStart',
  end: 'vitalsEnd',
  name: 'Monitoring',
  color: 'washed-yellow'
}, {
  start: 'ivStart',
  end: 'ivEnd',
  name: 'IV',
  color: 'washed-blue'
}, {
  start: 'surgeryStart',
  end: 'surgeryEnd',
  name: 'Procedure',
  color: 'washed-red'
}, {
  start: 'anesthesiaStart',
  end: 'anesthesiaEnd',
  name: 'Anesthesia',
  color: 'light-green'
}, {
  start: 'recoveryStart',
  end: 'end',
  name: 'Recovery',
  color: 'near-white'
}];
/**
 * @param {{ events: CaseDataEvents; relativeMax?: number }} opts
 * @returns {JSX.Element}
 */

var CaseTimeline = function CaseTimeline(_ref) {
  var events = _ref.events,
      relativeMax = _ref.relativeMax,
      timeLabels = _ref.timeLabels,
      rest = _objectWithoutProperties(_ref, ["events", "relativeMax", "timeLabels"]);

  var now = Date.now();
  var min = Infinity;
  var max = 0;
  var newArray = bars.map(function (_ref2) {
    var start = _ref2.start,
        end = _ref2.end,
        name = _ref2.name,
        color = _ref2.color;
    var startTime = typeof events[start] === 'number' ? events[start] : null;
    var endTime = typeof events[end] === 'number' ? events[end] : null;
    var hasStartTime = startTime !== null;
    var hasEndTime = endTime !== null;
    var status;
    var showBar = true;
    var duration = null;
    var description = '';

    if (hasStartTime) {
      min = Math.min(min, startTime);
    }

    if (hasEndTime) {
      max = Math.max(max, endTime);
    }

    if (hasEndTime && !hasStartTime) {
      status = 'noStart';
      showBar = false;
      description = "(missing start)";
    } else if (!hasEndTime && !hasStartTime) {
      status = 'noData';
      showBar = false;
      description = '(no data)';
    } else if (hasStartTime && !hasEndTime) {
      status = 'noEnd';
      description = '(no end time)';
    } else {
      duration = endTime - startTime;

      if (duration <= 0) {
        status = 'startBeforeEnd';
        showBar = false;
      } else {
        status = 'ok';
        description = "".concat(toMinutes(duration), "m");
      }
    }

    return {
      name: name,
      status: status,
      showBar: showBar,
      duration: duration,
      color: color,
      description: description,
      hasStartTime: hasStartTime,
      hasEndTime: hasEndTime,
      start: startTime,
      end: endTime
    };
  });
  var hasMin = min !== Infinity;
  var hasMax = max > 0;
  var duration = hasMax && hasMin ? max - min : null;
  var durToCompare = relativeMax || duration || now;
  newArray.forEach(function (entry) {
    if (entry.status === 'ok') {
      entry.left = (entry.start - min) / durToCompare;
      entry.width = entry.duration / durToCompare;
    }

    if (entry.status === 'noEnd') {
      var left = (entry.start - min) / durToCompare;
      entry.left = left;
      entry.width = 1 - left;
    }
  });
  var asArray = [];

  for (var name in events) {
    asArray.push({
      name: name,
      time: events[name],
      label: labels[name]
    });
  }

  var periodHeight = 28;
  return (0, _preact.h)("div", rest, (0, _preact.h)("div", {
    className: "f6"
  }, timeLabels && (0, _preact.h)("div", {
    style: {
      marginLeft: '5rem'
    },
    className: "flex items-center justify-between"
  }, (0, _preact.h)("div", {
    class: "bl b--light-gray pa1"
  }, min !== Infinity ? (0, _date.toTimeString)(min) : '(no start time)'), (0, _preact.h)("div", {
    class: "br b--light-gray pa1"
  }, max > 0 ? (0, _date.toTimeString)(max) : '(no end time)')), (0, _preact.h)("div", {
    className: "flex"
  }, (0, _preact.h)("div", {
    className: "flex-shrink-0",
    style: {
      width: '5rem'
    }
  }, newArray.map(function (item) {
    return (0, _preact.h)("div", {
      className: (0, _classnames.default)('flex items-center'),
      style: {
        height: toPx(periodHeight)
      },
      key: item.name
    }, item.name, ":");
  })), (0, _preact.h)("div", {
    className: "relative ba bg-white b--light-gray br1 w-100 border-box"
  }, newArray.map(function (item) {
    var width = toPercent(item.width);
    var left = toPercent(item.left);
    var height = toPx(periodHeight);
    return (0, _preact.h)("div", {
      className: (0, _classnames.default)('h-100 relative'),
      style: {
        height: height
      },
      key: item.name
    }, (0, _preact.h)("div", {
      className: (0, _classnames.default)("w-100 tc black-40 bg-".concat(item.color, " ba b--light-gray transition"), !item.showBar && 'hidden'),
      style: {
        transform: "translateX(".concat(left, ") scaleX(").concat(width, ")"),
        transformOrigin: 'top left',
        height: height
      }
    }), (0, _preact.h)("div", {
      className: (0, _classnames.default)('absolute top-0 flex items-center ph2 black-50', item.width < 0.2 && 'dn'),
      style: {
        height: height,
        width: width,
        left: left
      }
    }, (0, _preact.h)("span", {
      className: (0, _classnames.default)('truncate', item.status !== 'ok' && 'red')
    }, item.showBar ? item.name : null, item.description ? " ".concat(item.description) : null)));
  })))));
};

exports.CaseTimeline = CaseTimeline;
},{"preact":"aSor","classnames":"qb7c","./utils/date":"ZbyX"}],"muzE":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.macroToItemArrayBase = exports.getMacroFieldType = exports.macroAirwayLabelMap = exports.macroDrugLabelMap = exports.macroLabelMap = void 0;

var _textFormat = require("./text-format");

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

/**
 * @type {{
 *   [K in MacroKey]: any
 * }}
 */
var macroLabelMap = {
  healthyPatient: {
    label: _textFormat.spaceAndCapitalize,
    format: function format(val) {
      return val ? 'Yes (sets all system review answers to "no")' : 'No';
    }
  },
  ivEnabled: 'IV Enabled',
  airwayEnabled: 'Airways Enabled',
  userRole: {
    label: 'Provider Role',
    format: function format(role) {
      return {
        both: 'Surgeon/Anesthesia Provider',
        sedationProvider: 'Anesthesia Provider',
        surgeon: 'Surgeon'
      }[role];
    }
  },
  asaClassification: 'ASA Classification',
  surgeonName: 'Surgeon',
  sedationProviderName: 'Anesthesia Provider',
  pregnant: {
    label: 'Chance of Pregnancy',
    format: function format(val) {
      return val === 'n' ? 'No' : 'Yes';
    }
  },
  procedureNotes: 'Notes',
  preProcedureRiskAssessment: 'Pre-procedure risk assessment',
  dischargeScoreType: {
    label: _textFormat.spaceAndCapitalize,
    format: _textFormat.capitalize
  }
};
exports.macroLabelMap = macroLabelMap;
var macroDrugLabelMap = {
  dose: 'Typical First Dose',
  draw: 'First Draw'
};
exports.macroDrugLabelMap = macroDrugLabelMap;
var macroAirwayLabelMap = {
  preOx: 'Pre-oxygenation',
  inflated: 'Cuff inflated',
  deflated: 'Deflated before removal',
  placementCompDetail: 'Placement complications',
  removalComp: 'Removal complications',
  removalCompDetail: 'Removal details',
  peep: 'PEEP',
  preRemovalSpo2: 'Pre-removal SpO₂',
  postRemovalSpo2: 'Post-removal SpO₂'
};
exports.macroAirwayLabelMap = macroAirwayLabelMap;
var longText = 'longText';
var text = 'text';
var editableMap = {
  procedureNotes: longText,
  recoveryNotes: longText,
  preProcedureRiskAssessment: longText,
  lastFood: text,
  lastDrink: text,
  present: text,
  recorderName: text,
  reasonForSedation: text,
  'airways.preOx': text,
  'airways.eyeProtection': text,
  'airways.confirmation': text,
  'airways.removalNotes': longText,
  'airways.notes': longText,
  'airways.placementCompDetail': longText,
  'airways.removalCompDetail': longText,
  'airways.securedWith': text
};

var getMacroFieldType = function getMacroFieldType(path) {
  var cleanedPath = path.replace(/\[\d+\]/g, '').replace('copied.', '').replace('..', '.');
  return editableMap[cleanedPath] || null;
};

exports.getMacroFieldType = getMacroFieldType;

var defaultFormat = function defaultFormat(val) {
  var type = _typeof(val);

  if (type === 'boolean') {
    return val ? 'Yes' : 'No';
  }

  return val;
};

var getLabel = function getLabel(lookup, key) {
  var match = lookup[key];

  var type = _typeof(match && match.label);

  if (type === 'string') {
    return match.label;
  }

  if (type === 'function') {
    return match.label(key);
  }

  return match || (0, _textFormat.spaceAndCapitalize)(key);
};
/**
 * @param {any} object
 * @param {string} basePath
 * @param {{
 *   [id: string]:
 *     | string
 *     | {
 *         label: string
 *         format: (val: any) => string
 *       }
 * }} def
 * @returns {{ label: string; name: string; value: any; path: string }[]}
 */


var macroToItemArrayBase = function macroToItemArrayBase(object, basePath, def) {
  var toReturn = [];

  for (var key in object) {
    var match = def[key];
    var rawValue = object[key];
    toReturn.push({
      name: key,
      path: basePath ? "".concat(basePath, ".").concat(key) : key,
      value: match && match.format ? match.format(rawValue) : defaultFormat(rawValue),
      label: getLabel(def, key)
    });
  }

  return toReturn;
};

exports.macroToItemArrayBase = macroToItemArrayBase;
},{"./text-format":"FPJl"}],"ZOmc":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MacroDescription = void 0;

var _preact = require("preact");

var _classnames = _interopRequireDefault(require("classnames"));

var _object = require("../utils/object");

var _acFile = require("ac-file");

var _airwayTypes = require("../utils/airway-types");

var _macro = require("../utils/macro");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }

function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && Symbol.iterator in Object(iter)) return Array.from(iter); }

function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var DrugCategory = function DrugCategory(_ref) {
  var title = _ref.title,
      drugs = _ref.drugs,
      baseProp = _ref.baseProp,
      itemsToHide = _ref.itemsToHide,
      className = _ref.className;
  return (0, _preact.h)("div", {
    className: className
  }, (0, _preact.h)(Title, null, title), drugs.map(function (drug, index) {
    var name = drug.name,
        drugName = drug.drugName,
        rest = _objectWithoutProperties(drug, ["name", "drugName"]);

    var basePath = "".concat(baseProp, ".[").concat(index, "]");
    var array = (0, _macro.macroToItemArrayBase)((0, _object.omit)(rest, ['id'].concat(_toConsumableArray(itemsToHide))), basePath, _macro.macroDrugLabelMap);
    return (0, _preact.h)(CategoryEntry, {
      path: basePath,
      name: name || drugName,
      key: "drug_".concat(index),
      items: array
    });
  }));
};

var CategoryEntry = function CategoryEntry(_ref2) {
  var name = _ref2.name,
      items = _ref2.items;
  return (0, _preact.h)("div", {
    className: "pl1"
  }, (0, _preact.h)("h3", {
    className: "f6 mv0 di lh-solid mr1"
  }, name, items.length > 0 ? ':' : ''), (0, _preact.h)("span", {
    className: "f6"
  }, items.map(function (item) {
    return "".concat(item.label, ": ").concat(item.value);
  }).join(', ')));
};

var ItemEntry = function ItemEntry(_ref3) {
  var item = _ref3.item,
      className = _ref3.className;
  return (0, _preact.h)("div", {
    className: (0, _classnames.default)('f6', className)
  }, item.label, ": ", item.value);
};

var Title = function Title(_ref4) {
  var children = _ref4.children,
      _ref4$level = _ref4.level,
      level = _ref4$level === void 0 ? '1' : _ref4$level,
      className = _ref4.className;
  return (0, _preact.h)("h4", {
    className: (0, _classnames.default)('f6', level === '1' && 'bb b--gray mb1 mt0', level === '2' && 'mv0', className)
  }, children);
};
/** @param {{ macro: Macro }} */


var MacroDescription = function MacroDescription(_ref5) {
  var macro = _ref5.macro,
      rest = _objectWithoutProperties(_ref5, ["macro"]);

  if (!macro) {
    return null;
  }

  var items = (0, _macro.macroToItemArrayBase)(macro.copied, 'copied', _macro.macroLabelMap);
  var vitalItems = (0, _macro.macroToItemArrayBase)(macro.vitalTypes || {}, 'vitalTypes', _acFile.vitalsShortNameLookup); // re-use same labeling mechanism for healthyPatient
  // as other items.

  var healthyPatientItem = macro.healthyPatient ? (0, _macro.macroToItemArrayBase)({
    healthyPatient: macro.healthyPatient
  }, '', _macro.macroLabelMap)[0] : null;
  var sections = [];

  if (items.length > 0 || healthyPatientItem) {
    sections.push((0, _preact.h)("div", null, (0, _preact.h)(Title, null, "General:"), (0, _preact.h)("div", {
      className: "ml1"
    }, items.map(function (item) {
      return (0, _preact.h)(ItemEntry, {
        key: item.path,
        item: item
      });
    }), healthyPatientItem && (0, _preact.h)(ItemEntry, {
      key: "healthyPatient",
      item: healthyPatientItem
    }))));
  }

  if (macro.preMeds) {
    sections.push((0, _preact.h)(DrugCategory, {
      title: "Pre-Meds:",
      drugs: macro.preMeds,
      baseProp: "preMeds",
      itemsToHide: ['drugId']
    }));
  }

  if (macro.airways) {
    sections.push((0, _preact.h)("div", null, (0, _preact.h)(Title, null, "Airways:"), macro.airways.map(function (airway, index) {
      var type = airway.type,
          rest = _objectWithoutProperties(airway, ["type"]);

      var basePath = "airways.[".concat(index, "]");
      var array = (0, _macro.macroToItemArrayBase)(rest, basePath, _macro.macroAirwayLabelMap);
      return (0, _preact.h)(CategoryEntry, {
        key: "aw_".concat(index),
        path: basePath,
        name: _airwayTypes.airwayTypeLookup[type].name,
        items: array
      });
    })));
  }

  if (macro.vitalTypes) {
    sections.push((0, _preact.h)("div", null, (0, _preact.h)(Title, null, "Vital Types:"), (0, _preact.h)("div", {
      className: "ml1"
    }, vitalItems.map(function (item) {
      return (0, _preact.h)(ItemEntry, {
        key: item.path,
        item: item
      });
    }))));
  }

  if (macro.localDrugs) {
    sections.push((0, _preact.h)(DrugCategory, {
      title: "Local Anesthetics:",
      drugs: macro.localDrugs,
      baseProp: "local",
      itemsToHide: ['rxcui', 'percent', 'epi']
    }));
  }

  if (macro.parenDrugs) {
    sections.push((0, _preact.h)(DrugCategory, {
      title: "Parenteral Drugs:",
      drugs: macro.parenDrugs,
      baseProp: "parenDrugs",
      itemsToHide: ['unit']
    }));
  }

  if (macro.oralSedatives) {
    sections.push((0, _preact.h)(DrugCategory, {
      title: "Oral Sedatives:",
      drugs: macro.oralSedatives,
      baseProp: "oralSedatives",
      itemsToHide: ['unit']
    }));
  }

  if (macro.infusionDrugs) {
    sections.push((0, _preact.h)(DrugCategory, {
      title: "Infusion Drugs:",
      drugs: macro.infusionDrugs,
      baseProp: "infusionDrugs",
      itemsToHide: []
    }));
  }

  return (0, _preact.h)("div", rest, sections.map(function (section, index) {
    var isLast = sections.length - 1 === index;
    return (0, _preact.h)("div", {
      key: index,
      className: isLast ? null : 'mb2'
    }, section);
  }));
};

exports.MacroDescription = MacroDescription;
},{"preact":"aSor","classnames":"qb7c","../utils/object":"JIRj","ac-file":"qtET","../utils/airway-types":"JDat","../utils/macro":"muzE"}],"AfeM":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.updateObject = exports.setValue = exports.mergeObjects = exports.getChanges = exports.buildDefinition = exports.basicTypes = void 0;

var _dlv = _interopRequireDefault(require("dlv"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() {
  _extends = Object.assign || function (target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];

      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }

    return target;
  };

  return _extends.apply(this, arguments);
}

var isEmpty = function isEmpty(unknown) {
  if (typeof unknown === 'object') {
    // handle null which is "object"
    if (!unknown) {
      return true;
    }

    if (Array.isArray(unknown) && !unknown.length) {
      return true;
    }

    return !Object.keys(unknown).length;
  }

  return false;
};

var isInt = function isInt(str) {
  return /^\d+$/.test(str);
};

var stripBrackets = function stripBrackets(str) {
  return str.replace(/[[\]]/g, '');
}; // Modified version of clean-set (https://github.com/fwilkerson/clean-set)


var digitRe = /^\[\d+\]/;

var removeNullAndEmpty = function removeNullAndEmpty(original) {
  var removeEmpty = function removeEmpty(obj) {
    var isObj = typeof obj === 'object';
    var isArray = Array.isArray(obj);

    if (!isObj) {
      return obj;
    }

    if (isArray) {
      for (var i = 0, l = obj.length; i < l; i++) {
        var value = obj[i];

        if (value === null || isEmpty(value)) {
          obj.splice(i, 1);
          removeEmpty(original);
        } else {
          removeEmpty(value);
        }
      }
    } else {
      for (var key in obj) {
        var _value = obj[key];

        if (_value === null || isEmpty(_value)) {
          delete obj[key];
          removeEmpty(original);
        } else {
          removeEmpty(_value);
        }
      }
    }

    return obj;
  };

  return removeEmpty(original);
};

var copy = function copy(source, isArr) {
  var to = source && !!source.pop || isArr ? [] : {};

  for (var i in source) {
    to[i] = source[i];
  }

  return to;
};

var deepSet = function (source, keys, update, merge) {
  if (merge === void 0) {
    merge = true;
  }

  keys.split && (keys = keys.split('.'));
  keys = keys.map(function (key) {
    return digitRe.test(key) ? Number(key.slice(1, -1)) : key;
  });
  var next = copy(source),
      last = next,
      i = 0,
      l = keys.length;
  var shouldDelete = update === null;

  for (; i < l; i++) {
    var isLast = i === l - 1;
    var currentKey = keys[i];

    if (shouldDelete && isLast) {
      if (Array.isArray(last)) {
        last.splice(currentKey, 1);
      } else {
        delete last[currentKey];
      }
    } else {
      if (isLast) {
        last[currentKey] = typeof update === 'object' && !Array.isArray(update) && merge ? Object.assign({}, last[currentKey], update) : update;
      } else {
        last = last[currentKey] = copy(last[currentKey], typeof keys[i + 1] === 'number');
      }
    }
  }

  return removeNullAndEmpty(next);
};

var str = function str(val) {
  return typeof val === 'string';
};

var bool = function bool(val) {
  return typeof val === 'boolean';
};

var num = function num(val) {
  return typeof val === 'number';
};

var _int = function _int(val) {
  return num(val) && Math.round(val) === val;
};

var positiveInt = function positiveInt(val) {
  return _int(val) && val >= 0;
};

var matches = function matches(values) {
  return function (val) {
    return values.includes(val);
  };
};

var timestamp = function timestamp(val) {
  return !isNaN(new Date(val).valueOf());
};

var arr = Array.isArray;

var obj = function obj(val) {
  return typeof val === 'object';
};

var func = function func(val) {
  return typeof val === 'function';
};

var basicTypes = {
  str: str,
  bool: bool,
  num: num,
  "int": _int,
  positiveInt: positiveInt,
  matches: matches,
  timestamp: timestamp,
  arr: arr,
  obj: obj,
  func: func
};
exports.basicTypes = basicTypes;

var toRegexp = function toRegexp(str) {
  return new RegExp('^' + str.replace(/\./g, '\\.').replace(/\{\}/g, '[^.]+').replace(/\[\]/g, '\\d+') + '$');
};

var buildMatcherFunction = function buildMatcherFunction(definition) {
  var processed = {};

  for (var key in definition) {
    processed[key] = {
      regex: toRegexp(key),
      key: key
    };
  }

  return function (path) {
    for (var _key in processed) {
      var matches = processed[_key].regex.test(path);

      if (matches) {
        return definition[_key];
      }
    }
  };
};
/**
 *
 * @param {any} original the original object
 * @param {any} modified the modified one
 * @param {{
 *  includeDeletions?: boolean,
 *  ignoredKeys?: string[]
 * }} [options]
 * @returns {any} Changes object or null
 */


var getChanges = function getChanges(original, modified, _temp) {
  var _ref = _temp === void 0 ? {} : _temp,
      _ref$includeDeletions = _ref.includeDeletions,
      includeDeletions = _ref$includeDeletions === void 0 ? true : _ref$includeDeletions,
      ignoredKeys = _ref.ignoredKeys;

  var combined = _extends({}, original, modified);

  var changes = {};

  for (var key in combined) {
    if (ignoredKeys && ignoredKeys.includes(key)) {
      continue;
    }

    var inOriginal = original && original.hasOwnProperty(key);
    var inModified = modified && modified.hasOwnProperty(key); // removed in new

    if (inOriginal && !inModified) {
      if (includeDeletions) {
        changes[key] = null;
      }

      continue;
    } // what type of value are we dealing with?


    var modifiedValue = modified[key];
    var modifiedValueIsObject = typeof modifiedValue === 'object'; // checks if modified value is different in any way

    if (!inOriginal || modifiedValue !== original[key]) {
      if (modifiedValueIsObject && modifiedValue !== null) {
        // we pass through "ignored" for nested stuff, but not the ignored keys
        // those only apply at the top level
        var otherChanges = getChanges(inOriginal ? original[key] : {}, modifiedValue, {
          includeDeletions: includeDeletions
        });

        for (var otherKey in otherChanges) {
          changes[(isInt(key) ? "[" + key + "]" : key) + '.' + otherKey] = otherChanges[otherKey];
        }
      } else {
        changes[key] = modifiedValue;
      }
    }
  }

  return Object.keys(changes).length ? changes : null;
};

exports.getChanges = getChanges;
var setValue = deepSet;
exports.setValue = setValue;

var updateObject = function updateObject(obj, updateObj) {
  var updated = obj;

  for (var key in updateObj) {
    updated = setValue(updated, key, updateObj[key], false);
  }

  return updated;
};

exports.updateObject = updateObject;

var mergeObjects = function mergeObjects(obj1, obj2) {
  var addedByObj2 = getChanges(obj1, obj2, {
    includeDeletions: false
  });
  var addedByObj1 = getChanges(obj2, obj1, {
    includeDeletions: false
  });

  if (!addedByObj1 && !addedByObj2) {
    return {
      updated: obj1
    };
  }

  if (!addedByObj1) {
    return {
      updated: updateObject(obj1, addedByObj2)
    };
  }

  if (!addedByObj2) {
    return {
      updated: updateObject(obj2, addedByObj1)
    };
  } // both made additions, there may be conflicts
  // look for keys that are the same


  var conflicts = {};
  var notConflicted = {};

  for (var key in addedByObj2) {
    if (addedByObj1.hasOwnProperty(key)) {
      var cleanedKey = stripBrackets(key);
      conflicts[key] = [(0, _dlv.default)(obj1, cleanedKey), (0, _dlv.default)(obj2, cleanedKey)];
    } else {
      notConflicted[key] = addedByObj2[key];
    }
  }

  for (var _key2 in addedByObj1) {
    if (!addedByObj2.hasOwnProperty(_key2)) {
      notConflicted[_key2] = addedByObj1[_key2];
    }
  }

  var toReturn = {
    updated: updateObject(obj1, notConflicted)
  };

  if (!isEmpty(conflicts)) {
    toReturn.conflicts = conflicts;
  }

  return toReturn;
};

exports.mergeObjects = mergeObjects;

var buildDefinition = function buildDefinition(definition, fnsObject) {
  if (fnsObject === void 0) {
    fnsObject = basicTypes;
  }

  var matcher = buildMatcherFunction(definition);

  var validateObject = function validateObject(obj, path) {
    if (path === void 0) {
      path = '';
    }

    var _loop = function _loop(key) {
      var value = obj[key];

      if (value === null) {
        return "continue";
      }

      var extendedPath = path ? path + '.' + key : key;
      var type = matcher(extendedPath);

      if (typeof value === 'object' && type !== 'obj') {
        if (isEmpty(value) && !type) {
          throw Error('Invalid path: ' + extendedPath);
        }

        validateObject(value, extendedPath);
      } else {
        if (!type) {
          throw Error('Invalid path: ' + extendedPath);
        }

        var testFn;

        if (Array.isArray(type)) {
          testFn = function testFn() {
            return type.some(function (typeEntry) {
              return fnsObject[typeEntry];
            });
          };
        } else {
          testFn = fnsObject[type];
        }

        if (!testFn) {
          throw Error('INVALID type: ' + type);
        }

        if (!testFn(value)) {
          throw Error("INVALID " + extendedPath + ": " + value);
        }
      }
    };

    for (var key in obj) {
      var _ret = _loop(key);

      if (_ret === "continue") continue;
    }
  };

  var setValue = function setValue(obj, path, value, validate) {
    if (validate === void 0) {
      validate = true;
    }

    var updated = deepSet(obj, path, value);

    if (validate) {
      validateObject(updated);
    }

    return updated;
  };

  var update = function update(obj, updateObj, validate) {
    if (validate === void 0) {
      validate = true;
    }

    var updated = obj;

    for (var key in updateObj) {
      updated = setValue(updated, key, updateObj[key], false);
    }

    if (validate) {
      validateObject(updated);
    }

    return updated;
  };

  var merge = function merge(obj1, obj2, validate) {
    if (validate === void 0) {
      validate = true;
    }

    var result = mergeObjects(obj1, obj2);

    if (validate) {
      validateObject(result.updated);
    }

    return result;
  };

  return {
    validate: validateObject,
    setValue: setValue,
    update: update,
    merge: merge
  };
};

exports.buildDefinition = buildDefinition;
},{"dlv":"CYb7"}],"IXJq":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MacroSelectable = void 0;

var _preact = require("preact");

var _classnames = _interopRequireDefault(require("classnames"));

var _sinks = require("sinks");

var _button = require("../button");

var _object = require("../utils/object");

var _acFile = require("ac-file");

var _airwayTypes = require("../utils/airway-types");

var _macro = require("../utils/macro");

var _inputs = require("../inputs");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }

function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && Symbol.iterator in Object(iter)) return Array.from(iter); }

function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

var EditableText = /*#__PURE__*/function (_Component) {
  _inherits(EditableText, _Component);

  var _super = _createSuper(EditableText);

  function EditableText(props) {
    var _this;

    _classCallCheck(this, EditableText);

    _this = _super.call(this, props);
    _this.focus = _this.focus.bind(_assertThisInitialized(_this));
    _this.blur = _this.blur.bind(_assertThisInitialized(_this));
    _this.state = {
      editing: false
    };
    return _this;
  }

  _createClass(EditableText, [{
    key: "blur",
    value: function blur() {
      this.setState({
        editing: false
      });
    }
  }, {
    key: "focus",
    value: function focus() {
      this.setState({
        editing: true
      });
    }
  }, {
    key: "render",
    value: function render() {
      var _this$props = this.props,
          matchType = _this$props.matchType,
          value = _this$props.value,
          path = _this$props.path,
          onChange = _this$props.onChange;
      var editing = this.state.editing;
      var className = (0, _classnames.default)(_inputs.inputOutlineClasses, 'w-100 transition-bg', editing && 'bg-white', !editing && 'bg-white-50');
      var props = {
        'data-e2e': "input|".concat(path),
        className: className,
        onChange: onChange,
        onFocus: this.focus,
        onBlur: this.blur,
        name: path,
        value: value
      };
      return (0, _preact.h)("div", {
        className: "w-100 mr2"
      }, matchType === 'text' && (0, _preact.h)("input", props), matchType === 'longText' && (0, _preact.h)("textarea", _extends({}, props, {
        rows: editing ? 5 : 1
      })));
    }
  }]);

  return EditableText;
}(_preact.Component);

var CategoryEntry = function CategoryEntry(_ref) {
  var name = _ref.name,
      path = _ref.path,
      skippedArray = _ref.skippedArray,
      skipped = _ref.skipped,
      onClick = _ref.onClick,
      onChange = _ref.onChange,
      items = _ref.items;
  var parentSkipped = skipped;
  return (0, _preact.h)("div", {
    className: "pa2 bg-light-blue br2 mb2"
  }, (0, _preact.h)("label", null, (0, _preact.h)("h4", {
    className: "mv1"
  }, (0, _preact.h)("input", {
    type: "checkbox",
    key: path,
    className: "mr2",
    name: path,
    checked: !skipped,
    onChange: onClick
  }), (0, _preact.h)("span", {
    className: (0, _classnames.default)(skipped && 'strike')
  }, name))), (0, _preact.h)("div", null, items.map(function (item) {
    return (0, _preact.h)(ItemEntry, {
      key: item.path,
      item: item,
      onChange: onChange,
      skipped: parentSkipped || skippedArray.includes(item.path),
      onClick: onClick
    });
  })));
};

var noOp = function noOp() {};

var ItemEntry = function ItemEntry(_ref2) {
  var item = _ref2.item,
      skipped = _ref2.skipped,
      onClick = _ref2.onClick,
      _ref2$onChange = _ref2.onChange,
      onChange = _ref2$onChange === void 0 ? noOp : _ref2$onChange;
  var match = (0, _macro.getMacroFieldType)(item.path);
  return (0, _preact.h)("label", {
    className: (0, _classnames.default)('db mv2 br2 pa2 flex items-center', skipped ? 'bg-light-blue' : 'bg-lightest-blue'),
    key: item.path
  }, (0, _preact.h)("input", {
    type: "checkbox",
    className: "mr2",
    name: item.path,
    checked: !skipped,
    onChange: onClick
  }), (0, _preact.h)("span", {
    className: "nowrap mr2"
  }, item.label, ":"), (!match || skipped) && (0, _preact.h)("span", {
    className: (0, _classnames.default)(skipped && 'strike')
  }, item.value), match && !skipped && (0, _preact.h)(EditableText, {
    value: item.value,
    matchType: match,
    path: item.path,
    onChange: onChange
  }));
};

var Title = function Title(_ref3) {
  var children = _ref3.children;
  return (0, _preact.h)("h4", {
    className: "mb1 mt2"
  }, children);
};

var DrugCategory = function DrugCategory(_ref4) {
  var title = _ref4.title,
      drugs = _ref4.drugs,
      baseProp = _ref4.baseProp,
      skippedArray = _ref4.skippedArray,
      onClick = _ref4.onClick,
      itemsToHide = _ref4.itemsToHide;
  return (0, _preact.h)("div", null, (0, _preact.h)(Title, null, title), drugs.map(function (drug, index) {
    var name = drug.name,
        drugName = drug.drugName,
        rest = _objectWithoutProperties(drug, ["name", "drugName"]);

    var basePath = "".concat(baseProp, ".[").concat(index, "]");
    var array = (0, _macro.macroToItemArrayBase)((0, _object.omit)(rest, ['id'].concat(_toConsumableArray(itemsToHide))), basePath, _macro.macroDrugLabelMap);
    return (0, _preact.h)(CategoryEntry, {
      key: "dg_".concat(index),
      path: basePath,
      name: name || drugName,
      items: array,
      skipped: skippedArray.includes(basePath),
      skippedArray: skippedArray,
      onClick: onClick
    });
  }));
};

var MacroSelectable = /*#__PURE__*/function (_Component2) {
  _inherits(MacroSelectable, _Component2);

  var _super2 = _createSuper(MacroSelectable);

  function MacroSelectable(props) {
    var _this2;

    _classCallCheck(this, MacroSelectable);

    _this2 = _super2.call(this, props);

    _this2.checkboxClick = function (e) {
      e.preventDefault();

      _this2.toggle(e.target.name);
    };

    _this2.reportChanged = _this2.reportChanged.bind(_assertThisInitialized(_this2));
    _this2.onItemValueChange = _this2.onItemValueChange.bind(_assertThisInitialized(_this2));
    _this2.state = {
      skipped: props.skipped || [],
      overrideValues: {}
    };
    _this2.skipAll = _this2.skipAll.bind(_assertThisInitialized(_this2));

    _this2.reportChanged();

    return _this2;
  }

  _createClass(MacroSelectable, [{
    key: "isSkipped",
    value: function isSkipped(path) {
      return this.state.skipped.includes(path);
    }
  }, {
    key: "toggle",
    value: function toggle(path) {
      this.isSkipped(path) ? this.unSkip(path) : this.skip(path);
    }
  }, {
    key: "unSkip",
    value: function unSkip(path) {
      if (this.isSkipped(path)) {
        this.updateSkipped(this.state.skipped.filter(function (name) {
          return name !== path;
        }));
      }
    }
  }, {
    key: "skipAll",
    value: function skipAll() {
      if (this.state.skipped.length > 0) {
        this.updateSkipped([]);
      } else {
        var skipped = [];

        for (var key in this.props.macro) {
          var entry = this.props.macro[key];
          var isArray = Array.isArray(entry);

          for (var secondLevel in entry) {
            skipped.push(isArray ? "".concat(key, ".[").concat(secondLevel, "]") : "".concat(key, ".").concat(secondLevel));
          }
        }

        this.updateSkipped(skipped);
      }
    }
  }, {
    key: "updateSkipped",
    value: function updateSkipped(skipped) {
      this.setState({
        skipped: skipped
      }, this.reportChanged);
    }
  }, {
    key: "selectAll",
    value: function selectAll() {
      this.setState({
        skipped: []
      });
    }
  }, {
    key: "skip",
    value: function skip(path) {
      this.updateSkipped([].concat(_toConsumableArray(this.state.skipped), [path]));
    }
  }, {
    key: "onItemValueChange",
    value: function onItemValueChange(event) {
      var target = event.target;
      var name = target.name,
          value = target.value;
      this.setState({
        overrideValues: _objectSpread(_objectSpread({}, this.state.overrideValues), {}, _defineProperty({}, name, value))
      }, this.reportChanged);
    }
  }, {
    key: "reportChanged",
    value: function reportChanged() {
      this.props.onChange(this.getSaveableMacro(), this.state.skipped);
    }
  }, {
    key: "applyOverrideValues",
    value: function applyOverrideValues(macro) {
      var overrideValues = this.state.overrideValues;
      var updates = {};

      for (var key in overrideValues) {
        updates[key] = overrideValues[key];
      }

      return (0, _sinks.updateObject)(macro, updates);
    }
  }, {
    key: "getSaveableMacro",
    value: function getSaveableMacro() {
      /** @type {{ macro: Macro }} */
      var macro = this.props.macro; // because we use arrays for some of these items, if we don't reverse keys first
      // we will start deleting from beginning of array, changes array indexes

      var updates = _toConsumableArray(this.state.skipped).sort().reverse().reduce(function (acc, path) {
        acc[path] = null;
        return acc;
      }, {});

      var withUpdatedValues = this.applyOverrideValues(macro);
      return (0, _sinks.updateObject)(withUpdatedValues, updates);
    }
  }, {
    key: "render",
    value: function render() {
      var _this3 = this;

      /** @type {{ macro: Macro }} */
      var _this$props2 = this.props,
          startingMacro = _this$props2.macro,
          buttons = _this$props2.buttons;

      if (!startingMacro) {
        return null;
      }

      var macro = this.applyOverrideValues(startingMacro);
      var skippedArray = this.state.skipped;
      var items = (0, _macro.macroToItemArrayBase)(macro.copied, 'copied', _macro.macroLabelMap);
      var vitalItems = (0, _macro.macroToItemArrayBase)(macro.vitalTypes || {}, 'vitalTypes', _acFile.vitalsShortNameLookup); // re-use same labeling mechanism for healthyPatient
      // as other items.

      var healthyPatientItem = macro.healthyPatient ? (0, _macro.macroToItemArrayBase)({
        healthyPatient: macro.healthyPatient
      }, '', _macro.macroLabelMap)[0] : null;
      return (0, _preact.h)("div", null, (0, _preact.h)("div", {
        className: "flex items-center mb3"
      }, buttons, (0, _preact.h)(_button.Button, {
        "data-e2e": "allButton",
        onClick: this.skipAll
      }, skippedArray.length ? 'Select All' : 'Deselect All')), items.map(function (item) {
        return (0, _preact.h)(ItemEntry, {
          key: item.path,
          item: item,
          onClick: _this3.checkboxClick,
          onChange: _this3.onItemValueChange,
          skipped: _this3.state.skipped.includes(item.path)
        });
      }), healthyPatientItem && (0, _preact.h)(ItemEntry, {
        key: "healthyPatient",
        item: healthyPatientItem,
        onClick: this.checkboxClick,
        onChange: this.onItemValueChange,
        skipped: this.state.skipped.includes('healthyPatient')
      }), macro.preMeds && (0, _preact.h)(DrugCategory, {
        title: "Pre-Meds",
        drugs: macro.preMeds,
        baseProp: "preMeds",
        skippedArray: skippedArray,
        onClick: this.checkboxClick,
        itemsToHide: ['drugId']
      }), macro.airways && (0, _preact.h)("div", null, (0, _preact.h)(Title, null, "Airways"), macro.airways.map(function (airway, index) {
        var type = airway.type,
            rest = _objectWithoutProperties(airway, ["type"]);

        var basePath = "airways.[".concat(index, "]");
        var array = (0, _macro.macroToItemArrayBase)(rest, basePath, _macro.macroAirwayLabelMap);
        return (0, _preact.h)(CategoryEntry, {
          path: basePath,
          name: _airwayTypes.airwayTypeLookup[type].name,
          key: "aw_".concat(index),
          items: array,
          skipped: skippedArray.includes(basePath),
          skippedArray: skippedArray,
          onChange: _this3.onItemValueChange,
          onClick: _this3.checkboxClick
        });
      })), macro.vitalTypes && (0, _preact.h)("div", null, (0, _preact.h)(Title, null, "Vital Types"), vitalItems.map(function (item) {
        return (0, _preact.h)(ItemEntry, {
          key: item.path,
          item: item,
          onClick: _this3.checkboxClick,
          onChange: _this3.onItemValueChange,
          skipped: _this3.state.skipped.includes(item.path)
        });
      })), macro.localDrugs && (0, _preact.h)(DrugCategory, {
        title: "Local Anesthetics",
        drugs: macro.localDrugs,
        baseProp: "localDrugs",
        skippedArray: skippedArray,
        onClick: this.checkboxClick,
        itemsToHide: ['rxcui', 'percent', 'epi']
      }), macro.parenDrugs && (0, _preact.h)(DrugCategory, {
        title: "Parenteral Drugs",
        drugs: macro.parenDrugs,
        baseProp: "parenDrugs",
        skippedArray: skippedArray,
        onClick: this.checkboxClick,
        itemsToHide: ['unit']
      }), macro.oralSedatives && (0, _preact.h)(DrugCategory, {
        title: "Oral Sedatives",
        drugs: macro.oralSedatives,
        baseProp: "oralSedatives",
        skippedArray: skippedArray,
        onClick: this.checkboxClick,
        itemsToHide: ['unit']
      }), macro.infusionDrugs && (0, _preact.h)(DrugCategory, {
        title: "Infusion Drugs",
        drugs: macro.infusionDrugs,
        baseProp: "infusionDrugs",
        skippedArray: skippedArray,
        onClick: this.checkboxClick,
        itemsToHide: []
      }), buttons && (0, _preact.h)("div", {
        className: "mt3"
      }, buttons));
    }
  }]);

  return MacroSelectable;
}(_preact.Component);

exports.MacroSelectable = MacroSelectable;
},{"preact":"aSor","classnames":"qb7c","sinks":"AfeM","../button":"zoTV","../utils/object":"JIRj","ac-file":"qtET","../utils/airway-types":"JDat","../utils/macro":"muzE","../inputs":"ItmM"}],"kRp5":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.EditableMacroDescription = void 0;

var _preact = require("preact");

var _editing = require("./editing");

var _description = require("./description");

var _button = require("../button");

var _object = require("../utils/object");

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

var EditableMacroDescription = /*#__PURE__*/function (_Component) {
  _inherits(EditableMacroDescription, _Component);

  var _super = _createSuper(EditableMacroDescription);

  function EditableMacroDescription(props) {
    var _this;

    _classCallCheck(this, EditableMacroDescription);

    _this = _super.call(this, props);
    _this.toggleEditing = _this.toggleEditing.bind(_assertThisInitialized(_this));
    _this.state = {
      editing: false,
      skipped: [],
      originalMacro: props.macro,
      modifiedMacro: props.macro,
      inProgressMacro: null,
      inProgressSkipped: null
    };
    return _this;
  }

  _createClass(EditableMacroDescription, [{
    key: "toggleEditing",
    value: function toggleEditing() {
      var _this2 = this;

      var _this$state = this.state,
          editing = _this$state.editing,
          inProgressMacro = _this$state.inProgressMacro,
          inProgressSkipped = _this$state.inProgressSkipped;
      var update = {
        editing: !editing
      };
      var macroToReport = null;

      if (editing) {
        update.inProgressMacro = null;
        update.inProgressSkipped = [];
        update.modifiedMacro = inProgressMacro;
        update.skipped = inProgressSkipped;
        macroToReport = inProgressMacro;
      }

      this.setState(update, function () {
        if (_this2.props.onChange) {
          var _update = {
            editing: !editing
          };

          if (macroToReport) {
            _update.macro = macroToReport;
          }

          _this2.props.onChange(_update);
        }
      });
    }
  }, {
    key: "render",
    value: function render() {
      var _this3 = this;

      var rest = (0, _object.omit)(this.props, ['macro', 'onChange']);
      var _this$state2 = this.state,
          editing = _this$state2.editing,
          originalMacro = _this$state2.originalMacro,
          modifiedMacro = _this$state2.modifiedMacro,
          skipped = _this$state2.skipped;
      var contents;

      if (editing) {
        contents = (0, _preact.h)("div", {
          className: "pa2 bg-light-blue b--gray br2"
        }, (0, _preact.h)("h4", {
          className: "mt0"
        }, "Editing preset"), (0, _preact.h)("p", {
          className: "mt0"
        }, "Deselect anything you don't want to include."), (0, _preact.h)(_editing.MacroSelectable, {
          buttons: (0, _preact.h)(_button.Button, {
            "data-e2e": "doneEditing",
            onClick: this.toggleEditing,
            className: "mr2"
          }, "Done Editing"),
          onChange: function onChange(macro, skipped) {
            _this3.setState({
              inProgressMacro: macro,
              inProgressSkipped: skipped
            });
          },
          macro: originalMacro,
          skipped: skipped
        }));
      } else {
        contents = (0, _preact.h)("div", {
          className: "bg-lightest-blue pa2 br2"
        }, (0, _preact.h)("h4", {
          className: "mt0"
        }, "Preset Summary"), (0, _preact.h)("p", null, "Click \"Edit\" to select only the answers you want to include."), (0, _preact.h)(_button.IconButton, {
          "data-e2e": "editPreset",
          icon: "edit",
          className: "mb3",
          onClick: this.toggleEditing
        }, "Edit"), (0, _preact.h)(_description.MacroDescription, {
          "data-e2e": "macroDescription",
          macro: modifiedMacro
        }));
      }

      return (0, _preact.h)("div", rest, contents);
    }
  }]);

  return EditableMacroDescription;
}(_preact.Component);

exports.EditableMacroDescription = EditableMacroDescription;
},{"preact":"aSor","./editing":"IXJq","./description":"ZOmc","../button":"zoTV","../utils/object":"JIRj"}],"FZTX":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TipBox = void 0;

var _preact = require("preact");

var _icon = require("./icon");

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var TipBox = function TipBox(_ref) {
  var children = _ref.children,
      className = _ref.className,
      rest = _objectWithoutProperties(_ref, ["children", "className"]);

  return (0, _preact.h)("div", _extends({
    className: (0, _classnames.default)('ba b--yellow bg-light-yellow pa2 br2', className)
  }, rest), (0, _preact.h)("div", null, (0, _preact.h)("div", {
    className: "flex item-center bb b--yellow mb2"
  }, (0, _preact.h)(_icon.Icon, {
    icon: "lightbulb_outline",
    className: "relative",
    size: "16",
    style: {
      left: '-2px'
    }
  }), (0, _preact.h)("span", {
    className: "fw6"
  }, "Tip:")), (0, _preact.h)("div", null, children)));
};

exports.TipBox = TipBox;
},{"preact":"aSor","./icon":"dvrm","classnames":"qb7c"}],"kTaP":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MacroListItem = void 0;

var _preact = require("preact");

var _classnames = _interopRequireDefault(require("classnames"));

var _pills = _interopRequireDefault(require("../pills"));

var _button = require("../button");

var _description = require("./description");

var _tipBox = require("../tip-box");

var _sedationLevelLimit = require("../utils/sedation-level-limit");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

var labelMap = {
  user: 'you',
  otherUser: 'other user',
  org: 'org',
  parentOrg: 'admin org',
  demo: 'demo'
};
var phraseMap = {
  otherUser: 'another user',
  org: 'your org',
  parentOrg: 'your admin org'
};

var MacroListItem = /*#__PURE__*/function (_Component) {
  _inherits(MacroListItem, _Component);

  var _super = _createSuper(MacroListItem);

  function MacroListItem(props) {
    var _this;

    _classCallCheck(this, MacroListItem);

    _this = _super.call(this, props);

    _this.toggleExpand = function () {
      return _this.setState({
        expanded: !_this.state.expanded
      });
    };

    _this.state = {
      expanded: false
    };
    return _this;
  }

  _createClass(MacroListItem, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          id = _this$props.id,
          name = _this$props.name,
          ownerType = _this$props.ownerType,
          macro = _this$props.macro,
          canEdit = _this$props.canEdit,
          buttons = _this$props.buttons,
          selectedIndex = _this$props.selectedIndex,
          selectable = _this$props.selectable,
          onSelect = _this$props.onSelect,
          maxSedationLevel = _this$props.maxSedationLevel;
      var expanded = this.state.expanded;
      var owner = labelMap[ownerType];
      var selected = !!selectedIndex;
      var allowed = true;
      var macroSedationLevel = macro && macro.copied && macro.copied.sedationLevel;

      if (macroSedationLevel) {
        allowed = (0, _sedationLevelLimit.isSedationLevelAllowed)(maxSedationLevel, macroSedationLevel);
      }

      return (0, _preact.h)("label", {
        className: (0, _classnames.default)('db br2 f6 mb2 pa2', selectedIndex ? 'bg-lightest-blue' : 'bg-near-white'),
        "data-e2e": "macroListItem",
        "data-id": id,
        "data-state": expanded ? 'expanded' : 'collapsed',
        "data-selected": selectedIndex
      }, (0, _preact.h)("div", {
        className: "flex items-center justify-between"
      }, (0, _preact.h)("div", {
        className: "pointer flex items-center justify-between"
      }, (0, _preact.h)("span", {
        class: "flex items-center"
      }, selectable && allowed && (0, _preact.h)("div", null, (0, _preact.h)("input", {
        type: "checkbox",
        className: "mr2 dn",
        checked: selected,
        onClick: function onClick() {
          return onSelect(id);
        }
      }), (0, _preact.h)("div", {
        className: (0, _classnames.default)('ba f6 br2 w1 h1 bw1 mr2 flex items-center justify-center f6 fw6', selected && 'bg-white'),
        style: {
          width: '20px',
          height: '20px'
        }
      }, selectedIndex > 0 ? selectedIndex : '')), (0, _preact.h)("span", {
        className: "fw6 mr2"
      }, name))), (0, _preact.h)("div", {
        className: "inline-flex items-center"
      }, (0, _preact.h)("div", {
        className: "flex items-center mr2"
      }, (0, _preact.h)("span", {
        className: "mr2"
      }, "owner:"), (0, _preact.h)(_pills.default, {
        "data-e2e": "macroOwnerPill",
        items: [ownerType === 'user' && {
          icon: 'face',
          text: owner
        }, ownerType === 'otherUser' && {
          icon: 'face',
          text: owner
        }, ownerType === 'org' && {
          icon: 'corporate_fare',
          text: owner
        }, ownerType === 'demo' && {
          icon: 'auto_awesome',
          text: owner
        }, ownerType === 'parentOrg' && {
          icon: 'admin_panel_settings',
          text: owner
        }].filter(Boolean),
        pillBgColor: "lightest-blue",
        pillTextColor: "dark-blue"
      })), (0, _preact.h)(_button.IconButton, {
        iconSize: "20",
        "data-e2e": "toggleMacroDetails",
        className: "nowrap",
        icon: expanded ? 'expand_less' : 'expand_more',
        onClick: this.toggleExpand
      }, expanded ? 'Hide' : 'Show', " Details"))), expanded && (0, _preact.h)("div", null, (0, _preact.h)(_description.MacroDescription, {
        macro: macro
      }), canEdit && buttons, !canEdit && (0, _preact.h)(_tipBox.TipBox, {
        "data-e2e": "permissionTip",
        className: "mt2"
      }, "You do not have permission to edit this preset. It is owned by", ' ', phraseMap[ownerType], ". However, you can still use it and you can choose which portions of it to apply to a case.")), !allowed && (0, _preact.h)("div", {
        "data-e2e": "sedationLevelNotAllowed",
        className: "bg-red white pa2 br2 mt2"
      }, "This preset cannot be used because it sets sedation level to \"", macroSedationLevel, "\", which is not allowed by your organization's subscription."));
    }
  }]);

  return MacroListItem;
}(_preact.Component);

exports.MacroListItem = MacroListItem;
},{"preact":"aSor","classnames":"qb7c","../pills":"MWCZ","../button":"zoTV","./description":"ZOmc","../tip-box":"FZTX","../utils/sedation-level-limit":"mp77"}],"pR9e":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PresetModal = void 0;

var _preact = require("preact");

var _function = require("../utils/function");

var _object = require("../utils/object");

var _dialog = require("../dialog");

var _button = require("../button");

var _crate = require("../crate");

var _formFields = require("../form-fields");

var _question = require("../utils/question");

var _editableDescription = require("./editable-description");

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

var PresetModal = /*#__PURE__*/function (_Component) {
  _inherits(PresetModal, _Component);

  var _super = _createSuper(PresetModal);

  function PresetModal(props) {
    var _this;

    _classCallCheck(this, PresetModal);

    _this = _super.call(this, props);
    _this.doSave = _this.doSave.bind(_assertThisInitialized(_this));
    _this.close = (0, _function.once)(function () {
      return props.onHide();
    });
    _this.switchMode = _this.switchMode.bind(_assertThisInitialized(_this));
    _this.state = {
      name: props.name || '',
      originalName: props.name || '',
      editedMacro: JSON.parse(JSON.stringify(props.macro)),
      original: props.macro,
      mode: props.id ? 'update' : 'new',
      editing: false,
      status: null
    };
    return _this;
  }

  _createClass(PresetModal, [{
    key: "getMacroVariants",
    value: function getMacroVariants() {
      return {
        original: this.state.original,
        toSave: (0, _object.nullIfEmpty)(this.state.editedMacro)
      };
    }
  }, {
    key: "switchMode",
    value: function switchMode(newMode) {
      this.setState({
        name: newMode === 'update' ? this.state.originalName : '',
        mode: newMode
      });
    }
  }, {
    key: "doSave",
    value: function doSave() {
      var _this2 = this;

      var _this$getMacroVariant = this.getMacroVariants(),
          toSave = _this$getMacroVariant.toSave;

      var _this$props = this.props,
          onCreate = _this$props.onCreate,
          onUpdate = _this$props.onUpdate,
          id = _this$props.id,
          ownerType = _this$props.ownerType,
          ownerId = _this$props.ownerId;
      var _this$state = this.state,
          mode = _this$state.mode,
          name = _this$state.name;
      this.setState({
        status: 'saving'
      });
      return (mode === 'update' ? onUpdate({
        id: id,
        name: name,
        macro: toSave
      }) : onCreate({
        name: name,
        macro: toSave,
        ownerId: ownerId,
        ownerType: ownerType
      })).then(function () {
        return _this2.setState({
          status: 'saved'
        });
      }).then(function () {
        setTimeout(_this2.close, 2000);
      });
    }
  }, {
    key: "render",
    value: function render() {
      var _this3 = this;

      var _this$state2 = this.state,
          name = _this$state2.name,
          mode = _this$state2.mode,
          editing = _this$state2.editing,
          status = _this$state2.status,
          originalName = _this$state2.originalName;
      var _this$props2 = this.props,
          otherPresetOwnerName = _this$props2.otherPresetOwnerName,
          ownerType = _this$props2.ownerType,
          showModeToggle = _this$props2.showModeToggle;

      var _this$getMacroVariant2 = this.getMacroVariants(),
          original = _this$getMacroVariant2.original,
          toSave = _this$getMacroVariant2.toSave;

      var isSaving = status === 'saving';
      var isSaved = status === 'saved';
      var errorMessage = null;

      if (editing) {
        errorMessage = 'Finish editing before saving.';
      } else {
        if (toSave && !name) {
          errorMessage = 'Must specify a preset name.';
        }

        if (!toSave) {
          errorMessage = 'Nothing has been selected to save.';
        }
      }

      var canSave = !errorMessage;
      return (0, _preact.h)(_dialog.Dialog, {
        "data-e2e": "presetModal",
        style: {
          width: '500px'
        },
        title: mode === 'new' ? "Save as preset" : 'Update preset',
        doClose: this.close,
        bottom: (0, _preact.h)("div", null, errorMessage && (0, _preact.h)("div", {
          "data-e2e": "errorMessage",
          className: "bg-orange pa2 br2 mb3"
        }, errorMessage), !isSaved && (0, _preact.h)(_button.Button, {
          "data-e2e": "savePreset",
          onClick: this.doSave,
          disabled: !canSave || isSaving,
          primary: true,
          large: true,
          className: "mr3"
        }, "Save"), !isSaved && (0, _preact.h)(_button.Button, {
          "data-e2e": "cancelSave",
          large: true,
          onClick: this.close
        }, "Cancel"), isSaved && (0, _preact.h)(_button.Button, {
          "data-e2e": "doneButton",
          primary: true,
          large: true,
          onClick: this.close
        }, "Done"))
      }, isSaving && (0, _preact.h)(_crate.MessagePageCrate, {
        "data-e2e": "savingMessage",
        noShadow: true,
        loading: true
      }, "Saving..."), isSaved && (0, _preact.h)(_crate.MessagePageCrate, {
        "data-e2e": "savedMessage",
        success: true
      }, "Saved!"), !isSaved && !isSaving && (0, _preact.h)("div", null, otherPresetOwnerName && (0, _preact.h)(_crate.MessagePageCrate, {
        warning: true,
        "data-e2e": "notOwner"
      }, (0, _preact.h)("span", {
        className: "f5"
      }, "You can save this preset on behalf of", ' ', (0, _preact.h)("strong", null, otherPresetOwnerName), ". However, it will be linked to, and owned by,", ' ', (0, _preact.h)("strong", null, otherPresetOwnerName, "'s "), "account and only they will be able to change it or delete it once you create it.")), ownerType === 'org' && (0, _preact.h)(_crate.MessagePageCrate, {
        info: true,
        "data-e2e": "orgPreset"
      }, (0, _preact.h)("span", {
        className: "f5"
      }, "This preset will be owned by the organization and made available to everyone.")), showModeToggle && (0, _preact.h)("div", null, (0, _preact.h)(_formFields.SelectButtons, {
        updateValue: this.switchMode,
        "data-e2e": "modeToggle",
        item: {
          name: 'mode',
          label: 'Update or save as new?',
          choices: [(0, _question.choice)('Update', 'update'), (0, _question.choice)('New', 'new')],
          value: mode,
          allowDeselect: false,
          isComplete: true
        }
      })), (0, _preact.h)("div", null, (0, _preact.h)(_formFields.InputField, {
        updateValue: function updateValue(val) {
          return _this3.setState({
            name: val
          });
        },
        item: {
          label: 'Preset Name',
          name: 'name',
          value: name,
          onInput: true,
          isComplete: !!name
        }
      })), mode === 'update' && (0, _preact.h)("p", null, "This will ", (0, _preact.h)("strong", null, "overwrite"), " the existing preset: \"", originalName, "\""), original && (0, _preact.h)(_editableDescription.EditableMacroDescription, {
        className: "mt2",
        macro: original,
        onChange: function onChange(_ref) {
          var editing = _ref.editing,
              macro = _ref.macro;

          _this3.setState({
            editing: editing,
            editedMacro: macro
          });
        }
      })));
    }
  }]);

  return PresetModal;
}(_preact.Component);

exports.PresetModal = PresetModal;
},{"preact":"aSor","../utils/function":"qXUO","../utils/object":"JIRj","../dialog":"HRwc","../button":"zoTV","../crate":"x5fU","../form-fields":"ZsKZ","../utils/question":"x7ak","./editable-description":"kRp5"}],"JE3h":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _description = require("./description");

Object.keys(_description).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _description[key];
    }
  });
});

var _editing = require("./editing");

Object.keys(_editing).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _editing[key];
    }
  });
});

var _editableDescription = require("./editable-description");

Object.keys(_editableDescription).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _editableDescription[key];
    }
  });
});

var _macroListItem = require("./macro-list-item");

Object.keys(_macroListItem).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _macroListItem[key];
    }
  });
});

var _presetModal = require("./preset-modal");

Object.keys(_presetModal).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _presetModal[key];
    }
  });
});
},{"./description":"ZOmc","./editing":"IXJq","./editable-description":"kRp5","./macro-list-item":"kTaP","./preset-modal":"pR9e"}],"F58a":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MoreMenu = exports.MoreMenuSeparator = exports.MoreMenuItemCopy = exports.MoreMenuItem = void 0;

var _preact = require("preact");

var _classnames = _interopRequireDefault(require("classnames"));

var _icon = require("./icon");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var MoreMenuItem = function MoreMenuItem(_ref) {
  var onClick = _ref.onClick,
      className = _ref.className,
      _ref$hoverBg = _ref.hoverBg,
      hoverBg = _ref$hoverBg === void 0 ? 'lightest-blue' : _ref$hoverBg,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'dark-gray' : _ref$color,
      rest = _objectWithoutProperties(_ref, ["onClick", "className", "hoverBg", "color"]);

  return (0, _preact.h)("button", _extends({
    onClick: onClick,
    className: (0, _classnames.default)('button-reset bg-transparent no-shadow bn pointer pa2 f5 fw4 flex items-center db tl w-100', "hover-bg-".concat(hoverBg), color, className),
    style: {
      minWidth: '100px'
    }
  }, rest));
};

exports.MoreMenuItem = MoreMenuItem;

var MoreMenuItemCopy = /*#__PURE__*/function (_Component) {
  _inherits(MoreMenuItemCopy, _Component);

  var _super = _createSuper(MoreMenuItemCopy);

  function MoreMenuItemCopy(props) {
    var _window$navigator, _window$navigator$cli;

    var _this;

    _classCallCheck(this, MoreMenuItemCopy);

    _this = _super.call(this, props);
    _this.state = {
      copied: false,
      error: false
    };
    _this.supported = !!((_window$navigator = window.navigator) !== null && _window$navigator !== void 0 && (_window$navigator$cli = _window$navigator.clipboard) !== null && _window$navigator$cli !== void 0 && _window$navigator$cli.writeText);

    _this.failed = function () {
      return _this.setState({
        error: true
      });
    };

    _this.handleClick = function (e) {
      e.stopImmediatePropagation();
      e.preventDefault();

      if (_this.supported) {
        window.navigator.clipboard.writeText(_this.props.text).then(function () {
          _this.setState({
            copied: true
          });

          setTimeout(function () {
            _this.setState({
              copied: false
            });
          }, 2000);
        }).catch(_this.failed);
      } else {
        _this.failed();
      }
    };

    return _this;
  }

  _createClass(MoreMenuItemCopy, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          children = _this$props.children,
          rest = _objectWithoutProperties(_this$props, ["children"]);

      var _this$state = this.state,
          copied = _this$state.copied,
          error = _this$state.error;
      return (0, _preact.h)(MoreMenuItem, _extends({
        onClick: this.handleClick
      }, rest), (0, _preact.h)("div", null, children, copied && (0, _preact.h)("span", {
        className: "ml2 gray"
      }, "(copied!)"), error && (0, _preact.h)("span", {
        className: "ml2 red"
      }, "(failed!)")));
    }
  }]);

  return MoreMenuItemCopy;
}(_preact.Component);

exports.MoreMenuItemCopy = MoreMenuItemCopy;

var MoreMenuSeparator = function MoreMenuSeparator() {
  return (0, _preact.h)("div", {
    className: "bb b--light-gray"
  });
};

exports.MoreMenuSeparator = MoreMenuSeparator;

var px = function px(val) {
  return "".concat(Math.round(val), "px");
};

var MoreMenu = /*#__PURE__*/function (_Component2) {
  _inherits(MoreMenu, _Component2);

  var _super2 = _createSuper(MoreMenu);

  function MoreMenu(props) {
    var _this2;

    _classCallCheck(this, MoreMenu);

    _this2 = _super2.call(this, props);

    _this2.setToggleRef = function (dom) {
      return _this2.toggleRef = dom;
    };

    _this2.open = function () {
      return _this2.setState({
        opened: true
      });
    };

    _this2.close = function () {
      return _this2.setState({
        opened: false
      });
    };

    _this2.closeOnOuterClick = function (e) {
      // Close on document click only if we aren't clicking on our own element
      // This ensures that we don't close when clicking on the toggle button
      // (which is already handled directly) but we _do_ close when clicking
      // on a different MoreMenu element
      if (_this2.toggleRef && !_this2.toggleRef.contains(e.target)) {
        _this2.close();
      }
    };

    _this2.toggle = function () {
      _this2.setState(function (_ref2) {
        var opened = _ref2.opened;
        return {
          opened: !opened
        };
      });
    };

    _this2.state = {
      opened: false
    };
    document.addEventListener('click', _this2.closeOnOuterClick);
    return _this2;
  }

  _createClass(MoreMenu, [{
    key: "componentWillUnmount",
    value: function componentWillUnmount() {
      document.removeEventListener('click', this.closeOnOuterClick);
    }
  }, {
    key: "render",
    value: function render() {
      var opened = this.state.opened;

      var _this$props2 = this.props,
          _this$props2$size = _this$props2.size,
          size = _this$props2$size === void 0 ? 32 : _this$props2$size,
          _this$props2$items = _this$props2.items,
          items = _this$props2$items === void 0 ? ['thing1', 'thing 2'] : _this$props2$items,
          _this$props2$color = _this$props2.color,
          color = _this$props2$color === void 0 ? 'dark-gray' : _this$props2$color,
          _this$props2$maxWidth = _this$props2.maxWidth,
          maxWidth = _this$props2$maxWidth === void 0 ? 350 : _this$props2$maxWidth,
          _this$props2$minWidth = _this$props2.minWidth,
          minWidth = _this$props2$minWidth === void 0 ? 100 : _this$props2$minWidth,
          rest = _objectWithoutProperties(_this$props2, ["size", "items", "color", "maxWidth", "minWidth"]);

      var inPx = px(size);
      return (0, _preact.h)("div", rest, (0, _preact.h)("div", {
        className: "relative",
        style: {
          width: inPx,
          height: inPx
        }
      }, (0, _preact.h)("button", {
        ref: this.setToggleRef,
        className: (0, _classnames.default)('button-reset bg-transparent no-shadow bn pointer absolute flex items-center justify-center br-pill hover-bg-lightest-blue br-100', opened && 'bg-lightest-blue'),
        href: "#",
        onClick: this.toggle,
        style: {
          left: 0,
          width: inPx,
          height: inPx
        }
      }, (0, _preact.h)(_icon.Icon, {
        icon: "more_vert",
        className: color,
        size: Math.round(size * 0.75)
      })), (0, _preact.h)("div", {
        className: "absolute z-1",
        style: {
          maxWidth: px(maxWidth),
          minWidth: px(minWidth),
          right: 0,
          top: inPx
        }
      }, this.state.opened && (0, _preact.h)("div", {
        className: "bg-white shadow-1 br2 ba b--light-gray"
      }, items))));
    }
  }]);

  return MoreMenu;
}(_preact.Component);

exports.MoreMenu = MoreMenu;
},{"preact":"aSor","classnames":"qb7c","./icon":"dvrm"}],"Focm":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  dobToAge: true,
  parseDob: true,
  getStyledComponent: true,
  Form: true,
  ProgressBar: true,
  getOrgEventSourceBundle: true,
  getLogger: true,
  Pills: true,
  LoadingScreen: true,
  getRecentActionsBundle: true,
  getBetaBundle: true,
  getMixpanelBeaconTracker: true
};
Object.defineProperty(exports, "dobToAge", {
  enumerable: true,
  get: function () {
    return _dobToAge.default;
  }
});
Object.defineProperty(exports, "parseDob", {
  enumerable: true,
  get: function () {
    return _parseDob.default;
  }
});
Object.defineProperty(exports, "getStyledComponent", {
  enumerable: true,
  get: function () {
    return _getStyledComponent.default;
  }
});
Object.defineProperty(exports, "Form", {
  enumerable: true,
  get: function () {
    return _form.default;
  }
});
Object.defineProperty(exports, "ProgressBar", {
  enumerable: true,
  get: function () {
    return _progress.default;
  }
});
Object.defineProperty(exports, "getOrgEventSourceBundle", {
  enumerable: true,
  get: function () {
    return _getOrgEventSourceBundle.default;
  }
});
Object.defineProperty(exports, "getLogger", {
  enumerable: true,
  get: function () {
    return _logger.default;
  }
});
Object.defineProperty(exports, "Pills", {
  enumerable: true,
  get: function () {
    return _pills.default;
  }
});
Object.defineProperty(exports, "LoadingScreen", {
  enumerable: true,
  get: function () {
    return _loadingScreen.default;
  }
});
Object.defineProperty(exports, "getRecentActionsBundle", {
  enumerable: true,
  get: function () {
    return _getRecentActionsBundle.default;
  }
});
Object.defineProperty(exports, "getBetaBundle", {
  enumerable: true,
  get: function () {
    return _getBetaBundle.default;
  }
});
Object.defineProperty(exports, "getMixpanelBeaconTracker", {
  enumerable: true,
  get: function () {
    return _getMixpanelBeaconTracker.default;
  }
});

var _dobToAge = _interopRequireDefault(require("dob-to-age"));

var _parseDob = _interopRequireDefault(require("parse-dob"));

var _button = require("./button");

Object.keys(_button).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _button[key];
    }
  });
});

var _logo = require("./logo");

Object.keys(_logo).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _logo[key];
    }
  });
});

var _crate = require("./crate");

Object.keys(_crate).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _crate[key];
    }
  });
});

var _fullScreenOverlay = require("./full-screen-overlay");

Object.keys(_fullScreenOverlay).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _fullScreenOverlay[key];
    }
  });
});

var _inputs = require("./inputs");

Object.keys(_inputs).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _inputs[key];
    }
  });
});

var _icon = require("./icon");

Object.keys(_icon).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _icon[key];
    }
  });
});

var _drugBox = require("./drug-box");

Object.keys(_drugBox).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _drugBox[key];
    }
  });
});

var _links = require("./links");

Object.keys(_links).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _links[key];
    }
  });
});

var _checkMark = require("./check-mark");

Object.keys(_checkMark).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _checkMark[key];
    }
  });
});

var _transitionIn = require("./transition-in");

Object.keys(_transitionIn).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _transitionIn[key];
    }
  });
});

var _drawer = require("./drawer");

Object.keys(_drawer).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _drawer[key];
    }
  });
});

var _dialog = require("./dialog");

Object.keys(_dialog).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _dialog[key];
    }
  });
});

var _appLayout = require("./app-layout");

Object.keys(_appLayout).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _appLayout[key];
    }
  });
});

var _shield = require("./shield");

Object.keys(_shield).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _shield[key];
    }
  });
});

var _portal = require("./portal");

Object.keys(_portal).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _portal[key];
    }
  });
});

var _envTag = require("./env-tag");

Object.keys(_envTag).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _envTag[key];
    }
  });
});

var _definitionTable = require("./definition-table");

Object.keys(_definitionTable).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _definitionTable[key];
    }
  });
});

var _fhirResources = require("./bundles/fhir-resources");

Object.keys(_fhirResources).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _fhirResources[key];
    }
  });
});

var _getUserInactiveBundle = require("./bundles/get-user-inactive-bundle");

Object.keys(_getUserInactiveBundle).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _getUserInactiveBundle[key];
    }
  });
});

var _getSessionBundle = require("./bundles/get-session-bundle");

Object.keys(_getSessionBundle).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _getSessionBundle[key];
    }
  });
});

var _getXidBundle = require("./bundles/get-xid-bundle");

Object.keys(_getXidBundle).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _getXidBundle[key];
    }
  });
});

var _appDay = require("./bundles/app-day");

Object.keys(_appDay).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _appDay[key];
    }
  });
});

var _appTimeExtended = require("./bundles/app-time-extended");

Object.keys(_appTimeExtended).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _appTimeExtended[key];
    }
  });
});

var _referredBy = require("./bundles/referred-by");

Object.keys(_referredBy).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _referredBy[key];
    }
  });
});

var _getEventSourceManager = require("./bundles/get-event-source-manager");

Object.keys(_getEventSourceManager).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _getEventSourceManager[key];
    }
  });
});

var _getOrgsBundle = require("./bundles/get-orgs-bundle");

Object.keys(_getOrgsBundle).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _getOrgsBundle[key];
    }
  });
});

var _getTimeDiffBundle = require("./bundles/get-time-diff-bundle");

Object.keys(_getTimeDiffBundle).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _getTimeDiffBundle[key];
    }
  });
});

var _getStyledComponent = _interopRequireDefault(require("./utils/get-styled-component"));

var _ls = require("./utils/ls");

Object.keys(_ls).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _ls[key];
    }
  });
});

var _is = require("./utils/is");

Object.keys(_is).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _is[key];
    }
  });
});

var _env = require("./utils/env");

Object.keys(_env).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _env[key];
    }
  });
});

var _cookie = require("./utils/cookie");

Object.keys(_cookie).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _cookie[key];
    }
  });
});

var _tokenWriter = require("./utils/token-writer");

Object.keys(_tokenWriter).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _tokenWriter[key];
    }
  });
});

var _throttle = require("./utils/throttle");

Object.keys(_throttle).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _throttle[key];
    }
  });
});

var _waitFor = require("./utils/wait-for");

Object.keys(_waitFor).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _waitFor[key];
    }
  });
});

var _msToTimeString = require("./utils/ms-to-time-string");

Object.keys(_msToTimeString).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _msToTimeString[key];
    }
  });
});

var _getSineWavePath = require("./utils/get-sine-wave-path");

Object.keys(_getSineWavePath).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _getSineWavePath[key];
    }
  });
});

var _getStandardHeaders = require("./utils/get-standard-headers");

Object.keys(_getStandardHeaders).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _getStandardHeaders[key];
    }
  });
});

var _token = require("./bundles/token");

Object.keys(_token).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _token[key];
    }
  });
});

var _copyButton = require("./copy-button");

Object.keys(_copyButton).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _copyButton[key];
    }
  });
});

var _promiseButton = require("./promise-button");

Object.keys(_promiseButton).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _promiseButton[key];
    }
  });
});

var _copyInput = require("./copy-input");

Object.keys(_copyInput).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _copyInput[key];
    }
  });
});

var _flipContainer = require("./flip-container");

Object.keys(_flipContainer).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _flipContainer[key];
    }
  });
});

var _footer = require("./footer");

Object.keys(_footer).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _footer[key];
    }
  });
});

var _layoutUi = require("./bundles/layout-ui");

Object.keys(_layoutUi).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _layoutUi[key];
    }
  });
});

var _tabId = require("./bundles/tab-id");

Object.keys(_tabId).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _tabId[key];
    }
  });
});

var _question = require("./question");

Object.keys(_question).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _question[key];
    }
  });
});

var _incrementors = require("./incrementors");

Object.keys(_incrementors).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _incrementors[key];
    }
  });
});

var _triggerWaiting = require("./trigger-waiting");

Object.keys(_triggerWaiting).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _triggerWaiting[key];
    }
  });
});

var _listTextareaField = require("./list-textarea-field");

Object.keys(_listTextareaField).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _listTextareaField[key];
    }
  });
});

var _checklistEditForm = require("./checklist-edit-form");

Object.keys(_checklistEditForm).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _checklistEditForm[key];
    }
  });
});

var _form = _interopRequireDefault(require("./form"));

var _tabs = require("./tabs");

Object.keys(_tabs).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _tabs[key];
    }
  });
});

var _progress = _interopRequireDefault(require("./progress"));

var _getOrgEventSourceBundle = _interopRequireDefault(require("./bundles/get-org-event-source-bundle.js"));

var _formFields = require("./form-fields");

Object.keys(_formFields).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _formFields[key];
    }
  });
});

var _generateBundle = require("./utils/generate-bundle");

Object.keys(_generateBundle).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _generateBundle[key];
    }
  });
});

var _smartSuggestionUtils = require("./utils/smart-suggestion-utils");

Object.keys(_smartSuggestionUtils).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _smartSuggestionUtils[key];
    }
  });
});

var _toNumber = require("./utils/to-number");

Object.keys(_toNumber).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _toNumber[key];
    }
  });
});

var _object = require("./utils/object");

Object.keys(_object).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _object[key];
    }
  });
});

var _question2 = require("./utils/question");

Object.keys(_question2).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _question2[key];
    }
  });
});

var _getApiFetch = require("./utils/get-api-fetch");

Object.keys(_getApiFetch).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _getApiFetch[key];
    }
  });
});

var _getFhirFetch = require("./utils/get-fhir-fetch");

Object.keys(_getFhirFetch).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _getFhirFetch[key];
    }
  });
});

var _getGqlFetch = require("./utils/get-gql-fetch");

Object.keys(_getGqlFetch).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _getGqlFetch[key];
    }
  });
});

var _toGqlQuery = require("./utils/to-gql-query");

Object.keys(_toGqlQuery).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _toGqlQuery[key];
    }
  });
});

var _function = require("./utils/function");

Object.keys(_function).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _function[key];
    }
  });
});

var _formatSedationLevel = require("./utils/format-sedation-level");

Object.keys(_formatSedationLevel).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _formatSedationLevel[key];
    }
  });
});

var _localAnestheticsList = require("./utils/local-anesthetics-list");

Object.keys(_localAnestheticsList).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _localAnestheticsList[key];
    }
  });
});

var _fetchDrugAutocomplete = require("./utils/fetch-drug-autocomplete");

Object.keys(_fetchDrugAutocomplete).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _fetchDrugAutocomplete[key];
    }
  });
});

var _formatNumber = require("./utils/format-number");

Object.keys(_formatNumber).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _formatNumber[key];
    }
  });
});

var _formatEpi = require("./utils/format-epi");

Object.keys(_formatEpi).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _formatEpi[key];
    }
  });
});

var _formatPercent = require("./utils/format-percent");

Object.keys(_formatPercent).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _formatPercent[key];
    }
  });
});

var _decimals = require("./utils/decimals");

Object.keys(_decimals).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _decimals[key];
    }
  });
});

var _date = require("./utils/date");

Object.keys(_date).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _date[key];
    }
  });
});

var _uuid = require("./utils/uuid");

Object.keys(_uuid).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _uuid[key];
    }
  });
});

var _parseHeight = require("./utils/parse-height");

Object.keys(_parseHeight).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _parseHeight[key];
    }
  });
});

var _parseWeight = require("./utils/parse-weight");

Object.keys(_parseWeight).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _parseWeight[key];
    }
  });
});

var _createId = require("./utils/create-id");

Object.keys(_createId).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _createId[key];
    }
  });
});

var _bpm = require("./utils/bpm");

Object.keys(_bpm).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _bpm[key];
    }
  });
});

var _getColorForIndex = require("./utils/get-color-for-index");

Object.keys(_getColorForIndex).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _getColorForIndex[key];
    }
  });
});

var _timeString = require("./utils/time-string");

Object.keys(_timeString).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _timeString[key];
    }
  });
});

var _metricConversion = require("./utils/metric-conversion");

Object.keys(_metricConversion).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _metricConversion[key];
    }
  });
});

var _airwayTypes = require("./utils/airway-types");

Object.keys(_airwayTypes).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _airwayTypes[key];
    }
  });
});

var _logger = _interopRequireDefault(require("./utils/logger"));

var _birthDateField = require("./form-fields/birth-date-field");

Object.keys(_birthDateField).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _birthDateField[key];
    }
  });
});

var _heightWeight = require("./form-fields/height-weight");

Object.keys(_heightWeight).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _heightWeight[key];
    }
  });
});

var _browserDetection = require("./utils/browser-detection");

Object.keys(_browserDetection).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _browserDetection[key];
    }
  });
});

var _pills = _interopRequireDefault(require("./pills"));

var _loadingScreen = _interopRequireDefault(require("./loading-screen"));

var _getRecentActionsBundle = _interopRequireDefault(require("./bundles/get-recent-actions-bundle"));

var _getBetaBundle = _interopRequireDefault(require("./bundles/get-beta-bundle"));

var _getMixpanelBeaconTracker = _interopRequireDefault(require("./utils/get-mixpanel-beacon-tracker"));

var _uidCookieValue = require("./utils/uid-cookie-value");

Object.keys(_uidCookieValue).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _uidCookieValue[key];
    }
  });
});

var _promiseTimeout = require("./utils/promise-timeout");

Object.keys(_promiseTimeout).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _promiseTimeout[key];
    }
  });
});

var _textFormat = require("./utils/text-format");

Object.keys(_textFormat).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _textFormat[key];
    }
  });
});

var _error = require("./utils/error");

Object.keys(_error).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _error[key];
    }
  });
});

var _clientRenderToString = require("./utils/client-render-to-string");

Object.keys(_clientRenderToString).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _clientRenderToString[key];
    }
  });
});

var _sedationLevelLimit = require("./utils/sedation-level-limit");

Object.keys(_sedationLevelLimit).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _sedationLevelLimit[key];
    }
  });
});

var _promise = require("./utils/promise");

Object.keys(_promise).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _promise[key];
    }
  });
});

var _trimDrugName = require("./utils/trim-drug-name");

Object.keys(_trimDrugName).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _trimDrugName[key];
    }
  });
});

var _appointmentStatus = require("./appointment-status");

Object.keys(_appointmentStatus).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _appointmentStatus[key];
    }
  });
});

var _currentVitalsStatus = require("./current-vitals-status");

Object.keys(_currentVitalsStatus).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _currentVitalsStatus[key];
    }
  });
});

var _connectedMonitorStatus = require("./connected-monitor-status");

Object.keys(_connectedMonitorStatus).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _connectedMonitorStatus[key];
    }
  });
});

var _emptyMessage = require("./empty-message");

Object.keys(_emptyMessage).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _emptyMessage[key];
    }
  });
});

var _card = require("./card");

Object.keys(_card).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _card[key];
    }
  });
});

var _barGraph = require("./bar-graph");

Object.keys(_barGraph).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _barGraph[key];
    }
  });
});

var _calendar = require("./calendar");

Object.keys(_calendar).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _calendar[key];
    }
  });
});

var _medicationField = require("./medication-field");

Object.keys(_medicationField).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _medicationField[key];
    }
  });
});

var _multiMedicationEntryField = require("./multi-medication-entry-field");

Object.keys(_multiMedicationEntryField).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _multiMedicationEntryField[key];
    }
  });
});

var _autoCompleteInput = require("./auto-complete-input");

Object.keys(_autoCompleteInput).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _autoCompleteInput[key];
    }
  });
});

var _signature = require("./signature");

Object.keys(_signature).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _signature[key];
    }
  });
});

var _signatureInput = require("./signature-input");

Object.keys(_signatureInput).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _signatureInput[key];
    }
  });
});

var _selectedItem = require("./selected-item");

Object.keys(_selectedItem).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _selectedItem[key];
    }
  });
});

var _plusMinus = require("./plus-minus");

Object.keys(_plusMinus).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _plusMinus[key];
    }
  });
});

var _drugAutoCompleteInput = require("./drug-auto-complete-input");

Object.keys(_drugAutoCompleteInput).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _drugAutoCompleteInput[key];
    }
  });
});

var _findCustomDrug = require("./utils/find-custom-drug");

Object.keys(_findCustomDrug).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _findCustomDrug[key];
    }
  });
});

var _userMediaState = require("./utils/user-media-state");

Object.keys(_userMediaState).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _userMediaState[key];
    }
  });
});

var _userMedia = require("./utils/user-media");

Object.keys(_userMedia).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _userMedia[key];
    }
  });
});

var _documentBaseStyles = require("./document-base-styles");

Object.keys(_documentBaseStyles).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _documentBaseStyles[key];
    }
  });
});

var _legalDocument = require("./legal-document");

Object.keys(_legalDocument).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _legalDocument[key];
    }
  });
});

var _qrCode = require("./qr-code");

Object.keys(_qrCode).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _qrCode[key];
    }
  });
});

var _timeline = require("./timeline");

Object.keys(_timeline).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _timeline[key];
    }
  });
});

var _macros = require("./macros");

Object.keys(_macros).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _macros[key];
    }
  });
});

var _moreMenu = require("./more-menu");

Object.keys(_moreMenu).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _moreMenu[key];
    }
  });
});

var _tipBox = require("./tip-box");

Object.keys(_tipBox).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _tipBox[key];
    }
  });
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
},{"dob-to-age":"JLza","parse-dob":"D6Ze","./button":"zoTV","./logo":"A64P","./crate":"x5fU","./full-screen-overlay":"cTuP","./inputs":"ItmM","./icon":"dvrm","./drug-box":"ppdD","./links":"fItP","./check-mark":"Qsgd","./transition-in":"BkAk","./drawer":"RWDb","./dialog":"HRwc","./app-layout":"c6sk","./shield":"wmid","./portal":"H5E9","./env-tag":"QHo4","./definition-table":"iA4S","./bundles/fhir-resources":"qmDE","./bundles/get-user-inactive-bundle":"eWMr","./bundles/get-session-bundle":"DJLn","./bundles/get-xid-bundle":"Gfsl","./bundles/app-day":"zuvS","./bundles/app-time-extended":"RNDZ","./bundles/referred-by":"OWyU","./bundles/get-event-source-manager":"JN9k","./bundles/get-orgs-bundle":"S5wE","./bundles/get-time-diff-bundle":"gD5N","./utils/get-styled-component":"PNa2","./utils/ls":"heR1","./utils/is":"NJCi","./utils/env":"eHBA","./utils/cookie":"Xp3r","./utils/token-writer":"kWb6","./utils/throttle":"lVhV","./utils/wait-for":"ecRq","./utils/ms-to-time-string":"jqib","./utils/get-sine-wave-path":"lty5","./utils/get-standard-headers":"bgxm","./bundles/token":"bfDr","./copy-button":"Huxa","./promise-button":"ChC9","./copy-input":"g1HS","./flip-container":"HqiZ","./footer":"v9Q8","./bundles/layout-ui":"yHU1","./bundles/tab-id":"iJ9e","./question":"XVm6","./incrementors":"y3iN","./trigger-waiting":"LECd","./list-textarea-field":"YqCp","./checklist-edit-form":"hNT0","./form":"Xk9z","./tabs":"F6id","./progress":"rbbc","./bundles/get-org-event-source-bundle.js":"ZmQP","./form-fields":"ZsKZ","./utils/generate-bundle":"m4sQ","./utils/smart-suggestion-utils":"FpKn","./utils/to-number":"u6Qp","./utils/object":"JIRj","./utils/question":"x7ak","./utils/get-api-fetch":"aTpd","./utils/get-fhir-fetch":"neUb","./utils/get-gql-fetch":"QRRL","./utils/to-gql-query":"uHTy","./utils/function":"qXUO","./utils/format-sedation-level":"eY05","./utils/local-anesthetics-list":"bhQV","./utils/fetch-drug-autocomplete":"PW31","./utils/format-number":"nMWU","./utils/format-epi":"EEr4","./utils/format-percent":"JJKB","./utils/decimals":"fys1","./utils/date":"ZbyX","./utils/uuid":"wwsb","./utils/parse-height":"Lo6d","./utils/parse-weight":"XMdp","./utils/create-id":"iDaX","./utils/bpm":"nATs","./utils/get-color-for-index":"aur0","./utils/time-string":"hUZU","./utils/metric-conversion":"PV4q","./utils/airway-types":"JDat","./utils/logger":"vwIT","./form-fields/birth-date-field":"Dd0O","./form-fields/height-weight":"iDg7","./utils/browser-detection":"sGWA","./pills":"MWCZ","./loading-screen":"Tn3R","./bundles/get-recent-actions-bundle":"XH59","./bundles/get-beta-bundle":"tLIr","./utils/get-mixpanel-beacon-tracker":"HJrc","./utils/uid-cookie-value":"sMOV","./utils/promise-timeout":"ws0n","./utils/text-format":"FPJl","./utils/error":"t8y1","./utils/client-render-to-string":"RufF","./utils/sedation-level-limit":"mp77","./utils/promise":"y3aI","./utils/trim-drug-name":"lILk","./appointment-status":"N4Bg","./current-vitals-status":"jKLz","./connected-monitor-status":"esj0","./empty-message":"drAD","./card":"RDr1","./bar-graph":"yG6g","./calendar":"Mh2O","./medication-field":"s2l2","./multi-medication-entry-field":"HOON","./auto-complete-input":"sGBj","./signature":"OcaB","./signature-input":"FAmK","./selected-item":"uyfD","./plus-minus":"AmjC","./drug-auto-complete-input":"Rh2c","./utils/find-custom-drug":"isqs","./utils/user-media-state":"Qtsm","./utils/user-media":"Da60","./document-base-styles":"UXJL","./legal-document":"sK78","./qr-code":"jd1W","./timeline":"wV9k","./macros":"JE3h","./more-menu":"F58a","./tip-box":"FZTX"}]},{},["Focm"], null)